diff --git a/changelog b/changelog
index 7ac15d0..9fd4a40 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,9 @@
+20130726 tpd src/axiom-website/patches.html 20130726.01.tpd.patch
+20130726 tpd src/axiom-website/CATS/index.html add rich3b
+20130726 tpd src/axiom-website/CATS/rich3b.input added
+20130726 tpd src/axiom-website/CATS/rich3b.input.pdf added
+20130726 tpd src/input/Makefile add rich3b
+20130726 tpd src/input/rich3b.input added
 20130725 tpd src/axiom-website/patches.html 20130725.01.tpd.patch
 20130725 tpd src/axiom-website/CATS/index.html add rich2, rich3a
 20130725 tpd src/axiom-website/CATS/rich2.input added
diff --git a/src/axiom-website/CATS/index.html b/src/axiom-website/CATS/index.html
index e975cda..ad1f519 100644
--- a/src/axiom-website/CATS/index.html
+++ b/src/axiom-website/CATS/index.html
@@ -299,6 +299,9 @@ They have been rewritten using Axiom syntax.
   (a+b x)^m (c+d)^n (e+f x)^p (part 1)
   <a href="rich3a.input.pamphlet">source</a>
   <a href="rich3a.input.pdf">pdf</a><br/>
+  (a+b x)^m (c+d)^n (e+f x)^p (part 2)
+  <a href="rich3b.input.pamphlet">source</a>
+  <a href="rich3b.input.pdf">pdf</a><br/>
 
 <br/><hr/><br/>
 <h3>Rich</h3><br/><br/>
diff --git a/src/axiom-website/CATS/rich3b.input.pamphlet b/src/axiom-website/CATS/rich3b.input.pamphlet
new file mode 100644
index 0000000..efdbbf9
--- /dev/null
+++ b/src/axiom-website/CATS/rich3b.input.pamphlet
@@ -0,0 +1,11568 @@
+\documentclass{article}
+\usepackage{axiom}
+\setlength{\textwidth}{400pt}
+\begin{document}
+\title{\$SPAD/src/input rich3b.input}
+\author{Albert Rich and Timothy Daly}
+\maketitle
+\begin{abstract}
+\verb|(a+b x)^m (c+d)^n (e+f x)^p|
+There are:
+\begin{itemize}
+\item 200 integrals in this file.
+\item 200 supplied "optimal results".
+\item 5 matching answers.
+\item 0 cases where Axiom supplied 2 results.
+\item 195 cases that Axiom failed to integrate.
+\item 0 that contain expressions Axiom does not recognize.
+\end{itemize}
+\end{abstract}
+\eject
+\tableofcontents
+\eject
+\begin{chunk}{*}
+)set break resume
+)sys rm -f rich3b.output
+)spool rich3b.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1000
+t0:=(c+d*x)^(5/2)*sqrt(a+b*x)/x^4
+--R 
+--R
+--R          2 2             2  +-------+ +-------+
+--R        (d x  + 2c d x + c )\|b x + a \|d x + c
+--R   (1)  ----------------------------------------
+--R                            4
+--R                           x
+--R                                                    Type: Expression(Integer)
+--E  1
+
+--S 2 of 1000
+r0:=2*d^(5/2)*atanh(sqrt(d)*sqrt(a+b*x)/(sqrt(b)*sqrt(c+d*x)))*sqrt(b)-_
+     1/8*(b^3*c^3-5*a*b^2*c^2*d+15*a^2*b*c*d^2+5*a^3*d^3)*_
+     atanh(sqrt(c)*sqrt(a+b*x)/(sqrt(a)*sqrt(c+d*x)))/(a^(5/2)*sqrt(c))-_
+     1/12*(b*c+5*a*d)*(c+d*x)^(3/2)*sqrt(a+b*x)/(a*x^2)-1/3*(c+d*x)^(5/2)*_
+     sqrt(a+b*x)/x^3+1/8*(b*c-5*a*d)*(b*c+a*d)*sqrt(a+b*x)*sqrt(c+d*x)/(a^2*x)
+--R 
+--R
+--R   (2)
+--R                                      +-+ +-------+
+--R          2 2 3 +-+ +-+ +-+ +-+      \|d \|b x + a
+--R       48a d x \|a \|b \|c \|d atanh(--------------)
+--R                                      +-+ +-------+
+--R                                     \|b \|d x + c
+--R     + 
+--R                                                           +-+ +-------+
+--R             3 3      2     2        2 2      3 3  3      \|c \|b x + a
+--R       (- 15a d  - 45a b c d  + 15a b c d - 3b c )x atanh(--------------)
+--R                                                           +-+ +-------+
+--R                                                          \|a \|d x + c
+--R     + 
+--R                2 2                 2 2  2         2            2       2 2  +-+
+--R         ((- 33a d  - 14a b c d + 3b c )x  + (- 26a c d - 2a b c )x - 8a c )\|a
+--R      *
+--R          +-+ +-------+ +-------+
+--R         \|c \|b x + a \|d x + c
+--R  /
+--R        2 3 +-+ +-+
+--R     24a x \|a \|c
+--R                                                    Type: Expression(Integer)
+--E  2
+
+--S 3 of 1000
+--a0:=integrate(t0,x)
+--E  3
+
+--S 4 of 1000
+--m0:=a0-r0
+--E  4
+
+--S 5 of 1000
+--d0:=D(m0,x)
+--E  5
+
+)clear all
+
+--S 6 of 1000
+t0:=(c+d*x)^(5/2)*sqrt(a+b*x)/x^5
+--R 
+--R
+--R          2 2             2  +-------+ +-------+
+--R        (d x  + 2c d x + c )\|b x + a \|d x + c
+--R   (1)  ----------------------------------------
+--R                            5
+--R                           x
+--R                                                    Type: Expression(Integer)
+--E  6
+
+--S 7 of 1000
+r0:=5/64*(b*c-a*d)^4*atanh(sqrt(c)*sqrt(a+b*x)/(sqrt(a)*sqrt(c+d*x)))/_
+     (a^(7/2)*c^(3/2))+5/96*(b*c-a*d)^2*(c+d*x)^(3/2)*_
+     sqrt(a+b*x)/(a^2*c*x^2)-1/24*(b*c-a*d)*(c+d*x)^(5/2)*_
+     sqrt(a+b*x)/(a*c*x^3)-1/4*(c+d*x)^(7/2)*sqrt(a+b*x)/(c*x^4)-_
+     5/64*(b*c-a*d)^3*sqrt(a+b*x)*sqrt(c+d*x)/(a^3*c*x)
+--R 
+--R
+--R   (2)
+--R             4 4      3     3      2 2 2 2        3 3       4 4  4
+--R         (15a d  - 60a b c d  + 90a b c d  - 60a b c d + 15b c )x
+--R      *
+--R                +-+ +-------+
+--R               \|c \|b x + a
+--R         atanh(--------------)
+--R                +-+ +-------+
+--R               \|a \|d x + c
+--R     + 
+--R                 3 3      2     2        2 2       3 3  3
+--R           (- 15a d  - 73a b c d  + 55a b c d - 15b c )x
+--R         + 
+--R                  3   2      2   2         2 3  2          3 2      2   3
+--R           (- 118a c d  - 36a b c d + 10a b c )x  + (- 136a c d - 8a b c )x
+--R         + 
+--R                3 3
+--R           - 48a c
+--R      *
+--R          +-+ +-+ +-------+ +-------+
+--R         \|a \|c \|b x + a \|d x + c
+--R  /
+--R         3   4 +-+ +-+
+--R     192a c x \|a \|c
+--R                                                    Type: Expression(Integer)
+--E  7
+
+--S 8 of 1000
+--a0:=integrate(t0,x)
+--E  8
+
+--S 9 of 1000
+--m0:=a0-r0
+--E  9
+
+--S 10 of 1000
+--d0:=D(m0,x)
+--E  10
+
+)clear all
+
+--S 11 of 1000
+t0:=(c+d*x)^(5/2)*sqrt(a+b*x)/x^6
+--R 
+--R
+--R          2 2             2  +-------+ +-------+
+--R        (d x  + 2c d x + c )\|b x + a \|d x + c
+--R   (1)  ----------------------------------------
+--R                            6
+--R                           x
+--R                                                    Type: Expression(Integer)
+--E  11
+
+--S 12 of 1000
+r0:=-1/128*(b*c-a*d)^4*(7*b*c+3*a*d)*atanh(sqrt(c)*sqrt(a+b*x)/(sqrt(a)*_
+     sqrt(c+d*x)))/(a^(9/2)*c^(5/2))-1/40*(b*c+5*a*d)*(c+d*x)^(3/2)*_
+     sqrt(a+b*x)/(a*x^4)-1/5*(c+d*x)^(5/2)*sqrt(a+b*x)/x^5+1/240*_
+     (b*c-3*a*d)*(7*b*c+5*a*d)*sqrt(a+b*x)*sqrt(c+d*x)/(a^2*x^3)-_
+     1/960*(35*b^3*c^3-111*a*b^2*c^2*d+109*a^2*b*c*d^2+15*a^3*d^3)*_
+     sqrt(a+b*x)*sqrt(c+d*x)/(a^3*c*x^2)+1/1920*(105*b^4*c^4-_
+     340*a*b^3*c^3*d+346*a^2*b^2*c^2*d^2-60*a^3*b*c*d^3+45*a^4*d^4)*_
+     sqrt(a+b*x)*sqrt(c+d*x)/(a^4*c^2*x)
+--R 
+--R
+--R   (2)
+--R                5 5      4     4       3 2 2 3       2 3 3 2         4 4
+--R           - 45a d  + 75a b c d  + 150a b c d  - 450a b c d  + 375a b c d
+--R         + 
+--R                 5 5
+--R           - 105b c
+--R      *
+--R                  +-+ +-------+
+--R          5      \|c \|b x + a
+--R         x atanh(--------------)
+--R                  +-+ +-------+
+--R                 \|a \|d x + c
+--R     + 
+--R               4 4      3     3       2 2 2 2         3 3        4 4  4
+--R           (45a d  - 60a b c d  + 346a b c d  - 340a b c d + 105b c )x
+--R         + 
+--R                 4   3       3   2 2       2 2 3         3 4  3
+--R           (- 30a c d  - 218a b c d  + 222a b c d - 70a b c )x
+--R         + 
+--R                  4 2 2       3   3       2 2 4  2           4 3       3   4
+--R           (- 744a c d  - 176a b c d + 56a b c )x  + (- 1008a c d - 48a b c )x
+--R         + 
+--R                 4 4
+--R           - 384a c
+--R      *
+--R          +-+ +-+ +-------+ +-------+
+--R         \|a \|c \|b x + a \|d x + c
+--R  /
+--R          4 2 5 +-+ +-+
+--R     1920a c x \|a \|c
+--R                                                    Type: Expression(Integer)
+--E  12
+
+--S 13 of 1000
+--a0:=integrate(t0,x)
+--E  13
+
+--S 14 of 1000
+--m0:=a0-r0
+--E  14
+
+--S 15 of 1000
+--d0:=D(m0,x)
+--E  15
+
+)clear all
+
+--S 16 of 1000
+t0:=(c+d*x)^(5/2)*sqrt(a+b*x)/x^7
+--R 
+--R
+--R          2 2             2  +-------+ +-------+
+--R        (d x  + 2c d x + c )\|b x + a \|d x + c
+--R   (1)  ----------------------------------------
+--R                            7
+--R                           x
+--R                                                    Type: Expression(Integer)
+--E  16
+
+--S 17 of 1000
+r0:=1/512*(b*c-a*d)^4*(21*b^2*c^2+14*a*b*c*d+5*a^2*d^2)*atanh(sqrt(c)*_
+     sqrt(a+b*x)/(sqrt(a)*sqrt(c+d*x)))/(a^(11/2)*c^(7/2))-_
+     1/60*(b*c+5*a*d)*(c+d*x)^(3/2)*sqrt(a+b*x)/(a*x^5)-_
+     1/6*(c+d*x)^(5/2)*sqrt(a+b*x)/x^6+1/160*(3*b^2*c^2-6*a*b*c*d-_
+     5*a^2*d^2)*sqrt(a+b*x)*sqrt(c+d*x)/(a^2*x^4)-1/960*(21*b^3*c^3-_
+     61*a*b^2*c^2*d+51*a^2*b*c*d^2+5*a^3*d^3)*sqrt(a+b*x)*_
+     sqrt(c+d*x)/(a^3*c*x^3)+1/3840*(105*b^4*c^4-308*a*b^3*c^3*d+_
+     262*a^2*b^2*c^2*d^2-20*a^3*b*c*d^3+25*a^4*d^4)*sqrt(a+b*x)*_
+     sqrt(c+d*x)/(a^4*c^2*x^2)-1/7680*(315*b^5*c^5-945*a*b^4*c^4*d+_
+     838*a^2*b^3*c^3*d^2-90*a^3*b^2*c^2*d^3-65*a^4*b*c*d^4+75*a^5*d^5)*_
+     sqrt(a+b*x)*sqrt(c+d*x)/(a^5*c^3*x)
+--R 
+--R
+--R   (2)
+--R              6 6      5     5      4 2 2 4       3 3 3 3        2 4 4 2
+--R           75a d  - 90a b c d  - 75a b c d  - 300a b c d  + 1125a b c d
+--R         + 
+--R                    5 5        6 6
+--R           - 1050a b c d + 315b c
+--R      *
+--R                  +-+ +-------+
+--R          6      \|c \|b x + a
+--R         x atanh(--------------)
+--R                  +-+ +-------+
+--R                 \|a \|d x + c
+--R     + 
+--R                    5 5      4     4      3 2 2 3       2 3 3 2         4 4
+--R               - 75a d  + 65a b c d  + 90a b c d  - 838a b c d  + 945a b c d
+--R             + 
+--R                     5 5
+--R               - 315b c
+--R          *
+--R              5
+--R             x
+--R         + 
+--R               5   4      4   2 3       3 2 3 2       2 3 4          4 5  4
+--R           (50a c d  - 40a b c d  + 524a b c d  - 616a b c d + 210a b c )x
+--R         + 
+--R                 5 2 3       4   3 2       3 2 4        2 3 5  3
+--R           (- 40a c d  - 408a b c d  + 488a b c d - 168a b c )x
+--R         + 
+--R                   5 3 2       4   4        3 2 5  2
+--R           (- 2160a c d  - 416a b c d + 144a b c )x
+--R         + 
+--R                   5 4        4   5          5 5
+--R           (- 3200a c d - 128a b c )x - 1280a c
+--R      *
+--R          +-+ +-+ +-------+ +-------+
+--R         \|a \|c \|b x + a \|d x + c
+--R  /
+--R          5 3 6 +-+ +-+
+--R     7680a c x \|a \|c
+--R                                                    Type: Expression(Integer)
+--E  17
+
+--S 18 of 1000
+--a0:=integrate(t0,x)
+--E  18
+
+--S 19 of 1000
+--m0:=a0-r0
+--E  19
+
+--S 20 of 1000
+--d0:=D(m0,x)
+--E  20
+
+)clear all
+
+--S 21 of 1000
+t0:=x^3*sqrt(a+b*x)/sqrt(c+d*x)
+--R 
+--R
+--R         3 +-------+
+--R        x \|b x + a
+--R   (1)  ------------
+--R          +-------+
+--R         \|d x + c
+--R                                                    Type: Expression(Integer)
+--E  21
+
+--S 22 of 1000
+r0:=1/64*(b*c-a*d)*(35*b^3*c^3+15*a*b^2*c^2*d+9*a^2*b*c*d^2+5*a^3*d^3)*_
+     atanh(sqrt(d)*sqrt(a+b*x)/(sqrt(b)*sqrt(c+d*x)))/(b^(7/2)*d^(9/2))-_
+     1/192*(105*b^3*c^3-25*a*b^2*c^2*d-17*a^2*b*c*d^2-15*a^3*d^3)*_
+     sqrt(a+b*x)*sqrt(c+d*x)/(b^3*d^4)-1/96*(6*a*c-35*b*c^2/d+5*a^2*d/b)*_
+     x*sqrt(a+b*x)*sqrt(c+d*x)/(b*d^2)-1/24*(7*b*c-a*d)*x^2*sqrt(a+b*x)*_
+     sqrt(c+d*x)/(b*d^2)+1/4*x^3*sqrt(a+b*x)*sqrt(c+d*x)/d
+--R 
+--R
+--R   (2)
+--R               4 4      3     3      2 2 2 2        3 3        4 4
+--R         (- 15a d  - 12a b c d  - 18a b c d  - 60a b c d + 105b c )
+--R      *
+--R                +-+ +-------+
+--R               \|d \|b x + a
+--R         atanh(--------------)
+--R                +-+ +-------+
+--R               \|b \|d x + c
+--R     + 
+--R              3 3 3        2 3      3   2  2
+--R           48b d x  + (8a b d  - 56b c d )x
+--R         + 
+--R                 2   3        2   2      3 2         3 3      2     2
+--R           (- 10a b d  - 12a b c d  + 70b c d)x + 15a d  + 17a b c d
+--R         + 
+--R                2 2        3 3
+--R           25a b c d - 105b c
+--R      *
+--R          +-+ +-+ +-------+ +-------+
+--R         \|b \|d \|b x + a \|d x + c
+--R  /
+--R         3 4 +-+ +-+
+--R     192b d \|b \|d
+--R                                                    Type: Expression(Integer)
+--E  22
+
+--S 23 of 1000
+--a0:=integrate(t0,x)
+--E  23
+
+--S 24 of 1000
+--m0:=a0-r0
+--E  24
+
+--S 25 of 1000
+--d0:=D(m0,x)
+--E  25
+
+)clear all
+
+--S 26 of 1000
+t0:=x^2*sqrt(a+b*x)/sqrt(c+d*x)
+--R 
+--R
+--R         2 +-------+
+--R        x \|b x + a
+--R   (1)  ------------
+--R          +-------+
+--R         \|d x + c
+--R                                                    Type: Expression(Integer)
+--E  26
+
+--S 27 of 1000
+r0:=-1/8*(b*c-a*d)*(5*b^2*c^2+2*a*b*c*d+a^2*d^2)*atanh(sqrt(d)*sqrt(a+b*x)/_
+     (sqrt(b)*sqrt(c+d*x)))/(b^(5/2)*d^(7/2))-1/12*(5*b*c+3*a*d)*_
+     (a+b*x)^(3/2)*sqrt(c+d*x)/(b^2*d^2)+1/3*x*(a+b*x)^(3/2)*_
+     sqrt(c+d*x)/(b*d)+1/8*(5*b^2*c^2+2*a*b*c*d+a^2*d^2)*sqrt(a+b*x)*_
+     sqrt(c+d*x)/(b^2*d^3)
+--R 
+--R
+--R   (2)
+--R                                                     +-+ +-------+
+--R          3 3     2     2       2 2       3 3       \|d \|b x + a
+--R       (3a d  + 3a b c d  + 9a b c d - 15b c )atanh(--------------)
+--R                                                     +-+ +-------+
+--R                                                    \|b \|d x + c
+--R     + 
+--R            2 2 2          2      2          2 2                 2 2  +-+ +-+
+--R         (8b d x  + (2a b d  - 10b c d)x - 3a d  - 4a b c d + 15b c )\|b \|d
+--R      *
+--R          +-------+ +-------+
+--R         \|b x + a \|d x + c
+--R  /
+--R        2 3 +-+ +-+
+--R     24b d \|b \|d
+--R                                                    Type: Expression(Integer)
+--E  27
+
+--S 28 of 1000
+--a0:=integrate(t0,x)
+--E  28
+
+--S 29 of 1000
+--m0:=a0-r0
+--E  29
+
+--S 30 of 1000
+--d0:=D(m0,x)
+--E  30
+
+)clear all
+
+--S 31 of 1000
+t0:=x*sqrt(a+b*x)/sqrt(c+d*x)
+--R 
+--R
+--R          +-------+
+--R        x\|b x + a
+--R   (1)  -----------
+--R          +-------+
+--R         \|d x + c
+--R                                                    Type: Expression(Integer)
+--E  31
+
+--S 32 of 1000
+r0:=1/4*(b*c-a*d)*(3*b*c+a*d)*atanh(sqrt(d)*sqrt(a+b*x)/(sqrt(b)*_
+     sqrt(c+d*x)))/(b^(3/2)*d^(5/2))+1/2*(a+b*x)^(3/2)*sqrt(c+d*x)/(b*d)-_
+     1/4*(3*b*c+a*d)*sqrt(a+b*x)*sqrt(c+d*x)/(b*d^2)
+--R 
+--R
+--R   (2)
+--R                                         +-+ +-------+
+--R           2 2                2 2       \|d \|b x + a
+--R       (- a d  - 2a b c d + 3b c )atanh(--------------)
+--R                                         +-+ +-------+
+--R                                        \|b \|d x + c
+--R     + 
+--R                             +-+ +-+ +-------+ +-------+
+--R       (2b d x + a d - 3b c)\|b \|d \|b x + a \|d x + c
+--R  /
+--R         2 +-+ +-+
+--R     4b d \|b \|d
+--R                                                    Type: Expression(Integer)
+--E  32
+
+--S 33 of 1000
+--a0:=integrate(t0,x)
+--E  33
+
+--S 34 of 1000
+--m0:=a0-r0
+--E  34
+
+--S 35 of 1000
+--d0:=D(m0,x)
+--E  35
+
+)clear all
+
+--S 36 of 1000
+t0:=sqrt(a+b*x)/sqrt(c+d*x)
+--R 
+--R
+--R         +-------+
+--R        \|b x + a
+--R   (1)  ----------
+--R         +-------+
+--R        \|d x + c
+--R                                                    Type: Expression(Integer)
+--E  36
+
+--S 37 of 1000
+r0:=-(b*c-a*d)*atanh(sqrt(d)*sqrt(a+b*x)/(sqrt(b)*sqrt(c+d*x)))/_
+     (d^(3/2)*sqrt(b))+sqrt(a+b*x)*sqrt(c+d*x)/d
+--R 
+--R
+--R                          +-+ +-------+
+--R                         \|d \|b x + a      +-+ +-+ +-------+ +-------+
+--R        (a d - b c)atanh(--------------) + \|b \|d \|b x + a \|d x + c
+--R                          +-+ +-------+
+--R                         \|b \|d x + c
+--R   (2)  ---------------------------------------------------------------
+--R                                     +-+ +-+
+--R                                   d\|b \|d
+--R                                                    Type: Expression(Integer)
+--E  37
+
+--S 38 of 1000
+--a0:=integrate(t0,x)
+--E  38
+
+--S 39 of 1000
+--m0:=a0-r0
+--E  39
+
+--S 40 of 1000
+--d0:=D(m0,x)
+--E  40
+
+)clear all
+
+--S 41 of 1000
+t0:=sqrt(a+b*x)/(x*sqrt(c+d*x))
+--R 
+--R
+--R          +-------+
+--R         \|b x + a
+--R   (1)  -----------
+--R          +-------+
+--R        x\|d x + c
+--R                                                    Type: Expression(Integer)
+--E  41
+
+--S 42 of 1000
+r0:=-2*atanh(sqrt(c)*sqrt(a+b*x)/(sqrt(a)*sqrt(c+d*x)))*sqrt(a)/sqrt(c)+_
+     2*atanh(sqrt(d)*sqrt(a+b*x)/(sqrt(b)*sqrt(c+d*x)))*sqrt(b)/sqrt(d)
+--R 
+--R
+--R                        +-+ +-------+                    +-+ +-------+
+--R          +-+ +-+      \|d \|b x + a       +-+ +-+      \|c \|b x + a
+--R        2\|b \|c atanh(--------------) - 2\|a \|d atanh(--------------)
+--R                        +-+ +-------+                    +-+ +-------+
+--R                       \|b \|d x + c                    \|a \|d x + c
+--R   (2)  ---------------------------------------------------------------
+--R                                     +-+ +-+
+--R                                    \|c \|d
+--R                                                    Type: Expression(Integer)
+--E  42
+
+--S 43 of 1000
+--a0:=integrate(t0,x)
+--E  43
+
+--S 44 of 1000
+--m0:=a0-r0
+--E  44
+
+--S 45 of 1000
+--d0:=D(m0,x)
+--E  45
+
+)clear all
+
+--S 46 of 1000
+t0:=sqrt(a+b*x)/(x^2*sqrt(c+d*x))
+--R 
+--R
+--R          +-------+
+--R         \|b x + a
+--R   (1)  ------------
+--R         2 +-------+
+--R        x \|d x + c
+--R                                                    Type: Expression(Integer)
+--E  46
+
+--S 47 of 1000
+r0:=-(b*c-a*d)*atanh(sqrt(c)*sqrt(a+b*x)/(sqrt(a)*sqrt(c+d*x)))/(c^(3/2)*_
+     sqrt(a))-sqrt(a+b*x)*sqrt(c+d*x)/(c*x)
+--R 
+--R
+--R                            +-+ +-------+
+--R                           \|c \|b x + a      +-+ +-+ +-------+ +-------+
+--R        (a d - b c)x atanh(--------------) - \|a \|c \|b x + a \|d x + c
+--R                            +-+ +-------+
+--R                           \|a \|d x + c
+--R   (2)  -----------------------------------------------------------------
+--R                                       +-+ +-+
+--R                                   c x\|a \|c
+--R                                                    Type: Expression(Integer)
+--E  47
+
+--S 48 of 1000
+--a0:=integrate(t0,x)
+--E  48
+
+--S 49 of 1000
+--m0:=a0-r0
+--E  49
+
+--S 50 of 1000
+--d0:=D(m0,x)
+--E  50
+
+)clear all
+
+--S 51 of 1000
+t0:=sqrt(a+b*x)/(x^3*sqrt(c+d*x))
+--R 
+--R
+--R          +-------+
+--R         \|b x + a
+--R   (1)  ------------
+--R         3 +-------+
+--R        x \|d x + c
+--R                                                    Type: Expression(Integer)
+--E  51
+
+--S 52 of 1000
+r0:=1/4*(b*c-a*d)*(b*c+3*a*d)*atanh(sqrt(c)*sqrt(a+b*x)/(sqrt(a)*_
+     sqrt(c+d*x)))/(a^(3/2)*c^(5/2))-1/2*sqrt(a+b*x)*sqrt(c+d*x)/(c*x^2)-_
+     1/4*(b*c-3*a*d)*sqrt(a+b*x)*sqrt(c+d*x)/(a*c^2*x)
+--R 
+--R
+--R   (2)
+--R                                           +-+ +-------+
+--R            2 2               2 2  2      \|c \|b x + a
+--R       (- 3a d  + 2a b c d + b c )x atanh(--------------)
+--R                                           +-+ +-------+
+--R                                          \|a \|d x + c
+--R     + 
+--R                              +-+ +-+ +-------+ +-------+
+--R       ((3a d - b c)x - 2a c)\|a \|c \|b x + a \|d x + c
+--R  /
+--R         2 2 +-+ +-+
+--R     4a c x \|a \|c
+--R                                                    Type: Expression(Integer)
+--E  52
+
+--S 53 of 1000
+--a0:=integrate(t0,x)
+--E  53
+
+--S 54 of 1000
+--m0:=a0-r0
+--E  54
+
+--S 55 of 1000
+--d0:=D(m0,x)
+--E  55
+
+)clear all
+
+--S 56 of 1000
+t0:=sqrt(a+b*x)/(x^4*sqrt(c+d*x))
+--R 
+--R
+--R          +-------+
+--R         \|b x + a
+--R   (1)  ------------
+--R         4 +-------+
+--R        x \|d x + c
+--R                                                    Type: Expression(Integer)
+--E  56
+
+--S 57 of 1000
+r0:=-1/8*(b*c-a*d)*(b^2*c^2+2*a*b*c*d+5*a^2*d^2)*atanh(sqrt(c)*sqrt(a+b*x)/_
+     (sqrt(a)*sqrt(c+d*x)))/(a^(5/2)*c^(7/2))-1/3*sqrt(a+b*x)*sqrt(c+d*x)/_
+     (c*x^3)-1/12*(b*c-5*a*d)*sqrt(a+b*x)*sqrt(c+d*x)/(a*c^2*x^2)+_
+     1/24*(3*b*c-5*a*d)*(b*c+3*a*d)*sqrt(a+b*x)*sqrt(c+d*x)/(a^2*c^3*x)
+--R 
+--R
+--R   (2)
+--R                                                       +-+ +-------+
+--R           3 3     2     2       2 2      3 3  3      \|c \|b x + a
+--R       (15a d  - 9a b c d  - 3a b c d - 3b c )x atanh(--------------)
+--R                                                       +-+ +-------+
+--R                                                      \|a \|d x + c
+--R     + 
+--R                2 2                2 2  2       2            2       2 2  +-+
+--R         ((- 15a d  + 4a b c d + 3b c )x  + (10a c d - 2a b c )x - 8a c )\|a
+--R      *
+--R          +-+ +-------+ +-------+
+--R         \|c \|b x + a \|d x + c
+--R  /
+--R        2 3 3 +-+ +-+
+--R     24a c x \|a \|c
+--R                                                    Type: Expression(Integer)
+--E  57
+
+--S 58 of 1000
+--a0:=integrate(t0,x)
+--E  58
+
+--S 59 of 1000
+--m0:=a0-r0
+--E  59
+
+--S 60 of 1000
+--d0:=D(m0,x)
+--E  60
+
+)clear all
+
+--S 61 of 1000
+t0:=sqrt(a+b*x)/(x^5*sqrt(c+d*x))
+--R 
+--R
+--R          +-------+
+--R         \|b x + a
+--R   (1)  ------------
+--R         5 +-------+
+--R        x \|d x + c
+--R                                                    Type: Expression(Integer)
+--E  61
+
+--S 62 of 1000
+r0:=1/64*(b*c-a*d)*(5*b^3*c^3+9*a*b^2*c^2*d+15*a^2*b*c*d^2+35*a^3*d^3)*_
+     atanh(sqrt(c)*sqrt(a+b*x)/(sqrt(a)*sqrt(c+d*x)))/(a^(7/2)*c^(9/2))-_
+     1/4*sqrt(a+b*x)*sqrt(c+d*x)/(c*x^4)-1/24*(b*c-7*a*d)*sqrt(a+b*x)*_
+     sqrt(c+d*x)/(a*c^2*x^3)+1/96*(5*b^2*c^2+6*a*b*c*d-35*a^2*d^2)*_
+     sqrt(a+b*x)*sqrt(c+d*x)/(a^2*c^3*x^2)-1/192*(15*b^3*c^3+17*a*b^2*c^2*d+_
+     25*a^2*b*c*d^2-105*a^3*d^3)*sqrt(a+b*x)*sqrt(c+d*x)/(a^3*c^4*x)
+--R 
+--R
+--R   (2)
+--R                4 4      3     3      2 2 2 2        3 3       4 4  4
+--R         (- 105a d  + 60a b c d  + 18a b c d  + 12a b c d + 15b c )x
+--R      *
+--R                +-+ +-------+
+--R               \|c \|b x + a
+--R         atanh(--------------)
+--R                +-+ +-------+
+--R               \|a \|d x + c
+--R     + 
+--R                3 3      2     2        2 2       3 3  3
+--R           (105a d  - 25a b c d  - 17a b c d - 15b c )x
+--R         + 
+--R               3   2      2   2         2 3  2       3 2      2   3        3 3
+--R         (- 70a c d  + 12a b c d + 10a b c )x  + (56a c d - 8a b c )x - 48a c
+--R      *
+--R          +-+ +-+ +-------+ +-------+
+--R         \|a \|c \|b x + a \|d x + c
+--R  /
+--R         3 4 4 +-+ +-+
+--R     192a c x \|a \|c
+--R                                                    Type: Expression(Integer)
+--E  62
+
+--S 63 of 1000
+--a0:=integrate(t0,x)
+--E  63
+
+--S 64 of 1000
+--m0:=a0-r0
+--E  64
+
+--S 65 of 1000
+--d0:=D(m0,x)
+--E  65
+
+)clear all
+
+--S 66 of 1000
+t0:=x^2*sqrt(a+b*x)/(c+d*x)^(3/2)
+--R 
+--R
+--R             2 +-------+
+--R            x \|b x + a
+--R   (1)  -------------------
+--R                  +-------+
+--R        (d x + c)\|d x + c
+--R                                                    Type: Expression(Integer)
+--E  66
+
+--S 67 of 1000
+r0:=1/4*(15*b^2*c^2-6*a*b*c*d-a^2*d^2)*atanh(sqrt(d)*sqrt(a+b*x)/(sqrt(b)*_
+     sqrt(c+d*x)))/(b^(3/2)*d^(7/2))+2*c^2*(a+b*x)^(3/2)/(d^2*(b*c-a*d)*_
+     sqrt(c+d*x))+1/2*(a+b*x)^(3/2)*sqrt(c+d*x)/(b*d^2)+1/4*(6*a*c-_
+     15*b*c^2/d+a^2*d/b)*sqrt(a+b*x)*sqrt(c+d*x)/(d^2*(b*c-a*d))
+--R 
+--R
+--R   (2)
+--R                                                    +-+ +-------+
+--R           2 2                 2 2  +-------+      \|d \|b x + a
+--R       (- a d  - 6a b c d + 15b c )\|d x + c atanh(--------------)
+--R                                                    +-+ +-------+
+--R                                                   \|b \|d x + c
+--R     + 
+--R            2 2       2                           2  +-+ +-+ +-------+
+--R       (2b d x  + (a d  - 5b c d)x + a c d - 15b c )\|b \|d \|b x + a
+--R  /
+--R         3 +-+ +-+ +-------+
+--R     4b d \|b \|d \|d x + c
+--R                                                    Type: Expression(Integer)
+--E  67
+
+--S 68 of 1000
+--a0:=integrate(t0,x)
+--E  68
+
+--S 69 of 1000
+--m0:=a0-r0
+--E  69
+
+--S 70 of 1000
+--d0:=D(m0,x)
+--E  70
+
+)clear all
+
+--S 71 of 1000
+t0:=x*sqrt(a+b*x)/(c+d*x)^(3/2)
+--R 
+--R
+--R              +-------+
+--R            x\|b x + a
+--R   (1)  -------------------
+--R                  +-------+
+--R        (d x + c)\|d x + c
+--R                                                    Type: Expression(Integer)
+--E  71
+
+--S 72 of 1000
+r0:=-(3*b*c-a*d)*atanh(sqrt(d)*sqrt(a+b*x)/(sqrt(b)*sqrt(c+d*x)))/_
+     (d^(5/2)*sqrt(b))-2*c*(a+b*x)^(3/2)/(d*(b*c-a*d)*sqrt(c+d*x))+_
+     (3*b*c-a*d)*sqrt(a+b*x)*sqrt(c+d*x)/(d^2*(b*c-a*d))
+--R 
+--R
+--R   (2)
+--R                                +-+ +-------+
+--R                +-------+      \|d \|b x + a                +-+ +-+ +-------+
+--R   (a d - 3b c)\|d x + c atanh(--------------) + (d x + 3c)\|b \|d \|b x + a
+--R                                +-+ +-------+
+--R                               \|b \|d x + c
+--R   --------------------------------------------------------------------------
+--R                               2 +-+ +-+ +-------+
+--R                              d \|b \|d \|d x + c
+--R                                                    Type: Expression(Integer)
+--E  72
+
+--S 73 of 1000
+--a0:=integrate(t0,x)
+--E  73
+
+--S 74 of 1000
+--m0:=a0-r0
+--E  74
+
+--S 75 of 1000
+--d0:=D(m0,x)
+--E  75
+
+)clear all
+
+--S 76 of 1000
+t0:=sqrt(a+b*x)/(c+d*x)^(3/2)
+--R 
+--R
+--R              +-------+
+--R             \|b x + a
+--R   (1)  -------------------
+--R                  +-------+
+--R        (d x + c)\|d x + c
+--R                                                    Type: Expression(Integer)
+--E  76
+
+--S 77 of 1000
+r0:=2*atanh(sqrt(d)*sqrt(a+b*x)/(sqrt(b)*sqrt(c+d*x)))*sqrt(b)/d^(3/2)-_
+     2*sqrt(a+b*x)/(d*sqrt(c+d*x))
+--R 
+--R
+--R                              +-+ +-------+
+--R          +-+ +-------+      \|d \|b x + a       +-+ +-------+
+--R        2\|b \|d x + c atanh(--------------) - 2\|d \|b x + a
+--R                              +-+ +-------+
+--R                             \|b \|d x + c
+--R   (2)  ------------------------------------------------------
+--R                              +-+ +-------+
+--R                            d\|d \|d x + c
+--R                                                    Type: Expression(Integer)
+--E  77
+
+--S 78 of 1000
+--a0:=integrate(t0,x)
+--E  78
+
+--S 79 of 1000
+--m0:=a0-r0
+--E  79
+
+--S 80 of 1000
+--d0:=D(m0,x)
+--E  80
+
+)clear all
+
+--S 81 of 1000
+t0:=sqrt(a+b*x)/(x*(c+d*x)^(3/2))
+--R 
+--R
+--R               +-------+
+--R              \|b x + a
+--R   (1)  ----------------------
+--R            2        +-------+
+--R        (d x  + c x)\|d x + c
+--R                                                    Type: Expression(Integer)
+--E  81
+
+--S 82 of 1000
+r0:=-2*atanh(sqrt(c)*sqrt(a+b*x)/(sqrt(a)*sqrt(c+d*x)))*sqrt(a)/c^(3/2)+_
+     2*sqrt(a+b*x)/(c*sqrt(c+d*x))
+--R 
+--R
+--R                                +-+ +-------+
+--R            +-+ +-------+      \|c \|b x + a       +-+ +-------+
+--R        - 2\|a \|d x + c atanh(--------------) + 2\|c \|b x + a
+--R                                +-+ +-------+
+--R                               \|a \|d x + c
+--R   (2)  --------------------------------------------------------
+--R                               +-+ +-------+
+--R                             c\|c \|d x + c
+--R                                                    Type: Expression(Integer)
+--E  82
+
+--S 83 of 1000
+--a0:=integrate(t0,x)
+--E  83
+
+--S 84 of 1000
+--m0:=a0-r0
+--E  84
+
+--S 85 of 1000
+--d0:=D(m0,x)
+--E  85
+
+)clear all
+
+--S 86 of 1000
+t0:=sqrt(a+b*x)/(x^2*(c+d*x)^(3/2))
+--R 
+--R
+--R                +-------+
+--R               \|b x + a
+--R   (1)  -----------------------
+--R            3      2  +-------+
+--R        (d x  + c x )\|d x + c
+--R                                                    Type: Expression(Integer)
+--E  86
+
+--S 87 of 1000
+r0:=-(b*c-3*a*d)*atanh(sqrt(c)*sqrt(a+b*x)/(sqrt(a)*sqrt(c+d*x)))/(c^(5/2)*_
+     sqrt(a))-3*d*sqrt(a+b*x)/(c^2*sqrt(c+d*x))-sqrt(a+b*x)/(c*x*sqrt(c+d*x))
+--R 
+--R
+--R   (2)
+--R                                 +-+ +-------+
+--R                 +-------+      \|c \|b x + a                  +-+ +-+ +-------+
+--R   (3a d - b c)x\|d x + c atanh(--------------) + (- 3d x - c)\|a \|c \|b x + a
+--R                                 +-+ +-------+
+--R                                \|a \|d x + c
+--R   -----------------------------------------------------------------------------
+--R                                2  +-+ +-+ +-------+
+--R                               c x\|a \|c \|d x + c
+--R                                                    Type: Expression(Integer)
+--E  87
+
+--S 88 of 1000
+--a0:=integrate(t0,x)
+--E  88
+
+--S 89 of 1000
+--m0:=a0-r0
+--E  89
+
+--S 90 of 1000
+--d0:=D(m0,x)
+--E  90
+
+)clear all
+
+--S 91 of 1000
+t0:=sqrt(a+b*x)/(x^3*(c+d*x)^(3/2))
+--R 
+--R
+--R                +-------+
+--R               \|b x + a
+--R   (1)  -----------------------
+--R            4      3  +-------+
+--R        (d x  + c x )\|d x + c
+--R                                                    Type: Expression(Integer)
+--E  91
+
+--S 92 of 1000
+r0:=1/4*(b^2*c^2+6*a*b*c*d-15*a^2*d^2)*atanh(sqrt(c)*sqrt(a+b*x)/(sqrt(a)*_
+     sqrt(c+d*x)))/(a^(3/2)*c^(7/2))-1/4*d*(b*c-15*a*d)*sqrt(a+b*x)/_
+     (a*c^3*sqrt(c+d*x))-1/2*sqrt(a+b*x)/(c*x^2*sqrt(c+d*x))-_
+     1/4*(b*c-5*a*d)*sqrt(a+b*x)/(a*c^2*x*sqrt(c+d*x))
+--R 
+--R
+--R   (2)
+--R                                                      +-+ +-------+
+--R             2 2               2 2  2 +-------+      \|c \|b x + a
+--R       (- 15a d  + 6a b c d + b c )x \|d x + c atanh(--------------)
+--R                                                      +-+ +-------+
+--R                                                     \|a \|d x + c
+--R     + 
+--R              2          2                2         2  +-+ +-+ +-------+
+--R       ((15a d  - b c d)x  + (5a c d - b c )x - 2a c )\|a \|c \|b x + a
+--R  /
+--R         3 2 +-+ +-+ +-------+
+--R     4a c x \|a \|c \|d x + c
+--R                                                    Type: Expression(Integer)
+--E  92
+
+--S 93 of 1000
+--a0:=integrate(t0,x)
+--E  93
+
+--S 94 of 1000
+--m0:=a0-r0
+--E  94
+
+--S 95 of 1000
+--d0:=D(m0,x)
+--E  95
+
+)clear all
+
+--S 96 of 1000
+t0:=x^3*sqrt(a+b*x)/(c+d*x)^(5/2)
+--R 
+--R
+--R                  3 +-------+
+--R                 x \|b x + a
+--R   (1)  ------------------------------
+--R          2 2             2  +-------+
+--R        (d x  + 2c d x + c )\|d x + c
+--R                                                    Type: Expression(Integer)
+--E  96
+
+--S 97 of 1000
+r0:=1/4*(35*b^2*c^2-10*a*b*c*d-a^2*d^2)*atanh(sqrt(d)*sqrt(a+b*x)/_
+     (sqrt(b)*sqrt(c+d*x)))/(b^(3/2)*d^(9/2))-2/3*x^3*sqrt(a+b*x)/_
+     (d*(c+d*x)^(3/2))-2/3*(7*b*c-6*a*d)*x^2*sqrt(a+b*x)/(d^2*(b*c-a*d)*_
+     sqrt(c+d*x))-1/12*(105*b^2*c^2-100*a*b*c*d+3*a^2*d^2)*sqrt(a+b*x)*_
+     sqrt(c+d*x)/(b*d^4*(b*c-a*d))+1/6*(35*b*c-31*a*d)*x*sqrt(a+b*x)*_
+     sqrt(c+d*x)/(d^3*(b*c-a*d))
+--R 
+--R
+--R   (2)
+--R                3 4      2     3         2 2 2       3 3        3   3
+--R           (- 3a d  - 27a b c d  + 135a b c d  - 105b c d)x - 3a c d
+--R         + 
+--R                2   2 2         2 3        3 4
+--R           - 27a b c d  + 135a b c d - 105b c
+--R      *
+--R                          +-+ +-------+
+--R          +-------+      \|d \|b x + a
+--R         \|d x + c atanh(--------------)
+--R                          +-+ +-------+
+--R                         \|b \|d x + c
+--R     + 
+--R                  4     2   3  3      2 4            3      2 2 2  2
+--R           (6a b d  - 6b c d )x  + (3a d  - 24a b c d  + 21b c d )x
+--R         + 
+--R              2   3           2 2       2 3        2 2 2           3        2 4
+--R           (6a c d  - 138a b c d  + 140b c d)x + 3a c d  - 100a b c d + 105b c
+--R      *
+--R          +-+ +-+ +-------+
+--R         \|b \|d \|b x + a
+--R  /
+--R              6      2   5              5      2 2 4  +-+ +-+ +-------+
+--R     ((12a b d  - 12b c d )x + 12a b c d  - 12b c d )\|b \|d \|d x + c
+--R                                                    Type: Expression(Integer)
+--E  97
+
+--S 98 of 1000
+--a0:=integrate(t0,x)
+--E  98
+
+--S 99 of 1000
+--m0:=a0-r0
+--E  99
+
+--S 100 of 1000
+--d0:=D(m0,x)
+--E  100
+
+)clear all
+
+--S 101 of 1000
+t0:=x^2*sqrt(a+b*x)/(c+d*x)^(5/2)
+--R 
+--R
+--R                  2 +-------+
+--R                 x \|b x + a
+--R   (1)  ------------------------------
+--R          2 2             2  +-------+
+--R        (d x  + 2c d x + c )\|d x + c
+--R                                                    Type: Expression(Integer)
+--E  101
+
+--S 102 of 1000
+r0:=2/3*c^2*(a+b*x)^(3/2)/(d^2*(b*c-a*d)*(c+d*x)^(3/2))-(5*b*c-a*d)*_
+     atanh(sqrt(d)*sqrt(a+b*x)/(sqrt(b)*sqrt(c+d*x)))/(d^(7/2)*sqrt(b))-_
+     4*c*(a+b*x)^(3/2)/(d^2*(b*c-a*d)*sqrt(c+d*x))+(5*b*c-a*d)*_
+     sqrt(a+b*x)*sqrt(c+d*x)/(d^3*(b*c-a*d))
+--R 
+--R
+--R   (2)
+--R             2 3            2      2 2        2   2          2       2 3
+--R         ((3a d  - 18a b c d  + 15b c d)x + 3a c d  - 18a b c d + 15b c )
+--R      *
+--R                          +-+ +-------+
+--R          +-------+      \|d \|b x + a
+--R         \|d x + c atanh(--------------)
+--R                          +-+ +-------+
+--R                         \|b \|d x + c
+--R     + 
+--R               3         2  2           2        2           2         3  +-+
+--R         ((3a d  - 3b c d )x  + (18a c d  - 20b c d)x + 13a c d - 15b c )\|b
+--R      *
+--R          +-+ +-------+
+--R         \|d \|b x + a
+--R  /
+--R           5         4           4       2 3  +-+ +-+ +-------+
+--R     ((3a d  - 3b c d )x + 3a c d  - 3b c d )\|b \|d \|d x + c
+--R                                                    Type: Expression(Integer)
+--E  102
+
+--S 103 of 1000
+--a0:=integrate(t0,x)
+--E  103
+
+--S 104 of 1000
+--m0:=a0-r0
+--E  104
+
+--S 105 of 1000
+--d0:=D(m0,x)
+--E  105
+
+)clear all
+
+--S 106 of 1000
+t0:=x*sqrt(a+b*x)/(c+d*x)^(5/2)
+--R 
+--R
+--R                    +-------+
+--R                  x\|b x + a
+--R   (1)  ------------------------------
+--R          2 2             2  +-------+
+--R        (d x  + 2c d x + c )\|d x + c
+--R                                                    Type: Expression(Integer)
+--E  106
+
+--S 107 of 1000
+r0:=-2/3*c*(a+b*x)^(3/2)/(d*(b*c-a*d)*(c+d*x)^(3/2))+2*atanh(sqrt(d)*_
+     sqrt(a+b*x)/(sqrt(b)*sqrt(c+d*x)))*sqrt(b)/d^(5/2)-2*sqrt(a+b*x)/_
+     (d^2*sqrt(c+d*x))
+--R 
+--R
+--R   (2)
+--R                                                                +-+ +-------+
+--R             2                           2  +-+ +-------+      \|d \|b x + a
+--R       ((6a d  - 6b c d)x + 6a c d - 6b c )\|b \|d x + c atanh(--------------)
+--R                                                                +-+ +-------+
+--R                                                               \|b \|d x + c
+--R     + 
+--R               2                           2  +-+ +-------+
+--R       ((- 6a d  + 8b c d)x - 4a c d + 6b c )\|d \|b x + a
+--R  /
+--R           4         3           3       2 2  +-+ +-------+
+--R     ((3a d  - 3b c d )x + 3a c d  - 3b c d )\|d \|d x + c
+--R                                                    Type: Expression(Integer)
+--E  107
+
+--S 108 of 1000
+--a0:=integrate(t0,x)
+--E  108
+
+--S 109 of 1000
+--m0:=a0-r0
+--E  109
+
+--S 110 of 1000
+--d0:=D(m0,x)
+--E  110
+
+)clear all
+
+--S 111 of 1000
+t0:=sqrt(a+b*x)/(c+d*x)^(5/2)
+--R 
+--R
+--R                   +-------+
+--R                  \|b x + a
+--R   (1)  ------------------------------
+--R          2 2             2  +-------+
+--R        (d x  + 2c d x + c )\|d x + c
+--R                                                    Type: Expression(Integer)
+--E  111
+
+--S 112 of 1000
+r0:=2/3*(a+b*x)^(3/2)/((b*c-a*d)*(c+d*x)^(3/2))
+--R 
+--R
+--R                                  +-------+
+--R                    (- 2b x - 2a)\|b x + a
+--R   (2)  ----------------------------------------------
+--R              2                           2  +-------+
+--R        ((3a d  - 3b c d)x + 3a c d - 3b c )\|d x + c
+--R                                                    Type: Expression(Integer)
+--E  112
+
+--S 113 of 1000 ok to fail, differs by a constant
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R              2        2  +-------+ +-------+             2  2 2
+--R       (- 8b c x - 8a c )\|b x + a \|d x + c  + (a c + 16a )d x
+--R     + 
+--R            2      2           3      2 2
+--R       (2a c  + 32a c)d x + a c  + 16a c
+--R  /
+--R           2 3        3 2  2         3 2        4           4         5
+--R     (12a c d  - 12b c d )x  + (24a c d  - 24b c d)x + 12a c d - 12b c
+--R                                         Type: Union(Expression(Integer),...)
+--E  113
+
+--S 114 of 1000 ok to fail, differs by a constant
+m0:=a0-r0
+--R 
+--R
+--R                    2
+--R           a c + 16a
+--R   (4)  ----------------
+--R             2         3
+--R        12a c d - 12b c
+--R                                                    Type: Expression(Integer)
+--E  114
+
+--S 115 of 1000
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E  115
+
+)clear all
+
+--S 116 of 1000
+t0:=sqrt(a+b*x)/(x*(c+d*x)^(5/2))
+--R 
+--R
+--R                    +-------+
+--R                   \|b x + a
+--R   (1)  --------------------------------
+--R          2 3         2    2   +-------+
+--R        (d x  + 2c d x  + c x)\|d x + c
+--R                                                    Type: Expression(Integer)
+--E  116
+
+--S 117 of 1000
+r0:=-2*atanh(sqrt(c)*sqrt(a+b*x)/(sqrt(a)*sqrt(c+d*x)))*sqrt(a)/c^(5/2)+_
+     2/3*sqrt(a+b*x)/(c*(c+d*x)^(3/2))+2/3*(2*b*c-3*a*d)*sqrt(a+b*x)/_
+     (c^2*(b*c-a*d)*sqrt(c+d*x))
+--R 
+--R
+--R   (2)
+--R                                                                  +-+ +-------+
+--R               2                           2  +-+ +-------+      \|c \|b x + a
+--R       ((- 6a d  + 6b c d)x - 6a c d + 6b c )\|a \|d x + c atanh(--------------)
+--R                                                                  +-+ +-------+
+--R                                                                 \|a \|d x + c
+--R     + 
+--R             2                           2  +-+ +-------+
+--R       ((6a d  - 4b c d)x + 8a c d - 6b c )\|c \|b x + a
+--R  /
+--R           2 2       3          3        4  +-+ +-------+
+--R     ((3a c d  - 3b c d)x + 3a c d - 3b c )\|c \|d x + c
+--R                                                    Type: Expression(Integer)
+--E  117
+
+--S 118 of 1000
+--a0:=integrate(t0,x)
+--E  118
+
+--S 119 of 1000
+--m0:=a0-r0
+--E  119
+
+--S 120 of 1000
+--d0:=D(m0,x)
+--E  120
+
+)clear all
+
+--S 121 of 1000
+t0:=sqrt(a+b*x)/(x^2*(c+d*x)^(5/2))
+--R 
+--R
+--R                     +-------+
+--R                    \|b x + a
+--R   (1)  ---------------------------------
+--R          2 4         3    2 2  +-------+
+--R        (d x  + 2c d x  + c x )\|d x + c
+--R                                                    Type: Expression(Integer)
+--E  121
+
+--S 122 of 1000
+r0:=-(b*c-5*a*d)*atanh(sqrt(c)*sqrt(a+b*x)/(sqrt(a)*sqrt(c+d*x)))/_
+     (c^(7/2)*sqrt(a))-5/3*d*sqrt(a+b*x)/(c^2*(c+d*x)^(3/2))-sqrt(a+b*x)/_
+     (c*x*(c+d*x)^(3/2))-1/3*d*(13*b*c-15*a*d)*sqrt(a+b*x)/_
+     (c^3*(b*c-a*d)*sqrt(c+d*x))
+--R 
+--R
+--R   (2)
+--R              2 3            2     2 2   2       2   2          2      2 3
+--R         ((15a d  - 18a b c d  + 3b c d)x  + (15a c d  - 18a b c d + 3b c )x)
+--R      *
+--R                          +-+ +-------+
+--R          +-------+      \|c \|b x + a
+--R         \|d x + c atanh(--------------)
+--R                          +-+ +-------+
+--R                         \|a \|d x + c
+--R     + 
+--R                  3          2  2             2        2          2        3
+--R         ((- 15a d  + 13b c d )x  + (- 20a c d  + 18b c d)x - 3a c d + 3b c )
+--R      *
+--R          +-+ +-+ +-------+
+--R         \|a \|c \|b x + a
+--R  /
+--R           3 2       4   2        4        5    +-+ +-+ +-------+
+--R     ((3a c d  - 3b c d)x  + (3a c d - 3b c )x)\|a \|c \|d x + c
+--R                                                    Type: Expression(Integer)
+--E  122
+
+--S 123 of 1000
+--a0:=integrate(t0,x)
+--E  123
+
+--S 124 of 1000
+--m0:=a0-r0
+--E  124
+
+--S 125 of 1000
+--d0:=D(m0,x)
+--E  125
+
+)clear all
+
+--S 126 of 1000
+t0:=sqrt(a+b*x)/(x^3*(c+d*x)^(5/2))
+--R 
+--R
+--R                     +-------+
+--R                    \|b x + a
+--R   (1)  ---------------------------------
+--R          2 5         4    2 3  +-------+
+--R        (d x  + 2c d x  + c x )\|d x + c
+--R                                                    Type: Expression(Integer)
+--E  126
+
+--S 127 of 1000
+r0:=1/4*(b^2*c^2+10*a*b*c*d-35*a^2*d^2)*atanh(sqrt(c)*sqrt(a+b*x)/_
+     (sqrt(a)*sqrt(c+d*x)))/(a^(3/2)*c^(9/2))-1/12*d*(3*b*c-35*a*d)*_
+     sqrt(a+b*x)/(a*c^3*(c+d*x)^(3/2))-1/2*sqrt(a+b*x)/(c*x^2*(c+d*x)^(3/2))-_
+     1/4*(b*c-7*a*d)*sqrt(a+b*x)/(a*c^2*x*(c+d*x)^(3/2))-_
+     1/12*d*(3*b^2*c^2-100*a*b*c*d+105*a^2*d^2)*sqrt(a+b*x)/_
+     (a*c^4*(b*c-a*d)*sqrt(c+d*x))
+--R 
+--R
+--R   (2)
+--R                  3 4       2     3        2 2 2     3 3   3
+--R           (- 105a d  + 135a b c d  - 27a b c d  - 3b c d)x
+--R         + 
+--R                  3   3       2   2 2        2 3      3 4  2
+--R           (- 105a c d  + 135a b c d  - 27a b c d - 3b c )x
+--R      *
+--R                          +-+ +-------+
+--R          +-------+      \|c \|b x + a
+--R         \|d x + c atanh(--------------)
+--R                          +-+ +-------+
+--R                         \|a \|d x + c
+--R     + 
+--R                2 4             3     2 2 2  3
+--R           (105a d  - 100a b c d  + 3b c d )x
+--R         + 
+--R                2   3           2 2     2 3   2
+--R           (140a c d  - 138a b c d  + 6b c d)x
+--R         + 
+--R               2 2 2          3      2 4       2 3          4
+--R           (21a c d  - 24a b c d + 3b c )x - 6a c d + 6a b c
+--R      *
+--R          +-+ +-+ +-------+
+--R         \|a \|c \|b x + a
+--R  /
+--R          2 4 2          5   3       2 5           6  2  +-+ +-+ +-------+
+--R     ((12a c d  - 12a b c d)x  + (12a c d - 12a b c )x )\|a \|c \|d x + c
+--R                                                    Type: Expression(Integer)
+--E  127
+
+--S 128 of 1000
+--a0:=integrate(t0,x)
+--E  128
+
+--S 129 of 1000
+--m0:=a0-r0
+--E  129
+
+--S 130 of 1000
+--d0:=D(m0,x)
+--E  130
+
+)clear all
+
+--S 131 of 1000
+t0:=x^2*(a+b*x)^(3/2)*sqrt(c+d*x)
+--R 
+--R
+--R            3      2  +-------+ +-------+
+--R   (1)  (b x  + a x )\|b x + a \|d x + c
+--R                                                    Type: Expression(Integer)
+--E  131
+
+--S 132 of 1000
+r0:=-1/40*(7*b*c+5*a*d)*(a+b*x)^(5/2)*(c+d*x)^(3/2)/(b^2*d^2)+_
+     1/5*x*(a+b*x)^(5/2)*(c+d*x)^(3/2)/(b*d)+1/128*(b*c-a*d)^3*_
+     (7*b^2*c^2+6*a*b*c*d+3*a^2*d^2)*atanh(sqrt(d)*sqrt(a+b*x)/_
+     (sqrt(b)*sqrt(c+d*x)))/(b^(7/2)*d^(9/2))+1/192*(b*c-a*d)*_
+     (7*b^2*c^2+6*a*b*c*d+3*a^2*d^2)*(a+b*x)^(3/2)*sqrt(c+d*x)/_
+     (b^3*d^3)+1/48*(7*b^2*c^2+6*a*b*c*d+3*a^2*d^2)*(a+b*x)^(5/2)*_
+     sqrt(c+d*x)/(b^3*d^2)-1/128*(b*c-a*d)^2*(7*b^2*c^2+6*a*b*c*d+_
+     3*a^2*d^2)*sqrt(a+b*x)*sqrt(c+d*x)/(b^3*d^4)
+--R 
+--R
+--R   (2)
+--R                  5 5      4     4      3 2 2 3      2 3 3 2         4 4
+--R             - 45a d  + 45a b c d  + 30a b c d  + 90a b c d  - 225a b c d
+--R           + 
+--R                 5 5
+--R             105b c
+--R      *
+--R                +-+ +-------+
+--R               \|d \|b x + a
+--R         atanh(--------------)
+--R                +-+ +-------+
+--R               \|b \|d x + c
+--R     + 
+--R               4 4 4          3 4      4   3  3
+--R           384b d x  + (528a b d  + 48b c d )x
+--R         + 
+--R               2 2 4        3   3      4 2 2  2
+--R           (24a b d  + 96a b c d  - 56b c d )x
+--R         + 
+--R                 3   4      2 2   3         3 2 2      4 3         4 4
+--R           (- 30a b d  + 18a b c d  - 122a b c d  + 70b c d)x + 45a d
+--R         + 
+--R                3     3      2 2 2 2         3 3        4 4
+--R           - 30a b c d  - 36a b c d  + 190a b c d - 105b c
+--R      *
+--R          +-+ +-+ +-------+ +-------+
+--R         \|b \|d \|b x + a \|d x + c
+--R  /
+--R          3 4 +-+ +-+
+--R     1920b d \|b \|d
+--R                                                    Type: Expression(Integer)
+--E  132
+
+--S 133 of 1000
+--a0:=integrate(t0,x)
+--E  133
+
+--S 134 of 1000
+--m0:=a0-r0
+--E  134
+
+--S 135 of 1000
+--d0:=D(m0,x)
+--E  135
+
+)clear all
+
+--S 136 of 1000
+t0:=x*(a+b*x)^(3/2)*sqrt(c+d*x)
+--R 
+--R
+--R            2        +-------+ +-------+
+--R   (1)  (b x  + a x)\|b x + a \|d x + c
+--R                                                    Type: Expression(Integer)
+--E  136
+
+--S 137 of 1000
+r0:=1/4*(a+b*x)^(5/2)*(c+d*x)^(3/2)/(b*d)-1/64*(b*c-a*d)^3*(5*b*c+3*a*d)*_
+     atanh(sqrt(d)*sqrt(a+b*x)/(sqrt(b)*sqrt(c+d*x)))/(b^(5/2)*d^(7/2))-_
+     1/96*(b*c-a*d)*(5*b*c+3*a*d)*(a+b*x)^(3/2)*sqrt(c+d*x)/(b^2*d^2)-_
+     1/24*(5*b*c+3*a*d)*(a+b*x)^(5/2)*sqrt(c+d*x)/(b^2*d)+1/64*(b*c-a*d)^2*_
+     (5*b*c+3*a*d)*sqrt(a+b*x)*sqrt(c+d*x)/(b^2*d^3)
+--R 
+--R
+--R   (2)
+--R            4 4      3     3      2 2 2 2        3 3       4 4
+--R         (9a d  - 12a b c d  - 18a b c d  + 36a b c d - 15b c )
+--R      *
+--R                +-+ +-------+
+--R               \|d \|b x + a
+--R         atanh(--------------)
+--R                +-+ +-------+
+--R               \|b \|d x + c
+--R     + 
+--R              3 3 3         2 3     3   2  2      2   3        2   2      3 2
+--R           48b d x  + (72a b d  + 8b c d )x  + (6a b d  + 20a b c d  - 10b c d)x
+--R         + 
+--R               3 3     2     2        2 2       3 3
+--R           - 9a d  + 9a b c d  - 31a b c d + 15b c
+--R      *
+--R          +-+ +-+ +-------+ +-------+
+--R         \|b \|d \|b x + a \|d x + c
+--R  /
+--R         2 3 +-+ +-+
+--R     192b d \|b \|d
+--R                                                    Type: Expression(Integer)
+--E  137
+
+--S 138 of 1000
+--a0:=integrate(t0,x)
+--E  138
+
+--S 139 of 1000
+--m0:=a0-r0
+--E  139
+
+--S 140 of 1000
+--d0:=D(m0,x)
+--E  140
+
+)clear all
+
+--S 141 of 1000
+t0:=(a+b*x)^(3/2)*sqrt(c+d*x)
+--R 
+--R
+--R                  +-------+ +-------+
+--R   (1)  (b x + a)\|b x + a \|d x + c
+--R                                                    Type: Expression(Integer)
+--E  141
+
+--S 142 of 1000
+r0:=1/8*(b*c-a*d)^3*atanh(sqrt(d)*sqrt(a+b*x)/(sqrt(b)*sqrt(c+d*x)))/_
+     (b^(3/2)*d^(5/2))+1/12*(b*c-a*d)*(a+b*x)^(3/2)*sqrt(c+d*x)/(b*d)+_
+     1/3*(a+b*x)^(5/2)*sqrt(c+d*x)/b-1/8*(b*c-a*d)^2*sqrt(a+b*x)*_
+     sqrt(c+d*x)/(b*d^2)
+--R 
+--R
+--R   (2)
+--R                                                      +-+ +-------+
+--R            3 3     2     2       2 2      3 3       \|d \|b x + a
+--R       (- 3a d  + 9a b c d  - 9a b c d + 3b c )atanh(--------------)
+--R                                                      +-+ +-------+
+--R                                                     \|b \|d x + c
+--R     + 
+--R            2 2 2           2     2          2 2                2 2  +-+ +-+
+--R         (8b d x  + (14a b d  + 2b c d)x + 3a d  + 8a b c d - 3b c )\|b \|d
+--R      *
+--R          +-------+ +-------+
+--R         \|b x + a \|d x + c
+--R  /
+--R          2 +-+ +-+
+--R     24b d \|b \|d
+--R                                                    Type: Expression(Integer)
+--E  142
+
+--S 143 of 1000
+--a0:=integrate(t0,x)
+--E  143
+
+--S 144 of 1000
+--m0:=a0-r0
+--E  144
+
+--S 145 of 1000
+--d0:=D(m0,x)
+--E  145
+
+)clear all
+
+--S 146 of 1000
+t0:=(a+b*x)^(3/2)*sqrt(c+d*x)/x
+--R 
+--R
+--R                  +-------+ +-------+
+--R        (b x + a)\|b x + a \|d x + c
+--R   (1)  -----------------------------
+--R                      x
+--R                                                    Type: Expression(Integer)
+--E  146
+
+--S 147 of 1000
+r0:=-1/4*(b^2*c^2-6*a*b*c*d-3*a^2*d^2)*atanh(sqrt(d)*sqrt(a+b*x)/(sqrt(b)*_
+     sqrt(c+d*x)))/(d^(3/2)*sqrt(b))-2*a^(3/2)*atanh(sqrt(c)*sqrt(a+b*x)/_
+     (sqrt(a)*sqrt(c+d*x)))*sqrt(c)+1/2*(a+b*x)^(3/2)*sqrt(c+d*x)+_
+     1/4*(b*c+3*a*d)*sqrt(a+b*x)*sqrt(c+d*x)/d
+--R 
+--R
+--R   (2)
+--R                                       +-+ +-------+
+--R          2 2               2 2       \|d \|b x + a
+--R       (3a d  + 6a b c d - b c )atanh(--------------)
+--R                                       +-+ +-------+
+--R                                      \|b \|d x + c
+--R     + 
+--R                                    +-+ +-------+
+--R              +-+ +-+ +-+ +-+      \|c \|b x + a
+--R       - 8a d\|a \|b \|c \|d atanh(--------------)
+--R                                    +-+ +-------+
+--R                                   \|a \|d x + c
+--R     + 
+--R                             +-+ +-+ +-------+ +-------+
+--R       (2b d x + 5a d + b c)\|b \|d \|b x + a \|d x + c
+--R  /
+--R        +-+ +-+
+--R     4d\|b \|d
+--R                                                    Type: Expression(Integer)
+--E  147
+
+--S 148 of 1000
+--a0:=integrate(t0,x)
+--E  148
+
+--S 149 of 1000
+--m0:=a0-r0
+--E  149
+
+--S 150 of 1000
+--d0:=D(m0,x)
+--E  150
+
+)clear all
+
+--S 151 of 1000
+t0:=(a+b*x)^(3/2)*sqrt(c+d*x)/x^2
+--R 
+--R
+--R                  +-------+ +-------+
+--R        (b x + a)\|b x + a \|d x + c
+--R   (1)  -----------------------------
+--R                       2
+--R                      x
+--R                                                    Type: Expression(Integer)
+--E  151
+
+--S 152 of 1000
+r0:=-(3*b*c+a*d)*atanh(sqrt(c)*sqrt(a+b*x)/(sqrt(a)*sqrt(c+d*x)))*sqrt(a)/_
+     sqrt(c)+(b*c+3*a*d)*atanh(sqrt(d)*sqrt(a+b*x)/(sqrt(b)*sqrt(c+d*x)))*_
+     sqrt(b)/sqrt(d)-(a+b*x)^(3/2)*sqrt(c+d*x)/x+2*b*sqrt(a+b*x)*sqrt(c+d*x)
+--R 
+--R
+--R   (2)
+--R                                   +-+ +-------+
+--R                     +-+ +-+      \|d \|b x + a
+--R       (3a d + b c)x\|b \|c atanh(--------------)
+--R                                   +-+ +-------+
+--R                                  \|b \|d x + c
+--R     + 
+--R                                     +-+ +-------+
+--R                       +-+ +-+      \|c \|b x + a
+--R       (- a d - 3b c)x\|a \|d atanh(--------------)
+--R                                     +-+ +-------+
+--R                                    \|a \|d x + c
+--R     + 
+--R                 +-+ +-+ +-------+ +-------+
+--R       (b x - a)\|c \|d \|b x + a \|d x + c
+--R  /
+--R       +-+ +-+
+--R     x\|c \|d
+--R                                                    Type: Expression(Integer)
+--E  152
+
+--S 153 of 1000
+--a0:=integrate(t0,x)
+--E  153
+
+--S 154 of 1000
+--m0:=a0-r0
+--E  154
+
+--S 155 of 1000
+--d0:=D(m0,x)
+--E  155
+
+)clear all
+
+--S 156 of 1000
+t0:=(a+b*x)^(3/2)*sqrt(c+d*x)/x^3
+--R 
+--R
+--R                  +-------+ +-------+
+--R        (b x + a)\|b x + a \|d x + c
+--R   (1)  -----------------------------
+--R                       3
+--R                      x
+--R                                                    Type: Expression(Integer)
+--E  156
+
+--S 157 of 1000
+r0:=-1/4*(3*b^2*c^2+6*a*b*c*d-a^2*d^2)*atanh(sqrt(c)*sqrt(a+b*x)/_
+     (sqrt(a)*sqrt(c+d*x)))/(c^(3/2)*sqrt(a))+2*b^(3/2)*atanh(sqrt(d)*_
+     sqrt(a+b*x)/(sqrt(b)*sqrt(c+d*x)))*sqrt(d)-1/2*(a+b*x)^(3/2)*_
+     sqrt(c+d*x)/x^2-1/4*(3*b*c+a*d)*sqrt(a+b*x)*sqrt(c+d*x)/(c*x)
+--R 
+--R
+--R   (2)
+--R                                     +-+ +-------+
+--R             2 +-+ +-+ +-+ +-+      \|d \|b x + a
+--R       8b c x \|a \|b \|c \|d atanh(--------------)
+--R                                     +-+ +-------+
+--R                                    \|b \|d x + c
+--R     + 
+--R                                         +-+ +-------+
+--R         2 2                2 2  2      \|c \|b x + a
+--R       (a d  - 6a b c d - 3b c )x atanh(--------------)
+--R                                         +-+ +-------+
+--R                                        \|a \|d x + c
+--R     + 
+--R                                +-+ +-+ +-------+ +-------+
+--R       ((- a d - 5b c)x - 2a c)\|a \|c \|b x + a \|d x + c
+--R  /
+--R         2 +-+ +-+
+--R     4c x \|a \|c
+--R                                                    Type: Expression(Integer)
+--E  157
+
+--S 158 of 1000
+--a0:=integrate(t0,x)
+--E  158
+
+--S 159 of 1000
+--m0:=a0-r0
+--E  159
+
+--S 160 of 1000
+--d0:=D(m0,x)
+--E  160
+
+)clear all
+
+--S 161 of 1000
+t0:=(a+b*x)^(3/2)*sqrt(c+d*x)/x^4
+--R 
+--R
+--R                  +-------+ +-------+
+--R        (b x + a)\|b x + a \|d x + c
+--R   (1)  -----------------------------
+--R                       4
+--R                      x
+--R                                                    Type: Expression(Integer)
+--E  161
+
+--S 162 of 1000
+r0:=-1/3*(a+b*x)^(3/2)*(c+d*x)^(3/2)/(c*x^3)+1/8*(b*c-a*d)^3*_
+     atanh(sqrt(c)*sqrt(a+b*x)/(sqrt(a)*sqrt(c+d*x)))/(a^(3/2)*c^(5/2))-_
+     1/4*(b*c-a*d)*(c+d*x)^(3/2)*sqrt(a+b*x)/(c^2*x^2)-1/8*(b*c-a*d)^2*_
+     sqrt(a+b*x)*sqrt(c+d*x)/(a*c^2*x)
+--R 
+--R
+--R   (2)
+--R                                                        +-+ +-------+
+--R            3 3     2     2       2 2      3 3  3      \|c \|b x + a
+--R       (- 3a d  + 9a b c d  - 9a b c d + 3b c )x atanh(--------------)
+--R                                                        +-+ +-------+
+--R                                                       \|a \|d x + c
+--R     + 
+--R             2 2                2 2  2        2             2       2 2  +-+ +-+
+--R         ((3a d  - 8a b c d - 3b c )x  + (- 2a c d - 14a b c )x - 8a c )\|a \|c
+--R      *
+--R          +-------+ +-------+
+--R         \|b x + a \|d x + c
+--R  /
+--R          2 3 +-+ +-+
+--R     24a c x \|a \|c
+--R                                                    Type: Expression(Integer)
+--E  162
+
+--S 163 of 1000
+--a0:=integrate(t0,x)
+--E  163
+
+--S 164 of 1000
+--m0:=a0-r0
+--E  164
+
+--S 165 of 1000
+--d0:=D(m0,x)
+--E  165
+
+)clear all
+
+--S 166 of 1000
+t0:=(a+b*x)^(3/2)*sqrt(c+d*x)/x^5
+--R 
+--R
+--R                  +-------+ +-------+
+--R        (b x + a)\|b x + a \|d x + c
+--R   (1)  -----------------------------
+--R                       5
+--R                      x
+--R                                                    Type: Expression(Integer)
+--E  166
+
+--S 167 of 1000
+r0:=-1/64*(b*c-a*d)^3*(3*b*c+5*a*d)*atanh(sqrt(c)*sqrt(a+b*x)/(sqrt(a)*_
+     sqrt(c+d*x)))/(a^(5/2)*c^(7/2))-1/4*(a+b*x)^(3/2)*sqrt(c+d*x)/x^4-_
+     1/24*(3*b*c+a*d)*sqrt(a+b*x)*sqrt(c+d*x)/(c*x^3)-1/96*(3*b^2*c/a+_
+     10*b*d-5*a*d^2/c)*sqrt(a+b*x)*sqrt(c+d*x)/(c*x^2)+1/192*(9*b^3*c^3-_
+     9*a*b^2*c^2*d+31*a^2*b*c*d^2-15*a^3*d^3)*sqrt(a+b*x)*_
+     sqrt(c+d*x)/(a^2*c^3*x)
+--R 
+--R
+--R   (2)
+--R             4 4      3     3      2 2 2 2        3 3      4 4  4
+--R         (15a d  - 36a b c d  + 18a b c d  + 12a b c d - 9b c )x
+--R      *
+--R                +-+ +-------+
+--R               \|c \|b x + a
+--R         atanh(--------------)
+--R                +-+ +-------+
+--R               \|a \|d x + c
+--R     + 
+--R                 3 3      2     2       2 2      3 3  3
+--R           (- 15a d  + 31a b c d  - 9a b c d + 9b c )x
+--R         + 
+--R               3   2      2   2        2 3  2        3 2       2   3        3 3
+--R           (10a c d  - 20a b c d - 6a b c )x  + (- 8a c d - 72a b c )x - 48a c
+--R      *
+--R          +-+ +-+ +-------+ +-------+
+--R         \|a \|c \|b x + a \|d x + c
+--R  /
+--R         2 3 4 +-+ +-+
+--R     192a c x \|a \|c
+--R                                                    Type: Expression(Integer)
+--E  167
+
+--S 168 of 1000
+--a0:=integrate(t0,x)
+--E  168
+
+--S 169 of 1000
+--m0:=a0-r0
+--E  169
+
+--S 170 of 1000
+--d0:=D(m0,x)
+--E  170
+
+)clear all
+
+--S 171 of 1000
+t0:=(a+b*x)^(3/2)*sqrt(c+d*x)/x^6
+--R 
+--R
+--R                  +-------+ +-------+
+--R        (b x + a)\|b x + a \|d x + c
+--R   (1)  -----------------------------
+--R                       6
+--R                      x
+--R                                                    Type: Expression(Integer)
+--E  171
+
+--S 172 of 1000
+r0:=1/128*(b*c-a*d)^3*(3*b^2*c^2+6*a*b*c*d+7*a^2*d^2)*atanh(sqrt(c)*_
+     sqrt(a+b*x)/(sqrt(a)*sqrt(c+d*x)))/(a^(7/2)*c^(9/2))-_
+     1/5*(a+b*x)^(3/2)*sqrt(c+d*x)/x^5-1/40*(3*b*c+a*d)*sqrt(a+b*x)*_
+     sqrt(c+d*x)/(c*x^4)-1/240*(3*b^2*c/a+12*b*d-7*a*d^2/c)*sqrt(a+b*x)*_
+     sqrt(c+d*x)/(c*x^3)+1/960*(15*b^3*c^3-9*a*b^2*c^2*d+61*a^2*b*c*d^2-_
+     35*a^3*d^3)*sqrt(a+b*x)*sqrt(c+d*x)/(a^2*c^3*x^2)-1/1920*(45*b^4*c^4-_
+     30*a*b^3*c^3*d-36*a^2*b^2*c^2*d^2+190*a^3*b*c*d^3-105*a^4*d^4)*_
+     sqrt(a+b*x)*sqrt(c+d*x)/(a^3*c^4*x)
+--R 
+--R
+--R   (2)
+--R                   5 5       4     4      3 2 2 3      2 3 3 2        4 4
+--R             - 105a d  + 225a b c d  - 90a b c d  - 30a b c d  - 45a b c d
+--R           + 
+--R                5 5
+--R             45b c
+--R      *
+--R                  +-+ +-------+
+--R          5      \|c \|b x + a
+--R         x atanh(--------------)
+--R                  +-+ +-------+
+--R                 \|a \|d x + c
+--R     + 
+--R                4 4       3     3      2 2 2 2        3 3       4 4  4
+--R           (105a d  - 190a b c d  + 36a b c d  + 30a b c d - 45b c )x
+--R         + 
+--R                 4   3       3   2 2      2 2 3         3 4  3
+--R           (- 70a c d  + 122a b c d  - 18a b c d + 30a b c )x
+--R         + 
+--R               4 2 2      3   3       2 2 4  2         4 3        3   4
+--R           (56a c d  - 96a b c d - 24a b c )x  + (- 48a c d - 528a b c )x
+--R         + 
+--R                 4 4
+--R           - 384a c
+--R      *
+--R          +-+ +-+ +-------+ +-------+
+--R         \|a \|c \|b x + a \|d x + c
+--R  /
+--R          3 4 5 +-+ +-+
+--R     1920a c x \|a \|c
+--R                                                    Type: Expression(Integer)
+--E  172
+
+--S 173 of 1000
+--a0:=integrate(t0,x)
+--E  173
+
+--S 174 of 1000
+--m0:=a0-r0
+--E  174
+
+--S 175 of 1000
+--d0:=D(m0,x)
+--E  175
+
+)clear all
+
+--S 176 of 1000
+t0:=x^2*(a+b*x)^(3/2)*(c+d*x)^(3/2)
+--R 
+--R
+--R              4               3        2  +-------+ +-------+
+--R   (1)  (b d x  + (a d + b c)x  + a c x )\|b x + a \|d x + c
+--R                                                    Type: Expression(Integer)
+--E  176
+
+--S 177 of 1000
+r0:=-1/96*(4*a*b*c*d-7*(b*c+a*d)^2)*(a+b*x)^(5/2)*(c+d*x)^(3/2)/(b^3*d^2)-_
+     7/60*(b*c+a*d)*(a+b*x)^(5/2)*(c+d*x)^(5/2)/(b^2*d^2)+1/6*x*_
+     (a+b*x)^(5/2)*(c+d*x)^(5/2)/(b*d)-1/512*(b*c-a*d)^4*(4*a*b*c*d-7*_
+     (b*c+a*d)^2)*atanh(sqrt(d)*sqrt(a+b*x)/(sqrt(b)*sqrt(c+d*x)))/_
+     (b^(9/2)*d^(9/2))-1/768*(b*c-a*d)^2*(4*a*b*c*d-7*(b*c+a*d)^2)*_
+     (a+b*x)^(3/2)*sqrt(c+d*x)/(b^4*d^3)-1/192*(b*c-a*d)*(4*a*b*c*d-_
+     7*(b*c+a*d)^2)*(a+b*x)^(5/2)*sqrt(c+d*x)/(b^4*d^2)+1/512*(b*c-a*d)^3*_
+     (4*a*b*c*d-7*(b*c+a*d)^2)*sqrt(a+b*x)*sqrt(c+d*x)/(b^4*d^4)
+--R 
+--R
+--R   (2)
+--R               6 6       5     5       4 2 2 4      3 3 3 3       2 4 4 2
+--R           105a d  - 270a b c d  + 135a b c d  + 60a b c d  + 135a b c d
+--R         + 
+--R                   5 5        6 6
+--R           - 270a b c d + 105b c
+--R      *
+--R                +-+ +-------+
+--R               \|d \|b x + a
+--R         atanh(--------------)
+--R                +-+ +-------+
+--R               \|b \|d x + c
+--R     + 
+--R                5 5 5           4 5        5   4  4
+--R           1280b d x  + (1664a b d  + 1664b c d )x
+--R         + 
+--R               2 3 5          4   4      5 2 3  3
+--R           (48a b d  + 2336a b c d  + 48b c d )x
+--R         + 
+--R                 3 2 5       2 3   4         4 2 3      5 3 2  2
+--R           (- 56a b d  + 120a b c d  + 120a b c d  - 56b c d )x
+--R         + 
+--R               4   5       3 2   4      2 3 2 3         4 3 2      5 4
+--R           (70a b d  - 152a b c d  + 36a b c d  - 152a b c d  + 70b c d)x
+--R         + 
+--R                 5 5       4     4      3 2 2 3      2 3 3 2         4 4
+--R           - 105a d  + 235a b c d  - 66a b c d  - 66a b c d  + 235a b c d
+--R         + 
+--R                 5 5
+--R           - 105b c
+--R      *
+--R          +-+ +-+ +-------+ +-------+
+--R         \|b \|d \|b x + a \|d x + c
+--R  /
+--R          4 4 +-+ +-+
+--R     7680b d \|b \|d
+--R                                                    Type: Expression(Integer)
+--E  177
+
+--S 178 of 1000
+--a0:=integrate(t0,x)
+--E  178
+
+--S 179 of 1000
+--m0:=a0-r0
+--E  179
+
+--S 180 of 1000
+--d0:=D(m0,x)
+--E  180
+
+)clear all
+
+--S 181 of 1000
+t0:=x*(a+b*x)^(3/2)*(c+d*x)^(3/2)
+--R 
+--R
+--R              3               2          +-------+ +-------+
+--R   (1)  (b d x  + (a d + b c)x  + a c x)\|b x + a \|d x + c
+--R                                                    Type: Expression(Integer)
+--E  181
+
+--S 182 of 1000
+r0:=-1/8*(b*c+a*d)*(a+b*x)^(5/2)*(c+d*x)^(3/2)/(b^2*d)+1/5*(a+b*x)^(5/2)*_
+     (c+d*x)^(5/2)/(b*d)-3/128*(b*c-a*d)^4*(b*c+a*d)*atanh(sqrt(d)*_
+     sqrt(a+b*x)/(sqrt(b)*sqrt(c+d*x)))/(b^(7/2)*d^(7/2))-1/64*_
+     (b*c-a*d)^2*(b*c+a*d)*(a+b*x)^(3/2)*sqrt(c+d*x)/(b^3*d^2)-_
+     1/16*(b*c-a*d)*(b*c+a*d)*(a+b*x)^(5/2)*sqrt(c+d*x)/(b^3*d)+_
+     3/128*(b*c-a*d)^3*(b*c+a*d)*sqrt(a+b*x)*sqrt(c+d*x)/(b^3*d^3)
+--R 
+--R
+--R   (2)
+--R               5 5      4     4      3 2 2 3      2 3 3 2        4 4       5 5
+--R         (- 15a d  + 45a b c d  - 30a b c d  - 30a b c d  + 45a b c d - 15b c )
+--R      *
+--R                +-+ +-------+
+--R               \|d \|b x + a
+--R         atanh(--------------)
+--R                +-+ +-------+
+--R               \|b \|d x + c
+--R     + 
+--R               4 4 4          3 4       4   3  3
+--R           128b d x  + (176a b d  + 176b c d )x
+--R         + 
+--R              2 2 4         3   3     4 2 2  2
+--R           (8a b d  + 272a b c d  + 8b c d )x
+--R         + 
+--R                 3   4      2 2   3        3 2 2      4 3         4 4
+--R           (- 10a b d  + 26a b c d  + 26a b c d  - 10b c d)x + 15a d
+--R         + 
+--R                3     3      2 2 2 2        3 3       4 4
+--R           - 40a b c d  + 18a b c d  - 40a b c d + 15b c
+--R      *
+--R          +-+ +-+ +-------+ +-------+
+--R         \|b \|d \|b x + a \|d x + c
+--R  /
+--R         3 3 +-+ +-+
+--R     640b d \|b \|d
+--R                                                    Type: Expression(Integer)
+--E  182
+
+--S 183 of 1000
+--a0:=integrate(t0,x)
+--E  183
+
+--S 184 of 1000
+--m0:=a0-r0
+--E  184
+
+--S 185 of 1000
+--d0:=D(m0,x)
+--E  185
+
+)clear all
+
+--S 186 of 1000
+t0:=(a+b*x)^(3/2)*(c+d*x)^(3/2)
+--R 
+--R
+--R              2                       +-------+ +-------+
+--R   (1)  (b d x  + (a d + b c)x + a c)\|b x + a \|d x + c
+--R                                                    Type: Expression(Integer)
+--E  186
+
+--S 187 of 1000
+r0:=1/4*(a+b*x)^(5/2)*(c+d*x)^(3/2)/b+3/64*(b*c-a*d)^4*atanh(sqrt(d)*_
+     sqrt(a+b*x)/(sqrt(b)*sqrt(c+d*x)))/(b^(5/2)*d^(5/2))+1/32*_
+     (b*c-a*d)^2*(a+b*x)^(3/2)*sqrt(c+d*x)/(b^2*d)+1/8*(b*c-a*d)*_
+     (a+b*x)^(5/2)*sqrt(c+d*x)/b^2-3/64*(b*c-a*d)^3*sqrt(a+b*x)*_
+     sqrt(c+d*x)/(b^2*d^2)
+--R 
+--R
+--R   (2)
+--R            4 4      3     3      2 2 2 2        3 3      4 4
+--R         (3a d  - 12a b c d  + 18a b c d  - 12a b c d + 3b c )
+--R      *
+--R                +-+ +-------+
+--R               \|d \|b x + a
+--R         atanh(--------------)
+--R                +-+ +-------+
+--R               \|b \|d x + c
+--R     + 
+--R              3 3 3         2 3      3   2  2      2   3        2   2     3 2
+--R           16b d x  + (24a b d  + 24b c d )x  + (2a b d  + 44a b c d  + 2b c d)x
+--R         + 
+--R               3 3      2     2        2 2      3 3
+--R           - 3a d  + 11a b c d  + 11a b c d - 3b c
+--R      *
+--R          +-+ +-+ +-------+ +-------+
+--R         \|b \|d \|b x + a \|d x + c
+--R  /
+--R        2 2 +-+ +-+
+--R     64b d \|b \|d
+--R                                                    Type: Expression(Integer)
+--E  187
+
+--S 188 of 1000
+--a0:=integrate(t0,x)
+--E  188
+
+--S 189 of 1000
+--m0:=a0-r0
+--E  189
+
+--S 190 of 1000
+--d0:=D(m0,x)
+--E  190
+
+)clear all
+
+--S 191 of 1000
+t0:=(a+b*x)^(3/2)*(c+d*x)^(3/2)/x
+--R 
+--R
+--R              2                       +-------+ +-------+
+--R        (b d x  + (a d + b c)x + a c)\|b x + a \|d x + c
+--R   (1)  -------------------------------------------------
+--R                                x
+--R                                                    Type: Expression(Integer)
+--E  191
+
+--S 192 of 1000
+r0:=1/3*(a+b*x)^(3/2)*(c+d*x)^(3/2)-2*a^(3/2)*c^(3/2)*atanh(sqrt(c)*_
+     sqrt(a+b*x)/(sqrt(a)*sqrt(c+d*x)))-1/8*(b*c+a*d)*(b^2*c^2-_
+     10*a*b*c*d+a^2*d^2)*atanh(sqrt(d)*sqrt(a+b*x)/(sqrt(b)*_
+     sqrt(c+d*x)))/(b^(3/2)*d^(3/2))+1/4*(b*c+a*d)*(c+d*x)^(3/2)*_
+     sqrt(a+b*x)/d+1/8*(8*a*c-b*c^2/d+a^2*d/b)*sqrt(a+b*x)*sqrt(c+d*x)
+--R 
+--R
+--R   (2)
+--R                                                        +-+ +-------+
+--R            3 3      2     2        2 2      3 3       \|d \|b x + a
+--R       (- 3a d  + 27a b c d  + 27a b c d - 3b c )atanh(--------------)
+--R                                                        +-+ +-------+
+--R                                                       \|b \|d x + c
+--R     + 
+--R                                         +-+ +-------+
+--R                   +-+ +-+ +-+ +-+      \|c \|b x + a
+--R       - 48a b c d\|a \|b \|c \|d atanh(--------------)
+--R                                         +-+ +-------+
+--R                                        \|a \|d x + c
+--R     + 
+--R            2 2 2           2      2          2 2                 2 2  +-+ +-+
+--R         (8b d x  + (14a b d  + 14b c d)x + 3a d  + 38a b c d + 3b c )\|b \|d
+--R      *
+--R          +-------+ +-------+
+--R         \|b x + a \|d x + c
+--R  /
+--R           +-+ +-+
+--R     24b d\|b \|d
+--R                                                    Type: Expression(Integer)
+--E  192
+
+--S 193 of 1000
+--a0:=integrate(t0,x)
+--E  193
+
+--S 194 of 1000
+--m0:=a0-r0
+--E  194
+
+--S 195 of 1000
+--d0:=D(m0,x)
+--E  195
+
+)clear all
+
+--S 196 of 1000
+t0:=(a+b*x)^(3/2)*(c+d*x)^(3/2)/x^2
+--R 
+--R
+--R              2                       +-------+ +-------+
+--R        (b d x  + (a d + b c)x + a c)\|b x + a \|d x + c
+--R   (1)  -------------------------------------------------
+--R                                 2
+--R                                x
+--R                                                    Type: Expression(Integer)
+--E  196
+
+--S 197 of 1000
+r0:=-(a+b*x)^(3/2)*(c+d*x)^(3/2)/x-3*(b*c+a*d)*atanh(sqrt(c)*sqrt(a+b*x)/_
+     (sqrt(a)*sqrt(c+d*x)))*sqrt(a)*sqrt(c)+3/4*(b^2*c^2+6*a*b*c*d+a^2*d^2)*_
+     atanh(sqrt(d)*sqrt(a+b*x)/(sqrt(b)*sqrt(c+d*x)))/(sqrt(b)*sqrt(d))+_
+     3/2*b*(c+d*x)^(3/2)*sqrt(a+b*x)+3/4*(b*c+3*a*d)*sqrt(a+b*x)*sqrt(c+d*x)
+--R 
+--R
+--R   (2)
+--R                                           +-+ +-------+
+--R          2 2                 2 2         \|d \|b x + a
+--R       (3a d  + 18a b c d + 3b c )x atanh(--------------)
+--R                                           +-+ +-------+
+--R                                          \|b \|d x + c
+--R     + 
+--R                                                +-+ +-------+
+--R                          +-+ +-+ +-+ +-+      \|c \|b x + a
+--R       (- 12a d - 12b c)x\|a \|b \|c \|d atanh(--------------)
+--R                                                +-+ +-------+
+--R                                               \|a \|d x + c
+--R     + 
+--R              2                          +-+ +-+ +-------+ +-------+
+--R       (2b d x  + (5a d + 5b c)x - 4a c)\|b \|d \|b x + a \|d x + c
+--R  /
+--R        +-+ +-+
+--R     4x\|b \|d
+--R                                                    Type: Expression(Integer)
+--E  197
+
+--S 198 of 1000
+--a0:=integrate(t0,x)
+--E  198
+
+--S 199 of 1000
+--m0:=a0-r0
+--E  199
+
+--S 200 of 1000
+--d0:=D(m0,x)
+--E  200
+
+)clear all
+
+--S 201 of 1000
+t0:=(a+b*x)^(3/2)*(c+d*x)^(3/2)/x^3
+--R 
+--R
+--R              2                       +-------+ +-------+
+--R        (b d x  + (a d + b c)x + a c)\|b x + a \|d x + c
+--R   (1)  -------------------------------------------------
+--R                                 3
+--R                                x
+--R                                                    Type: Expression(Integer)
+--E  201
+
+--S 202 of 1000
+r0:=-1/2*(a+b*x)^(3/2)*(c+d*x)^(3/2)/x^2-3/4*(b^2*c^2+6*a*b*c*d+a^2*d^2)*_
+     atanh(sqrt(c)*sqrt(a+b*x)/(sqrt(a)*sqrt(c+d*x)))/(sqrt(a)*sqrt(c))+_
+     3*(b*c+a*d)*atanh(sqrt(d)*sqrt(a+b*x)/(sqrt(b)*sqrt(c+d*x)))*_
+     sqrt(b)*sqrt(d)-3/4*(b*c+a*d)*(c+d*x)^(3/2)*sqrt(a+b*x)/(c*x)+_
+     3/4*d*(3*b*c+a*d)*sqrt(a+b*x)*sqrt(c+d*x)/c
+--R 
+--R
+--R   (2)
+--R                                               +-+ +-------+
+--R                       2 +-+ +-+ +-+ +-+      \|d \|b x + a
+--R       (12a d + 12b c)x \|a \|b \|c \|d atanh(--------------)
+--R                                               +-+ +-------+
+--R                                              \|b \|d x + c
+--R     + 
+--R                                             +-+ +-------+
+--R            2 2                 2 2  2      \|c \|b x + a
+--R       (- 3a d  - 18a b c d - 3b c )x atanh(--------------)
+--R                                             +-+ +-------+
+--R                                            \|a \|d x + c
+--R     + 
+--R              2                            +-+ +-+ +-------+ +-------+
+--R       (4b d x  + (- 5a d - 5b c)x - 2a c)\|a \|c \|b x + a \|d x + c
+--R  /
+--R       2 +-+ +-+
+--R     4x \|a \|c
+--R                                                    Type: Expression(Integer)
+--E  202
+
+--S 203 of 1000
+--a0:=integrate(t0,x)
+--E  203
+
+--S 204 of 1000
+--m0:=a0-r0
+--E  204
+
+--S 205 of 1000
+--d0:=D(m0,x)
+--E  205
+
+)clear all
+
+--S 206 of 1000
+t0:=(a+b*x)^(3/2)*(c+d*x)^(3/2)/x^4
+--R 
+--R
+--R              2                       +-------+ +-------+
+--R        (b d x  + (a d + b c)x + a c)\|b x + a \|d x + c
+--R   (1)  -------------------------------------------------
+--R                                 4
+--R                                x
+--R                                                    Type: Expression(Integer)
+--E  206
+
+--S 207 of 1000
+r0:=-1/3*(a+b*x)^(3/2)*(c+d*x)^(3/2)/x^3+1/8*(b*c+a*d)*(b^2*c^2-_
+     10*a*b*c*d+a^2*d^2)*atanh(sqrt(c)*sqrt(a+b*x)/(sqrt(a)*sqrt(c+d*x)))/_
+     (a^(3/2)*c^(3/2))+2*b^(3/2)*d^(3/2)*atanh(sqrt(d)*sqrt(a+b*x)/_
+     (sqrt(b)*sqrt(c+d*x)))-1/4*(b*c+a*d)*(c+d*x)^(3/2)*sqrt(a+b*x)/_
+     (c*x^2)-1/8*(b^2*c/a+8*b*d-a*d^2/c)*sqrt(a+b*x)*sqrt(c+d*x)/x
+--R 
+--R
+--R   (2)
+--R                                          +-+ +-------+
+--R                  3 +-+ +-+ +-+ +-+      \|d \|b x + a
+--R       48a b c d x \|a \|b \|c \|d atanh(--------------)
+--R                                          +-+ +-------+
+--R                                         \|b \|d x + c
+--R     + 
+--R                                                        +-+ +-------+
+--R          3 3      2     2        2 2      3 3  3      \|c \|b x + a
+--R       (3a d  - 27a b c d  - 27a b c d + 3b c )x atanh(--------------)
+--R                                                        +-+ +-------+
+--R                                                       \|a \|d x + c
+--R     + 
+--R               2 2                 2 2  2         2             2       2 2  +-+
+--R         ((- 3a d  - 38a b c d - 3b c )x  + (- 14a c d - 14a b c )x - 8a c )\|a
+--R      *
+--R          +-+ +-------+ +-------+
+--R         \|c \|b x + a \|d x + c
+--R  /
+--R            3 +-+ +-+
+--R     24a c x \|a \|c
+--R                                                    Type: Expression(Integer)
+--E  207
+
+--S 208 of 1000
+--a0:=integrate(t0,x)
+--E  208
+
+--S 209 of 1000
+--m0:=a0-r0
+--E  209
+
+--S 210 of 1000
+--d0:=D(m0,x)
+--E  210
+
+)clear all
+
+--S 211 of 1000
+t0:=(a+b*x)^(3/2)*(c+d*x)^(3/2)/x^5
+--R 
+--R
+--R              2                       +-------+ +-------+
+--R        (b d x  + (a d + b c)x + a c)\|b x + a \|d x + c
+--R   (1)  -------------------------------------------------
+--R                                 5
+--R                                x
+--R                                                    Type: Expression(Integer)
+--E  211
+
+--S 212 of 1000
+r0:=-1/4*(a+b*x)^(3/2)*(c+d*x)^(5/2)/(c*x^4)-3/64*(b*c-a*d)^4*_
+     atanh(sqrt(c)*sqrt(a+b*x)/(sqrt(a)*sqrt(c+d*x)))/(a^(5/2)*c^(5/2))-_
+     1/32*(b*c-a*d)^2*(c+d*x)^(3/2)*sqrt(a+b*x)/(a*c^2*x^2)-1/8*(b*c-a*d)*_
+     (c+d*x)^(5/2)*sqrt(a+b*x)/(c^2*x^3)+3/64*(b*c-a*d)^3*sqrt(a+b*x)*_
+     sqrt(c+d*x)/(a^2*c^2*x)
+--R 
+--R
+--R   (2)
+--R              4 4      3     3      2 2 2 2        3 3      4 4  4
+--R         (- 3a d  + 12a b c d  - 18a b c d  + 12a b c d - 3b c )x
+--R      *
+--R                +-+ +-------+
+--R               \|c \|b x + a
+--R         atanh(--------------)
+--R                +-+ +-------+
+--R               \|a \|d x + c
+--R     + 
+--R              3 3      2     2        2 2      3 3  3
+--R           (3a d  - 11a b c d  - 11a b c d + 3b c )x
+--R         + 
+--R              3   2      2   2        2 3  2         3 2       2   3        3 3
+--R         (- 2a c d  - 44a b c d - 2a b c )x  + (- 24a c d - 24a b c )x - 16a c
+--R      *
+--R          +-+ +-+ +-------+ +-------+
+--R         \|a \|c \|b x + a \|d x + c
+--R  /
+--R        2 2 4 +-+ +-+
+--R     64a c x \|a \|c
+--R                                                    Type: Expression(Integer)
+--E  212
+
+--S 213 of 1000
+--a0:=integrate(t0,x)
+--E  213
+
+--S 214 of 1000
+--m0:=a0-r0
+--E  214
+
+--S 215 of 1000
+--d0:=D(m0,x)
+--E  215
+
+)clear all
+
+--S 216 of 1000
+t0:=(a+b*x)^(3/2)*(c+d*x)^(3/2)/x^6
+--R 
+--R
+--R              2                       +-------+ +-------+
+--R        (b d x  + (a d + b c)x + a c)\|b x + a \|d x + c
+--R   (1)  -------------------------------------------------
+--R                                 6
+--R                                x
+--R                                                    Type: Expression(Integer)
+--E  216
+
+--S 217 of 1000
+r0:=-1/5*(a+b*x)^(3/2)*(c+d*x)^(3/2)/x^5+3/128*(b*c-a*d)^4*(b*c+a*d)*_
+     atanh(sqrt(c)*sqrt(a+b*x)/(sqrt(a)*sqrt(c+d*x)))/(a^(7/2)*c^(7/2))-_
+     3/40*(b*c+a*d)*(c+d*x)^(3/2)*sqrt(a+b*x)/(c*x^4)-1/80*(b^2*c/a+12*b*d-_
+     5*a*d^2/c)*sqrt(a+b*x)*sqrt(c+d*x)/x^3+1/320*(b*c+a*d)*(5*b^2*c^2-_
+     18*a*b*c*d+5*a^2*d^2)*sqrt(a+b*x)*sqrt(c+d*x)/(a^2*c^2*x^2)-_
+     1/640*(15*b^4*c^4-40*a*b^3*c^3*d+18*a^2*b^2*c^2*d^2-40*a^3*b*c*d^3+_
+     15*a^4*d^4)*sqrt(a+b*x)*sqrt(c+d*x)/(a^3*c^3*x)
+--R 
+--R
+--R   (2)
+--R             5 5      4     4      3 2 2 3      2 3 3 2        4 4       5 5  5
+--R         (15a d  - 45a b c d  + 30a b c d  + 30a b c d  - 45a b c d + 15b c )x
+--R      *
+--R                +-+ +-------+
+--R               \|c \|b x + a
+--R         atanh(--------------)
+--R                +-+ +-------+
+--R               \|a \|d x + c
+--R     + 
+--R                 4 4      3     3      2 2 2 2        3 3       4 4  4
+--R           (- 15a d  + 40a b c d  - 18a b c d  + 40a b c d - 15b c )x
+--R         + 
+--R               4   3      3   2 2      2 2 3         3 4  3
+--R           (10a c d  - 26a b c d  - 26a b c d + 10a b c )x
+--R         + 
+--R                4 2 2       3   3      2 2 4  2          4 3        3   4
+--R           (- 8a c d  - 272a b c d - 8a b c )x  + (- 176a c d - 176a b c )x
+--R         + 
+--R                 4 4
+--R           - 128a c
+--R      *
+--R          +-+ +-+ +-------+ +-------+
+--R         \|a \|c \|b x + a \|d x + c
+--R  /
+--R         3 3 5 +-+ +-+
+--R     640a c x \|a \|c
+--R                                                    Type: Expression(Integer)
+--E  217
+
+--S 218 of 1000
+--a0:=integrate(t0,x)
+--E  218
+
+--S 219 of 1000
+--m0:=a0-r0
+--E  219
+
+--S 220 of 1000
+--d0:=D(m0,x)
+--E  220
+
+)clear all
+
+--S 221 of 1000
+t0:=x^2*(a+b*x)^(3/2)*(c+d*x)^(5/2)
+--R 
+--R
+--R   (1)
+--R       2 5       2           4                2  3      2 2  +-------+ +-------+
+--R   (b d x  + (a d  + 2b c d)x  + (2a c d + b c )x  + a c x )\|b x + a \|d x + c
+--R                                                    Type: Expression(Integer)
+--E  221
+
+--S 222 of 1000
+r0:=1/192*(b*c-a*d)*(5*b^2*c^2+10*a*b*c*d+9*a^2*d^2)*(a+b*x)^(5/2)*_
+     (c+d*x)^(3/2)/(b^4*d^2)+1/120*(5*b^2*c^2+10*a*b*c*d+9*a^2*d^2)*_
+     (a+b*x)^(5/2)*(c+d*x)^(5/2)/(b^3*d^2)-1/84*(7*b*c+9*a*d)*_
+     (a+b*x)^(5/2)*(c+d*x)^(7/2)/(b^2*d^2)+1/7*x*(a+b*x)^(5/2)*_
+     (c+d*x)^(7/2)/(b*d)+1/1024*(b*c-a*d)^5*(5*b^2*c^2+10*a*b*c*d+_
+     9*a^2*d^2)*atanh(sqrt(d)*sqrt(a+b*x)/(sqrt(b)*sqrt(c+d*x)))/_
+     (b^(11/2)*d^(9/2))+1/1536*(b*c-a*d)^3*(5*b^2*c^2+10*a*b*c*d+_
+     9*a^2*d^2)*(a+b*x)^(3/2)*sqrt(c+d*x)/(b^5*d^3)+1/384*(b*c-a*d)^2*_
+     (5*b^2*c^2+10*a*b*c*d+9*a^2*d^2)*(a+b*x)^(5/2)*sqrt(c+d*x)/(b^5*d^2)-_
+     1/1024*(b*c-a*d)^4*(5*b^2*c^2+10*a*b*c*d+9*a^2*d^2)*sqrt(a+b*x)*_
+     sqrt(c+d*x)/(b^5*d^4)
+--R 
+--R
+--R   (2)
+--R                 7 7        6     6        5 2 2 5        4 3 3 4       3 4 4 3
+--R           - 945a d  + 3675a b c d  - 4725a b c d  + 1575a b c d  + 525a b c d
+--R         + 
+--R               2 5 5 2          6 6        7 7
+--R           945a b c d  - 1575a b c d + 525b c
+--R      *
+--R                +-+ +-------+
+--R               \|d \|b x + a
+--R         atanh(--------------)
+--R                +-+ +-------+
+--R               \|b \|d x + c
+--R     + 
+--R                 6 6 6            5 6         6   5  5
+--R           15360b d x  + (19200a b d  + 37120b c d )x
+--R         + 
+--R                2 4 6           5   5         6 2 4  4
+--R           (384a b d  + 48640a b c d  + 23680b c d )x
+--R         + 
+--R                  3 3 6        2 4   5           5 2 4       6 3 3  3
+--R           (- 432a b d  + 1488a b c d  + 33520a b c d  + 240b c d )x
+--R         + 
+--R                4 2 6        3 3   5        2 4 2 4         5 3 3       6 4 2  2
+--R           (504a b d  - 1744a b c d  + 1824a b c d  + 720a b c d  - 280b c d )x
+--R         + 
+--R                     5   6        4 2   5        3 3 2 4       2 4 3 3
+--R               - 630a b d  + 2198a b c d  - 2332a b c d  + 300a b c d
+--R             + 
+--R                       5 4 2       6 5
+--R               - 910a b c d  + 350b c d
+--R          *
+--R             x
+--R         + 
+--R               6 6        5     5        4 2 2 4       3 3 3 3       2 4 4 2
+--R           945a d  - 3360a b c d  + 3689a b c d  - 600a b c d  - 525a b c d
+--R         + 
+--R                  5 5        6 6
+--R           1400a b c d - 525b c
+--R      *
+--R          +-+ +-+ +-------+ +-------+
+--R         \|b \|d \|b x + a \|d x + c
+--R  /
+--R            5 4 +-+ +-+
+--R     107520b d \|b \|d
+--R                                                    Type: Expression(Integer)
+--E  222
+
+--S 223 of 1000
+--a0:=integrate(t0,x)
+--E  223
+
+--S 224 of 1000
+--m0:=a0-r0
+--E  224
+
+--S 225 of 1000
+--d0:=D(m0,x)
+--E  225
+
+)clear all
+
+--S 226 of 1000
+t0:=x*(a+b*x)^(3/2)*(c+d*x)^(5/2)
+--R 
+--R
+--R   (1)
+--R       2 4       2           3                2  2      2   +-------+ +-------+
+--R   (b d x  + (a d  + 2b c d)x  + (2a c d + b c )x  + a c x)\|b x + a \|d x + c
+--R                                                    Type: Expression(Integer)
+--E  226
+
+--S 227 of 1000
+r0:=-1/96*(b*c-a*d)*(5*b*c+7*a*d)*(a+b*x)^(5/2)*(c+d*x)^(3/2)/(b^3*d)-_
+     1/60*(5*b*c+7*a*d)*(a+b*x)^(5/2)*(c+d*x)^(5/2)/(b^2*d)+_
+     1/6*(a+b*x)^(5/2)*(c+d*x)^(7/2)/(b*d)-1/512*(b*c-a*d)^5*_
+     (5*b*c+7*a*d)*atanh(sqrt(d)*sqrt(a+b*x)/(sqrt(b)*sqrt(c+d*x)))/_
+     (b^(9/2)*d^(7/2))-1/768*(b*c-a*d)^3*(5*b*c+7*a*d)*(a+b*x)^(3/2)*_
+     sqrt(c+d*x)/(b^4*d^2)-1/192*(b*c-a*d)^2*(5*b*c+7*a*d)*(a+b*x)^(5/2)*_
+     sqrt(c+d*x)/(b^4*d)+1/512*(b*c-a*d)^4*(5*b*c+7*a*d)*sqrt(a+b*x)*_
+     sqrt(c+d*x)/(b^4*d^3)
+--R 
+--R
+--R   (2)
+--R               6 6       5     5       4 2 2 4       3 3 3 3       2 4 4 2
+--R           105a d  - 450a b c d  + 675a b c d  - 300a b c d  - 225a b c d
+--R         + 
+--R                 5 5       6 6
+--R           270a b c d - 75b c
+--R      *
+--R                +-+ +-------+
+--R               \|d \|b x + a
+--R         atanh(--------------)
+--R                +-+ +-------+
+--R               \|b \|d x + c
+--R     + 
+--R                5 5 5           4 5        5   4  4
+--R           1280b d x  + (1664a b d  + 3200b c d )x
+--R         + 
+--R               2 3 5          4   4        5 2 3  3
+--R           (48a b d  + 4448a b c d  + 2160b c d )x
+--R         + 
+--R                 3 2 5       2 3   4          4 2 3      5 3 2  2
+--R           (- 56a b d  + 216a b c d  + 3384a b c d  + 40b c d )x
+--R         + 
+--R               4   5       3 2   4       2 3 2 3         4 3 2      5 4
+--R           (70a b d  - 272a b c d  + 348a b c d  + 160a b c d  - 50b c d)x
+--R         + 
+--R                 5 5       4     4       3 2 2 3       2 3 3 2         4 4
+--R           - 105a d  + 415a b c d  - 546a b c d  + 150a b c d  - 245a b c d
+--R         + 
+--R              5 5
+--R           75b c
+--R      *
+--R          +-+ +-+ +-------+ +-------+
+--R         \|b \|d \|b x + a \|d x + c
+--R  /
+--R          4 3 +-+ +-+
+--R     7680b d \|b \|d
+--R                                                    Type: Expression(Integer)
+--E  227
+
+--S 228 of 1000
+--a0:=integrate(t0,x)
+--E  228
+
+--S 229 of 1000
+--m0:=a0-r0
+--E  229
+
+--S 230 of 1000
+--d0:=D(m0,x)
+--E  230
+
+)clear all
+
+--S 231 of 1000
+t0:=(a+b*x)^(3/2)*(c+d*x)^(5/2)
+--R 
+--R
+--R   (1)
+--R       2 3       2           2                2        2  +-------+ +-------+
+--R   (b d x  + (a d  + 2b c d)x  + (2a c d + b c )x + a c )\|b x + a \|d x + c
+--R                                                    Type: Expression(Integer)
+--E  231
+
+--S 232 of 1000
+r0:=1/8*(b*c-a*d)*(a+b*x)^(5/2)*(c+d*x)^(3/2)/b^2+1/5*(a+b*x)^(5/2)*_
+     (c+d*x)^(5/2)/b+3/128*(b*c-a*d)^5*atanh(sqrt(d)*sqrt(a+b*x)/_
+     (sqrt(b)*sqrt(c+d*x)))/(b^(7/2)*d^(5/2))+1/64*(b*c-a*d)^3*_
+     (a+b*x)^(3/2)*sqrt(c+d*x)/(b^3*d)+1/16*(b*c-a*d)^2*(a+b*x)^(5/2)*_
+     sqrt(c+d*x)/b^3-3/128*(b*c-a*d)^4*sqrt(a+b*x)*sqrt(c+d*x)/(b^3*d^2)
+--R 
+--R
+--R   (2)
+--R                  5 5      4     4       3 2 2 3       2 3 3 2        4 4
+--R             - 15a d  + 75a b c d  - 150a b c d  + 150a b c d  - 75a b c d
+--R           + 
+--R                5 5
+--R             15b c
+--R      *
+--R                +-+ +-------+
+--R               \|d \|b x + a
+--R         atanh(--------------)
+--R                +-+ +-------+
+--R               \|b \|d x + c
+--R     + 
+--R               4 4 4          3 4       4   3  3
+--R           128b d x  + (176a b d  + 336b c d )x
+--R         + 
+--R              2 2 4         3   3       4 2 2  2
+--R           (8a b d  + 512a b c d  + 248b c d )x
+--R         + 
+--R                 3   4      2 2   3         3 2 2      4 3         4 4
+--R           (- 10a b d  + 46a b c d  + 466a b c d  + 10b c d)x + 15a d
+--R         + 
+--R                3     3       2 2 2 2        3 3       4 4
+--R           - 70a b c d  + 128a b c d  + 70a b c d - 15b c
+--R      *
+--R          +-+ +-+ +-------+ +-------+
+--R         \|b \|d \|b x + a \|d x + c
+--R  /
+--R         3 2 +-+ +-+
+--R     640b d \|b \|d
+--R                                                    Type: Expression(Integer)
+--E  232
+
+--S 233 of 1000
+--a0:=integrate(t0,x)
+--E  233
+
+--S 234 of 1000
+--m0:=a0-r0
+--E  234
+
+--S 235 of 1000
+--d0:=D(m0,x)
+--E  235
+
+)clear all
+
+--S 236 of 1000
+t0:=(a+b*x)^(3/2)*(c+d*x)^(5/2)/x
+--R 
+--R
+--R   (1)
+--R       2 3       2           2                2        2  +-------+ +-------+
+--R   (b d x  + (a d  + 2b c d)x  + (2a c d + b c )x + a c )\|b x + a \|d x + c
+--R   --------------------------------------------------------------------------
+--R                                        x
+--R                                                    Type: Expression(Integer)
+--E  236
+
+--S 237 of 1000
+r0:=1/4*(a+b*x)^(3/2)*(c+d*x)^(5/2)-2*a^(3/2)*c^(5/2)*atanh(sqrt(c)*_
+     sqrt(a+b*x)/(sqrt(a)*sqrt(c+d*x)))-1/64*(5*b^4*c^4-60*a*b^3*c^3*d-_
+     90*a^2*b^2*c^2*d^2+20*a^3*b*c*d^3-3*a^4*d^4)*atanh(sqrt(d)*_
+     sqrt(a+b*x)/(sqrt(b)*sqrt(c+d*x)))/(b^(5/2)*d^(3/2))+1/96*(50*a*c-_
+     5*b*c^2/d+3*a^2*d/b)*(c+d*x)^(3/2)*sqrt(a+b*x)+1/24*(5*b*c+3*a*d)*_
+     (c+d*x)^(5/2)*sqrt(a+b*x)/d-1/64*(5*b^3*c^3-55*a*b^2*c^2*d-_
+     17*a^2*b*c*d^2+3*a^3*d^3)*sqrt(a+b*x)*sqrt(c+d*x)/(b^2*d)
+--R 
+--R
+--R   (2)
+--R            4 4      3     3       2 2 2 2         3 3       4 4
+--R         (9a d  - 60a b c d  + 270a b c d  + 180a b c d - 15b c )
+--R      *
+--R                +-+ +-------+
+--R               \|d \|b x + a
+--R         atanh(--------------)
+--R                +-+ +-------+
+--R               \|b \|d x + c
+--R     + 
+--R                                          +-+ +-------+
+--R               2 2  +-+ +-+ +-+ +-+      \|c \|b x + a
+--R       - 384a b c d\|a \|b \|c \|d atanh(--------------)
+--R                                          +-+ +-------+
+--R                                         \|a \|d x + c
+--R     + 
+--R              3 3 3         2 3       3   2  2
+--R           48b d x  + (72a b d  + 136b c d )x
+--R         + 
+--R              2   3         2   2       3 2        3 3      2     2         2 2
+--R           (6a b d  + 244a b c d  + 118b c d)x - 9a d  + 57a b c d  + 337a b c d
+--R         + 
+--R              3 3
+--R           15b c
+--R      *
+--R          +-+ +-+ +-------+ +-------+
+--R         \|b \|d \|b x + a \|d x + c
+--R  /
+--R         2  +-+ +-+
+--R     192b d\|b \|d
+--R                                                    Type: Expression(Integer)
+--E  237
+
+--S 238 of 1000
+--a0:=integrate(t0,x)
+--E  238
+
+--S 239 of 1000
+--m0:=a0-r0
+--E  239
+
+--S 240 of 1000
+--d0:=D(m0,x)
+--E  240
+
+)clear all
+
+--S 241 of 1000
+t0:=(a+b*x)^(3/2)*(c+d*x)^(5/2)/x^2
+--R 
+--R
+--R   (1)
+--R       2 3       2           2                2        2  +-------+ +-------+
+--R   (b d x  + (a d  + 2b c d)x  + (2a c d + b c )x + a c )\|b x + a \|d x + c
+--R   --------------------------------------------------------------------------
+--R                                        2
+--R                                       x
+--R                                                    Type: Expression(Integer)
+--E  241
+
+--S 242 of 1000
+r0:=-(a+b*x)^(3/2)*(c+d*x)^(5/2)/x-c^(3/2)*(3*b*c+5*a*d)*atanh(sqrt(c)*_
+     sqrt(a+b*x)/(sqrt(a)*sqrt(c+d*x)))*sqrt(a)+1/8*(5*b^3*c^3+45*a*_
+     b^2*c^2*d+15*a^2*b*c*d^2-a^3*d^3)*atanh(sqrt(d)*sqrt(a+b*x)/_
+     (sqrt(b)*sqrt(c+d*x)))/(b^(3/2)*sqrt(d))+1/12*(5*b*c+19*a*d)*_
+     (c+d*x)^(3/2)*sqrt(a+b*x)+4/3*b*(c+d*x)^(5/2)*sqrt(a+b*x)+_
+     1/8*(5*b^2*c^2+26*a*b*c*d+a^2*d^2)*sqrt(a+b*x)*sqrt(c+d*x)/b
+--R 
+--R
+--R   (2)
+--R                                                            +-+ +-------+
+--R            3 3      2     2         2 2       3 3         \|d \|b x + a
+--R       (- 3a d  + 45a b c d  + 135a b c d + 15b c )x atanh(--------------)
+--R                                                            +-+ +-------+
+--R                                                           \|b \|d x + c
+--R     + 
+--R                                                      +-+ +-------+
+--R                          2 2   +-+ +-+ +-+ +-+      \|c \|b x + a
+--R       (- 120a b c d - 72b c )x\|a \|b \|c \|d atanh(--------------)
+--R                                                      +-+ +-------+
+--R                                                     \|a \|d x + c
+--R     + 
+--R             2 2 3           2      2     2      2 2                  2 2
+--R           8b d x  + (14a b d  + 26b c d)x  + (3a d  + 68a b c d + 33b c )x
+--R         + 
+--R                    2
+--R           - 24a b c
+--R      *
+--R          +-+ +-+ +-------+ +-------+
+--R         \|b \|d \|b x + a \|d x + c
+--R  /
+--R           +-+ +-+
+--R     24b x\|b \|d
+--R                                                    Type: Expression(Integer)
+--E  242
+
+--S 243 of 1000
+--a0:=integrate(t0,x)
+--E  243
+
+--S 244 of 1000
+--m0:=a0-r0
+--E  244
+
+--S 245 of 1000
+--d0:=D(m0,x)
+--E  245
+
+)clear all
+
+--S 246 of 1000
+t0:=(a+b*x)^(3/2)*(c+d*x)^(5/2)/x^3
+--R 
+--R
+--R   (1)
+--R       2 3       2           2                2        2  +-------+ +-------+
+--R   (b d x  + (a d  + 2b c d)x  + (2a c d + b c )x + a c )\|b x + a \|d x + c
+--R   --------------------------------------------------------------------------
+--R                                        3
+--R                                       x
+--R                                                    Type: Expression(Integer)
+--E  246
+
+--S 247 of 1000
+r0:=-1/2*(a+b*x)^(3/2)*(c+d*x)^(5/2)/x^2-3/4*(b^2*c^2+10*a*b*c*d+_
+     5*a^2*d^2)*atanh(sqrt(c)*sqrt(a+b*x)/(sqrt(a)*sqrt(c+d*x)))*_
+     sqrt(c)/sqrt(a)+3/4*(5*b^2*c^2+10*a*b*c*d+a^2*d^2)*atanh(sqrt(d)*_
+     sqrt(a+b*x)/(sqrt(b)*sqrt(c+d*x)))*sqrt(d)/sqrt(b)+1/4*d*_
+     (7*b*c+5*a*d)*(c+d*x)^(3/2)*sqrt(a+b*x)/c-1/4*(3*b*c+5*a*d)*_
+     (c+d*x)^(5/2)*sqrt(a+b*x)/(c*x)+3*d*(b*c+a*d)*sqrt(a+b*x)*sqrt(c+d*x)
+--R 
+--R
+--R   (2)
+--R                                                    +-+ +-------+
+--R          2 2                  2 2  2 +-+ +-+      \|d \|b x + a
+--R       (3a d  + 30a b c d + 15b c )x \|a \|d atanh(--------------)
+--R                                                    +-+ +-------+
+--R                                                   \|b \|d x + c
+--R     + 
+--R                                                      +-+ +-------+
+--R             2 2                 2 2  2 +-+ +-+      \|c \|b x + a
+--R       (- 15a d  - 30a b c d - 3b c )x \|b \|c atanh(--------------)
+--R                                                      +-+ +-------+
+--R                                                     \|a \|d x + c
+--R     + 
+--R              2 3        2           2                   2         2  +-+ +-+
+--R         (2b d x  + (5a d  + 9b c d)x  + (- 9a c d - 5b c )x - 2a c )\|a \|b
+--R      *
+--R          +-------+ +-------+
+--R         \|b x + a \|d x + c
+--R  /
+--R       2 +-+ +-+
+--R     4x \|a \|b
+--R                                                    Type: Expression(Integer)
+--E  247
+
+--S 248 of 1000
+--a0:=integrate(t0,x)
+--E  248
+
+--S 249 of 1000
+--m0:=a0-r0
+--E  249
+
+--S 250 of 1000
+--d0:=D(m0,x)
+--E  250
+
+)clear all
+
+--S 251 of 1000
+t0:=(a+b*x)^(3/2)*(c+d*x)^(5/2)/x^4
+--R 
+--R
+--R   (1)
+--R       2 3       2           2                2        2  +-------+ +-------+
+--R   (b d x  + (a d  + 2b c d)x  + (2a c d + b c )x + a c )\|b x + a \|d x + c
+--R   --------------------------------------------------------------------------
+--R                                        4
+--R                                       x
+--R                                                    Type: Expression(Integer)
+--E  251
+
+--S 252 of 1000
+r0:=-1/3*(a+b*x)^(3/2)*(c+d*x)^(5/2)/x^3+d^(3/2)*(5*b*c+3*a*d)*_
+     atanh(sqrt(d)*sqrt(a+b*x)/(sqrt(b)*sqrt(c+d*x)))*sqrt(b)+_
+     1/8*(b^3*c^3-15*a*b^2*c^2*d-45*a^2*b*c*d^2-5*a^3*d^3)*_
+     atanh(sqrt(c)*sqrt(a+b*x)/(sqrt(a)*sqrt(c+d*x)))/(a^(3/2)*sqrt(c))-_
+     1/24*(3*b^2*c/a+40*b*d+5*a*d^2/c)*(c+d*x)^(3/2)*sqrt(a+b*x)/x-_
+     1/12*(3*b*c+5*a*d)*(c+d*x)^(5/2)*sqrt(a+b*x)/(c*x^2)+_
+     1/8*d*(b^2*c^2+26*a*b*c*d+5*a^2*d^2)*sqrt(a+b*x)*sqrt(c+d*x)/(a*c)
+--R 
+--R
+--R   (2)
+--R                                                     +-+ +-------+
+--R           2 2               3 +-+ +-+ +-+ +-+      \|d \|b x + a
+--R       (72a d  + 120a b c d)x \|a \|b \|c \|d atanh(--------------)
+--R                                                     +-+ +-------+
+--R                                                    \|b \|d x + c
+--R     + 
+--R                                                            +-+ +-------+
+--R             3 3       2     2        2 2      3 3  3      \|c \|b x + a
+--R       (- 15a d  - 135a b c d  - 45a b c d + 3b c )x atanh(--------------)
+--R                                                            +-+ +-------+
+--R                                                           \|a \|d x + c
+--R     + 
+--R                  2 3         2 2                 2 2  2
+--R           24a b d x  + (- 33a d  - 68a b c d - 3b c )x
+--R         + 
+--R                 2             2       2 2
+--R           (- 26a c d - 14a b c )x - 8a c
+--R      *
+--R          +-+ +-+ +-------+ +-------+
+--R         \|a \|c \|b x + a \|d x + c
+--R  /
+--R          3 +-+ +-+
+--R     24a x \|a \|c
+--R                                                    Type: Expression(Integer)
+--E  252
+
+--S 253 of 1000
+--a0:=integrate(t0,x)
+--E  253
+
+--S 254 of 1000
+--m0:=a0-r0
+--E  254
+
+--S 255 of 1000
+--d0:=D(m0,x)
+--E  255
+
+)clear all
+
+--S 256 of 1000
+t0:=(a+b*x)^(3/2)*(c+d*x)^(5/2)/x^5
+--R 
+--R
+--R   (1)
+--R       2 3       2           2                2        2  +-------+ +-------+
+--R   (b d x  + (a d  + 2b c d)x  + (2a c d + b c )x + a c )\|b x + a \|d x + c
+--R   --------------------------------------------------------------------------
+--R                                        5
+--R                                       x
+--R                                                    Type: Expression(Integer)
+--E  256
+
+--S 257 of 1000
+r0:=-1/4*(a+b*x)^(3/2)*(c+d*x)^(5/2)/x^4-1/64*(3*b^4*c^4-20*a*b^3*c^3*d+_
+     90*a^2*b^2*c^2*d^2+60*a^3*b*c*d^3-5*a^4*d^4)*atanh(sqrt(c)*_
+     sqrt(a+b*x)/(sqrt(a)*sqrt(c+d*x)))/(a^(5/2)*c^(3/2))+2*b^(3/2)*_
+     d^(5/2)*atanh(sqrt(d)*sqrt(a+b*x)/(sqrt(b)*sqrt(c+d*x)))-_
+     1/96*(3*b^2*c/a+50*b*d-5*a*d^2/c)*(c+d*x)^(3/2)*sqrt(a+b*x)/x^2-_
+     1/24*(3*b*c+5*a*d)*(c+d*x)^(5/2)*sqrt(a+b*x)/(c*x^3)+_
+     1/64*(3*b^3*c^3-17*a*b^2*c^2*d-55*a^2*b*c*d^2+5*a^3*d^3)*_
+     sqrt(a+b*x)*sqrt(c+d*x)/(a^2*c*x)
+--R 
+--R
+--R   (2)
+--R                                           +-+ +-------+
+--R           2     2 4 +-+ +-+ +-+ +-+      \|d \|b x + a
+--R       384a b c d x \|a \|b \|c \|d atanh(--------------)
+--R                                           +-+ +-------+
+--R                                          \|b \|d x + c
+--R     + 
+--R             4 4       3     3       2 2 2 2        3 3      4 4  4
+--R         (15a d  - 180a b c d  - 270a b c d  + 60a b c d - 9b c )x
+--R      *
+--R                +-+ +-------+
+--R               \|c \|b x + a
+--R         atanh(--------------)
+--R                +-+ +-------+
+--R               \|a \|d x + c
+--R     + 
+--R                 3 3       2     2        2 2      3 3  3
+--R           (- 15a d  - 337a b c d  - 57a b c d + 9b c )x
+--R         + 
+--R                  3   2       2   2        2 3  2          3 2       2   3
+--R           (- 118a c d  - 244a b c d - 6a b c )x  + (- 136a c d - 72a b c )x
+--R         + 
+--R                3 3
+--R           - 48a c
+--R      *
+--R          +-+ +-+ +-------+ +-------+
+--R         \|a \|c \|b x + a \|d x + c
+--R  /
+--R         2   4 +-+ +-+
+--R     192a c x \|a \|c
+--R                                                    Type: Expression(Integer)
+--E  257
+
+--S 258 of 1000
+--a0:=integrate(t0,x)
+--E  258
+
+--S 259 of 1000
+--m0:=a0-r0
+--E  259
+
+--S 260 of 1000
+--d0:=D(m0,x)
+--E  260
+
+)clear all
+
+--S 261 of 1000
+t0:=(a+b*x)^(3/2)*(c+d*x)^(5/2)/x^6
+--R 
+--R
+--R   (1)
+--R       2 3       2           2                2        2  +-------+ +-------+
+--R   (b d x  + (a d  + 2b c d)x  + (2a c d + b c )x + a c )\|b x + a \|d x + c
+--R   --------------------------------------------------------------------------
+--R                                        6
+--R                                       x
+--R                                                    Type: Expression(Integer)
+--E  261
+
+--S 262 of 1000
+r0:=-1/5*(a+b*x)^(3/2)*(c+d*x)^(7/2)/(c*x^5)+3/128*(b*c-a*d)^5*_
+     atanh(sqrt(c)*sqrt(a+b*x)/(sqrt(a)*sqrt(c+d*x)))/(a^(7/2)*c^(5/2))+_
+     1/64*(b*c-a*d)^3*(c+d*x)^(3/2)*sqrt(a+b*x)/(a^2*c^2*x^2)-_
+     1/80*(b*c-a*d)^2*(c+d*x)^(5/2)*sqrt(a+b*x)/(a*c^2*x^3)-_
+     3/40*(b*c-a*d)*(c+d*x)^(7/2)*sqrt(a+b*x)/(c^2*x^4)-_
+     3/128*(b*c-a*d)^4*sqrt(a+b*x)*sqrt(c+d*x)/(a^3*c^2*x)
+--R 
+--R
+--R   (2)
+--R                  5 5      4     4       3 2 2 3       2 3 3 2        4 4
+--R             - 15a d  + 75a b c d  - 150a b c d  + 150a b c d  - 75a b c d
+--R           + 
+--R                5 5
+--R             15b c
+--R      *
+--R                  +-+ +-------+
+--R          5      \|c \|b x + a
+--R         x atanh(--------------)
+--R                  +-+ +-------+
+--R                 \|a \|d x + c
+--R     + 
+--R               4 4      3     3       2 2 2 2        3 3       4 4  4
+--R           (15a d  - 70a b c d  - 128a b c d  + 70a b c d - 15b c )x
+--R         + 
+--R                 4   3       3   2 2      2 2 3         3 4  3
+--R           (- 10a c d  - 466a b c d  - 46a b c d + 10a b c )x
+--R         + 
+--R                  4 2 2       3   3      2 2 4  2          4 3        3   4
+--R           (- 248a c d  - 512a b c d - 8a b c )x  + (- 336a c d - 176a b c )x
+--R         + 
+--R                 4 4
+--R           - 128a c
+--R      *
+--R          +-+ +-+ +-------+ +-------+
+--R         \|a \|c \|b x + a \|d x + c
+--R  /
+--R         3 2 5 +-+ +-+
+--R     640a c x \|a \|c
+--R                                                    Type: Expression(Integer)
+--E  262
+
+--S 263 of 1000
+--a0:=integrate(t0,x)
+--E  263
+
+--S 264 of 1000
+--m0:=a0-r0
+--E  264
+
+--S 265 of 1000
+--d0:=D(m0,x)
+--E  265
+
+)clear all
+
+--S 266 of 1000
+t0:=(a+b*x)^(3/2)*(c+d*x)^(5/2)/x^7
+--R 
+--R
+--R   (1)
+--R       2 3       2           2                2        2  +-------+ +-------+
+--R   (b d x  + (a d  + 2b c d)x  + (2a c d + b c )x + a c )\|b x + a \|d x + c
+--R   --------------------------------------------------------------------------
+--R                                        7
+--R                                       x
+--R                                                    Type: Expression(Integer)
+--E  266
+
+--S 267 of 1000
+r0:=-1/6*(a+b*x)^(3/2)*(c+d*x)^(5/2)/x^6-1/512*(b*c-a*d)^5*(7*b*c+5*a*d)*_
+     atanh(sqrt(c)*sqrt(a+b*x)/(sqrt(a)*sqrt(c+d*x)))/(a^(9/2)*c^(7/2))-_
+     1/480*(3*b^2*c/a+70*b*d-25*a*d^2/c)*(c+d*x)^(3/2)*sqrt(a+b*x)/x^4-_
+     1/60*(3*b*c+5*a*d)*(c+d*x)^(5/2)*sqrt(a+b*x)/(c*x^5)+_
+     1/960*(b*c-5*a*d)*(7*b^2*c^2+14*a*b*c*d-5*a^2*d^2)*sqrt(a+b*x)*_
+     sqrt(c+d*x)/(a^2*c*x^3)-1/3840*(35*b^4*c^4-136*a*b^3*c^3*d+_
+     174*a^2*b^2*c^2*d^2+80*a^3*b*c*d^3-25*a^4*d^4)*sqrt(a+b*x)*_
+     sqrt(c+d*x)/(a^3*c^2*x^2)+1/7680*(105*b^5*c^5-415*a*b^4*c^4*d+_
+     546*a^2*b^3*c^3*d^2-150*a^3*b^2*c^2*d^3+245*a^4*b*c*d^4-75*a^5*d^5)*_
+     sqrt(a+b*x)*sqrt(c+d*x)/(a^4*c^3*x)
+--R 
+--R
+--R   (2)
+--R              6 6       5     5       4 2 2 4       3 3 3 3       2 4 4 2
+--R           75a d  - 270a b c d  + 225a b c d  + 300a b c d  - 675a b c d
+--R         + 
+--R                 5 5        6 6
+--R           450a b c d - 105b c
+--R      *
+--R                  +-+ +-------+
+--R          6      \|c \|b x + a
+--R         x atanh(--------------)
+--R                  +-+ +-------+
+--R                 \|a \|d x + c
+--R     + 
+--R                    5 5       4     4       3 2 2 3       2 3 3 2         4 4
+--R               - 75a d  + 245a b c d  - 150a b c d  + 546a b c d  - 415a b c d
+--R             + 
+--R                   5 5
+--R               105b c
+--R          *
+--R              5
+--R             x
+--R         + 
+--R               5   4       4   2 3       3 2 3 2       2 3 4         4 5  4
+--R           (50a c d  - 160a b c d  - 348a b c d  + 272a b c d - 70a b c )x
+--R         + 
+--R                 5 2 3        4   3 2       3 2 4       2 3 5  3
+--R           (- 40a c d  - 3384a b c d  - 216a b c d + 56a b c )x
+--R         + 
+--R                   5 3 2        4   4       3 2 5  2
+--R           (- 2160a c d  - 4448a b c d - 48a b c )x
+--R         + 
+--R                   5 4         4   5          5 5
+--R           (- 3200a c d - 1664a b c )x - 1280a c
+--R      *
+--R          +-+ +-+ +-------+ +-------+
+--R         \|a \|c \|b x + a \|d x + c
+--R  /
+--R          4 3 6 +-+ +-+
+--R     7680a c x \|a \|c
+--R                                                    Type: Expression(Integer)
+--E  267
+
+--S 268 of 1000
+--a0:=integrate(t0,x)
+--E  268
+
+--S 269 of 1000
+--m0:=a0-r0
+--E  269
+
+--S 270 of 1000
+--d0:=D(m0,x)
+--E  270
+
+)clear all
+
+--S 271 of 1000
+t0:=x^2*(a+b*x)^(3/2)/sqrt(c+d*x)
+--R 
+--R
+--R            3      2  +-------+
+--R        (b x  + a x )\|b x + a
+--R   (1)  -----------------------
+--R                +-------+
+--R               \|d x + c
+--R                                                    Type: Expression(Integer)
+--E  271
+
+--S 272 of 1000
+r0:=1/64*(b*c-a*d)^2*(35*b^2*c^2+10*a*b*c*d+3*a^2*d^2)*atanh(sqrt(d)*_
+     sqrt(a+b*x)/(sqrt(b)*sqrt(c+d*x)))/(b^(5/2)*d^(9/2))+_
+     1/96*(35*b^2*c^2+10*a*b*c*d+3*a^2*d^2)*(a+b*x)^(3/2)*_
+     sqrt(c+d*x)/(b^2*d^3)-1/24*(7*b*c+3*a*d)*(a+b*x)^(5/2)*_
+     sqrt(c+d*x)/(b^2*d^2)+1/4*x*(a+b*x)^(5/2)*sqrt(c+d*x)/(b*d)-_
+     1/64*(b*c-a*d)*(35*b^2*c^2+10*a*b*c*d+3*a^2*d^2)*sqrt(a+b*x)*_
+     sqrt(c+d*x)/(b^2*d^4)
+--R 
+--R
+--R   (2)
+--R            4 4      3     3      2 2 2 2         3 3        4 4
+--R         (9a d  + 12a b c d  + 54a b c d  - 180a b c d + 105b c )
+--R      *
+--R                +-+ +-------+
+--R               \|d \|b x + a
+--R         atanh(--------------)
+--R                +-+ +-------+
+--R               \|b \|d x + c
+--R     + 
+--R              3 3 3         2 3      3   2  2
+--R           48b d x  + (72a b d  - 56b c d )x
+--R         + 
+--R              2   3        2   2      3 2        3 3      2     2         2 2
+--R           (6a b d  - 92a b c d  + 70b c d)x - 9a d  - 15a b c d  + 145a b c d
+--R         + 
+--R                 3 3
+--R           - 105b c
+--R      *
+--R          +-+ +-+ +-------+ +-------+
+--R         \|b \|d \|b x + a \|d x + c
+--R  /
+--R         2 4 +-+ +-+
+--R     192b d \|b \|d
+--R                                                    Type: Expression(Integer)
+--E  272
+
+--S 273 of 1000
+--a0:=integrate(t0,x)
+--E  273
+
+--S 274 of 1000
+--m0:=a0-r0
+--E  274
+
+--S 275 of 1000
+--d0:=D(m0,x)
+--E  275
+
+)clear all
+
+--S 276 of 1000
+t0:=x*(a+b*x)^(3/2)/sqrt(c+d*x)
+--R 
+--R
+--R            2        +-------+
+--R        (b x  + a x)\|b x + a
+--R   (1)  ----------------------
+--R               +-------+
+--R              \|d x + c
+--R                                                    Type: Expression(Integer)
+--E  276
+
+--S 277 of 1000
+r0:=-1/8*(b*c-a*d)^2*(5*b*c+a*d)*atanh(sqrt(d)*sqrt(a+b*x)/(sqrt(b)*_
+     sqrt(c+d*x)))/(b^(3/2)*d^(7/2))-1/12*(5*b*c+a*d)*(a+b*x)^(3/2)*_
+     sqrt(c+d*x)/(b*d^2)+1/3*(a+b*x)^(5/2)*sqrt(c+d*x)/(b*d)+_
+     1/8*(b*c-a*d)*(5*b*c+a*d)*sqrt(a+b*x)*sqrt(c+d*x)/(b*d^3)
+--R 
+--R
+--R   (2)
+--R                                                        +-+ +-------+
+--R            3 3     2     2        2 2       3 3       \|d \|b x + a
+--R       (- 3a d  - 9a b c d  + 27a b c d - 15b c )atanh(--------------)
+--R                                                        +-+ +-------+
+--R                                                       \|b \|d x + c
+--R     + 
+--R            2 2 2           2      2          2 2                  2 2  +-+ +-+
+--R         (8b d x  + (14a b d  - 10b c d)x + 3a d  - 22a b c d + 15b c )\|b \|d
+--R      *
+--R          +-------+ +-------+
+--R         \|b x + a \|d x + c
+--R  /
+--R          3 +-+ +-+
+--R     24b d \|b \|d
+--R                                                    Type: Expression(Integer)
+--E  277
+
+--S 278 of 1000
+--a0:=integrate(t0,x)
+--E  278
+
+--S 279 of 1000
+--m0:=a0-r0
+--E  279
+
+--S 280 of 1000
+--d0:=D(m0,x)
+--E  280
+
+)clear all
+
+--S 281 of 1000
+t0:=(a+b*x)^(3/2)/sqrt(c+d*x)
+--R 
+--R
+--R                  +-------+
+--R        (b x + a)\|b x + a
+--R   (1)  -------------------
+--R              +-------+
+--R             \|d x + c
+--R                                                    Type: Expression(Integer)
+--E  281
+
+--S 282 of 1000
+r0:=3/4*(b*c-a*d)^2*atanh(sqrt(d)*sqrt(a+b*x)/(sqrt(b)*sqrt(c+d*x)))/_
+     (d^(5/2)*sqrt(b))+1/2*(a+b*x)^(3/2)*sqrt(c+d*x)/d-3/4*(b*c-a*d)*_
+     sqrt(a+b*x)*sqrt(c+d*x)/d^2
+--R 
+--R
+--R   (2)
+--R                                        +-+ +-------+
+--R          2 2                2 2       \|d \|b x + a
+--R       (3a d  - 6a b c d + 3b c )atanh(--------------)
+--R                                        +-+ +-------+
+--R                                       \|b \|d x + c
+--R     + 
+--R                              +-+ +-+ +-------+ +-------+
+--R       (2b d x + 5a d - 3b c)\|b \|d \|b x + a \|d x + c
+--R  /
+--R       2 +-+ +-+
+--R     4d \|b \|d
+--R                                                    Type: Expression(Integer)
+--E  282
+
+--S 283 of 1000
+--a0:=integrate(t0,x)
+--E  283
+
+--S 284 of 1000
+--m0:=a0-r0
+--E  284
+
+--S 285 of 1000
+--d0:=D(m0,x)
+--E  285
+
+)clear all
+
+--S 286 of 1000
+t0:=(a+b*x)^(3/2)/(x*sqrt(c+d*x))
+--R 
+--R
+--R                  +-------+
+--R        (b x + a)\|b x + a
+--R   (1)  -------------------
+--R              +-------+
+--R            x\|d x + c
+--R                                                    Type: Expression(Integer)
+--E  286
+
+--S 287 of 1000
+r0:=-(b*c-3*a*d)*atanh(sqrt(d)*sqrt(a+b*x)/(sqrt(b)*sqrt(c+d*x)))*_
+     sqrt(b)/d^(3/2)-2*a^(3/2)*atanh(sqrt(c)*sqrt(a+b*x)/(sqrt(a)*_
+     sqrt(c+d*x)))/sqrt(c)+b*sqrt(a+b*x)*sqrt(c+d*x)/d
+--R 
+--R
+--R   (2)
+--R                                  +-+ +-------+
+--R                    +-+ +-+      \|d \|b x + a
+--R       (3a d - b c)\|b \|c atanh(--------------)
+--R                                  +-+ +-------+
+--R                                 \|b \|d x + c
+--R     + 
+--R                            +-+ +-------+
+--R              +-+ +-+      \|c \|b x + a       +-+ +-+ +-------+ +-------+
+--R       - 2a d\|a \|d atanh(--------------) + b\|c \|d \|b x + a \|d x + c
+--R                            +-+ +-------+
+--R                           \|a \|d x + c
+--R  /
+--R       +-+ +-+
+--R     d\|c \|d
+--R                                                    Type: Expression(Integer)
+--E  287
+
+--S 288 of 1000
+--a0:=integrate(t0,x)
+--E  288
+
+--S 289 of 1000
+--m0:=a0-r0
+--E  289
+
+--S 290 of 1000
+--d0:=D(m0,x)
+--E  290
+
+)clear all
+
+--S 291 of 1000
+t0:=(a+b*x)^(3/2)/(x^2*sqrt(c+d*x))
+--R 
+--R
+--R                  +-------+
+--R        (b x + a)\|b x + a
+--R   (1)  -------------------
+--R             2 +-------+
+--R            x \|d x + c
+--R                                                    Type: Expression(Integer)
+--E  291
+
+--S 292 of 1000
+r0:=-(3*b*c-a*d)*atanh(sqrt(c)*sqrt(a+b*x)/(sqrt(a)*sqrt(c+d*x)))*_
+     sqrt(a)/c^(3/2)+2*b^(3/2)*atanh(sqrt(d)*sqrt(a+b*x)/(sqrt(b)*_
+     sqrt(c+d*x)))/sqrt(d)-(a+b*x)^(3/2)*sqrt(c+d*x)/(c*x)+_
+     b*sqrt(a+b*x)*sqrt(c+d*x)/c
+--R 
+--R
+--R   (2)
+--R                            +-+ +-------+
+--R              +-+ +-+      \|d \|b x + a
+--R       2b c x\|b \|c atanh(--------------)
+--R                            +-+ +-------+
+--R                           \|b \|d x + c
+--R     + 
+--R                                 +-+ +-------+
+--R                   +-+ +-+      \|c \|b x + a       +-+ +-+ +-------+ +-------+
+--R     (a d - 3b c)x\|a \|d atanh(--------------) - a\|c \|d \|b x + a \|d x + c
+--R                                 +-+ +-------+
+--R                                \|a \|d x + c
+--R  /
+--R         +-+ +-+
+--R     c x\|c \|d
+--R                                                    Type: Expression(Integer)
+--E  292
+
+--S 293 of 1000
+--a0:=integrate(t0,x)
+--E  293
+
+--S 294 of 1000
+--m0:=a0-r0
+--E  294
+
+--S 295 of 1000
+--d0:=D(m0,x)
+--E  295
+
+)clear all
+
+--S 296 of 1000
+t0:=(a+b*x)^(3/2)/(x^3*sqrt(c+d*x))
+--R 
+--R
+--R                  +-------+
+--R        (b x + a)\|b x + a
+--R   (1)  -------------------
+--R             3 +-------+
+--R            x \|d x + c
+--R                                                    Type: Expression(Integer)
+--E  296
+
+--S 297 of 1000
+r0:=-3/4*(b*c-a*d)^2*atanh(sqrt(c)*sqrt(a+b*x)/(sqrt(a)*sqrt(c+d*x)))/_
+     (c^(5/2)*sqrt(a))-1/2*(a+b*x)^(3/2)*sqrt(c+d*x)/(c*x^2)-_
+     3/4*(b*c-a*d)*sqrt(a+b*x)*sqrt(c+d*x)/(c^2*x)
+--R 
+--R
+--R   (2)
+--R                                            +-+ +-------+
+--R            2 2                2 2  2      \|c \|b x + a
+--R       (- 3a d  + 6a b c d - 3b c )x atanh(--------------)
+--R                                            +-+ +-------+
+--R                                           \|a \|d x + c
+--R     + 
+--R                               +-+ +-+ +-------+ +-------+
+--R       ((3a d - 5b c)x - 2a c)\|a \|c \|b x + a \|d x + c
+--R  /
+--R       2 2 +-+ +-+
+--R     4c x \|a \|c
+--R                                                    Type: Expression(Integer)
+--E  297
+
+--S 298 of 1000
+--a0:=integrate(t0,x)
+--E  298
+
+--S 299 of 1000
+--m0:=a0-r0
+--E  299
+
+--S 300 of 1000
+--d0:=D(m0,x)
+--E  300
+
+)clear all
+
+--S 301 of 1000
+t0:=(a+b*x)^(3/2)/(x^4*sqrt(c+d*x))
+--R 
+--R
+--R                  +-------+
+--R        (b x + a)\|b x + a
+--R   (1)  -------------------
+--R             4 +-------+
+--R            x \|d x + c
+--R                                                    Type: Expression(Integer)
+--E  301
+
+--S 302 of 1000
+r0:=1/8*(b*c-a*d)^2*(b*c+5*a*d)*atanh(sqrt(c)*sqrt(a+b*x)/(sqrt(a)*_
+     sqrt(c+d*x)))/(a^(3/2)*c^(7/2))-1/3*(a+b*x)^(3/2)*sqrt(c+d*x)/_
+     (c*x^3)-1/12*(3*b*c-5*a*d)*sqrt(a+b*x)*sqrt(c+d*x)/(c^2*x^2)-_
+     1/24*(3*b^2*c/a-22*b*d+15*a*d^2/c)*sqrt(a+b*x)*sqrt(c+d*x)/(c^2*x)
+--R 
+--R
+--R   (2)
+--R                                                        +-+ +-------+
+--R           3 3      2     2       2 2      3 3  3      \|c \|b x + a
+--R       (15a d  - 27a b c d  + 9a b c d + 3b c )x atanh(--------------)
+--R                                                        +-+ +-------+
+--R                                                       \|a \|d x + c
+--R     + 
+--R                2 2                 2 2  2       2             2       2 2  +-+
+--R         ((- 15a d  + 22a b c d - 3b c )x  + (10a c d - 14a b c )x - 8a c )\|a
+--R      *
+--R          +-+ +-------+ +-------+
+--R         \|c \|b x + a \|d x + c
+--R  /
+--R          3 3 +-+ +-+
+--R     24a c x \|a \|c
+--R                                                    Type: Expression(Integer)
+--E  302
+
+--S 303 of 1000
+--a0:=integrate(t0,x)
+--E  303
+
+--S 304 of 1000
+--m0:=a0-r0
+--E  304
+
+--S 305 of 1000
+--d0:=D(m0,x)
+--E  305
+
+)clear all
+
+--S 306 of 1000
+t0:=(a+b*x)^(3/2)/(x^5*sqrt(c+d*x))
+--R 
+--R
+--R                  +-------+
+--R        (b x + a)\|b x + a
+--R   (1)  -------------------
+--R             5 +-------+
+--R            x \|d x + c
+--R                                                    Type: Expression(Integer)
+--E  306
+
+--S 307 of 1000
+r0:=-1/64*(b*c-a*d)^2*(3*b^2*c^2+10*a*b*c*d+35*a^2*d^2)*atanh(sqrt(c)*_
+     sqrt(a+b*x)/(sqrt(a)*sqrt(c+d*x)))/(a^(5/2)*c^(9/2))-_
+     1/4*(a+b*x)^(3/2)*sqrt(c+d*x)/(c*x^4)-1/24*(3*b*c-7*a*d)*_
+     sqrt(a+b*x)*sqrt(c+d*x)/(c^2*x^3)-1/96*(3*b^2*c/a-46*b*d+_
+     35*a*d^2/c)*sqrt(a+b*x)*sqrt(c+d*x)/(c^2*x^2)+1/192*(9*b^3*c^3+_
+     15*a*b^2*c^2*d-145*a^2*b*c*d^2+105*a^3*d^3)*sqrt(a+b*x)*_
+     sqrt(c+d*x)/(a^2*c^4*x)
+--R 
+--R
+--R   (2)
+--R                4 4       3     3      2 2 2 2        3 3      4 4  4
+--R         (- 105a d  + 180a b c d  - 54a b c d  - 12a b c d - 9b c )x
+--R      *
+--R                +-+ +-------+
+--R               \|c \|b x + a
+--R         atanh(--------------)
+--R                +-+ +-------+
+--R               \|a \|d x + c
+--R     + 
+--R                3 3       2     2        2 2      3 3  3
+--R           (105a d  - 145a b c d  + 15a b c d + 9b c )x
+--R         + 
+--R               3   2      2   2        2 3  2       3 2       2   3        3 3
+--R         (- 70a c d  + 92a b c d - 6a b c )x  + (56a c d - 72a b c )x - 48a c
+--R      *
+--R          +-+ +-+ +-------+ +-------+
+--R         \|a \|c \|b x + a \|d x + c
+--R  /
+--R         2 4 4 +-+ +-+
+--R     192a c x \|a \|c
+--R                                                    Type: Expression(Integer)
+--E  307
+
+--S 308 of 1000
+--a0:=integrate(t0,x)
+--E  308
+
+--S 309 of 1000
+--m0:=a0-r0
+--E  309
+
+--S 310 of 1000
+--d0:=D(m0,x)
+--E  310
+
+)clear all
+
+--S 311 of 1000
+t0:=x^2*(a+b*x)^(3/2)/(c+d*x)^(3/2)
+--R 
+--R
+--R            3      2  +-------+
+--R        (b x  + a x )\|b x + a
+--R   (1)  -----------------------
+--R                    +-------+
+--R          (d x + c)\|d x + c
+--R                                                    Type: Expression(Integer)
+--E  311
+
+--S 312 of 1000
+r0:=-1/8*(b*c-a*d)*(35*b^2*c^2-10*a*b*c*d-a^2*d^2)*atanh(sqrt(d)*_
+     sqrt(a+b*x)/(sqrt(b)*sqrt(c+d*x)))/(b^(3/2)*d^(9/2))+_
+     2*c^2*(a+b*x)^(5/2)/(d^2*(b*c-a*d)*sqrt(c+d*x))+_
+     1/12*(10*a*c-35*b*c^2/d+a^2*d/b)*(a+b*x)^(3/2)*sqrt(c+d*x)/_
+     (d^2*(b*c-a*d))+1/3*(a+b*x)^(5/2)*sqrt(c+d*x)/(b*d^2)+_
+     1/8*(35*b^2*c^2-10*a*b*c*d-a^2*d^2)*sqrt(a+b*x)*sqrt(c+d*x)/(b*d^4)
+--R 
+--R
+--R   (2)
+--R              3 3      2     2         2 2        3 3  +-------+
+--R         (- 3a d  - 27a b c d  + 135a b c d - 105b c )\|d x + c
+--R      *
+--R                +-+ +-------+
+--R               \|d \|b x + a
+--R         atanh(--------------)
+--R                +-+ +-------+
+--R               \|b \|d x + c
+--R     + 
+--R             2 3 3           3      2   2  2      2 3            2      2 2
+--R           8b d x  + (14a b d  - 14b c d )x  + (3a d  - 38a b c d  + 35b c d)x
+--R         + 
+--R             2   2           2        2 3
+--R           3a c d  - 100a b c d + 105b c
+--R      *
+--R          +-+ +-+ +-------+
+--R         \|b \|d \|b x + a
+--R  /
+--R          4 +-+ +-+ +-------+
+--R     24b d \|b \|d \|d x + c
+--R                                                    Type: Expression(Integer)
+--E  312
+
+--S 313 of 1000
+--a0:=integrate(t0,x)
+--E  313
+
+--S 314 of 1000
+--m0:=a0-r0
+--E  314
+
+--S 315 of 1000
+--d0:=D(m0,x)
+--E  315
+
+)clear all
+
+--S 316 of 1000
+t0:=x*(a+b*x)^(3/2)/(c+d*x)^(3/2)
+--R 
+--R
+--R            2        +-------+
+--R        (b x  + a x)\|b x + a
+--R   (1)  ----------------------
+--R                    +-------+
+--R          (d x + c)\|d x + c
+--R                                                    Type: Expression(Integer)
+--E  316
+
+--S 317 of 1000
+r0:=3/4*(b*c-a*d)*(5*b*c-a*d)*atanh(sqrt(d)*sqrt(a+b*x)/(sqrt(b)*_
+     sqrt(c+d*x)))/(d^(7/2)*sqrt(b))-2*c*(a+b*x)^(5/2)/(d*(b*c-a*d)*_
+     sqrt(c+d*x))+1/2*(5*b*c-a*d)*(a+b*x)^(3/2)*sqrt(c+d*x)/_
+     (d^2*(b*c-a*d))-3/4*(5*b*c-a*d)*sqrt(a+b*x)*sqrt(c+d*x)/d^3
+--R 
+--R
+--R   (2)
+--R                                                    +-+ +-------+
+--R          2 2                  2 2  +-------+      \|d \|b x + a
+--R       (3a d  - 18a b c d + 15b c )\|d x + c atanh(--------------)
+--R                                                    +-+ +-------+
+--R                                                   \|b \|d x + c
+--R     + 
+--R            2 2        2                             2  +-+ +-+ +-------+
+--R       (2b d x  + (5a d  - 5b c d)x + 13a c d - 15b c )\|b \|d \|b x + a
+--R  /
+--R       3 +-+ +-+ +-------+
+--R     4d \|b \|d \|d x + c
+--R                                                    Type: Expression(Integer)
+--E  317
+
+--S 318 of 1000
+--a0:=integrate(t0,x)
+--E  318
+
+--S 319 of 1000
+--m0:=a0-r0
+--E  319
+
+--S 320 of 1000
+--d0:=D(m0,x)
+--E  320
+
+)clear all
+
+--S 321 of 1000
+t0:=(a+b*x)^(3/2)/(c+d*x)^(3/2)
+--R 
+--R
+--R                  +-------+
+--R        (b x + a)\|b x + a
+--R   (1)  -------------------
+--R                  +-------+
+--R        (d x + c)\|d x + c
+--R                                                    Type: Expression(Integer)
+--E  321
+
+--S 322 of 1000
+r0:=-3*(b*c-a*d)*atanh(sqrt(d)*sqrt(a+b*x)/(sqrt(b)*sqrt(c+d*x)))*_
+     sqrt(b)/d^(5/2)-2*(a+b*x)^(3/2)/(d*sqrt(c+d*x))+3*b*_
+     sqrt(a+b*x)*sqrt(c+d*x)/d^2
+--R 
+--R
+--R   (2)
+--R                                         +-+ +-------+
+--R                     +-+ +-------+      \|d \|b x + a
+--R       (3a d - 3b c)\|b \|d x + c atanh(--------------)
+--R                                         +-+ +-------+
+--R                                        \|b \|d x + c
+--R     + 
+--R                             +-+ +-------+
+--R       (b d x - 2a d + 3b c)\|d \|b x + a
+--R  /
+--R      2 +-+ +-------+
+--R     d \|d \|d x + c
+--R                                                    Type: Expression(Integer)
+--E  322
+
+--S 323 of 1000
+--a0:=integrate(t0,x)
+--E  323
+
+--S 324 of 1000
+--m0:=a0-r0
+--E  324
+
+--S 325 of 1000
+--d0:=D(m0,x)
+--E  325
+
+)clear all
+
+--S 326 of 1000
+t0:=(a+b*x)^(3/2)/(x*(c+d*x)^(3/2))
+--R 
+--R
+--R                    +-------+
+--R          (b x + a)\|b x + a
+--R   (1)  ----------------------
+--R            2        +-------+
+--R        (d x  + c x)\|d x + c
+--R                                                    Type: Expression(Integer)
+--E  326
+
+--S 327 of 1000
+r0:=-2*a^(3/2)*atanh(sqrt(c)*sqrt(a+b*x)/(sqrt(a)*sqrt(c+d*x)))/c^(3/2)+_
+     2*b^(3/2)*atanh(sqrt(d)*sqrt(a+b*x)/(sqrt(b)*sqrt(c+d*x)))/_
+     d^(3/2)+2*(a+b*x)^(3/2)/(c*sqrt(c+d*x))-2*b*sqrt(a+b*x)*_
+     sqrt(c+d*x)/(c*d)
+--R 
+--R
+--R   (2)
+--R                                    +-+ +-------+
+--R            +-+ +-+ +-------+      \|d \|b x + a
+--R       2b c\|b \|c \|d x + c atanh(--------------)
+--R                                    +-+ +-------+
+--R                                   \|b \|d x + c
+--R     + 
+--R                                      +-+ +-------+
+--R              +-+ +-+ +-------+      \|c \|b x + a
+--R       - 2a d\|a \|d \|d x + c atanh(--------------)
+--R                                      +-+ +-------+
+--R                                     \|a \|d x + c
+--R     + 
+--R                     +-+ +-+ +-------+
+--R       (2a d - 2b c)\|c \|d \|b x + a
+--R  /
+--R         +-+ +-+ +-------+
+--R     c d\|c \|d \|d x + c
+--R                                                    Type: Expression(Integer)
+--E  327
+
+--S 328 of 1000
+--a0:=integrate(t0,x)
+--E  328
+
+--S 329 of 1000
+--m0:=a0-r0
+--E  329
+
+--S 330 of 1000
+--d0:=D(m0,x)
+--E  330
+
+)clear all
+
+--S 331 of 1000
+t0:=(a+b*x)^(3/2)/(x^2*(c+d*x)^(3/2))
+--R 
+--R
+--R                    +-------+
+--R          (b x + a)\|b x + a
+--R   (1)  -----------------------
+--R            3      2  +-------+
+--R        (d x  + c x )\|d x + c
+--R                                                    Type: Expression(Integer)
+--E  331
+
+--S 332 of 1000
+r0:=-3*(b*c-a*d)*atanh(sqrt(c)*sqrt(a+b*x)/(sqrt(a)*sqrt(c+d*x)))*_
+     sqrt(a)/c^(5/2)-(a+b*x)^(3/2)/(c*x*sqrt(c+d*x))+3*(b*c-a*d)*_
+     sqrt(a+b*x)/(c^2*sqrt(c+d*x))
+--R 
+--R
+--R   (2)
+--R                                          +-+ +-------+
+--R                      +-+ +-------+      \|c \|b x + a
+--R       (3a d - 3b c)x\|a \|d x + c atanh(--------------)
+--R                                          +-+ +-------+
+--R                                         \|a \|d x + c
+--R     + 
+--R                                +-+ +-------+
+--R       ((- 3a d + 2b c)x - a c)\|c \|b x + a
+--R  /
+--R      2  +-+ +-------+
+--R     c x\|c \|d x + c
+--R                                                    Type: Expression(Integer)
+--E  332
+
+--S 333 of 1000
+--a0:=integrate(t0,x)
+--E  333
+
+--S 334 of 1000
+--m0:=a0-r0
+--E  334
+
+--S 335 of 1000
+--d0:=D(m0,x)
+--E  335
+
+)clear all
+
+--S 336 of 1000
+t0:=(a+b*x)^(3/2)/(x^3*(c+d*x)^(3/2))
+--R 
+--R
+--R                    +-------+
+--R          (b x + a)\|b x + a
+--R   (1)  -----------------------
+--R            4      3  +-------+
+--R        (d x  + c x )\|d x + c
+--R                                                    Type: Expression(Integer)
+--E  336
+
+--S 337 of 1000
+r0:=-3/4*(b*c-5*a*d)*(b*c-a*d)*atanh(sqrt(c)*sqrt(a+b*x)/_
+     (sqrt(a)*sqrt(c+d*x)))/(c^(7/2)*sqrt(a))-1/2*(a+b*x)^(3/2)/_
+     (c*x^2*sqrt(c+d*x))-1/4*d*(13*b*c-15*a*d)*sqrt(a+b*x)/_
+     (c^3*sqrt(c+d*x))-1/4*(3*b*c-5*a*d)*sqrt(a+b*x)/(c^2*x*sqrt(c+d*x))
+--R 
+--R
+--R   (2)
+--R                                                        +-+ +-------+
+--R             2 2                 2 2  2 +-------+      \|c \|b x + a
+--R       (- 15a d  + 18a b c d - 3b c )x \|d x + c atanh(--------------)
+--R                                                        +-+ +-------+
+--R                                                       \|a \|d x + c
+--R     + 
+--R              2            2                 2         2  +-+ +-+ +-------+
+--R       ((15a d  - 13b c d)x  + (5a c d - 5b c )x - 2a c )\|a \|c \|b x + a
+--R  /
+--R       3 2 +-+ +-+ +-------+
+--R     4c x \|a \|c \|d x + c
+--R                                                    Type: Expression(Integer)
+--E  337
+
+--S 338 of 1000
+--a0:=integrate(t0,x)
+--E  338
+
+--S 339 of 1000
+--m0:=a0-r0
+--E  339
+
+--S 340 of 1000
+--d0:=D(m0,x)
+--E  340
+
+)clear all
+
+--S 341 of 1000
+t0:=(a+b*x)^(3/2)/(x^4*(c+d*x)^(3/2))
+--R 
+--R
+--R                    +-------+
+--R          (b x + a)\|b x + a
+--R   (1)  -----------------------
+--R            5      4  +-------+
+--R        (d x  + c x )\|d x + c
+--R                                                    Type: Expression(Integer)
+--E  341
+
+--S 342 of 1000
+r0:=1/8*(b*c-a*d)*(b^2*c^2+10*a*b*c*d-35*a^2*d^2)*atanh(sqrt(c)*_
+     sqrt(a+b*x)/(sqrt(a)*sqrt(c+d*x)))/(a^(3/2)*c^(9/2))-_
+     1/3*(a+b*x)^(3/2)/(c*x^3*sqrt(c+d*x))-1/24*d*(3*b^2*c^2-_
+     100*a*b*c*d+105*a^2*d^2)*sqrt(a+b*x)/(a*c^4*sqrt(c+d*x))-_
+     1/12*(3*b*c-7*a*d)*sqrt(a+b*x)/(c^2*x^2*sqrt(c+d*x))-_
+     1/24*(3*b*c-35*a*d)*(b*c-a*d)*sqrt(a+b*x)/(a*c^3*x*sqrt(c+d*x))
+--R 
+--R
+--R   (2)
+--R              3 3       2     2        2 2      3 3  3 +-------+
+--R         (105a d  - 135a b c d  + 27a b c d + 3b c )x \|d x + c
+--R      *
+--R                +-+ +-------+
+--R               \|c \|b x + a
+--R         atanh(--------------)
+--R                +-+ +-------+
+--R               \|a \|d x + c
+--R     + 
+--R                  2 3             2     2 2   3
+--R           (- 105a d  + 100a b c d  - 3b c d)x
+--R         + 
+--R                 2   2          2      2 3  2       2 2           3       2 3
+--R           (- 35a c d  + 38a b c d - 3b c )x  + (14a c d - 14a b c )x - 8a c
+--R      *
+--R          +-+ +-+ +-------+
+--R         \|a \|c \|b x + a
+--R  /
+--R          4 3 +-+ +-+ +-------+
+--R     24a c x \|a \|c \|d x + c
+--R                                                    Type: Expression(Integer)
+--E  342
+
+--S 343 of 1000
+--a0:=integrate(t0,x)
+--E  343
+
+--S 344 of 1000
+--m0:=a0-r0
+--E  344
+
+--S 345 of 1000
+--d0:=D(m0,x)
+--E  345
+
+)clear all
+
+--S 346 of 1000
+t0:=x^2*(a+b*x)^(3/2)/(c+d*x)^(5/2)
+--R 
+--R
+--R                3      2  +-------+
+--R            (b x  + a x )\|b x + a
+--R   (1)  ------------------------------
+--R          2 2             2  +-------+
+--R        (d x  + 2c d x + c )\|d x + c
+--R                                                    Type: Expression(Integer)
+--E  346
+
+--S 347 of 1000
+r0:=2/3*c^2*(a+b*x)^(5/2)/(d^2*(b*c-a*d)*(c+d*x)^(3/2))+_
+     1/4*(35*b^2*c^2-30*a*b*c*d+3*a^2*d^2)*atanh(sqrt(d)*_
+     sqrt(a+b*x)/(sqrt(b)*sqrt(c+d*x)))/(d^(9/2)*sqrt(b))-_
+     4/3*c*(4*b*c-3*a*d)*(a+b*x)^(5/2)/(d^2*(b*c-a*d)^2*sqrt(c+d*x))+_
+     1/6*(35*b^2*c^2-30*a*b*c*d+3*a^2*d^2)*(a+b*x)^(3/2)*sqrt(c+d*x)/_
+     (d^3*(b*c-a*d)^2)-1/4*(35*b^2*c^2-30*a*b*c*d+3*a^2*d^2)*_
+     sqrt(a+b*x)*sqrt(c+d*x)/(d^4*(b*c-a*d))
+--R 
+--R
+--R   (2)
+--R             2 3            2       2 2        2   2          2        2 3
+--R         ((9a d  - 90a b c d  + 105b c d)x + 9a c d  - 90a b c d + 105b c )
+--R      *
+--R                          +-+ +-------+
+--R          +-------+      \|d \|b x + a
+--R         \|d x + c atanh(--------------)
+--R                          +-+ +-------+
+--R                         \|b \|d x + c
+--R     + 
+--R               3 3         3          2  2           2         2           2
+--R           6b d x  + (15a d  - 21b c d )x  + (78a c d  - 140b c d)x + 55a c d
+--R         + 
+--R                   3
+--R           - 105b c
+--R      *
+--R          +-+ +-+ +-------+
+--R         \|b \|d \|b x + a
+--R  /
+--R         5         4  +-+ +-+ +-------+
+--R     (12d x + 12c d )\|b \|d \|d x + c
+--R                                                    Type: Expression(Integer)
+--E  347
+
+--S 348 of 1000
+--a0:=integrate(t0,x)
+--E  348
+
+--S 349 of 1000
+--m0:=a0-r0
+--E  349
+
+--S 350 of 1000
+--d0:=D(m0,x)
+--E  350
+
+)clear all
+
+--S 351 of 1000
+t0:=x*(a+b*x)^(3/2)/(c+d*x)^(5/2)
+--R 
+--R
+--R                2        +-------+
+--R            (b x  + a x)\|b x + a
+--R   (1)  ------------------------------
+--R          2 2             2  +-------+
+--R        (d x  + 2c d x + c )\|d x + c
+--R                                                    Type: Expression(Integer)
+--E  351
+
+--S 352 of 1000
+r0:=-2/3*c*(a+b*x)^(5/2)/(d*(b*c-a*d)*(c+d*x)^(3/2))-(5*b*c-3*a*d)*_
+     atanh(sqrt(d)*sqrt(a+b*x)/(sqrt(b)*sqrt(c+d*x)))*sqrt(b)/d^(7/2)-_
+     2/3*(5*b*c-3*a*d)*(a+b*x)^(3/2)/(d^2*(b*c-a*d)*sqrt(c+d*x))+_
+     b*(5*b*c-3*a*d)*sqrt(a+b*x)*sqrt(c+d*x)/(d^3*(b*c-a*d))
+--R 
+--R
+--R   (2)
+--R                                                                  +-+ +-------+
+--R             2                             2  +-+ +-------+      \|d \|b x + a
+--R       ((9a d  - 15b c d)x + 9a c d - 15b c )\|b \|d x + c atanh(--------------)
+--R                                                                  +-+ +-------+
+--R                                                                 \|b \|d x + c
+--R     + 
+--R            2 2          2                             2  +-+ +-------+
+--R       (3b d x  + (- 6a d  + 20b c d)x - 4a c d + 15b c )\|d \|b x + a
+--R  /
+--R        4        3  +-+ +-------+
+--R     (3d x + 3c d )\|d \|d x + c
+--R                                                    Type: Expression(Integer)
+--E  352
+
+--S 353 of 1000
+--a0:=integrate(t0,x)
+--E  353
+
+--S 354 of 1000
+--m0:=a0-r0
+--E  354
+
+--S 355 of 1000
+--d0:=D(m0,x)
+--E  355
+
+)clear all
+
+--S 356 of 1000
+t0:=(a+b*x)^(3/2)/(c+d*x)^(5/2)
+--R 
+--R
+--R                        +-------+
+--R              (b x + a)\|b x + a
+--R   (1)  ------------------------------
+--R          2 2             2  +-------+
+--R        (d x  + 2c d x + c )\|d x + c
+--R                                                    Type: Expression(Integer)
+--E  356
+
+--S 357 of 1000
+r0:=-2/3*(a+b*x)^(3/2)/(d*(c+d*x)^(3/2))+2*b^(3/2)*atanh(sqrt(d)*_
+     sqrt(a+b*x)/(sqrt(b)*sqrt(c+d*x)))/d^(5/2)-2*b*sqrt(a+b*x)/_
+     (d^2*sqrt(c+d*x))
+--R 
+--R
+--R   (2)
+--R                                           +-+ +-------+
+--R                       +-+ +-------+      \|d \|b x + a
+--R       (6b d x + 6b c)\|b \|d x + c atanh(--------------)
+--R                                           +-+ +-------+
+--R                                          \|b \|d x + c
+--R     + 
+--R                                +-+ +-------+
+--R       (- 8b d x - 2a d - 6b c)\|d \|b x + a
+--R  /
+--R        3        2  +-+ +-------+
+--R     (3d x + 3c d )\|d \|d x + c
+--R                                                    Type: Expression(Integer)
+--E  357
+
+--S 358 of 1000
+--a0:=integrate(t0,x)
+--E  358
+
+--S 359 of 1000
+--m0:=a0-r0
+--E  359
+
+--S 360 of 1000
+--d0:=D(m0,x)
+--E  360
+
+)clear all
+
+--S 361 of 1000
+t0:=(a+b*x)^(3/2)/(x*(c+d*x)^(5/2))
+--R 
+--R
+--R                         +-------+
+--R               (b x + a)\|b x + a
+--R   (1)  --------------------------------
+--R          2 3         2    2   +-------+
+--R        (d x  + 2c d x  + c x)\|d x + c
+--R                                                    Type: Expression(Integer)
+--E  361
+
+--S 362 of 1000
+r0:=2/3*(a+b*x)^(3/2)/(c*(c+d*x)^(3/2))-2*a^(3/2)*atanh(sqrt(c)*_
+     sqrt(a+b*x)/(sqrt(a)*sqrt(c+d*x)))/c^(5/2)+2*a*sqrt(a+b*x)/_
+     (c^2*sqrt(c+d*x))
+--R 
+--R
+--R   (2)
+--R                                             +-+ +-------+
+--R                         +-+ +-------+      \|c \|b x + a
+--R       (- 6a d x - 6a c)\|a \|d x + c atanh(--------------)
+--R                                             +-+ +-------+
+--R                                            \|a \|d x + c
+--R     + 
+--R                               +-+ +-------+
+--R       ((6a d + 2b c)x + 8a c)\|c \|b x + a
+--R  /
+--R        2        3  +-+ +-------+
+--R     (3c d x + 3c )\|c \|d x + c
+--R                                                    Type: Expression(Integer)
+--E  362
+
+--S 363 of 1000
+--a0:=integrate(t0,x)
+--E  363
+
+--S 364 of 1000
+--m0:=a0-r0
+--E  364
+
+--S 365 of 1000
+--d0:=D(m0,x)
+--E  365
+
+)clear all
+
+--S 366 of 1000
+t0:=(a+b*x)^(3/2)/(x^2*(c+d*x)^(5/2))
+--R 
+--R
+--R                         +-------+
+--R               (b x + a)\|b x + a
+--R   (1)  ---------------------------------
+--R          2 4         3    2 2  +-------+
+--R        (d x  + 2c d x  + c x )\|d x + c
+--R                                                    Type: Expression(Integer)
+--E  366
+
+--S 367 of 1000
+r0:=-(a+b*x)^(3/2)/(c*x*(c+d*x)^(3/2))-(3*b*c-5*a*d)*atanh(sqrt(c)*_
+     sqrt(a+b*x)/(sqrt(a)*sqrt(c+d*x)))*sqrt(a)/c^(7/2)+5/3*(b*c-a*d)*_
+     sqrt(a+b*x)/(c^2*(c+d*x)^(3/2))+1/3*(4*b*c-15*a*d)*sqrt(a+b*x)/_
+     (c^3*sqrt(c+d*x))
+--R 
+--R
+--R   (2)
+--R                2           2                  2    +-+ +-------+
+--R         ((15a d  - 9b c d)x  + (15a c d - 9b c )x)\|a \|d x + c
+--R      *
+--R                +-+ +-------+
+--R               \|c \|b x + a
+--R         atanh(--------------)
+--R                +-+ +-------+
+--R               \|a \|d x + c
+--R     + 
+--R                2           2                    2         2  +-+ +-------+
+--R       ((- 15a d  + 4b c d)x  + (- 20a c d + 6b c )x - 3a c )\|c \|b x + a
+--R  /
+--R        3   2     4   +-+ +-------+
+--R     (3c d x  + 3c x)\|c \|d x + c
+--R                                                    Type: Expression(Integer)
+--E  367
+
+--S 368 of 1000
+--a0:=integrate(t0,x)
+--E  368
+
+--S 369 of 1000
+--m0:=a0-r0
+--E  369
+
+--S 370 of 1000
+--d0:=D(m0,x)
+--E  370
+
+)clear all
+
+--S 371 of 1000
+t0:=(a+b*x)^(3/2)/(x^3*(c+d*x)^(5/2))
+--R 
+--R
+--R                         +-------+
+--R               (b x + a)\|b x + a
+--R   (1)  ---------------------------------
+--R          2 5         4    2 3  +-------+
+--R        (d x  + 2c d x  + c x )\|d x + c
+--R                                                    Type: Expression(Integer)
+--E  371
+
+--S 372 of 1000
+r0:=-1/2*(a+b*x)^(3/2)/(c*x^2*(c+d*x)^(3/2))-1/4*(3*b^2*c^2-30*a*b*c*d+_
+     35*a^2*d^2)*atanh(sqrt(c)*sqrt(a+b*x)/(sqrt(a)*sqrt(c+d*x)))/_
+     (c^(9/2)*sqrt(a))-1/12*d*(23*b*c-35*a*d)*sqrt(a+b*x)/_
+     (c^3*(c+d*x)^(3/2))-1/4*(3*b*c-7*a*d)*sqrt(a+b*x)/(c^2*x*(c+d*x)^(3/2))-_
+     5/12*d*(11*b*c-21*a*d)*sqrt(a+b*x)/(c^4*sqrt(c+d*x))
+--R 
+--R
+--R   (2)
+--R                  2 3            2     2 2   3
+--R           (- 105a d  + 90a b c d  - 9b c d)x
+--R         + 
+--R                  2   2          2      2 3  2
+--R           (- 105a c d  + 90a b c d - 9b c )x
+--R      *
+--R                          +-+ +-------+
+--R          +-------+      \|c \|b x + a
+--R         \|d x + c atanh(--------------)
+--R                          +-+ +-------+
+--R                         \|a \|d x + c
+--R     + 
+--R                  3          2  3            2        2   2
+--R           (105a d  - 55b c d )x  + (140a c d  - 78b c d)x
+--R         + 
+--R                 2         3         3
+--R           (21a c d - 15b c )x - 6a c
+--R      *
+--R          +-+ +-+ +-------+
+--R         \|a \|c \|b x + a
+--R  /
+--R         4   3      5 2  +-+ +-+ +-------+
+--R     (12c d x  + 12c x )\|a \|c \|d x + c
+--R                                                    Type: Expression(Integer)
+--E  372
+
+--S 373 of 1000
+--a0:=integrate(t0,x)
+--E  373
+
+--S 374 of 1000
+--m0:=a0-r0
+--E  374
+
+--S 375 of 1000
+--d0:=D(m0,x)
+--E  375
+
+)clear all
+
+--S 376 of 1000
+t0:=x^2*(a+b*x)^(5/2)*sqrt(c+d*x)
+--R 
+--R
+--R          2 4         3    2 2  +-------+ +-------+
+--R   (1)  (b x  + 2a b x  + a x )\|b x + a \|d x + c
+--R                                                    Type: Expression(Integer)
+--E  376
+
+--S 377 of 1000
+r0:=-1/60*(9*b*c+5*a*d)*(a+b*x)^(7/2)*(c+d*x)^(3/2)/(b^2*d^2)+_
+     1/6*x*(a+b*x)^(7/2)*(c+d*x)^(3/2)/(b*d)-1/512*(b*c-a*d)^4*_
+     (21*b^2*c^2+14*a*b*c*d+5*a^2*d^2)*atanh(sqrt(d)*sqrt(a+b*x)/_
+     (sqrt(b)*sqrt(c+d*x)))/(b^(7/2)*d^(11/2))-1/768*(b*c-a*d)^2*_
+     (21*b^2*c^2+14*a*b*c*d+5*a^2*d^2)*(a+b*x)^(3/2)*sqrt(c+d*x)/_
+     (b^3*d^4)+1/960*(b*c-a*d)*(21*b^2*c^2+14*a*b*c*d+5*a^2*d^2)*_
+     (a+b*x)^(5/2)*sqrt(c+d*x)/(b^3*d^3)+1/160*(21*b^2*c^2+_
+     14*a*b*c*d+5*a^2*d^2)*(a+b*x)^(7/2)*sqrt(c+d*x)/(b^3*d^2)+_
+     1/512*(b*c-a*d)^3*(21*b^2*c^2+14*a*b*c*d+5*a^2*d^2)*_
+     sqrt(a+b*x)*sqrt(c+d*x)/(b^3*d^5)
+--R 
+--R
+--R   (2)
+--R                6 6      5     5      4 2 2 4       3 3 3 3        2 4 4 2
+--R           - 75a d  + 90a b c d  + 75a b c d  + 300a b c d  - 1125a b c d
+--R         + 
+--R                  5 5        6 6
+--R           1050a b c d - 315b c
+--R      *
+--R                +-+ +-------+
+--R               \|d \|b x + a
+--R         atanh(--------------)
+--R                +-+ +-------+
+--R               \|b \|d x + c
+--R     + 
+--R                5 5 5           4 5       5   4  4
+--R           1280b d x  + (3200a b d  + 128b c d )x
+--R         + 
+--R                 2 3 5         4   4       5 2 3  3
+--R           (2160a b d  + 416a b c d  - 144b c d )x
+--R         + 
+--R               3 2 5       2 3   4         4 2 3       5 3 2  2
+--R           (40a b d  + 408a b c d  - 488a b c d  + 168b c d )x
+--R         + 
+--R                 4   5      3 2   4       2 3 2 3         4 3 2       5 4
+--R           (- 50a b d  + 40a b c d  - 524a b c d  + 616a b c d  - 210b c d)x
+--R         + 
+--R            5 5      4     4      3 2 2 3       2 3 3 2         4 4        5 5
+--R         75a d  - 65a b c d  - 90a b c d  + 838a b c d  - 945a b c d + 315b c
+--R      *
+--R          +-+ +-+ +-------+ +-------+
+--R         \|b \|d \|b x + a \|d x + c
+--R  /
+--R          3 5 +-+ +-+
+--R     7680b d \|b \|d
+--R                                                    Type: Expression(Integer)
+--E  377
+
+--S 378 of 1000
+--a0:=integrate(t0,x)
+--E  378
+
+--S 379 of 1000
+--m0:=a0-r0
+--E  379
+
+--S 380 of 1000
+--d0:=D(m0,x)
+--E  380
+
+)clear all
+
+--S 381 of 1000
+t0:=x*(a+b*x)^(5/2)*sqrt(c+d*x)
+--R 
+--R
+--R          2 3         2    2   +-------+ +-------+
+--R   (1)  (b x  + 2a b x  + a x)\|b x + a \|d x + c
+--R                                                    Type: Expression(Integer)
+--E  381
+
+--S 382 of 1000
+r0:=1/5*(a+b*x)^(7/2)*(c+d*x)^(3/2)/(b*d)+1/128*(b*c-a*d)^4*(7*b*c+3*a*d)*_
+     atanh(sqrt(d)*sqrt(a+b*x)/(sqrt(b)*sqrt(c+d*x)))/(b^(5/2)*d^(9/2))+_
+     1/192*(b*c-a*d)^2*(7*b*c+3*a*d)*(a+b*x)^(3/2)*sqrt(c+d*x)/(b^2*d^3)-_
+     1/240*(b*c-a*d)*(7*b*c+3*a*d)*(a+b*x)^(5/2)*sqrt(c+d*x)/(b^2*d^2)-_
+     1/40*(7*b*c+3*a*d)*(a+b*x)^(7/2)*sqrt(c+d*x)/(b^2*d)-_
+     1/128*(b*c-a*d)^3*(7*b*c+3*a*d)*sqrt(a+b*x)*sqrt(c+d*x)/(b^2*d^4)
+--R 
+--R
+--R   (2)
+--R                5 5      4     4       3 2 2 3       2 3 3 2         4 4
+--R             45a d  - 75a b c d  - 150a b c d  + 450a b c d  - 375a b c d
+--R           + 
+--R                 5 5
+--R             105b c
+--R      *
+--R                +-+ +-------+
+--R               \|d \|b x + a
+--R         atanh(--------------)
+--R                +-+ +-------+
+--R               \|b \|d x + c
+--R     + 
+--R               4 4 4           3 4      4   3  3
+--R           384b d x  + (1008a b d  + 48b c d )x
+--R         + 
+--R                2 2 4         3   3      4 2 2  2
+--R           (744a b d  + 176a b c d  - 56b c d )x
+--R         + 
+--R               3   4       2 2   3         3 2 2      4 3         4 4
+--R           (30a b d  + 218a b c d  - 222a b c d  + 70b c d)x - 45a d
+--R         + 
+--R              3     3       2 2 2 2         3 3        4 4
+--R           60a b c d  - 346a b c d  + 340a b c d - 105b c
+--R      *
+--R          +-+ +-+ +-------+ +-------+
+--R         \|b \|d \|b x + a \|d x + c
+--R  /
+--R          2 4 +-+ +-+
+--R     1920b d \|b \|d
+--R                                                    Type: Expression(Integer)
+--E  382
+
+--S 383 of 1000
+--a0:=integrate(t0,x)
+--E  383
+
+--S 384 of 1000
+--m0:=a0-r0
+--E  384
+
+--S 385 of 1000
+--d0:=D(m0,x)
+--E  385
+
+)clear all
+
+--S 386 of 1000
+t0:=(a+b*x)^(5/2)*sqrt(c+d*x)
+--R 
+--R
+--R          2 2             2  +-------+ +-------+
+--R   (1)  (b x  + 2a b x + a )\|b x + a \|d x + c
+--R                                                    Type: Expression(Integer)
+--E  386
+
+--S 387 of 1000
+r0:=-5/64*(b*c-a*d)^4*atanh(sqrt(d)*sqrt(a+b*x)/(sqrt(b)*sqrt(c+d*x)))/_
+     (b^(3/2)*d^(7/2))-5/96*(b*c-a*d)^2*(a+b*x)^(3/2)*sqrt(c+d*x)/_
+     (b*d^2)+1/24*(b*c-a*d)*(a+b*x)^(5/2)*sqrt(c+d*x)/(b*d)+_
+     1/4*(a+b*x)^(7/2)*sqrt(c+d*x)/b+5/64*(b*c-a*d)^3*sqrt(a+b*x)*_
+     sqrt(c+d*x)/(b*d^3)
+--R 
+--R
+--R   (2)
+--R               4 4      3     3      2 2 2 2        3 3       4 4
+--R         (- 15a d  + 60a b c d  - 90a b c d  + 60a b c d - 15b c )
+--R      *
+--R                +-+ +-------+
+--R               \|d \|b x + a
+--R         atanh(--------------)
+--R                +-+ +-------+
+--R               \|b \|d x + c
+--R     + 
+--R              3 3 3          2 3     3   2  2
+--R           48b d x  + (136a b d  + 8b c d )x
+--R         + 
+--R                2   3        2   2      3 2         3 3      2     2        2 2
+--R           (118a b d  + 36a b c d  - 10b c d)x + 15a d  + 73a b c d  - 55a b c d
+--R         + 
+--R              3 3
+--R           15b c
+--R      *
+--R          +-+ +-+ +-------+ +-------+
+--R         \|b \|d \|b x + a \|d x + c
+--R  /
+--R           3 +-+ +-+
+--R     192b d \|b \|d
+--R                                                    Type: Expression(Integer)
+--E  387
+
+--S 388 of 1000
+--a0:=integrate(t0,x)
+--E  388
+
+--S 389 of 1000
+--m0:=a0-r0
+--E  389
+
+--S 390 of 1000
+--d0:=D(m0,x)
+--E  390
+
+)clear all
+
+--S 391 of 1000
+t0:=(a+b*x)^(5/2)*sqrt(c+d*x)/x
+--R 
+--R
+--R          2 2             2  +-------+ +-------+
+--R        (b x  + 2a b x + a )\|b x + a \|d x + c
+--R   (1)  ----------------------------------------
+--R                            x
+--R                                                    Type: Expression(Integer)
+--E  391
+
+--S 392 of 1000
+r0:=1/8*(b^3*c^3-5*a*b^2*c^2*d+15*a^2*b*c*d^2+5*a^3*d^3)*atanh(sqrt(d)*_
+     sqrt(a+b*x)/(sqrt(b)*sqrt(c+d*x)))/(d^(5/2)*sqrt(b))-_
+     2*a^(5/2)*atanh(sqrt(c)*sqrt(a+b*x)/(sqrt(a)*sqrt(c+d*x)))*_
+     sqrt(c)+1/12*(b*c+5*a*d)*(a+b*x)^(3/2)*sqrt(c+d*x)/d+_
+     1/3*(a+b*x)^(5/2)*sqrt(c+d*x)-1/8*(b*c-5*a*d)*(b*c+a*d)*_
+     sqrt(a+b*x)*sqrt(c+d*x)/d^2
+--R 
+--R
+--R   (2)
+--R                                                       +-+ +-------+
+--R           3 3      2     2        2 2      3 3       \|d \|b x + a
+--R       (15a d  + 45a b c d  - 15a b c d + 3b c )atanh(--------------)
+--R                                                       +-+ +-------+
+--R                                                      \|b \|d x + c
+--R     + 
+--R                                      +-+ +-------+
+--R            2 2 +-+ +-+ +-+ +-+      \|c \|b x + a
+--R       - 48a d \|a \|b \|c \|d atanh(--------------)
+--R                                      +-+ +-------+
+--R                                     \|a \|d x + c
+--R     + 
+--R            2 2 2           2     2           2 2                 2 2  +-+ +-+
+--R         (8b d x  + (26a b d  + 2b c d)x + 33a d  + 14a b c d - 3b c )\|b \|d
+--R      *
+--R          +-------+ +-------+
+--R         \|b x + a \|d x + c
+--R  /
+--R        2 +-+ +-+
+--R     24d \|b \|d
+--R                                                    Type: Expression(Integer)
+--E  392
+
+--S 393 of 1000
+--a0:=integrate(t0,x)
+--E  393
+
+--S 394 of 1000
+--m0:=a0-r0
+--E  394
+
+--S 395 of 1000
+--d0:=D(m0,x)
+--E  395
+
+)clear all
+
+--S 396 of 1000
+t0:=(a+b*x)^(5/2)*sqrt(c+d*x)/x^2
+--R 
+--R
+--R          2 2             2  +-------+ +-------+
+--R        (b x  + 2a b x + a )\|b x + a \|d x + c
+--R   (1)  ----------------------------------------
+--R                            2
+--R                           x
+--R                                                    Type: Expression(Integer)
+--E  396
+
+--S 397 of 1000
+r0:=-1/4*(b^2*c^2-10*a*b*c*d-15*a^2*d^2)*atanh(sqrt(d)*sqrt(a+b*x)/_
+     (sqrt(b)*sqrt(c+d*x)))*sqrt(b)/d^(3/2)-a^(3/2)*(5*b*c+a*d)*_
+     atanh(sqrt(c)*sqrt(a+b*x)/(sqrt(a)*sqrt(c+d*x)))/sqrt(c)+3/2*b*_
+     (a+b*x)^(3/2)*sqrt(c+d*x)-(a+b*x)^(5/2)*sqrt(c+d*x)/x+_
+     1/4*b*(b*c+11*a*d)*sqrt(a+b*x)*sqrt(c+d*x)/d
+--R 
+--R
+--R   (2)
+--R                                                  +-+ +-------+
+--R           2 2                2 2   +-+ +-+      \|d \|b x + a
+--R       (15a d  + 10a b c d - b c )x\|b \|c atanh(--------------)
+--R                                                  +-+ +-------+
+--R                                                 \|b \|d x + c
+--R     + 
+--R                                            +-+ +-------+
+--R            2 2               +-+ +-+      \|c \|b x + a
+--R       (- 4a d  - 20a b c d)x\|a \|d atanh(--------------)
+--R                                            +-+ +-------+
+--R                                           \|a \|d x + c
+--R     + 
+--R          2   2              2        2   +-+ +-+ +-------+ +-------+
+--R       (2b d x  + (9a b d + b c)x - 4a d)\|c \|d \|b x + a \|d x + c
+--R  /
+--R          +-+ +-+
+--R     4d x\|c \|d
+--R                                                    Type: Expression(Integer)
+--E  397
+
+--S 398 of 1000
+--a0:=integrate(t0,x)
+--E  398
+
+--S 399 of 1000
+--m0:=a0-r0
+--E  399
+
+--S 400 of 1000
+--d0:=D(m0,x)
+--E  400
+
+)clear all
+
+--S 401 of 1000
+t0:=(a+b*x)^(5/2)*sqrt(c+d*x)/x^3
+--R 
+--R
+--R          2 2             2  +-------+ +-------+
+--R        (b x  + 2a b x + a )\|b x + a \|d x + c
+--R   (1)  ----------------------------------------
+--R                            3
+--R                           x
+--R                                                    Type: Expression(Integer)
+--E  401
+
+--S 402 of 1000
+r0:=-1/4*(15*b^2*c^2+10*a*b*c*d-a^2*d^2)*atanh(sqrt(c)*sqrt(a+b*x)/_
+     (sqrt(a)*sqrt(c+d*x)))*sqrt(a)/c^(3/2)+b^(3/2)*(b*c+5*a*d)*_
+     atanh(sqrt(d)*sqrt(a+b*x)/(sqrt(b)*sqrt(c+d*x)))/sqrt(d)-_
+     1/4*(5*b*c+a*d)*(a+b*x)^(3/2)*sqrt(c+d*x)/(c*x)-1/2*(a+b*x)^(5/2)*_
+     sqrt(c+d*x)/x^2+1/4*b*(11*b*c+a*d)*sqrt(a+b*x)*sqrt(c+d*x)/c
+--R 
+--R
+--R   (2)
+--R                                           +-+ +-------+
+--R                      2 2  2 +-+ +-+      \|d \|b x + a
+--R       (20a b c d + 4b c )x \|b \|c atanh(--------------)
+--R                                           +-+ +-------+
+--R                                          \|b \|d x + c
+--R     + 
+--R                                                   +-+ +-------+
+--R         2 2                  2 2  2 +-+ +-+      \|c \|b x + a
+--R       (a d  - 10a b c d - 15b c )x \|a \|d atanh(--------------)
+--R                                                   +-+ +-------+
+--R                                                  \|a \|d x + c
+--R     + 
+--R          2   2       2                 2   +-+ +-+ +-------+ +-------+
+--R       (4b c x  + (- a d - 9a b c)x - 2a c)\|c \|d \|b x + a \|d x + c
+--R  /
+--R         2 +-+ +-+
+--R     4c x \|c \|d
+--R                                                    Type: Expression(Integer)
+--E  402
+
+--S 403 of 1000
+--a0:=integrate(t0,x)
+--E  403
+
+--S 404 of 1000
+--m0:=a0-r0
+--E  404
+
+--S 405 of 1000
+--d0:=D(m0,x)
+--E  405
+
+)clear all
+
+--S 406 of 1000
+t0:=(a+b*x)^(5/2)*sqrt(c+d*x)/x^4
+--R 
+--R
+--R          2 2             2  +-------+ +-------+
+--R        (b x  + 2a b x + a )\|b x + a \|d x + c
+--R   (1)  ----------------------------------------
+--R                            4
+--R                           x
+--R                                                    Type: Expression(Integer)
+--E  406
+
+--S 407 of 1000
+r0:=-1/8*(5*b^3*c^3+15*a*b^2*c^2*d-5*a^2*b*c*d^2+a^3*d^3)*atanh(sqrt(c)*_
+     sqrt(a+b*x)/(sqrt(a)*sqrt(c+d*x)))/(c^(5/2)*sqrt(a))+_
+     2*b^(5/2)*atanh(sqrt(d)*sqrt(a+b*x)/(sqrt(b)*sqrt(c+d*x)))*_
+     sqrt(d)-1/12*(5*b*c+a*d)*(a+b*x)^(3/2)*sqrt(c+d*x)/(c*x^2)-_
+     1/3*(a+b*x)^(5/2)*sqrt(c+d*x)/x^3-1/8*(5*b*c-a*d)*(b*c+a*d)*_
+     sqrt(a+b*x)*sqrt(c+d*x)/(c^2*x)
+--R 
+--R
+--R   (2)
+--R                                      +-+ +-------+
+--R          2 2 3 +-+ +-+ +-+ +-+      \|d \|b x + a
+--R       48b c x \|a \|b \|c \|d atanh(--------------)
+--R                                      +-+ +-------+
+--R                                     \|b \|d x + c
+--R     + 
+--R                                                           +-+ +-------+
+--R            3 3      2     2        2 2       3 3  3      \|c \|b x + a
+--R       (- 3a d  + 15a b c d  - 45a b c d - 15b c )x atanh(--------------)
+--R                                                           +-+ +-------+
+--R                                                          \|a \|d x + c
+--R     + 
+--R             2 2                  2 2  2        2             2       2 2  +-+
+--R         ((3a d  - 14a b c d - 33b c )x  + (- 2a c d - 26a b c )x - 8a c )\|a
+--R      *
+--R          +-+ +-------+ +-------+
+--R         \|c \|b x + a \|d x + c
+--R  /
+--R        2 3 +-+ +-+
+--R     24c x \|a \|c
+--R                                                    Type: Expression(Integer)
+--E  407
+
+--S 408 of 1000
+--a0:=integrate(t0,x)
+--E  408
+
+--S 409 of 1000
+--m0:=a0-r0
+--E  409
+
+--S 410 of 1000
+--d0:=D(m0,x)
+--E  410
+
+)clear all
+
+--S 411 of 1000
+t0:=(a+b*x)^(5/2)*sqrt(c+d*x)/x^5
+--R 
+--R
+--R          2 2             2  +-------+ +-------+
+--R        (b x  + 2a b x + a )\|b x + a \|d x + c
+--R   (1)  ----------------------------------------
+--R                            5
+--R                           x
+--R                                                    Type: Expression(Integer)
+--E  411
+
+--S 412 of 1000
+r0:=-5/24*(b*c-a*d)*(a+b*x)^(3/2)*(c+d*x)^(3/2)/(c^2*x^3)-1/4*(a+b*x)^(5/2)*_
+     (c+d*x)^(3/2)/(c*x^4)+5/64*(b*c-a*d)^4*atanh(sqrt(c)*sqrt(a+b*x)/_
+     (sqrt(a)*sqrt(c+d*x)))/(a^(3/2)*c^(7/2))-5/32*(b*c-a*d)^2*_
+     (c+d*x)^(3/2)*sqrt(a+b*x)/(c^3*x^2)-5/64*(b*c-a*d)^3*sqrt(a+b*x)*_
+     sqrt(c+d*x)/(a*c^3*x)
+--R 
+--R
+--R   (2)
+--R             4 4      3     3      2 2 2 2        3 3       4 4  4
+--R         (15a d  - 60a b c d  + 90a b c d  - 60a b c d + 15b c )x
+--R      *
+--R                +-+ +-------+
+--R               \|c \|b x + a
+--R         atanh(--------------)
+--R                +-+ +-------+
+--R               \|a \|d x + c
+--R     + 
+--R                 3 3      2     2        2 2       3 3  3
+--R           (- 15a d  + 55a b c d  - 73a b c d - 15b c )x
+--R         + 
+--R             3   2      2   2          2 3  2        3 2        2   3        3 3
+--R         (10a c d  - 36a b c d - 118a b c )x  + (- 8a c d - 136a b c )x - 48a c
+--R      *
+--R          +-+ +-+ +-------+ +-------+
+--R         \|a \|c \|b x + a \|d x + c
+--R  /
+--R           3 4 +-+ +-+
+--R     192a c x \|a \|c
+--R                                                    Type: Expression(Integer)
+--E  412
+
+--S 413 of 1000
+--a0:=integrate(t0,x)
+--E  413
+
+--S 414 of 1000
+--m0:=a0-r0
+--E  414
+
+--S 415 of 1000
+--d0:=D(m0,x)
+--E  415
+
+)clear all
+
+--S 416 of 1000
+t0:=(a+b*x)^(5/2)*sqrt(c+d*x)/x^6
+--R 
+--R
+--R          2 2             2  +-------+ +-------+
+--R        (b x  + 2a b x + a )\|b x + a \|d x + c
+--R   (1)  ----------------------------------------
+--R                            6
+--R                           x
+--R                                                    Type: Expression(Integer)
+--E  416
+
+--S 417 of 1000
+r0:=-1/128*(b*c-a*d)^4*(3*b*c+7*a*d)*atanh(sqrt(c)*sqrt(a+b*x)/_
+     (sqrt(a)*sqrt(c+d*x)))/(a^(5/2)*c^(9/2))-1/40*(5*b*c+a*d)*_
+     (a+b*x)^(3/2)*sqrt(c+d*x)/(c*x^4)-1/5*(a+b*x)^(5/2)*sqrt(c+d*x)/x^5-_
+     1/240*(3*b*c-a*d)*(5*b*c+7*a*d)*sqrt(a+b*x)*sqrt(c+d*x)/(c^2*x^3)-_
+     1/960*(15*b^3*c^3+109*a*b^2*c^2*d-111*a^2*b*c*d^2+35*a^3*d^3)*_
+     sqrt(a+b*x)*sqrt(c+d*x)/(a*c^3*x^2)+1/1920*(45*b^4*c^4-_
+     60*a*b^3*c^3*d+346*a^2*b^2*c^2*d^2-340*a^3*b*c*d^3+105*a^4*d^4)*_
+     sqrt(a+b*x)*sqrt(c+d*x)/(a^2*c^4*x)
+--R 
+--R
+--R   (2)
+--R                 5 5       4     4       3 2 2 3       2 3 3 2        4 4
+--R           - 105a d  + 375a b c d  - 450a b c d  + 150a b c d  + 75a b c d
+--R         + 
+--R                5 5
+--R           - 45b c
+--R      *
+--R                  +-+ +-------+
+--R          5      \|c \|b x + a
+--R         x atanh(--------------)
+--R                  +-+ +-------+
+--R                 \|a \|d x + c
+--R     + 
+--R                4 4       3     3       2 2 2 2        3 3       4 4  4
+--R           (105a d  - 340a b c d  + 346a b c d  - 60a b c d + 45b c )x
+--R         + 
+--R                 4   3       3   2 2       2 2 3         3 4  3
+--R           (- 70a c d  + 222a b c d  - 218a b c d - 30a b c )x
+--R         + 
+--R               4 2 2       3   3        2 2 4  2         4 3         3   4
+--R           (56a c d  - 176a b c d - 744a b c )x  + (- 48a c d - 1008a b c )x
+--R         + 
+--R                 4 4
+--R           - 384a c
+--R      *
+--R          +-+ +-+ +-------+ +-------+
+--R         \|a \|c \|b x + a \|d x + c
+--R  /
+--R          2 4 5 +-+ +-+
+--R     1920a c x \|a \|c
+--R                                                    Type: Expression(Integer)
+--E  417
+
+--S 418 of 1000
+--a0:=integrate(t0,x)
+--E  418
+
+--S 419 of 1000
+--m0:=a0-r0
+--E  419
+
+--S 420 of 1000
+--d0:=D(m0,x)
+--E  420
+
+)clear all
+
+--S 421 of 1000
+t0:=x^2*(a+b*x)^(5/2)*(c+d*x)^(3/2)
+--R 
+--R
+--R   (1)
+--R     2   5              2   4     2            3    2   2  +-------+ +-------+
+--R   (b d x  + (2a b d + b c)x  + (a d + 2a b c)x  + a c x )\|b x + a \|d x + c
+--R                                                    Type: Expression(Integer)
+--E  421
+
+--S 422 of 1000
+r0:=1/120*(9*b^2*c^2+10*a*b*c*d+5*a^2*d^2)*(a+b*x)^(7/2)*(c+d*x)^(3/2)/_
+     (b^3*d^2)-1/84*(9*b*c+7*a*d)*(a+b*x)^(7/2)*(c+d*x)^(5/2)/(b^2*d^2)+_
+     1/7*x*(a+b*x)^(7/2)*(c+d*x)^(5/2)/(b*d)-1/1024*(b*c-a*d)^5*_
+     (9*b^2*c^2+10*a*b*c*d+5*a^2*d^2)*atanh(sqrt(d)*sqrt(a+b*x)/_
+     (sqrt(b)*sqrt(c+d*x)))/(b^(9/2)*d^(11/2))-1/1536*(b*c-a*d)^3*_
+     (9*b^2*c^2+10*a*b*c*d+5*a^2*d^2)*(a+b*x)^(3/2)*sqrt(c+d*x)/_
+     (b^4*d^4)+1/1920*(b*c-a*d)^2*(9*b^2*c^2+10*a*b*c*d+5*a^2*d^2)*_
+     (a+b*x)^(5/2)*sqrt(c+d*x)/(b^4*d^3)+1/320*(b*c-a*d)*(9*b^2*c^2+_
+     10*a*b*c*d+5*a^2*d^2)*(a+b*x)^(7/2)*sqrt(c+d*x)/(b^4*d^2)+_
+     1/1024*(b*c-a*d)^4*(9*b^2*c^2+10*a*b*c*d+5*a^2*d^2)*sqrt(a+b*x)*_
+     sqrt(c+d*x)/(b^4*d^5)
+--R 
+--R
+--R   (2)
+--R               7 7        6     6       5 2 2 5       4 3 3 4        3 4 4 3
+--R           525a d  - 1575a b c d  + 945a b c d  + 525a b c d  + 1575a b c d
+--R         + 
+--R                  2 5 5 2          6 6        7 7
+--R           - 4725a b c d  + 3675a b c d - 945b c
+--R      *
+--R                +-+ +-------+
+--R               \|d \|b x + a
+--R         atanh(--------------)
+--R                +-+ +-------+
+--R               \|b \|d x + c
+--R     + 
+--R                 6 6 6            5 6         6   5  5
+--R           15360b d x  + (37120a b d  + 19200b c d )x
+--R         + 
+--R                  2 4 6           5   5       6 2 4  4
+--R           (23680a b d  + 48640a b c d  + 384b c d )x
+--R         + 
+--R                3 3 6         2 4   5          5 2 4       6 3 3  3
+--R           (240a b d  + 33520a b c d  + 1488a b c d  - 432b c d )x
+--R         + 
+--R                       4 2 6       3 3   5        2 4 2 4          5 3 3
+--R                 - 280a b d  + 720a b c d  + 1824a b c d  - 1744a b c d
+--R               + 
+--R                     6 4 2
+--R                 504b c d
+--R          *
+--R              2
+--R             x
+--R         + 
+--R                   5   6       4 2   5       3 3 2 4        2 4 3 3
+--R               350a b d  - 910a b c d  + 300a b c d  - 2332a b c d
+--R             + 
+--R                      5 4 2       6 5
+--R               2198a b c d  - 630b c d
+--R          *
+--R             x
+--R         + 
+--R                 6 6        5     5       4 2 2 4       3 3 3 3        2 4 4 2
+--R           - 525a d  + 1400a b c d  - 525a b c d  - 600a b c d  + 3689a b c d
+--R         + 
+--R                    5 5        6 6
+--R           - 3360a b c d + 945b c
+--R      *
+--R          +-+ +-+ +-------+ +-------+
+--R         \|b \|d \|b x + a \|d x + c
+--R  /
+--R            4 5 +-+ +-+
+--R     107520b d \|b \|d
+--R                                                    Type: Expression(Integer)
+--E  422
+
+--S 423 of 1000
+--a0:=integrate(t0,x)
+--E  423
+
+--S 424 of 1000
+--m0:=a0-r0
+--E  424
+
+--S 425 of 1000
+--d0:=D(m0,x)
+--E  425
+
+)clear all
+
+--S 426 of 1000
+t0:=x*(a+b*x)^(5/2)*(c+d*x)^(3/2)
+--R 
+--R
+--R   (1)
+--R     2   4              2   3     2            2    2     +-------+ +-------+
+--R   (b d x  + (2a b d + b c)x  + (a d + 2a b c)x  + a c x)\|b x + a \|d x + c
+--R                                                    Type: Expression(Integer)
+--E  426
+
+--S 427 of 1000
+r0:=-1/60*(7*b*c+5*a*d)*(a+b*x)^(7/2)*(c+d*x)^(3/2)/(b^2*d)+1/6*_
+     (a+b*x)^(7/2)*(c+d*x)^(5/2)/(b*d)+1/512*(b*c-a*d)^5*(7*b*c+5*a*d)*_
+     atanh(sqrt(d)*sqrt(a+b*x)/(sqrt(b)*sqrt(c+d*x)))/(b^(7/2)*d^(9/2))+_
+     1/768*(b*c-a*d)^3*(7*b*c+5*a*d)*(a+b*x)^(3/2)*sqrt(c+d*x)/(b^3*d^3)-_
+     1/960*(b*c-a*d)^2*(7*b*c+5*a*d)*(a+b*x)^(5/2)*sqrt(c+d*x)/(b^3*d^2)-_
+     1/160*(b*c-a*d)*(7*b*c+5*a*d)*(a+b*x)^(7/2)*sqrt(c+d*x)/(b^3*d)-_
+     1/512*(b*c-a*d)^4*(7*b*c+5*a*d)*sqrt(a+b*x)*sqrt(c+d*x)/(b^3*d^4)
+--R 
+--R
+--R   (2)
+--R                6 6       5     5       4 2 2 4       3 3 3 3       2 4 4 2
+--R           - 75a d  + 270a b c d  - 225a b c d  - 300a b c d  + 675a b c d
+--R         + 
+--R                   5 5        6 6
+--R           - 450a b c d + 105b c
+--R      *
+--R                +-+ +-------+
+--R               \|d \|b x + a
+--R         atanh(--------------)
+--R                +-+ +-------+
+--R               \|b \|d x + c
+--R     + 
+--R                5 5 5           4 5        5   4  4
+--R           1280b d x  + (3200a b d  + 1664b c d )x
+--R         + 
+--R                 2 3 5          4   4      5 2 3  3
+--R           (2160a b d  + 4448a b c d  + 48b c d )x
+--R         + 
+--R               3 2 5        2 3   4         4 2 3      5 3 2  2
+--R           (40a b d  + 3384a b c d  + 216a b c d  - 56b c d )x
+--R         + 
+--R                 4   5       3 2   4       2 3 2 3         4 3 2      5 4
+--R           (- 50a b d  + 160a b c d  + 348a b c d  - 272a b c d  + 70b c d)x
+--R         + 
+--R            5 5       4     4       3 2 2 3       2 3 3 2         4 4        5 5
+--R         75a d  - 245a b c d  + 150a b c d  - 546a b c d  + 415a b c d - 105b c
+--R      *
+--R          +-+ +-+ +-------+ +-------+
+--R         \|b \|d \|b x + a \|d x + c
+--R  /
+--R          3 4 +-+ +-+
+--R     7680b d \|b \|d
+--R                                                    Type: Expression(Integer)
+--E  427
+
+--S 428 of 1000
+--a0:=integrate(t0,x)
+--E  428
+
+--S 429 of 1000
+--m0:=a0-r0
+--E  429
+
+--S 430 of 1000
+--d0:=D(m0,x)
+--E  430
+
+)clear all
+
+--S 431 of 1000
+t0:=(a+b*x)^(5/2)*(c+d*x)^(3/2)
+--R 
+--R
+--R   (1)
+--R     2   3              2   2     2                2   +-------+ +-------+
+--R   (b d x  + (2a b d + b c)x  + (a d + 2a b c)x + a c)\|b x + a \|d x + c
+--R                                                    Type: Expression(Integer)
+--E  431
+
+--S 432 of 1000
+r0:=1/5*(a+b*x)^(7/2)*(c+d*x)^(3/2)/b-3/128*(b*c-a*d)^5*atanh(sqrt(d)*_
+     sqrt(a+b*x)/(sqrt(b)*sqrt(c+d*x)))/(b^(5/2)*d^(7/2))-1/64*(b*c-a*d)^3*_
+     (a+b*x)^(3/2)*sqrt(c+d*x)/(b^2*d^2)+1/80*(b*c-a*d)^2*(a+b*x)^(5/2)*_
+     sqrt(c+d*x)/(b^2*d)+3/40*(b*c-a*d)*(a+b*x)^(7/2)*sqrt(c+d*x)/b^2+_
+     3/128*(b*c-a*d)^4*sqrt(a+b*x)*sqrt(c+d*x)/(b^2*d^3)
+--R 
+--R
+--R   (2)
+--R             5 5      4     4       3 2 2 3       2 3 3 2        4 4       5 5
+--R         (15a d  - 75a b c d  + 150a b c d  - 150a b c d  + 75a b c d - 15b c )
+--R      *
+--R                +-+ +-------+
+--R               \|d \|b x + a
+--R         atanh(--------------)
+--R                +-+ +-------+
+--R               \|b \|d x + c
+--R     + 
+--R               4 4 4          3 4       4   3  3
+--R           128b d x  + (336a b d  + 176b c d )x
+--R         + 
+--R                2 2 4         3   3     4 2 2  2
+--R           (248a b d  + 512a b c d  + 8b c d )x
+--R         + 
+--R               3   4       2 2   3        3 2 2      4 3         4 4
+--R           (10a b d  + 466a b c d  + 46a b c d  - 10b c d)x - 15a d
+--R         + 
+--R              3     3       2 2 2 2        3 3       4 4
+--R           70a b c d  + 128a b c d  - 70a b c d + 15b c
+--R      *
+--R          +-+ +-+ +-------+ +-------+
+--R         \|b \|d \|b x + a \|d x + c
+--R  /
+--R         2 3 +-+ +-+
+--R     640b d \|b \|d
+--R                                                    Type: Expression(Integer)
+--E  432
+
+--S 433 of 1000
+--a0:=integrate(t0,x)
+--E  433
+
+--S 434 of 1000
+--m0:=a0-r0
+--E  434
+
+--S 435 of 1000
+--d0:=D(m0,x)
+--E  435
+
+)clear all
+
+--S 436 of 1000
+t0:=(a+b*x)^(5/2)*(c+d*x)^(3/2)/x
+--R 
+--R
+--R   (1)
+--R     2   3              2   2     2                2   +-------+ +-------+
+--R   (b d x  + (2a b d + b c)x  + (a d + 2a b c)x + a c)\|b x + a \|d x + c
+--R   -----------------------------------------------------------------------
+--R                                      x
+--R                                                    Type: Expression(Integer)
+--E  436
+
+--S 437 of 1000
+r0:=1/24*(3*b*c+5*a*d)*(a+b*x)^(3/2)*(c+d*x)^(3/2)/d+1/4*(a+b*x)^(5/2)*_
+     (c+d*x)^(3/2)-2*a^(5/2)*c^(3/2)*atanh(sqrt(c)*sqrt(a+b*x)/_
+     (sqrt(a)*sqrt(c+d*x)))+1/64*(3*b^4*c^4-20*a*b^3*c^3*d+90*a^2*b^2*_
+     c^2*d^2+60*a^3*b*c*d^3-5*a^4*d^4)*atanh(sqrt(d)*sqrt(a+b*x)/_
+     (sqrt(b)*sqrt(c+d*x)))/(b^(3/2)*d^(5/2))-1/32*(b*c-5*a*d)*_
+     (3*b*c+a*d)*(c+d*x)^(3/2)*sqrt(a+b*x)/d^2+1/64*(3*b^3*c^3-_
+     17*a*b^2*c^2*d+73*a^2*b*c*d^2+5*a^3*d^3)*sqrt(a+b*x)*sqrt(c+d*x)/(b*d^2)
+--R 
+--R
+--R   (2)
+--R               4 4       3     3       2 2 2 2        3 3      4 4
+--R         (- 15a d  + 180a b c d  + 270a b c d  - 60a b c d + 9b c )
+--R      *
+--R                +-+ +-------+
+--R               \|d \|b x + a
+--R         atanh(--------------)
+--R                +-+ +-------+
+--R               \|b \|d x + c
+--R     + 
+--R                                           +-+ +-------+
+--R             2     2 +-+ +-+ +-+ +-+      \|c \|b x + a
+--R       - 384a b c d \|a \|b \|c \|d atanh(--------------)
+--R                                           +-+ +-------+
+--R                                          \|a \|d x + c
+--R     + 
+--R              3 3 3          2 3      3   2  2
+--R           48b d x  + (136a b d  + 72b c d )x
+--R         + 
+--R                2   3         2   2     3 2         3 3       2     2
+--R           (118a b d  + 244a b c d  + 6b c d)x + 15a d  + 337a b c d
+--R         + 
+--R                2 2      3 3
+--R           57a b c d - 9b c
+--R      *
+--R          +-+ +-+ +-------+ +-------+
+--R         \|b \|d \|b x + a \|d x + c
+--R  /
+--R           2 +-+ +-+
+--R     192b d \|b \|d
+--R                                                    Type: Expression(Integer)
+--E  437
+
+--S 438 of 1000 (non-algebraic residues)
+--a0:=integrate(t0,x) 
+--E  438
+
+--S 439 of 1000
+--m0:=a0-r0
+--E  439
+
+--S 440 of 1000
+--d0:=D(m0,x)
+--E  440
+
+)clear all
+
+--S 441 of 1000
+t0:=(a+b*x)^(5/2)*(c+d*x)^(3/2)/x^2
+--R 
+--R
+--R   (1)
+--R     2   3              2   2     2                2   +-------+ +-------+
+--R   (b d x  + (2a b d + b c)x  + (a d + 2a b c)x + a c)\|b x + a \|d x + c
+--R   -----------------------------------------------------------------------
+--R                                       2
+--R                                      x
+--R                                                    Type: Expression(Integer)
+--E  441
+
+--S 442 of 1000
+r0:=4/3*b*(a+b*x)^(3/2)*(c+d*x)^(3/2)-(a+b*x)^(5/2)*(c+d*x)^(3/2)/x-_
+     1/8*(b^3*c^3-15*a*b^2*c^2*d-45*a^2*b*c*d^2-5*a^3*d^3)*_
+     atanh(sqrt(d)*sqrt(a+b*x)/(sqrt(b)*sqrt(c+d*x)))/(d^(3/2)*_
+     sqrt(b))-a^(3/2)*(5*b*c+3*a*d)*atanh(sqrt(c)*sqrt(a+b*x)/_
+     (sqrt(a)*sqrt(c+d*x)))*sqrt(c)+1/4*b*(b*c+7*a*d)*(c+d*x)^(3/2)*_
+     sqrt(a+b*x)/d-1/8*(b^2*c^2-14*a*b*c*d-19*a^2*d^2)*sqrt(a+b*x)*_
+     sqrt(c+d*x)/d
+--R 
+--R
+--R   (2)
+--R                                                          +-+ +-------+
+--R           3 3       2     2        2 2      3 3         \|d \|b x + a
+--R       (15a d  + 135a b c d  + 45a b c d - 3b c )x atanh(--------------)
+--R                                                          +-+ +-------+
+--R                                                         \|b \|d x + c
+--R     + 
+--R                                                      +-+ +-------+
+--R             2 2                +-+ +-+ +-+ +-+      \|c \|b x + a
+--R       (- 72a d  - 120a b c d)x\|a \|b \|c \|d atanh(--------------)
+--R                                                      +-+ +-------+
+--R                                                     \|a \|d x + c
+--R     + 
+--R             2 2 3           2      2     2       2 2                 2 2
+--R           8b d x  + (26a b d  + 14b c d)x  + (33a d  + 68a b c d + 3b c )x
+--R         + 
+--R                2
+--R           - 24a c d
+--R      *
+--R          +-+ +-+ +-------+ +-------+
+--R         \|b \|d \|b x + a \|d x + c
+--R  /
+--R           +-+ +-+
+--R     24d x\|b \|d
+--R                                                    Type: Expression(Integer)
+--E  442
+
+--S 443 of 1000 (non-algebraic residues)
+--a0:=integrate(t0,x)
+--E  443
+
+--S 444 of 1000
+--m0:=a0-r0
+--E  444
+
+--S 445 of 1000
+--d0:=D(m0,x)
+--E  445
+
+)clear all
+
+--S 446 of 1000
+t0:=(a+b*x)^(5/2)*(c+d*x)^(3/2)/x^3
+--R 
+--R
+--R   (1)
+--R     2   3              2   2     2                2   +-------+ +-------+
+--R   (b d x  + (2a b d + b c)x  + (a d + 2a b c)x + a c)\|b x + a \|d x + c
+--R   -----------------------------------------------------------------------
+--R                                       3
+--R                                      x
+--R                                                    Type: Expression(Integer)
+--E  446
+
+--S 447 of 1000
+r0:=-1/4*(5*b*c+3*a*d)*(a+b*x)^(3/2)*(c+d*x)^(3/2)/(c*x)-1/2*(a+b*x)^(5/2)*_
+     (c+d*x)^(3/2)/x^2-3/4*(5*b^2*c^2+10*a*b*c*d+a^2*d^2)*_
+     atanh(sqrt(c)*sqrt(a+b*x)/(sqrt(a)*sqrt(c+d*x)))*sqrt(a)/sqrt(c)+_
+     3/4*(b^2*c^2+10*a*b*c*d+5*a^2*d^2)*atanh(sqrt(d)*sqrt(a+b*x)/_
+     (sqrt(b)*sqrt(c+d*x)))*sqrt(b)/sqrt(d)+3/4*b*(3*b*c+a*d)*_
+     (c+d*x)^(3/2)*sqrt(a+b*x)/c+3/4*(b^2*c^2+6*a*b*c*d+a^2*d^2)*_
+     sqrt(a+b*x)*sqrt(c+d*x)/c
+--R 
+--R
+--R   (2)
+--R                                                    +-+ +-------+
+--R           2 2                 2 2  2 +-+ +-+      \|d \|b x + a
+--R       (15a d  + 30a b c d + 3b c )x \|b \|c atanh(--------------)
+--R                                                    +-+ +-------+
+--R                                                   \|b \|d x + c
+--R     + 
+--R                                                      +-+ +-------+
+--R            2 2                  2 2  2 +-+ +-+      \|c \|b x + a
+--R       (- 3a d  - 30a b c d - 15b c )x \|a \|d atanh(--------------)
+--R                                                      +-+ +-------+
+--R                                                     \|a \|d x + c
+--R     + 
+--R            2   3               2   2        2                 2   +-+ +-+
+--R         (2b d x  + (9a b d + 5b c)x  + (- 5a d - 9a b c)x - 2a c)\|c \|d
+--R      *
+--R          +-------+ +-------+
+--R         \|b x + a \|d x + c
+--R  /
+--R       2 +-+ +-+
+--R     4x \|c \|d
+--R                                                    Type: Expression(Integer)
+--E  447
+
+--S 448 of 1000 (non-algebraic residues)
+--a0:=integrate(t0,x)
+--E  448
+
+--S 449 of 1000
+--m0:=a0-r0
+--E  449
+
+--S 450 of 1000
+--d0:=D(m0,x)
+--E  450
+
+)clear all
+
+--S 451 of 1000
+t0:=(a+b*x)^(5/2)*(c+d*x)^(3/2)/x^4
+--R 
+--R
+--R   (1)
+--R     2   3              2   2     2                2   +-------+ +-------+
+--R   (b d x  + (2a b d + b c)x  + (a d + 2a b c)x + a c)\|b x + a \|d x + c
+--R   -----------------------------------------------------------------------
+--R                                       4
+--R                                      x
+--R                                                    Type: Expression(Integer)
+--E  451
+
+--S 452 of 1000
+r0:=-1/12*(5*b*c+3*a*d)*(a+b*x)^(3/2)*(c+d*x)^(3/2)/(c*x^2)-_
+     1/3*(a+b*x)^(5/2)*(c+d*x)^(3/2)/x^3-1/8*(5*b^3*c^3+45*a*b^2*c^2*d+_
+     15*a^2*b*c*d^2-a^3*d^3)*atanh(sqrt(c)*sqrt(a+b*x)/(sqrt(a)*_
+     sqrt(c+d*x)))/(c^(3/2)*sqrt(a))+b^(3/2)*(3*b*c+5*a*d)*_
+     atanh(sqrt(d)*sqrt(a+b*x)/(sqrt(b)*sqrt(c+d*x)))*sqrt(d)-_
+     1/8*(5*b^2*c^2+12*a*b*c*d-a^2*d^2)*(c+d*x)^(3/2)*sqrt(a+b*x)/_
+     (c^2*x)+1/8*d*(19*b^2*c^2+14*a*b*c*d-a^2*d^2)*sqrt(a+b*x)*sqrt(c+d*x)/c^2
+--R 
+--R
+--R   (2)
+--R                                                     +-+ +-------+
+--R                        2 2  3 +-+ +-+ +-+ +-+      \|d \|b x + a
+--R       (120a b c d + 72b c )x \|a \|b \|c \|d atanh(--------------)
+--R                                                     +-+ +-------+
+--R                                                    \|b \|d x + c
+--R     + 
+--R                                                          +-+ +-------+
+--R          3 3      2     2         2 2       3 3  3      \|c \|b x + a
+--R       (3a d  - 45a b c d  - 135a b c d - 15b c )x atanh(--------------)
+--R                                                          +-+ +-------+
+--R                                                         \|a \|d x + c
+--R     + 
+--R              2     3        2 2                  2 2  2
+--R           24b c d x  + (- 3a d  - 68a b c d - 33b c )x
+--R         + 
+--R                 2             2       2 2
+--R           (- 14a c d - 26a b c )x - 8a c
+--R      *
+--R          +-+ +-+ +-------+ +-------+
+--R         \|a \|c \|b x + a \|d x + c
+--R  /
+--R          3 +-+ +-+
+--R     24c x \|a \|c
+--R                                                    Type: Expression(Integer)
+--E  452
+
+--S 453 of 1000 (non-algebraic residues)
+--a0:=integrate(t0,x)
+--E  453
+
+--S 454 of 1000
+--m0:=a0-r0
+--E  454
+
+--S 455 of 1000
+--d0:=D(m0,x)
+--E  455
+
+)clear all
+
+--S 456 of 1000
+t0:=(a+b*x)^(5/2)*(c+d*x)^(3/2)/x^5
+--R 
+--R
+--R   (1)
+--R     2   3              2   2     2                2   +-------+ +-------+
+--R   (b d x  + (2a b d + b c)x  + (a d + 2a b c)x + a c)\|b x + a \|d x + c
+--R   -----------------------------------------------------------------------
+--R                                       5
+--R                                      x
+--R                                                    Type: Expression(Integer)
+--E  456
+
+--S 457 of 1000
+r0:=-1/24*(5*b*c+3*a*d)*(a+b*x)^(3/2)*(c+d*x)^(3/2)/(c*x^3)-_
+     1/4*(a+b*x)^(5/2)*(c+d*x)^(3/2)/x^4+1/64*(5*b^4*c^4-60*a*b^3*c^3*d-_
+     90*a^2*b^2*c^2*d^2+20*a^3*b*c*d^3-3*a^4*d^4)*atanh(sqrt(c)*_
+     sqrt(a+b*x)/(sqrt(a)*sqrt(c+d*x)))/(a^(3/2)*c^(5/2))+2*b^(5/2)*_
+     d^(3/2)*atanh(sqrt(d)*sqrt(a+b*x)/(sqrt(b)*sqrt(c+d*x)))-_
+     1/32*(5*b*c-a*d)*(b*c+3*a*d)*(c+d*x)^(3/2)*sqrt(a+b*x)/(c^2*x^2)-_
+     1/64*(5*b^3*c^3+73*a*b^2*c^2*d-17*a^2*b*c*d^2+3*a^3*d^3)*_
+     sqrt(a+b*x)*sqrt(c+d*x)/(a*c^2*x)
+--R 
+--R
+--R   (2)
+--R                                           +-+ +-------+
+--R             2 2   4 +-+ +-+ +-+ +-+      \|d \|b x + a
+--R       384a b c d x \|a \|b \|c \|d atanh(--------------)
+--R                                           +-+ +-------+
+--R                                          \|b \|d x + c
+--R     + 
+--R              4 4      3     3       2 2 2 2         3 3       4 4  4
+--R         (- 9a d  + 60a b c d  - 270a b c d  - 180a b c d + 15b c )x
+--R      *
+--R                +-+ +-------+
+--R               \|c \|b x + a
+--R         atanh(--------------)
+--R                +-+ +-------+
+--R               \|a \|d x + c
+--R     + 
+--R              3 3      2     2         2 2       3 3  3
+--R           (9a d  - 57a b c d  - 337a b c d - 15b c )x
+--R         + 
+--R                3   2       2   2          2 3  2         3 2        2   3
+--R           (- 6a c d  - 244a b c d - 118a b c )x  + (- 72a c d - 136a b c )x
+--R         + 
+--R                3 3
+--R           - 48a c
+--R      *
+--R          +-+ +-+ +-------+ +-------+
+--R         \|a \|c \|b x + a \|d x + c
+--R  /
+--R           2 4 +-+ +-+
+--R     192a c x \|a \|c
+--R                                                    Type: Expression(Integer)
+--E  457
+
+--S 458 of 1000 (non-algebraic residues)
+--a0:=integrate(t0,x)
+--E  458
+
+--S 459 of 1000
+--m0:=a0-r0
+--E  459
+
+--S 460 of 1000
+--d0:=D(m0,x)
+--E  460
+
+)clear all
+
+--S 461 of 1000
+t0:=(a+b*x)^(5/2)*(c+d*x)^(3/2)/x^6
+--R 
+--R
+--R   (1)
+--R     2   3              2   2     2                2   +-------+ +-------+
+--R   (b d x  + (2a b d + b c)x  + (a d + 2a b c)x + a c)\|b x + a \|d x + c
+--R   -----------------------------------------------------------------------
+--R                                       6
+--R                                      x
+--R                                                    Type: Expression(Integer)
+--E  461
+
+--S 462 of 1000
+r0:=-1/8*(b*c-a*d)*(a+b*x)^(3/2)*(c+d*x)^(5/2)/(c^2*x^4)-_
+     1/5*(a+b*x)^(5/2)*(c+d*x)^(5/2)/(c*x^5)-3/128*(b*c-a*d)^5*_
+     atanh(sqrt(c)*sqrt(a+b*x)/(sqrt(a)*sqrt(c+d*x)))/(a^(5/2)*c^(7/2))-_
+     1/64*(b*c-a*d)^3*(c+d*x)^(3/2)*sqrt(a+b*x)/(a*c^3*x^2)-_
+     1/16*(b*c-a*d)^2*(c+d*x)^(5/2)*sqrt(a+b*x)/(c^3*x^3)+_
+     3/128*(b*c-a*d)^4*sqrt(a+b*x)*sqrt(c+d*x)/(a^2*c^3*x)
+--R 
+--R
+--R   (2)
+--R             5 5      4     4       3 2 2 3       2 3 3 2        4 4       5 5
+--R         (15a d  - 75a b c d  + 150a b c d  - 150a b c d  + 75a b c d - 15b c )
+--R      *
+--R                  +-+ +-------+
+--R          5      \|c \|b x + a
+--R         x atanh(--------------)
+--R                  +-+ +-------+
+--R                 \|a \|d x + c
+--R     + 
+--R                 4 4      3     3       2 2 2 2        3 3       4 4  4
+--R           (- 15a d  + 70a b c d  - 128a b c d  - 70a b c d + 15b c )x
+--R         + 
+--R               4   3      3   2 2       2 2 3         3 4  3
+--R           (10a c d  - 46a b c d  - 466a b c d - 10a b c )x
+--R         + 
+--R                4 2 2       3   3        2 2 4  2          4 3        3   4
+--R           (- 8a c d  - 512a b c d - 248a b c )x  + (- 176a c d - 336a b c )x
+--R         + 
+--R                 4 4
+--R           - 128a c
+--R      *
+--R          +-+ +-+ +-------+ +-------+
+--R         \|a \|c \|b x + a \|d x + c
+--R  /
+--R         2 3 5 +-+ +-+
+--R     640a c x \|a \|c
+--R                                                    Type: Expression(Integer)
+--E  462
+
+--S 463 of 1000
+--a0:=integrate(t0,x)
+--E  463
+
+--S 464 of 1000
+--m0:=a0-r0
+--E  464
+
+--S 465 of 1000
+--d0:=D(m0,x)
+--E  465
+
+)clear all
+
+--S 466 of 1000
+t0:=x*(a+b*x)^(5/2)*(c+d*x)^(5/2)
+--R 
+--R
+--R   (1)
+--R        2 2 5          2     2     4     2 2               2 2  3
+--R       b d x  + (2a b d  + 2b c d)x  + (a d  + 4a b c d + b c )x
+--R     + 
+--R          2            2  2    2 2
+--R       (2a c d + 2a b c )x  + a c x
+--R  *
+--R      +-------+ +-------+
+--R     \|b x + a \|d x + c
+--R                                                    Type: Expression(Integer)
+--E  466
+
+--S 467 of 1000
+r0:=-1/24*(b*c-a*d)*(b*c+a*d)*(a+b*x)^(7/2)*(c+d*x)^(3/2)/(b^3*d)-_
+     1/12*(b*c+a*d)*(a+b*x)^(7/2)*(c+d*x)^(5/2)/(b^2*d)+_
+     1/7*(a+b*x)^(7/2)*(c+d*x)^(7/2)/(b*d)+5/1024*(b*c-a*d)^6*_
+     (b*c+a*d)*atanh(sqrt(d)*sqrt(a+b*x)/(sqrt(b)*sqrt(c+d*x)))/_
+     (b^(9/2)*d^(9/2))+5/1536*(b*c-a*d)^4*(b*c+a*d)*(a+b*x)^(3/2)*_
+     sqrt(c+d*x)/(b^4*d^3)-1/384*(b*c-a*d)^3*(b*c+a*d)*(a+b*x)^(5/2)*_
+     sqrt(c+d*x)/(b^4*d^2)-1/64*(b*c-a*d)^2*(b*c+a*d)*(a+b*x)^(7/2)*_
+     sqrt(c+d*x)/(b^4*d)-5/1024*(b*c-a*d)^5*(b*c+a*d)*sqrt(a+b*x)*_
+     sqrt(c+d*x)/(b^4*d^4)
+--R 
+--R
+--R   (2)
+--R               7 7       6     6       5 2 2 5       4 3 3 4       3 4 4 3
+--R           105a d  - 525a b c d  + 945a b c d  - 525a b c d  - 525a b c d
+--R         + 
+--R               2 5 5 2         6 6        7 7
+--R           945a b c d  - 525a b c d + 105b c
+--R      *
+--R                +-+ +-------+
+--R               \|d \|b x + a
+--R         atanh(--------------)
+--R                +-+ +-------+
+--R               \|b \|d x + c
+--R     + 
+--R                6 6 6           5 6        6   5  5
+--R           3072b d x  + (7424a b d  + 7424b c d )x
+--R         + 
+--R                 2 4 6           5   5        6 2 4  4
+--R           (4736a b d  + 18688a b c d  + 4736b c d )x
+--R         + 
+--R               3 3 6         2 4   5           5 2 4      6 3 3  3
+--R           (48a b d  + 12752a b c d  + 12752a b c d  + 48b c d )x
+--R         + 
+--R                 4 2 6       3 3   5        2 4 2 4         5 3 3      6 4 2  2
+--R           (- 56a b d  + 256a b c d  + 9840a b c d  + 256a b c d  - 56b c d )x
+--R         + 
+--R                  5   6       4 2   5       3 3 2 4       2 4 3 3         5 4 2
+--R               70a b d  - 322a b c d  + 508a b c d  + 508a b c d  - 322a b c d
+--R             + 
+--R                  6 5
+--R               70b c d
+--R          *
+--R             x
+--R         + 
+--R                 6 6       5     5       4 2 2 4       3 3 3 3       2 4 4 2
+--R           - 105a d  + 490a b c d  - 791a b c d  + 300a b c d  - 791a b c d
+--R         + 
+--R                 5 5        6 6
+--R           490a b c d - 105b c
+--R      *
+--R          +-+ +-+ +-------+ +-------+
+--R         \|b \|d \|b x + a \|d x + c
+--R  /
+--R           4 4 +-+ +-+
+--R     21504b d \|b \|d
+--R                                                    Type: Expression(Integer)
+--E  467
+
+--S 468 of 1000
+--a0:=integrate(t0,x)
+--E  468
+
+--S 469 of 1000
+--m0:=a0-r0
+--E  469
+
+--S 470 of 1000
+--d0:=D(m0,x)
+--E  470
+
+)clear all
+
+--S 471 of 1000
+t0:=(a+b*x)^(5/2)*(c+d*x)^(5/2)
+--R 
+--R
+--R   (1)
+--R        2 2 4          2     2     3     2 2               2 2  2
+--R       b d x  + (2a b d  + 2b c d)x  + (a d  + 4a b c d + b c )x
+--R     + 
+--R          2            2      2 2
+--R       (2a c d + 2a b c )x + a c
+--R  *
+--R      +-------+ +-------+
+--R     \|b x + a \|d x + c
+--R                                                    Type: Expression(Integer)
+--E  471
+
+--S 472 of 1000
+r0:=1/12*(b*c-a*d)*(a+b*x)^(7/2)*(c+d*x)^(3/2)/b^2+1/6*(a+b*x)^(7/2)*_
+     (c+d*x)^(5/2)/b-5/512*(b*c-a*d)^6*atanh(sqrt(d)*sqrt(a+b*x)/_
+     (sqrt(b)*sqrt(c+d*x)))/(b^(7/2)*d^(7/2))-5/768*(b*c-a*d)^4*_
+     (a+b*x)^(3/2)*sqrt(c+d*x)/(b^3*d^2)+1/192*(b*c-a*d)^3*(a+b*x)^(5/2)*_
+     sqrt(c+d*x)/(b^3*d)+1/32*(b*c-a*d)^2*(a+b*x)^(7/2)*sqrt(c+d*x)/b^3+_
+     5/512*(b*c-a*d)^5*sqrt(a+b*x)*sqrt(c+d*x)/(b^3*d^3)
+--R 
+--R
+--R   (2)
+--R                6 6      5     5       4 2 2 4       3 3 3 3       2 4 4 2
+--R           - 15a d  + 90a b c d  - 225a b c d  + 300a b c d  - 225a b c d
+--R         + 
+--R                5 5       6 6
+--R           90a b c d - 15b c
+--R      *
+--R                +-+ +-------+
+--R               \|d \|b x + a
+--R         atanh(--------------)
+--R                +-+ +-------+
+--R               \|b \|d x + c
+--R     + 
+--R               5 5 5          4 5       5   4  4
+--R           256b d x  + (640a b d  + 640b c d )x
+--R         + 
+--R                2 3 5          4   4       5 2 3  3
+--R           (432a b d  + 1696a b c d  + 432b c d )x
+--R         + 
+--R              3 2 5        2 3   4          4 2 3     5 3 2  2
+--R           (8a b d  + 1272a b c d  + 1272a b c d  + 8b c d )x
+--R         + 
+--R                 4   5      3 2   4        2 3 2 3        4 3 2      5 4
+--R           (- 10a b d  + 56a b c d  + 1188a b c d  + 56a b c d  - 10b c d)x
+--R         + 
+--R              5 5      4     4       3 2 2 3       2 3 3 2        4 4       5 5
+--R           15a d  - 85a b c d  + 198a b c d  + 198a b c d  - 85a b c d + 15b c
+--R      *
+--R          +-+ +-+ +-------+ +-------+
+--R         \|b \|d \|b x + a \|d x + c
+--R  /
+--R          3 3 +-+ +-+
+--R     1536b d \|b \|d
+--R                                                    Type: Expression(Integer)
+--E  472
+
+--S 473 of 1000
+--a0:=integrate(t0,x)
+--E  473
+
+--S 474 of 1000
+--m0:=a0-r0
+--E  474
+
+--S 475 of 1000
+--d0:=D(m0,x)
+--E  475
+
+)clear all
+
+--S 476 of 1000
+t0:=(a+b*x)^(5/2)*(c+d*x)^(5/2)/x
+--R 
+--R
+--R   (1)
+--R          2 2 4          2     2     3     2 2               2 2  2
+--R         b d x  + (2a b d  + 2b c d)x  + (a d  + 4a b c d + b c )x
+--R       + 
+--R            2            2      2 2
+--R         (2a c d + 2a b c )x + a c
+--R    *
+--R        +-------+ +-------+
+--R       \|b x + a \|d x + c
+--R  /
+--R     x
+--R                                                    Type: Expression(Integer)
+--E  476
+
+--S 477 of 1000
+r0:=1/8*(b*c+a*d)*(a+b*x)^(3/2)*(c+d*x)^(5/2)/d+1/5*(a+b*x)^(5/2)*_
+     (c+d*x)^(5/2)-2*a^(5/2)*c^(5/2)*atanh(sqrt(c)*sqrt(a+b*x)/_
+     (sqrt(a)*sqrt(c+d*x)))+1/128*(b*c+a*d)*(3*b^4*c^4-28*a*b^3*c^3*d+_
+     178*a^2*b^2*c^2*d^2-28*a^3*b*c*d^3+3*a^4*d^4)*atanh(sqrt(d)*_
+     sqrt(a+b*x)/(sqrt(b)*sqrt(c+d*x)))/(b^(5/2)*d^(5/2))+_
+     1/192*(3*b^3*c^3-19*a*b^2*c^2*d+109*a^2*b*c*d^2+3*a^3*d^3)*_
+     (c+d*x)^(3/2)*sqrt(a+b*x)/(b*d^2)-1/48*(3*b^2*c^2-16*a*b*c*d-_
+     3*a^2*d^2)*(c+d*x)^(5/2)*sqrt(a+b*x)/d^2+1/128*(3*b^4*c^4-_
+     22*a*b^3*c^3*d+128*a^2*b^2*c^2*d^2+22*a^3*b*c*d^3-3*a^4*d^4)*_
+     sqrt(a+b*x)*sqrt(c+d*x)/(b^2*d^2)
+--R 
+--R
+--R   (2)
+--R              5 5       4     4        3 2 2 3        2 3 3 2         4 4
+--R           45a d  - 375a b c d  + 2250a b c d  + 2250a b c d  - 375a b c d
+--R         + 
+--R              5 5
+--R           45b c
+--R      *
+--R                +-+ +-------+
+--R               \|d \|b x + a
+--R         atanh(--------------)
+--R                +-+ +-------+
+--R               \|b \|d x + c
+--R     + 
+--R                                            +-+ +-------+
+--R              2 2 2 2 +-+ +-+ +-+ +-+      \|c \|b x + a
+--R       - 3840a b c d \|a \|b \|c \|d atanh(--------------)
+--R                                            +-+ +-------+
+--R                                           \|a \|d x + c
+--R     + 
+--R               4 4 4           3 4        4   3  3
+--R           384b d x  + (1008a b d  + 1008b c d )x
+--R         + 
+--R                2 2 4          3   3       4 2 2  2
+--R           (744a b d  + 2896a b c d  + 744b c d )x
+--R         + 
+--R               3   4        2 2   3          3 2 2      4 3         4 4
+--R           (30a b d  + 2578a b c d  + 2578a b c d  + 30b c d)x - 45a d
+--R         + 
+--R               3     3        2 2 2 2         3 3       4 4
+--R           360a b c d  + 3754a b c d  + 360a b c d - 45b c
+--R      *
+--R          +-+ +-+ +-------+ +-------+
+--R         \|b \|d \|b x + a \|d x + c
+--R  /
+--R          2 2 +-+ +-+
+--R     1920b d \|b \|d
+--R                                                    Type: Expression(Integer)
+--E  477
+
+--S 478 of 1000 (non-algebraic residues)
+--a0:=integrate(t0,x)
+--E  478
+
+--S 479 of 1000
+--m0:=a0-r0
+--E  479
+
+--S 480 of 1000
+--d0:=D(m0,x)
+--E  480
+
+)clear all
+
+--S 481 of 1000
+t0:=(a+b*x)^(5/2)*(c+d*x)^(5/2)/x^2
+--R 
+--R
+--R   (1)
+--R          2 2 4          2     2     3     2 2               2 2  2
+--R         b d x  + (2a b d  + 2b c d)x  + (a d  + 4a b c d + b c )x
+--R       + 
+--R            2            2      2 2
+--R         (2a c d + 2a b c )x + a c
+--R    *
+--R        +-------+ +-------+
+--R       \|b x + a \|d x + c
+--R  /
+--R      2
+--R     x
+--R                                                    Type: Expression(Integer)
+--E  481
+
+--S 482 of 1000
+r0:=5/4*b*(a+b*x)^(3/2)*(c+d*x)^(5/2)-(a+b*x)^(5/2)*(c+d*x)^(5/2)/x-_
+     5*a^(3/2)*c^(3/2)*(b*c+a*d)*atanh(sqrt(c)*sqrt(a+b*x)/_
+     (sqrt(a)*sqrt(c+d*x)))-5/64*(b^4*c^4-20*a*b^3*c^3*d-_
+     90*a^2*b^2*c^2*d^2-20*a^3*b*c*d^3+a^4*d^4)*atanh(sqrt(d)*_
+     sqrt(a+b*x)/(sqrt(b)*sqrt(c+d*x)))/(b^(3/2)*d^(3/2))-5/96*_
+     (b^2*c^2-18*a*b*c*d-31*a^2*d^2)*(c+d*x)^(3/2)*sqrt(a+b*x)/d+_
+     5/24*b*(b*c+7*a*d)*(c+d*x)^(5/2)*sqrt(a+b*x)/d-5/64*(b^3*c^3-_
+     19*a*b^2*c^2*d-45*a^2*b*c*d^2-a^3*d^3)*sqrt(a+b*x)*sqrt(c+d*x)/(b*d)
+--R 
+--R
+--R   (2)
+--R               4 4       3     3        2 2 2 2         3 3       4 4
+--R         (- 15a d  + 300a b c d  + 1350a b c d  + 300a b c d - 15b c )x
+--R      *
+--R                +-+ +-------+
+--R               \|d \|b x + a
+--R         atanh(--------------)
+--R                +-+ +-------+
+--R               \|b \|d x + c
+--R     + 
+--R                                                           +-+ +-------+
+--R              2     2         2 2    +-+ +-+ +-+ +-+      \|c \|b x + a
+--R       (- 960a b c d  - 960a b c d)x\|a \|b \|c \|d atanh(--------------)
+--R                                                           +-+ +-------+
+--R                                                          \|a \|d x + c
+--R     + 
+--R              3 3 4          2 3       3   2  3
+--R           48b d x  + (136a b d  + 136b c d )x
+--R         + 
+--R                2   3         2   2       3 2   2
+--R           (118a b d  + 452a b c d  + 118b c d)x
+--R         + 
+--R               3 3       2     2         2 2       3 3         2   2
+--R           (15a d  + 601a b c d  + 601a b c d + 15b c )x - 192a b c d
+--R      *
+--R          +-+ +-+ +-------+ +-------+
+--R         \|b \|d \|b x + a \|d x + c
+--R  /
+--R              +-+ +-+
+--R     192b d x\|b \|d
+--R                                                    Type: Expression(Integer)
+--E  482
+
+--S 483 of 1000 (non-algebraic residues)
+--a0:=integrate(t0,x)
+--E  483
+
+--S 484 of 1000
+--m0:=a0-r0
+--E  484
+
+--S 485 of 1000
+--d0:=D(m0,x)
+--E  485
+
+)clear all
+
+--S 486 of 1000
+t0:=(a+b*x)^(5/2)*(c+d*x)^(5/2)/x^3
+--R 
+--R
+--R   (1)
+--R          2 2 4          2     2     3     2 2               2 2  2
+--R         b d x  + (2a b d  + 2b c d)x  + (a d  + 4a b c d + b c )x
+--R       + 
+--R            2            2      2 2
+--R         (2a c d + 2a b c )x + a c
+--R    *
+--R        +-------+ +-------+
+--R       \|b x + a \|d x + c
+--R  /
+--R      3
+--R     x
+--R                                                    Type: Expression(Integer)
+--E  486
+
+--S 487 of 1000
+r0:=-5/4*(b*c+a*d)*(a+b*x)^(3/2)*(c+d*x)^(5/2)/(c*x)-1/2*(a+b*x)^(5/2)*_
+     (c+d*x)^(5/2)/x^2-5/4*(3*b*c+a*d)*(b*c+3*a*d)*atanh(sqrt(c)*_
+     sqrt(a+b*x)/(sqrt(a)*sqrt(c+d*x)))*sqrt(a)*sqrt(c)+5/8*(b*c+a*d)*_
+     (b^2*c^2+14*a*b*c*d+a^2*d^2)*atanh(sqrt(d)*sqrt(a+b*x)/(sqrt(b)*_
+     sqrt(c+d*x)))/(sqrt(b)*sqrt(d))+5/12*(b^2*c^2+8*a*b*c*d+3*a^2*d^2)*_
+     (c+d*x)^(3/2)*sqrt(a+b*x)/c+5/12*b*(5*b*c+3*a*d)*(c+d*x)^(5/2)*_
+     sqrt(a+b*x)/c+5/8*(b^2*c^2+10*a*b*c*d+5*a^2*d^2)*sqrt(a+b*x)*sqrt(c+d*x)
+--R 
+--R
+--R   (2)
+--R                                                            +-+ +-------+
+--R           3 3       2     2         2 2       3 3  2      \|d \|b x + a
+--R       (15a d  + 225a b c d  + 225a b c d + 15b c )x atanh(--------------)
+--R                                                            +-+ +-------+
+--R                                                           \|b \|d x + c
+--R     + 
+--R                                                                +-+ +-------+
+--R             2 2                   2 2  2 +-+ +-+ +-+ +-+      \|c \|b x + a
+--R       (- 90a d  - 300a b c d - 90b c )x \|a \|b \|c \|d atanh(--------------)
+--R                                                                +-+ +-------+
+--R                                                               \|a \|d x + c
+--R     + 
+--R             2 2 4           2      2     3       2 2                   2 2  2
+--R           8b d x  + (26a b d  + 26b c d)x  + (33a d  + 122a b c d + 33b c )x
+--R         + 
+--R                 2             2        2 2
+--R           (- 54a c d - 54a b c )x - 12a c
+--R      *
+--R          +-+ +-+ +-------+ +-------+
+--R         \|b \|d \|b x + a \|d x + c
+--R  /
+--R        2 +-+ +-+
+--R     24x \|b \|d
+--R                                                    Type: Expression(Integer)
+--E  487
+
+--S 488 of 1000 (non-algebraic residues)
+--a0:=integrate(t0,x)
+--E  488
+
+--S 489 of 1000
+--m0:=a0-r0
+--E  489
+
+--S 490 of 1000
+--d0:=D(m0,x)
+--E  490
+
+)clear all
+
+--S 491 of 1000
+t0:=(a+b*x)^(5/2)*(c+d*x)^(5/2)/x^4
+--R 
+--R
+--R   (1)
+--R          2 2 4          2     2     3     2 2               2 2  2
+--R         b d x  + (2a b d  + 2b c d)x  + (a d  + 4a b c d + b c )x
+--R       + 
+--R            2            2      2 2
+--R         (2a c d + 2a b c )x + a c
+--R    *
+--R        +-------+ +-------+
+--R       \|b x + a \|d x + c
+--R  /
+--R      4
+--R     x
+--R                                                    Type: Expression(Integer)
+--E  491
+
+--S 492 of 1000
+r0:=-5/12*(b*c+a*d)*(a+b*x)^(3/2)*(c+d*x)^(5/2)/(c*x^2)-1/3*(a+b*x)^(5/2)*_
+     (c+d*x)^(5/2)/x^3-5/8*(b*c+a*d)*(b^2*c^2+14*a*b*c*d+a^2*d^2)*_
+     atanh(sqrt(c)*sqrt(a+b*x)/(sqrt(a)*sqrt(c+d*x)))/(sqrt(a)*sqrt(c))+_
+     5/4*(3*b*c+a*d)*(b*c+3*a*d)*atanh(sqrt(d)*sqrt(a+b*x)/(sqrt(b)*_
+     sqrt(c+d*x)))*sqrt(b)*sqrt(d)+5/24*d*(9*b^2*c^2+14*a*b*c*d+a^2*d^2)*_
+     (c+d*x)^(3/2)*sqrt(a+b*x)/c^2-5/24*(3*b^2*c^2+12*a*b*c*d+a^2*d^2)*_
+     (c+d*x)^(5/2)*sqrt(a+b*x)/(c^2*x)+5/8*d*(5*b^2*c^2+10*a*b*c*d+_
+     a^2*d^2)*sqrt(a+b*x)*sqrt(c+d*x)/c
+--R 
+--R
+--R   (2)
+--R                                                              +-+ +-------+
+--R           2 2                   2 2  3 +-+ +-+ +-+ +-+      \|d \|b x + a
+--R       (90a d  + 300a b c d + 90b c )x \|a \|b \|c \|d atanh(--------------)
+--R                                                              +-+ +-------+
+--R                                                             \|b \|d x + c
+--R     + 
+--R                                                              +-+ +-------+
+--R             3 3       2     2         2 2       3 3  3      \|c \|b x + a
+--R       (- 15a d  - 225a b c d  - 225a b c d - 15b c )x atanh(--------------)
+--R                                                              +-+ +-------+
+--R                                                             \|a \|d x + c
+--R     + 
+--R              2 2 4           2      2     3
+--R           12b d x  + (54a b d  + 54b c d)x
+--R         + 
+--R                 2 2                   2 2  2         2             2       2 2
+--R           (- 33a d  - 122a b c d - 33b c )x  + (- 26a c d - 26a b c )x - 8a c
+--R      *
+--R          +-+ +-+ +-------+ +-------+
+--R         \|a \|c \|b x + a \|d x + c
+--R  /
+--R        3 +-+ +-+
+--R     24x \|a \|c
+--R                                                    Type: Expression(Integer)
+--E  492
+
+--S 493 of 1000 (non-algebraic residues)
+--a0:=integrate(t0,x)
+--E  493
+
+--S 494 of 1000
+--m0:=a0-r0
+--E  494
+
+--S 495 of 1000
+--d0:=D(m0,x)
+--E  495
+
+)clear all
+
+--S 496 of 1000
+t0:=(a+b*x)^(5/2)*(c+d*x)^(5/2)/x^5
+--R 
+--R
+--R   (1)
+--R          2 2 4          2     2     3     2 2               2 2  2
+--R         b d x  + (2a b d  + 2b c d)x  + (a d  + 4a b c d + b c )x
+--R       + 
+--R            2            2      2 2
+--R         (2a c d + 2a b c )x + a c
+--R    *
+--R        +-------+ +-------+
+--R       \|b x + a \|d x + c
+--R  /
+--R      5
+--R     x
+--R                                                    Type: Expression(Integer)
+--E  496
+
+--S 497 of 1000
+r0:=-5/24*(b*c+a*d)*(a+b*x)^(3/2)*(c+d*x)^(5/2)/(c*x^3)-1/4*(a+b*x)^(5/2)*_
+     (c+d*x)^(5/2)/x^4+5/64*(b^4*c^4-20*a*b^3*c^3*d-90*a^2*b^2*c^2*d^2-_
+     20*a^3*b*c*d^3+a^4*d^4)*atanh(sqrt(c)*sqrt(a+b*x)/(sqrt(a)*_
+     sqrt(c+d*x)))/(a^(3/2)*c^(3/2))+5*b^(3/2)*d^(3/2)*(b*c+a*d)*_
+     atanh(sqrt(d)*sqrt(a+b*x)/(sqrt(b)*sqrt(c+d*x)))-5/192*(3*b*c+a*d)*_
+     (b^2*c^2+24*a*b*c*d-a^2*d^2)*(c+d*x)^(3/2)*sqrt(a+b*x)/(a*c^2*x)-_
+     5/96*(3*b^2*c^2+14*a*b*c*d-a^2*d^2)*(c+d*x)^(5/2)*sqrt(a+b*x)/_
+     (c^2*x^2)+5/64*d*(b^3*c^3+45*a*b^2*c^2*d+19*a^2*b*c*d^2-a^3*d^3)*_
+     sqrt(a+b*x)*sqrt(c+d*x)/(a*c^2)
+--R 
+--R
+--R   (2)
+--R                                                          +-+ +-------+
+--R            2     2         2 2   4 +-+ +-+ +-+ +-+      \|d \|b x + a
+--R       (960a b c d  + 960a b c d)x \|a \|b \|c \|d atanh(--------------)
+--R                                                          +-+ +-------+
+--R                                                         \|b \|d x + c
+--R     + 
+--R             4 4       3     3        2 2 2 2         3 3       4 4  4
+--R         (15a d  - 300a b c d  - 1350a b c d  - 300a b c d + 15b c )x
+--R      *
+--R                +-+ +-------+
+--R               \|c \|b x + a
+--R         atanh(--------------)
+--R                +-+ +-------+
+--R               \|a \|d x + c
+--R     + 
+--R                 2   2 4         3 3       2     2         2 2       3 3  3
+--R           192a b c d x  + (- 15a d  - 601a b c d  - 601a b c d - 15b c )x
+--R         + 
+--R                  3   2       2   2          2 3  2          3 2        2   3
+--R           (- 118a c d  - 452a b c d - 118a b c )x  + (- 136a c d - 136a b c )x
+--R         + 
+--R                3 3
+--R           - 48a c
+--R      *
+--R          +-+ +-+ +-------+ +-------+
+--R         \|a \|c \|b x + a \|d x + c
+--R  /
+--R             4 +-+ +-+
+--R     192a c x \|a \|c
+--R                                                    Type: Expression(Integer)
+--E  497
+
+--S 498 of 1000 (non-algebraic residues)
+--a0:=integrate(t0,x)
+--E  498
+
+--S 499 of 1000
+--m0:=a0-r0
+--E  499
+
+--S 500 of 1000
+--d0:=D(m0,x)
+--E  500
+
+)clear all
+
+--S 501 of 1000
+t0:=(a+b*x)^(5/2)*(c+d*x)^(5/2)/x^6
+--R 
+--R
+--R   (1)
+--R          2 2 4          2     2     3     2 2               2 2  2
+--R         b d x  + (2a b d  + 2b c d)x  + (a d  + 4a b c d + b c )x
+--R       + 
+--R            2            2      2 2
+--R         (2a c d + 2a b c )x + a c
+--R    *
+--R        +-------+ +-------+
+--R       \|b x + a \|d x + c
+--R  /
+--R      6
+--R     x
+--R                                                    Type: Expression(Integer)
+--E  501
+
+--S 502 of 1000
+r0:=-1/8*(b*c+a*d)*(a+b*x)^(3/2)*(c+d*x)^(5/2)/(c*x^4)-1/5*(a+b*x)^(5/2)*_
+     (c+d*x)^(5/2)/x^5-1/128*(b*c+a*d)*(3*b^4*c^4-28*a*b^3*c^3*d+_
+     178*a^2*b^2*c^2*d^2-28*a^3*b*c*d^3+3*a^4*d^4)*atanh(sqrt(c)*_
+     sqrt(a+b*x)/(sqrt(a)*sqrt(c+d*x)))/(a^(5/2)*c^(5/2))+2*b^(5/2)*_
+     d^(5/2)*atanh(sqrt(d)*sqrt(a+b*x)/(sqrt(b)*sqrt(c+d*x)))-_
+     1/192*(3*b^3*c^3+109*a*b^2*c^2*d-19*a^2*b*c*d^2+3*a^3*d^3)*_
+     (c+d*x)^(3/2)*sqrt(a+b*x)/(a*c^2*x^2)-1/48*(3*b^2*c^2+16*a*b*c*d-_
+     3*a^2*d^2)*(c+d*x)^(5/2)*sqrt(a+b*x)/(c^2*x^3)+1/128*(3*b^4*c^4-_
+     22*a*b^3*c^3*d-128*a^2*b^2*c^2*d^2+22*a^3*b*c*d^3-3*a^4*d^4)*_
+     sqrt(a+b*x)*sqrt(c+d*x)/(a^2*c^2*x)
+--R 
+--R
+--R   (2)
+--R                                            +-+ +-------+
+--R            2 2 2 2 5 +-+ +-+ +-+ +-+      \|d \|b x + a
+--R       3840a b c d x \|a \|b \|c \|d atanh(--------------)
+--R                                            +-+ +-------+
+--R                                           \|b \|d x + c
+--R     + 
+--R                5 5       4     4        3 2 2 3        2 3 3 2         4 4
+--R           - 45a d  + 375a b c d  - 2250a b c d  - 2250a b c d  + 375a b c d
+--R         + 
+--R                5 5
+--R           - 45b c
+--R      *
+--R                  +-+ +-------+
+--R          5      \|c \|b x + a
+--R         x atanh(--------------)
+--R                  +-+ +-------+
+--R                 \|a \|d x + c
+--R     + 
+--R               4 4       3     3        2 2 2 2         3 3       4 4  4
+--R           (45a d  - 360a b c d  - 3754a b c d  - 360a b c d + 45b c )x
+--R         + 
+--R                 4   3        3   2 2        2 2 3         3 4  3
+--R           (- 30a c d  - 2578a b c d  - 2578a b c d - 30a b c )x
+--R         + 
+--R                  4 2 2        3   3        2 2 4  2
+--R           (- 744a c d  - 2896a b c d - 744a b c )x
+--R         + 
+--R                   4 3         3   4         4 4
+--R           (- 1008a c d - 1008a b c )x - 384a c
+--R      *
+--R          +-+ +-+ +-------+ +-------+
+--R         \|a \|c \|b x + a \|d x + c
+--R  /
+--R          2 2 5 +-+ +-+
+--R     1920a c x \|a \|c
+--R                                                    Type: Expression(Integer)
+--E  502
+
+--S 503 of 1000 (non-algebraic residues)
+--a0:=integrate(t0,x)
+--E  503
+
+--S 504 of 1000
+--m0:=a0-r0
+--E  504
+
+--S 505 of 1000
+--d0:=D(m0,x)
+--E  505
+
+)clear all
+
+--S 506 of 1000
+t0:=(a+b*x)^(5/2)*(c+d*x)^(5/2)/x^7
+--R 
+--R
+--R   (1)
+--R          2 2 4          2     2     3     2 2               2 2  2
+--R         b d x  + (2a b d  + 2b c d)x  + (a d  + 4a b c d + b c )x
+--R       + 
+--R            2            2      2 2
+--R         (2a c d + 2a b c )x + a c
+--R    *
+--R        +-------+ +-------+
+--R       \|b x + a \|d x + c
+--R  /
+--R      7
+--R     x
+--R                                                    Type: Expression(Integer)
+--E  506
+
+--S 507 of 1000
+r0:=-1/12*(b*c-a*d)*(a+b*x)^(3/2)*(c+d*x)^(7/2)/(c^2*x^5)-_
+     1/6*(a+b*x)^(5/2)*(c+d*x)^(7/2)/(c*x^6)+5/512*(b*c-a*d)^6*_
+     atanh(sqrt(c)*sqrt(a+b*x)/(sqrt(a)*sqrt(c+d*x)))/(a^(7/2)*c^(7/2))+_
+     5/768*(b*c-a*d)^4*(c+d*x)^(3/2)*sqrt(a+b*x)/(a^2*c^3*x^2)-_
+     1/192*(b*c-a*d)^3*(c+d*x)^(5/2)*sqrt(a+b*x)/(a*c^3*x^3)-_
+     1/32*(b*c-a*d)^2*(c+d*x)^(7/2)*sqrt(a+b*x)/(c^3*x^4)-_
+     5/512*(b*c-a*d)^5*sqrt(a+b*x)*sqrt(c+d*x)/(a^3*c^3*x)
+--R 
+--R
+--R   (2)
+--R              6 6      5     5       4 2 2 4       3 3 3 3       2 4 4 2
+--R           15a d  - 90a b c d  + 225a b c d  - 300a b c d  + 225a b c d
+--R         + 
+--R                  5 5       6 6
+--R           - 90a b c d + 15b c
+--R      *
+--R                  +-+ +-------+
+--R          6      \|c \|b x + a
+--R         x atanh(--------------)
+--R                  +-+ +-------+
+--R                 \|a \|d x + c
+--R     + 
+--R                    5 5      4     4       3 2 2 3       2 3 3 2        4 4
+--R               - 15a d  + 85a b c d  - 198a b c d  - 198a b c d  + 85a b c d
+--R             + 
+--R                    5 5
+--R               - 15b c
+--R          *
+--R              5
+--R             x
+--R         + 
+--R               5   4      4   2 3        3 2 3 2      2 3 4         4 5  4
+--R           (10a c d  - 56a b c d  - 1188a b c d  - 56a b c d + 10a b c )x
+--R         + 
+--R                5 2 3        4   3 2        3 2 4      2 3 5  3
+--R           (- 8a c d  - 1272a b c d  - 1272a b c d - 8a b c )x
+--R         + 
+--R                  5 3 2        4   4        3 2 5  2          5 4        4   5
+--R           (- 432a c d  - 1696a b c d - 432a b c )x  + (- 640a c d - 640a b c )x
+--R         + 
+--R                 5 5
+--R           - 256a c
+--R      *
+--R          +-+ +-+ +-------+ +-------+
+--R         \|a \|c \|b x + a \|d x + c
+--R  /
+--R          3 3 6 +-+ +-+
+--R     1536a c x \|a \|c
+--R                                                    Type: Expression(Integer)
+--E  507
+
+--S 508 of 1000
+--a0:=integrate(t0,x)
+--E  508
+
+--S 509 of 1000
+--m0:=a0-r0
+--E  509
+
+--S 510 of 1000
+--d0:=D(m0,x)
+--E  510
+
+)clear all
+
+--S 511 of 1000
+t0:=x^2*(a+b*x)^(5/2)/sqrt(c+d*x)
+--R 
+--R
+--R          2 4         3    2 2  +-------+
+--R        (b x  + 2a b x  + a x )\|b x + a
+--R   (1)  ---------------------------------
+--R                     +-------+
+--R                    \|d x + c
+--R                                                    Type: Expression(Integer)
+--E  511
+
+--S 512 of 1000
+r0:=-1/128*(b*c-a*d)^3*(63*b^2*c^2+14*a*b*c*d+3*a^2*d^2)*atanh(sqrt(d)*_
+     sqrt(a+b*x)/(sqrt(b)*sqrt(c+d*x)))/(b^(5/2)*d^(11/2))-_
+     1/192*(b*c-a*d)*(63*b^2*c^2+14*a*b*c*d+3*a^2*d^2)*(a+b*x)^(3/2)*_
+     sqrt(c+d*x)/(b^2*d^4)+1/240*(63*b^2*c^2+14*a*b*c*d+3*a^2*d^2)*_
+     (a+b*x)^(5/2)*sqrt(c+d*x)/(b^2*d^3)-3/40*(3*b*c+a*d)*(a+b*x)^(7/2)*_
+     sqrt(c+d*x)/(b^2*d^2)+1/5*x*(a+b*x)^(7/2)*sqrt(c+d*x)/(b*d)+_
+     1/128*(b*c-a*d)^2*(63*b^2*c^2+14*a*b*c*d+3*a^2*d^2)*sqrt(a+b*x)*_
+     sqrt(c+d*x)/(b^2*d^5)
+--R 
+--R
+--R   (2)
+--R              5 5      4     4       3 2 2 3        2 3 3 2          4 4
+--R           45a d  + 75a b c d  + 450a b c d  - 2250a b c d  + 2625a b c d
+--R         + 
+--R                 5 5
+--R           - 945b c
+--R      *
+--R                +-+ +-------+
+--R               \|d \|b x + a
+--R         atanh(--------------)
+--R                +-+ +-------+
+--R               \|b \|d x + c
+--R     + 
+--R               4 4 4           3 4       4   3  3
+--R           384b d x  + (1008a b d  - 432b c d )x
+--R         + 
+--R                2 2 4          3   3       4 2 2  2
+--R           (744a b d  - 1184a b c d  + 504b c d )x
+--R         + 
+--R               3   4       2 2   3          3 2 2       4 3         4 4
+--R           (30a b d  - 962a b c d  + 1498a b c d  - 630b c d)x - 45a d
+--R         + 
+--R                3     3        2 2 2 2          3 3        4 4
+--R           - 90a b c d  + 1564a b c d  - 2310a b c d + 945b c
+--R      *
+--R          +-+ +-+ +-------+ +-------+
+--R         \|b \|d \|b x + a \|d x + c
+--R  /
+--R          2 5 +-+ +-+
+--R     1920b d \|b \|d
+--R                                                    Type: Expression(Integer)
+--E  512
+
+--S 513 of 1000
+--a0:=integrate(t0,x)
+--E  513
+
+--S 514 of 1000
+--m0:=a0-r0
+--E  514
+
+--S 515 of 1000
+--d0:=D(m0,x)
+--E  515
+
+)clear all
+
+--S 516 of 1000
+t0:=x*(a+b*x)^(5/2)/sqrt(c+d*x)
+--R 
+--R
+--R          2 3         2    2   +-------+
+--R        (b x  + 2a b x  + a x)\|b x + a
+--R   (1)  --------------------------------
+--R                    +-------+
+--R                   \|d x + c
+--R                                                    Type: Expression(Integer)
+--E  516
+
+--S 517 of 1000
+r0:=5/64*(b*c-a*d)^3*(7*b*c+a*d)*atanh(sqrt(d)*sqrt(a+b*x)/(sqrt(b)*_
+     sqrt(c+d*x)))/(b^(3/2)*d^(9/2))+5/96*(b*c-a*d)*(7*b*c+a*d)*_
+     (a+b*x)^(3/2)*sqrt(c+d*x)/(b*d^3)-1/24*(7*b*c+a*d)*(a+b*x)^(5/2)*_
+     sqrt(c+d*x)/(b*d^2)+1/4*(a+b*x)^(7/2)*sqrt(c+d*x)/(b*d)-_
+     5/64*(b*c-a*d)^2*(7*b*c+a*d)*sqrt(a+b*x)*sqrt(c+d*x)/(b*d^4)
+--R 
+--R
+--R   (2)
+--R               4 4      3     3       2 2 2 2         3 3        4 4
+--R         (- 15a d  - 60a b c d  + 270a b c d  - 300a b c d + 105b c )
+--R      *
+--R                +-+ +-------+
+--R               \|d \|b x + a
+--R         atanh(--------------)
+--R                +-+ +-------+
+--R               \|b \|d x + c
+--R     + 
+--R              3 3 3          2 3      3   2  2
+--R           48b d x  + (136a b d  - 56b c d )x
+--R         + 
+--R                2   3         2   2      3 2         3 3       2     2
+--R           (118a b d  - 172a b c d  + 70b c d)x + 15a d  - 191a b c d
+--R         + 
+--R                 2 2        3 3
+--R           265a b c d - 105b c
+--R      *
+--R          +-+ +-+ +-------+ +-------+
+--R         \|b \|d \|b x + a \|d x + c
+--R  /
+--R           4 +-+ +-+
+--R     192b d \|b \|d
+--R                                                    Type: Expression(Integer)
+--E  517
+
+--S 518 of 1000
+--a0:=integrate(t0,x)
+--E  518
+
+--S 519 of 1000
+--m0:=a0-r0
+--E  519
+
+--S 520 of 1000
+--d0:=D(m0,x)
+--E  520
+
+)clear all
+
+--S 521 of 1000
+t0:=(a+b*x)^(5/2)/sqrt(c+d*x)
+--R 
+--R
+--R          2 2             2  +-------+
+--R        (b x  + 2a b x + a )\|b x + a
+--R   (1)  ------------------------------
+--R                   +-------+
+--R                  \|d x + c
+--R                                                    Type: Expression(Integer)
+--E  521
+
+--S 522 of 1000
+r0:=-5/8*(b*c-a*d)^3*atanh(sqrt(d)*sqrt(a+b*x)/(sqrt(b)*sqrt(c+d*x)))/_
+     (d^(7/2)*sqrt(b))-5/12*(b*c-a*d)*(a+b*x)^(3/2)*sqrt(c+d*x)/d^2+_
+     1/3*(a+b*x)^(5/2)*sqrt(c+d*x)/d+5/8*(b*c-a*d)^2*sqrt(a+b*x)*_
+     sqrt(c+d*x)/d^3
+--R 
+--R
+--R   (2)
+--R                                                        +-+ +-------+
+--R           3 3      2     2        2 2       3 3       \|d \|b x + a
+--R       (15a d  - 45a b c d  + 45a b c d - 15b c )atanh(--------------)
+--R                                                        +-+ +-------+
+--R                                                       \|b \|d x + c
+--R     + 
+--R            2 2 2           2      2           2 2                  2 2  +-+ +-+
+--R         (8b d x  + (26a b d  - 10b c d)x + 33a d  - 40a b c d + 15b c )\|b \|d
+--R      *
+--R          +-------+ +-------+
+--R         \|b x + a \|d x + c
+--R  /
+--R        3 +-+ +-+
+--R     24d \|b \|d
+--R                                                    Type: Expression(Integer)
+--E  522
+
+--S 523 of 1000
+--a0:=integrate(t0,x)
+--E  523
+
+--S 524 of 1000
+--m0:=a0-r0
+--E  524
+
+--S 525 of 1000
+--d0:=D(m0,x)
+--E  525
+
+)clear all
+
+--S 526 of 1000
+t0:=(a+b*x)^(5/2)/(x*sqrt(c+d*x))
+--R 
+--R
+--R          2 2             2  +-------+
+--R        (b x  + 2a b x + a )\|b x + a
+--R   (1)  ------------------------------
+--R                    +-------+
+--R                  x\|d x + c
+--R                                                    Type: Expression(Integer)
+--E  526
+
+--S 527 of 1000
+r0:=1/4*(3*b^2*c^2-10*a*b*c*d+15*a^2*d^2)*atanh(sqrt(d)*sqrt(a+b*x)/_
+     (sqrt(b)*sqrt(c+d*x)))*sqrt(b)/d^(5/2)-2*a^(5/2)*atanh(sqrt(c)*_
+     sqrt(a+b*x)/(sqrt(a)*sqrt(c+d*x)))/sqrt(c)+1/2*b*(a+b*x)^(3/2)*_
+     sqrt(c+d*x)/d-1/4*b*(3*b*c-7*a*d)*sqrt(a+b*x)*sqrt(c+d*x)/d^2
+--R 
+--R
+--R   (2)
+--R                                                  +-+ +-------+
+--R           2 2                 2 2  +-+ +-+      \|d \|b x + a
+--R       (15a d  - 10a b c d + 3b c )\|b \|c atanh(--------------)
+--R                                                  +-+ +-------+
+--R                                                 \|b \|d x + c
+--R     + 
+--R                             +-+ +-------+
+--R           2 2 +-+ +-+      \|c \|b x + a
+--R       - 8a d \|a \|d atanh(--------------)
+--R                             +-+ +-------+
+--R                            \|a \|d x + c
+--R     + 
+--R          2                 2   +-+ +-+ +-------+ +-------+
+--R       (2b d x + 9a b d - 3b c)\|c \|d \|b x + a \|d x + c
+--R  /
+--R       2 +-+ +-+
+--R     4d \|c \|d
+--R                                                    Type: Expression(Integer)
+--E  527
+
+--S 528 of 1000 (non-algebraic residues)
+--a0:=integrate(t0,x)
+--E  528
+
+--S 529 of 1000
+--m0:=a0-r0
+--E  529
+
+--S 530 of 1000
+--d0:=D(m0,x)
+--E  530
+
+)clear all
+
+--S 531 of 1000
+t0:=(a+b*x)^(5/2)/(x^2*sqrt(c+d*x))
+--R 
+--R
+--R          2 2             2  +-------+
+--R        (b x  + 2a b x + a )\|b x + a
+--R   (1)  ------------------------------
+--R                  2 +-------+
+--R                 x \|d x + c
+--R                                                    Type: Expression(Integer)
+--E  531
+
+--S 532 of 1000
+r0:=-a^(3/2)*(5*b*c-a*d)*atanh(sqrt(c)*sqrt(a+b*x)/(sqrt(a)*_
+     sqrt(c+d*x)))/c^(3/2)-b^(3/2)*(b*c-5*a*d)*atanh(sqrt(d)*_
+     sqrt(a+b*x)/(sqrt(b)*sqrt(c+d*x)))/d^(3/2)+b*(a+b*x)^(3/2)*_
+     sqrt(c+d*x)/c-(a+b*x)^(5/2)*sqrt(c+d*x)/(c*x)+b*(b*c+a*d)*_
+     sqrt(a+b*x)*sqrt(c+d*x)/(c*d)
+--R 
+--R
+--R   (2)
+--R                                        +-+ +-------+
+--R                    2 2   +-+ +-+      \|d \|b x + a
+--R       (5a b c d - b c )x\|b \|c atanh(--------------)
+--R                                        +-+ +-------+
+--R                                       \|b \|d x + c
+--R     + 
+--R                                        +-+ +-------+
+--R         2 2              +-+ +-+      \|c \|b x + a
+--R       (a d  - 5a b c d)x\|a \|d atanh(--------------)
+--R                                        +-+ +-------+
+--R                                       \|a \|d x + c
+--R     + 
+--R         2       2   +-+ +-+ +-------+ +-------+
+--R       (b c x - a d)\|c \|d \|b x + a \|d x + c
+--R  /
+--R           +-+ +-+
+--R     c d x\|c \|d
+--R                                                    Type: Expression(Integer)
+--E  532
+
+--S 533 of 1000 (non-algebraic residues)
+--a0:=integrate(t0,x)
+--E  533
+
+--S 534 of 1000
+--m0:=a0-r0
+--E  534
+
+--S 535 of 1000
+--d0:=D(m0,x)
+--E  535
+
+)clear all
+
+--S 536 of 1000
+t0:=(a+b*x)^(5/2)/(x^3*sqrt(c+d*x))
+--R 
+--R
+--R          2 2             2  +-------+
+--R        (b x  + 2a b x + a )\|b x + a
+--R   (1)  ------------------------------
+--R                  3 +-------+
+--R                 x \|d x + c
+--R                                                    Type: Expression(Integer)
+--E  536
+
+--S 537 of 1000
+r0:=-1/4*(15*b^2*c^2-10*a*b*c*d+3*a^2*d^2)*atanh(sqrt(c)*sqrt(a+b*x)/_
+     (sqrt(a)*sqrt(c+d*x)))*sqrt(a)/c^(5/2)+2*b^(5/2)*atanh(sqrt(d)*_
+     sqrt(a+b*x)/(sqrt(b)*sqrt(c+d*x)))/sqrt(d)-1/4*(5*b*c-3*a*d)*_
+     (a+b*x)^(3/2)*sqrt(c+d*x)/(c^2*x)-1/2*(a+b*x)^(5/2)*sqrt(c+d*x)/_
+     (c*x^2)+1/4*b*(7*b*c-3*a*d)*sqrt(a+b*x)*sqrt(c+d*x)/c^2
+--R 
+--R
+--R   (2)
+--R                             +-+ +-------+
+--R         2 2 2 +-+ +-+      \|d \|b x + a
+--R       8b c x \|b \|c atanh(--------------)
+--R                             +-+ +-------+
+--R                            \|b \|d x + c
+--R     + 
+--R                                                      +-+ +-------+
+--R            2 2                  2 2  2 +-+ +-+      \|c \|b x + a
+--R       (- 3a d  + 10a b c d - 15b c )x \|a \|d atanh(--------------)
+--R                                                      +-+ +-------+
+--R                                                     \|a \|d x + c
+--R     + 
+--R           2                 2   +-+ +-+ +-------+ +-------+
+--R       ((3a d - 9a b c)x - 2a c)\|c \|d \|b x + a \|d x + c
+--R  /
+--R       2 2 +-+ +-+
+--R     4c x \|c \|d
+--R                                                    Type: Expression(Integer)
+--E  537
+
+--S 538 of 1000 (non-algebraic residues)
+--a0:=integrate(t0,x)
+--E  538
+
+--S 539 of 1000
+--m0:=a0-r0
+--E  539
+
+--S 540 of 1000
+--d0:=D(m0,x)
+--E  540
+
+)clear all
+
+--S 541 of 1000
+t0:=(a+b*x)^(5/2)/(x^4*sqrt(c+d*x))
+--R 
+--R
+--R          2 2             2  +-------+
+--R        (b x  + 2a b x + a )\|b x + a
+--R   (1)  ------------------------------
+--R                  4 +-------+
+--R                 x \|d x + c
+--R                                                    Type: Expression(Integer)
+--E  541
+
+--S 542 of 1000
+r0:=-5/8*(b*c-a*d)^3*atanh(sqrt(c)*sqrt(a+b*x)/(sqrt(a)*sqrt(c+d*x)))/_
+     (c^(7/2)*sqrt(a))-5/12*(b*c-a*d)*(a+b*x)^(3/2)*sqrt(c+d*x)/(c^2*x^2)-_
+     1/3*(a+b*x)^(5/2)*sqrt(c+d*x)/(c*x^3)-5/8*(b*c-a*d)^2*sqrt(a+b*x)*_
+     sqrt(c+d*x)/(c^3*x)
+--R 
+--R
+--R   (2)
+--R                                                          +-+ +-------+
+--R           3 3      2     2        2 2       3 3  3      \|c \|b x + a
+--R       (15a d  - 45a b c d  + 45a b c d - 15b c )x atanh(--------------)
+--R                                                          +-+ +-------+
+--R                                                         \|a \|d x + c
+--R     + 
+--R                2 2                  2 2  2       2             2       2 2  +-+
+--R         ((- 15a d  + 40a b c d - 33b c )x  + (10a c d - 26a b c )x - 8a c )\|a
+--R      *
+--R          +-+ +-------+ +-------+
+--R         \|c \|b x + a \|d x + c
+--R  /
+--R        3 3 +-+ +-+
+--R     24c x \|a \|c
+--R                                                    Type: Expression(Integer)
+--E  542
+
+--S 543 of 1000
+--a0:=integrate(t0,x)
+--E  543
+
+--S 544 of 1000
+--m0:=a0-r0
+--E  544
+
+--S 545 of 1000
+--d0:=D(m0,x)
+--E  545
+
+)clear all
+
+--S 546 of 1000
+t0:=(a+b*x)^(5/2)/(x^5*sqrt(c+d*x))
+--R 
+--R
+--R          2 2             2  +-------+
+--R        (b x  + 2a b x + a )\|b x + a
+--R   (1)  ------------------------------
+--R                  5 +-------+
+--R                 x \|d x + c
+--R                                                    Type: Expression(Integer)
+--E  546
+
+--S 547 of 1000
+r0:=5/64*(b*c-a*d)^3*(b*c+7*a*d)*atanh(sqrt(c)*sqrt(a+b*x)/(sqrt(a)*_
+     sqrt(c+d*x)))/(a^(3/2)*c^(9/2))-1/24*(5*b*c-7*a*d)*(a+b*x)^(3/2)*_
+     sqrt(c+d*x)/(c^2*x^3)-1/4*(a+b*x)^(5/2)*sqrt(c+d*x)/(c*x^4)-_
+     1/96*(15*b^2*c^2-58*a*b*c*d+35*a^2*d^2)*sqrt(a+b*x)*sqrt(c+d*x)/_
+     (c^3*x^2)-1/192*(15*b^3*c^3-191*a*b^2*c^2*d+265*a^2*b*c*d^2-_
+     105*a^3*d^3)*sqrt(a+b*x)*sqrt(c+d*x)/(a*c^4*x)
+--R 
+--R
+--R   (2)
+--R                4 4       3     3       2 2 2 2        3 3       4 4  4
+--R         (- 105a d  + 300a b c d  - 270a b c d  + 60a b c d + 15b c )x
+--R      *
+--R                +-+ +-------+
+--R               \|c \|b x + a
+--R         atanh(--------------)
+--R                +-+ +-------+
+--R               \|a \|d x + c
+--R     + 
+--R                3 3       2     2         2 2       3 3  3
+--R           (105a d  - 265a b c d  + 191a b c d - 15b c )x
+--R         + 
+--R                 3   2       2   2          2 3  2       3 2        2   3
+--R           (- 70a c d  + 172a b c d - 118a b c )x  + (56a c d - 136a b c )x
+--R         + 
+--R                3 3
+--R           - 48a c
+--R      *
+--R          +-+ +-+ +-------+ +-------+
+--R         \|a \|c \|b x + a \|d x + c
+--R  /
+--R           4 4 +-+ +-+
+--R     192a c x \|a \|c
+--R                                                    Type: Expression(Integer)
+--E  547
+
+--S 548 of 1000
+--a0:=integrate(t0,x)
+--E  548
+
+--S 549 of 1000
+--m0:=a0-r0
+--E  549
+
+--S 550 of 1000
+--d0:=D(m0,x)
+--E  550
+
+)clear all
+
+--S 551 of 1000
+t0:=x^2*(a+b*x)^(5/2)/(c+d*x)^(3/2)
+--R 
+--R
+--R          2 4         3    2 2  +-------+
+--R        (b x  + 2a b x  + a x )\|b x + a
+--R   (1)  ---------------------------------
+--R                         +-------+
+--R               (d x + c)\|d x + c
+--R                                                    Type: Expression(Integer)
+--E  551
+
+--S 552 of 1000
+r0:=5/64*(b*c-a*d)^2*(63*b^2*c^2-14*a*b*c*d-a^2*d^2)*atanh(sqrt(d)*_
+     sqrt(a+b*x)/(sqrt(b)*sqrt(c+d*x)))/(b^(3/2)*d^(11/2))+2*c^2*_
+     (a+b*x)^(7/2)/(d^2*(b*c-a*d)*sqrt(c+d*x))+5/96*(63*b^2*c^2-_
+     14*a*b*c*d-a^2*d^2)*(a+b*x)^(3/2)*sqrt(c+d*x)/(b*d^4)+_
+     1/24*(14*a*c-63*b*c^2/d+a^2*d/b)*(a+b*x)^(5/2)*sqrt(c+d*x)/_
+     (d^2*(b*c-a*d))+1/4*(a+b*x)^(7/2)*sqrt(c+d*x)/(b*d^2)-_
+     5/64*(b*c-a*d)*(63*b^2*c^2-14*a*b*c*d-a^2*d^2)*sqrt(a+b*x)*_
+     sqrt(c+d*x)/(b*d^5)
+--R 
+--R
+--R   (2)
+--R               4 4       3     3        2 2 2 2          3 3        4 4
+--R         (- 15a d  - 180a b c d  + 1350a b c d  - 2100a b c d + 945b c )
+--R      *
+--R                          +-+ +-------+
+--R          +-------+      \|d \|b x + a
+--R         \|d x + c atanh(--------------)
+--R                          +-+ +-------+
+--R                         \|b \|d x + c
+--R     + 
+--R              3 4 4          2 4      3   3  3
+--R           48b d x  + (136a b d  - 72b c d )x
+--R         + 
+--R                2   4         2   3       3 2 2  2
+--R           (118a b d  - 244a b c d  + 126b c d )x
+--R         + 
+--R               3 4       2     3         2 2 2       3 3         3   3
+--R           (15a d  - 337a b c d  + 637a b c d  - 315b c d)x + 15a c d
+--R         + 
+--R                 2   2 2          2 3        3 4
+--R           - 839a b c d  + 1785a b c d - 945b c
+--R      *
+--R          +-+ +-+ +-------+
+--R         \|b \|d \|b x + a
+--R  /
+--R           5 +-+ +-+ +-------+
+--R     192b d \|b \|d \|d x + c
+--R                                                    Type: Expression(Integer)
+--E  552
+
+--S 553 of 1000
+--a0:=integrate(t0,x)
+--E  553
+
+--S 554 of 1000
+--m0:=a0-r0
+--E  554
+
+--S 555 of 1000
+--d0:=D(m0,x)
+--E  555
+
+)clear all
+
+--S 556 of 1000
+t0:=x*(a+b*x)^(5/2)/(c+d*x)^(3/2)
+--R 
+--R
+--R          2 3         2    2   +-------+
+--R        (b x  + 2a b x  + a x)\|b x + a
+--R   (1)  --------------------------------
+--R                         +-------+
+--R               (d x + c)\|d x + c
+--R                                                    Type: Expression(Integer)
+--E  556
+
+--S 557 of 1000
+r0:=-5/8*(b*c-a*d)^2*(7*b*c-a*d)*atanh(sqrt(d)*sqrt(a+b*x)/(sqrt(b)*_
+     sqrt(c+d*x)))/(d^(9/2)*sqrt(b))-2*c*(a+b*x)^(7/2)/(d*(b*c-a*d)*_
+     sqrt(c+d*x))-5/12*(7*b*c-a*d)*(a+b*x)^(3/2)*sqrt(c+d*x)/d^3+_
+     1/3*(7*b*c-a*d)*(a+b*x)^(5/2)*sqrt(c+d*x)/(d^2*(b*c-a*d))+_
+     5/8*(b*c-a*d)*(7*b*c-a*d)*sqrt(a+b*x)*sqrt(c+d*x)/d^4
+--R 
+--R
+--R   (2)
+--R             3 3       2     2         2 2        3 3  +-------+
+--R         (15a d  - 135a b c d  + 225a b c d - 105b c )\|d x + c
+--R      *
+--R                +-+ +-------+
+--R               \|d \|b x + a
+--R         atanh(--------------)
+--R                +-+ +-------+
+--R               \|b \|d x + c
+--R     + 
+--R             2 3 3           3      2   2  2       2 3            2      2 2
+--R           8b d x  + (26a b d  - 14b c d )x  + (33a d  - 68a b c d  + 35b c d)x
+--R         + 
+--R              2   2           2        2 3
+--R           81a c d  - 190a b c d + 105b c
+--R      *
+--R          +-+ +-+ +-------+
+--R         \|b \|d \|b x + a
+--R  /
+--R        4 +-+ +-+ +-------+
+--R     24d \|b \|d \|d x + c
+--R                                                    Type: Expression(Integer)
+--E  557
+
+--S 558 of 1000
+--a0:=integrate(t0,x)
+--E  558
+
+--S 559 of 1000
+--m0:=a0-r0
+--E  559
+
+--S 560 of 1000
+--d0:=D(m0,x)
+--E  560
+
+)clear all
+
+--S 561 of 1000
+t0:=(a+b*x)^(5/2)/(c+d*x)^(3/2)
+--R 
+--R
+--R          2 2             2  +-------+
+--R        (b x  + 2a b x + a )\|b x + a
+--R   (1)  ------------------------------
+--R                        +-------+
+--R              (d x + c)\|d x + c
+--R                                                    Type: Expression(Integer)
+--E  561
+
+--S 562 of 1000
+r0:=15/4*(b*c-a*d)^2*atanh(sqrt(d)*sqrt(a+b*x)/(sqrt(b)*sqrt(c+d*x)))*_
+     sqrt(b)/d^(7/2)-2*(a+b*x)^(5/2)/(d*sqrt(c+d*x))+5/2*b*(a+b*x)^(3/2)*_
+     sqrt(c+d*x)/d^2-15/4*b*(b*c-a*d)*sqrt(a+b*x)*sqrt(c+d*x)/d^3
+--R 
+--R
+--R   (2)
+--R                                                         +-+ +-------+
+--R           2 2                  2 2  +-+ +-------+      \|d \|b x + a
+--R       (15a d  - 30a b c d + 15b c )\|b \|d x + c atanh(--------------)
+--R                                                         +-+ +-------+
+--R                                                        \|b \|d x + c
+--R     + 
+--R        2 2 2          2     2          2 2                  2 2  +-+ +-------+
+--R     (2b d x  + (9a b d  - 5b c d)x - 8a d  + 25a b c d - 15b c )\|d \|b x + a
+--R  /
+--R       3 +-+ +-------+
+--R     4d \|d \|d x + c
+--R                                                    Type: Expression(Integer)
+--E  562
+
+--S 563 of 1000
+--a0:=integrate(t0,x)
+--E  563
+
+--S 564 of 1000
+--m0:=a0-r0
+--E  564
+
+--S 565 of 1000
+--d0:=D(m0,x)
+--E  565
+
+)clear all
+
+--S 566 of 1000
+t0:=(a+b*x)^(5/2)/(x*(c+d*x)^(3/2))
+--R 
+--R
+--R          2 2             2  +-------+
+--R        (b x  + 2a b x + a )\|b x + a
+--R   (1)  ------------------------------
+--R                2        +-------+
+--R            (d x  + c x)\|d x + c
+--R                                                    Type: Expression(Integer)
+--E  566
+
+--S 567 of 1000
+r0:=-2*a^(5/2)*atanh(sqrt(c)*sqrt(a+b*x)/(sqrt(a)*sqrt(c+d*x)))/c^(3/2)-_
+     b^(3/2)*(3*b*c-5*a*d)*atanh(sqrt(d)*sqrt(a+b*x)/(sqrt(b)*sqrt(c+d*x)))/_
+     d^(5/2)+2*(a+b*x)^(5/2)/(c*sqrt(c+d*x))-2*b*(a+b*x)^(3/2)*_
+     sqrt(c+d*x)/(c*d)+b*(3*b*c-2*a*d)*sqrt(a+b*x)*sqrt(c+d*x)/(c*d^2)
+--R 
+--R
+--R   (2)
+--R                                                  +-+ +-------+
+--R                     2 2  +-+ +-+ +-------+      \|d \|b x + a
+--R       (5a b c d - 3b c )\|b \|c \|d x + c atanh(--------------)
+--R                                                  +-+ +-------+
+--R                                                 \|b \|d x + c
+--R     + 
+--R                                       +-+ +-------+
+--R           2 2 +-+ +-+ +-------+      \|c \|b x + a
+--R       - 2a d \|a \|d \|d x + c atanh(--------------)
+--R                                       +-+ +-------+
+--R                                      \|a \|d x + c
+--R     + 
+--R         2          2 2                2 2  +-+ +-+ +-------+
+--R       (b c d x + 2a d  - 4a b c d + 3b c )\|c \|d \|b x + a
+--R  /
+--R        2 +-+ +-+ +-------+
+--R     c d \|c \|d \|d x + c
+--R                                                    Type: Expression(Integer)
+--E  567
+
+--S 568 of 1000 (non-algebraic residues)
+--a0:=integrate(t0,x)
+--E  568
+
+--S 569 of 1000
+--m0:=a0-r0
+--E  569
+
+--S 570 of 1000
+--d0:=D(m0,x)
+--E  570
+
+)clear all
+
+--S 571 of 1000
+t0:=(a+b*x)^(5/2)/(x^2*(c+d*x)^(3/2))
+--R 
+--R
+--R          2 2             2  +-------+
+--R        (b x  + 2a b x + a )\|b x + a
+--R   (1)  ------------------------------
+--R                3      2  +-------+
+--R            (d x  + c x )\|d x + c
+--R                                                    Type: Expression(Integer)
+--E  571
+
+--S 572 of 1000
+r0:=-a^(3/2)*(5*b*c-3*a*d)*atanh(sqrt(c)*sqrt(a+b*x)/(sqrt(a)*sqrt(c+d*x)))/_
+     c^(5/2)+2*b^(5/2)*atanh(sqrt(d)*sqrt(a+b*x)/(sqrt(b)*sqrt(c+d*x)))/_
+     d^(3/2)+3*(b*c-a*d)*(a+b*x)^(3/2)/(c^2*sqrt(c+d*x))-(a+b*x)^(5/2)/_
+     (c*x*sqrt(c+d*x))-b*(2*b*c-3*a*d)*sqrt(a+b*x)*sqrt(c+d*x)/(c^2*d)
+--R 
+--R
+--R   (2)
+--R                                      +-+ +-------+
+--R         2 2  +-+ +-+ +-------+      \|d \|b x + a
+--R       2b c x\|b \|c \|d x + c atanh(--------------)
+--R                                      +-+ +-------+
+--R                                     \|b \|d x + c
+--R     + 
+--R                                                   +-+ +-------+
+--R          2 2              +-+ +-+ +-------+      \|c \|b x + a
+--R       (3a d  - 5a b c d)x\|a \|d \|d x + c atanh(--------------)
+--R                                                   +-+ +-------+
+--R                                                  \|a \|d x + c
+--R     + 
+--R             2 2                2 2      2     +-+ +-+ +-------+
+--R       ((- 3a d  + 4a b c d - 2b c )x - a c d)\|c \|d \|b x + a
+--R  /
+--R      2    +-+ +-+ +-------+
+--R     c d x\|c \|d \|d x + c
+--R                                                    Type: Expression(Integer)
+--E  572
+
+--S 573 of 1000 (non-algebraic residues)
+--a0:=integrate(t0,x)
+--E  573
+
+--S 574 of 1000
+--m0:=a0-r0
+--E  574
+
+--S 575 of 1000
+--d0:=D(m0,x)
+--E  575
+
+)clear all
+
+--S 576 of 1000
+t0:=(a+b*x)^(5/2)/(x^3*(c+d*x)^(3/2))
+--R 
+--R
+--R          2 2             2  +-------+
+--R        (b x  + 2a b x + a )\|b x + a
+--R   (1)  ------------------------------
+--R                4      3  +-------+
+--R            (d x  + c x )\|d x + c
+--R                                                    Type: Expression(Integer)
+--E  576
+
+--S 577 of 1000
+r0:=-15/4*(b*c-a*d)^2*atanh(sqrt(c)*sqrt(a+b*x)/(sqrt(a)*sqrt(c+d*x)))*_
+     sqrt(a)/c^(7/2)-5/4*(b*c-a*d)*(a+b*x)^(3/2)/(c^2*x*sqrt(c+d*x))-_
+     1/2*(a+b*x)^(5/2)/(c*x^2*sqrt(c+d*x))+15/4*(b*c-a*d)^2*_
+     sqrt(a+b*x)/(c^3*sqrt(c+d*x))
+--R 
+--R
+--R   (2)
+--R                                                             +-+ +-------+
+--R             2 2                  2 2  2 +-+ +-------+      \|c \|b x + a
+--R       (- 15a d  + 30a b c d - 15b c )x \|a \|d x + c atanh(--------------)
+--R                                                             +-+ +-------+
+--R                                                            \|a \|d x + c
+--R     + 
+--R              2 2                 2 2  2      2            2       2 2  +-+
+--R         ((15a d  - 25a b c d + 8b c )x  + (5a c d - 9a b c )x - 2a c )\|c
+--R      *
+--R          +-------+
+--R         \|b x + a
+--R  /
+--R       3 2 +-+ +-------+
+--R     4c x \|c \|d x + c
+--R                                                    Type: Expression(Integer)
+--E  577
+
+--S 578 of 1000
+--a0:=integrate(t0,x)
+--E  578
+
+--S 579 of 1000
+--m0:=a0-r0
+--E  579
+
+--S 580 of 1000
+--d0:=D(m0,x)
+--E  580
+
+)clear all
+
+--S 581 of 1000
+t0:=(a+b*x)^(5/2)/(x^4*(c+d*x)^(3/2))
+--R 
+--R
+--R          2 2             2  +-------+
+--R        (b x  + 2a b x + a )\|b x + a
+--R   (1)  ------------------------------
+--R                5      4  +-------+
+--R            (d x  + c x )\|d x + c
+--R                                                    Type: Expression(Integer)
+--E  581
+
+--S 582 of 1000
+r0:=-5/8*(b*c-7*a*d)*(b*c-a*d)^2*atanh(sqrt(c)*sqrt(a+b*x)/(sqrt(a)*_
+     sqrt(c+d*x)))/(c^(9/2)*sqrt(a))-1/12*(5*b*c-7*a*d)*(a+b*x)^(3/2)/_
+     (c^2*x^2*sqrt(c+d*x))-1/3*(a+b*x)^(5/2)/(c*x^3*sqrt(c+d*x))-_
+     1/24*d*(81*b^2*c^2-190*a*b*c*d+105*a^2*d^2)*sqrt(a+b*x)/_
+     (c^4*sqrt(c+d*x))-1/24*(15*b^2*c^2-54*a*b*c*d+35*a^2*d^2)*_
+     sqrt(a+b*x)/(c^3*x*sqrt(c+d*x))
+--R 
+--R
+--R   (2)
+--R              3 3       2     2         2 2       3 3  3 +-------+
+--R         (105a d  - 225a b c d  + 135a b c d - 15b c )x \|d x + c
+--R      *
+--R                +-+ +-------+
+--R               \|c \|b x + a
+--R         atanh(--------------)
+--R                +-+ +-------+
+--R               \|a \|d x + c
+--R     + 
+--R                  2 3             2      2 2   3
+--R           (- 105a d  + 190a b c d  - 81b c d)x
+--R         + 
+--R                 2   2          2       2 3  2       2 2           3       2 3
+--R           (- 35a c d  + 68a b c d - 33b c )x  + (14a c d - 26a b c )x - 8a c
+--R      *
+--R          +-+ +-+ +-------+
+--R         \|a \|c \|b x + a
+--R  /
+--R        4 3 +-+ +-+ +-------+
+--R     24c x \|a \|c \|d x + c
+--R                                                    Type: Expression(Integer)
+--E  582
+
+--S 583 of 1000
+--a0:=integrate(t0,x)
+--E  583
+
+--S 584 of 1000
+--m0:=a0-r0
+--E  584
+
+--S 585 of 1000
+--d0:=D(m0,x)
+--E  585
+
+)clear all
+
+--S 586 of 1000
+t0:=(a+b*x)^(5/2)/(x^5*(c+d*x)^(3/2))
+--R 
+--R
+--R          2 2             2  +-------+
+--R        (b x  + 2a b x + a )\|b x + a
+--R   (1)  ------------------------------
+--R                6      5  +-------+
+--R            (d x  + c x )\|d x + c
+--R                                                    Type: Expression(Integer)
+--E  586
+
+--S 587 of 1000
+r0:=5/64*(b*c-a*d)^2*(b^2*c^2+14*a*b*c*d-63*a^2*d^2)*atanh(sqrt(c)*_
+     sqrt(a+b*x)/(sqrt(a)*sqrt(c+d*x)))/(a^(3/2)*c^(11/2))-_
+     1/24*(5*b*c-9*a*d)*(a+b*x)^(3/2)/(c^2*x^3*sqrt(c+d*x))-_
+     1/4*(a+b*x)^(5/2)/(c*x^4*sqrt(c+d*x))-1/192*d*(15*b^3*c^3-_
+     839*a*b^2*c^2*d+1785*a^2*b*c*d^2-945*a^3*d^3)*sqrt(a+b*x)/_
+     (a*c^5*sqrt(c+d*x))-1/96*(15*b^2*c^2-86*a*b*c*d+63*a^2*d^2)*_
+     sqrt(a+b*x)/(c^3*x^2*sqrt(c+d*x))-1/192*(b*c-a*d)*(15*b^2*c^2-_
+     322*a*b*c*d+315*a^2*d^2)*sqrt(a+b*x)/(a*c^4*x*sqrt(c+d*x))
+--R 
+--R
+--R   (2)
+--R                4 4        3     3        2 2 2 2         3 3       4 4  4
+--R         (- 945a d  + 2100a b c d  - 1350a b c d  + 180a b c d + 15b c )x
+--R      *
+--R                          +-+ +-------+
+--R          +-------+      \|c \|b x + a
+--R         \|d x + c atanh(--------------)
+--R                          +-+ +-------+
+--R                         \|a \|d x + c
+--R     + 
+--R                3 4        2     3         2 2 2      3 3   4
+--R           (945a d  - 1785a b c d  + 839a b c d  - 15b c d)x
+--R         + 
+--R                3   3       2   2 2         2 3       3 4  3
+--R           (315a c d  - 637a b c d  + 337a b c d - 15b c )x
+--R         + 
+--R                  3 2 2       2   3          2 4  2       3 3        2   4
+--R           (- 126a c d  + 244a b c d - 118a b c )x  + (72a c d - 136a b c )x
+--R         + 
+--R                3 4
+--R           - 48a c
+--R      *
+--R          +-+ +-+ +-------+
+--R         \|a \|c \|b x + a
+--R  /
+--R           5 4 +-+ +-+ +-------+
+--R     192a c x \|a \|c \|d x + c
+--R                                                    Type: Expression(Integer)
+--E  587
+
+--S 588 of 1000
+--a0:=integrate(t0,x)
+--E  588
+
+--S 589 of 1000
+--m0:=a0-r0
+--E  589
+
+--S 590 of 1000
+--d0:=D(m0,x)
+--E  590
+
+)clear all
+ 
+--S 591 of 1000
+t0:=x^3*(a+b*x)^(5/2)/(c+d*x)^(5/2)
+--R 
+--R
+--R          2 5         4    2 3  +-------+
+--R        (b x  + 2a b x  + a x )\|b x + a
+--R   (1)  ---------------------------------
+--R            2 2             2  +-------+
+--R          (d x  + 2c d x + c )\|d x + c
+--R                                                    Type: Expression(Integer)
+--E  591
+
+--S 592 of 1000
+r0:=-2/3*x^3*(a+b*x)^(5/2)/(d*(c+d*x)^(3/2))+5/64*(b*c-a*d)*(231*b^3*c^3-_
+     189*a*b^2*c^2*d+21*a^2*b*c*d^2+a^3*d^3)*atanh(sqrt(d)*sqrt(a+b*x)/_
+     (sqrt(b)*sqrt(c+d*x)))/(b^(3/2)*d^(13/2))-2/3*(11*b*c-6*a*d)*_
+     x^2*(a+b*x)^(5/2)/(d^2*(b*c-a*d)*sqrt(c+d*x))+5/96*(231*b^3*c^3-_
+     189*a*b^2*c^2*d+21*a^2*b*c*d^2+a^3*d^3)*(a+b*x)^(3/2)*sqrt(c+d*x)/_
+     (b*d^5*(b*c-a*d))-1/24*(231*b^2*c^2-156*a*b*c*d+5*a^2*d^2)*_
+     (a+b*x)^(5/2)*sqrt(c+d*x)/(b*d^4*(b*c-a*d))+1/12*(99*b*c-59*a*d)*_
+     x*(a+b*x)^(5/2)*sqrt(c+d*x)/(d^3*(b*c-a*d))-5/64*(231*b^3*c^3-_
+     189*a*b^2*c^2*d+21*a^2*b*c*d^2+a^3*d^3)*sqrt(a+b*x)*sqrt(c+d*x)/(b*d^6)
+--R 
+--R
+--R   (2)
+--R                 4 5       3     4        2 2 2 3          3 3 2        4 4
+--R           (- 15a d  - 300a b c d  + 3150a b c d  - 6300a b c d  + 3465b c d)x
+--R         + 
+--R                4   4       3   2 3        2 2 3 2          3 4         4 5
+--R           - 15a c d  - 300a b c d  + 3150a b c d  - 6300a b c d + 3465b c
+--R      *
+--R                          +-+ +-------+
+--R          +-------+      \|d \|b x + a
+--R         \|d x + c atanh(--------------)
+--R                          +-+ +-------+
+--R                         \|b \|d x + c
+--R     + 
+--R              3 5 5          2 5      3   4  4
+--R           48b d x  + (136a b d  - 88b c d )x
+--R         + 
+--R                2   5         2   4       3 2 3  3
+--R           (118a b d  - 316a b c d  + 198b c d )x
+--R         + 
+--R               3 5       2     4          2 2 3       3 3 2  2
+--R           (15a d  - 483a b c d  + 1161a b c d  - 693b c d )x
+--R         + 
+--R               3   4        2   2 3          2 3 2        3 4         3 2 3
+--R           (30a c d  - 2472a b c d  + 7014a b c d  - 4620b c d)x + 15a c d
+--R         + 
+--R                  2   3 2          2 4         3 5
+--R           - 1743a b c d  + 5145a b c d - 3465b c
+--R      *
+--R          +-+ +-+ +-------+
+--R         \|b \|d \|b x + a
+--R  /
+--R            7            6  +-+ +-+ +-------+
+--R     (192b d x + 192b c d )\|b \|d \|d x + c
+--R                                                    Type: Expression(Integer)
+--E  592
+
+--S 593 of 1000
+--a0:=integrate(t0,x)
+--E  593
+
+--S 594 of 1000
+--m0:=a0-r0
+--E  594
+
+--S 595 of 1000
+--d0:=D(m0,x)
+--E  595
+
+)clear all
+
+--S 596 of 1000
+t0:=x^2*(a+b*x)^(5/2)/(c+d*x)^(5/2)
+--R 
+--R
+--R          2 4         3    2 2  +-------+
+--R        (b x  + 2a b x  + a x )\|b x + a
+--R   (1)  ---------------------------------
+--R            2 2             2  +-------+
+--R          (d x  + 2c d x + c )\|d x + c
+--R                                                    Type: Expression(Integer)
+--E  596
+
+--S 597 of 1000
+r0:=2/3*c^2*(a+b*x)^(7/2)/(d^2*(b*c-a*d)*(c+d*x)^(3/2))-5/8*(b*c-a*d)*_
+     (21*b^2*c^2-14*a*b*c*d+a^2*d^2)*atanh(sqrt(d)*sqrt(a+b*x)/_
+     (sqrt(b)*sqrt(c+d*x)))/(d^(11/2)*sqrt(b))-4/3*c*(5*b*c-3*a*d)*_
+     (a+b*x)^(7/2)/(d^2*(b*c-a*d)^2*sqrt(c+d*x))-5/12*(21*b^2*c^2-_
+     14*a*b*c*d+a^2*d^2)*(a+b*x)^(3/2)*sqrt(c+d*x)/(d^4*(b*c-a*d))+_
+     1/3*(21*b^2*c^2-14*a*b*c*d+a^2*d^2)*(a+b*x)^(5/2)*sqrt(c+d*x)/_
+     (d^3*(b*c-a*d)^2)+5/8*(21*b^2*c^2-14*a*b*c*d+a^2*d^2)*_
+     sqrt(a+b*x)*sqrt(c+d*x)/d^5
+--R 
+--R
+--R   (2)
+--R               3 4       2     3         2 2 2       3 3         3   3
+--R           (15a d  - 225a b c d  + 525a b c d  - 315b c d)x + 15a c d
+--R         + 
+--R                 2   2 2         2 3        3 4
+--R           - 225a b c d  + 525a b c d - 315b c
+--R      *
+--R                          +-+ +-------+
+--R          +-------+      \|d \|b x + a
+--R         \|d x + c atanh(--------------)
+--R                          +-+ +-------+
+--R                         \|b \|d x + c
+--R     + 
+--R             2 4 4           4      2   3  3
+--R           8b d x  + (26a b d  - 18b c d )x
+--R         + 
+--R               2 4            3      2 2 2  2
+--R           (33a d  - 96a b c d  + 63b c d )x
+--R         + 
+--R                2   3           2 2       2 3          2 2 2           3
+--R           (162a c d  - 574a b c d  + 420b c d)x + 113a c d  - 420a b c d
+--R         + 
+--R               2 4
+--R           315b c
+--R      *
+--R          +-+ +-+ +-------+
+--R         \|b \|d \|b x + a
+--R  /
+--R         6         5  +-+ +-+ +-------+
+--R     (24d x + 24c d )\|b \|d \|d x + c
+--R                                                    Type: Expression(Integer)
+--E  597
+
+--S 598 of 1000
+--a0:=integrate(t0,x)
+--E  598
+
+--S 599 of 1000
+--m0:=a0-r0
+--E  599
+
+--S 600 of 1000
+--d0:=D(m0,x)
+--E  600
+
+)clear all
+
+--S 601 of 1000
+t0:=x*(a+b*x)^(5/2)/(c+d*x)^(5/2)
+--R 
+--R
+--R          2 3         2    2   +-------+
+--R        (b x  + 2a b x  + a x)\|b x + a
+--R   (1)  --------------------------------
+--R           2 2             2  +-------+
+--R         (d x  + 2c d x + c )\|d x + c
+--R                                                    Type: Expression(Integer)
+--E  601
+
+--S 602 of 1000
+r0:=-2/3*c*(a+b*x)^(7/2)/(d*(b*c-a*d)*(c+d*x)^(3/2))+5/4*(7*b*c-3*a*d)*_
+     (b*c-a*d)*atanh(sqrt(d)*sqrt(a+b*x)/(sqrt(b)*sqrt(c+d*x)))*_
+     sqrt(b)/d^(9/2)-2/3*(7*b*c-3*a*d)*(a+b*x)^(5/2)/(d^2*(b*c-a*d)*_
+     sqrt(c+d*x))+5/6*b*(7*b*c-3*a*d)*(a+b*x)^(3/2)*sqrt(c+d*x)/_
+     (d^3*(b*c-a*d))-5/4*b*(7*b*c-3*a*d)*sqrt(a+b*x)*sqrt(c+d*x)/d^4
+--R 
+--R
+--R   (2)
+--R              2 3             2       2 2         2   2           2        2 3
+--R         ((45a d  - 150a b c d  + 105b c d)x + 45a c d  - 150a b c d + 105b c )
+--R      *
+--R                              +-+ +-------+
+--R          +-+ +-------+      \|d \|b x + a
+--R         \|b \|d x + c atanh(--------------)
+--R                              +-+ +-------+
+--R                             \|b \|d x + c
+--R     + 
+--R             2 3 3           3      2   2  2
+--R           6b d x  + (27a b d  - 21b c d )x
+--R         + 
+--R               2 3             2       2 2         2   2           2        2 3
+--R         (- 24a d  + 158a b c d  - 140b c d)x - 16a c d  + 115a b c d - 105b c
+--R      *
+--R          +-+ +-------+
+--R         \|d \|b x + a
+--R  /
+--R         5         4  +-+ +-------+
+--R     (12d x + 12c d )\|d \|d x + c
+--R                                                    Type: Expression(Integer)
+--E  602
+
+--S 603 of 1000
+--a0:=integrate(t0,x)
+--E  603
+
+--S 604 of 1000
+--m0:=a0-r0
+--E  604
+
+--S 605 of 1000
+--d0:=D(m0,x)
+--E  605
+
+)clear all
+
+--S 606 of 1000
+t0:=(a+b*x)^(5/2)/(c+d*x)^(5/2)
+--R 
+--R
+--R          2 2             2  +-------+
+--R        (b x  + 2a b x + a )\|b x + a
+--R   (1)  ------------------------------
+--R          2 2             2  +-------+
+--R        (d x  + 2c d x + c )\|d x + c
+--R                                                    Type: Expression(Integer)
+--E  606
+
+--S 607 of 1000
+r0:=-2/3*(a+b*x)^(5/2)/(d*(c+d*x)^(3/2))-5*b^(3/2)*(b*c-a*d)*atanh(sqrt(d)*_
+     sqrt(a+b*x)/(sqrt(b)*sqrt(c+d*x)))/d^(7/2)-10/3*b*(a+b*x)^(3/2)/_
+     (d^2*sqrt(c+d*x))+5*b^2*sqrt(a+b*x)*sqrt(c+d*x)/d^3
+--R 
+--R
+--R   (2)
+--R                  2      2                       2 2  +-+ +-------+
+--R         ((15a b d  - 15b c d)x + 15a b c d - 15b c )\|b \|d x + c
+--R      *
+--R                +-+ +-------+
+--R               \|d \|b x + a
+--R         atanh(--------------)
+--R                +-+ +-------+
+--R               \|b \|d x + c
+--R     + 
+--R            2 2 2             2      2          2 2                  2 2  +-+
+--R         (3b d x  + (- 14a b d  + 20b c d)x - 2a d  - 10a b c d + 15b c )\|d
+--R      *
+--R          +-------+
+--R         \|b x + a
+--R  /
+--R        4        3  +-+ +-------+
+--R     (3d x + 3c d )\|d \|d x + c
+--R                                                    Type: Expression(Integer)
+--E  607
+
+--S 608 of 1000
+--a0:=integrate(t0,x)
+--E  608
+
+--S 609 of 1000
+--m0:=a0-r0
+--E  609
+
+--S 610 of 1000
+--d0:=D(m0,x)
+--E  610
+
+)clear all
+
+--S 611 of 1000
+t0:=(a+b*x)^(5/2)/(x*(c+d*x)^(5/2))
+--R 
+--R
+--R           2 2             2  +-------+
+--R         (b x  + 2a b x + a )\|b x + a
+--R   (1)  --------------------------------
+--R          2 3         2    2   +-------+
+--R        (d x  + 2c d x  + c x)\|d x + c
+--R                                                    Type: Expression(Integer)
+--E  611
+
+--S 612 of 1000
+r0:=2/3*(a+b*x)^(5/2)/(c*(c+d*x)^(3/2))-2*a^(5/2)*atanh(sqrt(c)*sqrt(a+b*x)/_
+     (sqrt(a)*sqrt(c+d*x)))/c^(5/2)+2*b^(5/2)*atanh(sqrt(d)*sqrt(a+b*x)/_
+     (sqrt(b)*sqrt(c+d*x)))/d^(5/2)+2/3*(2*b*c+3*a*d)*(a+b*x)^(3/2)/_
+     (c^2*d*sqrt(c+d*x))-2*b*(b*c+a*d)*sqrt(a+b*x)*sqrt(c+d*x)/(c^2*d^2)
+--R 
+--R
+--R   (2)
+--R                                                  +-+ +-------+
+--R          2 2        2 3  +-+ +-+ +-------+      \|d \|b x + a
+--R       (6b c d x + 6b c )\|b \|c \|d x + c atanh(--------------)
+--R                                                  +-+ +-------+
+--R                                                 \|b \|d x + c
+--R     + 
+--R                                                    +-+ +-------+
+--R            2 3      2   2  +-+ +-+ +-------+      \|c \|b x + a
+--R       (- 6a d x - 6a c d )\|a \|d \|d x + c atanh(--------------)
+--R                                                    +-+ +-------+
+--R                                                   \|a \|d x + c
+--R     + 
+--R             2 3           2     2 2        2   2         2      2 3  +-+ +-+
+--R         ((6a d  + 2a b c d  - 8b c d)x + 8a c d  - 2a b c d - 6b c )\|c \|d
+--R      *
+--R          +-------+
+--R         \|b x + a
+--R  /
+--R        2 3      3 2  +-+ +-+ +-------+
+--R     (3c d x + 3c d )\|c \|d \|d x + c
+--R                                                    Type: Expression(Integer)
+--E  612
+
+--S 613 of 1000
+--a0:=integrate(t0,x)
+--E  613
+
+--S 614 of 1000
+--m0:=a0-r0
+--E  614
+
+--S 615 of 1000
+--d0:=D(m0,x)
+--E  615
+
+)clear all
+
+--S 616 of 1000
+t0:=(a+b*x)^(5/2)/(x^2*(c+d*x)^(5/2))
+--R 
+--R
+--R            2 2             2  +-------+
+--R          (b x  + 2a b x + a )\|b x + a
+--R   (1)  ---------------------------------
+--R          2 4         3    2 2  +-------+
+--R        (d x  + 2c d x  + c x )\|d x + c
+--R                                                    Type: Expression(Integer)
+--E  616
+
+--S 617 of 1000
+r0:=5/3*(b*c-a*d)*(a+b*x)^(3/2)/(c^2*(c+d*x)^(3/2))-(a+b*x)^(5/2)/_
+     (c*x*(c+d*x)^(3/2))-5*a^(3/2)*(b*c-a*d)*atanh(sqrt(c)*sqrt(a+b*x)/_
+     (sqrt(a)*sqrt(c+d*x)))/c^(7/2)+5*a*(b*c-a*d)*sqrt(a+b*x)/(c^3*sqrt(c+d*x))
+--R 
+--R
+--R   (2)
+--R              2 2              2       2             2    +-+ +-------+
+--R         ((15a d  - 15a b c d)x  + (15a c d - 15a b c )x)\|a \|d x + c
+--R      *
+--R                +-+ +-------+
+--R               \|c \|b x + a
+--R         atanh(--------------)
+--R                +-+ +-------+
+--R               \|a \|d x + c
+--R     + 
+--R                2 2                 2 2  2         2             2       2 2
+--R         ((- 15a d  + 10a b c d + 2b c )x  + (- 20a c d + 14a b c )x - 3a c )
+--R      *
+--R          +-+ +-------+
+--R         \|c \|b x + a
+--R  /
+--R        3   2     4   +-+ +-------+
+--R     (3c d x  + 3c x)\|c \|d x + c
+--R                                                    Type: Expression(Integer)
+--E  617
+
+--S 618 of 1000
+--a0:=integrate(t0,x)
+--E  618
+
+--S 619 of 1000
+--m0:=a0-r0
+--E  619
+
+--S 620 of 1000
+--d0:=D(m0,x)
+--E  620
+
+)clear all
+
+--S 621 of 1000
+t0:=(a+b*x)^(5/2)/(x^3*(c+d*x)^(5/2))
+--R 
+--R
+--R            2 2             2  +-------+
+--R          (b x  + 2a b x + a )\|b x + a
+--R   (1)  ---------------------------------
+--R          2 5         4    2 3  +-------+
+--R        (d x  + 2c d x  + c x )\|d x + c
+--R                                                    Type: Expression(Integer)
+--E  621
+
+--S 622 of 1000
+r0:=-1/4*(5*b*c-7*a*d)*(a+b*x)^(3/2)/(c^2*x*(c+d*x)^(3/2))-1/2*(a+b*x)^(5/2)/_
+     (c*x^2*(c+d*x)^(3/2))-5/4*(3*b*c-7*a*d)*(b*c-a*d)*atanh(sqrt(c)*_
+     sqrt(a+b*x)/(sqrt(a)*sqrt(c+d*x)))*sqrt(a)/c^(9/2)+1/12*(29*b*c-_
+     35*a*d)*(b*c-a*d)*sqrt(a+b*x)/(c^3*(c+d*x)^(3/2))+1/12*(16*b^2*c^2-_
+     115*a*b*c*d+105*a^2*d^2)*sqrt(a+b*x)/(c^4*sqrt(c+d*x))
+--R 
+--R
+--R   (2)
+--R                  2 3             2      2 2   3
+--R           (- 105a d  + 150a b c d  - 45b c d)x
+--R         + 
+--R                  2   2           2       2 3  2
+--R           (- 105a c d  + 150a b c d - 45b c )x
+--R      *
+--R                              +-+ +-------+
+--R          +-+ +-------+      \|c \|b x + a
+--R         \|a \|d x + c atanh(--------------)
+--R                              +-+ +-------+
+--R                             \|a \|d x + c
+--R     + 
+--R                2 3             2      2 2   3
+--R           (105a d  - 115a b c d  + 16b c d)x
+--R         + 
+--R                2   2           2       2 3  2       2 2           3       2 3
+--R           (140a c d  - 158a b c d + 24b c )x  + (21a c d - 27a b c )x - 6a c
+--R      *
+--R          +-+ +-------+
+--R         \|c \|b x + a
+--R  /
+--R         4   3      5 2  +-+ +-------+
+--R     (12c d x  + 12c x )\|c \|d x + c
+--R                                                    Type: Expression(Integer)
+--E  622
+
+--S 623 of 1000
+--a0:=integrate(t0,x)
+--E  623
+
+--S 624 of 1000
+--m0:=a0-r0
+--E  624
+
+--S 625 of 1000
+--d0:=D(m0,x)
+--E  625
+
+)clear all
+
+--S 626 of 1000
+t0:=(a+b*x)^(5/2)/(x^4*(c+d*x)^(5/2))
+--R 
+--R
+--R            2 2             2  +-------+
+--R          (b x  + 2a b x + a )\|b x + a
+--R   (1)  ---------------------------------
+--R          2 6         5    2 4  +-------+
+--R        (d x  + 2c d x  + c x )\|d x + c
+--R                                                    Type: Expression(Integer)
+--E  626
+
+--S 627 of 1000
+r0:=-1/12*(5*b*c-9*a*d)*(a+b*x)^(3/2)/(c^2*x^2*(c+d*x)^(3/2))-_
+     1/3*(a+b*x)^(5/2)/(c*x^3*(c+d*x)^(3/2))-5/8*(b*c-a*d)*(b^2*c^2-_
+     14*a*b*c*d+21*a^2*d^2)*atanh(sqrt(c)*sqrt(a+b*x)/(sqrt(a)*_
+     sqrt(c+d*x)))/(c^(11/2)*sqrt(a))-7/24*d*(7*b*c-15*a*d)*(b*c-a*d)*_
+     sqrt(a+b*x)/(c^4*(c+d*x)^(3/2))-1/8*(5*b*c-21*a*d)*(b*c-a*d)*_
+     sqrt(a+b*x)/(c^3*x*(c+d*x)^(3/2))-1/24*d*(113*b^2*c^2-_
+     420*a*b*c*d+315*a^2*d^2)*sqrt(a+b*x)/(c^5*sqrt(c+d*x))
+--R 
+--R
+--R   (2)
+--R                3 4       2     3         2 2 2      3 3   4
+--R           (315a d  - 525a b c d  + 225a b c d  - 15b c d)x
+--R         + 
+--R                3   3       2   2 2         2 3       3 4  3
+--R           (315a c d  - 525a b c d  + 225a b c d - 15b c )x
+--R      *
+--R                          +-+ +-------+
+--R          +-------+      \|c \|b x + a
+--R         \|d x + c atanh(--------------)
+--R                          +-+ +-------+
+--R                         \|a \|d x + c
+--R     + 
+--R                  2 4             3       2 2 2  4
+--R           (- 315a d  + 420a b c d  - 113b c d )x
+--R         + 
+--R                  2   3           2 2       2 3   3
+--R           (- 420a c d  + 574a b c d  - 162b c d)x
+--R         + 
+--R                 2 2 2          3       2 4  2       2 3           4       2 4
+--R           (- 63a c d  + 96a b c d - 33b c )x  + (18a c d - 26a b c )x - 8a c
+--R      *
+--R          +-+ +-+ +-------+
+--R         \|a \|c \|b x + a
+--R  /
+--R         5   4      6 3  +-+ +-+ +-------+
+--R     (24c d x  + 24c x )\|a \|c \|d x + c
+--R                                                    Type: Expression(Integer)
+--E  627
+
+--S 628 of 1000
+--a0:=integrate(t0,x)
+--E  628
+
+--S 629 of 1000
+--m0:=a0-r0
+--E  629
+
+--S 630 of 1000
+--d0:=D(m0,x)
+--E  630
+
+)clear all
+
+--S 631 of 1000
+t0:=(a+b*x)^(5/2)/(x^5*(c+d*x)^(5/2))
+--R 
+--R
+--R            2 2             2  +-------+
+--R          (b x  + 2a b x + a )\|b x + a
+--R   (1)  ---------------------------------
+--R          2 7         6    2 5  +-------+
+--R        (d x  + 2c d x  + c x )\|d x + c
+--R                                                    Type: Expression(Integer)
+--E  631
+
+--S 632 of 1000
+r0:=-1/24*(5*b*c-11*a*d)*(a+b*x)^(3/2)/(c^2*x^3*(c+d*x)^(3/2))-_
+     1/4*(a+b*x)^(5/2)/(c*x^4*(c+d*x)^(3/2))+5/64*(b*c-a*d)*(b^3*c^3+_
+     21*a*b^2*c^2*d-189*a^2*b*c*d^2+231*a^3*d^3)*atanh(sqrt(c)*_
+     sqrt(a+b*x)/(sqrt(a)*sqrt(c+d*x)))/(a^(3/2)*c^(13/2))-1/64*_
+     d*(b*c-a*d)*(5*b^2*c^2-238*a*b*c*d+385*a^2*d^2)*sqrt(a+b*x)/_
+     (a*c^5*(c+d*x)^(3/2))-1/32*(5*b*c-33*a*d)*(b*c-a*d)*sqrt(a+b*x)/_
+     (c^3*x^2*(c+d*x)^(3/2))-1/64*(b*c-a*d)*(5*b^2*c^2-156*a*b*c*d+_
+     231*a^2*d^2)*sqrt(a+b*x)/(a*c^4*x*(c+d*x)^(3/2))-1/64*d*(5*b^3*c^3-_
+     581*a*b^2*c^2*d+1715*a^2*b*c*d^2-1155*a^3*d^3)*sqrt(a+b*x)/_
+     (a*c^6*sqrt(c+d*x))
+--R 
+--R
+--R   (2)
+--R                   4 5        3     4        2 2 2 3         3 3 2      4 4   5
+--R           (- 3465a d  + 6300a b c d  - 3150a b c d  + 300a b c d  + 15b c d)x
+--R         + 
+--R                   4   4        3   2 3        2 2 3 2         3 4       4 5  4
+--R           (- 3465a c d  + 6300a b c d  - 3150a b c d  + 300a b c d + 15b c )x
+--R      *
+--R                          +-+ +-------+
+--R          +-------+      \|c \|b x + a
+--R         \|d x + c atanh(--------------)
+--R                          +-+ +-------+
+--R                         \|a \|d x + c
+--R     + 
+--R                 3 5        2     4          2 2 3      3 3 2  5
+--R           (3465a d  - 5145a b c d  + 1743a b c d  - 15b c d )x
+--R         + 
+--R                 3   4        2   2 3          2 3 2      3 4   4
+--R           (4620a c d  - 7014a b c d  + 2472a b c d  - 30b c d)x
+--R         + 
+--R                3 2 3        2   3 2         2 4       3 5  3
+--R           (693a c d  - 1161a b c d  + 483a b c d - 15b c )x
+--R         + 
+--R                  3 3 2       2   4          2 5  2       3 4        2   5
+--R           (- 198a c d  + 316a b c d - 118a b c )x  + (88a c d - 136a b c )x
+--R         + 
+--R                3 5
+--R           - 48a c
+--R      *
+--R          +-+ +-+ +-------+
+--R         \|a \|c \|b x + a
+--R  /
+--R            6   5         7 4  +-+ +-+ +-------+
+--R     (192a c d x  + 192a c x )\|a \|c \|d x + c
+--R                                                    Type: Expression(Integer)
+--E  632
+
+--S 633 of 1000
+--a0:=integrate(t0,x)
+--E  633
+
+--S 634 of 1000
+--m0:=a0-r0
+--E  634
+
+--S 635 of 1000
+--d0:=D(m0,x)
+--E  635
+
+)clear all
+
+--S 636 of 1000
+t0:=x^2*sqrt(c+d*x)/sqrt(a+b*x)
+--R 
+--R
+--R         2 +-------+
+--R        x \|d x + c
+--R   (1)  ------------
+--R          +-------+
+--R         \|b x + a
+--R                                                    Type: Expression(Integer)
+--E  636
+
+--S 637 of 1000
+r0:=1/8*(b*c-a*d)*(b^2*c^2+2*a*b*c*d+5*a^2*d^2)*atanh(sqrt(d)*sqrt(a+b*x)/_
+     (sqrt(b)*sqrt(c+d*x)))/(b^(7/2)*d^(5/2))-1/12*(3*b*c+5*a*d)*_
+     (c+d*x)^(3/2)*sqrt(a+b*x)/(b^2*d^2)+1/3*x*(c+d*x)^(3/2)*_
+     sqrt(a+b*x)/(b*d)+1/8*(b^2*c^2+2*a*b*c*d+5*a^2*d^2)*sqrt(a+b*x)*_
+     sqrt(c+d*x)/(b^3*d^2)
+--R 
+--R
+--R   (2)
+--R                                                       +-+ +-------+
+--R             3 3     2     2       2 2      3 3       \|d \|b x + a
+--R       (- 15a d  + 9a b c d  + 3a b c d + 3b c )atanh(--------------)
+--R                                                       +-+ +-------+
+--R                                                      \|b \|d x + c
+--R     + 
+--R            2 2 2             2     2           2 2                2 2  +-+ +-+
+--R         (8b d x  + (- 10a b d  + 2b c d)x + 15a d  - 4a b c d - 3b c )\|b \|d
+--R      *
+--R          +-------+ +-------+
+--R         \|b x + a \|d x + c
+--R  /
+--R        3 2 +-+ +-+
+--R     24b d \|b \|d
+--R                                                    Type: Expression(Integer)
+--E  637
+
+--S 638 of 1000
+--a0:=integrate(t0,x)
+--E  638
+
+--S 639 of 1000
+--m0:=a0-r0
+--E  639
+
+--S 640 of 1000
+--d0:=D(m0,x)
+--E  640
+
+)clear all
+
+--S 641 of 1000
+t0:=x*sqrt(c+d*x)/sqrt(a+b*x)
+--R 
+--R
+--R          +-------+
+--R        x\|d x + c
+--R   (1)  -----------
+--R          +-------+
+--R         \|b x + a
+--R                                                    Type: Expression(Integer)
+--E  641
+
+--S 642 of 1000
+r0:=-1/4*(b*c-a*d)*(b*c+3*a*d)*atanh(sqrt(d)*sqrt(a+b*x)/(sqrt(b)*_
+     sqrt(c+d*x)))/(b^(5/2)*d^(3/2))+1/2*(c+d*x)^(3/2)*sqrt(a+b*x)/(b*d)-_
+     1/4*(b*c+3*a*d)*sqrt(a+b*x)*sqrt(c+d*x)/(b^2*d)
+--R 
+--R
+--R   (2)
+--R                                       +-+ +-------+
+--R          2 2               2 2       \|d \|b x + a
+--R       (3a d  - 2a b c d - b c )atanh(--------------)
+--R                                       +-+ +-------+
+--R                                      \|b \|d x + c
+--R     + 
+--R                             +-+ +-+ +-------+ +-------+
+--R       (2b d x - 3a d + b c)\|b \|d \|b x + a \|d x + c
+--R  /
+--R       2  +-+ +-+
+--R     4b d\|b \|d
+--R                                                    Type: Expression(Integer)
+--E  642
+
+--S 643 of 1000
+--a0:=integrate(t0,x)
+--E  643
+
+--S 644 of 1000
+--m0:=a0-r0
+--E  644
+
+--S 645 of 1000
+--d0:=D(m0,x)
+--E  645
+
+)clear all
+
+--S 646 of 1000
+t0:=sqrt(c+d*x)/sqrt(a+b*x)
+--R 
+--R
+--R         +-------+
+--R        \|d x + c
+--R   (1)  ----------
+--R         +-------+
+--R        \|b x + a
+--R                                                    Type: Expression(Integer)
+--E  646
+
+--S 647 of 1000
+r0:=(b*c-a*d)*atanh(sqrt(d)*sqrt(a+b*x)/(sqrt(b)*sqrt(c+d*x)))/_
+     (b^(3/2)*sqrt(d))+sqrt(a+b*x)*sqrt(c+d*x)/b
+--R 
+--R
+--R                            +-+ +-------+
+--R                           \|d \|b x + a      +-+ +-+ +-------+ +-------+
+--R        (- a d + b c)atanh(--------------) + \|b \|d \|b x + a \|d x + c
+--R                            +-+ +-------+
+--R                           \|b \|d x + c
+--R   (2)  -----------------------------------------------------------------
+--R                                      +-+ +-+
+--R                                    b\|b \|d
+--R                                                    Type: Expression(Integer)
+--E  647
+
+--S 648 of 1000
+--a0:=integrate(t0,x)
+--E  648
+
+--S 649 of 1000
+--m0:=a0-r0
+--E  649
+
+--S 650 of 1000
+--d0:=D(m0,x)
+--E  650
+
+)clear all
+
+--S 651 of 1000
+t0:=sqrt(c+d*x)/(x*sqrt(a+b*x))
+--R 
+--R
+--R          +-------+
+--R         \|d x + c
+--R   (1)  -----------
+--R          +-------+
+--R        x\|b x + a
+--R                                                    Type: Expression(Integer)
+--E  651
+
+--S 652 of 1000
+r0:=-2*atanh(sqrt(c)*sqrt(a+b*x)/(sqrt(a)*sqrt(c+d*x)))*sqrt(c)/sqrt(a)+_
+     2*atanh(sqrt(d)*sqrt(a+b*x)/(sqrt(b)*sqrt(c+d*x)))*sqrt(d)/sqrt(b)
+--R 
+--R
+--R                        +-+ +-------+                    +-+ +-------+
+--R          +-+ +-+      \|d \|b x + a       +-+ +-+      \|c \|b x + a
+--R        2\|a \|d atanh(--------------) - 2\|b \|c atanh(--------------)
+--R                        +-+ +-------+                    +-+ +-------+
+--R                       \|b \|d x + c                    \|a \|d x + c
+--R   (2)  ---------------------------------------------------------------
+--R                                     +-+ +-+
+--R                                    \|a \|b
+--R                                                    Type: Expression(Integer)
+--E  652
+
+--S 653 of 1000 (non-algebraic residues)
+--a0:=integrate(t0,x)
+--E  653
+
+--S 654 of 1000
+--m0:=a0-r0
+--E  654
+
+--S 655 of 1000
+--d0:=D(m0,x)
+--E  655
+
+)clear all
+
+--S 656 of 1000
+t0:=sqrt(c+d*x)/(x^2*sqrt(a+b*x))
+--R 
+--R
+--R          +-------+
+--R         \|d x + c
+--R   (1)  ------------
+--R         2 +-------+
+--R        x \|b x + a
+--R                                                    Type: Expression(Integer)
+--E  656
+
+--S 657 of 1000
+r0:=(b*c-a*d)*atanh(sqrt(c)*sqrt(a+b*x)/(sqrt(a)*sqrt(c+d*x)))/_
+     (a^(3/2)*sqrt(c))-sqrt(a+b*x)*sqrt(c+d*x)/(a*x)
+--R 
+--R
+--R                              +-+ +-------+
+--R                             \|c \|b x + a      +-+ +-+ +-------+ +-------+
+--R        (- a d + b c)x atanh(--------------) - \|a \|c \|b x + a \|d x + c
+--R                              +-+ +-------+
+--R                             \|a \|d x + c
+--R   (2)  -------------------------------------------------------------------
+--R                                        +-+ +-+
+--R                                    a x\|a \|c
+--R                                                    Type: Expression(Integer)
+--E  657
+
+--S 658 of 1000
+--a0:=integrate(t0,x)
+--E  658
+
+--S 659 of 1000
+--m0:=a0-r0
+--E  659
+
+--S 660 of 1000
+--d0:=D(m0,x)
+--E  660
+
+)clear all
+
+--S 661 of 1000
+t0:=sqrt(c+d*x)/(x^3*sqrt(a+b*x))
+--R 
+--R
+--R          +-------+
+--R         \|d x + c
+--R   (1)  ------------
+--R         3 +-------+
+--R        x \|b x + a
+--R                                                    Type: Expression(Integer)
+--E  661
+
+--S 662 of 1000
+r0:=-1/4*(b*c-a*d)*(3*b*c+a*d)*atanh(sqrt(c)*sqrt(a+b*x)/_
+     (sqrt(a)*sqrt(c+d*x)))/(a^(5/2)*c^(3/2))-1/2*sqrt(a+b*x)*_
+     sqrt(c+d*x)/(a*x^2)+1/4*(3*b*c-a*d)*sqrt(a+b*x)*sqrt(c+d*x)/(a^2*c*x)
+--R 
+--R
+--R   (2)
+--R                                         +-+ +-------+
+--R         2 2                2 2  2      \|c \|b x + a
+--R       (a d  + 2a b c d - 3b c )x atanh(--------------)
+--R                                         +-+ +-------+
+--R                                        \|a \|d x + c
+--R     + 
+--R                                +-+ +-+ +-------+ +-------+
+--R       ((- a d + 3b c)x - 2a c)\|a \|c \|b x + a \|d x + c
+--R  /
+--R       2   2 +-+ +-+
+--R     4a c x \|a \|c
+--R                                                    Type: Expression(Integer)
+--E  662
+
+--S 663 of 1000
+--a0:=integrate(t0,x)
+--E  663
+
+--S 664 of 1000
+--m0:=a0-r0
+--E  664
+
+--S 665 of 1000
+--d0:=D(m0,x)
+--E  665
+
+)clear all
+
+--S 666 of 1000
+t0:=sqrt(c+d*x)/(x^4*sqrt(a+b*x))
+--R 
+--R
+--R          +-------+
+--R         \|d x + c
+--R   (1)  ------------
+--R         4 +-------+
+--R        x \|b x + a
+--R                                                    Type: Expression(Integer)
+--E  666
+
+--S 667 of 1000
+r0:=1/8*(b*c-a*d)*(5*b^2*c^2+2*a*b*c*d+a^2*d^2)*atanh(sqrt(c)*sqrt(a+b*x)/_
+     (sqrt(a)*sqrt(c+d*x)))/(a^(7/2)*c^(5/2))-1/3*sqrt(a+b*x)*_
+     sqrt(c+d*x)/(a*x^3)+1/12*(5*b*c-a*d)*sqrt(a+b*x)*sqrt(c+d*x)/_
+     (a^2*c*x^2)-1/24*(5*b*c-3*a*d)*(3*b*c+a*d)*sqrt(a+b*x)*_
+     sqrt(c+d*x)/(a^3*c^2*x)
+--R 
+--R
+--R   (2)
+--R                                                         +-+ +-------+
+--R            3 3     2     2       2 2       3 3  3      \|c \|b x + a
+--R       (- 3a d  - 3a b c d  - 9a b c d + 15b c )x atanh(--------------)
+--R                                                         +-+ +-------+
+--R                                                        \|a \|d x + c
+--R     + 
+--R             2 2                 2 2  2        2             2       2 2  +-+
+--R         ((3a d  + 4a b c d - 15b c )x  + (- 2a c d + 10a b c )x - 8a c )\|a
+--R      *
+--R          +-+ +-------+ +-------+
+--R         \|c \|b x + a \|d x + c
+--R  /
+--R        3 2 3 +-+ +-+
+--R     24a c x \|a \|c
+--R                                                    Type: Expression(Integer)
+--E  667
+
+--S 668 of 1000
+--a0:=integrate(t0,x)
+--E  668
+
+--S 669 of 1000
+--m0:=a0-r0
+--E  669
+
+--S 670 of 1000
+--d0:=D(m0,x)
+--E  670
+
+)clear all
+
+--S 671 of 1000
+t0:=x^2*(c+d*x)^(3/2)/sqrt(a+b*x)
+--R 
+--R
+--R            3      2  +-------+
+--R        (d x  + c x )\|d x + c
+--R   (1)  -----------------------
+--R                +-------+
+--R               \|b x + a
+--R                                                    Type: Expression(Integer)
+--E  671
+
+--S 672 of 1000
+r0:=1/64*(b*c-a*d)^2*(3*b^2*c^2+10*a*b*c*d+35*a^2*d^2)*atanh(sqrt(d)*_
+     sqrt(a+b*x)/(sqrt(b)*sqrt(c+d*x)))/(b^(9/2)*d^(5/2))+_
+     1/96*(3*b^2*c^2+10*a*b*c*d+35*a^2*d^2)*(c+d*x)^(3/2)*_
+     sqrt(a+b*x)/(b^3*d^2)-1/24*(3*b*c+7*a*d)*(c+d*x)^(5/2)*_
+     sqrt(a+b*x)/(b^2*d^2)+1/4*x*(c+d*x)^(5/2)*sqrt(a+b*x)/(b*d)+_
+     1/64*(b*c-a*d)*(3*b^2*c^2+10*a*b*c*d+35*a^2*d^2)*sqrt(a+b*x)*_
+     sqrt(c+d*x)/(b^4*d^2)
+--R 
+--R
+--R   (2)
+--R              4 4       3     3      2 2 2 2        3 3      4 4
+--R         (105a d  - 180a b c d  + 54a b c d  + 12a b c d + 9b c )
+--R      *
+--R                +-+ +-------+
+--R               \|d \|b x + a
+--R         atanh(--------------)
+--R                +-+ +-------+
+--R               \|b \|d x + c
+--R     + 
+--R              3 3 3           2 3      3   2  2
+--R           48b d x  + (- 56a b d  + 72b c d )x
+--R         + 
+--R               2   3        2   2     3 2          3 3       2     2        2 2
+--R           (70a b d  - 92a b c d  + 6b c d)x - 105a d  + 145a b c d  - 15a b c d
+--R         + 
+--R               3 3
+--R           - 9b c
+--R      *
+--R          +-+ +-+ +-------+ +-------+
+--R         \|b \|d \|b x + a \|d x + c
+--R  /
+--R         4 2 +-+ +-+
+--R     192b d \|b \|d
+--R                                                    Type: Expression(Integer)
+--E  672
+
+--S 673 of 1000
+--a0:=integrate(t0,x)
+--E  673
+
+--S 674 of 1000
+--m0:=a0-r0
+--E  674
+
+--S 675 of 1000
+--d0:=D(m0,x)
+--E  675
+
+)clear all
+
+--S 676 of 1000
+t0:=x*(c+d*x)^(3/2)/sqrt(a+b*x)
+--R 
+--R
+--R            2        +-------+
+--R        (d x  + c x)\|d x + c
+--R   (1)  ----------------------
+--R               +-------+
+--R              \|b x + a
+--R                                                    Type: Expression(Integer)
+--E  676
+
+--S 677 of 1000
+r0:=-1/8*(b*c-a*d)^2*(b*c+5*a*d)*atanh(sqrt(d)*sqrt(a+b*x)/(sqrt(b)*_
+     sqrt(c+d*x)))/(b^(7/2)*d^(3/2))-1/12*(b*c+5*a*d)*(c+d*x)^(3/2)*_
+     sqrt(a+b*x)/(b^2*d)+1/3*(c+d*x)^(5/2)*sqrt(a+b*x)/(b*d)-_
+     1/8*(b*c-a*d)*(b*c+5*a*d)*sqrt(a+b*x)*sqrt(c+d*x)/(b^3*d)
+--R 
+--R
+--R   (2)
+--R                                                        +-+ +-------+
+--R             3 3      2     2       2 2      3 3       \|d \|b x + a
+--R       (- 15a d  + 27a b c d  - 9a b c d - 3b c )atanh(--------------)
+--R                                                        +-+ +-------+
+--R                                                       \|b \|d x + c
+--R     + 
+--R            2 2 2             2      2           2 2                 2 2  +-+
+--R         (8b d x  + (- 10a b d  + 14b c d)x + 15a d  - 22a b c d + 3b c )\|b
+--R      *
+--R          +-+ +-------+ +-------+
+--R         \|d \|b x + a \|d x + c
+--R  /
+--R        3  +-+ +-+
+--R     24b d\|b \|d
+--R                                                    Type: Expression(Integer)
+--E  677
+
+--S 678 of 1000
+--a0:=integrate(t0,x)
+--E  678
+
+--S 679 of 1000
+--m0:=a0-r0
+--E  679
+
+--S 680 of 1000
+--d0:=D(m0,x)
+--E  680
+
+)clear all
+
+--S 681 of 1000
+t0:=(c+d*x)^(3/2)/sqrt(a+b*x)
+--R 
+--R
+--R                  +-------+
+--R        (d x + c)\|d x + c
+--R   (1)  -------------------
+--R              +-------+
+--R             \|b x + a
+--R                                                    Type: Expression(Integer)
+--E  681
+
+--S 682 of 1000
+r0:=3/4*(b*c-a*d)^2*atanh(sqrt(d)*sqrt(a+b*x)/(sqrt(b)*sqrt(c+d*x)))/_
+     (b^(5/2)*sqrt(d))+1/2*(c+d*x)^(3/2)*sqrt(a+b*x)/b+3/4*(b*c-a*d)*_
+     sqrt(a+b*x)*sqrt(c+d*x)/b^2
+--R 
+--R
+--R   (2)
+--R                                        +-+ +-------+
+--R          2 2                2 2       \|d \|b x + a
+--R       (3a d  - 6a b c d + 3b c )atanh(--------------)
+--R                                        +-+ +-------+
+--R                                       \|b \|d x + c
+--R     + 
+--R                              +-+ +-+ +-------+ +-------+
+--R       (2b d x - 3a d + 5b c)\|b \|d \|b x + a \|d x + c
+--R  /
+--R       2 +-+ +-+
+--R     4b \|b \|d
+--R                                                    Type: Expression(Integer)
+--E  682
+
+--S 683 of 1000
+--a0:=integrate(t0,x)
+--E  683
+
+--S 684 of 1000
+--m0:=a0-r0
+--E  684
+
+--S 685 of 1000
+--d0:=D(m0,x)
+--E  685
+
+)clear all
+
+--S 686 of 1000
+t0:=(c+d*x)^(3/2)/(x*sqrt(a+b*x))
+--R 
+--R
+--R                  +-------+
+--R        (d x + c)\|d x + c
+--R   (1)  -------------------
+--R              +-------+
+--R            x\|b x + a
+--R                                                    Type: Expression(Integer)
+--E  686
+
+--S 687 of 1000
+r0:=-2*c^(3/2)*atanh(sqrt(c)*sqrt(a+b*x)/(sqrt(a)*sqrt(c+d*x)))/sqrt(a)+_
+     (3*b*c-a*d)*atanh(sqrt(d)*sqrt(a+b*x)/(sqrt(b)*sqrt(c+d*x)))*_
+     sqrt(d)/b^(3/2)+d*sqrt(a+b*x)*sqrt(c+d*x)/b
+--R 
+--R
+--R   (2)
+--R                                    +-+ +-------+
+--R                      +-+ +-+      \|d \|b x + a
+--R       (- a d + 3b c)\|a \|d atanh(--------------)
+--R                                    +-+ +-------+
+--R                                   \|b \|d x + c
+--R     + 
+--R                            +-+ +-------+
+--R              +-+ +-+      \|c \|b x + a       +-+ +-+ +-------+ +-------+
+--R       - 2b c\|b \|c atanh(--------------) + d\|a \|b \|b x + a \|d x + c
+--R                            +-+ +-------+
+--R                           \|a \|d x + c
+--R  /
+--R       +-+ +-+
+--R     b\|a \|b
+--R                                                    Type: Expression(Integer)
+--E  687
+
+--S 688 of 1000 (non-algebraic residues)
+--a0:=integrate(t0,x)
+--E  688
+
+--S 689 of 1000
+--m0:=a0-r0
+--E  689
+
+--S 690 of 1000
+--d0:=D(m0,x)
+--E  690
+
+)clear all
+
+--S 691 of 1000
+t0:=(c+d*x)^(3/2)/(x^2*sqrt(a+b*x))
+--R 
+--R
+--R                  +-------+
+--R        (d x + c)\|d x + c
+--R   (1)  -------------------
+--R             2 +-------+
+--R            x \|b x + a
+--R                                                    Type: Expression(Integer)
+--E  691
+
+--S 692 of 1000
+r0:=2*d^(3/2)*atanh(sqrt(d)*sqrt(a+b*x)/(sqrt(b)*sqrt(c+d*x)))/sqrt(b)+_
+     (b*c-3*a*d)*atanh(sqrt(c)*sqrt(a+b*x)/(sqrt(a)*sqrt(c+d*x)))*_
+     sqrt(c)/a^(3/2)-(c+d*x)^(3/2)*sqrt(a+b*x)/(a*x)+d*sqrt(a+b*x)*_
+     sqrt(c+d*x)/a
+--R 
+--R
+--R   (2)
+--R                            +-+ +-------+
+--R              +-+ +-+      \|d \|b x + a
+--R       2a d x\|a \|d atanh(--------------)
+--R                            +-+ +-------+
+--R                           \|b \|d x + c
+--R     + 
+--R                                     +-+ +-------+
+--R                       +-+ +-+      \|c \|b x + a
+--R       (- 3a d + b c)x\|b \|c atanh(--------------)
+--R                                     +-+ +-------+
+--R                                    \|a \|d x + c
+--R     + 
+--R           +-+ +-+ +-------+ +-------+
+--R       - c\|a \|b \|b x + a \|d x + c
+--R  /
+--R         +-+ +-+
+--R     a x\|a \|b
+--R                                                    Type: Expression(Integer)
+--E  692
+
+--S 693 of 1000 (non-algebraic residues)
+--a0:=integrate(t0,x)
+--E  693
+
+--S 694 of 1000
+--m0:=a0-r0
+--E  694
+
+--S 695 of 1000
+--d0:=D(m0,x)
+--E  695
+
+)clear all
+
+--S 696 of 1000
+t0:=(c+d*x)^(3/2)/(x^3*sqrt(a+b*x))
+--R 
+--R
+--R                  +-------+
+--R        (d x + c)\|d x + c
+--R   (1)  -------------------
+--R             3 +-------+
+--R            x \|b x + a
+--R                                                    Type: Expression(Integer)
+--E  696
+
+--S 697 of 1000
+r0:=-3/4*(b*c-a*d)^2*atanh(sqrt(c)*sqrt(a+b*x)/(sqrt(a)*sqrt(c+d*x)))/_
+     (a^(5/2)*sqrt(c))-1/2*(c+d*x)^(3/2)*sqrt(a+b*x)/(a*x^2)+_
+     3/4*(b*c-a*d)*sqrt(a+b*x)*sqrt(c+d*x)/(a^2*x)
+--R 
+--R
+--R   (2)
+--R                                            +-+ +-------+
+--R            2 2                2 2  2      \|c \|b x + a
+--R       (- 3a d  + 6a b c d - 3b c )x atanh(--------------)
+--R                                            +-+ +-------+
+--R                                           \|a \|d x + c
+--R     + 
+--R                                 +-+ +-+ +-------+ +-------+
+--R       ((- 5a d + 3b c)x - 2a c)\|a \|c \|b x + a \|d x + c
+--R  /
+--R       2 2 +-+ +-+
+--R     4a x \|a \|c
+--R                                                    Type: Expression(Integer)
+--E  697
+
+--S 698 of 1000
+--a0:=integrate(t0,x)
+--E  698
+
+--S 699 of 1000
+--m0:=a0-r0
+--E  699
+
+--S 700 of 1000
+--d0:=D(m0,x)
+--E  700
+
+)clear all
+
+--S 701 of 1000
+t0:=(c+d*x)^(3/2)/(x^4*sqrt(a+b*x))
+--R 
+--R
+--R                  +-------+
+--R        (d x + c)\|d x + c
+--R   (1)  -------------------
+--R             4 +-------+
+--R            x \|b x + a
+--R                                                    Type: Expression(Integer)
+--E  701
+
+--S 702 of 1000
+r0:=1/8*(b*c-a*d)^2*(5*b*c+a*d)*atanh(sqrt(c)*sqrt(a+b*x)/(sqrt(a)*_
+     sqrt(c+d*x)))/(a^(7/2)*c^(3/2))-1/3*(c+d*x)^(3/2)*sqrt(a+b*x)/_
+     (a*x^3)+1/12*(5*b*c-3*a*d)*sqrt(a+b*x)*sqrt(c+d*x)/(a^2*x^2)-_
+     1/24*(15*b^2*c/a-22*b*d+3*a*d^2/c)*sqrt(a+b*x)*sqrt(c+d*x)/(a^2*x)
+--R 
+--R
+--R   (2)
+--R                                                        +-+ +-------+
+--R          3 3     2     2        2 2       3 3  3      \|c \|b x + a
+--R       (3a d  + 9a b c d  - 27a b c d + 15b c )x atanh(--------------)
+--R                                                        +-+ +-------+
+--R                                                       \|a \|d x + c
+--R     + 
+--R               2 2                  2 2  2         2             2       2 2
+--R         ((- 3a d  + 22a b c d - 15b c )x  + (- 14a c d + 10a b c )x - 8a c )
+--R      *
+--R          +-+ +-+ +-------+ +-------+
+--R         \|a \|c \|b x + a \|d x + c
+--R  /
+--R        3   3 +-+ +-+
+--R     24a c x \|a \|c
+--R                                                    Type: Expression(Integer)
+--E  702
+
+--S 703 of 1000
+--a0:=integrate(t0,x)
+--E  703
+
+--S 704 of 1000
+--m0:=a0-r0
+--E  704
+
+--S 705 of 1000
+--d0:=D(m0,x)
+--E  705
+
+)clear all
+
+--S 706 of 1000
+t0:=(c+d*x)^(3/2)/(x^5*sqrt(a+b*x))
+--R 
+--R
+--R                  +-------+
+--R        (d x + c)\|d x + c
+--R   (1)  -------------------
+--R             5 +-------+
+--R            x \|b x + a
+--R                                                    Type: Expression(Integer)
+--E  706
+
+--S 707 of 1000
+r0:=-1/64*(b*c-a*d)^2*(35*b^2*c^2+10*a*b*c*d+3*a^2*d^2)*atanh(sqrt(c)*_
+     sqrt(a+b*x)/(sqrt(a)*sqrt(c+d*x)))/(a^(9/2)*c^(5/2))-_
+     1/4*(c+d*x)^(3/2)*sqrt(a+b*x)/(a*x^4)+1/24*(7*b*c-3*a*d)*_
+     sqrt(a+b*x)*sqrt(c+d*x)/(a^2*x^3)-1/96*(35*b^2*c/a-46*b*d+_
+     3*a*d^2/c)*sqrt(a+b*x)*sqrt(c+d*x)/(a^2*x^2)+1/192*(105*b^3*c^3-_
+     145*a*b^2*c^2*d+15*a^2*b*c*d^2+9*a^3*d^3)*sqrt(a+b*x)*_
+     sqrt(c+d*x)/(a^4*c^2*x)
+--R 
+--R
+--R   (2)
+--R              4 4      3     3      2 2 2 2         3 3        4 4  4
+--R         (- 9a d  - 12a b c d  - 54a b c d  + 180a b c d - 105b c )x
+--R      *
+--R                +-+ +-------+
+--R               \|c \|b x + a
+--R         atanh(--------------)
+--R                +-+ +-------+
+--R               \|a \|d x + c
+--R     + 
+--R              3 3      2     2         2 2        3 3  3
+--R           (9a d  + 15a b c d  - 145a b c d + 105b c )x
+--R         + 
+--R              3   2      2   2         2 3  2         3 2       2   3        3 3
+--R         (- 6a c d  + 92a b c d - 70a b c )x  + (- 72a c d + 56a b c )x - 48a c
+--R      *
+--R          +-+ +-+ +-------+ +-------+
+--R         \|a \|c \|b x + a \|d x + c
+--R  /
+--R         4 2 4 +-+ +-+
+--R     192a c x \|a \|c
+--R                                                    Type: Expression(Integer)
+--E  707
+
+--S 708 of 1000
+--a0:=integrate(t0,x)
+--E  708
+
+--S 709 of 1000
+--m0:=a0-r0
+--E  709
+
+--S 710 of 1000
+--d0:=D(m0,x)
+--E  710
+
+)clear all
+
+--S 711 of 1000
+t0:=x^2*(c+d*x)^(5/2)/sqrt(a+b*x)
+--R 
+--R
+--R          2 4         3    2 2  +-------+
+--R        (d x  + 2c d x  + c x )\|d x + c
+--R   (1)  ---------------------------------
+--R                     +-------+
+--R                    \|b x + a
+--R                                                    Type: Expression(Integer)
+--E  711
+
+--S 712 of 1000
+r0:=1/128*(b*c-a*d)^3*(3*b^2*c^2+14*a*b*c*d+63*a^2*d^2)*atanh(sqrt(d)*_
+     sqrt(a+b*x)/(sqrt(b)*sqrt(c+d*x)))/(b^(11/2)*d^(5/2))+_
+     1/192*(b*c-a*d)*(3*b^2*c^2+14*a*b*c*d+63*a^2*d^2)*(c+d*x)^(3/2)*_
+     sqrt(a+b*x)/(b^4*d^2)+1/240*(3*b^2*c^2+14*a*b*c*d+63*a^2*d^2)*_
+     (c+d*x)^(5/2)*sqrt(a+b*x)/(b^3*d^2)-3/40*(b*c+3*a*d)*_
+     (c+d*x)^(7/2)*sqrt(a+b*x)/(b^2*d^2)+1/5*x*(c+d*x)^(7/2)*_
+     sqrt(a+b*x)/(b*d)+1/128*(b*c-a*d)^2*(3*b^2*c^2+14*a*b*c*d+_
+     63*a^2*d^2)*sqrt(a+b*x)*sqrt(c+d*x)/(b^5*d^2)
+--R 
+--R
+--R   (2)
+--R                 5 5        4     4        3 2 2 3       2 3 3 2        4 4
+--R           - 945a d  + 2625a b c d  - 2250a b c d  + 450a b c d  + 75a b c d
+--R         + 
+--R              5 5
+--R           45b c
+--R      *
+--R                +-+ +-------+
+--R               \|d \|b x + a
+--R         atanh(--------------)
+--R                +-+ +-------+
+--R               \|b \|d x + c
+--R     + 
+--R               4 4 4            3 4        4   3  3
+--R           384b d x  + (- 432a b d  + 1008b c d )x
+--R         + 
+--R                2 2 4          3   3       4 2 2  2
+--R           (504a b d  - 1184a b c d  + 744b c d )x
+--R         + 
+--R                  3   4        2 2   3         3 2 2      4 3          4 4
+--R           (- 630a b d  + 1498a b c d  - 962a b c d  + 30b c d)x + 945a d
+--R         + 
+--R                  3     3        2 2 2 2        3 3       4 4
+--R           - 2310a b c d  + 1564a b c d  - 90a b c d - 45b c
+--R      *
+--R          +-+ +-+ +-------+ +-------+
+--R         \|b \|d \|b x + a \|d x + c
+--R  /
+--R          5 2 +-+ +-+
+--R     1920b d \|b \|d
+--R                                                    Type: Expression(Integer)
+--E  712
+
+--S 713 of 1000
+--a0:=integrate(t0,x)
+--E  713
+
+--S 714 of 1000
+--m0:=a0-r0
+--E  714
+
+--S 715 of 1000
+--d0:=D(m0,x)
+--E  715
+
+)clear all
+
+--S 716 of 1000
+t0:=x*(c+d*x)^(5/2)/sqrt(a+b*x)
+--R 
+--R
+--R          2 3         2    2   +-------+
+--R        (d x  + 2c d x  + c x)\|d x + c
+--R   (1)  --------------------------------
+--R                    +-------+
+--R                   \|b x + a
+--R                                                    Type: Expression(Integer)
+--E  716
+
+--S 717 of 1000
+r0:=-5/64*(b*c-a*d)^3*(b*c+7*a*d)*atanh(sqrt(d)*sqrt(a+b*x)/(sqrt(b)*_
+     sqrt(c+d*x)))/(b^(9/2)*d^(3/2))-5/96*(b*c-a*d)*(b*c+7*a*d)*_
+     (c+d*x)^(3/2)*sqrt(a+b*x)/(b^3*d)-1/24*(b*c+7*a*d)*(c+d*x)^(5/2)*_
+     sqrt(a+b*x)/(b^2*d)+1/4*(c+d*x)^(7/2)*sqrt(a+b*x)/(b*d)-_
+     5/64*(b*c-a*d)^2*(b*c+7*a*d)*sqrt(a+b*x)*sqrt(c+d*x)/(b^4*d)
+--R 
+--R
+--R   (2)
+--R              4 4       3     3       2 2 2 2        3 3       4 4
+--R         (105a d  - 300a b c d  + 270a b c d  - 60a b c d - 15b c )
+--R      *
+--R                +-+ +-------+
+--R               \|d \|b x + a
+--R         atanh(--------------)
+--R                +-+ +-------+
+--R               \|b \|d x + c
+--R     + 
+--R              3 3 3           2 3       3   2  2
+--R           48b d x  + (- 56a b d  + 136b c d )x
+--R         + 
+--R               2   3         2   2       3 2          3 3       2     2
+--R           (70a b d  - 172a b c d  + 118b c d)x - 105a d  + 265a b c d
+--R         + 
+--R                   2 2       3 3
+--R           - 191a b c d + 15b c
+--R      *
+--R          +-+ +-+ +-------+ +-------+
+--R         \|b \|d \|b x + a \|d x + c
+--R  /
+--R         4  +-+ +-+
+--R     192b d\|b \|d
+--R                                                    Type: Expression(Integer)
+--E  717
+
+--S 718 of 1000
+--a0:=integrate(t0,x)
+--E  718
+
+--S 719 of 1000
+--m0:=a0-r0
+--E  719
+
+--S 720 of 1000
+--d0:=D(m0,x)
+--E  720
+
+)clear all
+
+--S 721 of 1000
+t0:=(c+d*x)^(5/2)/sqrt(a+b*x)
+--R 
+--R
+--R          2 2             2  +-------+
+--R        (d x  + 2c d x + c )\|d x + c
+--R   (1)  ------------------------------
+--R                   +-------+
+--R                  \|b x + a
+--R                                                    Type: Expression(Integer)
+--E  721
+
+--S 722 of 1000
+r0:=5/8*(b*c-a*d)^3*atanh(sqrt(d)*sqrt(a+b*x)/(sqrt(b)*sqrt(c+d*x)))/_
+     (b^(7/2)*sqrt(d))+5/12*(b*c-a*d)*(c+d*x)^(3/2)*sqrt(a+b*x)/b^2+_
+     1/3*(c+d*x)^(5/2)*sqrt(a+b*x)/b+5/8*(b*c-a*d)^2*sqrt(a+b*x)*_
+     sqrt(c+d*x)/b^3
+--R 
+--R
+--R   (2)
+--R                                                          +-+ +-------+
+--R             3 3      2     2        2 2       3 3       \|d \|b x + a
+--R       (- 15a d  + 45a b c d  - 45a b c d + 15b c )atanh(--------------)
+--R                                                          +-+ +-------+
+--R                                                         \|b \|d x + c
+--R     + 
+--R            2 2 2             2      2           2 2                  2 2  +-+
+--R         (8b d x  + (- 10a b d  + 26b c d)x + 15a d  - 40a b c d + 33b c )\|b
+--R      *
+--R          +-+ +-------+ +-------+
+--R         \|d \|b x + a \|d x + c
+--R  /
+--R        3 +-+ +-+
+--R     24b \|b \|d
+--R                                                    Type: Expression(Integer)
+--E  722
+
+-- (1 . failed) cannot be coerced to mode (SparseUnivariatePolynomial (Integer))
+--S 723 of 1000
+--a0:=integrate(t0,x)
+--E  723
+
+--S 724 of 1000
+--m0:=a0-r0
+--E  724
+
+--S 725 of 1000
+--d0:=D(m0,x)
+--E  725
+
+)clear all
+
+--S 726 of 1000
+t0:=(c+d*x)^(5/2)/(x*sqrt(a+b*x))
+--R 
+--R
+--R          2 2             2  +-------+
+--R        (d x  + 2c d x + c )\|d x + c
+--R   (1)  ------------------------------
+--R                    +-------+
+--R                  x\|b x + a
+--R                                                    Type: Expression(Integer)
+--E  726
+
+--S 727 of 1000
+r0:=-2*c^(5/2)*atanh(sqrt(c)*sqrt(a+b*x)/(sqrt(a)*sqrt(c+d*x)))/sqrt(a)+_
+     1/4*(15*b^2*c^2-10*a*b*c*d+3*a^2*d^2)*atanh(sqrt(d)*_
+     sqrt(a+b*x)/(sqrt(b)*sqrt(c+d*x)))*sqrt(d)/b^(5/2)+_
+     1/2*d*(c+d*x)^(3/2)*sqrt(a+b*x)/b+1/4*d*(7*b*c-3*a*d)*_
+     sqrt(a+b*x)*sqrt(c+d*x)/b^2
+--R 
+--R
+--R   (2)
+--R                                                  +-+ +-------+
+--R          2 2                  2 2  +-+ +-+      \|d \|b x + a
+--R       (3a d  - 10a b c d + 15b c )\|a \|d atanh(--------------)
+--R                                                  +-+ +-------+
+--R                                                 \|b \|d x + c
+--R     + 
+--R                             +-+ +-------+
+--R           2 2 +-+ +-+      \|c \|b x + a
+--R       - 8b c \|b \|c atanh(--------------)
+--R                             +-+ +-------+
+--R                            \|a \|d x + c
+--R     + 
+--R            2        2           +-+ +-+ +-------+ +-------+
+--R       (2b d x - 3a d  + 9b c d)\|a \|b \|b x + a \|d x + c
+--R  /
+--R       2 +-+ +-+
+--R     4b \|a \|b
+--R                                                    Type: Expression(Integer)
+--E  727
+
+--S 728 of 1000 (non-algebraic residues)
+-- a0:=integrate(t0,x)
+--E  728
+
+--S 729 of 1000
+--m0:=a0-r0
+--E  729
+
+--S 730 of 1000
+--d0:=D(m0,x)
+--E  730
+
+)clear all
+
+--S 731 of 1000
+t0:=(c+d*x)^(5/2)/(x^2*sqrt(a+b*x))
+--R 
+--R
+--R          2 2             2  +-------+
+--R        (d x  + 2c d x + c )\|d x + c
+--R   (1)  ------------------------------
+--R                  2 +-------+
+--R                 x \|b x + a
+--R                                                    Type: Expression(Integer)
+--E  731
+
+--S 732 of 1000
+r0:=c^(3/2)*(b*c-5*a*d)*atanh(sqrt(c)*sqrt(a+b*x)/(sqrt(a)*sqrt(c+d*x)))/_
+     a^(3/2)+d^(3/2)*(5*b*c-a*d)*atanh(sqrt(d)*sqrt(a+b*x)/_
+     (sqrt(b)*sqrt(c+d*x)))/b^(3/2)+d*(c+d*x)^(3/2)*sqrt(a+b*x)/_
+     a-(c+d*x)^(5/2)*sqrt(a+b*x)/(a*x)+d*(b*c+a*d)*sqrt(a+b*x)*_
+     sqrt(c+d*x)/(a*b)
+--R 
+--R
+--R   (2)
+--R                                          +-+ +-------+
+--R           2 2              +-+ +-+      \|d \|b x + a
+--R       (- a d  + 5a b c d)x\|a \|d atanh(--------------)
+--R                                          +-+ +-------+
+--R                                         \|b \|d x + c
+--R     + 
+--R                                          +-+ +-------+
+--R                      2 2   +-+ +-+      \|c \|b x + a
+--R       (- 5a b c d + b c )x\|b \|c atanh(--------------)
+--R                                          +-+ +-------+
+--R                                         \|a \|d x + c
+--R     + 
+--R           2       2  +-+ +-+ +-------+ +-------+
+--R       (a d x - b c )\|a \|b \|b x + a \|d x + c
+--R  /
+--R           +-+ +-+
+--R     a b x\|a \|b
+--R                                                    Type: Expression(Integer)
+--E  732
+
+--S 733 of 1000 (non-algebraic residues)
+--a0:=integrate(t0,x)
+--E  733
+
+--S 734 of 1000
+--m0:=a0-r0
+--E  734
+
+--S 735 of 1000
+--d0:=D(m0,x)
+--E  735
+
+)clear all
+
+--S 736 of 1000
+t0:=(c+d*x)^(5/2)/(x^3*sqrt(a+b*x))
+--R 
+--R
+--R          2 2             2  +-------+
+--R        (d x  + 2c d x + c )\|d x + c
+--R   (1)  ------------------------------
+--R                  3 +-------+
+--R                 x \|b x + a
+--R                                                    Type: Expression(Integer)
+--E  736
+
+--S 737 of 1000
+r0:=2*d^(5/2)*atanh(sqrt(d)*sqrt(a+b*x)/(sqrt(b)*sqrt(c+d*x)))/sqrt(b)-_
+     1/4*(3*b^2*c^2-10*a*b*c*d+15*a^2*d^2)*atanh(sqrt(c)*_
+     sqrt(a+b*x)/(sqrt(a)*sqrt(c+d*x)))*sqrt(c)/a^(5/2)+1/4*_
+     (3*b*c-5*a*d)*(c+d*x)^(3/2)*sqrt(a+b*x)/(a^2*x)-1/2*(c+d*x)^(5/2)*_
+     sqrt(a+b*x)/(a*x^2)-1/4*d*(3*b*c-7*a*d)*sqrt(a+b*x)*sqrt(c+d*x)/a^2
+--R 
+--R
+--R   (2)
+--R                             +-+ +-------+
+--R         2 2 2 +-+ +-+      \|d \|b x + a
+--R       8a d x \|a \|d atanh(--------------)
+--R                             +-+ +-------+
+--R                            \|b \|d x + c
+--R     + 
+--R                                                      +-+ +-------+
+--R             2 2                 2 2  2 +-+ +-+      \|c \|b x + a
+--R       (- 15a d  + 10a b c d - 3b c )x \|b \|c atanh(--------------)
+--R                                                      +-+ +-------+
+--R                                                     \|a \|d x + c
+--R     + 
+--R                        2         2  +-+ +-+ +-------+ +-------+
+--R       ((- 9a c d + 3b c )x - 2a c )\|a \|b \|b x + a \|d x + c
+--R  /
+--R       2 2 +-+ +-+
+--R     4a x \|a \|b
+--R                                                    Type: Expression(Integer)
+--E  737
+
+--S 738 of 1000 (non-algebraic residues)
+--a0:=integrate(t0,x)
+--E  738
+
+--S 739 of 1000
+--m0:=a0-r0
+--E  739
+
+--S 740 of 1000
+--d0:=D(m0,x)
+--E  740
+
+)clear all
+
+--S 741 of 1000
+t0:=(c+d*x)^(5/2)/(x^4*sqrt(a+b*x))
+--R 
+--R
+--R          2 2             2  +-------+
+--R        (d x  + 2c d x + c )\|d x + c
+--R   (1)  ------------------------------
+--R                  4 +-------+
+--R                 x \|b x + a
+--R                                                    Type: Expression(Integer)
+--E  741
+
+--S 742 of 1000
+r0:=5/8*(b*c-a*d)^3*atanh(sqrt(c)*sqrt(a+b*x)/(sqrt(a)*sqrt(c+d*x)))/_
+     (a^(7/2)*sqrt(c))+5/12*(b*c-a*d)*(c+d*x)^(3/2)*sqrt(a+b*x)/_
+     (a^2*x^2)-1/3*(c+d*x)^(5/2)*sqrt(a+b*x)/(a*x^3)-5/8*(b*c-a*d)^2*_
+     sqrt(a+b*x)*sqrt(c+d*x)/(a^3*x)
+--R 
+--R
+--R   (2)
+--R                                                            +-+ +-------+
+--R             3 3      2     2        2 2       3 3  3      \|c \|b x + a
+--R       (- 15a d  + 45a b c d  - 45a b c d + 15b c )x atanh(--------------)
+--R                                                            +-+ +-------+
+--R                                                           \|a \|d x + c
+--R     + 
+--R                2 2                  2 2  2         2             2       2 2
+--R         ((- 33a d  + 40a b c d - 15b c )x  + (- 26a c d + 10a b c )x - 8a c )
+--R      *
+--R          +-+ +-+ +-------+ +-------+
+--R         \|a \|c \|b x + a \|d x + c
+--R  /
+--R        3 3 +-+ +-+
+--R     24a x \|a \|c
+--R                                                    Type: Expression(Integer)
+--E  742
+
+--S 743 of 1000
+--a0:=integrate(t0,x)
+--E  743
+
+--S 744 of 1000
+--m0:=a0-r0
+--E  744
+
+--S 745 of 1000
+--d0:=D(m0,x)
+--E  745
+
+)clear all
+
+--S 746 of 1000
+t0:=(c+d*x)^(5/2)/(x^5*sqrt(a+b*x))
+--R 
+--R
+--R          2 2             2  +-------+
+--R        (d x  + 2c d x + c )\|d x + c
+--R   (1)  ------------------------------
+--R                  5 +-------+
+--R                 x \|b x + a
+--R                                                    Type: Expression(Integer)
+--E  746
+
+--S 747 of 1000
+r0:=-5/64*(b*c-a*d)^3*(7*b*c+a*d)*atanh(sqrt(c)*sqrt(a+b*x)/(sqrt(a)*_
+     sqrt(c+d*x)))/(a^(9/2)*c^(3/2))+1/24*(7*b*c-5*a*d)*(c+d*x)^(3/2)*_
+     sqrt(a+b*x)/(a^2*x^3)-1/4*(c+d*x)^(5/2)*sqrt(a+b*x)/(a*x^4)-_
+     1/96*(35*b^2*c^2-58*a*b*c*d+15*a^2*d^2)*sqrt(a+b*x)*sqrt(c+d*x)/_
+     (a^3*x^2)+1/192*(105*b^3*c^3-265*a*b^2*c^2*d+191*a^2*b*c*d^2-_
+     15*a^3*d^3)*sqrt(a+b*x)*sqrt(c+d*x)/(a^4*c*x)
+--R 
+--R
+--R   (2)
+--R             4 4      3     3       2 2 2 2         3 3        4 4  4
+--R         (15a d  + 60a b c d  - 270a b c d  + 300a b c d - 105b c )x
+--R      *
+--R                +-+ +-------+
+--R               \|c \|b x + a
+--R         atanh(--------------)
+--R                +-+ +-------+
+--R               \|a \|d x + c
+--R     + 
+--R                 3 3       2     2         2 2        3 3  3
+--R           (- 15a d  + 191a b c d  - 265a b c d + 105b c )x
+--R         + 
+--R                  3   2       2   2         2 3  2          3 2       2   3
+--R           (- 118a c d  + 172a b c d - 70a b c )x  + (- 136a c d + 56a b c )x
+--R         + 
+--R                3 3
+--R           - 48a c
+--R      *
+--R          +-+ +-+ +-------+ +-------+
+--R         \|a \|c \|b x + a \|d x + c
+--R  /
+--R         4   4 +-+ +-+
+--R     192a c x \|a \|c
+--R                                                    Type: Expression(Integer)
+--E  747
+
+--S 748 of 1000
+--a0:=integrate(t0,x)
+--E  748
+
+--S 749 of 1000
+--m0:=a0-r0
+--E  749
+
+--S 750 of 1000
+--d0:=D(m0,x)
+--E  750
+
+)clear all
+
+--S 751 of 1000
+t0:=(c+d*x)^(5/2)/(x^6*sqrt(a+b*x))
+--R 
+--R
+--R          2 2             2  +-------+
+--R        (d x  + 2c d x + c )\|d x + c
+--R   (1)  ------------------------------
+--R                  6 +-------+
+--R                 x \|b x + a
+--R                                                    Type: Expression(Integer)
+--E  751
+
+--S 752 of 1000
+r0:=1/128*(b*c-a*d)^3*(63*b^2*c^2+14*a*b*c*d+3*a^2*d^2)*atanh(sqrt(c)*_
+     sqrt(a+b*x)/(sqrt(a)*sqrt(c+d*x)))/(a^(11/2)*c^(5/2))+_
+     1/40*(9*b*c-5*a*d)*(c+d*x)^(3/2)*sqrt(a+b*x)/(a^2*x^4)-_
+     1/5*(c+d*x)^(5/2)*sqrt(a+b*x)/(a*x^5)-1/240*(63*b^2*c^2-_
+     94*a*b*c*d+15*a^2*d^2)*sqrt(a+b*x)*sqrt(c+d*x)/(a^3*x^3)+_
+     1/960*(315*b^3*c^3-749*a*b^2*c^2*d+481*a^2*b*c*d^2-_
+     15*a^3*d^3)*sqrt(a+b*x)*sqrt(c+d*x)/(a^4*c*x^2)-_
+     1/1920*(945*b^4*c^4-2310*a*b^3*c^3*d+1564*a^2*b^2*c^2*d^2-_
+     90*a^3*b*c*d^3-45*a^4*d^4)*sqrt(a+b*x)*sqrt(c+d*x)/(a^5*c^2*x)
+--R 
+--R
+--R   (2)
+--R                5 5      4     4       3 2 2 3        2 3 3 2          4 4
+--R           - 45a d  - 75a b c d  - 450a b c d  + 2250a b c d  - 2625a b c d
+--R         + 
+--R               5 5
+--R           945b c
+--R      *
+--R                  +-+ +-------+
+--R          5      \|c \|b x + a
+--R         x atanh(--------------)
+--R                  +-+ +-------+
+--R                 \|a \|d x + c
+--R     + 
+--R               4 4      3     3        2 2 2 2          3 3        4 4  4
+--R           (45a d  + 90a b c d  - 1564a b c d  + 2310a b c d - 945b c )x
+--R         + 
+--R                 4   3       3   2 2        2 2 3          3 4  3
+--R           (- 30a c d  + 962a b c d  - 1498a b c d + 630a b c )x
+--R         + 
+--R                  4 2 2        3   3        2 2 4  2
+--R           (- 744a c d  + 1184a b c d - 504a b c )x
+--R         + 
+--R                   4 3        3   4         4 4
+--R           (- 1008a c d + 432a b c )x - 384a c
+--R      *
+--R          +-+ +-+ +-------+ +-------+
+--R         \|a \|c \|b x + a \|d x + c
+--R  /
+--R          5 2 5 +-+ +-+
+--R     1920a c x \|a \|c
+--R                                                    Type: Expression(Integer)
+--E  752
+
+--S 753 of 1000
+--a0:=integrate(t0,x)
+--E  753
+
+--S 754 of 1000
+--m0:=a0-r0
+--E  754
+
+--S 755 of 1000
+--d0:=D(m0,x)
+--E  755
+
+)clear all
+
+--S 756 of 1000
+t0:=x^3/(sqrt(a+b*x)*sqrt(c+d*x))
+--R 
+--R
+--R                  3
+--R                 x
+--R   (1)  --------------------
+--R         +-------+ +-------+
+--R        \|b x + a \|d x + c
+--R                                                    Type: Expression(Integer)
+--E  756
+
+--S 757 of 1000
+r0:=1/8*(b*c+a*d)*(12*a*b*c*d-5*(b*c+a*d)^2)*atanh(sqrt(d)*sqrt(a+b*x)/_
+     (sqrt(b)*sqrt(c+d*x)))/(b^(7/2)*d^(7/2))-1/24*(16*a*b*c*d-_
+     15*(b*c+a*d)^2)*sqrt(a+b*x)*sqrt(c+d*x)/(b^3*d^3)-5/12*(b*c+a*d)*_
+     x*sqrt(a+b*x)*sqrt(c+d*x)/(b^2*d^2)+1/3*x^2*sqrt(a+b*x)*sqrt(c+d*x)/(b*d)
+--R 
+--R
+--R   (2)
+--R                                                        +-+ +-------+
+--R             3 3     2     2       2 2       3 3       \|d \|b x + a
+--R       (- 15a d  - 9a b c d  - 9a b c d - 15b c )atanh(--------------)
+--R                                                        +-+ +-------+
+--R                                                       \|b \|d x + c
+--R     + 
+--R            2 2 2             2      2           2 2                  2 2  +-+
+--R         (8b d x  + (- 10a b d  - 10b c d)x + 15a d  + 14a b c d + 15b c )\|b
+--R      *
+--R          +-+ +-------+ +-------+
+--R         \|d \|b x + a \|d x + c
+--R  /
+--R        3 3 +-+ +-+
+--R     24b d \|b \|d
+--R                                                    Type: Expression(Integer)
+--E  757
+
+--S 758 of 1000
+--a0:=integrate(t0,x)
+--E  758
+
+--S 759 of 1000
+--m0:=a0-r0
+--E  759
+
+--S 760 of 1000
+--d0:=D(m0,x)
+--E  760
+
+)clear all
+
+--S 761 of 1000
+t0:=x^2/(sqrt(a+b*x)*sqrt(c+d*x))
+--R 
+--R
+--R                  2
+--R                 x
+--R   (1)  --------------------
+--R         +-------+ +-------+
+--R        \|b x + a \|d x + c
+--R                                                    Type: Expression(Integer)
+--E  761
+
+--S 762 of 1000
+r0:=-1/4*(4*a*b*c*d-3*(b*c+a*d)^2)*atanh(sqrt(d)*sqrt(a+b*x)/_
+     (sqrt(b)*sqrt(c+d*x)))/(b^(5/2)*d^(5/2))-3/4*(b*c+a*d)*_
+     sqrt(a+b*x)*sqrt(c+d*x)/(b^2*d^2)+1/2*x*sqrt(a+b*x)*_
+     sqrt(c+d*x)/(b*d)
+--R 
+--R
+--R   (2)
+--R                                        +-+ +-------+
+--R          2 2                2 2       \|d \|b x + a
+--R       (3a d  + 2a b c d + 3b c )atanh(--------------)
+--R                                        +-+ +-------+
+--R                                       \|b \|d x + c
+--R     + 
+--R                              +-+ +-+ +-------+ +-------+
+--R       (2b d x - 3a d - 3b c)\|b \|d \|b x + a \|d x + c
+--R  /
+--R       2 2 +-+ +-+
+--R     4b d \|b \|d
+--R                                                    Type: Expression(Integer)
+--E  762
+
+--S 763 of 1000
+--a0:=integrate(t0,x)
+--E  763
+
+--S 764 of 1000
+--m0:=a0-r0
+--E  764
+
+--S 765 of 1000
+--d0:=D(m0,x)
+--E  765
+
+)clear all
+
+--S 766 of 1000
+t0:=x/(sqrt(a+b*x)*sqrt(c+d*x))
+--R 
+--R
+--R                  x
+--R   (1)  --------------------
+--R         +-------+ +-------+
+--R        \|b x + a \|d x + c
+--R                                                    Type: Expression(Integer)
+--E  766
+
+--S 767 of 1000
+r0:=-(b*c+a*d)*atanh(sqrt(d)*sqrt(a+b*x)/(sqrt(b)*sqrt(c+d*x)))/(b^(3/2)*_
+     d^(3/2))+sqrt(a+b*x)*sqrt(c+d*x)/(b*d)
+--R 
+--R
+--R                            +-+ +-------+
+--R                           \|d \|b x + a      +-+ +-+ +-------+ +-------+
+--R        (- a d - b c)atanh(--------------) + \|b \|d \|b x + a \|d x + c
+--R                            +-+ +-------+
+--R                           \|b \|d x + c
+--R   (2)  -----------------------------------------------------------------
+--R                                       +-+ +-+
+--R                                   b d\|b \|d
+--R                                                    Type: Expression(Integer)
+--E  767
+
+--S 768 of 1000
+--a0:=integrate(t0,x)
+--E  768
+
+--S 769 of 1000
+--m0:=a0-r0
+--E  769
+
+--S 770 of 1000
+--d0:=D(m0,x)
+--E  770
+
+)clear all
+
+--S 771 of 1000
+t0:=1/(sqrt(a+b*x)*sqrt(c+d*x))
+--R 
+--R
+--R                  1
+--R   (1)  --------------------
+--R         +-------+ +-------+
+--R        \|b x + a \|d x + c
+--R                                                    Type: Expression(Integer)
+--E  771
+
+--S 772 of 1000
+r0:=2*atanh(sqrt(d)*sqrt(a+b*x)/(sqrt(b)*sqrt(c+d*x)))/(sqrt(b)*sqrt(d))
+--R 
+--R
+--R                +-+ +-------+
+--R               \|d \|b x + a
+--R        2atanh(--------------)
+--R                +-+ +-------+
+--R               \|b \|d x + c
+--R   (2)  ----------------------
+--R                +-+ +-+
+--R               \|b \|d
+--R                                                    Type: Expression(Integer)
+--E  772
+
+--S 773 of 1000
+--a0:=integrate(t0,x)
+--E  773
+
+--S 774 of 1000
+--m0:=a0-r0
+--E  774
+
+--S 775 of 1000
+--d0:=D(m0,x)
+--E  775
+
+)clear all
+
+--S 776 of 1000
+t0:=1/(x*sqrt(a+b*x)*sqrt(c+d*x))
+--R 
+--R
+--R                  1
+--R   (1)  ---------------------
+--R          +-------+ +-------+
+--R        x\|b x + a \|d x + c
+--R                                                    Type: Expression(Integer)
+--E  776
+
+--S 777 of 1000
+r0:=-2*atanh(sqrt(c)*sqrt(a+b*x)/(sqrt(a)*sqrt(c+d*x)))/(sqrt(a)*sqrt(c))
+--R 
+--R
+--R                  +-+ +-------+
+--R                 \|c \|b x + a
+--R          2atanh(--------------)
+--R                  +-+ +-------+
+--R                 \|a \|d x + c
+--R   (2)  - ----------------------
+--R                  +-+ +-+
+--R                 \|a \|c
+--R                                                    Type: Expression(Integer)
+--E  777
+
+--S 778 of 1000
+--a0:=integrate(t0,x)
+--E  778
+
+--S 779 of 1000
+--m0:=a0-r0
+--E  779
+
+--S 780 of 1000
+--d0:=D(m0,x)
+--E  780
+
+)clear all
+
+--S 781 of 1000
+t0:=1/(x^2*sqrt(a+b*x)*sqrt(c+d*x))
+--R 
+--R
+--R                   1
+--R   (1)  ----------------------
+--R         2 +-------+ +-------+
+--R        x \|b x + a \|d x + c
+--R                                                    Type: Expression(Integer)
+--E  781
+
+--S 782 of 1000
+r0:=(b*c+a*d)*atanh(sqrt(c)*sqrt(a+b*x)/(sqrt(a)*sqrt(c+d*x)))/_
+     (a^(3/2)*c^(3/2))-sqrt(a+b*x)*sqrt(c+d*x)/(a*c*x)
+--R 
+--R
+--R                            +-+ +-------+
+--R                           \|c \|b x + a      +-+ +-+ +-------+ +-------+
+--R        (a d + b c)x atanh(--------------) - \|a \|c \|b x + a \|d x + c
+--R                            +-+ +-------+
+--R                           \|a \|d x + c
+--R   (2)  -----------------------------------------------------------------
+--R                                        +-+ +-+
+--R                                  a c x\|a \|c
+--R                                                    Type: Expression(Integer)
+--E  782
+
+--S 783 of 1000
+--a0:=integrate(t0,x)
+--E  783
+
+--S 784 of 1000
+--m0:=a0-r0
+--E  784
+
+--S 785 of 1000
+--d0:=D(m0,x)
+--E  785
+
+)clear all
+
+--S 786 of 1000
+t0:=1/(x^3*sqrt(a+b*x)*sqrt(c+d*x))
+--R 
+--R
+--R                   1
+--R   (1)  ----------------------
+--R         3 +-------+ +-------+
+--R        x \|b x + a \|d x + c
+--R                                                    Type: Expression(Integer)
+--E  786
+
+--S 787 of 1000
+r0:=-1/4*(3*b^2*c^2+2*a*b*c*d+3*a^2*d^2)*atanh(sqrt(c)*sqrt(a+b*x)/_
+     (sqrt(a)*sqrt(c+d*x)))/(a^(5/2)*c^(5/2))-1/2*sqrt(a+b*x)*_
+     sqrt(c+d*x)/(a*c*x^2)+3/4*(b*c+a*d)*sqrt(a+b*x)*sqrt(c+d*x)/(a^2*c^2*x)
+--R 
+--R
+--R   (2)
+--R                                            +-+ +-------+
+--R            2 2                2 2  2      \|c \|b x + a
+--R       (- 3a d  - 2a b c d - 3b c )x atanh(--------------)
+--R                                            +-+ +-------+
+--R                                           \|a \|d x + c
+--R     + 
+--R                               +-+ +-+ +-------+ +-------+
+--R       ((3a d + 3b c)x - 2a c)\|a \|c \|b x + a \|d x + c
+--R  /
+--R       2 2 2 +-+ +-+
+--R     4a c x \|a \|c
+--R                                                    Type: Expression(Integer)
+--E  787
+
+--S 788 of 1000
+--a0:=integrate(t0,x)
+--E  788
+
+--S 789 of 1000
+--m0:=a0-r0
+--E  789
+
+--S 790 of 1000
+--d0:=D(m0,x)
+--E  790
+
+)clear all
+
+--S 791 of 1000
+t0:=1/(x^4*sqrt(a+b*x)*sqrt(c+d*x))
+--R 
+--R
+--R                   1
+--R   (1)  ----------------------
+--R         4 +-------+ +-------+
+--R        x \|b x + a \|d x + c
+--R                                                    Type: Expression(Integer)
+--E  791
+
+--S 792 of 1000
+r0:=1/8*(b*c+a*d)*(5*b^2*c^2-2*a*b*c*d+5*a^2*d^2)*atanh(sqrt(c)*_
+     sqrt(a+b*x)/(sqrt(a)*sqrt(c+d*x)))/(a^(7/2)*c^(7/2))-_
+     1/3*sqrt(a+b*x)*sqrt(c+d*x)/(a*c*x^3)+5/12*(b*c+a*d)*sqrt(a+b*x)*_
+     sqrt(c+d*x)/(a^2*c^2*x^2)-1/24*(15*b^2*c^2+14*a*b*c*d+15*a^2*d^2)*_
+     sqrt(a+b*x)*sqrt(c+d*x)/(a^3*c^3*x)
+--R 
+--R
+--R   (2)
+--R                                                        +-+ +-------+
+--R           3 3     2     2       2 2       3 3  3      \|c \|b x + a
+--R       (15a d  + 9a b c d  + 9a b c d + 15b c )x atanh(--------------)
+--R                                                        +-+ +-------+
+--R                                                       \|a \|d x + c
+--R     + 
+--R                2 2                  2 2  2       2             2       2 2  +-+
+--R         ((- 15a d  - 14a b c d - 15b c )x  + (10a c d + 10a b c )x - 8a c )\|a
+--R      *
+--R          +-+ +-------+ +-------+
+--R         \|c \|b x + a \|d x + c
+--R  /
+--R        3 3 3 +-+ +-+
+--R     24a c x \|a \|c
+--R                                                    Type: Expression(Integer)
+--E  792
+
+--S 793 of 1000
+--a0:=integrate(t0,x)
+--E  793
+
+--S 794 of 1000
+--m0:=a0-r0
+--E  794
+
+--S 795 of 1000
+--d0:=D(m0,x)
+--E  795
+
+)clear all
+
+--S 796 of 1000
+t0:=x^3/((c+d*x)^(3/2)*sqrt(a+b*x))
+--R 
+--R
+--R                       3
+--R                      x
+--R   (1)  -----------------------------
+--R                  +-------+ +-------+
+--R        (d x + c)\|b x + a \|d x + c
+--R                                                    Type: Expression(Integer)
+--E  796
+
+--S 797 of 1000
+r0:=3/4*(5*b^2*c^2+2*a*b*c*d+a^2*d^2)*atanh(sqrt(d)*sqrt(a+b*x)/_
+     (sqrt(b)*sqrt(c+d*x)))/(b^(5/2)*d^(7/2))+1/2*x^2*sqrt(a+b*x)/_
+     (b*d*sqrt(c+d*x))+1/2*c*(4*a*c+(5*b*c+3*a*d)*x)*sqrt(a+b*x)/_
+     (b*d^2*(b*c-a*d)*sqrt(c+d*x))-1/4*(3*b*c-a*d)*(5*b*c+3*a*d)*_
+     sqrt(a+b*x)*sqrt(c+d*x)/(b^2*d^3*(b*c-a*d))
+--R 
+--R
+--R   (2)
+--R                                                               +-+ +-------+
+--R          3 3     2     2       2 2       3 3  +-------+      \|d \|b x + a
+--R       (3a d  + 3a b c d  + 9a b c d - 15b c )\|d x + c atanh(--------------)
+--R                                                               +-+ +-------+
+--R                                                              \|b \|d x + c
+--R     + 
+--R                  3     2   2  2        2 3           2     2 2        2   2
+--R           (2a b d  - 2b c d )x  + (- 3a d  - 2a b c d  + 5b c d)x - 3a c d
+--R         + 
+--R                   2       2 3
+--R           - 4a b c d + 15b c
+--R      *
+--R          +-+ +-+ +-------+
+--R         \|b \|d \|b x + a
+--R  /
+--R          2 4     3   3  +-+ +-+ +-------+
+--R     (4a b d  - 4b c d )\|b \|d \|d x + c
+--R                                                    Type: Expression(Integer)
+--E  797
+
+--S 798 of 1000
+--a0:=integrate(t0,x)
+--E  798
+
+--S 799 of 1000
+--m0:=a0-r0
+--E  799
+
+--S 800 of 1000
+--d0:=D(m0,x)
+--E  800
+
+)clear all
+
+--S 801 of 1000
+t0:=x^2/((c+d*x)^(3/2)*sqrt(a+b*x))
+--R 
+--R
+--R                       2
+--R                      x
+--R   (1)  -----------------------------
+--R                  +-------+ +-------+
+--R        (d x + c)\|b x + a \|d x + c
+--R                                                    Type: Expression(Integer)
+--E  801
+
+--S 802 of 1000
+r0:=-(3*b*c+a*d)*atanh(sqrt(d)*sqrt(a+b*x)/(sqrt(b)*sqrt(c+d*x)))/_
+     (b^(3/2)*d^(5/2))+2*c^2*sqrt(a+b*x)/(d^2*(b*c-a*d)*sqrt(c+d*x))+_
+     sqrt(a+b*x)*sqrt(c+d*x)/(b*d^2)
+--R 
+--R
+--R   (2)
+--R                                                   +-+ +-------+
+--R           2 2                2 2  +-------+      \|d \|b x + a
+--R       (- a d  - 2a b c d + 3b c )\|d x + c atanh(--------------)
+--R                                                   +-+ +-------+
+--R                                                  \|b \|d x + c
+--R     + 
+--R            2                         2  +-+ +-+ +-------+
+--R       ((a d  - b c d)x + a c d - 3b c )\|b \|d \|b x + a
+--R  /
+--R           3    2   2  +-+ +-+ +-------+
+--R     (a b d  - b c d )\|b \|d \|d x + c
+--R                                                    Type: Expression(Integer)
+--E  802
+
+--S 803 of 1000
+--a0:=integrate(t0,x)
+--E  803
+
+--S 804 of 1000
+--m0:=a0-r0
+--E  804
+
+--S 805 of 1000
+--d0:=D(m0,x)
+--E  805
+
+)clear all
+
+--S 806 of 1000
+t0:=x/((c+d*x)^(3/2)*sqrt(a+b*x))
+--R 
+--R
+--R                      x
+--R   (1)  -----------------------------
+--R                  +-------+ +-------+
+--R        (d x + c)\|b x + a \|d x + c
+--R                                                    Type: Expression(Integer)
+--E  806
+
+--S 807 of 1000
+r0:=2*atanh(sqrt(d)*sqrt(a+b*x)/(sqrt(b)*sqrt(c+d*x)))/(d^(3/2)*sqrt(b))-_
+     2*c*sqrt(a+b*x)/(d*(b*c-a*d)*sqrt(c+d*x))
+--R 
+--R
+--R                                      +-+ +-------+
+--R                      +-------+      \|d \|b x + a        +-+ +-+ +-------+
+--R        (2a d - 2b c)\|d x + c atanh(--------------) + 2c\|b \|d \|b x + a
+--R                                      +-+ +-------+
+--R                                     \|b \|d x + c
+--R   (2)  -------------------------------------------------------------------
+--R                              2          +-+ +-+ +-------+
+--R                          (a d  - b c d)\|b \|d \|d x + c
+--R                                                    Type: Expression(Integer)
+--E  807
+
+--S 808 of 1000
+--a0:=integrate(t0,x)
+--E  808
+
+--S 809 of 1000
+--m0:=a0-r0
+--E  809
+
+--S 810 of 1000
+--d0:=D(m0,x)
+--E  810
+
+)clear all
+
+--S 811 of 1000
+t0:=1/((c+d*x)^(3/2)*sqrt(a+b*x))
+--R 
+--R
+--R                      1
+--R   (1)  -----------------------------
+--R                  +-------+ +-------+
+--R        (d x + c)\|b x + a \|d x + c
+--R                                                    Type: Expression(Integer)
+--E  811
+
+--S 812 of 1000
+r0:=2*sqrt(a+b*x)/((b*c-a*d)*sqrt(c+d*x))
+--R 
+--R
+--R                 +-------+
+--R               2\|b x + a
+--R   (2)  - ---------------------
+--R                      +-------+
+--R          (a d - b c)\|d x + c
+--R                                                    Type: Expression(Integer)
+--E  812
+
+--S 813 of 1000 ok to fail, differs by a constant
+a0:=integrate(t0,x)
+--R 
+--R
+--R             +-------+ +-------+                    2
+--R        - 4c\|b x + a \|d x + c  + (- c - 4a)d x - c  - 4a c
+--R   (3)  ----------------------------------------------------
+--R                       2       2          2        3
+--R                (2a c d  - 2b c d)x + 2a c d - 2b c
+--R                                         Type: Union(Expression(Integer),...)
+--E  813
+
+--S 814 of 1000 ok to fail, differs by a constant
+m0:=a0-r0
+--R 
+--R
+--R           - c - 4a
+--R   (4)  --------------
+--R                     2
+--R        2a c d - 2b c
+--R                                                    Type: Expression(Integer)
+--E  814
+
+--S 815 of 1000
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E  815
+
+)clear all
+
+--S 816 of 1000
+t0:=1/(x*(c+d*x)^(3/2)*sqrt(a+b*x))
+--R 
+--R
+--R                        1
+--R   (1)  --------------------------------
+--R            2        +-------+ +-------+
+--R        (d x  + c x)\|b x + a \|d x + c
+--R                                                    Type: Expression(Integer)
+--E  816
+
+--S 817 of 1000
+r0:=-2*atanh(sqrt(c)*sqrt(a+b*x)/(sqrt(a)*sqrt(c+d*x)))/(c^(3/2)*sqrt(a))-_
+     2*d*sqrt(a+b*x)/(c*(b*c-a*d)*sqrt(c+d*x))
+--R 
+--R
+--R                                        +-+ +-------+
+--R                        +-------+      \|c \|b x + a        +-+ +-+ +-------+
+--R        (- 2a d + 2b c)\|d x + c atanh(--------------) + 2d\|a \|c \|b x + a
+--R                                        +-+ +-------+
+--R                                       \|a \|d x + c
+--R   (2)  ---------------------------------------------------------------------
+--R                                       2  +-+ +-+ +-------+
+--R                           (a c d - b c )\|a \|c \|d x + c
+--R                                                    Type: Expression(Integer)
+--E  817
+
+--S 818 of 1000
+--a0:=integrate(t0,x)
+--E  818
+
+--S 819 of 1000
+--m0:=a0-r0
+--E  819
+
+--S 820 of 1000
+--d0:=D(m0,x)
+--E  820
+
+)clear all
+
+--S 821 of 1000
+t0:=1/(x^2*(c+d*x)^(3/2)*sqrt(a+b*x))
+--R 
+--R
+--R                        1
+--R   (1)  ---------------------------------
+--R            3      2  +-------+ +-------+
+--R        (d x  + c x )\|b x + a \|d x + c
+--R                                                    Type: Expression(Integer)
+--E  821
+
+--S 822 of 1000
+r0:=(b*c+3*a*d)*atanh(sqrt(c)*sqrt(a+b*x)/(sqrt(a)*sqrt(c+d*x)))/_
+     (a^(3/2)*c^(5/2))-d*(b*c-3*a*d)*sqrt(a+b*x)/(a*c^2*(b*c-a*d)*_
+     sqrt(c+d*x))-sqrt(a+b*x)/(a*c*x*sqrt(c+d*x))
+--R 
+--R
+--R   (2)
+--R                                                  +-+ +-------+
+--R          2 2               2 2   +-------+      \|c \|b x + a
+--R       (3a d  - 2a b c d - b c )x\|d x + c atanh(--------------)
+--R                                                  +-+ +-------+
+--R                                                 \|a \|d x + c
+--R     + 
+--R               2                        2  +-+ +-+ +-------+
+--R       ((- 3a d  + b c d)x - a c d + b c )\|a \|c \|b x + a
+--R  /
+--R       2 2         3   +-+ +-+ +-------+
+--R     (a c d - a b c )x\|a \|c \|d x + c
+--R                                                    Type: Expression(Integer)
+--E  822
+
+--S 823 of 1000
+--a0:=integrate(t0,x)
+--E  823
+
+--S 824 of 1000
+--m0:=a0-r0
+--E  824
+
+--S 825 of 1000
+--d0:=D(m0,x)
+--E  825
+
+)clear all
+
+--S 826 of 1000
+t0:=1/(x^3*(c+d*x)^(3/2)*sqrt(a+b*x))
+--R 
+--R
+--R                        1
+--R   (1)  ---------------------------------
+--R            4      3  +-------+ +-------+
+--R        (d x  + c x )\|b x + a \|d x + c
+--R                                                    Type: Expression(Integer)
+--E  826
+
+--S 827 of 1000
+r0:=-3/4*(b^2*c^2+2*a*b*c*d+5*a^2*d^2)*atanh(sqrt(c)*sqrt(a+b*x)/_
+     (sqrt(a)*sqrt(c+d*x)))/(a^(5/2)*c^(7/2))+1/4*d*(3*b*c-5*a*d)*_
+     (b*c+3*a*d)*sqrt(a+b*x)/(a^2*c^3*(b*c-a*d)*sqrt(c+d*x))-_
+     1/2*sqrt(a+b*x)/(a*c*x^2*sqrt(c+d*x))+1/4*(3*b*c+5*a*d)*_
+     sqrt(a+b*x)/(a^2*c^2*x*sqrt(c+d*x))
+--R 
+--R
+--R   (2)
+--R               3 3     2     2       2 2      3 3  2 +-------+
+--R         (- 15a d  + 9a b c d  + 3a b c d + 3b c )x \|d x + c
+--R      *
+--R                +-+ +-------+
+--R               \|c \|b x + a
+--R         atanh(--------------)
+--R                +-+ +-------+
+--R               \|a \|d x + c
+--R     + 
+--R               2 3           2     2 2   2      2   2         2      2 3
+--R           (15a d  - 4a b c d  - 3b c d)x  + (5a c d  - 2a b c d - 3b c )x
+--R         + 
+--R               2 2          3
+--R           - 2a c d + 2a b c
+--R      *
+--R          +-+ +-+ +-------+
+--R         \|a \|c \|b x + a
+--R  /
+--R        3 3      2   4  2 +-+ +-+ +-------+
+--R     (4a c d - 4a b c )x \|a \|c \|d x + c
+--R                                                    Type: Expression(Integer)
+--E  827
+
+--S 828 of 1000
+--a0:=integrate(t0,x)
+--E  828
+
+--S 829 of 1000
+--m0:=a0-r0
+--E  829
+
+--S 830 of 1000
+--d0:=D(m0,x)
+--E  830
+
+)clear all
+
+--S 831 of 1000
+t0:=x^4/((c+d*x)^(5/2)*sqrt(a+b*x))
+--R 
+--R
+--R                            4
+--R                           x
+--R   (1)  ----------------------------------------
+--R          2 2             2  +-------+ +-------+
+--R        (d x  + 2c d x + c )\|b x + a \|d x + c
+--R                                                    Type: Expression(Integer)
+--E  831
+
+--S 832 of 1000
+r0:=1/4*(35*b^2*c^2+10*a*b*c*d+3*a^2*d^2)*atanh(sqrt(d)*sqrt(a+b*x)/_
+     (sqrt(b)*sqrt(c+d*x)))/(b^(5/2)*d^(9/2))+1/6*c*(7*b*c-3*a*d)*x^2*_
+     sqrt(a+b*x)/(b*d^2*(b*c-a*d)*(c+d*x)^(3/2))+1/2*x^3*sqrt(a+b*x)/_
+     (b*d*(c+d*x)^(3/2))+1/6*c*(4*a*c*(7*b*c-3*a*d)+(35*b^2*c^2-_
+     18*a*b*c*d-9*a^2*d^2)*x)*sqrt(a+b*x)/(b*d^3*(b*c-a*d)^2*sqrt(c+d*x))-_
+     1/12*(3*b*c-a*d)*(35*b^2*c^2-18*a*b*c*d-9*a^2*d^2)*sqrt(a+b*x)*_
+     sqrt(c+d*x)/(b^2*d^4*(b*c-a*d)^2)
+--R 
+--R
+--R   (2)
+--R              4 5      3     4      2 2 2 3         3 3 2       4 4        4   4
+--R           (9a d  + 12a b c d  + 54a b c d  - 180a b c d  + 105b c d)x + 9a c d
+--R         + 
+--R              3   2 3      2 2 3 2         3 4        4 5
+--R           12a b c d  + 54a b c d  - 180a b c d + 105b c
+--R      *
+--R                          +-+ +-------+
+--R          +-------+      \|d \|b x + a
+--R         \|d x + c atanh(--------------)
+--R                          +-+ +-------+
+--R                         \|b \|d x + c
+--R     + 
+--R              2   5        2   4     3 2 3  3
+--R           (6a b d  - 12a b c d  + 6b c d )x
+--R         + 
+--R                3 5     2     4        2 2 3      3 3 2  2
+--R           (- 9a d  - 3a b c d  + 33a b c d  - 21b c d )x
+--R         + 
+--R                 3   4      2   2 3         2 3 2       3 4        3 2 3
+--R           (- 18a c d  - 24a b c d  + 198a b c d  - 140b c d)x - 9a c d
+--R         + 
+--R                2   3 2         2 4        3 5
+--R           - 15a b c d  + 145a b c d - 105b c
+--R      *
+--R          +-+ +-+ +-------+
+--R         \|b \|d \|b x + a
+--R  /
+--R               2 2 7        3   6      4 2 5        2 2   6        3 2 5
+--R           (12a b d  - 24a b c d  + 12b c d )x + 12a b c d  - 24a b c d
+--R         + 
+--R              4 3 4
+--R           12b c d
+--R    *
+--R        +-+ +-+ +-------+
+--R       \|b \|d \|d x + c
+--R                                                    Type: Expression(Integer)
+--E  832
+
+--S 833 of 1000
+--a0:=integrate(t0,x)
+--E  833
+
+--S 834 of 1000
+--m0:=a0-r0
+--E  834
+
+--S 835 of 1000
+--d0:=D(m0,x)
+--E  835
+
+)clear all
+
+--S 836 of 1000
+t0:=x^3/((c+d*x)^(5/2)*sqrt(a+b*x))
+--R 
+--R
+--R                            3
+--R                           x
+--R   (1)  ----------------------------------------
+--R          2 2             2  +-------+ +-------+
+--R        (d x  + 2c d x + c )\|b x + a \|d x + c
+--R                                                    Type: Expression(Integer)
+--E  836
+
+--S 837 of 1000
+r0:=-(5*b*c+a*d)*atanh(sqrt(d)*sqrt(a+b*x)/(sqrt(b)*sqrt(c+d*x)))/_
+     (b^(3/2)*d^(7/2))+x^2*sqrt(a+b*x)/(b*d*(c+d*x)^(3/2))+_
+     1/3*c*(4*a*c+(5*b*c+a*d)*x)*sqrt(a+b*x)/(b*d^2*(b*c-a*d)*_
+     (c+d*x)^(3/2))+1/3*c*(5*b*c-7*a*d)*(3*b*c-a*d)*sqrt(a+b*x)/_
+     (b*d^3*(b*c-a*d)^2*sqrt(c+d*x))
+--R 
+--R
+--R   (2)
+--R                3 4     2     3        2 2 2      3 3        3   3     2   2 2
+--R           (- 3a d  - 9a b c d  + 27a b c d  - 15b c d)x - 3a c d  - 9a b c d
+--R         + 
+--R                2 3       3 4
+--R           27a b c d - 15b c
+--R      *
+--R                          +-+ +-------+
+--R          +-------+      \|d \|b x + a
+--R         \|d x + c atanh(--------------)
+--R                          +-+ +-------+
+--R                         \|b \|d x + c
+--R     + 
+--R              2 4           3     2 2 2  2      2   3          2 2      2 3
+--R           (3a d  - 6a b c d  + 3b c d )x  + (6a c d  - 30a b c d  + 20b c d)x
+--R         + 
+--R             2 2 2          3       2 4
+--R           3a c d  - 22a b c d + 15b c
+--R      *
+--R          +-+ +-+ +-------+
+--R         \|b \|d \|b x + a
+--R  /
+--R           2   6       2   5     3 2 4       2     5       2 2 4     3 3 3  +-+
+--R       ((3a b d  - 6a b c d  + 3b c d )x + 3a b c d  - 6a b c d  + 3b c d )\|b
+--R    *
+--R        +-+ +-------+
+--R       \|d \|d x + c
+--R                                                    Type: Expression(Integer)
+--E  837
+
+--S 838 of 1000
+--a0:=integrate(t0,x)
+--E  838
+
+--S 839 of 1000
+--m0:=a0-r0
+--E  839
+
+--S 840 of 1000
+--d0:=D(m0,x)
+--E  840
+
+)clear all
+
+--S 841 of 1000
+t0:=x^2/((c+d*x)^(5/2)*sqrt(a+b*x))
+--R 
+--R
+--R                            2
+--R                           x
+--R   (1)  ----------------------------------------
+--R          2 2             2  +-------+ +-------+
+--R        (d x  + 2c d x + c )\|b x + a \|d x + c
+--R                                                    Type: Expression(Integer)
+--E  841
+
+--S 842 of 1000
+r0:=2*atanh(sqrt(d)*sqrt(a+b*x)/(sqrt(b)*sqrt(c+d*x)))/(d^(5/2)*sqrt(b))+_
+     2/3*c^2*sqrt(a+b*x)/(d^2*(b*c-a*d)*(c+d*x)^(3/2))-_
+     4/3*c*(2*b*c-3*a*d)*sqrt(a+b*x)/(d^2*(b*c-a*d)^2*sqrt(c+d*x))
+--R 
+--R
+--R   (2)
+--R             2 3            2     2 2        2   2          2      2 3
+--R         ((6a d  - 12a b c d  + 6b c d)x + 6a c d  - 12a b c d + 6b c )
+--R      *
+--R                          +-+ +-------+
+--R          +-------+      \|d \|b x + a
+--R         \|d x + c atanh(--------------)
+--R                          +-+ +-------+
+--R                         \|b \|d x + c
+--R     + 
+--R                2       2           2        3  +-+ +-+ +-------+
+--R       ((12a c d  - 8b c d)x + 10a c d - 6b c )\|b \|d \|b x + a
+--R  /
+--R           2 5           4     2 2 3       2   4         2 3     2 3 2  +-+ +-+
+--R       ((3a d  - 6a b c d  + 3b c d )x + 3a c d  - 6a b c d  + 3b c d )\|b \|d
+--R    *
+--R        +-------+
+--R       \|d x + c
+--R                                                    Type: Expression(Integer)
+--E  842
+
+--S 843 of 1000
+--a0:=integrate(t0,x)
+--E  843
+
+--S 844 of 1000
+--m0:=a0-r0
+--E  844
+
+--S 845 of 1000
+--d0:=D(m0,x)
+--E  845
+
+)clear all
+
+--S 846 of 1000
+t0:=x/((c+d*x)^(5/2)*sqrt(a+b*x))
+--R 
+--R
+--R                            x
+--R   (1)  ----------------------------------------
+--R          2 2             2  +-------+ +-------+
+--R        (d x  + 2c d x + c )\|b x + a \|d x + c
+--R                                                    Type: Expression(Integer)
+--E  846
+
+--S 847 of 1000
+r0:=-2/3*c*sqrt(a+b*x)/(d*(b*c-a*d)*(c+d*x)^(3/2))+2/3*(b*c-3*a*d)*_
+     sqrt(a+b*x)/(d*(b*c-a*d)^2*sqrt(c+d*x))
+--R 
+--R
+--R                                                    +-------+
+--R                          ((- 6a d + 2b c)x - 4a c)\|b x + a
+--R   (2)  ----------------------------------------------------------------------
+--R            2 3           2     2 2        2   2         2      2 3  +-------+
+--R        ((3a d  - 6a b c d  + 3b c d)x + 3a c d  - 6a b c d + 3b c )\|d x + c
+--R                                                    Type: Expression(Integer)
+--E  847
+
+--S 848 of 1000 ok to fail, differs by a constant
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R                        2         2  +-------+ +-------+              2  2 2
+--R       ((- 6a c d + 2b c )x - 4a c )\|b x + a \|d x + c  + (- a c - 4a )d x
+--R     + 
+--R              2     2           3     2 2
+--R       (- 2a c  - 8a c)d x - a c  - 4a c
+--R  /
+--R          2   4         2 3     2 3 2  2      2 2 3          3 2     2 4
+--R       (3a c d  - 6a b c d  + 3b c d )x  + (6a c d  - 12a b c d  + 6b c d)x
+--R     + 
+--R         2 3 2         4      2 5
+--R       3a c d  - 6a b c d + 3b c
+--R                                         Type: Union(Expression(Integer),...)
+--E  848
+
+--S 849 of 1000 ok to fail, differs by a constant
+m0:=a0-r0
+--R 
+--R
+--R                          2
+--R                - a c - 4a
+--R   (4)  --------------------------
+--R          2   2         2      2 3
+--R        3a c d  - 6a b c d + 3b c
+--R                                                    Type: Expression(Integer)
+--E  849
+
+--S 850 of 1000
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E  850
+
+)clear all
+
+--S 851 of 1000
+t0:=1/((c+d*x)^(5/2)*sqrt(a+b*x))
+--R 
+--R
+--R                            1
+--R   (1)  ----------------------------------------
+--R          2 2             2  +-------+ +-------+
+--R        (d x  + 2c d x + c )\|b x + a \|d x + c
+--R                                                    Type: Expression(Integer)
+--E  851
+
+--S 852 of 1000
+r0:=2/3*sqrt(a+b*x)/((b*c-a*d)*(c+d*x)^(3/2))+4/3*b*sqrt(a+b*x)/_
+     ((b*c-a*d)^2*sqrt(c+d*x))
+--R 
+--R
+--R                                                  +-------+
+--R                           (4b d x - 2a d + 6b c)\|b x + a
+--R   (2)  ----------------------------------------------------------------------
+--R            2 3           2     2 2        2   2         2      2 3  +-------+
+--R        ((3a d  - 6a b c d  + 3b c d)x + 3a c d  - 6a b c d + 3b c )\|d x + c
+--R                                                    Type: Expression(Integer)
+--E  852
+
+--S 853 of 1000 ok to fail, differs by a constant
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R             2           2         3  +-------+ +-------+
+--R       (20b c d x - 10a c d + 30b c )\|b x + a \|d x + c
+--R     + 
+--R                    2  3        2            2  2
+--R       ((- a c - 25a )d  + (3b c  + 75a b c)d )x
+--R     + 
+--R               2      2   2        3           2             3      2 2
+--R       ((- 2a c  - 50a c)d  + (6b c  + 150a b c )d)x + (- a c  - 25a c )d
+--R     + 
+--R           4          3
+--R       3b c  + 75a b c
+--R  /
+--R           2 2 4          3 3      2 4 2  2       2 3 3          4 2      2 5
+--R       (15a c d  - 30a b c d  + 15b c d )x  + (30a c d  - 60a b c d  + 30b c d)x
+--R     + 
+--R          2 4 2          5       2 6
+--R       15a c d  - 30a b c d + 15b c
+--R                                         Type: Union(Expression(Integer),...)
+--E  853
+
+--S 854 of 1000 ok to fail, differs by a constant
+m0:=a0-r0
+--R 
+--R
+--R                    2         2
+--R        (- a c - 25a )d + 3b c  + 75a b c
+--R   (4)  ---------------------------------
+--R             2 2 2          3       2 4
+--R          15a c d  - 30a b c d + 15b c
+--R                                                    Type: Expression(Integer)
+--E  854
+
+--S 855 of 1000
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E  855
+
+)clear all
+
+--S 856 of 1000
+t0:=1/(x*(c+d*x)^(5/2)*sqrt(a+b*x))
+--R 
+--R
+--R                             1
+--R   (1)  ------------------------------------------
+--R          2 3         2    2   +-------+ +-------+
+--R        (d x  + 2c d x  + c x)\|b x + a \|d x + c
+--R                                                    Type: Expression(Integer)
+--E  856
+
+--S 857 of 1000
+r0:=-2*atanh(sqrt(c)*sqrt(a+b*x)/(sqrt(a)*sqrt(c+d*x)))/(c^(5/2)*sqrt(a))-_
+     2/3*d*sqrt(a+b*x)/(c*(b*c-a*d)*(c+d*x)^(3/2))-_
+     2/3*d*(5*b*c-3*a*d)*sqrt(a+b*x)/(c^2*(b*c-a*d)^2*sqrt(c+d*x))
+--R 
+--R
+--R   (2)
+--R               2 3            2     2 2        2   2          2      2 3
+--R         ((- 6a d  + 12a b c d  - 6b c d)x - 6a c d  + 12a b c d - 6b c )
+--R      *
+--R                          +-+ +-------+
+--R          +-------+      \|c \|b x + a
+--R         \|d x + c atanh(--------------)
+--R                          +-+ +-------+
+--R                         \|a \|d x + c
+--R     + 
+--R             3          2           2        2   +-+ +-+ +-------+
+--R       ((6a d  - 10b c d )x + 8a c d  - 12b c d)\|a \|c \|b x + a
+--R  /
+--R           2 2 3         3 2     2 4        2 3 2         4      2 5  +-+ +-+
+--R       ((3a c d  - 6a b c d  + 3b c d)x + 3a c d  - 6a b c d + 3b c )\|a \|c
+--R    *
+--R        +-------+
+--R       \|d x + c
+--R                                                    Type: Expression(Integer)
+--E  857
+
+--S 858 of 1000
+--a0:=integrate(t0,x)
+--E  858
+
+--S 859 of 1000
+--m0:=a0-r0
+--E  859
+
+--S 860 of 1000
+--d0:=D(m0,x)
+--E  860
+
+)clear all
+
+--S 861 of 1000
+t0:=1/(x^2*(c+d*x)^(5/2)*sqrt(a+b*x))
+--R 
+--R
+--R                             1
+--R   (1)  -------------------------------------------
+--R          2 4         3    2 2  +-------+ +-------+
+--R        (d x  + 2c d x  + c x )\|b x + a \|d x + c
+--R                                                    Type: Expression(Integer)
+--E  861
+
+--S 862 of 1000
+r0:=(b*c+5*a*d)*atanh(sqrt(c)*sqrt(a+b*x)/(sqrt(a)*sqrt(c+d*x)))/_
+     (a^(3/2)*c^(7/2))-1/3*d*(3*b*c-5*a*d)*sqrt(a+b*x)/_
+     (a*c^2*(b*c-a*d)*(c+d*x)^(3/2))-sqrt(a+b*x)/(a*c*x*(c+d*x)^(3/2))-_
+     1/3*d*(3*b^2*c^2-22*a*b*c*d+15*a^2*d^2)*sqrt(a+b*x)/_
+     (a*c^3*(b*c-a*d)^2*sqrt(c+d*x))
+--R 
+--R
+--R   (2)
+--R               3 4      2     3       2 2 2     3 3   2
+--R           (15a d  - 27a b c d  + 9a b c d  + 3b c d)x
+--R         + 
+--R               3   3      2   2 2       2 3      3 4
+--R           (15a c d  - 27a b c d  + 9a b c d + 3b c )x
+--R      *
+--R                          +-+ +-------+
+--R          +-------+      \|c \|b x + a
+--R         \|d x + c atanh(--------------)
+--R                          +-+ +-------+
+--R                         \|a \|d x + c
+--R     + 
+--R                 2 4            3     2 2 2  2
+--R           (- 15a d  + 22a b c d  - 3b c d )x
+--R         + 
+--R                 2   3          2 2     2 3        2 2 2         3      2 4
+--R           (- 20a c d  + 30a b c d  - 6b c d)x - 3a c d  + 6a b c d - 3b c
+--R      *
+--R          +-+ +-+ +-------+
+--R         \|a \|c \|b x + a
+--R  /
+--R           3 3 3     2   4 2       2 5   2      3 4 2     2   5        2 6
+--R       ((3a c d  - 6a b c d  + 3a b c d)x  + (3a c d  - 6a b c d + 3a b c )x)
+--R    *
+--R        +-+ +-+ +-------+
+--R       \|a \|c \|d x + c
+--R                                                    Type: Expression(Integer)
+--E  862
+
+--S 863 of 1000
+--a0:=integrate(t0,x)
+--E  863
+
+--S 864 of 1000
+--m0:=a0-r0
+--E  864
+
+--S 865 of 1000
+--d0:=D(m0,x)
+--E  865
+
+)clear all
+
+--S 866 of 1000
+t0:=1/(x^3*(c+d*x)^(5/2)*sqrt(a+b*x))
+--R 
+--R
+--R                             1
+--R   (1)  -------------------------------------------
+--R          2 5         4    2 3  +-------+ +-------+
+--R        (d x  + 2c d x  + c x )\|b x + a \|d x + c
+--R                                                    Type: Expression(Integer)
+--E  866
+
+--S 867 of 1000
+r0:=-1/4*(3*b^2*c^2+10*a*b*c*d+35*a^2*d^2)*atanh(sqrt(c)*sqrt(a+b*x)/_
+     (sqrt(a)*sqrt(c+d*x)))/(a^(5/2)*c^(9/2))+1/12*d*(9*b^2*c^2+_
+     18*a*b*c*d-35*a^2*d^2)*sqrt(a+b*x)/(a^2*c^3*(b*c-a*d)*(c+d*x)^(3/2))-_
+     1/2*sqrt(a+b*x)/(a*c*x^2*(c+d*x)^(3/2))+1/4*(3*b*c+7*a*d)*_
+     sqrt(a+b*x)/(a^2*c^2*x*(c+d*x)^(3/2))+1/12*d*(9*b^3*c^3+_
+     15*a*b^2*c^2*d-145*a^2*b*c*d^2+105*a^3*d^3)*sqrt(a+b*x)/_
+     (a^2*c^4*(b*c-a*d)^2*sqrt(c+d*x))
+--R 
+--R
+--R   (2)
+--R                  4 5       3     4      2 2 2 3        3 3 2     4 4   3
+--R           (- 105a d  + 180a b c d  - 54a b c d  - 12a b c d  - 9b c d)x
+--R         + 
+--R                  4   4       3   2 3      2 2 3 2        3 4      4 5  2
+--R           (- 105a c d  + 180a b c d  - 54a b c d  - 12a b c d - 9b c )x
+--R      *
+--R                          +-+ +-------+
+--R          +-------+      \|c \|b x + a
+--R         \|d x + c atanh(--------------)
+--R                          +-+ +-------+
+--R                         \|a \|d x + c
+--R     + 
+--R                3 5       2     4        2 2 3     3 3 2  3
+--R           (105a d  - 145a b c d  + 15a b c d  + 9b c d )x
+--R         + 
+--R                3   4       2   2 3        2 3 2      3 4   2
+--R           (140a c d  - 198a b c d  + 24a b c d  + 18b c d)x
+--R         + 
+--R               3 2 3      2   3 2       2 4      3 5       3 3 2      2   4
+--R           (21a c d  - 33a b c d  + 3a b c d + 9b c )x - 6a c d  + 12a b c d
+--R         + 
+--R                 2 5
+--R           - 6a b c
+--R      *
+--R          +-+ +-+ +-------+
+--R         \|a \|c \|b x + a
+--R  /
+--R             4 4 3      3   5 2      2 2 6   3
+--R         (12a c d  - 24a b c d  + 12a b c d)x
+--R       + 
+--R             4 5 2      3   6       2 2 7  2
+--R         (12a c d  - 24a b c d + 12a b c )x
+--R    *
+--R        +-+ +-+ +-------+
+--R       \|a \|c \|d x + c
+--R                                                    Type: Expression(Integer)
+--E  867
+
+--S 868 of 1000
+--a0:=integrate(t0,x)
+--E  868
+
+--S 869 of 1000
+--m0:=a0-r0
+--E  869
+
+--S 870 of 1000
+--d0:=D(m0,x)
+--E  870
+
+)clear all
+
+--S 871 of 1000
+t0:=1/(x*sqrt(1-a-b*x)*sqrt(1+a+b*x))
+--R 
+--R
+--R                       1
+--R   (1)  -------------------------------
+--R          +-------------+ +-----------+
+--R        x\|- b x - a + 1 \|b x + a + 1
+--R                                                    Type: Expression(Integer)
+--E  871
+
+--S 872 of 1000
+r0:=-2*atanh(sqrt(1-a)*sqrt(1+a+b*x)/(sqrt(1+a)*sqrt(1-a-b*x)))/sqrt(1-a^2)
+--R 
+--R
+--R                  +-------+ +-----------+
+--R                 \|- a + 1 \|b x + a + 1
+--R          2atanh(------------------------)
+--R                  +-------------+ +-----+
+--R                 \|- b x - a + 1 \|a + 1
+--R   (2)  - --------------------------------
+--R                      +--------+
+--R                      |   2
+--R                     \|- a  + 1
+--R                                                    Type: Expression(Integer)
+--E  872
+
+--S 873 of 1000
+--a0:=integrate(t0,x)
+--E  873
+
+--S 874 of 1000
+--m0:=a0-r0
+--E  874
+
+--S 875 of 1000
+--d0:=D(m0,x)
+--E  875
+
+)clear all
+
+--S 876 of 1000
+t0:=x^3*(c+d*x)^(3/2)/(a+b*x)^(3/2)
+--R 
+--R
+--R            4      3  +-------+
+--R        (d x  + c x )\|d x + c
+--R   (1)  -----------------------
+--R                    +-------+
+--R          (b x + a)\|b x + a
+--R                                                    Type: Expression(Integer)
+--E  876
+
+--S 877 of 1000
+r0:=3/64*(b*c-a*d)*(b^3*c^3+5*a*b^2*c^2*d+35*a^2*b*c*d^2-105*a^3*d^3)*_
+     atanh(sqrt(d)*sqrt(a+b*x)/(sqrt(b)*sqrt(c+d*x)))/(b^(11/2)*d^(5/2))-_
+     2*x^3*(c+d*x)^(3/2)/(b*sqrt(a+b*x))-1/32*(3*b^2*c^2+14*a*b*c*d-_
+     105*a^2*d^2)*(c+d*x)^(3/2)*sqrt(a+b*x)/(b^4*d^2)+1/8*(b*c-21*a*d)*_
+     x*(c+d*x)^(3/2)*sqrt(a+b*x)/(b^3*d)+9/4*x^2*(c+d*x)^(3/2)*_
+     sqrt(a+b*x)/b^2+3/64*(b^3*c^3+5*a*b^2*c^2*d+35*a^2*b*c*d^2-_
+     105*a^3*d^3)*sqrt(a+b*x)*sqrt(c+d*x)/(b^5*d^2)
+--R 
+--R
+--R   (2)
+--R              4 4       3     3      2 2 2 2        3 3      4 4  +-------+
+--R         (315a d  - 420a b c d  + 90a b c d  + 12a b c d + 3b c )\|b x + a
+--R      *
+--R                +-+ +-------+
+--R               \|d \|b x + a
+--R         atanh(--------------)
+--R                +-+ +-------+
+--R               \|b \|d x + c
+--R     + 
+--R              4 3 4           3 3      4   2  3
+--R           16b d x  + (- 24a b d  + 24b c d )x
+--R         + 
+--R               2 2 3        3   2     4 2   2
+--R           (42a b d  - 44a b c d  + 2b c d)x
+--R         + 
+--R                  3   3       2 2   2        3 2      4 3         4 3
+--R           (- 105a b d  + 119a b c d  - 11a b c d - 3b c )x - 315a d
+--R         + 
+--R               3     2      2 2 2        3 3
+--R           315a b c d  - 13a b c d - 3a b c
+--R      *
+--R          +-+ +-+ +-------+
+--R         \|b \|d \|d x + c
+--R  /
+--R        5 2 +-+ +-+ +-------+
+--R     64b d \|b \|d \|b x + a
+--R                                                    Type: Expression(Integer)
+--E  877
+
+--S 878 of 1000
+--a0:=integrate(t0,x)
+--E  878
+
+--S 879 of 1000
+--m0:=a0-r0
+--E  879
+
+--S 880 of 1000
+--d0:=D(m0,x)
+--E  880
+
+)clear all
+
+--S 881 of 1000
+t0:=x^2*(c+d*x)^(3/2)/(a+b*x)^(3/2)
+--R 
+--R
+--R            3      2  +-------+
+--R        (d x  + c x )\|d x + c
+--R   (1)  -----------------------
+--R                    +-------+
+--R          (b x + a)\|b x + a
+--R                                                    Type: Expression(Integer)
+--E  881
+
+--S 882 of 1000
+r0:=-1/8*(b*c-a*d)*(b^2*c^2+10*a*b*c*d-35*a^2*d^2)*atanh(sqrt(d)*_
+     sqrt(a+b*x)/(sqrt(b)*sqrt(c+d*x)))/(b^(9/2)*d^(3/2))-_
+     2*a^2*(c+d*x)^(5/2)/(b^2*(b*c-a*d)*sqrt(a+b*x))-_
+     1/12*(10*a*c+b*c^2/d-35*a^2*d/b)*(c+d*x)^(3/2)*sqrt(a+b*x)/_
+     (b^2*(b*c-a*d))+1/3*(c+d*x)^(5/2)*sqrt(a+b*x)/(b^2*d)-_
+     1/8*(b^2*c^2+10*a*b*c*d-35*a^2*d^2)*sqrt(a+b*x)*sqrt(c+d*x)/(b^4*d)
+--R 
+--R
+--R   (2)
+--R                3 3       2     2        2 2      3 3  +-------+
+--R         (- 105a d  + 135a b c d  - 27a b c d - 3b c )\|b x + a
+--R      *
+--R                +-+ +-------+
+--R               \|d \|b x + a
+--R         atanh(--------------)
+--R                +-+ +-------+
+--R               \|b \|d x + c
+--R     + 
+--R             3 2 3           2 2      3     2       2   2        2        3 2
+--R           8b d x  + (- 14a b d  + 14b c d)x  + (35a b d  - 38a b c d + 3b c )x
+--R         + 
+--R               3 2       2            2 2
+--R           105a d  - 100a b c d + 3a b c
+--R      *
+--R          +-+ +-+ +-------+
+--R         \|b \|d \|d x + c
+--R  /
+--R        4  +-+ +-+ +-------+
+--R     24b d\|b \|d \|b x + a
+--R                                                    Type: Expression(Integer)
+--E  882
+
+--S 883 of 1000
+--a0:=integrate(t0,x)
+--E  883
+
+--S 884 of 1000
+--m0:=a0-r0
+--E  884
+
+--S 885 of 1000
+--d0:=D(m0,x)
+--E  885
+
+)clear all
+
+--S 886 of 1000
+t0:=x*(c+d*x)^(3/2)/(a+b*x)^(3/2)
+--R 
+--R
+--R            2        +-------+
+--R        (d x  + c x)\|d x + c
+--R   (1)  ----------------------
+--R                    +-------+
+--R          (b x + a)\|b x + a
+--R                                                    Type: Expression(Integer)
+--E  886
+
+--S 887 of 1000
+r0:=3/4*(b*c-5*a*d)*(b*c-a*d)*atanh(sqrt(d)*sqrt(a+b*x)/(sqrt(b)*_
+     sqrt(c+d*x)))/(b^(7/2)*sqrt(d))+2*a*(c+d*x)^(5/2)/(b*(b*c-a*d)*_
+     sqrt(a+b*x))+1/2*(b*c-5*a*d)*(c+d*x)^(3/2)*sqrt(a+b*x)/_
+     (b^2*(b*c-a*d))+3/4*(b*c-5*a*d)*sqrt(a+b*x)*sqrt(c+d*x)/b^3
+--R 
+--R
+--R   (2)
+--R                                                    +-+ +-------+
+--R           2 2                 2 2  +-------+      \|d \|b x + a
+--R       (15a d  - 18a b c d + 3b c )\|b x + a atanh(--------------)
+--R                                                    +-+ +-------+
+--R                                                   \|b \|d x + c
+--R     + 
+--R          2   2                 2         2             +-+ +-+ +-------+
+--R       (2b d x  + (- 5a b d + 5b c)x - 15a d + 13a b c)\|b \|d \|d x + c
+--R  /
+--R       3 +-+ +-+ +-------+
+--R     4b \|b \|d \|b x + a
+--R                                                    Type: Expression(Integer)
+--E  887
+
+--S 888 of 1000
+--a0:=integrate(t0,x)
+--E  888
+
+--S 889 of 1000
+--m0:=a0-r0
+--E  889
+
+--S 890 of 1000
+--d0:=D(m0,x)
+--E  890
+
+)clear all
+
+--S 891 of 1000
+t0:=(c+d*x)^(3/2)/(a+b*x)^(3/2)
+--R 
+--R
+--R                  +-------+
+--R        (d x + c)\|d x + c
+--R   (1)  -------------------
+--R                  +-------+
+--R        (b x + a)\|b x + a
+--R                                                    Type: Expression(Integer)
+--E  891
+
+--S 892 of 1000
+r0:=3*(b*c-a*d)*atanh(sqrt(d)*sqrt(a+b*x)/(sqrt(b)*sqrt(c+d*x)))*_
+     sqrt(d)/b^(5/2)-2*(c+d*x)^(3/2)/(b*sqrt(a+b*x))+3*d*_
+     sqrt(a+b*x)*sqrt(c+d*x)/b^2
+--R 
+--R
+--R   (2)
+--R                                           +-+ +-------+
+--R                       +-+ +-------+      \|d \|b x + a
+--R       (- 3a d + 3b c)\|d \|b x + a atanh(--------------)
+--R                                           +-+ +-------+
+--R                                          \|b \|d x + c
+--R     + 
+--R                             +-+ +-------+
+--R       (b d x + 3a d - 2b c)\|b \|d x + c
+--R  /
+--R      2 +-+ +-------+
+--R     b \|b \|b x + a
+--R                                                    Type: Expression(Integer)
+--E  892
+
+--S 893 of 1000
+--a0:=integrate(t0,x)
+--E  893
+
+--S 894 of 1000
+--m0:=a0-r0
+--E  894
+
+--S 895 of 1000
+--d0:=D(m0,x)
+--E  895
+
+)clear all
+
+--S 896 of 1000
+t0:=(c+d*x)^(3/2)/(x*(a+b*x)^(3/2))
+--R 
+--R
+--R                    +-------+
+--R          (d x + c)\|d x + c
+--R   (1)  ----------------------
+--R            2        +-------+
+--R        (b x  + a x)\|b x + a
+--R                                                    Type: Expression(Integer)
+--E  896
+
+--S 897 of 1000
+r0:=-2*c^(3/2)*atanh(sqrt(c)*sqrt(a+b*x)/(sqrt(a)*sqrt(c+d*x)))/a^(3/2)+_
+     2*d^(3/2)*atanh(sqrt(d)*sqrt(a+b*x)/(sqrt(b)*sqrt(c+d*x)))/b^(3/2)+_
+     2*(c+d*x)^(3/2)/(a*sqrt(a+b*x))-2*d*sqrt(a+b*x)*sqrt(c+d*x)/(a*b)
+--R 
+--R
+--R   (2)
+--R                                    +-+ +-------+
+--R            +-+ +-+ +-------+      \|d \|b x + a
+--R       2a d\|a \|d \|b x + a atanh(--------------)
+--R                                    +-+ +-------+
+--R                                   \|b \|d x + c
+--R     + 
+--R                                      +-+ +-------+
+--R              +-+ +-+ +-------+      \|c \|b x + a
+--R       - 2b c\|b \|c \|b x + a atanh(--------------)
+--R                                      +-+ +-------+
+--R                                     \|a \|d x + c
+--R     + 
+--R                       +-+ +-+ +-------+
+--R       (- 2a d + 2b c)\|a \|b \|d x + c
+--R  /
+--R         +-+ +-+ +-------+
+--R     a b\|a \|b \|b x + a
+--R                                                    Type: Expression(Integer)
+--E  897
+
+--S 898 of 1000 (non-algebraic residues)
+--a0:=integrate(t0,x)
+--E  898
+
+--S 899 of 1000
+--m0:=a0-r0
+--E  899
+
+--S 900 of 1000
+--d0:=D(m0,x)
+--E  900
+
+)clear all
+
+--S 901 of 1000
+t0:=(c+d*x)^(3/2)/(x^2*(a+b*x)^(3/2))
+--R 
+--R
+--R                    +-------+
+--R          (d x + c)\|d x + c
+--R   (1)  -----------------------
+--R            3      2  +-------+
+--R        (b x  + a x )\|b x + a
+--R                                                    Type: Expression(Integer)
+--E  901
+
+--S 902 of 1000
+r0:=3*(b*c-a*d)*atanh(sqrt(c)*sqrt(a+b*x)/(sqrt(a)*sqrt(c+d*x)))*_
+     sqrt(c)/a^(5/2)-(c+d*x)^(3/2)/(a*x*sqrt(a+b*x))-3*(b*c-a*d)*_
+     sqrt(c+d*x)/(a^2*sqrt(a+b*x))
+--R 
+--R
+--R   (2)
+--R                                            +-+ +-------+
+--R                        +-+ +-------+      \|c \|b x + a
+--R       (- 3a d + 3b c)x\|c \|b x + a atanh(--------------)
+--R                                            +-+ +-------+
+--R                                           \|a \|d x + c
+--R     + 
+--R                              +-+ +-------+
+--R       ((2a d - 3b c)x - a c)\|a \|d x + c
+--R  /
+--R      2  +-+ +-------+
+--R     a x\|a \|b x + a
+--R                                                    Type: Expression(Integer)
+--E  902
+
+--S 903 of 1000
+--a0:=integrate(t0,x)
+--E  903
+
+--S 904 of 1000
+--m0:=a0-r0
+--E  904
+
+--S 905 of 1000
+--d0:=D(m0,x)
+--E  905
+
+)clear all
+
+--S 906 of 1000
+t0:=(c+d*x)^(3/2)/(x^3*(a+b*x)^(3/2))
+--R 
+--R
+--R                    +-------+
+--R          (d x + c)\|d x + c
+--R   (1)  -----------------------
+--R            4      3  +-------+
+--R        (b x  + a x )\|b x + a
+--R                                                    Type: Expression(Integer)
+--E  906
+
+--S 907 of 1000
+r0:=-3/4*(b*c-a*d)*(5*b*c-a*d)*atanh(sqrt(c)*sqrt(a+b*x)/_
+     (sqrt(a)*sqrt(c+d*x)))/(a^(7/2)*sqrt(c))-1/2*(c+d*x)^(3/2)/_
+     (a*x^2*sqrt(a+b*x))+1/4*b*(15*b*c-13*a*d)*sqrt(c+d*x)/_
+     (a^3*sqrt(a+b*x))+1/4*(5*b*c-3*a*d)*sqrt(c+d*x)/(a^2*x*sqrt(a+b*x))
+--R 
+--R
+--R   (2)
+--R                                                        +-+ +-------+
+--R            2 2                  2 2  2 +-------+      \|c \|b x + a
+--R       (- 3a d  + 18a b c d - 15b c )x \|b x + a atanh(--------------)
+--R                                                        +-+ +-------+
+--R                                                       \|a \|d x + c
+--R     + 
+--R                        2   2        2                 2   +-+ +-+ +-------+
+--R       ((- 13a b d + 15b c)x  + (- 5a d + 5a b c)x - 2a c)\|a \|c \|d x + c
+--R  /
+--R       3 2 +-+ +-+ +-------+
+--R     4a x \|a \|c \|b x + a
+--R                                                    Type: Expression(Integer)
+--E  907
+
+--S 908 of 1000
+--a0:=integrate(t0,x)
+--E  908
+
+--S 909 of 1000
+--m0:=a0-r0
+--E  909
+
+--S 910 of 1000
+--d0:=D(m0,x)
+--E  910
+
+)clear all
+
+--S 911 of 1000
+t0:=(c+d*x)^(3/2)/(x^4*(a+b*x)^(3/2))
+--R 
+--R
+--R                    +-------+
+--R          (d x + c)\|d x + c
+--R   (1)  -----------------------
+--R            5      4  +-------+
+--R        (b x  + a x )\|b x + a
+--R                                                    Type: Expression(Integer)
+--E  911
+
+--S 912 of 1000
+r0:=1/8*(b*c-a*d)*(35*b^2*c^2-10*a*b*c*d-a^2*d^2)*atanh(sqrt(c)*sqrt(a+b*x)/_
+     (sqrt(a)*sqrt(c+d*x)))/(a^(9/2)*c^(3/2))-1/3*(c+d*x)^(3/2)/_
+     (a*x^3*sqrt(a+b*x))-1/24*b*(105*b^2*c^2-100*a*b*c*d+3*a^2*d^2)*_
+     sqrt(c+d*x)/(a^4*c*sqrt(a+b*x))+1/12*(7*b*c-3*a*d)*sqrt(c+d*x)/_
+     (a^2*x^2*sqrt(a+b*x))-1/24*(35*b*c-3*a*d)*(b*c-a*d)*_
+     sqrt(c+d*x)/(a^3*c*x*sqrt(a+b*x))
+--R 
+--R
+--R   (2)
+--R            3 3      2     2         2 2        3 3  3 +-------+
+--R         (3a d  + 27a b c d  - 135a b c d + 105b c )x \|b x + a
+--R      *
+--R                +-+ +-------+
+--R               \|c \|b x + a
+--R         atanh(--------------)
+--R                +-+ +-------+
+--R               \|a \|d x + c
+--R     + 
+--R                2   2         2          3 2  3
+--R           (- 3a b d  + 100a b c d - 105b c )x
+--R         + 
+--R                3 2      2             2 2  2         3         2   2       3 2
+--R           (- 3a d  + 38a b c d - 35a b c )x  + (- 14a c d + 14a b c )x - 8a c
+--R      *
+--R          +-+ +-+ +-------+
+--R         \|a \|c \|d x + c
+--R  /
+--R        4   3 +-+ +-+ +-------+
+--R     24a c x \|a \|c \|b x + a
+--R                                                    Type: Expression(Integer)
+--E  912
+
+--S 913 of 1000
+--a0:=integrate(t0,x)
+--E  913
+
+--S 914 of 1000
+--m0:=a0-r0
+--E  914
+
+--S 915 of 1000
+--d0:=D(m0,x)
+--E  915
+
+)clear all
+
+--S 916 of 1000
+t0:=x^3*(c+d*x)^(5/2)/(a+b*x)^(3/2)
+--R 
+--R
+--R          2 5         4    2 3  +-------+
+--R        (d x  + 2c d x  + c x )\|d x + c
+--R   (1)  ---------------------------------
+--R                         +-------+
+--R               (b x + a)\|b x + a
+--R                                                    Type: Expression(Integer)
+--E  916
+
+--S 917 of 1000
+r0:=3/128*(b*c-a*d)^2*(b^3*c^3+7*a*b^2*c^2*d+63*a^2*b*c*d^2-231*a^3*d^3)*_
+     atanh(sqrt(d)*sqrt(a+b*x)/(sqrt(b)*sqrt(c+d*x)))/(b^(13/2)*d^(5/2))-_
+     2*x^3*(c+d*x)^(5/2)/(b*sqrt(a+b*x))+1/64*(b^3*c^3+7*a*b^2*c^2*d+_
+     63*a^2*b*c*d^2-231*a^3*d^3)*(c+d*x)^(3/2)*sqrt(a+b*x)/(b^5*d^2)-_
+     1/80*(5*b^2*c^2+30*a*b*c*d-231*a^2*d^2)*(c+d*x)^(5/2)*_
+     sqrt(a+b*x)/(b^4*d^2)+1/40*(5*b*c-99*a*d)*x*(c+d*x)^(5/2)*_
+     sqrt(a+b*x)/(b^3*d)+11/5*x^2*(c+d*x)^(5/2)*sqrt(a+b*x)/b^2+_
+     3/128*(b*c-a*d)*(b^3*c^3+7*a*b^2*c^2*d+63*a^2*b*c*d^2-231*_
+     a^3*d^3)*sqrt(a+b*x)*sqrt(c+d*x)/(b^6*d^2)
+--R 
+--R
+--R   (2)
+--R                  5 5        4     4        3 2 2 3       2 3 3 2        4 4
+--R           - 3465a d  + 7875a b c d  - 5250a b c d  + 750a b c d  + 75a b c d
+--R         + 
+--R              5 5
+--R           15b c
+--R      *
+--R                          +-+ +-------+
+--R          +-------+      \|d \|b x + a
+--R         \|b x + a atanh(--------------)
+--R                          +-+ +-------+
+--R                         \|b \|d x + c
+--R     + 
+--R               5 4 5            4 4       5   3  4
+--R           128b d x  + (- 176a b d  + 336b c d )x
+--R         + 
+--R                2 3 4         4   3       5 2 2  3
+--R           (264a b d  - 512a b c d  + 248b c d )x
+--R         + 
+--R                  3 2 4       2 3   3         4 2 2      5 3   2
+--R           (- 462a b d  + 918a b c d  - 466a b c d  + 10b c d)x
+--R         + 
+--R                 4   4        3 2   3        2 3 2 2        4 3       5 4
+--R           (1155a b d  - 2394a b c d  + 1324a b c d  - 70a b c d - 15b c )x
+--R         + 
+--R                5 4        4     3        3 2 2 2      2 3 3         4 4
+--R           3465a d  - 6720a b c d  + 3318a b c d  - 80a b c d - 15a b c
+--R      *
+--R          +-+ +-+ +-------+
+--R         \|b \|d \|d x + c
+--R  /
+--R         6 2 +-+ +-+ +-------+
+--R     640b d \|b \|d \|b x + a
+--R                                                    Type: Expression(Integer)
+--E  917
+
+--S 918 of 1000
+--a0:=integrate(t0,x)
+--E  918
+
+--S 919 of 1000
+--m0:=a0-r0
+--E  919
+
+--S 920 of 1000
+--d0:=D(m0,x)
+--E  920
+
+)clear all
+
+--S 921 of 1000
+t0:=x^2*(c+d*x)^(5/2)/(a+b*x)^(3/2)
+--R 
+--R
+--R          2 4         3    2 2  +-------+
+--R        (d x  + 2c d x  + c x )\|d x + c
+--R   (1)  ---------------------------------
+--R                         +-------+
+--R               (b x + a)\|b x + a
+--R                                                    Type: Expression(Integer)
+--E  921
+
+--S 922 of 1000
+r0:=-5/64*(b*c-a*d)^2*(b^2*c^2+14*a*b*c*d-63*a^2*d^2)*atanh(sqrt(d)*_
+     sqrt(a+b*x)/(sqrt(b)*sqrt(c+d*x)))/(b^(11/2)*d^(3/2))-_
+     2*a^2*(c+d*x)^(7/2)/(b^2*(b*c-a*d)*sqrt(a+b*x))-_
+     5/96*(b^2*c^2+14*a*b*c*d-63*a^2*d^2)*(c+d*x)^(3/2)*sqrt(a+b*x)/_
+     (b^4*d)-1/24*(14*a*c+b*c^2/d-63*a^2*d/b)*(c+d*x)^(5/2)*_
+     sqrt(a+b*x)/(b^2*(b*c-a*d))+1/4*(c+d*x)^(7/2)*sqrt(a+b*x)/_
+     (b^2*d)-5/64*(b*c-a*d)*(b^2*c^2+14*a*b*c*d-63*a^2*d^2)*_
+     sqrt(a+b*x)*sqrt(c+d*x)/(b^5*d)
+--R 
+--R
+--R   (2)
+--R              4 4        3     3        2 2 2 2         3 3       4 4  +-------+
+--R         (945a d  - 2100a b c d  + 1350a b c d  - 180a b c d - 15b c )\|b x + a
+--R      *
+--R                +-+ +-------+
+--R               \|d \|b x + a
+--R         atanh(--------------)
+--R                +-+ +-------+
+--R               \|b \|d x + c
+--R     + 
+--R              4 3 4           3 3       4   2  3
+--R           48b d x  + (- 72a b d  + 136b c d )x
+--R         + 
+--R                2 2 3         3   2       4 2   2
+--R           (126a b d  - 244a b c d  + 118b c d)x
+--R         + 
+--R                  3   3       2 2   2         3 2       4 3         4 3
+--R           (- 315a b d  + 637a b c d  - 337a b c d + 15b c )x - 945a d
+--R         + 
+--R                3     2       2 2 2         3 3
+--R           1785a b c d  - 839a b c d + 15a b c
+--R      *
+--R          +-+ +-+ +-------+
+--R         \|b \|d \|d x + c
+--R  /
+--R         5  +-+ +-+ +-------+
+--R     192b d\|b \|d \|b x + a
+--R                                                    Type: Expression(Integer)
+--E  922
+
+--S 923 of 1000
+--a0:=integrate(t0,x)
+--E  923
+
+--S 924 of 1000
+--m0:=a0-r0
+--E  924
+
+--S 925 of 1000
+--d0:=D(m0,x)
+--E  925
+
+)clear all
+
+--S 926 of 1000
+t0:=x*(c+d*x)^(5/2)/(a+b*x)^(3/2)
+--R 
+--R
+--R          2 3         2    2   +-------+
+--R        (d x  + 2c d x  + c x)\|d x + c
+--R   (1)  --------------------------------
+--R                         +-------+
+--R               (b x + a)\|b x + a
+--R                                                    Type: Expression(Integer)
+--E  926
+
+--S 927 of 1000
+r0:=5/8*(b*c-7*a*d)*(b*c-a*d)^2*atanh(sqrt(d)*sqrt(a+b*x)/(sqrt(b)*_
+     sqrt(c+d*x)))/(b^(9/2)*sqrt(d))+2*a*(c+d*x)^(7/2)/(b*(b*c-a*d)*_
+     sqrt(a+b*x))+5/12*(b*c-7*a*d)*(c+d*x)^(3/2)*sqrt(a+b*x)/b^3+_
+     1/3*(b*c-7*a*d)*(c+d*x)^(5/2)*sqrt(a+b*x)/(b^2*(b*c-a*d))+_
+     5/8*(b*c-7*a*d)*(b*c-a*d)*sqrt(a+b*x)*sqrt(c+d*x)/b^4
+--R 
+--R
+--R   (2)
+--R                3 3       2     2         2 2       3 3  +-------+
+--R         (- 105a d  + 225a b c d  - 135a b c d + 15b c )\|b x + a
+--R      *
+--R                +-+ +-------+
+--R               \|d \|b x + a
+--R         atanh(--------------)
+--R                +-+ +-------+
+--R               \|b \|d x + c
+--R     + 
+--R             3 2 3           2 2      3     2       2   2        2         3 2
+--R           8b d x  + (- 14a b d  + 26b c d)x  + (35a b d  - 68a b c d + 33b c )x
+--R         + 
+--R               3 2       2             2 2
+--R           105a d  - 190a b c d + 81a b c
+--R      *
+--R          +-+ +-+ +-------+
+--R         \|b \|d \|d x + c
+--R  /
+--R        4 +-+ +-+ +-------+
+--R     24b \|b \|d \|b x + a
+--R                                                    Type: Expression(Integer)
+--E  927
+
+--S 928 of 1000
+--a0:=integrate(t0,x)
+--E  928
+
+--S 929 of 1000
+--m0:=a0-r0
+--E  929
+
+--S 930 of 1000
+--d0:=D(m0,x)
+--E  930
+
+)clear all
+
+--S 931 of 1000
+t0:=(c+d*x)^(5/2)/(a+b*x)^(3/2)
+--R 
+--R
+--R          2 2             2  +-------+
+--R        (d x  + 2c d x + c )\|d x + c
+--R   (1)  ------------------------------
+--R                        +-------+
+--R              (b x + a)\|b x + a
+--R                                                    Type: Expression(Integer)
+--E  931
+
+--S 932 of 1000
+r0:=15/4*(b*c-a*d)^2*atanh(sqrt(d)*sqrt(a+b*x)/(sqrt(b)*sqrt(c+d*x)))*_
+     sqrt(d)/b^(7/2)-2*(c+d*x)^(5/2)/(b*sqrt(a+b*x))+5/2*d*(c+d*x)^(3/2)*_
+     sqrt(a+b*x)/b^2+15/4*d*(b*c-a*d)*sqrt(a+b*x)*sqrt(c+d*x)/b^3
+--R 
+--R
+--R   (2)
+--R                                                         +-+ +-------+
+--R           2 2                  2 2  +-+ +-------+      \|d \|b x + a
+--R       (15a d  - 30a b c d + 15b c )\|d \|b x + a atanh(--------------)
+--R                                                         +-+ +-------+
+--R                                                        \|b \|d x + c
+--R     + 
+--R            2 2 2            2     2           2 2                 2 2  +-+
+--R         (2b d x  + (- 5a b d  + 9b c d)x - 15a d  + 25a b c d - 8b c )\|b
+--R      *
+--R          +-------+
+--R         \|d x + c
+--R  /
+--R       3 +-+ +-------+
+--R     4b \|b \|b x + a
+--R                                                    Type: Expression(Integer)
+--E  932
+
+--S 933 of 1000
+--a0:=integrate(t0,x)
+--E  933
+
+--S 934 of 1000
+--m0:=a0-r0
+--E  934
+
+--S 935 of 1000
+--d0:=D(m0,x)
+--E  935
+
+)clear all
+
+--S 936 of 1000
+t0:=(c+d*x)^(5/2)/(x*(a+b*x)^(3/2))
+--R 
+--R
+--R          2 2             2  +-------+
+--R        (d x  + 2c d x + c )\|d x + c
+--R   (1)  ------------------------------
+--R                2        +-------+
+--R            (b x  + a x)\|b x + a
+--R                                                    Type: Expression(Integer)
+--E  936
+
+--S 937 of 1000
+r0:=-2*c^(5/2)*atanh(sqrt(c)*sqrt(a+b*x)/(sqrt(a)*sqrt(c+d*x)))/a^(3/2)+_
+     d^(3/2)*(5*b*c-3*a*d)*atanh(sqrt(d)*sqrt(a+b*x)/(sqrt(b)*_
+     sqrt(c+d*x)))/b^(5/2)+2*(c+d*x)^(5/2)/(a*sqrt(a+b*x))-_
+     2*d*(c+d*x)^(3/2)*sqrt(a+b*x)/(a*b)-d*(2*b*c-3*a*d)*_
+     sqrt(a+b*x)*sqrt(c+d*x)/(a*b^2)
+--R 
+--R
+--R   (2)
+--R                                                    +-+ +-------+
+--R            2 2             +-+ +-+ +-------+      \|d \|b x + a
+--R       (- 3a d  + 5a b c d)\|a \|d \|b x + a atanh(--------------)
+--R                                                    +-+ +-------+
+--R                                                   \|b \|d x + c
+--R     + 
+--R                                       +-+ +-------+
+--R           2 2 +-+ +-+ +-------+      \|c \|b x + a
+--R       - 2b c \|b \|c \|b x + a atanh(--------------)
+--R                                       +-+ +-------+
+--R                                      \|a \|d x + c
+--R     + 
+--R             2      2 2                2 2  +-+ +-+ +-------+
+--R       (a b d x + 3a d  - 4a b c d + 2b c )\|a \|b \|d x + c
+--R  /
+--R        2 +-+ +-+ +-------+
+--R     a b \|a \|b \|b x + a
+--R                                                    Type: Expression(Integer)
+--E  937
+
+--S 938 of 1000 (non-algebraic residues)
+--a0:=integrate(t0,x)
+--E  938
+
+--S 939 of 1000
+--m0:=a0-r0
+--E  939
+
+--S 940 of 1000
+--d0:=D(m0,x)
+--E  940
+
+)clear all
+
+--S 941 of 1000
+t0:=(c+d*x)^(5/2)/(x^2*(a+b*x)^(3/2))
+--R 
+--R
+--R          2 2             2  +-------+
+--R        (d x  + 2c d x + c )\|d x + c
+--R   (1)  ------------------------------
+--R                3      2  +-------+
+--R            (b x  + a x )\|b x + a
+--R                                                    Type: Expression(Integer)
+--E  941
+
+--S 942 of 1000
+r0:=c^(3/2)*(3*b*c-5*a*d)*atanh(sqrt(c)*sqrt(a+b*x)/(sqrt(a)*sqrt(c+d*x)))/_
+     a^(5/2)+2*d^(5/2)*atanh(sqrt(d)*sqrt(a+b*x)/(sqrt(b)*_
+     sqrt(c+d*x)))/b^(3/2)-3*(b*c-a*d)*(c+d*x)^(3/2)/(a^2*_
+     sqrt(a+b*x))-(c+d*x)^(5/2)/(a*x*sqrt(a+b*x))+d*(3*b*c-2*a*d)*_
+     sqrt(a+b*x)*sqrt(c+d*x)/(a^2*b)
+--R 
+--R
+--R   (2)
+--R                                      +-+ +-------+
+--R         2 2  +-+ +-+ +-------+      \|d \|b x + a
+--R       2a d x\|a \|d \|b x + a atanh(--------------)
+--R                                      +-+ +-------+
+--R                                     \|b \|d x + c
+--R     + 
+--R                                                     +-+ +-------+
+--R                       2 2   +-+ +-+ +-------+      \|c \|b x + a
+--R       (- 5a b c d + 3b c )x\|b \|c \|b x + a atanh(--------------)
+--R                                                     +-+ +-------+
+--R                                                    \|a \|d x + c
+--R     + 
+--R             2 2                2 2          2  +-+ +-+ +-------+
+--R       ((- 2a d  + 4a b c d - 3b c )x - a b c )\|a \|b \|d x + c
+--R  /
+--R      2    +-+ +-+ +-------+
+--R     a b x\|a \|b \|b x + a
+--R                                                    Type: Expression(Integer)
+--E  942
+
+--S 943 of 1000 (non-algebraic residues)
+--a0:=integrate(t0,x)
+--E  943
+
+--S 944 of 1000
+--m0:=a0-r0
+--E  944
+
+--S 945 of 1000
+--d0:=D(m0,x)
+--E  945
+
+)clear all
+
+--S 946 of 1000
+t0:=(c+d*x)^(5/2)/(x^3*(a+b*x)^(3/2))
+--R 
+--R
+--R          2 2             2  +-------+
+--R        (d x  + 2c d x + c )\|d x + c
+--R   (1)  ------------------------------
+--R                4      3  +-------+
+--R            (b x  + a x )\|b x + a
+--R                                                    Type: Expression(Integer)
+--E  946
+
+--S 947 of 1000
+r0:=-15/4*(b*c-a*d)^2*atanh(sqrt(c)*sqrt(a+b*x)/(sqrt(a)*sqrt(c+d*x)))*_
+     sqrt(c)/a^(7/2)+5/4*(b*c-a*d)*(c+d*x)^(3/2)/(a^2*x*_
+     sqrt(a+b*x))-1/2*(c+d*x)^(5/2)/(a*x^2*sqrt(a+b*x))+_
+     15/4*(b*c-a*d)^2*sqrt(c+d*x)/(a^3*sqrt(a+b*x))
+--R 
+--R
+--R   (2)
+--R                                                             +-+ +-------+
+--R             2 2                  2 2  2 +-+ +-------+      \|c \|b x + a
+--R       (- 15a d  + 30a b c d - 15b c )x \|c \|b x + a atanh(--------------)
+--R                                                             +-+ +-------+
+--R                                                            \|a \|d x + c
+--R     + 
+--R             2 2                  2 2  2        2            2       2 2  +-+
+--R         ((8a d  - 25a b c d + 15b c )x  + (- 9a c d + 5a b c )x - 2a c )\|a
+--R      *
+--R          +-------+
+--R         \|d x + c
+--R  /
+--R       3 2 +-+ +-------+
+--R     4a x \|a \|b x + a
+--R                                                    Type: Expression(Integer)
+--E  947
+
+--S 948 of 1000
+--a0:=integrate(t0,x)
+--E  948
+
+--S 949 of 1000
+--m0:=a0-r0
+--E  949
+
+--S 950 of 1000
+--d0:=D(m0,x)
+--E  950
+
+)clear all
+
+--S 951 of 1000
+t0:=(c+d*x)^(5/2)/(x^4*(a+b*x)^(3/2))
+--R 
+--R
+--R          2 2             2  +-------+
+--R        (d x  + 2c d x + c )\|d x + c
+--R   (1)  ------------------------------
+--R                5      4  +-------+
+--R            (b x  + a x )\|b x + a
+--R                                                    Type: Expression(Integer)
+--E  951
+
+--S 952 of 1000
+r0:=5/8*(b*c-a*d)^2*(7*b*c-a*d)*atanh(sqrt(c)*sqrt(a+b*x)/(sqrt(a)*_
+     sqrt(c+d*x)))/(a^(9/2)*sqrt(c))+1/12*(7*b*c-5*a*d)*_
+     (c+d*x)^(3/2)/(a^2*x^2*sqrt(a+b*x))-1/3*(c+d*x)^(5/2)/_
+     (a*x^3*sqrt(a+b*x))-1/24*b*(105*b^2*c^2-190*a*b*c*d+81*a^2*d^2)*_
+     sqrt(c+d*x)/(a^4*sqrt(a+b*x))-1/24*(35*b^2*c^2-54*a*b*c*d+_
+     15*a^2*d^2)*sqrt(c+d*x)/(a^3*x*sqrt(a+b*x))
+--R 
+--R
+--R   (2)
+--R               3 3       2     2         2 2        3 3  3 +-------+
+--R         (- 15a d  + 135a b c d  - 225a b c d + 105b c )x \|b x + a
+--R      *
+--R                +-+ +-------+
+--R               \|c \|b x + a
+--R         atanh(--------------)
+--R                +-+ +-------+
+--R               \|a \|d x + c
+--R     + 
+--R                 2   2         2          3 2  3
+--R           (- 81a b d  + 190a b c d - 105b c )x
+--R         + 
+--R               3 2      2             2 2  2         3         2   2       3 2
+--R         (- 33a d  + 68a b c d - 35a b c )x  + (- 26a c d + 14a b c )x - 8a c
+--R      *
+--R          +-+ +-+ +-------+
+--R         \|a \|c \|d x + c
+--R  /
+--R        4 3 +-+ +-+ +-------+
+--R     24a x \|a \|c \|b x + a
+--R                                                    Type: Expression(Integer)
+--E  952
+
+--S 953 of 1000
+--a0:=integrate(t0,x)
+--E  953
+
+--S 954 of 1000
+--m0:=a0-r0
+--E  954
+
+--S 955 of 1000
+--d0:=D(m0,x)
+--E  955
+
+)clear all
+
+--S 956 of 1000
+t0:=(c+d*x)^(5/2)/(x^5*(a+b*x)^(3/2))
+--R 
+--R
+--R          2 2             2  +-------+
+--R        (d x  + 2c d x + c )\|d x + c
+--R   (1)  ------------------------------
+--R                6      5  +-------+
+--R            (b x  + a x )\|b x + a
+--R                                                    Type: Expression(Integer)
+--E  956
+
+--S 957 of 1000
+r0:=-5/64*(b*c-a*d)^2*(63*b^2*c^2-14*a*b*c*d-a^2*d^2)*atanh(sqrt(c)*_
+     sqrt(a+b*x)/(sqrt(a)*sqrt(c+d*x)))/(a^(11/2)*c^(3/2))+_
+     1/24*(9*b*c-5*a*d)*(c+d*x)^(3/2)/(a^2*x^3*sqrt(a+b*x))-_
+     1/4*(c+d*x)^(5/2)/(a*x^4*sqrt(a+b*x))+1/192*b*(945*b^3*c^3-_
+     1785*a*b^2*c^2*d+839*a^2*b*c*d^2-15*a^3*d^3)*sqrt(c+d*x)/_
+     (a^5*c*sqrt(a+b*x))-1/96*(63*b^2*c^2-86*a*b*c*d+15*a^2*d^2)*_
+     sqrt(c+d*x)/(a^3*x^2*sqrt(a+b*x))+1/192*(b*c-a*d)*_
+     (315*b^2*c^2-322*a*b*c*d+15*a^2*d^2)*sqrt(c+d*x)/(a^4*c*x*sqrt(a+b*x))
+--R 
+--R
+--R   (2)
+--R             4 4       3     3        2 2 2 2          3 3        4 4  4
+--R         (15a d  + 180a b c d  - 1350a b c d  + 2100a b c d - 945b c )x
+--R      *
+--R                          +-+ +-------+
+--R          +-------+      \|c \|b x + a
+--R         \|b x + a atanh(--------------)
+--R                          +-+ +-------+
+--R                         \|a \|d x + c
+--R     + 
+--R                 3   3       2 2   2          3 2        4 3  4
+--R           (- 15a b d  + 839a b c d  - 1785a b c d + 945b c )x
+--R         + 
+--R                 4 3       3     2       2 2 2          3 3  3
+--R           (- 15a d  + 337a b c d  - 637a b c d + 315a b c )x
+--R         + 
+--R                  4   2       3   2        2 2 3  2          4 2       3   3
+--R           (- 118a c d  + 244a b c d - 126a b c )x  + (- 136a c d + 72a b c )x
+--R         + 
+--R                4 3
+--R           - 48a c
+--R      *
+--R          +-+ +-+ +-------+
+--R         \|a \|c \|d x + c
+--R  /
+--R         5   4 +-+ +-+ +-------+
+--R     192a c x \|a \|c \|b x + a
+--R                                                    Type: Expression(Integer)
+--E  957
+
+--S 958 of 1000
+--a0:=integrate(t0,x)
+--E  958
+
+--S 959 of 1000
+--m0:=a0-r0
+--E  959
+
+--S 960 of 1000
+--d0:=D(m0,x)
+--E  960
+
+)clear all
+
+--S 961 of 1000
+t0:=x^4/((a+b*x)^(3/2)*(c+d*x)^(3/2))
+--R 
+--R
+--R                                 4
+--R                                x
+--R   (1)  -------------------------------------------------
+--R              2                       +-------+ +-------+
+--R        (b d x  + (a d + b c)x + a c)\|b x + a \|d x + c
+--R                                                    Type: Expression(Integer)
+--E  961
+
+--S 962 of 1000
+r0:=3/4*(5*b^2*c^2+6*a*b*c*d+5*a^2*d^2)*atanh(sqrt(d)*sqrt(a+b*x)/_
+     (sqrt(b)*sqrt(c+d*x)))/(b^(7/2)*d^(7/2))+1/2*a*(b*c-5*a*d)*x^2/_
+     (b^2*d*(b*c-a*d)*sqrt(a+b*x)*sqrt(c+d*x))+1/2*x^3/(b*d*sqrt(a+b*x)*_
+     sqrt(c+d*x))+1/2*c*(4*a*c*(b*c-5*a*d)+(5*b^2*c^2+2*a*b*c*d-_
+     15*a^2*d^2)*x)*sqrt(a+b*x)/(b^2*d^2*(b*c-a*d)^2*sqrt(c+d*x))-_
+     1/4*(3*b*c-a*d)*(5*b^2*c^2+2*a*b*c*d-15*a^2*d^2)*sqrt(a+b*x)*_
+     sqrt(c+d*x)/(b^3*d^3*(b*c-a*d)^2)
+--R 
+--R
+--R   (2)
+--R             4 4      3     3     2 2 2 2        3 3       4 4  +-------+
+--R         (15a d  - 12a b c d  - 6a b c d  - 12a b c d + 15b c )\|b x + a
+--R      *
+--R                          +-+ +-------+
+--R          +-------+      \|d \|b x + a
+--R         \|d x + c atanh(--------------)
+--R                          +-+ +-------+
+--R                         \|b \|d x + c
+--R     + 
+--R              2 2 4       3   3     4 2 2  3
+--R           (2a b d  - 4a b c d  + 2b c d )x
+--R         + 
+--R                3   4     2 2   3       3 2 2     4 3   2
+--R           (- 5a b d  + 5a b c d  + 5a b c d  - 5b c d)x
+--R         + 
+--R                 4 4     3     3      2 2 2 2       3 3       4 4        4   3
+--R           (- 15a d  + 2a b c d  + 10a b c d  + 2a b c d - 15b c )x - 15a c d
+--R         + 
+--R             3   2 2     2 2 3         3 4
+--R           7a b c d  + 7a b c d - 15a b c
+--R      *
+--R          +-+ +-+
+--R         \|b \|d
+--R  /
+--R        2 3 5       4   4     5 2 3  +-+ +-+ +-------+ +-------+
+--R     (4a b d  - 8a b c d  + 4b c d )\|b \|d \|b x + a \|d x + c
+--R                                                    Type: Expression(Integer)
+--E  962
+
+--S 963 of 1000
+--a0:=integrate(t0,x)
+--E  963
+
+--S 964 of 1000
+--m0:=a0-r0
+--E  964
+
+--S 965 of 1000
+--d0:=D(m0,x)
+--E  965
+
+)clear all
+
+--S 966 of 1000
+t0:=x^3/((a+b*x)^(3/2)*(c+d*x)^(3/2))
+--R 
+--R
+--R                                 3
+--R                                x
+--R   (1)  -------------------------------------------------
+--R              2                       +-------+ +-------+
+--R        (b d x  + (a d + b c)x + a c)\|b x + a \|d x + c
+--R                                                    Type: Expression(Integer)
+--E  966
+
+--S 967 of 1000
+r0:=-3*(b*c+a*d)*atanh(sqrt(d)*sqrt(a+b*x)/(sqrt(b)*sqrt(c+d*x)))/_
+     (b^(5/2)*d^(5/2))+x^2/(b*d*sqrt(a+b*x)*sqrt(c+d*x))-_
+     a*(4*a*c+3*(b*c+a*d)*x)/(b^2*d*(b*c-a*d)*sqrt(a+b*x)*_
+     sqrt(c+d*x))+c*(3*b*c-a*d)*(b*c+a*d)*sqrt(a+b*x)/(b^2*d^2*_
+     (b*c-a*d)^2*sqrt(c+d*x))
+--R 
+--R
+--R   (2)
+--R              3 3     2     2       2 2      3 3  +-------+ +-------+
+--R         (- 3a d  + 3a b c d  + 3a b c d - 3b c )\|b x + a \|d x + c
+--R      *
+--R                +-+ +-------+
+--R               \|d \|b x + a
+--R         atanh(--------------)
+--R                +-+ +-------+
+--R               \|b \|d x + c
+--R     + 
+--R             2   3       2   2    3 2   2
+--R           (a b d  - 2a b c d  + b c d)x
+--R         + 
+--R              3 3    2     2      2 2      3 3       3   2     2   2        2 3
+--R           (3a d  - a b c d  - a b c d + 3b c )x + 3a c d  - 2a b c d + 3a b c
+--R      *
+--R          +-+ +-+
+--R         \|b \|d
+--R  /
+--R       2 2 4       3   3    4 2 2  +-+ +-+ +-------+ +-------+
+--R     (a b d  - 2a b c d  + b c d )\|b \|d \|b x + a \|d x + c
+--R                                                    Type: Expression(Integer)
+--E  967
+
+--S 968 of 1000
+--a0:=integrate(t0,x)
+--E  968
+
+--S 969 of 1000
+--m0:=a0-r0
+--E  969
+
+--S 970 of 1000
+--d0:=D(m0,x)
+--E  970
+
+)clear all
+
+--S 971 of 1000
+t0:=x^2/((a+b*x)^(3/2)*(c+d*x)^(3/2))
+--R 
+--R
+--R                                 2
+--R                                x
+--R   (1)  -------------------------------------------------
+--R              2                       +-------+ +-------+
+--R        (b d x  + (a d + b c)x + a c)\|b x + a \|d x + c
+--R                                                    Type: Expression(Integer)
+--E  971
+
+--S 972 of 1000
+r0:=2*atanh(sqrt(d)*sqrt(a+b*x)/(sqrt(b)*sqrt(c+d*x)))/(b^(3/2)*d^(3/2))-_
+     2*a^2/(b^2*(b*c-a*d)*sqrt(a+b*x)*sqrt(c+d*x))-2*(b^2*c^2+a^2*d^2)*_
+     sqrt(a+b*x)/(b^2*d*(b*c-a*d)^2*sqrt(c+d*x))
+--R 
+--R
+--R   (2)
+--R                                                            +-+ +-------+
+--R          2 2                2 2  +-------+ +-------+      \|d \|b x + a
+--R       (2a d  - 4a b c d + 2b c )\|b x + a \|d x + c atanh(--------------)
+--R                                                            +-+ +-------+
+--R                                                           \|b \|d x + c
+--R     + 
+--R             2 2     2 2       2            2  +-+ +-+
+--R       ((- 2a d  - 2b c )x - 2a c d - 2a b c )\|b \|d
+--R  /
+--R       2   3       2   2    3 2   +-+ +-+ +-------+ +-------+
+--R     (a b d  - 2a b c d  + b c d)\|b \|d \|b x + a \|d x + c
+--R                                                    Type: Expression(Integer)
+--E  972
+
+--S 973 of 1000
+--a0:=integrate(t0,x)
+--E  973
+
+--S 974 of 1000
+--m0:=a0-r0
+--E  974
+
+--S 975 of 1000
+--d0:=D(m0,x)
+--E  975
+
+)clear all
+
+--S 976 of 1000
+t0:=x/((a+b*x)^(3/2)*(c+d*x)^(3/2))
+--R 
+--R
+--R                                x
+--R   (1)  -------------------------------------------------
+--R              2                       +-------+ +-------+
+--R        (b d x  + (a d + b c)x + a c)\|b x + a \|d x + c
+--R                                                    Type: Expression(Integer)
+--E  976
+
+--S 977 of 1000
+r0:=-2*c/(d*(b*c-a*d)*sqrt(a+b*x)*sqrt(c+d*x))+2*(b*c+a*d)*sqrt(c+d*x)/_
+     (d*(b*c-a*d)^2*sqrt(a+b*x))
+--R 
+--R
+--R                    (2a d + 2b c)x + 4a c
+--R   (2)  --------------------------------------------
+--R          2 2               2 2  +-------+ +-------+
+--R        (a d  - 2a b c d + b c )\|b x + a \|d x + c
+--R                                                    Type: Expression(Integer)
+--E  977
+
+--S 978 of 1000
+--a0:=integrate(t0,x)
+--E  978
+
+--S 979 of 1000
+--m0:=a0-r0
+--E  979
+
+--S 980 of 1000
+--d0:=D(m0,x)
+--E  980
+
+)clear all
+
+--S 981 of 1000
+t0:=1/((a+b*x)^(3/2)*(c+d*x)^(3/2))
+--R 
+--R
+--R                                1
+--R   (1)  -------------------------------------------------
+--R              2                       +-------+ +-------+
+--R        (b d x  + (a d + b c)x + a c)\|b x + a \|d x + c
+--R                                                    Type: Expression(Integer)
+--E  981
+
+--S 982 of 1000
+r0:=(-2)/((b*c-a*d)*sqrt(a+b*x)*sqrt(c+d*x))-4*d*sqrt(a+b*x)/_
+     ((b*c-a*d)^2*sqrt(c+d*x))
+--R 
+--R
+--R                   - 4b d x - 2a d - 2b c
+--R   (2)  --------------------------------------------
+--R          2 2               2 2  +-------+ +-------+
+--R        (a d  - 2a b c d + b c )\|b x + a \|d x + c
+--R                                                    Type: Expression(Integer)
+--E  982
+
+--S 983 of 1000 ok to fail, differs by a constant
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R                          2            2  +-------+ +-------+
+--R       (- 16a b c d x - 8a c d - 8a b c )\|b x + a \|d x + c
+--R     + 
+--R                    2   2     2 2        2     2
+--R       ((a b c + 16a b)d  + (b c  + 16a b c)d)x
+--R     + 
+--R          2       3  2          2      2         2 3        2 2
+--R       ((a c + 16a )d  + (2a b c  + 32a b c)d + b c  + 16a b c )x
+--R     + 
+--R         2 2      3           3      2   2
+--R       (a c  + 16a c)d + a b c  + 16a b c
+--R  /
+--R          3     3     2 2 2 2       3 3   2
+--R       (4a b c d  - 8a b c d  + 4a b c d)x
+--R     + 
+--R        4   3     3   2 2     2 2 3        3 4       4 2 2     3   3      2 2 4
+--R     (4a c d  - 4a b c d  - 4a b c d + 4a b c )x + 4a c d  - 8a b c d + 4a b c
+--R                                         Type: Union(Expression(Integer),...)
+--E  983
+
+--S 984 of 1000 ok to fail, differs by a constant
+m0:=a0-r0
+--R 
+--R
+--R                  2        2
+--R        (a c + 16a )d + b c  + 16a b c
+--R   (4)  ------------------------------
+--R           3   2     2   2        2 3
+--R         4a c d  - 8a b c d + 4a b c
+--R                                                    Type: Expression(Integer)
+--E  984
+
+--S 985 of 1000
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E  985
+
+)clear all
+
+--S 986 of 1000
+t0:=1/(x*(a+b*x)^(3/2)*(c+d*x)^(3/2))
+--R 
+--R
+--R                                  1
+--R   (1)  ----------------------------------------------------
+--R              3               2          +-------+ +-------+
+--R        (b d x  + (a d + b c)x  + a c x)\|b x + a \|d x + c
+--R                                                    Type: Expression(Integer)
+--E  986
+
+--S 987 of 1000
+r0:=-2*atanh(sqrt(c)*sqrt(a+b*x)/(sqrt(a)*sqrt(c+d*x)))/(a^(3/2)*c^(3/2))+_
+     2*b/(a*(b*c-a*d)*sqrt(a+b*x)*sqrt(c+d*x))+2*d*(b*c+a*d)*sqrt(a+b*x)/_
+     (a*c*(b*c-a*d)^2*sqrt(c+d*x))
+--R 
+--R
+--R   (2)
+--R                                                              +-+ +-------+
+--R            2 2                2 2  +-------+ +-------+      \|c \|b x + a
+--R       (- 2a d  + 4a b c d - 2b c )\|b x + a \|d x + c atanh(--------------)
+--R                                                              +-+ +-------+
+--R                                                             \|a \|d x + c
+--R     + 
+--R               2     2          2 2     2 2  +-+ +-+
+--R       ((2a b d  + 2b c d)x + 2a d  + 2b c )\|a \|c
+--R  /
+--R       3   2     2   2       2 3  +-+ +-+ +-------+ +-------+
+--R     (a c d  - 2a b c d + a b c )\|a \|c \|b x + a \|d x + c
+--R                                                    Type: Expression(Integer)
+--E  987
+
+--S 988 of 1000
+--a0:=integrate(t0,x)
+--E  988
+
+--S 989 of 1000
+--m0:=a0-r0
+--E  989
+
+--S 990 of 1000
+--d0:=D(m0,x)
+--E  990
+
+)clear all
+
+--S 991 of 1000
+t0:=1/(x^2*(a+b*x)^(3/2)*(c+d*x)^(3/2))
+--R 
+--R
+--R                                  1
+--R   (1)  -----------------------------------------------------
+--R              4               3        2  +-------+ +-------+
+--R        (b d x  + (a d + b c)x  + a c x )\|b x + a \|d x + c
+--R                                                    Type: Expression(Integer)
+--E  991
+
+--S 992 of 1000
+r0:=3*(b*c+a*d)*atanh(sqrt(c)*sqrt(a+b*x)/(sqrt(a)*sqrt(c+d*x)))/_
+     (a^(5/2)*c^(5/2))-b*(3*b*c-a*d)/(a^2*c*(b*c-a*d)*sqrt(a+b*x)*_
+     sqrt(c+d*x))+(-1)/(a*c*x*sqrt(a+b*x)*sqrt(c+d*x))-_
+     d*(3*b^2*c^2-2*a*b*c*d+3*a^2*d^2)*sqrt(a+b*x)/(a^2*c^2*(b*c-a*d)^2*_
+     sqrt(c+d*x))
+--R 
+--R
+--R   (2)
+--R            3 3     2     2       2 2      3 3   +-------+ +-------+
+--R         (3a d  - 3a b c d  - 3a b c d + 3b c )x\|b x + a \|d x + c
+--R      *
+--R                +-+ +-------+
+--R               \|c \|b x + a
+--R         atanh(--------------)
+--R                +-+ +-------+
+--R               \|a \|d x + c
+--R     + 
+--R                2   3       2   2     3 2   2
+--R           (- 3a b d  + 2a b c d  - 3b c d)x
+--R         + 
+--R                3 3    2     2      2 2      3 3      3   2     2   2       2 3
+--R           (- 3a d  + a b c d  + a b c d - 3b c )x - a c d  + 2a b c d - a b c
+--R      *
+--R          +-+ +-+
+--R         \|a \|c
+--R  /
+--R       4 2 2     3   3     2 2 4   +-+ +-+ +-------+ +-------+
+--R     (a c d  - 2a b c d + a b c )x\|a \|c \|b x + a \|d x + c
+--R                                                    Type: Expression(Integer)
+--E  992
+
+--S 993 of 1000
+--a0:=integrate(t0,x)
+--E  993
+
+--S 994 of 1000
+--m0:=a0-r0
+--E  994
+
+--S 995 of 1000
+--d0:=D(m0,x)
+--E  995
+
+)clear all
+
+--S 996 of 1000
+t0:=1/(x^3*(a+b*x)^(3/2)*(c+d*x)^(3/2))
+--R 
+--R
+--R                                  1
+--R   (1)  -----------------------------------------------------
+--R              5               4        3  +-------+ +-------+
+--R        (b d x  + (a d + b c)x  + a c x )\|b x + a \|d x + c
+--R                                                    Type: Expression(Integer)
+--E  996
+
+--S 997 of 1000
+r0:=-3/4*(5*b^2*c^2+6*a*b*c*d+5*a^2*d^2)*atanh(sqrt(c)*sqrt(a+b*x)/_
+     (sqrt(a)*sqrt(c+d*x)))/(a^(7/2)*c^(7/2))+1/4*b*(15*b^2*c^2-_
+     2*a*b*c*d-5*a^2*d^2)/(a^3*c^2*(b*c-a*d)*sqrt(a+b*x)*sqrt(c+d*x))+_
+     (-1/2)/(a*c*x^2*sqrt(a+b*x)*sqrt(c+d*x))+5/4*(b*c+a*d)/_
+     (a^2*c^2*x*sqrt(a+b*x)*sqrt(c+d*x))+1/4*d*(b*c+a*d)*_
+     (15*b^2*c^2-22*a*b*c*d+15*a^2*d^2)*sqrt(a+b*x)/(a^3*c^3*(b*c-a*d)^2*_
+     sqrt(c+d*x))
+--R 
+--R
+--R   (2)
+--R               4 4      3     3     2 2 2 2        3 3       4 4  2 +-------+
+--R         (- 15a d  + 12a b c d  + 6a b c d  + 12a b c d - 15b c )x \|b x + a
+--R      *
+--R                          +-+ +-------+
+--R          +-------+      \|c \|b x + a
+--R         \|d x + c atanh(--------------)
+--R                          +-+ +-------+
+--R                         \|a \|d x + c
+--R     + 
+--R               3   4     2 2   3       3 2 2      4 3   3
+--R           (15a b d  - 7a b c d  - 7a b c d  + 15b c d)x
+--R         + 
+--R               4 4     3     3      2 2 2 2       3 3       4 4  2
+--R           (15a d  - 2a b c d  - 10a b c d  - 2a b c d + 15b c )x
+--R         + 
+--R              4   3     3   2 2     2 2 3        3 4       4 2 2     3   3
+--R           (5a c d  - 5a b c d  - 5a b c d + 5a b c )x - 2a c d  + 4a b c d
+--R         + 
+--R               2 2 4
+--R           - 2a b c
+--R      *
+--R          +-+ +-+
+--R         \|a \|c
+--R  /
+--R        5 3 2     4   4      3 2 5  2 +-+ +-+ +-------+ +-------+
+--R     (4a c d  - 8a b c d + 4a b c )x \|a \|c \|b x + a \|d x + c
+--R                                                    Type: Expression(Integer)
+--E  997
+
+--S 998 of 1000
+--a0:=integrate(t0,x)
+--E  998
+
+--S 999 of 1000
+--m0:=a0-r0
+--E  999
+
+--S 1000 of 1000
+--d0:=D(m0,x)
+--E  1000
+
+)spool
+)lisp (bye)
+
+\end{chunk}
+\eject
+\begin{thebibliography}{99}
+\bibitem{1} nothing
+\end{thebibliography}
+\end{document}
diff --git a/src/axiom-website/CATS/rich3b.input.pdf b/src/axiom-website/CATS/rich3b.input.pdf
new file mode 100644
index 0000000..773f887
Binary files /dev/null and b/src/axiom-website/CATS/rich3b.input.pdf differ
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index f3acf95..e5fec42 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -4248,6 +4248,8 @@ src/axiom-website/CATS/rich1a statistics update
 src/axiom-website/CATS/rich1b statistics update
 <a href="patches/20130725.01.tpd.patch">20130725.01.tpd.patch</a>
 src/axiom-website/CATS/rich2, rich3a
+<a href="patches/20130726.01.tpd.patch">20130726.01.tpd.patch</a>
+src/axiom-website/CATS/rich3b
  </body>
 </html>
 
diff --git a/src/input/Makefile.pamphlet b/src/input/Makefile.pamphlet
index 3b9d29b..d6bfd68 100644
--- a/src/input/Makefile.pamphlet
+++ b/src/input/Makefile.pamphlet
@@ -433,7 +433,7 @@ These long-running tests have been split into a different group
 so we can run them in parallel. 
 <<regression tests>>=
 NEWRICHTESTS = rich1a.regress rich1b.regress rich2.regress \
-               rich3a.regress
+               rich3a.regress rich3b.regress
 
 RICHTESTS= \
     richalgebraic000-099.regress \
@@ -788,7 +788,7 @@ FILES= ${OUT}/ackermann.input \
        ${OUT}/quat.input     ${OUT}/quat1.input      ${OUT}/ribbon.input   \
        ${OUT}/ribbons.input  ${OUT}/ribbonsnew.input \
        ${OUT}/rich1a.input   ${OUT}/rich1b.input     \
-       ${OUT}/rich2.input    ${OUT}/rich3a.input     \
+       ${OUT}/rich2.input    ${OUT}/rich3a.input     ${OUT}/rich3b.input \
        ${OUT}/rk4draw.input  \
        ${OUT}/r20abugs.input \
        ${OUT}/r20bugs.input  ${OUT}/r21bugsbig.input \
@@ -874,7 +874,7 @@ FILES2=${OUT}/arith.input    ${OUT}/bugs.input \
        ${OUT}/synonym2.input ${OUT}/torus.input      
 
 NEWRICHINPUT= ${OUT}/rich1a.input ${OUT}/rich1b.input \
-              ${OUT}/rich2.input  ${OUT}/rich3a.input
+              ${OUT}/rich2.input  ${OUT}/rich3a.input ${OUT}/rich3b.input \
 
 RICHINPUT= \
        ${OUT}/richalgebraic000-099.input \
@@ -1195,7 +1195,7 @@ DOCFILES= \
   ${DOC}/ribbonsnew.input.dvi  \
   ${DOC}/rich1a.input.dvi      ${DOC}/rich1b.input.dvi     \
   ${DOC}/rich2.input.dvi      \
-  ${DOC}/rich3a.input.dvi \
+  ${DOC}/rich3a.input.dvi      ${DOC}/rich3b.input.dvi \
   ${DOC}/richalgebraic000-099.input.dvi \
   ${DOC}/richalgebraic100-199.input.dvi \
   ${DOC}/richalgebraic200-299.input.dvi \
diff --git a/src/input/rich3b.input.pamphlet b/src/input/rich3b.input.pamphlet
new file mode 100644
index 0000000..efdbbf9
--- /dev/null
+++ b/src/input/rich3b.input.pamphlet
@@ -0,0 +1,11568 @@
+\documentclass{article}
+\usepackage{axiom}
+\setlength{\textwidth}{400pt}
+\begin{document}
+\title{\$SPAD/src/input rich3b.input}
+\author{Albert Rich and Timothy Daly}
+\maketitle
+\begin{abstract}
+\verb|(a+b x)^m (c+d)^n (e+f x)^p|
+There are:
+\begin{itemize}
+\item 200 integrals in this file.
+\item 200 supplied "optimal results".
+\item 5 matching answers.
+\item 0 cases where Axiom supplied 2 results.
+\item 195 cases that Axiom failed to integrate.
+\item 0 that contain expressions Axiom does not recognize.
+\end{itemize}
+\end{abstract}
+\eject
+\tableofcontents
+\eject
+\begin{chunk}{*}
+)set break resume
+)sys rm -f rich3b.output
+)spool rich3b.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1000
+t0:=(c+d*x)^(5/2)*sqrt(a+b*x)/x^4
+--R 
+--R
+--R          2 2             2  +-------+ +-------+
+--R        (d x  + 2c d x + c )\|b x + a \|d x + c
+--R   (1)  ----------------------------------------
+--R                            4
+--R                           x
+--R                                                    Type: Expression(Integer)
+--E  1
+
+--S 2 of 1000
+r0:=2*d^(5/2)*atanh(sqrt(d)*sqrt(a+b*x)/(sqrt(b)*sqrt(c+d*x)))*sqrt(b)-_
+     1/8*(b^3*c^3-5*a*b^2*c^2*d+15*a^2*b*c*d^2+5*a^3*d^3)*_
+     atanh(sqrt(c)*sqrt(a+b*x)/(sqrt(a)*sqrt(c+d*x)))/(a^(5/2)*sqrt(c))-_
+     1/12*(b*c+5*a*d)*(c+d*x)^(3/2)*sqrt(a+b*x)/(a*x^2)-1/3*(c+d*x)^(5/2)*_
+     sqrt(a+b*x)/x^3+1/8*(b*c-5*a*d)*(b*c+a*d)*sqrt(a+b*x)*sqrt(c+d*x)/(a^2*x)
+--R 
+--R
+--R   (2)
+--R                                      +-+ +-------+
+--R          2 2 3 +-+ +-+ +-+ +-+      \|d \|b x + a
+--R       48a d x \|a \|b \|c \|d atanh(--------------)
+--R                                      +-+ +-------+
+--R                                     \|b \|d x + c
+--R     + 
+--R                                                           +-+ +-------+
+--R             3 3      2     2        2 2      3 3  3      \|c \|b x + a
+--R       (- 15a d  - 45a b c d  + 15a b c d - 3b c )x atanh(--------------)
+--R                                                           +-+ +-------+
+--R                                                          \|a \|d x + c
+--R     + 
+--R                2 2                 2 2  2         2            2       2 2  +-+
+--R         ((- 33a d  - 14a b c d + 3b c )x  + (- 26a c d - 2a b c )x - 8a c )\|a
+--R      *
+--R          +-+ +-------+ +-------+
+--R         \|c \|b x + a \|d x + c
+--R  /
+--R        2 3 +-+ +-+
+--R     24a x \|a \|c
+--R                                                    Type: Expression(Integer)
+--E  2
+
+--S 3 of 1000
+--a0:=integrate(t0,x)
+--E  3
+
+--S 4 of 1000
+--m0:=a0-r0
+--E  4
+
+--S 5 of 1000
+--d0:=D(m0,x)
+--E  5
+
+)clear all
+
+--S 6 of 1000
+t0:=(c+d*x)^(5/2)*sqrt(a+b*x)/x^5
+--R 
+--R
+--R          2 2             2  +-------+ +-------+
+--R        (d x  + 2c d x + c )\|b x + a \|d x + c
+--R   (1)  ----------------------------------------
+--R                            5
+--R                           x
+--R                                                    Type: Expression(Integer)
+--E  6
+
+--S 7 of 1000
+r0:=5/64*(b*c-a*d)^4*atanh(sqrt(c)*sqrt(a+b*x)/(sqrt(a)*sqrt(c+d*x)))/_
+     (a^(7/2)*c^(3/2))+5/96*(b*c-a*d)^2*(c+d*x)^(3/2)*_
+     sqrt(a+b*x)/(a^2*c*x^2)-1/24*(b*c-a*d)*(c+d*x)^(5/2)*_
+     sqrt(a+b*x)/(a*c*x^3)-1/4*(c+d*x)^(7/2)*sqrt(a+b*x)/(c*x^4)-_
+     5/64*(b*c-a*d)^3*sqrt(a+b*x)*sqrt(c+d*x)/(a^3*c*x)
+--R 
+--R
+--R   (2)
+--R             4 4      3     3      2 2 2 2        3 3       4 4  4
+--R         (15a d  - 60a b c d  + 90a b c d  - 60a b c d + 15b c )x
+--R      *
+--R                +-+ +-------+
+--R               \|c \|b x + a
+--R         atanh(--------------)
+--R                +-+ +-------+
+--R               \|a \|d x + c
+--R     + 
+--R                 3 3      2     2        2 2       3 3  3
+--R           (- 15a d  - 73a b c d  + 55a b c d - 15b c )x
+--R         + 
+--R                  3   2      2   2         2 3  2          3 2      2   3
+--R           (- 118a c d  - 36a b c d + 10a b c )x  + (- 136a c d - 8a b c )x
+--R         + 
+--R                3 3
+--R           - 48a c
+--R      *
+--R          +-+ +-+ +-------+ +-------+
+--R         \|a \|c \|b x + a \|d x + c
+--R  /
+--R         3   4 +-+ +-+
+--R     192a c x \|a \|c
+--R                                                    Type: Expression(Integer)
+--E  7
+
+--S 8 of 1000
+--a0:=integrate(t0,x)
+--E  8
+
+--S 9 of 1000
+--m0:=a0-r0
+--E  9
+
+--S 10 of 1000
+--d0:=D(m0,x)
+--E  10
+
+)clear all
+
+--S 11 of 1000
+t0:=(c+d*x)^(5/2)*sqrt(a+b*x)/x^6
+--R 
+--R
+--R          2 2             2  +-------+ +-------+
+--R        (d x  + 2c d x + c )\|b x + a \|d x + c
+--R   (1)  ----------------------------------------
+--R                            6
+--R                           x
+--R                                                    Type: Expression(Integer)
+--E  11
+
+--S 12 of 1000
+r0:=-1/128*(b*c-a*d)^4*(7*b*c+3*a*d)*atanh(sqrt(c)*sqrt(a+b*x)/(sqrt(a)*_
+     sqrt(c+d*x)))/(a^(9/2)*c^(5/2))-1/40*(b*c+5*a*d)*(c+d*x)^(3/2)*_
+     sqrt(a+b*x)/(a*x^4)-1/5*(c+d*x)^(5/2)*sqrt(a+b*x)/x^5+1/240*_
+     (b*c-3*a*d)*(7*b*c+5*a*d)*sqrt(a+b*x)*sqrt(c+d*x)/(a^2*x^3)-_
+     1/960*(35*b^3*c^3-111*a*b^2*c^2*d+109*a^2*b*c*d^2+15*a^3*d^3)*_
+     sqrt(a+b*x)*sqrt(c+d*x)/(a^3*c*x^2)+1/1920*(105*b^4*c^4-_
+     340*a*b^3*c^3*d+346*a^2*b^2*c^2*d^2-60*a^3*b*c*d^3+45*a^4*d^4)*_
+     sqrt(a+b*x)*sqrt(c+d*x)/(a^4*c^2*x)
+--R 
+--R
+--R   (2)
+--R                5 5      4     4       3 2 2 3       2 3 3 2         4 4
+--R           - 45a d  + 75a b c d  + 150a b c d  - 450a b c d  + 375a b c d
+--R         + 
+--R                 5 5
+--R           - 105b c
+--R      *
+--R                  +-+ +-------+
+--R          5      \|c \|b x + a
+--R         x atanh(--------------)
+--R                  +-+ +-------+
+--R                 \|a \|d x + c
+--R     + 
+--R               4 4      3     3       2 2 2 2         3 3        4 4  4
+--R           (45a d  - 60a b c d  + 346a b c d  - 340a b c d + 105b c )x
+--R         + 
+--R                 4   3       3   2 2       2 2 3         3 4  3
+--R           (- 30a c d  - 218a b c d  + 222a b c d - 70a b c )x
+--R         + 
+--R                  4 2 2       3   3       2 2 4  2           4 3       3   4
+--R           (- 744a c d  - 176a b c d + 56a b c )x  + (- 1008a c d - 48a b c )x
+--R         + 
+--R                 4 4
+--R           - 384a c
+--R      *
+--R          +-+ +-+ +-------+ +-------+
+--R         \|a \|c \|b x + a \|d x + c
+--R  /
+--R          4 2 5 +-+ +-+
+--R     1920a c x \|a \|c
+--R                                                    Type: Expression(Integer)
+--E  12
+
+--S 13 of 1000
+--a0:=integrate(t0,x)
+--E  13
+
+--S 14 of 1000
+--m0:=a0-r0
+--E  14
+
+--S 15 of 1000
+--d0:=D(m0,x)
+--E  15
+
+)clear all
+
+--S 16 of 1000
+t0:=(c+d*x)^(5/2)*sqrt(a+b*x)/x^7
+--R 
+--R
+--R          2 2             2  +-------+ +-------+
+--R        (d x  + 2c d x + c )\|b x + a \|d x + c
+--R   (1)  ----------------------------------------
+--R                            7
+--R                           x
+--R                                                    Type: Expression(Integer)
+--E  16
+
+--S 17 of 1000
+r0:=1/512*(b*c-a*d)^4*(21*b^2*c^2+14*a*b*c*d+5*a^2*d^2)*atanh(sqrt(c)*_
+     sqrt(a+b*x)/(sqrt(a)*sqrt(c+d*x)))/(a^(11/2)*c^(7/2))-_
+     1/60*(b*c+5*a*d)*(c+d*x)^(3/2)*sqrt(a+b*x)/(a*x^5)-_
+     1/6*(c+d*x)^(5/2)*sqrt(a+b*x)/x^6+1/160*(3*b^2*c^2-6*a*b*c*d-_
+     5*a^2*d^2)*sqrt(a+b*x)*sqrt(c+d*x)/(a^2*x^4)-1/960*(21*b^3*c^3-_
+     61*a*b^2*c^2*d+51*a^2*b*c*d^2+5*a^3*d^3)*sqrt(a+b*x)*_
+     sqrt(c+d*x)/(a^3*c*x^3)+1/3840*(105*b^4*c^4-308*a*b^3*c^3*d+_
+     262*a^2*b^2*c^2*d^2-20*a^3*b*c*d^3+25*a^4*d^4)*sqrt(a+b*x)*_
+     sqrt(c+d*x)/(a^4*c^2*x^2)-1/7680*(315*b^5*c^5-945*a*b^4*c^4*d+_
+     838*a^2*b^3*c^3*d^2-90*a^3*b^2*c^2*d^3-65*a^4*b*c*d^4+75*a^5*d^5)*_
+     sqrt(a+b*x)*sqrt(c+d*x)/(a^5*c^3*x)
+--R 
+--R
+--R   (2)
+--R              6 6      5     5      4 2 2 4       3 3 3 3        2 4 4 2
+--R           75a d  - 90a b c d  - 75a b c d  - 300a b c d  + 1125a b c d
+--R         + 
+--R                    5 5        6 6
+--R           - 1050a b c d + 315b c
+--R      *
+--R                  +-+ +-------+
+--R          6      \|c \|b x + a
+--R         x atanh(--------------)
+--R                  +-+ +-------+
+--R                 \|a \|d x + c
+--R     + 
+--R                    5 5      4     4      3 2 2 3       2 3 3 2         4 4
+--R               - 75a d  + 65a b c d  + 90a b c d  - 838a b c d  + 945a b c d
+--R             + 
+--R                     5 5
+--R               - 315b c
+--R          *
+--R              5
+--R             x
+--R         + 
+--R               5   4      4   2 3       3 2 3 2       2 3 4          4 5  4
+--R           (50a c d  - 40a b c d  + 524a b c d  - 616a b c d + 210a b c )x
+--R         + 
+--R                 5 2 3       4   3 2       3 2 4        2 3 5  3
+--R           (- 40a c d  - 408a b c d  + 488a b c d - 168a b c )x
+--R         + 
+--R                   5 3 2       4   4        3 2 5  2
+--R           (- 2160a c d  - 416a b c d + 144a b c )x
+--R         + 
+--R                   5 4        4   5          5 5
+--R           (- 3200a c d - 128a b c )x - 1280a c
+--R      *
+--R          +-+ +-+ +-------+ +-------+
+--R         \|a \|c \|b x + a \|d x + c
+--R  /
+--R          5 3 6 +-+ +-+
+--R     7680a c x \|a \|c
+--R                                                    Type: Expression(Integer)
+--E  17
+
+--S 18 of 1000
+--a0:=integrate(t0,x)
+--E  18
+
+--S 19 of 1000
+--m0:=a0-r0
+--E  19
+
+--S 20 of 1000
+--d0:=D(m0,x)
+--E  20
+
+)clear all
+
+--S 21 of 1000
+t0:=x^3*sqrt(a+b*x)/sqrt(c+d*x)
+--R 
+--R
+--R         3 +-------+
+--R        x \|b x + a
+--R   (1)  ------------
+--R          +-------+
+--R         \|d x + c
+--R                                                    Type: Expression(Integer)
+--E  21
+
+--S 22 of 1000
+r0:=1/64*(b*c-a*d)*(35*b^3*c^3+15*a*b^2*c^2*d+9*a^2*b*c*d^2+5*a^3*d^3)*_
+     atanh(sqrt(d)*sqrt(a+b*x)/(sqrt(b)*sqrt(c+d*x)))/(b^(7/2)*d^(9/2))-_
+     1/192*(105*b^3*c^3-25*a*b^2*c^2*d-17*a^2*b*c*d^2-15*a^3*d^3)*_
+     sqrt(a+b*x)*sqrt(c+d*x)/(b^3*d^4)-1/96*(6*a*c-35*b*c^2/d+5*a^2*d/b)*_
+     x*sqrt(a+b*x)*sqrt(c+d*x)/(b*d^2)-1/24*(7*b*c-a*d)*x^2*sqrt(a+b*x)*_
+     sqrt(c+d*x)/(b*d^2)+1/4*x^3*sqrt(a+b*x)*sqrt(c+d*x)/d
+--R 
+--R
+--R   (2)
+--R               4 4      3     3      2 2 2 2        3 3        4 4
+--R         (- 15a d  - 12a b c d  - 18a b c d  - 60a b c d + 105b c )
+--R      *
+--R                +-+ +-------+
+--R               \|d \|b x + a
+--R         atanh(--------------)
+--R                +-+ +-------+
+--R               \|b \|d x + c
+--R     + 
+--R              3 3 3        2 3      3   2  2
+--R           48b d x  + (8a b d  - 56b c d )x
+--R         + 
+--R                 2   3        2   2      3 2         3 3      2     2
+--R           (- 10a b d  - 12a b c d  + 70b c d)x + 15a d  + 17a b c d
+--R         + 
+--R                2 2        3 3
+--R           25a b c d - 105b c
+--R      *
+--R          +-+ +-+ +-------+ +-------+
+--R         \|b \|d \|b x + a \|d x + c
+--R  /
+--R         3 4 +-+ +-+
+--R     192b d \|b \|d
+--R                                                    Type: Expression(Integer)
+--E  22
+
+--S 23 of 1000
+--a0:=integrate(t0,x)
+--E  23
+
+--S 24 of 1000
+--m0:=a0-r0
+--E  24
+
+--S 25 of 1000
+--d0:=D(m0,x)
+--E  25
+
+)clear all
+
+--S 26 of 1000
+t0:=x^2*sqrt(a+b*x)/sqrt(c+d*x)
+--R 
+--R
+--R         2 +-------+
+--R        x \|b x + a
+--R   (1)  ------------
+--R          +-------+
+--R         \|d x + c
+--R                                                    Type: Expression(Integer)
+--E  26
+
+--S 27 of 1000
+r0:=-1/8*(b*c-a*d)*(5*b^2*c^2+2*a*b*c*d+a^2*d^2)*atanh(sqrt(d)*sqrt(a+b*x)/_
+     (sqrt(b)*sqrt(c+d*x)))/(b^(5/2)*d^(7/2))-1/12*(5*b*c+3*a*d)*_
+     (a+b*x)^(3/2)*sqrt(c+d*x)/(b^2*d^2)+1/3*x*(a+b*x)^(3/2)*_
+     sqrt(c+d*x)/(b*d)+1/8*(5*b^2*c^2+2*a*b*c*d+a^2*d^2)*sqrt(a+b*x)*_
+     sqrt(c+d*x)/(b^2*d^3)
+--R 
+--R
+--R   (2)
+--R                                                     +-+ +-------+
+--R          3 3     2     2       2 2       3 3       \|d \|b x + a
+--R       (3a d  + 3a b c d  + 9a b c d - 15b c )atanh(--------------)
+--R                                                     +-+ +-------+
+--R                                                    \|b \|d x + c
+--R     + 
+--R            2 2 2          2      2          2 2                 2 2  +-+ +-+
+--R         (8b d x  + (2a b d  - 10b c d)x - 3a d  - 4a b c d + 15b c )\|b \|d
+--R      *
+--R          +-------+ +-------+
+--R         \|b x + a \|d x + c
+--R  /
+--R        2 3 +-+ +-+
+--R     24b d \|b \|d
+--R                                                    Type: Expression(Integer)
+--E  27
+
+--S 28 of 1000
+--a0:=integrate(t0,x)
+--E  28
+
+--S 29 of 1000
+--m0:=a0-r0
+--E  29
+
+--S 30 of 1000
+--d0:=D(m0,x)
+--E  30
+
+)clear all
+
+--S 31 of 1000
+t0:=x*sqrt(a+b*x)/sqrt(c+d*x)
+--R 
+--R
+--R          +-------+
+--R        x\|b x + a
+--R   (1)  -----------
+--R          +-------+
+--R         \|d x + c
+--R                                                    Type: Expression(Integer)
+--E  31
+
+--S 32 of 1000
+r0:=1/4*(b*c-a*d)*(3*b*c+a*d)*atanh(sqrt(d)*sqrt(a+b*x)/(sqrt(b)*_
+     sqrt(c+d*x)))/(b^(3/2)*d^(5/2))+1/2*(a+b*x)^(3/2)*sqrt(c+d*x)/(b*d)-_
+     1/4*(3*b*c+a*d)*sqrt(a+b*x)*sqrt(c+d*x)/(b*d^2)
+--R 
+--R
+--R   (2)
+--R                                         +-+ +-------+
+--R           2 2                2 2       \|d \|b x + a
+--R       (- a d  - 2a b c d + 3b c )atanh(--------------)
+--R                                         +-+ +-------+
+--R                                        \|b \|d x + c
+--R     + 
+--R                             +-+ +-+ +-------+ +-------+
+--R       (2b d x + a d - 3b c)\|b \|d \|b x + a \|d x + c
+--R  /
+--R         2 +-+ +-+
+--R     4b d \|b \|d
+--R                                                    Type: Expression(Integer)
+--E  32
+
+--S 33 of 1000
+--a0:=integrate(t0,x)
+--E  33
+
+--S 34 of 1000
+--m0:=a0-r0
+--E  34
+
+--S 35 of 1000
+--d0:=D(m0,x)
+--E  35
+
+)clear all
+
+--S 36 of 1000
+t0:=sqrt(a+b*x)/sqrt(c+d*x)
+--R 
+--R
+--R         +-------+
+--R        \|b x + a
+--R   (1)  ----------
+--R         +-------+
+--R        \|d x + c
+--R                                                    Type: Expression(Integer)
+--E  36
+
+--S 37 of 1000
+r0:=-(b*c-a*d)*atanh(sqrt(d)*sqrt(a+b*x)/(sqrt(b)*sqrt(c+d*x)))/_
+     (d^(3/2)*sqrt(b))+sqrt(a+b*x)*sqrt(c+d*x)/d
+--R 
+--R
+--R                          +-+ +-------+
+--R                         \|d \|b x + a      +-+ +-+ +-------+ +-------+
+--R        (a d - b c)atanh(--------------) + \|b \|d \|b x + a \|d x + c
+--R                          +-+ +-------+
+--R                         \|b \|d x + c
+--R   (2)  ---------------------------------------------------------------
+--R                                     +-+ +-+
+--R                                   d\|b \|d
+--R                                                    Type: Expression(Integer)
+--E  37
+
+--S 38 of 1000
+--a0:=integrate(t0,x)
+--E  38
+
+--S 39 of 1000
+--m0:=a0-r0
+--E  39
+
+--S 40 of 1000
+--d0:=D(m0,x)
+--E  40
+
+)clear all
+
+--S 41 of 1000
+t0:=sqrt(a+b*x)/(x*sqrt(c+d*x))
+--R 
+--R
+--R          +-------+
+--R         \|b x + a
+--R   (1)  -----------
+--R          +-------+
+--R        x\|d x + c
+--R                                                    Type: Expression(Integer)
+--E  41
+
+--S 42 of 1000
+r0:=-2*atanh(sqrt(c)*sqrt(a+b*x)/(sqrt(a)*sqrt(c+d*x)))*sqrt(a)/sqrt(c)+_
+     2*atanh(sqrt(d)*sqrt(a+b*x)/(sqrt(b)*sqrt(c+d*x)))*sqrt(b)/sqrt(d)
+--R 
+--R
+--R                        +-+ +-------+                    +-+ +-------+
+--R          +-+ +-+      \|d \|b x + a       +-+ +-+      \|c \|b x + a
+--R        2\|b \|c atanh(--------------) - 2\|a \|d atanh(--------------)
+--R                        +-+ +-------+                    +-+ +-------+
+--R                       \|b \|d x + c                    \|a \|d x + c
+--R   (2)  ---------------------------------------------------------------
+--R                                     +-+ +-+
+--R                                    \|c \|d
+--R                                                    Type: Expression(Integer)
+--E  42
+
+--S 43 of 1000
+--a0:=integrate(t0,x)
+--E  43
+
+--S 44 of 1000
+--m0:=a0-r0
+--E  44
+
+--S 45 of 1000
+--d0:=D(m0,x)
+--E  45
+
+)clear all
+
+--S 46 of 1000
+t0:=sqrt(a+b*x)/(x^2*sqrt(c+d*x))
+--R 
+--R
+--R          +-------+
+--R         \|b x + a
+--R   (1)  ------------
+--R         2 +-------+
+--R        x \|d x + c
+--R                                                    Type: Expression(Integer)
+--E  46
+
+--S 47 of 1000
+r0:=-(b*c-a*d)*atanh(sqrt(c)*sqrt(a+b*x)/(sqrt(a)*sqrt(c+d*x)))/(c^(3/2)*_
+     sqrt(a))-sqrt(a+b*x)*sqrt(c+d*x)/(c*x)
+--R 
+--R
+--R                            +-+ +-------+
+--R                           \|c \|b x + a      +-+ +-+ +-------+ +-------+
+--R        (a d - b c)x atanh(--------------) - \|a \|c \|b x + a \|d x + c
+--R                            +-+ +-------+
+--R                           \|a \|d x + c
+--R   (2)  -----------------------------------------------------------------
+--R                                       +-+ +-+
+--R                                   c x\|a \|c
+--R                                                    Type: Expression(Integer)
+--E  47
+
+--S 48 of 1000
+--a0:=integrate(t0,x)
+--E  48
+
+--S 49 of 1000
+--m0:=a0-r0
+--E  49
+
+--S 50 of 1000
+--d0:=D(m0,x)
+--E  50
+
+)clear all
+
+--S 51 of 1000
+t0:=sqrt(a+b*x)/(x^3*sqrt(c+d*x))
+--R 
+--R
+--R          +-------+
+--R         \|b x + a
+--R   (1)  ------------
+--R         3 +-------+
+--R        x \|d x + c
+--R                                                    Type: Expression(Integer)
+--E  51
+
+--S 52 of 1000
+r0:=1/4*(b*c-a*d)*(b*c+3*a*d)*atanh(sqrt(c)*sqrt(a+b*x)/(sqrt(a)*_
+     sqrt(c+d*x)))/(a^(3/2)*c^(5/2))-1/2*sqrt(a+b*x)*sqrt(c+d*x)/(c*x^2)-_
+     1/4*(b*c-3*a*d)*sqrt(a+b*x)*sqrt(c+d*x)/(a*c^2*x)
+--R 
+--R
+--R   (2)
+--R                                           +-+ +-------+
+--R            2 2               2 2  2      \|c \|b x + a
+--R       (- 3a d  + 2a b c d + b c )x atanh(--------------)
+--R                                           +-+ +-------+
+--R                                          \|a \|d x + c
+--R     + 
+--R                              +-+ +-+ +-------+ +-------+
+--R       ((3a d - b c)x - 2a c)\|a \|c \|b x + a \|d x + c
+--R  /
+--R         2 2 +-+ +-+
+--R     4a c x \|a \|c
+--R                                                    Type: Expression(Integer)
+--E  52
+
+--S 53 of 1000
+--a0:=integrate(t0,x)
+--E  53
+
+--S 54 of 1000
+--m0:=a0-r0
+--E  54
+
+--S 55 of 1000
+--d0:=D(m0,x)
+--E  55
+
+)clear all
+
+--S 56 of 1000
+t0:=sqrt(a+b*x)/(x^4*sqrt(c+d*x))
+--R 
+--R
+--R          +-------+
+--R         \|b x + a
+--R   (1)  ------------
+--R         4 +-------+
+--R        x \|d x + c
+--R                                                    Type: Expression(Integer)
+--E  56
+
+--S 57 of 1000
+r0:=-1/8*(b*c-a*d)*(b^2*c^2+2*a*b*c*d+5*a^2*d^2)*atanh(sqrt(c)*sqrt(a+b*x)/_
+     (sqrt(a)*sqrt(c+d*x)))/(a^(5/2)*c^(7/2))-1/3*sqrt(a+b*x)*sqrt(c+d*x)/_
+     (c*x^3)-1/12*(b*c-5*a*d)*sqrt(a+b*x)*sqrt(c+d*x)/(a*c^2*x^2)+_
+     1/24*(3*b*c-5*a*d)*(b*c+3*a*d)*sqrt(a+b*x)*sqrt(c+d*x)/(a^2*c^3*x)
+--R 
+--R
+--R   (2)
+--R                                                       +-+ +-------+
+--R           3 3     2     2       2 2      3 3  3      \|c \|b x + a
+--R       (15a d  - 9a b c d  - 3a b c d - 3b c )x atanh(--------------)
+--R                                                       +-+ +-------+
+--R                                                      \|a \|d x + c
+--R     + 
+--R                2 2                2 2  2       2            2       2 2  +-+
+--R         ((- 15a d  + 4a b c d + 3b c )x  + (10a c d - 2a b c )x - 8a c )\|a
+--R      *
+--R          +-+ +-------+ +-------+
+--R         \|c \|b x + a \|d x + c
+--R  /
+--R        2 3 3 +-+ +-+
+--R     24a c x \|a \|c
+--R                                                    Type: Expression(Integer)
+--E  57
+
+--S 58 of 1000
+--a0:=integrate(t0,x)
+--E  58
+
+--S 59 of 1000
+--m0:=a0-r0
+--E  59
+
+--S 60 of 1000
+--d0:=D(m0,x)
+--E  60
+
+)clear all
+
+--S 61 of 1000
+t0:=sqrt(a+b*x)/(x^5*sqrt(c+d*x))
+--R 
+--R
+--R          +-------+
+--R         \|b x + a
+--R   (1)  ------------
+--R         5 +-------+
+--R        x \|d x + c
+--R                                                    Type: Expression(Integer)
+--E  61
+
+--S 62 of 1000
+r0:=1/64*(b*c-a*d)*(5*b^3*c^3+9*a*b^2*c^2*d+15*a^2*b*c*d^2+35*a^3*d^3)*_
+     atanh(sqrt(c)*sqrt(a+b*x)/(sqrt(a)*sqrt(c+d*x)))/(a^(7/2)*c^(9/2))-_
+     1/4*sqrt(a+b*x)*sqrt(c+d*x)/(c*x^4)-1/24*(b*c-7*a*d)*sqrt(a+b*x)*_
+     sqrt(c+d*x)/(a*c^2*x^3)+1/96*(5*b^2*c^2+6*a*b*c*d-35*a^2*d^2)*_
+     sqrt(a+b*x)*sqrt(c+d*x)/(a^2*c^3*x^2)-1/192*(15*b^3*c^3+17*a*b^2*c^2*d+_
+     25*a^2*b*c*d^2-105*a^3*d^3)*sqrt(a+b*x)*sqrt(c+d*x)/(a^3*c^4*x)
+--R 
+--R
+--R   (2)
+--R                4 4      3     3      2 2 2 2        3 3       4 4  4
+--R         (- 105a d  + 60a b c d  + 18a b c d  + 12a b c d + 15b c )x
+--R      *
+--R                +-+ +-------+
+--R               \|c \|b x + a
+--R         atanh(--------------)
+--R                +-+ +-------+
+--R               \|a \|d x + c
+--R     + 
+--R                3 3      2     2        2 2       3 3  3
+--R           (105a d  - 25a b c d  - 17a b c d - 15b c )x
+--R         + 
+--R               3   2      2   2         2 3  2       3 2      2   3        3 3
+--R         (- 70a c d  + 12a b c d + 10a b c )x  + (56a c d - 8a b c )x - 48a c
+--R      *
+--R          +-+ +-+ +-------+ +-------+
+--R         \|a \|c \|b x + a \|d x + c
+--R  /
+--R         3 4 4 +-+ +-+
+--R     192a c x \|a \|c
+--R                                                    Type: Expression(Integer)
+--E  62
+
+--S 63 of 1000
+--a0:=integrate(t0,x)
+--E  63
+
+--S 64 of 1000
+--m0:=a0-r0
+--E  64
+
+--S 65 of 1000
+--d0:=D(m0,x)
+--E  65
+
+)clear all
+
+--S 66 of 1000
+t0:=x^2*sqrt(a+b*x)/(c+d*x)^(3/2)
+--R 
+--R
+--R             2 +-------+
+--R            x \|b x + a
+--R   (1)  -------------------
+--R                  +-------+
+--R        (d x + c)\|d x + c
+--R                                                    Type: Expression(Integer)
+--E  66
+
+--S 67 of 1000
+r0:=1/4*(15*b^2*c^2-6*a*b*c*d-a^2*d^2)*atanh(sqrt(d)*sqrt(a+b*x)/(sqrt(b)*_
+     sqrt(c+d*x)))/(b^(3/2)*d^(7/2))+2*c^2*(a+b*x)^(3/2)/(d^2*(b*c-a*d)*_
+     sqrt(c+d*x))+1/2*(a+b*x)^(3/2)*sqrt(c+d*x)/(b*d^2)+1/4*(6*a*c-_
+     15*b*c^2/d+a^2*d/b)*sqrt(a+b*x)*sqrt(c+d*x)/(d^2*(b*c-a*d))
+--R 
+--R
+--R   (2)
+--R                                                    +-+ +-------+
+--R           2 2                 2 2  +-------+      \|d \|b x + a
+--R       (- a d  - 6a b c d + 15b c )\|d x + c atanh(--------------)
+--R                                                    +-+ +-------+
+--R                                                   \|b \|d x + c
+--R     + 
+--R            2 2       2                           2  +-+ +-+ +-------+
+--R       (2b d x  + (a d  - 5b c d)x + a c d - 15b c )\|b \|d \|b x + a
+--R  /
+--R         3 +-+ +-+ +-------+
+--R     4b d \|b \|d \|d x + c
+--R                                                    Type: Expression(Integer)
+--E  67
+
+--S 68 of 1000
+--a0:=integrate(t0,x)
+--E  68
+
+--S 69 of 1000
+--m0:=a0-r0
+--E  69
+
+--S 70 of 1000
+--d0:=D(m0,x)
+--E  70
+
+)clear all
+
+--S 71 of 1000
+t0:=x*sqrt(a+b*x)/(c+d*x)^(3/2)
+--R 
+--R
+--R              +-------+
+--R            x\|b x + a
+--R   (1)  -------------------
+--R                  +-------+
+--R        (d x + c)\|d x + c
+--R                                                    Type: Expression(Integer)
+--E  71
+
+--S 72 of 1000
+r0:=-(3*b*c-a*d)*atanh(sqrt(d)*sqrt(a+b*x)/(sqrt(b)*sqrt(c+d*x)))/_
+     (d^(5/2)*sqrt(b))-2*c*(a+b*x)^(3/2)/(d*(b*c-a*d)*sqrt(c+d*x))+_
+     (3*b*c-a*d)*sqrt(a+b*x)*sqrt(c+d*x)/(d^2*(b*c-a*d))
+--R 
+--R
+--R   (2)
+--R                                +-+ +-------+
+--R                +-------+      \|d \|b x + a                +-+ +-+ +-------+
+--R   (a d - 3b c)\|d x + c atanh(--------------) + (d x + 3c)\|b \|d \|b x + a
+--R                                +-+ +-------+
+--R                               \|b \|d x + c
+--R   --------------------------------------------------------------------------
+--R                               2 +-+ +-+ +-------+
+--R                              d \|b \|d \|d x + c
+--R                                                    Type: Expression(Integer)
+--E  72
+
+--S 73 of 1000
+--a0:=integrate(t0,x)
+--E  73
+
+--S 74 of 1000
+--m0:=a0-r0
+--E  74
+
+--S 75 of 1000
+--d0:=D(m0,x)
+--E  75
+
+)clear all
+
+--S 76 of 1000
+t0:=sqrt(a+b*x)/(c+d*x)^(3/2)
+--R 
+--R
+--R              +-------+
+--R             \|b x + a
+--R   (1)  -------------------
+--R                  +-------+
+--R        (d x + c)\|d x + c
+--R                                                    Type: Expression(Integer)
+--E  76
+
+--S 77 of 1000
+r0:=2*atanh(sqrt(d)*sqrt(a+b*x)/(sqrt(b)*sqrt(c+d*x)))*sqrt(b)/d^(3/2)-_
+     2*sqrt(a+b*x)/(d*sqrt(c+d*x))
+--R 
+--R
+--R                              +-+ +-------+
+--R          +-+ +-------+      \|d \|b x + a       +-+ +-------+
+--R        2\|b \|d x + c atanh(--------------) - 2\|d \|b x + a
+--R                              +-+ +-------+
+--R                             \|b \|d x + c
+--R   (2)  ------------------------------------------------------
+--R                              +-+ +-------+
+--R                            d\|d \|d x + c
+--R                                                    Type: Expression(Integer)
+--E  77
+
+--S 78 of 1000
+--a0:=integrate(t0,x)
+--E  78
+
+--S 79 of 1000
+--m0:=a0-r0
+--E  79
+
+--S 80 of 1000
+--d0:=D(m0,x)
+--E  80
+
+)clear all
+
+--S 81 of 1000
+t0:=sqrt(a+b*x)/(x*(c+d*x)^(3/2))
+--R 
+--R
+--R               +-------+
+--R              \|b x + a
+--R   (1)  ----------------------
+--R            2        +-------+
+--R        (d x  + c x)\|d x + c
+--R                                                    Type: Expression(Integer)
+--E  81
+
+--S 82 of 1000
+r0:=-2*atanh(sqrt(c)*sqrt(a+b*x)/(sqrt(a)*sqrt(c+d*x)))*sqrt(a)/c^(3/2)+_
+     2*sqrt(a+b*x)/(c*sqrt(c+d*x))
+--R 
+--R
+--R                                +-+ +-------+
+--R            +-+ +-------+      \|c \|b x + a       +-+ +-------+
+--R        - 2\|a \|d x + c atanh(--------------) + 2\|c \|b x + a
+--R                                +-+ +-------+
+--R                               \|a \|d x + c
+--R   (2)  --------------------------------------------------------
+--R                               +-+ +-------+
+--R                             c\|c \|d x + c
+--R                                                    Type: Expression(Integer)
+--E  82
+
+--S 83 of 1000
+--a0:=integrate(t0,x)
+--E  83
+
+--S 84 of 1000
+--m0:=a0-r0
+--E  84
+
+--S 85 of 1000
+--d0:=D(m0,x)
+--E  85
+
+)clear all
+
+--S 86 of 1000
+t0:=sqrt(a+b*x)/(x^2*(c+d*x)^(3/2))
+--R 
+--R
+--R                +-------+
+--R               \|b x + a
+--R   (1)  -----------------------
+--R            3      2  +-------+
+--R        (d x  + c x )\|d x + c
+--R                                                    Type: Expression(Integer)
+--E  86
+
+--S 87 of 1000
+r0:=-(b*c-3*a*d)*atanh(sqrt(c)*sqrt(a+b*x)/(sqrt(a)*sqrt(c+d*x)))/(c^(5/2)*_
+     sqrt(a))-3*d*sqrt(a+b*x)/(c^2*sqrt(c+d*x))-sqrt(a+b*x)/(c*x*sqrt(c+d*x))
+--R 
+--R
+--R   (2)
+--R                                 +-+ +-------+
+--R                 +-------+      \|c \|b x + a                  +-+ +-+ +-------+
+--R   (3a d - b c)x\|d x + c atanh(--------------) + (- 3d x - c)\|a \|c \|b x + a
+--R                                 +-+ +-------+
+--R                                \|a \|d x + c
+--R   -----------------------------------------------------------------------------
+--R                                2  +-+ +-+ +-------+
+--R                               c x\|a \|c \|d x + c
+--R                                                    Type: Expression(Integer)
+--E  87
+
+--S 88 of 1000
+--a0:=integrate(t0,x)
+--E  88
+
+--S 89 of 1000
+--m0:=a0-r0
+--E  89
+
+--S 90 of 1000
+--d0:=D(m0,x)
+--E  90
+
+)clear all
+
+--S 91 of 1000
+t0:=sqrt(a+b*x)/(x^3*(c+d*x)^(3/2))
+--R 
+--R
+--R                +-------+
+--R               \|b x + a
+--R   (1)  -----------------------
+--R            4      3  +-------+
+--R        (d x  + c x )\|d x + c
+--R                                                    Type: Expression(Integer)
+--E  91
+
+--S 92 of 1000
+r0:=1/4*(b^2*c^2+6*a*b*c*d-15*a^2*d^2)*atanh(sqrt(c)*sqrt(a+b*x)/(sqrt(a)*_
+     sqrt(c+d*x)))/(a^(3/2)*c^(7/2))-1/4*d*(b*c-15*a*d)*sqrt(a+b*x)/_
+     (a*c^3*sqrt(c+d*x))-1/2*sqrt(a+b*x)/(c*x^2*sqrt(c+d*x))-_
+     1/4*(b*c-5*a*d)*sqrt(a+b*x)/(a*c^2*x*sqrt(c+d*x))
+--R 
+--R
+--R   (2)
+--R                                                      +-+ +-------+
+--R             2 2               2 2  2 +-------+      \|c \|b x + a
+--R       (- 15a d  + 6a b c d + b c )x \|d x + c atanh(--------------)
+--R                                                      +-+ +-------+
+--R                                                     \|a \|d x + c
+--R     + 
+--R              2          2                2         2  +-+ +-+ +-------+
+--R       ((15a d  - b c d)x  + (5a c d - b c )x - 2a c )\|a \|c \|b x + a
+--R  /
+--R         3 2 +-+ +-+ +-------+
+--R     4a c x \|a \|c \|d x + c
+--R                                                    Type: Expression(Integer)
+--E  92
+
+--S 93 of 1000
+--a0:=integrate(t0,x)
+--E  93
+
+--S 94 of 1000
+--m0:=a0-r0
+--E  94
+
+--S 95 of 1000
+--d0:=D(m0,x)
+--E  95
+
+)clear all
+
+--S 96 of 1000
+t0:=x^3*sqrt(a+b*x)/(c+d*x)^(5/2)
+--R 
+--R
+--R                  3 +-------+
+--R                 x \|b x + a
+--R   (1)  ------------------------------
+--R          2 2             2  +-------+
+--R        (d x  + 2c d x + c )\|d x + c
+--R                                                    Type: Expression(Integer)
+--E  96
+
+--S 97 of 1000
+r0:=1/4*(35*b^2*c^2-10*a*b*c*d-a^2*d^2)*atanh(sqrt(d)*sqrt(a+b*x)/_
+     (sqrt(b)*sqrt(c+d*x)))/(b^(3/2)*d^(9/2))-2/3*x^3*sqrt(a+b*x)/_
+     (d*(c+d*x)^(3/2))-2/3*(7*b*c-6*a*d)*x^2*sqrt(a+b*x)/(d^2*(b*c-a*d)*_
+     sqrt(c+d*x))-1/12*(105*b^2*c^2-100*a*b*c*d+3*a^2*d^2)*sqrt(a+b*x)*_
+     sqrt(c+d*x)/(b*d^4*(b*c-a*d))+1/6*(35*b*c-31*a*d)*x*sqrt(a+b*x)*_
+     sqrt(c+d*x)/(d^3*(b*c-a*d))
+--R 
+--R
+--R   (2)
+--R                3 4      2     3         2 2 2       3 3        3   3
+--R           (- 3a d  - 27a b c d  + 135a b c d  - 105b c d)x - 3a c d
+--R         + 
+--R                2   2 2         2 3        3 4
+--R           - 27a b c d  + 135a b c d - 105b c
+--R      *
+--R                          +-+ +-------+
+--R          +-------+      \|d \|b x + a
+--R         \|d x + c atanh(--------------)
+--R                          +-+ +-------+
+--R                         \|b \|d x + c
+--R     + 
+--R                  4     2   3  3      2 4            3      2 2 2  2
+--R           (6a b d  - 6b c d )x  + (3a d  - 24a b c d  + 21b c d )x
+--R         + 
+--R              2   3           2 2       2 3        2 2 2           3        2 4
+--R           (6a c d  - 138a b c d  + 140b c d)x + 3a c d  - 100a b c d + 105b c
+--R      *
+--R          +-+ +-+ +-------+
+--R         \|b \|d \|b x + a
+--R  /
+--R              6      2   5              5      2 2 4  +-+ +-+ +-------+
+--R     ((12a b d  - 12b c d )x + 12a b c d  - 12b c d )\|b \|d \|d x + c
+--R                                                    Type: Expression(Integer)
+--E  97
+
+--S 98 of 1000
+--a0:=integrate(t0,x)
+--E  98
+
+--S 99 of 1000
+--m0:=a0-r0
+--E  99
+
+--S 100 of 1000
+--d0:=D(m0,x)
+--E  100
+
+)clear all
+
+--S 101 of 1000
+t0:=x^2*sqrt(a+b*x)/(c+d*x)^(5/2)
+--R 
+--R
+--R                  2 +-------+
+--R                 x \|b x + a
+--R   (1)  ------------------------------
+--R          2 2             2  +-------+
+--R        (d x  + 2c d x + c )\|d x + c
+--R                                                    Type: Expression(Integer)
+--E  101
+
+--S 102 of 1000
+r0:=2/3*c^2*(a+b*x)^(3/2)/(d^2*(b*c-a*d)*(c+d*x)^(3/2))-(5*b*c-a*d)*_
+     atanh(sqrt(d)*sqrt(a+b*x)/(sqrt(b)*sqrt(c+d*x)))/(d^(7/2)*sqrt(b))-_
+     4*c*(a+b*x)^(3/2)/(d^2*(b*c-a*d)*sqrt(c+d*x))+(5*b*c-a*d)*_
+     sqrt(a+b*x)*sqrt(c+d*x)/(d^3*(b*c-a*d))
+--R 
+--R
+--R   (2)
+--R             2 3            2      2 2        2   2          2       2 3
+--R         ((3a d  - 18a b c d  + 15b c d)x + 3a c d  - 18a b c d + 15b c )
+--R      *
+--R                          +-+ +-------+
+--R          +-------+      \|d \|b x + a
+--R         \|d x + c atanh(--------------)
+--R                          +-+ +-------+
+--R                         \|b \|d x + c
+--R     + 
+--R               3         2  2           2        2           2         3  +-+
+--R         ((3a d  - 3b c d )x  + (18a c d  - 20b c d)x + 13a c d - 15b c )\|b
+--R      *
+--R          +-+ +-------+
+--R         \|d \|b x + a
+--R  /
+--R           5         4           4       2 3  +-+ +-+ +-------+
+--R     ((3a d  - 3b c d )x + 3a c d  - 3b c d )\|b \|d \|d x + c
+--R                                                    Type: Expression(Integer)
+--E  102
+
+--S 103 of 1000
+--a0:=integrate(t0,x)
+--E  103
+
+--S 104 of 1000
+--m0:=a0-r0
+--E  104
+
+--S 105 of 1000
+--d0:=D(m0,x)
+--E  105
+
+)clear all
+
+--S 106 of 1000
+t0:=x*sqrt(a+b*x)/(c+d*x)^(5/2)
+--R 
+--R
+--R                    +-------+
+--R                  x\|b x + a
+--R   (1)  ------------------------------
+--R          2 2             2  +-------+
+--R        (d x  + 2c d x + c )\|d x + c
+--R                                                    Type: Expression(Integer)
+--E  106
+
+--S 107 of 1000
+r0:=-2/3*c*(a+b*x)^(3/2)/(d*(b*c-a*d)*(c+d*x)^(3/2))+2*atanh(sqrt(d)*_
+     sqrt(a+b*x)/(sqrt(b)*sqrt(c+d*x)))*sqrt(b)/d^(5/2)-2*sqrt(a+b*x)/_
+     (d^2*sqrt(c+d*x))
+--R 
+--R
+--R   (2)
+--R                                                                +-+ +-------+
+--R             2                           2  +-+ +-------+      \|d \|b x + a
+--R       ((6a d  - 6b c d)x + 6a c d - 6b c )\|b \|d x + c atanh(--------------)
+--R                                                                +-+ +-------+
+--R                                                               \|b \|d x + c
+--R     + 
+--R               2                           2  +-+ +-------+
+--R       ((- 6a d  + 8b c d)x - 4a c d + 6b c )\|d \|b x + a
+--R  /
+--R           4         3           3       2 2  +-+ +-------+
+--R     ((3a d  - 3b c d )x + 3a c d  - 3b c d )\|d \|d x + c
+--R                                                    Type: Expression(Integer)
+--E  107
+
+--S 108 of 1000
+--a0:=integrate(t0,x)
+--E  108
+
+--S 109 of 1000
+--m0:=a0-r0
+--E  109
+
+--S 110 of 1000
+--d0:=D(m0,x)
+--E  110
+
+)clear all
+
+--S 111 of 1000
+t0:=sqrt(a+b*x)/(c+d*x)^(5/2)
+--R 
+--R
+--R                   +-------+
+--R                  \|b x + a
+--R   (1)  ------------------------------
+--R          2 2             2  +-------+
+--R        (d x  + 2c d x + c )\|d x + c
+--R                                                    Type: Expression(Integer)
+--E  111
+
+--S 112 of 1000
+r0:=2/3*(a+b*x)^(3/2)/((b*c-a*d)*(c+d*x)^(3/2))
+--R 
+--R
+--R                                  +-------+
+--R                    (- 2b x - 2a)\|b x + a
+--R   (2)  ----------------------------------------------
+--R              2                           2  +-------+
+--R        ((3a d  - 3b c d)x + 3a c d - 3b c )\|d x + c
+--R                                                    Type: Expression(Integer)
+--E  112
+
+--S 113 of 1000 ok to fail, differs by a constant
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R              2        2  +-------+ +-------+             2  2 2
+--R       (- 8b c x - 8a c )\|b x + a \|d x + c  + (a c + 16a )d x
+--R     + 
+--R            2      2           3      2 2
+--R       (2a c  + 32a c)d x + a c  + 16a c
+--R  /
+--R           2 3        3 2  2         3 2        4           4         5
+--R     (12a c d  - 12b c d )x  + (24a c d  - 24b c d)x + 12a c d - 12b c
+--R                                         Type: Union(Expression(Integer),...)
+--E  113
+
+--S 114 of 1000 ok to fail, differs by a constant
+m0:=a0-r0
+--R 
+--R
+--R                    2
+--R           a c + 16a
+--R   (4)  ----------------
+--R             2         3
+--R        12a c d - 12b c
+--R                                                    Type: Expression(Integer)
+--E  114
+
+--S 115 of 1000
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E  115
+
+)clear all
+
+--S 116 of 1000
+t0:=sqrt(a+b*x)/(x*(c+d*x)^(5/2))
+--R 
+--R
+--R                    +-------+
+--R                   \|b x + a
+--R   (1)  --------------------------------
+--R          2 3         2    2   +-------+
+--R        (d x  + 2c d x  + c x)\|d x + c
+--R                                                    Type: Expression(Integer)
+--E  116
+
+--S 117 of 1000
+r0:=-2*atanh(sqrt(c)*sqrt(a+b*x)/(sqrt(a)*sqrt(c+d*x)))*sqrt(a)/c^(5/2)+_
+     2/3*sqrt(a+b*x)/(c*(c+d*x)^(3/2))+2/3*(2*b*c-3*a*d)*sqrt(a+b*x)/_
+     (c^2*(b*c-a*d)*sqrt(c+d*x))
+--R 
+--R
+--R   (2)
+--R                                                                  +-+ +-------+
+--R               2                           2  +-+ +-------+      \|c \|b x + a
+--R       ((- 6a d  + 6b c d)x - 6a c d + 6b c )\|a \|d x + c atanh(--------------)
+--R                                                                  +-+ +-------+
+--R                                                                 \|a \|d x + c
+--R     + 
+--R             2                           2  +-+ +-------+
+--R       ((6a d  - 4b c d)x + 8a c d - 6b c )\|c \|b x + a
+--R  /
+--R           2 2       3          3        4  +-+ +-------+
+--R     ((3a c d  - 3b c d)x + 3a c d - 3b c )\|c \|d x + c
+--R                                                    Type: Expression(Integer)
+--E  117
+
+--S 118 of 1000
+--a0:=integrate(t0,x)
+--E  118
+
+--S 119 of 1000
+--m0:=a0-r0
+--E  119
+
+--S 120 of 1000
+--d0:=D(m0,x)
+--E  120
+
+)clear all
+
+--S 121 of 1000
+t0:=sqrt(a+b*x)/(x^2*(c+d*x)^(5/2))
+--R 
+--R
+--R                     +-------+
+--R                    \|b x + a
+--R   (1)  ---------------------------------
+--R          2 4         3    2 2  +-------+
+--R        (d x  + 2c d x  + c x )\|d x + c
+--R                                                    Type: Expression(Integer)
+--E  121
+
+--S 122 of 1000
+r0:=-(b*c-5*a*d)*atanh(sqrt(c)*sqrt(a+b*x)/(sqrt(a)*sqrt(c+d*x)))/_
+     (c^(7/2)*sqrt(a))-5/3*d*sqrt(a+b*x)/(c^2*(c+d*x)^(3/2))-sqrt(a+b*x)/_
+     (c*x*(c+d*x)^(3/2))-1/3*d*(13*b*c-15*a*d)*sqrt(a+b*x)/_
+     (c^3*(b*c-a*d)*sqrt(c+d*x))
+--R 
+--R
+--R   (2)
+--R              2 3            2     2 2   2       2   2          2      2 3
+--R         ((15a d  - 18a b c d  + 3b c d)x  + (15a c d  - 18a b c d + 3b c )x)
+--R      *
+--R                          +-+ +-------+
+--R          +-------+      \|c \|b x + a
+--R         \|d x + c atanh(--------------)
+--R                          +-+ +-------+
+--R                         \|a \|d x + c
+--R     + 
+--R                  3          2  2             2        2          2        3
+--R         ((- 15a d  + 13b c d )x  + (- 20a c d  + 18b c d)x - 3a c d + 3b c )
+--R      *
+--R          +-+ +-+ +-------+
+--R         \|a \|c \|b x + a
+--R  /
+--R           3 2       4   2        4        5    +-+ +-+ +-------+
+--R     ((3a c d  - 3b c d)x  + (3a c d - 3b c )x)\|a \|c \|d x + c
+--R                                                    Type: Expression(Integer)
+--E  122
+
+--S 123 of 1000
+--a0:=integrate(t0,x)
+--E  123
+
+--S 124 of 1000
+--m0:=a0-r0
+--E  124
+
+--S 125 of 1000
+--d0:=D(m0,x)
+--E  125
+
+)clear all
+
+--S 126 of 1000
+t0:=sqrt(a+b*x)/(x^3*(c+d*x)^(5/2))
+--R 
+--R
+--R                     +-------+
+--R                    \|b x + a
+--R   (1)  ---------------------------------
+--R          2 5         4    2 3  +-------+
+--R        (d x  + 2c d x  + c x )\|d x + c
+--R                                                    Type: Expression(Integer)
+--E  126
+
+--S 127 of 1000
+r0:=1/4*(b^2*c^2+10*a*b*c*d-35*a^2*d^2)*atanh(sqrt(c)*sqrt(a+b*x)/_
+     (sqrt(a)*sqrt(c+d*x)))/(a^(3/2)*c^(9/2))-1/12*d*(3*b*c-35*a*d)*_
+     sqrt(a+b*x)/(a*c^3*(c+d*x)^(3/2))-1/2*sqrt(a+b*x)/(c*x^2*(c+d*x)^(3/2))-_
+     1/4*(b*c-7*a*d)*sqrt(a+b*x)/(a*c^2*x*(c+d*x)^(3/2))-_
+     1/12*d*(3*b^2*c^2-100*a*b*c*d+105*a^2*d^2)*sqrt(a+b*x)/_
+     (a*c^4*(b*c-a*d)*sqrt(c+d*x))
+--R 
+--R
+--R   (2)
+--R                  3 4       2     3        2 2 2     3 3   3
+--R           (- 105a d  + 135a b c d  - 27a b c d  - 3b c d)x
+--R         + 
+--R                  3   3       2   2 2        2 3      3 4  2
+--R           (- 105a c d  + 135a b c d  - 27a b c d - 3b c )x
+--R      *
+--R                          +-+ +-------+
+--R          +-------+      \|c \|b x + a
+--R         \|d x + c atanh(--------------)
+--R                          +-+ +-------+
+--R                         \|a \|d x + c
+--R     + 
+--R                2 4             3     2 2 2  3
+--R           (105a d  - 100a b c d  + 3b c d )x
+--R         + 
+--R                2   3           2 2     2 3   2
+--R           (140a c d  - 138a b c d  + 6b c d)x
+--R         + 
+--R               2 2 2          3      2 4       2 3          4
+--R           (21a c d  - 24a b c d + 3b c )x - 6a c d + 6a b c
+--R      *
+--R          +-+ +-+ +-------+
+--R         \|a \|c \|b x + a
+--R  /
+--R          2 4 2          5   3       2 5           6  2  +-+ +-+ +-------+
+--R     ((12a c d  - 12a b c d)x  + (12a c d - 12a b c )x )\|a \|c \|d x + c
+--R                                                    Type: Expression(Integer)
+--E  127
+
+--S 128 of 1000
+--a0:=integrate(t0,x)
+--E  128
+
+--S 129 of 1000
+--m0:=a0-r0
+--E  129
+
+--S 130 of 1000
+--d0:=D(m0,x)
+--E  130
+
+)clear all
+
+--S 131 of 1000
+t0:=x^2*(a+b*x)^(3/2)*sqrt(c+d*x)
+--R 
+--R
+--R            3      2  +-------+ +-------+
+--R   (1)  (b x  + a x )\|b x + a \|d x + c
+--R                                                    Type: Expression(Integer)
+--E  131
+
+--S 132 of 1000
+r0:=-1/40*(7*b*c+5*a*d)*(a+b*x)^(5/2)*(c+d*x)^(3/2)/(b^2*d^2)+_
+     1/5*x*(a+b*x)^(5/2)*(c+d*x)^(3/2)/(b*d)+1/128*(b*c-a*d)^3*_
+     (7*b^2*c^2+6*a*b*c*d+3*a^2*d^2)*atanh(sqrt(d)*sqrt(a+b*x)/_
+     (sqrt(b)*sqrt(c+d*x)))/(b^(7/2)*d^(9/2))+1/192*(b*c-a*d)*_
+     (7*b^2*c^2+6*a*b*c*d+3*a^2*d^2)*(a+b*x)^(3/2)*sqrt(c+d*x)/_
+     (b^3*d^3)+1/48*(7*b^2*c^2+6*a*b*c*d+3*a^2*d^2)*(a+b*x)^(5/2)*_
+     sqrt(c+d*x)/(b^3*d^2)-1/128*(b*c-a*d)^2*(7*b^2*c^2+6*a*b*c*d+_
+     3*a^2*d^2)*sqrt(a+b*x)*sqrt(c+d*x)/(b^3*d^4)
+--R 
+--R
+--R   (2)
+--R                  5 5      4     4      3 2 2 3      2 3 3 2         4 4
+--R             - 45a d  + 45a b c d  + 30a b c d  + 90a b c d  - 225a b c d
+--R           + 
+--R                 5 5
+--R             105b c
+--R      *
+--R                +-+ +-------+
+--R               \|d \|b x + a
+--R         atanh(--------------)
+--R                +-+ +-------+
+--R               \|b \|d x + c
+--R     + 
+--R               4 4 4          3 4      4   3  3
+--R           384b d x  + (528a b d  + 48b c d )x
+--R         + 
+--R               2 2 4        3   3      4 2 2  2
+--R           (24a b d  + 96a b c d  - 56b c d )x
+--R         + 
+--R                 3   4      2 2   3         3 2 2      4 3         4 4
+--R           (- 30a b d  + 18a b c d  - 122a b c d  + 70b c d)x + 45a d
+--R         + 
+--R                3     3      2 2 2 2         3 3        4 4
+--R           - 30a b c d  - 36a b c d  + 190a b c d - 105b c
+--R      *
+--R          +-+ +-+ +-------+ +-------+
+--R         \|b \|d \|b x + a \|d x + c
+--R  /
+--R          3 4 +-+ +-+
+--R     1920b d \|b \|d
+--R                                                    Type: Expression(Integer)
+--E  132
+
+--S 133 of 1000
+--a0:=integrate(t0,x)
+--E  133
+
+--S 134 of 1000
+--m0:=a0-r0
+--E  134
+
+--S 135 of 1000
+--d0:=D(m0,x)
+--E  135
+
+)clear all
+
+--S 136 of 1000
+t0:=x*(a+b*x)^(3/2)*sqrt(c+d*x)
+--R 
+--R
+--R            2        +-------+ +-------+
+--R   (1)  (b x  + a x)\|b x + a \|d x + c
+--R                                                    Type: Expression(Integer)
+--E  136
+
+--S 137 of 1000
+r0:=1/4*(a+b*x)^(5/2)*(c+d*x)^(3/2)/(b*d)-1/64*(b*c-a*d)^3*(5*b*c+3*a*d)*_
+     atanh(sqrt(d)*sqrt(a+b*x)/(sqrt(b)*sqrt(c+d*x)))/(b^(5/2)*d^(7/2))-_
+     1/96*(b*c-a*d)*(5*b*c+3*a*d)*(a+b*x)^(3/2)*sqrt(c+d*x)/(b^2*d^2)-_
+     1/24*(5*b*c+3*a*d)*(a+b*x)^(5/2)*sqrt(c+d*x)/(b^2*d)+1/64*(b*c-a*d)^2*_
+     (5*b*c+3*a*d)*sqrt(a+b*x)*sqrt(c+d*x)/(b^2*d^3)
+--R 
+--R
+--R   (2)
+--R            4 4      3     3      2 2 2 2        3 3       4 4
+--R         (9a d  - 12a b c d  - 18a b c d  + 36a b c d - 15b c )
+--R      *
+--R                +-+ +-------+
+--R               \|d \|b x + a
+--R         atanh(--------------)
+--R                +-+ +-------+
+--R               \|b \|d x + c
+--R     + 
+--R              3 3 3         2 3     3   2  2      2   3        2   2      3 2
+--R           48b d x  + (72a b d  + 8b c d )x  + (6a b d  + 20a b c d  - 10b c d)x
+--R         + 
+--R               3 3     2     2        2 2       3 3
+--R           - 9a d  + 9a b c d  - 31a b c d + 15b c
+--R      *
+--R          +-+ +-+ +-------+ +-------+
+--R         \|b \|d \|b x + a \|d x + c
+--R  /
+--R         2 3 +-+ +-+
+--R     192b d \|b \|d
+--R                                                    Type: Expression(Integer)
+--E  137
+
+--S 138 of 1000
+--a0:=integrate(t0,x)
+--E  138
+
+--S 139 of 1000
+--m0:=a0-r0
+--E  139
+
+--S 140 of 1000
+--d0:=D(m0,x)
+--E  140
+
+)clear all
+
+--S 141 of 1000
+t0:=(a+b*x)^(3/2)*sqrt(c+d*x)
+--R 
+--R
+--R                  +-------+ +-------+
+--R   (1)  (b x + a)\|b x + a \|d x + c
+--R                                                    Type: Expression(Integer)
+--E  141
+
+--S 142 of 1000
+r0:=1/8*(b*c-a*d)^3*atanh(sqrt(d)*sqrt(a+b*x)/(sqrt(b)*sqrt(c+d*x)))/_
+     (b^(3/2)*d^(5/2))+1/12*(b*c-a*d)*(a+b*x)^(3/2)*sqrt(c+d*x)/(b*d)+_
+     1/3*(a+b*x)^(5/2)*sqrt(c+d*x)/b-1/8*(b*c-a*d)^2*sqrt(a+b*x)*_
+     sqrt(c+d*x)/(b*d^2)
+--R 
+--R
+--R   (2)
+--R                                                      +-+ +-------+
+--R            3 3     2     2       2 2      3 3       \|d \|b x + a
+--R       (- 3a d  + 9a b c d  - 9a b c d + 3b c )atanh(--------------)
+--R                                                      +-+ +-------+
+--R                                                     \|b \|d x + c
+--R     + 
+--R            2 2 2           2     2          2 2                2 2  +-+ +-+
+--R         (8b d x  + (14a b d  + 2b c d)x + 3a d  + 8a b c d - 3b c )\|b \|d
+--R      *
+--R          +-------+ +-------+
+--R         \|b x + a \|d x + c
+--R  /
+--R          2 +-+ +-+
+--R     24b d \|b \|d
+--R                                                    Type: Expression(Integer)
+--E  142
+
+--S 143 of 1000
+--a0:=integrate(t0,x)
+--E  143
+
+--S 144 of 1000
+--m0:=a0-r0
+--E  144
+
+--S 145 of 1000
+--d0:=D(m0,x)
+--E  145
+
+)clear all
+
+--S 146 of 1000
+t0:=(a+b*x)^(3/2)*sqrt(c+d*x)/x
+--R 
+--R
+--R                  +-------+ +-------+
+--R        (b x + a)\|b x + a \|d x + c
+--R   (1)  -----------------------------
+--R                      x
+--R                                                    Type: Expression(Integer)
+--E  146
+
+--S 147 of 1000
+r0:=-1/4*(b^2*c^2-6*a*b*c*d-3*a^2*d^2)*atanh(sqrt(d)*sqrt(a+b*x)/(sqrt(b)*_
+     sqrt(c+d*x)))/(d^(3/2)*sqrt(b))-2*a^(3/2)*atanh(sqrt(c)*sqrt(a+b*x)/_
+     (sqrt(a)*sqrt(c+d*x)))*sqrt(c)+1/2*(a+b*x)^(3/2)*sqrt(c+d*x)+_
+     1/4*(b*c+3*a*d)*sqrt(a+b*x)*sqrt(c+d*x)/d
+--R 
+--R
+--R   (2)
+--R                                       +-+ +-------+
+--R          2 2               2 2       \|d \|b x + a
+--R       (3a d  + 6a b c d - b c )atanh(--------------)
+--R                                       +-+ +-------+
+--R                                      \|b \|d x + c
+--R     + 
+--R                                    +-+ +-------+
+--R              +-+ +-+ +-+ +-+      \|c \|b x + a
+--R       - 8a d\|a \|b \|c \|d atanh(--------------)
+--R                                    +-+ +-------+
+--R                                   \|a \|d x + c
+--R     + 
+--R                             +-+ +-+ +-------+ +-------+
+--R       (2b d x + 5a d + b c)\|b \|d \|b x + a \|d x + c
+--R  /
+--R        +-+ +-+
+--R     4d\|b \|d
+--R                                                    Type: Expression(Integer)
+--E  147
+
+--S 148 of 1000
+--a0:=integrate(t0,x)
+--E  148
+
+--S 149 of 1000
+--m0:=a0-r0
+--E  149
+
+--S 150 of 1000
+--d0:=D(m0,x)
+--E  150
+
+)clear all
+
+--S 151 of 1000
+t0:=(a+b*x)^(3/2)*sqrt(c+d*x)/x^2
+--R 
+--R
+--R                  +-------+ +-------+
+--R        (b x + a)\|b x + a \|d x + c
+--R   (1)  -----------------------------
+--R                       2
+--R                      x
+--R                                                    Type: Expression(Integer)
+--E  151
+
+--S 152 of 1000
+r0:=-(3*b*c+a*d)*atanh(sqrt(c)*sqrt(a+b*x)/(sqrt(a)*sqrt(c+d*x)))*sqrt(a)/_
+     sqrt(c)+(b*c+3*a*d)*atanh(sqrt(d)*sqrt(a+b*x)/(sqrt(b)*sqrt(c+d*x)))*_
+     sqrt(b)/sqrt(d)-(a+b*x)^(3/2)*sqrt(c+d*x)/x+2*b*sqrt(a+b*x)*sqrt(c+d*x)
+--R 
+--R
+--R   (2)
+--R                                   +-+ +-------+
+--R                     +-+ +-+      \|d \|b x + a
+--R       (3a d + b c)x\|b \|c atanh(--------------)
+--R                                   +-+ +-------+
+--R                                  \|b \|d x + c
+--R     + 
+--R                                     +-+ +-------+
+--R                       +-+ +-+      \|c \|b x + a
+--R       (- a d - 3b c)x\|a \|d atanh(--------------)
+--R                                     +-+ +-------+
+--R                                    \|a \|d x + c
+--R     + 
+--R                 +-+ +-+ +-------+ +-------+
+--R       (b x - a)\|c \|d \|b x + a \|d x + c
+--R  /
+--R       +-+ +-+
+--R     x\|c \|d
+--R                                                    Type: Expression(Integer)
+--E  152
+
+--S 153 of 1000
+--a0:=integrate(t0,x)
+--E  153
+
+--S 154 of 1000
+--m0:=a0-r0
+--E  154
+
+--S 155 of 1000
+--d0:=D(m0,x)
+--E  155
+
+)clear all
+
+--S 156 of 1000
+t0:=(a+b*x)^(3/2)*sqrt(c+d*x)/x^3
+--R 
+--R
+--R                  +-------+ +-------+
+--R        (b x + a)\|b x + a \|d x + c
+--R   (1)  -----------------------------
+--R                       3
+--R                      x
+--R                                                    Type: Expression(Integer)
+--E  156
+
+--S 157 of 1000
+r0:=-1/4*(3*b^2*c^2+6*a*b*c*d-a^2*d^2)*atanh(sqrt(c)*sqrt(a+b*x)/_
+     (sqrt(a)*sqrt(c+d*x)))/(c^(3/2)*sqrt(a))+2*b^(3/2)*atanh(sqrt(d)*_
+     sqrt(a+b*x)/(sqrt(b)*sqrt(c+d*x)))*sqrt(d)-1/2*(a+b*x)^(3/2)*_
+     sqrt(c+d*x)/x^2-1/4*(3*b*c+a*d)*sqrt(a+b*x)*sqrt(c+d*x)/(c*x)
+--R 
+--R
+--R   (2)
+--R                                     +-+ +-------+
+--R             2 +-+ +-+ +-+ +-+      \|d \|b x + a
+--R       8b c x \|a \|b \|c \|d atanh(--------------)
+--R                                     +-+ +-------+
+--R                                    \|b \|d x + c
+--R     + 
+--R                                         +-+ +-------+
+--R         2 2                2 2  2      \|c \|b x + a
+--R       (a d  - 6a b c d - 3b c )x atanh(--------------)
+--R                                         +-+ +-------+
+--R                                        \|a \|d x + c
+--R     + 
+--R                                +-+ +-+ +-------+ +-------+
+--R       ((- a d - 5b c)x - 2a c)\|a \|c \|b x + a \|d x + c
+--R  /
+--R         2 +-+ +-+
+--R     4c x \|a \|c
+--R                                                    Type: Expression(Integer)
+--E  157
+
+--S 158 of 1000
+--a0:=integrate(t0,x)
+--E  158
+
+--S 159 of 1000
+--m0:=a0-r0
+--E  159
+
+--S 160 of 1000
+--d0:=D(m0,x)
+--E  160
+
+)clear all
+
+--S 161 of 1000
+t0:=(a+b*x)^(3/2)*sqrt(c+d*x)/x^4
+--R 
+--R
+--R                  +-------+ +-------+
+--R        (b x + a)\|b x + a \|d x + c
+--R   (1)  -----------------------------
+--R                       4
+--R                      x
+--R                                                    Type: Expression(Integer)
+--E  161
+
+--S 162 of 1000
+r0:=-1/3*(a+b*x)^(3/2)*(c+d*x)^(3/2)/(c*x^3)+1/8*(b*c-a*d)^3*_
+     atanh(sqrt(c)*sqrt(a+b*x)/(sqrt(a)*sqrt(c+d*x)))/(a^(3/2)*c^(5/2))-_
+     1/4*(b*c-a*d)*(c+d*x)^(3/2)*sqrt(a+b*x)/(c^2*x^2)-1/8*(b*c-a*d)^2*_
+     sqrt(a+b*x)*sqrt(c+d*x)/(a*c^2*x)
+--R 
+--R
+--R   (2)
+--R                                                        +-+ +-------+
+--R            3 3     2     2       2 2      3 3  3      \|c \|b x + a
+--R       (- 3a d  + 9a b c d  - 9a b c d + 3b c )x atanh(--------------)
+--R                                                        +-+ +-------+
+--R                                                       \|a \|d x + c
+--R     + 
+--R             2 2                2 2  2        2             2       2 2  +-+ +-+
+--R         ((3a d  - 8a b c d - 3b c )x  + (- 2a c d - 14a b c )x - 8a c )\|a \|c
+--R      *
+--R          +-------+ +-------+
+--R         \|b x + a \|d x + c
+--R  /
+--R          2 3 +-+ +-+
+--R     24a c x \|a \|c
+--R                                                    Type: Expression(Integer)
+--E  162
+
+--S 163 of 1000
+--a0:=integrate(t0,x)
+--E  163
+
+--S 164 of 1000
+--m0:=a0-r0
+--E  164
+
+--S 165 of 1000
+--d0:=D(m0,x)
+--E  165
+
+)clear all
+
+--S 166 of 1000
+t0:=(a+b*x)^(3/2)*sqrt(c+d*x)/x^5
+--R 
+--R
+--R                  +-------+ +-------+
+--R        (b x + a)\|b x + a \|d x + c
+--R   (1)  -----------------------------
+--R                       5
+--R                      x
+--R                                                    Type: Expression(Integer)
+--E  166
+
+--S 167 of 1000
+r0:=-1/64*(b*c-a*d)^3*(3*b*c+5*a*d)*atanh(sqrt(c)*sqrt(a+b*x)/(sqrt(a)*_
+     sqrt(c+d*x)))/(a^(5/2)*c^(7/2))-1/4*(a+b*x)^(3/2)*sqrt(c+d*x)/x^4-_
+     1/24*(3*b*c+a*d)*sqrt(a+b*x)*sqrt(c+d*x)/(c*x^3)-1/96*(3*b^2*c/a+_
+     10*b*d-5*a*d^2/c)*sqrt(a+b*x)*sqrt(c+d*x)/(c*x^2)+1/192*(9*b^3*c^3-_
+     9*a*b^2*c^2*d+31*a^2*b*c*d^2-15*a^3*d^3)*sqrt(a+b*x)*_
+     sqrt(c+d*x)/(a^2*c^3*x)
+--R 
+--R
+--R   (2)
+--R             4 4      3     3      2 2 2 2        3 3      4 4  4
+--R         (15a d  - 36a b c d  + 18a b c d  + 12a b c d - 9b c )x
+--R      *
+--R                +-+ +-------+
+--R               \|c \|b x + a
+--R         atanh(--------------)
+--R                +-+ +-------+
+--R               \|a \|d x + c
+--R     + 
+--R                 3 3      2     2       2 2      3 3  3
+--R           (- 15a d  + 31a b c d  - 9a b c d + 9b c )x
+--R         + 
+--R               3   2      2   2        2 3  2        3 2       2   3        3 3
+--R           (10a c d  - 20a b c d - 6a b c )x  + (- 8a c d - 72a b c )x - 48a c
+--R      *
+--R          +-+ +-+ +-------+ +-------+
+--R         \|a \|c \|b x + a \|d x + c
+--R  /
+--R         2 3 4 +-+ +-+
+--R     192a c x \|a \|c
+--R                                                    Type: Expression(Integer)
+--E  167
+
+--S 168 of 1000
+--a0:=integrate(t0,x)
+--E  168
+
+--S 169 of 1000
+--m0:=a0-r0
+--E  169
+
+--S 170 of 1000
+--d0:=D(m0,x)
+--E  170
+
+)clear all
+
+--S 171 of 1000
+t0:=(a+b*x)^(3/2)*sqrt(c+d*x)/x^6
+--R 
+--R
+--R                  +-------+ +-------+
+--R        (b x + a)\|b x + a \|d x + c
+--R   (1)  -----------------------------
+--R                       6
+--R                      x
+--R                                                    Type: Expression(Integer)
+--E  171
+
+--S 172 of 1000
+r0:=1/128*(b*c-a*d)^3*(3*b^2*c^2+6*a*b*c*d+7*a^2*d^2)*atanh(sqrt(c)*_
+     sqrt(a+b*x)/(sqrt(a)*sqrt(c+d*x)))/(a^(7/2)*c^(9/2))-_
+     1/5*(a+b*x)^(3/2)*sqrt(c+d*x)/x^5-1/40*(3*b*c+a*d)*sqrt(a+b*x)*_
+     sqrt(c+d*x)/(c*x^4)-1/240*(3*b^2*c/a+12*b*d-7*a*d^2/c)*sqrt(a+b*x)*_
+     sqrt(c+d*x)/(c*x^3)+1/960*(15*b^3*c^3-9*a*b^2*c^2*d+61*a^2*b*c*d^2-_
+     35*a^3*d^3)*sqrt(a+b*x)*sqrt(c+d*x)/(a^2*c^3*x^2)-1/1920*(45*b^4*c^4-_
+     30*a*b^3*c^3*d-36*a^2*b^2*c^2*d^2+190*a^3*b*c*d^3-105*a^4*d^4)*_
+     sqrt(a+b*x)*sqrt(c+d*x)/(a^3*c^4*x)
+--R 
+--R
+--R   (2)
+--R                   5 5       4     4      3 2 2 3      2 3 3 2        4 4
+--R             - 105a d  + 225a b c d  - 90a b c d  - 30a b c d  - 45a b c d
+--R           + 
+--R                5 5
+--R             45b c
+--R      *
+--R                  +-+ +-------+
+--R          5      \|c \|b x + a
+--R         x atanh(--------------)
+--R                  +-+ +-------+
+--R                 \|a \|d x + c
+--R     + 
+--R                4 4       3     3      2 2 2 2        3 3       4 4  4
+--R           (105a d  - 190a b c d  + 36a b c d  + 30a b c d - 45b c )x
+--R         + 
+--R                 4   3       3   2 2      2 2 3         3 4  3
+--R           (- 70a c d  + 122a b c d  - 18a b c d + 30a b c )x
+--R         + 
+--R               4 2 2      3   3       2 2 4  2         4 3        3   4
+--R           (56a c d  - 96a b c d - 24a b c )x  + (- 48a c d - 528a b c )x
+--R         + 
+--R                 4 4
+--R           - 384a c
+--R      *
+--R          +-+ +-+ +-------+ +-------+
+--R         \|a \|c \|b x + a \|d x + c
+--R  /
+--R          3 4 5 +-+ +-+
+--R     1920a c x \|a \|c
+--R                                                    Type: Expression(Integer)
+--E  172
+
+--S 173 of 1000
+--a0:=integrate(t0,x)
+--E  173
+
+--S 174 of 1000
+--m0:=a0-r0
+--E  174
+
+--S 175 of 1000
+--d0:=D(m0,x)
+--E  175
+
+)clear all
+
+--S 176 of 1000
+t0:=x^2*(a+b*x)^(3/2)*(c+d*x)^(3/2)
+--R 
+--R
+--R              4               3        2  +-------+ +-------+
+--R   (1)  (b d x  + (a d + b c)x  + a c x )\|b x + a \|d x + c
+--R                                                    Type: Expression(Integer)
+--E  176
+
+--S 177 of 1000
+r0:=-1/96*(4*a*b*c*d-7*(b*c+a*d)^2)*(a+b*x)^(5/2)*(c+d*x)^(3/2)/(b^3*d^2)-_
+     7/60*(b*c+a*d)*(a+b*x)^(5/2)*(c+d*x)^(5/2)/(b^2*d^2)+1/6*x*_
+     (a+b*x)^(5/2)*(c+d*x)^(5/2)/(b*d)-1/512*(b*c-a*d)^4*(4*a*b*c*d-7*_
+     (b*c+a*d)^2)*atanh(sqrt(d)*sqrt(a+b*x)/(sqrt(b)*sqrt(c+d*x)))/_
+     (b^(9/2)*d^(9/2))-1/768*(b*c-a*d)^2*(4*a*b*c*d-7*(b*c+a*d)^2)*_
+     (a+b*x)^(3/2)*sqrt(c+d*x)/(b^4*d^3)-1/192*(b*c-a*d)*(4*a*b*c*d-_
+     7*(b*c+a*d)^2)*(a+b*x)^(5/2)*sqrt(c+d*x)/(b^4*d^2)+1/512*(b*c-a*d)^3*_
+     (4*a*b*c*d-7*(b*c+a*d)^2)*sqrt(a+b*x)*sqrt(c+d*x)/(b^4*d^4)
+--R 
+--R
+--R   (2)
+--R               6 6       5     5       4 2 2 4      3 3 3 3       2 4 4 2
+--R           105a d  - 270a b c d  + 135a b c d  + 60a b c d  + 135a b c d
+--R         + 
+--R                   5 5        6 6
+--R           - 270a b c d + 105b c
+--R      *
+--R                +-+ +-------+
+--R               \|d \|b x + a
+--R         atanh(--------------)
+--R                +-+ +-------+
+--R               \|b \|d x + c
+--R     + 
+--R                5 5 5           4 5        5   4  4
+--R           1280b d x  + (1664a b d  + 1664b c d )x
+--R         + 
+--R               2 3 5          4   4      5 2 3  3
+--R           (48a b d  + 2336a b c d  + 48b c d )x
+--R         + 
+--R                 3 2 5       2 3   4         4 2 3      5 3 2  2
+--R           (- 56a b d  + 120a b c d  + 120a b c d  - 56b c d )x
+--R         + 
+--R               4   5       3 2   4      2 3 2 3         4 3 2      5 4
+--R           (70a b d  - 152a b c d  + 36a b c d  - 152a b c d  + 70b c d)x
+--R         + 
+--R                 5 5       4     4      3 2 2 3      2 3 3 2         4 4
+--R           - 105a d  + 235a b c d  - 66a b c d  - 66a b c d  + 235a b c d
+--R         + 
+--R                 5 5
+--R           - 105b c
+--R      *
+--R          +-+ +-+ +-------+ +-------+
+--R         \|b \|d \|b x + a \|d x + c
+--R  /
+--R          4 4 +-+ +-+
+--R     7680b d \|b \|d
+--R                                                    Type: Expression(Integer)
+--E  177
+
+--S 178 of 1000
+--a0:=integrate(t0,x)
+--E  178
+
+--S 179 of 1000
+--m0:=a0-r0
+--E  179
+
+--S 180 of 1000
+--d0:=D(m0,x)
+--E  180
+
+)clear all
+
+--S 181 of 1000
+t0:=x*(a+b*x)^(3/2)*(c+d*x)^(3/2)
+--R 
+--R
+--R              3               2          +-------+ +-------+
+--R   (1)  (b d x  + (a d + b c)x  + a c x)\|b x + a \|d x + c
+--R                                                    Type: Expression(Integer)
+--E  181
+
+--S 182 of 1000
+r0:=-1/8*(b*c+a*d)*(a+b*x)^(5/2)*(c+d*x)^(3/2)/(b^2*d)+1/5*(a+b*x)^(5/2)*_
+     (c+d*x)^(5/2)/(b*d)-3/128*(b*c-a*d)^4*(b*c+a*d)*atanh(sqrt(d)*_
+     sqrt(a+b*x)/(sqrt(b)*sqrt(c+d*x)))/(b^(7/2)*d^(7/2))-1/64*_
+     (b*c-a*d)^2*(b*c+a*d)*(a+b*x)^(3/2)*sqrt(c+d*x)/(b^3*d^2)-_
+     1/16*(b*c-a*d)*(b*c+a*d)*(a+b*x)^(5/2)*sqrt(c+d*x)/(b^3*d)+_
+     3/128*(b*c-a*d)^3*(b*c+a*d)*sqrt(a+b*x)*sqrt(c+d*x)/(b^3*d^3)
+--R 
+--R
+--R   (2)
+--R               5 5      4     4      3 2 2 3      2 3 3 2        4 4       5 5
+--R         (- 15a d  + 45a b c d  - 30a b c d  - 30a b c d  + 45a b c d - 15b c )
+--R      *
+--R                +-+ +-------+
+--R               \|d \|b x + a
+--R         atanh(--------------)
+--R                +-+ +-------+
+--R               \|b \|d x + c
+--R     + 
+--R               4 4 4          3 4       4   3  3
+--R           128b d x  + (176a b d  + 176b c d )x
+--R         + 
+--R              2 2 4         3   3     4 2 2  2
+--R           (8a b d  + 272a b c d  + 8b c d )x
+--R         + 
+--R                 3   4      2 2   3        3 2 2      4 3         4 4
+--R           (- 10a b d  + 26a b c d  + 26a b c d  - 10b c d)x + 15a d
+--R         + 
+--R                3     3      2 2 2 2        3 3       4 4
+--R           - 40a b c d  + 18a b c d  - 40a b c d + 15b c
+--R      *
+--R          +-+ +-+ +-------+ +-------+
+--R         \|b \|d \|b x + a \|d x + c
+--R  /
+--R         3 3 +-+ +-+
+--R     640b d \|b \|d
+--R                                                    Type: Expression(Integer)
+--E  182
+
+--S 183 of 1000
+--a0:=integrate(t0,x)
+--E  183
+
+--S 184 of 1000
+--m0:=a0-r0
+--E  184
+
+--S 185 of 1000
+--d0:=D(m0,x)
+--E  185
+
+)clear all
+
+--S 186 of 1000
+t0:=(a+b*x)^(3/2)*(c+d*x)^(3/2)
+--R 
+--R
+--R              2                       +-------+ +-------+
+--R   (1)  (b d x  + (a d + b c)x + a c)\|b x + a \|d x + c
+--R                                                    Type: Expression(Integer)
+--E  186
+
+--S 187 of 1000
+r0:=1/4*(a+b*x)^(5/2)*(c+d*x)^(3/2)/b+3/64*(b*c-a*d)^4*atanh(sqrt(d)*_
+     sqrt(a+b*x)/(sqrt(b)*sqrt(c+d*x)))/(b^(5/2)*d^(5/2))+1/32*_
+     (b*c-a*d)^2*(a+b*x)^(3/2)*sqrt(c+d*x)/(b^2*d)+1/8*(b*c-a*d)*_
+     (a+b*x)^(5/2)*sqrt(c+d*x)/b^2-3/64*(b*c-a*d)^3*sqrt(a+b*x)*_
+     sqrt(c+d*x)/(b^2*d^2)
+--R 
+--R
+--R   (2)
+--R            4 4      3     3      2 2 2 2        3 3      4 4
+--R         (3a d  - 12a b c d  + 18a b c d  - 12a b c d + 3b c )
+--R      *
+--R                +-+ +-------+
+--R               \|d \|b x + a
+--R         atanh(--------------)
+--R                +-+ +-------+
+--R               \|b \|d x + c
+--R     + 
+--R              3 3 3         2 3      3   2  2      2   3        2   2     3 2
+--R           16b d x  + (24a b d  + 24b c d )x  + (2a b d  + 44a b c d  + 2b c d)x
+--R         + 
+--R               3 3      2     2        2 2      3 3
+--R           - 3a d  + 11a b c d  + 11a b c d - 3b c
+--R      *
+--R          +-+ +-+ +-------+ +-------+
+--R         \|b \|d \|b x + a \|d x + c
+--R  /
+--R        2 2 +-+ +-+
+--R     64b d \|b \|d
+--R                                                    Type: Expression(Integer)
+--E  187
+
+--S 188 of 1000
+--a0:=integrate(t0,x)
+--E  188
+
+--S 189 of 1000
+--m0:=a0-r0
+--E  189
+
+--S 190 of 1000
+--d0:=D(m0,x)
+--E  190
+
+)clear all
+
+--S 191 of 1000
+t0:=(a+b*x)^(3/2)*(c+d*x)^(3/2)/x
+--R 
+--R
+--R              2                       +-------+ +-------+
+--R        (b d x  + (a d + b c)x + a c)\|b x + a \|d x + c
+--R   (1)  -------------------------------------------------
+--R                                x
+--R                                                    Type: Expression(Integer)
+--E  191
+
+--S 192 of 1000
+r0:=1/3*(a+b*x)^(3/2)*(c+d*x)^(3/2)-2*a^(3/2)*c^(3/2)*atanh(sqrt(c)*_
+     sqrt(a+b*x)/(sqrt(a)*sqrt(c+d*x)))-1/8*(b*c+a*d)*(b^2*c^2-_
+     10*a*b*c*d+a^2*d^2)*atanh(sqrt(d)*sqrt(a+b*x)/(sqrt(b)*_
+     sqrt(c+d*x)))/(b^(3/2)*d^(3/2))+1/4*(b*c+a*d)*(c+d*x)^(3/2)*_
+     sqrt(a+b*x)/d+1/8*(8*a*c-b*c^2/d+a^2*d/b)*sqrt(a+b*x)*sqrt(c+d*x)
+--R 
+--R
+--R   (2)
+--R                                                        +-+ +-------+
+--R            3 3      2     2        2 2      3 3       \|d \|b x + a
+--R       (- 3a d  + 27a b c d  + 27a b c d - 3b c )atanh(--------------)
+--R                                                        +-+ +-------+
+--R                                                       \|b \|d x + c
+--R     + 
+--R                                         +-+ +-------+
+--R                   +-+ +-+ +-+ +-+      \|c \|b x + a
+--R       - 48a b c d\|a \|b \|c \|d atanh(--------------)
+--R                                         +-+ +-------+
+--R                                        \|a \|d x + c
+--R     + 
+--R            2 2 2           2      2          2 2                 2 2  +-+ +-+
+--R         (8b d x  + (14a b d  + 14b c d)x + 3a d  + 38a b c d + 3b c )\|b \|d
+--R      *
+--R          +-------+ +-------+
+--R         \|b x + a \|d x + c
+--R  /
+--R           +-+ +-+
+--R     24b d\|b \|d
+--R                                                    Type: Expression(Integer)
+--E  192
+
+--S 193 of 1000
+--a0:=integrate(t0,x)
+--E  193
+
+--S 194 of 1000
+--m0:=a0-r0
+--E  194
+
+--S 195 of 1000
+--d0:=D(m0,x)
+--E  195
+
+)clear all
+
+--S 196 of 1000
+t0:=(a+b*x)^(3/2)*(c+d*x)^(3/2)/x^2
+--R 
+--R
+--R              2                       +-------+ +-------+
+--R        (b d x  + (a d + b c)x + a c)\|b x + a \|d x + c
+--R   (1)  -------------------------------------------------
+--R                                 2
+--R                                x
+--R                                                    Type: Expression(Integer)
+--E  196
+
+--S 197 of 1000
+r0:=-(a+b*x)^(3/2)*(c+d*x)^(3/2)/x-3*(b*c+a*d)*atanh(sqrt(c)*sqrt(a+b*x)/_
+     (sqrt(a)*sqrt(c+d*x)))*sqrt(a)*sqrt(c)+3/4*(b^2*c^2+6*a*b*c*d+a^2*d^2)*_
+     atanh(sqrt(d)*sqrt(a+b*x)/(sqrt(b)*sqrt(c+d*x)))/(sqrt(b)*sqrt(d))+_
+     3/2*b*(c+d*x)^(3/2)*sqrt(a+b*x)+3/4*(b*c+3*a*d)*sqrt(a+b*x)*sqrt(c+d*x)
+--R 
+--R
+--R   (2)
+--R                                           +-+ +-------+
+--R          2 2                 2 2         \|d \|b x + a
+--R       (3a d  + 18a b c d + 3b c )x atanh(--------------)
+--R                                           +-+ +-------+
+--R                                          \|b \|d x + c
+--R     + 
+--R                                                +-+ +-------+
+--R                          +-+ +-+ +-+ +-+      \|c \|b x + a
+--R       (- 12a d - 12b c)x\|a \|b \|c \|d atanh(--------------)
+--R                                                +-+ +-------+
+--R                                               \|a \|d x + c
+--R     + 
+--R              2                          +-+ +-+ +-------+ +-------+
+--R       (2b d x  + (5a d + 5b c)x - 4a c)\|b \|d \|b x + a \|d x + c
+--R  /
+--R        +-+ +-+
+--R     4x\|b \|d
+--R                                                    Type: Expression(Integer)
+--E  197
+
+--S 198 of 1000
+--a0:=integrate(t0,x)
+--E  198
+
+--S 199 of 1000
+--m0:=a0-r0
+--E  199
+
+--S 200 of 1000
+--d0:=D(m0,x)
+--E  200
+
+)clear all
+
+--S 201 of 1000
+t0:=(a+b*x)^(3/2)*(c+d*x)^(3/2)/x^3
+--R 
+--R
+--R              2                       +-------+ +-------+
+--R        (b d x  + (a d + b c)x + a c)\|b x + a \|d x + c
+--R   (1)  -------------------------------------------------
+--R                                 3
+--R                                x
+--R                                                    Type: Expression(Integer)
+--E  201
+
+--S 202 of 1000
+r0:=-1/2*(a+b*x)^(3/2)*(c+d*x)^(3/2)/x^2-3/4*(b^2*c^2+6*a*b*c*d+a^2*d^2)*_
+     atanh(sqrt(c)*sqrt(a+b*x)/(sqrt(a)*sqrt(c+d*x)))/(sqrt(a)*sqrt(c))+_
+     3*(b*c+a*d)*atanh(sqrt(d)*sqrt(a+b*x)/(sqrt(b)*sqrt(c+d*x)))*_
+     sqrt(b)*sqrt(d)-3/4*(b*c+a*d)*(c+d*x)^(3/2)*sqrt(a+b*x)/(c*x)+_
+     3/4*d*(3*b*c+a*d)*sqrt(a+b*x)*sqrt(c+d*x)/c
+--R 
+--R
+--R   (2)
+--R                                               +-+ +-------+
+--R                       2 +-+ +-+ +-+ +-+      \|d \|b x + a
+--R       (12a d + 12b c)x \|a \|b \|c \|d atanh(--------------)
+--R                                               +-+ +-------+
+--R                                              \|b \|d x + c
+--R     + 
+--R                                             +-+ +-------+
+--R            2 2                 2 2  2      \|c \|b x + a
+--R       (- 3a d  - 18a b c d - 3b c )x atanh(--------------)
+--R                                             +-+ +-------+
+--R                                            \|a \|d x + c
+--R     + 
+--R              2                            +-+ +-+ +-------+ +-------+
+--R       (4b d x  + (- 5a d - 5b c)x - 2a c)\|a \|c \|b x + a \|d x + c
+--R  /
+--R       2 +-+ +-+
+--R     4x \|a \|c
+--R                                                    Type: Expression(Integer)
+--E  202
+
+--S 203 of 1000
+--a0:=integrate(t0,x)
+--E  203
+
+--S 204 of 1000
+--m0:=a0-r0
+--E  204
+
+--S 205 of 1000
+--d0:=D(m0,x)
+--E  205
+
+)clear all
+
+--S 206 of 1000
+t0:=(a+b*x)^(3/2)*(c+d*x)^(3/2)/x^4
+--R 
+--R
+--R              2                       +-------+ +-------+
+--R        (b d x  + (a d + b c)x + a c)\|b x + a \|d x + c
+--R   (1)  -------------------------------------------------
+--R                                 4
+--R                                x
+--R                                                    Type: Expression(Integer)
+--E  206
+
+--S 207 of 1000
+r0:=-1/3*(a+b*x)^(3/2)*(c+d*x)^(3/2)/x^3+1/8*(b*c+a*d)*(b^2*c^2-_
+     10*a*b*c*d+a^2*d^2)*atanh(sqrt(c)*sqrt(a+b*x)/(sqrt(a)*sqrt(c+d*x)))/_
+     (a^(3/2)*c^(3/2))+2*b^(3/2)*d^(3/2)*atanh(sqrt(d)*sqrt(a+b*x)/_
+     (sqrt(b)*sqrt(c+d*x)))-1/4*(b*c+a*d)*(c+d*x)^(3/2)*sqrt(a+b*x)/_
+     (c*x^2)-1/8*(b^2*c/a+8*b*d-a*d^2/c)*sqrt(a+b*x)*sqrt(c+d*x)/x
+--R 
+--R
+--R   (2)
+--R                                          +-+ +-------+
+--R                  3 +-+ +-+ +-+ +-+      \|d \|b x + a
+--R       48a b c d x \|a \|b \|c \|d atanh(--------------)
+--R                                          +-+ +-------+
+--R                                         \|b \|d x + c
+--R     + 
+--R                                                        +-+ +-------+
+--R          3 3      2     2        2 2      3 3  3      \|c \|b x + a
+--R       (3a d  - 27a b c d  - 27a b c d + 3b c )x atanh(--------------)
+--R                                                        +-+ +-------+
+--R                                                       \|a \|d x + c
+--R     + 
+--R               2 2                 2 2  2         2             2       2 2  +-+
+--R         ((- 3a d  - 38a b c d - 3b c )x  + (- 14a c d - 14a b c )x - 8a c )\|a
+--R      *
+--R          +-+ +-------+ +-------+
+--R         \|c \|b x + a \|d x + c
+--R  /
+--R            3 +-+ +-+
+--R     24a c x \|a \|c
+--R                                                    Type: Expression(Integer)
+--E  207
+
+--S 208 of 1000
+--a0:=integrate(t0,x)
+--E  208
+
+--S 209 of 1000
+--m0:=a0-r0
+--E  209
+
+--S 210 of 1000
+--d0:=D(m0,x)
+--E  210
+
+)clear all
+
+--S 211 of 1000
+t0:=(a+b*x)^(3/2)*(c+d*x)^(3/2)/x^5
+--R 
+--R
+--R              2                       +-------+ +-------+
+--R        (b d x  + (a d + b c)x + a c)\|b x + a \|d x + c
+--R   (1)  -------------------------------------------------
+--R                                 5
+--R                                x
+--R                                                    Type: Expression(Integer)
+--E  211
+
+--S 212 of 1000
+r0:=-1/4*(a+b*x)^(3/2)*(c+d*x)^(5/2)/(c*x^4)-3/64*(b*c-a*d)^4*_
+     atanh(sqrt(c)*sqrt(a+b*x)/(sqrt(a)*sqrt(c+d*x)))/(a^(5/2)*c^(5/2))-_
+     1/32*(b*c-a*d)^2*(c+d*x)^(3/2)*sqrt(a+b*x)/(a*c^2*x^2)-1/8*(b*c-a*d)*_
+     (c+d*x)^(5/2)*sqrt(a+b*x)/(c^2*x^3)+3/64*(b*c-a*d)^3*sqrt(a+b*x)*_
+     sqrt(c+d*x)/(a^2*c^2*x)
+--R 
+--R
+--R   (2)
+--R              4 4      3     3      2 2 2 2        3 3      4 4  4
+--R         (- 3a d  + 12a b c d  - 18a b c d  + 12a b c d - 3b c )x
+--R      *
+--R                +-+ +-------+
+--R               \|c \|b x + a
+--R         atanh(--------------)
+--R                +-+ +-------+
+--R               \|a \|d x + c
+--R     + 
+--R              3 3      2     2        2 2      3 3  3
+--R           (3a d  - 11a b c d  - 11a b c d + 3b c )x
+--R         + 
+--R              3   2      2   2        2 3  2         3 2       2   3        3 3
+--R         (- 2a c d  - 44a b c d - 2a b c )x  + (- 24a c d - 24a b c )x - 16a c
+--R      *
+--R          +-+ +-+ +-------+ +-------+
+--R         \|a \|c \|b x + a \|d x + c
+--R  /
+--R        2 2 4 +-+ +-+
+--R     64a c x \|a \|c
+--R                                                    Type: Expression(Integer)
+--E  212
+
+--S 213 of 1000
+--a0:=integrate(t0,x)
+--E  213
+
+--S 214 of 1000
+--m0:=a0-r0
+--E  214
+
+--S 215 of 1000
+--d0:=D(m0,x)
+--E  215
+
+)clear all
+
+--S 216 of 1000
+t0:=(a+b*x)^(3/2)*(c+d*x)^(3/2)/x^6
+--R 
+--R
+--R              2                       +-------+ +-------+
+--R        (b d x  + (a d + b c)x + a c)\|b x + a \|d x + c
+--R   (1)  -------------------------------------------------
+--R                                 6
+--R                                x
+--R                                                    Type: Expression(Integer)
+--E  216
+
+--S 217 of 1000
+r0:=-1/5*(a+b*x)^(3/2)*(c+d*x)^(3/2)/x^5+3/128*(b*c-a*d)^4*(b*c+a*d)*_
+     atanh(sqrt(c)*sqrt(a+b*x)/(sqrt(a)*sqrt(c+d*x)))/(a^(7/2)*c^(7/2))-_
+     3/40*(b*c+a*d)*(c+d*x)^(3/2)*sqrt(a+b*x)/(c*x^4)-1/80*(b^2*c/a+12*b*d-_
+     5*a*d^2/c)*sqrt(a+b*x)*sqrt(c+d*x)/x^3+1/320*(b*c+a*d)*(5*b^2*c^2-_
+     18*a*b*c*d+5*a^2*d^2)*sqrt(a+b*x)*sqrt(c+d*x)/(a^2*c^2*x^2)-_
+     1/640*(15*b^4*c^4-40*a*b^3*c^3*d+18*a^2*b^2*c^2*d^2-40*a^3*b*c*d^3+_
+     15*a^4*d^4)*sqrt(a+b*x)*sqrt(c+d*x)/(a^3*c^3*x)
+--R 
+--R
+--R   (2)
+--R             5 5      4     4      3 2 2 3      2 3 3 2        4 4       5 5  5
+--R         (15a d  - 45a b c d  + 30a b c d  + 30a b c d  - 45a b c d + 15b c )x
+--R      *
+--R                +-+ +-------+
+--R               \|c \|b x + a
+--R         atanh(--------------)
+--R                +-+ +-------+
+--R               \|a \|d x + c
+--R     + 
+--R                 4 4      3     3      2 2 2 2        3 3       4 4  4
+--R           (- 15a d  + 40a b c d  - 18a b c d  + 40a b c d - 15b c )x
+--R         + 
+--R               4   3      3   2 2      2 2 3         3 4  3
+--R           (10a c d  - 26a b c d  - 26a b c d + 10a b c )x
+--R         + 
+--R                4 2 2       3   3      2 2 4  2          4 3        3   4
+--R           (- 8a c d  - 272a b c d - 8a b c )x  + (- 176a c d - 176a b c )x
+--R         + 
+--R                 4 4
+--R           - 128a c
+--R      *
+--R          +-+ +-+ +-------+ +-------+
+--R         \|a \|c \|b x + a \|d x + c
+--R  /
+--R         3 3 5 +-+ +-+
+--R     640a c x \|a \|c
+--R                                                    Type: Expression(Integer)
+--E  217
+
+--S 218 of 1000
+--a0:=integrate(t0,x)
+--E  218
+
+--S 219 of 1000
+--m0:=a0-r0
+--E  219
+
+--S 220 of 1000
+--d0:=D(m0,x)
+--E  220
+
+)clear all
+
+--S 221 of 1000
+t0:=x^2*(a+b*x)^(3/2)*(c+d*x)^(5/2)
+--R 
+--R
+--R   (1)
+--R       2 5       2           4                2  3      2 2  +-------+ +-------+
+--R   (b d x  + (a d  + 2b c d)x  + (2a c d + b c )x  + a c x )\|b x + a \|d x + c
+--R                                                    Type: Expression(Integer)
+--E  221
+
+--S 222 of 1000
+r0:=1/192*(b*c-a*d)*(5*b^2*c^2+10*a*b*c*d+9*a^2*d^2)*(a+b*x)^(5/2)*_
+     (c+d*x)^(3/2)/(b^4*d^2)+1/120*(5*b^2*c^2+10*a*b*c*d+9*a^2*d^2)*_
+     (a+b*x)^(5/2)*(c+d*x)^(5/2)/(b^3*d^2)-1/84*(7*b*c+9*a*d)*_
+     (a+b*x)^(5/2)*(c+d*x)^(7/2)/(b^2*d^2)+1/7*x*(a+b*x)^(5/2)*_
+     (c+d*x)^(7/2)/(b*d)+1/1024*(b*c-a*d)^5*(5*b^2*c^2+10*a*b*c*d+_
+     9*a^2*d^2)*atanh(sqrt(d)*sqrt(a+b*x)/(sqrt(b)*sqrt(c+d*x)))/_
+     (b^(11/2)*d^(9/2))+1/1536*(b*c-a*d)^3*(5*b^2*c^2+10*a*b*c*d+_
+     9*a^2*d^2)*(a+b*x)^(3/2)*sqrt(c+d*x)/(b^5*d^3)+1/384*(b*c-a*d)^2*_
+     (5*b^2*c^2+10*a*b*c*d+9*a^2*d^2)*(a+b*x)^(5/2)*sqrt(c+d*x)/(b^5*d^2)-_
+     1/1024*(b*c-a*d)^4*(5*b^2*c^2+10*a*b*c*d+9*a^2*d^2)*sqrt(a+b*x)*_
+     sqrt(c+d*x)/(b^5*d^4)
+--R 
+--R
+--R   (2)
+--R                 7 7        6     6        5 2 2 5        4 3 3 4       3 4 4 3
+--R           - 945a d  + 3675a b c d  - 4725a b c d  + 1575a b c d  + 525a b c d
+--R         + 
+--R               2 5 5 2          6 6        7 7
+--R           945a b c d  - 1575a b c d + 525b c
+--R      *
+--R                +-+ +-------+
+--R               \|d \|b x + a
+--R         atanh(--------------)
+--R                +-+ +-------+
+--R               \|b \|d x + c
+--R     + 
+--R                 6 6 6            5 6         6   5  5
+--R           15360b d x  + (19200a b d  + 37120b c d )x
+--R         + 
+--R                2 4 6           5   5         6 2 4  4
+--R           (384a b d  + 48640a b c d  + 23680b c d )x
+--R         + 
+--R                  3 3 6        2 4   5           5 2 4       6 3 3  3
+--R           (- 432a b d  + 1488a b c d  + 33520a b c d  + 240b c d )x
+--R         + 
+--R                4 2 6        3 3   5        2 4 2 4         5 3 3       6 4 2  2
+--R           (504a b d  - 1744a b c d  + 1824a b c d  + 720a b c d  - 280b c d )x
+--R         + 
+--R                     5   6        4 2   5        3 3 2 4       2 4 3 3
+--R               - 630a b d  + 2198a b c d  - 2332a b c d  + 300a b c d
+--R             + 
+--R                       5 4 2       6 5
+--R               - 910a b c d  + 350b c d
+--R          *
+--R             x
+--R         + 
+--R               6 6        5     5        4 2 2 4       3 3 3 3       2 4 4 2
+--R           945a d  - 3360a b c d  + 3689a b c d  - 600a b c d  - 525a b c d
+--R         + 
+--R                  5 5        6 6
+--R           1400a b c d - 525b c
+--R      *
+--R          +-+ +-+ +-------+ +-------+
+--R         \|b \|d \|b x + a \|d x + c
+--R  /
+--R            5 4 +-+ +-+
+--R     107520b d \|b \|d
+--R                                                    Type: Expression(Integer)
+--E  222
+
+--S 223 of 1000
+--a0:=integrate(t0,x)
+--E  223
+
+--S 224 of 1000
+--m0:=a0-r0
+--E  224
+
+--S 225 of 1000
+--d0:=D(m0,x)
+--E  225
+
+)clear all
+
+--S 226 of 1000
+t0:=x*(a+b*x)^(3/2)*(c+d*x)^(5/2)
+--R 
+--R
+--R   (1)
+--R       2 4       2           3                2  2      2   +-------+ +-------+
+--R   (b d x  + (a d  + 2b c d)x  + (2a c d + b c )x  + a c x)\|b x + a \|d x + c
+--R                                                    Type: Expression(Integer)
+--E  226
+
+--S 227 of 1000
+r0:=-1/96*(b*c-a*d)*(5*b*c+7*a*d)*(a+b*x)^(5/2)*(c+d*x)^(3/2)/(b^3*d)-_
+     1/60*(5*b*c+7*a*d)*(a+b*x)^(5/2)*(c+d*x)^(5/2)/(b^2*d)+_
+     1/6*(a+b*x)^(5/2)*(c+d*x)^(7/2)/(b*d)-1/512*(b*c-a*d)^5*_
+     (5*b*c+7*a*d)*atanh(sqrt(d)*sqrt(a+b*x)/(sqrt(b)*sqrt(c+d*x)))/_
+     (b^(9/2)*d^(7/2))-1/768*(b*c-a*d)^3*(5*b*c+7*a*d)*(a+b*x)^(3/2)*_
+     sqrt(c+d*x)/(b^4*d^2)-1/192*(b*c-a*d)^2*(5*b*c+7*a*d)*(a+b*x)^(5/2)*_
+     sqrt(c+d*x)/(b^4*d)+1/512*(b*c-a*d)^4*(5*b*c+7*a*d)*sqrt(a+b*x)*_
+     sqrt(c+d*x)/(b^4*d^3)
+--R 
+--R
+--R   (2)
+--R               6 6       5     5       4 2 2 4       3 3 3 3       2 4 4 2
+--R           105a d  - 450a b c d  + 675a b c d  - 300a b c d  - 225a b c d
+--R         + 
+--R                 5 5       6 6
+--R           270a b c d - 75b c
+--R      *
+--R                +-+ +-------+
+--R               \|d \|b x + a
+--R         atanh(--------------)
+--R                +-+ +-------+
+--R               \|b \|d x + c
+--R     + 
+--R                5 5 5           4 5        5   4  4
+--R           1280b d x  + (1664a b d  + 3200b c d )x
+--R         + 
+--R               2 3 5          4   4        5 2 3  3
+--R           (48a b d  + 4448a b c d  + 2160b c d )x
+--R         + 
+--R                 3 2 5       2 3   4          4 2 3      5 3 2  2
+--R           (- 56a b d  + 216a b c d  + 3384a b c d  + 40b c d )x
+--R         + 
+--R               4   5       3 2   4       2 3 2 3         4 3 2      5 4
+--R           (70a b d  - 272a b c d  + 348a b c d  + 160a b c d  - 50b c d)x
+--R         + 
+--R                 5 5       4     4       3 2 2 3       2 3 3 2         4 4
+--R           - 105a d  + 415a b c d  - 546a b c d  + 150a b c d  - 245a b c d
+--R         + 
+--R              5 5
+--R           75b c
+--R      *
+--R          +-+ +-+ +-------+ +-------+
+--R         \|b \|d \|b x + a \|d x + c
+--R  /
+--R          4 3 +-+ +-+
+--R     7680b d \|b \|d
+--R                                                    Type: Expression(Integer)
+--E  227
+
+--S 228 of 1000
+--a0:=integrate(t0,x)
+--E  228
+
+--S 229 of 1000
+--m0:=a0-r0
+--E  229
+
+--S 230 of 1000
+--d0:=D(m0,x)
+--E  230
+
+)clear all
+
+--S 231 of 1000
+t0:=(a+b*x)^(3/2)*(c+d*x)^(5/2)
+--R 
+--R
+--R   (1)
+--R       2 3       2           2                2        2  +-------+ +-------+
+--R   (b d x  + (a d  + 2b c d)x  + (2a c d + b c )x + a c )\|b x + a \|d x + c
+--R                                                    Type: Expression(Integer)
+--E  231
+
+--S 232 of 1000
+r0:=1/8*(b*c-a*d)*(a+b*x)^(5/2)*(c+d*x)^(3/2)/b^2+1/5*(a+b*x)^(5/2)*_
+     (c+d*x)^(5/2)/b+3/128*(b*c-a*d)^5*atanh(sqrt(d)*sqrt(a+b*x)/_
+     (sqrt(b)*sqrt(c+d*x)))/(b^(7/2)*d^(5/2))+1/64*(b*c-a*d)^3*_
+     (a+b*x)^(3/2)*sqrt(c+d*x)/(b^3*d)+1/16*(b*c-a*d)^2*(a+b*x)^(5/2)*_
+     sqrt(c+d*x)/b^3-3/128*(b*c-a*d)^4*sqrt(a+b*x)*sqrt(c+d*x)/(b^3*d^2)
+--R 
+--R
+--R   (2)
+--R                  5 5      4     4       3 2 2 3       2 3 3 2        4 4
+--R             - 15a d  + 75a b c d  - 150a b c d  + 150a b c d  - 75a b c d
+--R           + 
+--R                5 5
+--R             15b c
+--R      *
+--R                +-+ +-------+
+--R               \|d \|b x + a
+--R         atanh(--------------)
+--R                +-+ +-------+
+--R               \|b \|d x + c
+--R     + 
+--R               4 4 4          3 4       4   3  3
+--R           128b d x  + (176a b d  + 336b c d )x
+--R         + 
+--R              2 2 4         3   3       4 2 2  2
+--R           (8a b d  + 512a b c d  + 248b c d )x
+--R         + 
+--R                 3   4      2 2   3         3 2 2      4 3         4 4
+--R           (- 10a b d  + 46a b c d  + 466a b c d  + 10b c d)x + 15a d
+--R         + 
+--R                3     3       2 2 2 2        3 3       4 4
+--R           - 70a b c d  + 128a b c d  + 70a b c d - 15b c
+--R      *
+--R          +-+ +-+ +-------+ +-------+
+--R         \|b \|d \|b x + a \|d x + c
+--R  /
+--R         3 2 +-+ +-+
+--R     640b d \|b \|d
+--R                                                    Type: Expression(Integer)
+--E  232
+
+--S 233 of 1000
+--a0:=integrate(t0,x)
+--E  233
+
+--S 234 of 1000
+--m0:=a0-r0
+--E  234
+
+--S 235 of 1000
+--d0:=D(m0,x)
+--E  235
+
+)clear all
+
+--S 236 of 1000
+t0:=(a+b*x)^(3/2)*(c+d*x)^(5/2)/x
+--R 
+--R
+--R   (1)
+--R       2 3       2           2                2        2  +-------+ +-------+
+--R   (b d x  + (a d  + 2b c d)x  + (2a c d + b c )x + a c )\|b x + a \|d x + c
+--R   --------------------------------------------------------------------------
+--R                                        x
+--R                                                    Type: Expression(Integer)
+--E  236
+
+--S 237 of 1000
+r0:=1/4*(a+b*x)^(3/2)*(c+d*x)^(5/2)-2*a^(3/2)*c^(5/2)*atanh(sqrt(c)*_
+     sqrt(a+b*x)/(sqrt(a)*sqrt(c+d*x)))-1/64*(5*b^4*c^4-60*a*b^3*c^3*d-_
+     90*a^2*b^2*c^2*d^2+20*a^3*b*c*d^3-3*a^4*d^4)*atanh(sqrt(d)*_
+     sqrt(a+b*x)/(sqrt(b)*sqrt(c+d*x)))/(b^(5/2)*d^(3/2))+1/96*(50*a*c-_
+     5*b*c^2/d+3*a^2*d/b)*(c+d*x)^(3/2)*sqrt(a+b*x)+1/24*(5*b*c+3*a*d)*_
+     (c+d*x)^(5/2)*sqrt(a+b*x)/d-1/64*(5*b^3*c^3-55*a*b^2*c^2*d-_
+     17*a^2*b*c*d^2+3*a^3*d^3)*sqrt(a+b*x)*sqrt(c+d*x)/(b^2*d)
+--R 
+--R
+--R   (2)
+--R            4 4      3     3       2 2 2 2         3 3       4 4
+--R         (9a d  - 60a b c d  + 270a b c d  + 180a b c d - 15b c )
+--R      *
+--R                +-+ +-------+
+--R               \|d \|b x + a
+--R         atanh(--------------)
+--R                +-+ +-------+
+--R               \|b \|d x + c
+--R     + 
+--R                                          +-+ +-------+
+--R               2 2  +-+ +-+ +-+ +-+      \|c \|b x + a
+--R       - 384a b c d\|a \|b \|c \|d atanh(--------------)
+--R                                          +-+ +-------+
+--R                                         \|a \|d x + c
+--R     + 
+--R              3 3 3         2 3       3   2  2
+--R           48b d x  + (72a b d  + 136b c d )x
+--R         + 
+--R              2   3         2   2       3 2        3 3      2     2         2 2
+--R           (6a b d  + 244a b c d  + 118b c d)x - 9a d  + 57a b c d  + 337a b c d
+--R         + 
+--R              3 3
+--R           15b c
+--R      *
+--R          +-+ +-+ +-------+ +-------+
+--R         \|b \|d \|b x + a \|d x + c
+--R  /
+--R         2  +-+ +-+
+--R     192b d\|b \|d
+--R                                                    Type: Expression(Integer)
+--E  237
+
+--S 238 of 1000
+--a0:=integrate(t0,x)
+--E  238
+
+--S 239 of 1000
+--m0:=a0-r0
+--E  239
+
+--S 240 of 1000
+--d0:=D(m0,x)
+--E  240
+
+)clear all
+
+--S 241 of 1000
+t0:=(a+b*x)^(3/2)*(c+d*x)^(5/2)/x^2
+--R 
+--R
+--R   (1)
+--R       2 3       2           2                2        2  +-------+ +-------+
+--R   (b d x  + (a d  + 2b c d)x  + (2a c d + b c )x + a c )\|b x + a \|d x + c
+--R   --------------------------------------------------------------------------
+--R                                        2
+--R                                       x
+--R                                                    Type: Expression(Integer)
+--E  241
+
+--S 242 of 1000
+r0:=-(a+b*x)^(3/2)*(c+d*x)^(5/2)/x-c^(3/2)*(3*b*c+5*a*d)*atanh(sqrt(c)*_
+     sqrt(a+b*x)/(sqrt(a)*sqrt(c+d*x)))*sqrt(a)+1/8*(5*b^3*c^3+45*a*_
+     b^2*c^2*d+15*a^2*b*c*d^2-a^3*d^3)*atanh(sqrt(d)*sqrt(a+b*x)/_
+     (sqrt(b)*sqrt(c+d*x)))/(b^(3/2)*sqrt(d))+1/12*(5*b*c+19*a*d)*_
+     (c+d*x)^(3/2)*sqrt(a+b*x)+4/3*b*(c+d*x)^(5/2)*sqrt(a+b*x)+_
+     1/8*(5*b^2*c^2+26*a*b*c*d+a^2*d^2)*sqrt(a+b*x)*sqrt(c+d*x)/b
+--R 
+--R
+--R   (2)
+--R                                                            +-+ +-------+
+--R            3 3      2     2         2 2       3 3         \|d \|b x + a
+--R       (- 3a d  + 45a b c d  + 135a b c d + 15b c )x atanh(--------------)
+--R                                                            +-+ +-------+
+--R                                                           \|b \|d x + c
+--R     + 
+--R                                                      +-+ +-------+
+--R                          2 2   +-+ +-+ +-+ +-+      \|c \|b x + a
+--R       (- 120a b c d - 72b c )x\|a \|b \|c \|d atanh(--------------)
+--R                                                      +-+ +-------+
+--R                                                     \|a \|d x + c
+--R     + 
+--R             2 2 3           2      2     2      2 2                  2 2
+--R           8b d x  + (14a b d  + 26b c d)x  + (3a d  + 68a b c d + 33b c )x
+--R         + 
+--R                    2
+--R           - 24a b c
+--R      *
+--R          +-+ +-+ +-------+ +-------+
+--R         \|b \|d \|b x + a \|d x + c
+--R  /
+--R           +-+ +-+
+--R     24b x\|b \|d
+--R                                                    Type: Expression(Integer)
+--E  242
+
+--S 243 of 1000
+--a0:=integrate(t0,x)
+--E  243
+
+--S 244 of 1000
+--m0:=a0-r0
+--E  244
+
+--S 245 of 1000
+--d0:=D(m0,x)
+--E  245
+
+)clear all
+
+--S 246 of 1000
+t0:=(a+b*x)^(3/2)*(c+d*x)^(5/2)/x^3
+--R 
+--R
+--R   (1)
+--R       2 3       2           2                2        2  +-------+ +-------+
+--R   (b d x  + (a d  + 2b c d)x  + (2a c d + b c )x + a c )\|b x + a \|d x + c
+--R   --------------------------------------------------------------------------
+--R                                        3
+--R                                       x
+--R                                                    Type: Expression(Integer)
+--E  246
+
+--S 247 of 1000
+r0:=-1/2*(a+b*x)^(3/2)*(c+d*x)^(5/2)/x^2-3/4*(b^2*c^2+10*a*b*c*d+_
+     5*a^2*d^2)*atanh(sqrt(c)*sqrt(a+b*x)/(sqrt(a)*sqrt(c+d*x)))*_
+     sqrt(c)/sqrt(a)+3/4*(5*b^2*c^2+10*a*b*c*d+a^2*d^2)*atanh(sqrt(d)*_
+     sqrt(a+b*x)/(sqrt(b)*sqrt(c+d*x)))*sqrt(d)/sqrt(b)+1/4*d*_
+     (7*b*c+5*a*d)*(c+d*x)^(3/2)*sqrt(a+b*x)/c-1/4*(3*b*c+5*a*d)*_
+     (c+d*x)^(5/2)*sqrt(a+b*x)/(c*x)+3*d*(b*c+a*d)*sqrt(a+b*x)*sqrt(c+d*x)
+--R 
+--R
+--R   (2)
+--R                                                    +-+ +-------+
+--R          2 2                  2 2  2 +-+ +-+      \|d \|b x + a
+--R       (3a d  + 30a b c d + 15b c )x \|a \|d atanh(--------------)
+--R                                                    +-+ +-------+
+--R                                                   \|b \|d x + c
+--R     + 
+--R                                                      +-+ +-------+
+--R             2 2                 2 2  2 +-+ +-+      \|c \|b x + a
+--R       (- 15a d  - 30a b c d - 3b c )x \|b \|c atanh(--------------)
+--R                                                      +-+ +-------+
+--R                                                     \|a \|d x + c
+--R     + 
+--R              2 3        2           2                   2         2  +-+ +-+
+--R         (2b d x  + (5a d  + 9b c d)x  + (- 9a c d - 5b c )x - 2a c )\|a \|b
+--R      *
+--R          +-------+ +-------+
+--R         \|b x + a \|d x + c
+--R  /
+--R       2 +-+ +-+
+--R     4x \|a \|b
+--R                                                    Type: Expression(Integer)
+--E  247
+
+--S 248 of 1000
+--a0:=integrate(t0,x)
+--E  248
+
+--S 249 of 1000
+--m0:=a0-r0
+--E  249
+
+--S 250 of 1000
+--d0:=D(m0,x)
+--E  250
+
+)clear all
+
+--S 251 of 1000
+t0:=(a+b*x)^(3/2)*(c+d*x)^(5/2)/x^4
+--R 
+--R
+--R   (1)
+--R       2 3       2           2                2        2  +-------+ +-------+
+--R   (b d x  + (a d  + 2b c d)x  + (2a c d + b c )x + a c )\|b x + a \|d x + c
+--R   --------------------------------------------------------------------------
+--R                                        4
+--R                                       x
+--R                                                    Type: Expression(Integer)
+--E  251
+
+--S 252 of 1000
+r0:=-1/3*(a+b*x)^(3/2)*(c+d*x)^(5/2)/x^3+d^(3/2)*(5*b*c+3*a*d)*_
+     atanh(sqrt(d)*sqrt(a+b*x)/(sqrt(b)*sqrt(c+d*x)))*sqrt(b)+_
+     1/8*(b^3*c^3-15*a*b^2*c^2*d-45*a^2*b*c*d^2-5*a^3*d^3)*_
+     atanh(sqrt(c)*sqrt(a+b*x)/(sqrt(a)*sqrt(c+d*x)))/(a^(3/2)*sqrt(c))-_
+     1/24*(3*b^2*c/a+40*b*d+5*a*d^2/c)*(c+d*x)^(3/2)*sqrt(a+b*x)/x-_
+     1/12*(3*b*c+5*a*d)*(c+d*x)^(5/2)*sqrt(a+b*x)/(c*x^2)+_
+     1/8*d*(b^2*c^2+26*a*b*c*d+5*a^2*d^2)*sqrt(a+b*x)*sqrt(c+d*x)/(a*c)
+--R 
+--R
+--R   (2)
+--R                                                     +-+ +-------+
+--R           2 2               3 +-+ +-+ +-+ +-+      \|d \|b x + a
+--R       (72a d  + 120a b c d)x \|a \|b \|c \|d atanh(--------------)
+--R                                                     +-+ +-------+
+--R                                                    \|b \|d x + c
+--R     + 
+--R                                                            +-+ +-------+
+--R             3 3       2     2        2 2      3 3  3      \|c \|b x + a
+--R       (- 15a d  - 135a b c d  - 45a b c d + 3b c )x atanh(--------------)
+--R                                                            +-+ +-------+
+--R                                                           \|a \|d x + c
+--R     + 
+--R                  2 3         2 2                 2 2  2
+--R           24a b d x  + (- 33a d  - 68a b c d - 3b c )x
+--R         + 
+--R                 2             2       2 2
+--R           (- 26a c d - 14a b c )x - 8a c
+--R      *
+--R          +-+ +-+ +-------+ +-------+
+--R         \|a \|c \|b x + a \|d x + c
+--R  /
+--R          3 +-+ +-+
+--R     24a x \|a \|c
+--R                                                    Type: Expression(Integer)
+--E  252
+
+--S 253 of 1000
+--a0:=integrate(t0,x)
+--E  253
+
+--S 254 of 1000
+--m0:=a0-r0
+--E  254
+
+--S 255 of 1000
+--d0:=D(m0,x)
+--E  255
+
+)clear all
+
+--S 256 of 1000
+t0:=(a+b*x)^(3/2)*(c+d*x)^(5/2)/x^5
+--R 
+--R
+--R   (1)
+--R       2 3       2           2                2        2  +-------+ +-------+
+--R   (b d x  + (a d  + 2b c d)x  + (2a c d + b c )x + a c )\|b x + a \|d x + c
+--R   --------------------------------------------------------------------------
+--R                                        5
+--R                                       x
+--R                                                    Type: Expression(Integer)
+--E  256
+
+--S 257 of 1000
+r0:=-1/4*(a+b*x)^(3/2)*(c+d*x)^(5/2)/x^4-1/64*(3*b^4*c^4-20*a*b^3*c^3*d+_
+     90*a^2*b^2*c^2*d^2+60*a^3*b*c*d^3-5*a^4*d^4)*atanh(sqrt(c)*_
+     sqrt(a+b*x)/(sqrt(a)*sqrt(c+d*x)))/(a^(5/2)*c^(3/2))+2*b^(3/2)*_
+     d^(5/2)*atanh(sqrt(d)*sqrt(a+b*x)/(sqrt(b)*sqrt(c+d*x)))-_
+     1/96*(3*b^2*c/a+50*b*d-5*a*d^2/c)*(c+d*x)^(3/2)*sqrt(a+b*x)/x^2-_
+     1/24*(3*b*c+5*a*d)*(c+d*x)^(5/2)*sqrt(a+b*x)/(c*x^3)+_
+     1/64*(3*b^3*c^3-17*a*b^2*c^2*d-55*a^2*b*c*d^2+5*a^3*d^3)*_
+     sqrt(a+b*x)*sqrt(c+d*x)/(a^2*c*x)
+--R 
+--R
+--R   (2)
+--R                                           +-+ +-------+
+--R           2     2 4 +-+ +-+ +-+ +-+      \|d \|b x + a
+--R       384a b c d x \|a \|b \|c \|d atanh(--------------)
+--R                                           +-+ +-------+
+--R                                          \|b \|d x + c
+--R     + 
+--R             4 4       3     3       2 2 2 2        3 3      4 4  4
+--R         (15a d  - 180a b c d  - 270a b c d  + 60a b c d - 9b c )x
+--R      *
+--R                +-+ +-------+
+--R               \|c \|b x + a
+--R         atanh(--------------)
+--R                +-+ +-------+
+--R               \|a \|d x + c
+--R     + 
+--R                 3 3       2     2        2 2      3 3  3
+--R           (- 15a d  - 337a b c d  - 57a b c d + 9b c )x
+--R         + 
+--R                  3   2       2   2        2 3  2          3 2       2   3
+--R           (- 118a c d  - 244a b c d - 6a b c )x  + (- 136a c d - 72a b c )x
+--R         + 
+--R                3 3
+--R           - 48a c
+--R      *
+--R          +-+ +-+ +-------+ +-------+
+--R         \|a \|c \|b x + a \|d x + c
+--R  /
+--R         2   4 +-+ +-+
+--R     192a c x \|a \|c
+--R                                                    Type: Expression(Integer)
+--E  257
+
+--S 258 of 1000
+--a0:=integrate(t0,x)
+--E  258
+
+--S 259 of 1000
+--m0:=a0-r0
+--E  259
+
+--S 260 of 1000
+--d0:=D(m0,x)
+--E  260
+
+)clear all
+
+--S 261 of 1000
+t0:=(a+b*x)^(3/2)*(c+d*x)^(5/2)/x^6
+--R 
+--R
+--R   (1)
+--R       2 3       2           2                2        2  +-------+ +-------+
+--R   (b d x  + (a d  + 2b c d)x  + (2a c d + b c )x + a c )\|b x + a \|d x + c
+--R   --------------------------------------------------------------------------
+--R                                        6
+--R                                       x
+--R                                                    Type: Expression(Integer)
+--E  261
+
+--S 262 of 1000
+r0:=-1/5*(a+b*x)^(3/2)*(c+d*x)^(7/2)/(c*x^5)+3/128*(b*c-a*d)^5*_
+     atanh(sqrt(c)*sqrt(a+b*x)/(sqrt(a)*sqrt(c+d*x)))/(a^(7/2)*c^(5/2))+_
+     1/64*(b*c-a*d)^3*(c+d*x)^(3/2)*sqrt(a+b*x)/(a^2*c^2*x^2)-_
+     1/80*(b*c-a*d)^2*(c+d*x)^(5/2)*sqrt(a+b*x)/(a*c^2*x^3)-_
+     3/40*(b*c-a*d)*(c+d*x)^(7/2)*sqrt(a+b*x)/(c^2*x^4)-_
+     3/128*(b*c-a*d)^4*sqrt(a+b*x)*sqrt(c+d*x)/(a^3*c^2*x)
+--R 
+--R
+--R   (2)
+--R                  5 5      4     4       3 2 2 3       2 3 3 2        4 4
+--R             - 15a d  + 75a b c d  - 150a b c d  + 150a b c d  - 75a b c d
+--R           + 
+--R                5 5
+--R             15b c
+--R      *
+--R                  +-+ +-------+
+--R          5      \|c \|b x + a
+--R         x atanh(--------------)
+--R                  +-+ +-------+
+--R                 \|a \|d x + c
+--R     + 
+--R               4 4      3     3       2 2 2 2        3 3       4 4  4
+--R           (15a d  - 70a b c d  - 128a b c d  + 70a b c d - 15b c )x
+--R         + 
+--R                 4   3       3   2 2      2 2 3         3 4  3
+--R           (- 10a c d  - 466a b c d  - 46a b c d + 10a b c )x
+--R         + 
+--R                  4 2 2       3   3      2 2 4  2          4 3        3   4
+--R           (- 248a c d  - 512a b c d - 8a b c )x  + (- 336a c d - 176a b c )x
+--R         + 
+--R                 4 4
+--R           - 128a c
+--R      *
+--R          +-+ +-+ +-------+ +-------+
+--R         \|a \|c \|b x + a \|d x + c
+--R  /
+--R         3 2 5 +-+ +-+
+--R     640a c x \|a \|c
+--R                                                    Type: Expression(Integer)
+--E  262
+
+--S 263 of 1000
+--a0:=integrate(t0,x)
+--E  263
+
+--S 264 of 1000
+--m0:=a0-r0
+--E  264
+
+--S 265 of 1000
+--d0:=D(m0,x)
+--E  265
+
+)clear all
+
+--S 266 of 1000
+t0:=(a+b*x)^(3/2)*(c+d*x)^(5/2)/x^7
+--R 
+--R
+--R   (1)
+--R       2 3       2           2                2        2  +-------+ +-------+
+--R   (b d x  + (a d  + 2b c d)x  + (2a c d + b c )x + a c )\|b x + a \|d x + c
+--R   --------------------------------------------------------------------------
+--R                                        7
+--R                                       x
+--R                                                    Type: Expression(Integer)
+--E  266
+
+--S 267 of 1000
+r0:=-1/6*(a+b*x)^(3/2)*(c+d*x)^(5/2)/x^6-1/512*(b*c-a*d)^5*(7*b*c+5*a*d)*_
+     atanh(sqrt(c)*sqrt(a+b*x)/(sqrt(a)*sqrt(c+d*x)))/(a^(9/2)*c^(7/2))-_
+     1/480*(3*b^2*c/a+70*b*d-25*a*d^2/c)*(c+d*x)^(3/2)*sqrt(a+b*x)/x^4-_
+     1/60*(3*b*c+5*a*d)*(c+d*x)^(5/2)*sqrt(a+b*x)/(c*x^5)+_
+     1/960*(b*c-5*a*d)*(7*b^2*c^2+14*a*b*c*d-5*a^2*d^2)*sqrt(a+b*x)*_
+     sqrt(c+d*x)/(a^2*c*x^3)-1/3840*(35*b^4*c^4-136*a*b^3*c^3*d+_
+     174*a^2*b^2*c^2*d^2+80*a^3*b*c*d^3-25*a^4*d^4)*sqrt(a+b*x)*_
+     sqrt(c+d*x)/(a^3*c^2*x^2)+1/7680*(105*b^5*c^5-415*a*b^4*c^4*d+_
+     546*a^2*b^3*c^3*d^2-150*a^3*b^2*c^2*d^3+245*a^4*b*c*d^4-75*a^5*d^5)*_
+     sqrt(a+b*x)*sqrt(c+d*x)/(a^4*c^3*x)
+--R 
+--R
+--R   (2)
+--R              6 6       5     5       4 2 2 4       3 3 3 3       2 4 4 2
+--R           75a d  - 270a b c d  + 225a b c d  + 300a b c d  - 675a b c d
+--R         + 
+--R                 5 5        6 6
+--R           450a b c d - 105b c
+--R      *
+--R                  +-+ +-------+
+--R          6      \|c \|b x + a
+--R         x atanh(--------------)
+--R                  +-+ +-------+
+--R                 \|a \|d x + c
+--R     + 
+--R                    5 5       4     4       3 2 2 3       2 3 3 2         4 4
+--R               - 75a d  + 245a b c d  - 150a b c d  + 546a b c d  - 415a b c d
+--R             + 
+--R                   5 5
+--R               105b c
+--R          *
+--R              5
+--R             x
+--R         + 
+--R               5   4       4   2 3       3 2 3 2       2 3 4         4 5  4
+--R           (50a c d  - 160a b c d  - 348a b c d  + 272a b c d - 70a b c )x
+--R         + 
+--R                 5 2 3        4   3 2       3 2 4       2 3 5  3
+--R           (- 40a c d  - 3384a b c d  - 216a b c d + 56a b c )x
+--R         + 
+--R                   5 3 2        4   4       3 2 5  2
+--R           (- 2160a c d  - 4448a b c d - 48a b c )x
+--R         + 
+--R                   5 4         4   5          5 5
+--R           (- 3200a c d - 1664a b c )x - 1280a c
+--R      *
+--R          +-+ +-+ +-------+ +-------+
+--R         \|a \|c \|b x + a \|d x + c
+--R  /
+--R          4 3 6 +-+ +-+
+--R     7680a c x \|a \|c
+--R                                                    Type: Expression(Integer)
+--E  267
+
+--S 268 of 1000
+--a0:=integrate(t0,x)
+--E  268
+
+--S 269 of 1000
+--m0:=a0-r0
+--E  269
+
+--S 270 of 1000
+--d0:=D(m0,x)
+--E  270
+
+)clear all
+
+--S 271 of 1000
+t0:=x^2*(a+b*x)^(3/2)/sqrt(c+d*x)
+--R 
+--R
+--R            3      2  +-------+
+--R        (b x  + a x )\|b x + a
+--R   (1)  -----------------------
+--R                +-------+
+--R               \|d x + c
+--R                                                    Type: Expression(Integer)
+--E  271
+
+--S 272 of 1000
+r0:=1/64*(b*c-a*d)^2*(35*b^2*c^2+10*a*b*c*d+3*a^2*d^2)*atanh(sqrt(d)*_
+     sqrt(a+b*x)/(sqrt(b)*sqrt(c+d*x)))/(b^(5/2)*d^(9/2))+_
+     1/96*(35*b^2*c^2+10*a*b*c*d+3*a^2*d^2)*(a+b*x)^(3/2)*_
+     sqrt(c+d*x)/(b^2*d^3)-1/24*(7*b*c+3*a*d)*(a+b*x)^(5/2)*_
+     sqrt(c+d*x)/(b^2*d^2)+1/4*x*(a+b*x)^(5/2)*sqrt(c+d*x)/(b*d)-_
+     1/64*(b*c-a*d)*(35*b^2*c^2+10*a*b*c*d+3*a^2*d^2)*sqrt(a+b*x)*_
+     sqrt(c+d*x)/(b^2*d^4)
+--R 
+--R
+--R   (2)
+--R            4 4      3     3      2 2 2 2         3 3        4 4
+--R         (9a d  + 12a b c d  + 54a b c d  - 180a b c d + 105b c )
+--R      *
+--R                +-+ +-------+
+--R               \|d \|b x + a
+--R         atanh(--------------)
+--R                +-+ +-------+
+--R               \|b \|d x + c
+--R     + 
+--R              3 3 3         2 3      3   2  2
+--R           48b d x  + (72a b d  - 56b c d )x
+--R         + 
+--R              2   3        2   2      3 2        3 3      2     2         2 2
+--R           (6a b d  - 92a b c d  + 70b c d)x - 9a d  - 15a b c d  + 145a b c d
+--R         + 
+--R                 3 3
+--R           - 105b c
+--R      *
+--R          +-+ +-+ +-------+ +-------+
+--R         \|b \|d \|b x + a \|d x + c
+--R  /
+--R         2 4 +-+ +-+
+--R     192b d \|b \|d
+--R                                                    Type: Expression(Integer)
+--E  272
+
+--S 273 of 1000
+--a0:=integrate(t0,x)
+--E  273
+
+--S 274 of 1000
+--m0:=a0-r0
+--E  274
+
+--S 275 of 1000
+--d0:=D(m0,x)
+--E  275
+
+)clear all
+
+--S 276 of 1000
+t0:=x*(a+b*x)^(3/2)/sqrt(c+d*x)
+--R 
+--R
+--R            2        +-------+
+--R        (b x  + a x)\|b x + a
+--R   (1)  ----------------------
+--R               +-------+
+--R              \|d x + c
+--R                                                    Type: Expression(Integer)
+--E  276
+
+--S 277 of 1000
+r0:=-1/8*(b*c-a*d)^2*(5*b*c+a*d)*atanh(sqrt(d)*sqrt(a+b*x)/(sqrt(b)*_
+     sqrt(c+d*x)))/(b^(3/2)*d^(7/2))-1/12*(5*b*c+a*d)*(a+b*x)^(3/2)*_
+     sqrt(c+d*x)/(b*d^2)+1/3*(a+b*x)^(5/2)*sqrt(c+d*x)/(b*d)+_
+     1/8*(b*c-a*d)*(5*b*c+a*d)*sqrt(a+b*x)*sqrt(c+d*x)/(b*d^3)
+--R 
+--R
+--R   (2)
+--R                                                        +-+ +-------+
+--R            3 3     2     2        2 2       3 3       \|d \|b x + a
+--R       (- 3a d  - 9a b c d  + 27a b c d - 15b c )atanh(--------------)
+--R                                                        +-+ +-------+
+--R                                                       \|b \|d x + c
+--R     + 
+--R            2 2 2           2      2          2 2                  2 2  +-+ +-+
+--R         (8b d x  + (14a b d  - 10b c d)x + 3a d  - 22a b c d + 15b c )\|b \|d
+--R      *
+--R          +-------+ +-------+
+--R         \|b x + a \|d x + c
+--R  /
+--R          3 +-+ +-+
+--R     24b d \|b \|d
+--R                                                    Type: Expression(Integer)
+--E  277
+
+--S 278 of 1000
+--a0:=integrate(t0,x)
+--E  278
+
+--S 279 of 1000
+--m0:=a0-r0
+--E  279
+
+--S 280 of 1000
+--d0:=D(m0,x)
+--E  280
+
+)clear all
+
+--S 281 of 1000
+t0:=(a+b*x)^(3/2)/sqrt(c+d*x)
+--R 
+--R
+--R                  +-------+
+--R        (b x + a)\|b x + a
+--R   (1)  -------------------
+--R              +-------+
+--R             \|d x + c
+--R                                                    Type: Expression(Integer)
+--E  281
+
+--S 282 of 1000
+r0:=3/4*(b*c-a*d)^2*atanh(sqrt(d)*sqrt(a+b*x)/(sqrt(b)*sqrt(c+d*x)))/_
+     (d^(5/2)*sqrt(b))+1/2*(a+b*x)^(3/2)*sqrt(c+d*x)/d-3/4*(b*c-a*d)*_
+     sqrt(a+b*x)*sqrt(c+d*x)/d^2
+--R 
+--R
+--R   (2)
+--R                                        +-+ +-------+
+--R          2 2                2 2       \|d \|b x + a
+--R       (3a d  - 6a b c d + 3b c )atanh(--------------)
+--R                                        +-+ +-------+
+--R                                       \|b \|d x + c
+--R     + 
+--R                              +-+ +-+ +-------+ +-------+
+--R       (2b d x + 5a d - 3b c)\|b \|d \|b x + a \|d x + c
+--R  /
+--R       2 +-+ +-+
+--R     4d \|b \|d
+--R                                                    Type: Expression(Integer)
+--E  282
+
+--S 283 of 1000
+--a0:=integrate(t0,x)
+--E  283
+
+--S 284 of 1000
+--m0:=a0-r0
+--E  284
+
+--S 285 of 1000
+--d0:=D(m0,x)
+--E  285
+
+)clear all
+
+--S 286 of 1000
+t0:=(a+b*x)^(3/2)/(x*sqrt(c+d*x))
+--R 
+--R
+--R                  +-------+
+--R        (b x + a)\|b x + a
+--R   (1)  -------------------
+--R              +-------+
+--R            x\|d x + c
+--R                                                    Type: Expression(Integer)
+--E  286
+
+--S 287 of 1000
+r0:=-(b*c-3*a*d)*atanh(sqrt(d)*sqrt(a+b*x)/(sqrt(b)*sqrt(c+d*x)))*_
+     sqrt(b)/d^(3/2)-2*a^(3/2)*atanh(sqrt(c)*sqrt(a+b*x)/(sqrt(a)*_
+     sqrt(c+d*x)))/sqrt(c)+b*sqrt(a+b*x)*sqrt(c+d*x)/d
+--R 
+--R
+--R   (2)
+--R                                  +-+ +-------+
+--R                    +-+ +-+      \|d \|b x + a
+--R       (3a d - b c)\|b \|c atanh(--------------)
+--R                                  +-+ +-------+
+--R                                 \|b \|d x + c
+--R     + 
+--R                            +-+ +-------+
+--R              +-+ +-+      \|c \|b x + a       +-+ +-+ +-------+ +-------+
+--R       - 2a d\|a \|d atanh(--------------) + b\|c \|d \|b x + a \|d x + c
+--R                            +-+ +-------+
+--R                           \|a \|d x + c
+--R  /
+--R       +-+ +-+
+--R     d\|c \|d
+--R                                                    Type: Expression(Integer)
+--E  287
+
+--S 288 of 1000
+--a0:=integrate(t0,x)
+--E  288
+
+--S 289 of 1000
+--m0:=a0-r0
+--E  289
+
+--S 290 of 1000
+--d0:=D(m0,x)
+--E  290
+
+)clear all
+
+--S 291 of 1000
+t0:=(a+b*x)^(3/2)/(x^2*sqrt(c+d*x))
+--R 
+--R
+--R                  +-------+
+--R        (b x + a)\|b x + a
+--R   (1)  -------------------
+--R             2 +-------+
+--R            x \|d x + c
+--R                                                    Type: Expression(Integer)
+--E  291
+
+--S 292 of 1000
+r0:=-(3*b*c-a*d)*atanh(sqrt(c)*sqrt(a+b*x)/(sqrt(a)*sqrt(c+d*x)))*_
+     sqrt(a)/c^(3/2)+2*b^(3/2)*atanh(sqrt(d)*sqrt(a+b*x)/(sqrt(b)*_
+     sqrt(c+d*x)))/sqrt(d)-(a+b*x)^(3/2)*sqrt(c+d*x)/(c*x)+_
+     b*sqrt(a+b*x)*sqrt(c+d*x)/c
+--R 
+--R
+--R   (2)
+--R                            +-+ +-------+
+--R              +-+ +-+      \|d \|b x + a
+--R       2b c x\|b \|c atanh(--------------)
+--R                            +-+ +-------+
+--R                           \|b \|d x + c
+--R     + 
+--R                                 +-+ +-------+
+--R                   +-+ +-+      \|c \|b x + a       +-+ +-+ +-------+ +-------+
+--R     (a d - 3b c)x\|a \|d atanh(--------------) - a\|c \|d \|b x + a \|d x + c
+--R                                 +-+ +-------+
+--R                                \|a \|d x + c
+--R  /
+--R         +-+ +-+
+--R     c x\|c \|d
+--R                                                    Type: Expression(Integer)
+--E  292
+
+--S 293 of 1000
+--a0:=integrate(t0,x)
+--E  293
+
+--S 294 of 1000
+--m0:=a0-r0
+--E  294
+
+--S 295 of 1000
+--d0:=D(m0,x)
+--E  295
+
+)clear all
+
+--S 296 of 1000
+t0:=(a+b*x)^(3/2)/(x^3*sqrt(c+d*x))
+--R 
+--R
+--R                  +-------+
+--R        (b x + a)\|b x + a
+--R   (1)  -------------------
+--R             3 +-------+
+--R            x \|d x + c
+--R                                                    Type: Expression(Integer)
+--E  296
+
+--S 297 of 1000
+r0:=-3/4*(b*c-a*d)^2*atanh(sqrt(c)*sqrt(a+b*x)/(sqrt(a)*sqrt(c+d*x)))/_
+     (c^(5/2)*sqrt(a))-1/2*(a+b*x)^(3/2)*sqrt(c+d*x)/(c*x^2)-_
+     3/4*(b*c-a*d)*sqrt(a+b*x)*sqrt(c+d*x)/(c^2*x)
+--R 
+--R
+--R   (2)
+--R                                            +-+ +-------+
+--R            2 2                2 2  2      \|c \|b x + a
+--R       (- 3a d  + 6a b c d - 3b c )x atanh(--------------)
+--R                                            +-+ +-------+
+--R                                           \|a \|d x + c
+--R     + 
+--R                               +-+ +-+ +-------+ +-------+
+--R       ((3a d - 5b c)x - 2a c)\|a \|c \|b x + a \|d x + c
+--R  /
+--R       2 2 +-+ +-+
+--R     4c x \|a \|c
+--R                                                    Type: Expression(Integer)
+--E  297
+
+--S 298 of 1000
+--a0:=integrate(t0,x)
+--E  298
+
+--S 299 of 1000
+--m0:=a0-r0
+--E  299
+
+--S 300 of 1000
+--d0:=D(m0,x)
+--E  300
+
+)clear all
+
+--S 301 of 1000
+t0:=(a+b*x)^(3/2)/(x^4*sqrt(c+d*x))
+--R 
+--R
+--R                  +-------+
+--R        (b x + a)\|b x + a
+--R   (1)  -------------------
+--R             4 +-------+
+--R            x \|d x + c
+--R                                                    Type: Expression(Integer)
+--E  301
+
+--S 302 of 1000
+r0:=1/8*(b*c-a*d)^2*(b*c+5*a*d)*atanh(sqrt(c)*sqrt(a+b*x)/(sqrt(a)*_
+     sqrt(c+d*x)))/(a^(3/2)*c^(7/2))-1/3*(a+b*x)^(3/2)*sqrt(c+d*x)/_
+     (c*x^3)-1/12*(3*b*c-5*a*d)*sqrt(a+b*x)*sqrt(c+d*x)/(c^2*x^2)-_
+     1/24*(3*b^2*c/a-22*b*d+15*a*d^2/c)*sqrt(a+b*x)*sqrt(c+d*x)/(c^2*x)
+--R 
+--R
+--R   (2)
+--R                                                        +-+ +-------+
+--R           3 3      2     2       2 2      3 3  3      \|c \|b x + a
+--R       (15a d  - 27a b c d  + 9a b c d + 3b c )x atanh(--------------)
+--R                                                        +-+ +-------+
+--R                                                       \|a \|d x + c
+--R     + 
+--R                2 2                 2 2  2       2             2       2 2  +-+
+--R         ((- 15a d  + 22a b c d - 3b c )x  + (10a c d - 14a b c )x - 8a c )\|a
+--R      *
+--R          +-+ +-------+ +-------+
+--R         \|c \|b x + a \|d x + c
+--R  /
+--R          3 3 +-+ +-+
+--R     24a c x \|a \|c
+--R                                                    Type: Expression(Integer)
+--E  302
+
+--S 303 of 1000
+--a0:=integrate(t0,x)
+--E  303
+
+--S 304 of 1000
+--m0:=a0-r0
+--E  304
+
+--S 305 of 1000
+--d0:=D(m0,x)
+--E  305
+
+)clear all
+
+--S 306 of 1000
+t0:=(a+b*x)^(3/2)/(x^5*sqrt(c+d*x))
+--R 
+--R
+--R                  +-------+
+--R        (b x + a)\|b x + a
+--R   (1)  -------------------
+--R             5 +-------+
+--R            x \|d x + c
+--R                                                    Type: Expression(Integer)
+--E  306
+
+--S 307 of 1000
+r0:=-1/64*(b*c-a*d)^2*(3*b^2*c^2+10*a*b*c*d+35*a^2*d^2)*atanh(sqrt(c)*_
+     sqrt(a+b*x)/(sqrt(a)*sqrt(c+d*x)))/(a^(5/2)*c^(9/2))-_
+     1/4*(a+b*x)^(3/2)*sqrt(c+d*x)/(c*x^4)-1/24*(3*b*c-7*a*d)*_
+     sqrt(a+b*x)*sqrt(c+d*x)/(c^2*x^3)-1/96*(3*b^2*c/a-46*b*d+_
+     35*a*d^2/c)*sqrt(a+b*x)*sqrt(c+d*x)/(c^2*x^2)+1/192*(9*b^3*c^3+_
+     15*a*b^2*c^2*d-145*a^2*b*c*d^2+105*a^3*d^3)*sqrt(a+b*x)*_
+     sqrt(c+d*x)/(a^2*c^4*x)
+--R 
+--R
+--R   (2)
+--R                4 4       3     3      2 2 2 2        3 3      4 4  4
+--R         (- 105a d  + 180a b c d  - 54a b c d  - 12a b c d - 9b c )x
+--R      *
+--R                +-+ +-------+
+--R               \|c \|b x + a
+--R         atanh(--------------)
+--R                +-+ +-------+
+--R               \|a \|d x + c
+--R     + 
+--R                3 3       2     2        2 2      3 3  3
+--R           (105a d  - 145a b c d  + 15a b c d + 9b c )x
+--R         + 
+--R               3   2      2   2        2 3  2       3 2       2   3        3 3
+--R         (- 70a c d  + 92a b c d - 6a b c )x  + (56a c d - 72a b c )x - 48a c
+--R      *
+--R          +-+ +-+ +-------+ +-------+
+--R         \|a \|c \|b x + a \|d x + c
+--R  /
+--R         2 4 4 +-+ +-+
+--R     192a c x \|a \|c
+--R                                                    Type: Expression(Integer)
+--E  307
+
+--S 308 of 1000
+--a0:=integrate(t0,x)
+--E  308
+
+--S 309 of 1000
+--m0:=a0-r0
+--E  309
+
+--S 310 of 1000
+--d0:=D(m0,x)
+--E  310
+
+)clear all
+
+--S 311 of 1000
+t0:=x^2*(a+b*x)^(3/2)/(c+d*x)^(3/2)
+--R 
+--R
+--R            3      2  +-------+
+--R        (b x  + a x )\|b x + a
+--R   (1)  -----------------------
+--R                    +-------+
+--R          (d x + c)\|d x + c
+--R                                                    Type: Expression(Integer)
+--E  311
+
+--S 312 of 1000
+r0:=-1/8*(b*c-a*d)*(35*b^2*c^2-10*a*b*c*d-a^2*d^2)*atanh(sqrt(d)*_
+     sqrt(a+b*x)/(sqrt(b)*sqrt(c+d*x)))/(b^(3/2)*d^(9/2))+_
+     2*c^2*(a+b*x)^(5/2)/(d^2*(b*c-a*d)*sqrt(c+d*x))+_
+     1/12*(10*a*c-35*b*c^2/d+a^2*d/b)*(a+b*x)^(3/2)*sqrt(c+d*x)/_
+     (d^2*(b*c-a*d))+1/3*(a+b*x)^(5/2)*sqrt(c+d*x)/(b*d^2)+_
+     1/8*(35*b^2*c^2-10*a*b*c*d-a^2*d^2)*sqrt(a+b*x)*sqrt(c+d*x)/(b*d^4)
+--R 
+--R
+--R   (2)
+--R              3 3      2     2         2 2        3 3  +-------+
+--R         (- 3a d  - 27a b c d  + 135a b c d - 105b c )\|d x + c
+--R      *
+--R                +-+ +-------+
+--R               \|d \|b x + a
+--R         atanh(--------------)
+--R                +-+ +-------+
+--R               \|b \|d x + c
+--R     + 
+--R             2 3 3           3      2   2  2      2 3            2      2 2
+--R           8b d x  + (14a b d  - 14b c d )x  + (3a d  - 38a b c d  + 35b c d)x
+--R         + 
+--R             2   2           2        2 3
+--R           3a c d  - 100a b c d + 105b c
+--R      *
+--R          +-+ +-+ +-------+
+--R         \|b \|d \|b x + a
+--R  /
+--R          4 +-+ +-+ +-------+
+--R     24b d \|b \|d \|d x + c
+--R                                                    Type: Expression(Integer)
+--E  312
+
+--S 313 of 1000
+--a0:=integrate(t0,x)
+--E  313
+
+--S 314 of 1000
+--m0:=a0-r0
+--E  314
+
+--S 315 of 1000
+--d0:=D(m0,x)
+--E  315
+
+)clear all
+
+--S 316 of 1000
+t0:=x*(a+b*x)^(3/2)/(c+d*x)^(3/2)
+--R 
+--R
+--R            2        +-------+
+--R        (b x  + a x)\|b x + a
+--R   (1)  ----------------------
+--R                    +-------+
+--R          (d x + c)\|d x + c
+--R                                                    Type: Expression(Integer)
+--E  316
+
+--S 317 of 1000
+r0:=3/4*(b*c-a*d)*(5*b*c-a*d)*atanh(sqrt(d)*sqrt(a+b*x)/(sqrt(b)*_
+     sqrt(c+d*x)))/(d^(7/2)*sqrt(b))-2*c*(a+b*x)^(5/2)/(d*(b*c-a*d)*_
+     sqrt(c+d*x))+1/2*(5*b*c-a*d)*(a+b*x)^(3/2)*sqrt(c+d*x)/_
+     (d^2*(b*c-a*d))-3/4*(5*b*c-a*d)*sqrt(a+b*x)*sqrt(c+d*x)/d^3
+--R 
+--R
+--R   (2)
+--R                                                    +-+ +-------+
+--R          2 2                  2 2  +-------+      \|d \|b x + a
+--R       (3a d  - 18a b c d + 15b c )\|d x + c atanh(--------------)
+--R                                                    +-+ +-------+
+--R                                                   \|b \|d x + c
+--R     + 
+--R            2 2        2                             2  +-+ +-+ +-------+
+--R       (2b d x  + (5a d  - 5b c d)x + 13a c d - 15b c )\|b \|d \|b x + a
+--R  /
+--R       3 +-+ +-+ +-------+
+--R     4d \|b \|d \|d x + c
+--R                                                    Type: Expression(Integer)
+--E  317
+
+--S 318 of 1000
+--a0:=integrate(t0,x)
+--E  318
+
+--S 319 of 1000
+--m0:=a0-r0
+--E  319
+
+--S 320 of 1000
+--d0:=D(m0,x)
+--E  320
+
+)clear all
+
+--S 321 of 1000
+t0:=(a+b*x)^(3/2)/(c+d*x)^(3/2)
+--R 
+--R
+--R                  +-------+
+--R        (b x + a)\|b x + a
+--R   (1)  -------------------
+--R                  +-------+
+--R        (d x + c)\|d x + c
+--R                                                    Type: Expression(Integer)
+--E  321
+
+--S 322 of 1000
+r0:=-3*(b*c-a*d)*atanh(sqrt(d)*sqrt(a+b*x)/(sqrt(b)*sqrt(c+d*x)))*_
+     sqrt(b)/d^(5/2)-2*(a+b*x)^(3/2)/(d*sqrt(c+d*x))+3*b*_
+     sqrt(a+b*x)*sqrt(c+d*x)/d^2
+--R 
+--R
+--R   (2)
+--R                                         +-+ +-------+
+--R                     +-+ +-------+      \|d \|b x + a
+--R       (3a d - 3b c)\|b \|d x + c atanh(--------------)
+--R                                         +-+ +-------+
+--R                                        \|b \|d x + c
+--R     + 
+--R                             +-+ +-------+
+--R       (b d x - 2a d + 3b c)\|d \|b x + a
+--R  /
+--R      2 +-+ +-------+
+--R     d \|d \|d x + c
+--R                                                    Type: Expression(Integer)
+--E  322
+
+--S 323 of 1000
+--a0:=integrate(t0,x)
+--E  323
+
+--S 324 of 1000
+--m0:=a0-r0
+--E  324
+
+--S 325 of 1000
+--d0:=D(m0,x)
+--E  325
+
+)clear all
+
+--S 326 of 1000
+t0:=(a+b*x)^(3/2)/(x*(c+d*x)^(3/2))
+--R 
+--R
+--R                    +-------+
+--R          (b x + a)\|b x + a
+--R   (1)  ----------------------
+--R            2        +-------+
+--R        (d x  + c x)\|d x + c
+--R                                                    Type: Expression(Integer)
+--E  326
+
+--S 327 of 1000
+r0:=-2*a^(3/2)*atanh(sqrt(c)*sqrt(a+b*x)/(sqrt(a)*sqrt(c+d*x)))/c^(3/2)+_
+     2*b^(3/2)*atanh(sqrt(d)*sqrt(a+b*x)/(sqrt(b)*sqrt(c+d*x)))/_
+     d^(3/2)+2*(a+b*x)^(3/2)/(c*sqrt(c+d*x))-2*b*sqrt(a+b*x)*_
+     sqrt(c+d*x)/(c*d)
+--R 
+--R
+--R   (2)
+--R                                    +-+ +-------+
+--R            +-+ +-+ +-------+      \|d \|b x + a
+--R       2b c\|b \|c \|d x + c atanh(--------------)
+--R                                    +-+ +-------+
+--R                                   \|b \|d x + c
+--R     + 
+--R                                      +-+ +-------+
+--R              +-+ +-+ +-------+      \|c \|b x + a
+--R       - 2a d\|a \|d \|d x + c atanh(--------------)
+--R                                      +-+ +-------+
+--R                                     \|a \|d x + c
+--R     + 
+--R                     +-+ +-+ +-------+
+--R       (2a d - 2b c)\|c \|d \|b x + a
+--R  /
+--R         +-+ +-+ +-------+
+--R     c d\|c \|d \|d x + c
+--R                                                    Type: Expression(Integer)
+--E  327
+
+--S 328 of 1000
+--a0:=integrate(t0,x)
+--E  328
+
+--S 329 of 1000
+--m0:=a0-r0
+--E  329
+
+--S 330 of 1000
+--d0:=D(m0,x)
+--E  330
+
+)clear all
+
+--S 331 of 1000
+t0:=(a+b*x)^(3/2)/(x^2*(c+d*x)^(3/2))
+--R 
+--R
+--R                    +-------+
+--R          (b x + a)\|b x + a
+--R   (1)  -----------------------
+--R            3      2  +-------+
+--R        (d x  + c x )\|d x + c
+--R                                                    Type: Expression(Integer)
+--E  331
+
+--S 332 of 1000
+r0:=-3*(b*c-a*d)*atanh(sqrt(c)*sqrt(a+b*x)/(sqrt(a)*sqrt(c+d*x)))*_
+     sqrt(a)/c^(5/2)-(a+b*x)^(3/2)/(c*x*sqrt(c+d*x))+3*(b*c-a*d)*_
+     sqrt(a+b*x)/(c^2*sqrt(c+d*x))
+--R 
+--R
+--R   (2)
+--R                                          +-+ +-------+
+--R                      +-+ +-------+      \|c \|b x + a
+--R       (3a d - 3b c)x\|a \|d x + c atanh(--------------)
+--R                                          +-+ +-------+
+--R                                         \|a \|d x + c
+--R     + 
+--R                                +-+ +-------+
+--R       ((- 3a d + 2b c)x - a c)\|c \|b x + a
+--R  /
+--R      2  +-+ +-------+
+--R     c x\|c \|d x + c
+--R                                                    Type: Expression(Integer)
+--E  332
+
+--S 333 of 1000
+--a0:=integrate(t0,x)
+--E  333
+
+--S 334 of 1000
+--m0:=a0-r0
+--E  334
+
+--S 335 of 1000
+--d0:=D(m0,x)
+--E  335
+
+)clear all
+
+--S 336 of 1000
+t0:=(a+b*x)^(3/2)/(x^3*(c+d*x)^(3/2))
+--R 
+--R
+--R                    +-------+
+--R          (b x + a)\|b x + a
+--R   (1)  -----------------------
+--R            4      3  +-------+
+--R        (d x  + c x )\|d x + c
+--R                                                    Type: Expression(Integer)
+--E  336
+
+--S 337 of 1000
+r0:=-3/4*(b*c-5*a*d)*(b*c-a*d)*atanh(sqrt(c)*sqrt(a+b*x)/_
+     (sqrt(a)*sqrt(c+d*x)))/(c^(7/2)*sqrt(a))-1/2*(a+b*x)^(3/2)/_
+     (c*x^2*sqrt(c+d*x))-1/4*d*(13*b*c-15*a*d)*sqrt(a+b*x)/_
+     (c^3*sqrt(c+d*x))-1/4*(3*b*c-5*a*d)*sqrt(a+b*x)/(c^2*x*sqrt(c+d*x))
+--R 
+--R
+--R   (2)
+--R                                                        +-+ +-------+
+--R             2 2                 2 2  2 +-------+      \|c \|b x + a
+--R       (- 15a d  + 18a b c d - 3b c )x \|d x + c atanh(--------------)
+--R                                                        +-+ +-------+
+--R                                                       \|a \|d x + c
+--R     + 
+--R              2            2                 2         2  +-+ +-+ +-------+
+--R       ((15a d  - 13b c d)x  + (5a c d - 5b c )x - 2a c )\|a \|c \|b x + a
+--R  /
+--R       3 2 +-+ +-+ +-------+
+--R     4c x \|a \|c \|d x + c
+--R                                                    Type: Expression(Integer)
+--E  337
+
+--S 338 of 1000
+--a0:=integrate(t0,x)
+--E  338
+
+--S 339 of 1000
+--m0:=a0-r0
+--E  339
+
+--S 340 of 1000
+--d0:=D(m0,x)
+--E  340
+
+)clear all
+
+--S 341 of 1000
+t0:=(a+b*x)^(3/2)/(x^4*(c+d*x)^(3/2))
+--R 
+--R
+--R                    +-------+
+--R          (b x + a)\|b x + a
+--R   (1)  -----------------------
+--R            5      4  +-------+
+--R        (d x  + c x )\|d x + c
+--R                                                    Type: Expression(Integer)
+--E  341
+
+--S 342 of 1000
+r0:=1/8*(b*c-a*d)*(b^2*c^2+10*a*b*c*d-35*a^2*d^2)*atanh(sqrt(c)*_
+     sqrt(a+b*x)/(sqrt(a)*sqrt(c+d*x)))/(a^(3/2)*c^(9/2))-_
+     1/3*(a+b*x)^(3/2)/(c*x^3*sqrt(c+d*x))-1/24*d*(3*b^2*c^2-_
+     100*a*b*c*d+105*a^2*d^2)*sqrt(a+b*x)/(a*c^4*sqrt(c+d*x))-_
+     1/12*(3*b*c-7*a*d)*sqrt(a+b*x)/(c^2*x^2*sqrt(c+d*x))-_
+     1/24*(3*b*c-35*a*d)*(b*c-a*d)*sqrt(a+b*x)/(a*c^3*x*sqrt(c+d*x))
+--R 
+--R
+--R   (2)
+--R              3 3       2     2        2 2      3 3  3 +-------+
+--R         (105a d  - 135a b c d  + 27a b c d + 3b c )x \|d x + c
+--R      *
+--R                +-+ +-------+
+--R               \|c \|b x + a
+--R         atanh(--------------)
+--R                +-+ +-------+
+--R               \|a \|d x + c
+--R     + 
+--R                  2 3             2     2 2   3
+--R           (- 105a d  + 100a b c d  - 3b c d)x
+--R         + 
+--R                 2   2          2      2 3  2       2 2           3       2 3
+--R           (- 35a c d  + 38a b c d - 3b c )x  + (14a c d - 14a b c )x - 8a c
+--R      *
+--R          +-+ +-+ +-------+
+--R         \|a \|c \|b x + a
+--R  /
+--R          4 3 +-+ +-+ +-------+
+--R     24a c x \|a \|c \|d x + c
+--R                                                    Type: Expression(Integer)
+--E  342
+
+--S 343 of 1000
+--a0:=integrate(t0,x)
+--E  343
+
+--S 344 of 1000
+--m0:=a0-r0
+--E  344
+
+--S 345 of 1000
+--d0:=D(m0,x)
+--E  345
+
+)clear all
+
+--S 346 of 1000
+t0:=x^2*(a+b*x)^(3/2)/(c+d*x)^(5/2)
+--R 
+--R
+--R                3      2  +-------+
+--R            (b x  + a x )\|b x + a
+--R   (1)  ------------------------------
+--R          2 2             2  +-------+
+--R        (d x  + 2c d x + c )\|d x + c
+--R                                                    Type: Expression(Integer)
+--E  346
+
+--S 347 of 1000
+r0:=2/3*c^2*(a+b*x)^(5/2)/(d^2*(b*c-a*d)*(c+d*x)^(3/2))+_
+     1/4*(35*b^2*c^2-30*a*b*c*d+3*a^2*d^2)*atanh(sqrt(d)*_
+     sqrt(a+b*x)/(sqrt(b)*sqrt(c+d*x)))/(d^(9/2)*sqrt(b))-_
+     4/3*c*(4*b*c-3*a*d)*(a+b*x)^(5/2)/(d^2*(b*c-a*d)^2*sqrt(c+d*x))+_
+     1/6*(35*b^2*c^2-30*a*b*c*d+3*a^2*d^2)*(a+b*x)^(3/2)*sqrt(c+d*x)/_
+     (d^3*(b*c-a*d)^2)-1/4*(35*b^2*c^2-30*a*b*c*d+3*a^2*d^2)*_
+     sqrt(a+b*x)*sqrt(c+d*x)/(d^4*(b*c-a*d))
+--R 
+--R
+--R   (2)
+--R             2 3            2       2 2        2   2          2        2 3
+--R         ((9a d  - 90a b c d  + 105b c d)x + 9a c d  - 90a b c d + 105b c )
+--R      *
+--R                          +-+ +-------+
+--R          +-------+      \|d \|b x + a
+--R         \|d x + c atanh(--------------)
+--R                          +-+ +-------+
+--R                         \|b \|d x + c
+--R     + 
+--R               3 3         3          2  2           2         2           2
+--R           6b d x  + (15a d  - 21b c d )x  + (78a c d  - 140b c d)x + 55a c d
+--R         + 
+--R                   3
+--R           - 105b c
+--R      *
+--R          +-+ +-+ +-------+
+--R         \|b \|d \|b x + a
+--R  /
+--R         5         4  +-+ +-+ +-------+
+--R     (12d x + 12c d )\|b \|d \|d x + c
+--R                                                    Type: Expression(Integer)
+--E  347
+
+--S 348 of 1000
+--a0:=integrate(t0,x)
+--E  348
+
+--S 349 of 1000
+--m0:=a0-r0
+--E  349
+
+--S 350 of 1000
+--d0:=D(m0,x)
+--E  350
+
+)clear all
+
+--S 351 of 1000
+t0:=x*(a+b*x)^(3/2)/(c+d*x)^(5/2)
+--R 
+--R
+--R                2        +-------+
+--R            (b x  + a x)\|b x + a
+--R   (1)  ------------------------------
+--R          2 2             2  +-------+
+--R        (d x  + 2c d x + c )\|d x + c
+--R                                                    Type: Expression(Integer)
+--E  351
+
+--S 352 of 1000
+r0:=-2/3*c*(a+b*x)^(5/2)/(d*(b*c-a*d)*(c+d*x)^(3/2))-(5*b*c-3*a*d)*_
+     atanh(sqrt(d)*sqrt(a+b*x)/(sqrt(b)*sqrt(c+d*x)))*sqrt(b)/d^(7/2)-_
+     2/3*(5*b*c-3*a*d)*(a+b*x)^(3/2)/(d^2*(b*c-a*d)*sqrt(c+d*x))+_
+     b*(5*b*c-3*a*d)*sqrt(a+b*x)*sqrt(c+d*x)/(d^3*(b*c-a*d))
+--R 
+--R
+--R   (2)
+--R                                                                  +-+ +-------+
+--R             2                             2  +-+ +-------+      \|d \|b x + a
+--R       ((9a d  - 15b c d)x + 9a c d - 15b c )\|b \|d x + c atanh(--------------)
+--R                                                                  +-+ +-------+
+--R                                                                 \|b \|d x + c
+--R     + 
+--R            2 2          2                             2  +-+ +-------+
+--R       (3b d x  + (- 6a d  + 20b c d)x - 4a c d + 15b c )\|d \|b x + a
+--R  /
+--R        4        3  +-+ +-------+
+--R     (3d x + 3c d )\|d \|d x + c
+--R                                                    Type: Expression(Integer)
+--E  352
+
+--S 353 of 1000
+--a0:=integrate(t0,x)
+--E  353
+
+--S 354 of 1000
+--m0:=a0-r0
+--E  354
+
+--S 355 of 1000
+--d0:=D(m0,x)
+--E  355
+
+)clear all
+
+--S 356 of 1000
+t0:=(a+b*x)^(3/2)/(c+d*x)^(5/2)
+--R 
+--R
+--R                        +-------+
+--R              (b x + a)\|b x + a
+--R   (1)  ------------------------------
+--R          2 2             2  +-------+
+--R        (d x  + 2c d x + c )\|d x + c
+--R                                                    Type: Expression(Integer)
+--E  356
+
+--S 357 of 1000
+r0:=-2/3*(a+b*x)^(3/2)/(d*(c+d*x)^(3/2))+2*b^(3/2)*atanh(sqrt(d)*_
+     sqrt(a+b*x)/(sqrt(b)*sqrt(c+d*x)))/d^(5/2)-2*b*sqrt(a+b*x)/_
+     (d^2*sqrt(c+d*x))
+--R 
+--R
+--R   (2)
+--R                                           +-+ +-------+
+--R                       +-+ +-------+      \|d \|b x + a
+--R       (6b d x + 6b c)\|b \|d x + c atanh(--------------)
+--R                                           +-+ +-------+
+--R                                          \|b \|d x + c
+--R     + 
+--R                                +-+ +-------+
+--R       (- 8b d x - 2a d - 6b c)\|d \|b x + a
+--R  /
+--R        3        2  +-+ +-------+
+--R     (3d x + 3c d )\|d \|d x + c
+--R                                                    Type: Expression(Integer)
+--E  357
+
+--S 358 of 1000
+--a0:=integrate(t0,x)
+--E  358
+
+--S 359 of 1000
+--m0:=a0-r0
+--E  359
+
+--S 360 of 1000
+--d0:=D(m0,x)
+--E  360
+
+)clear all
+
+--S 361 of 1000
+t0:=(a+b*x)^(3/2)/(x*(c+d*x)^(5/2))
+--R 
+--R
+--R                         +-------+
+--R               (b x + a)\|b x + a
+--R   (1)  --------------------------------
+--R          2 3         2    2   +-------+
+--R        (d x  + 2c d x  + c x)\|d x + c
+--R                                                    Type: Expression(Integer)
+--E  361
+
+--S 362 of 1000
+r0:=2/3*(a+b*x)^(3/2)/(c*(c+d*x)^(3/2))-2*a^(3/2)*atanh(sqrt(c)*_
+     sqrt(a+b*x)/(sqrt(a)*sqrt(c+d*x)))/c^(5/2)+2*a*sqrt(a+b*x)/_
+     (c^2*sqrt(c+d*x))
+--R 
+--R
+--R   (2)
+--R                                             +-+ +-------+
+--R                         +-+ +-------+      \|c \|b x + a
+--R       (- 6a d x - 6a c)\|a \|d x + c atanh(--------------)
+--R                                             +-+ +-------+
+--R                                            \|a \|d x + c
+--R     + 
+--R                               +-+ +-------+
+--R       ((6a d + 2b c)x + 8a c)\|c \|b x + a
+--R  /
+--R        2        3  +-+ +-------+
+--R     (3c d x + 3c )\|c \|d x + c
+--R                                                    Type: Expression(Integer)
+--E  362
+
+--S 363 of 1000
+--a0:=integrate(t0,x)
+--E  363
+
+--S 364 of 1000
+--m0:=a0-r0
+--E  364
+
+--S 365 of 1000
+--d0:=D(m0,x)
+--E  365
+
+)clear all
+
+--S 366 of 1000
+t0:=(a+b*x)^(3/2)/(x^2*(c+d*x)^(5/2))
+--R 
+--R
+--R                         +-------+
+--R               (b x + a)\|b x + a
+--R   (1)  ---------------------------------
+--R          2 4         3    2 2  +-------+
+--R        (d x  + 2c d x  + c x )\|d x + c
+--R                                                    Type: Expression(Integer)
+--E  366
+
+--S 367 of 1000
+r0:=-(a+b*x)^(3/2)/(c*x*(c+d*x)^(3/2))-(3*b*c-5*a*d)*atanh(sqrt(c)*_
+     sqrt(a+b*x)/(sqrt(a)*sqrt(c+d*x)))*sqrt(a)/c^(7/2)+5/3*(b*c-a*d)*_
+     sqrt(a+b*x)/(c^2*(c+d*x)^(3/2))+1/3*(4*b*c-15*a*d)*sqrt(a+b*x)/_
+     (c^3*sqrt(c+d*x))
+--R 
+--R
+--R   (2)
+--R                2           2                  2    +-+ +-------+
+--R         ((15a d  - 9b c d)x  + (15a c d - 9b c )x)\|a \|d x + c
+--R      *
+--R                +-+ +-------+
+--R               \|c \|b x + a
+--R         atanh(--------------)
+--R                +-+ +-------+
+--R               \|a \|d x + c
+--R     + 
+--R                2           2                    2         2  +-+ +-------+
+--R       ((- 15a d  + 4b c d)x  + (- 20a c d + 6b c )x - 3a c )\|c \|b x + a
+--R  /
+--R        3   2     4   +-+ +-------+
+--R     (3c d x  + 3c x)\|c \|d x + c
+--R                                                    Type: Expression(Integer)
+--E  367
+
+--S 368 of 1000
+--a0:=integrate(t0,x)
+--E  368
+
+--S 369 of 1000
+--m0:=a0-r0
+--E  369
+
+--S 370 of 1000
+--d0:=D(m0,x)
+--E  370
+
+)clear all
+
+--S 371 of 1000
+t0:=(a+b*x)^(3/2)/(x^3*(c+d*x)^(5/2))
+--R 
+--R
+--R                         +-------+
+--R               (b x + a)\|b x + a
+--R   (1)  ---------------------------------
+--R          2 5         4    2 3  +-------+
+--R        (d x  + 2c d x  + c x )\|d x + c
+--R                                                    Type: Expression(Integer)
+--E  371
+
+--S 372 of 1000
+r0:=-1/2*(a+b*x)^(3/2)/(c*x^2*(c+d*x)^(3/2))-1/4*(3*b^2*c^2-30*a*b*c*d+_
+     35*a^2*d^2)*atanh(sqrt(c)*sqrt(a+b*x)/(sqrt(a)*sqrt(c+d*x)))/_
+     (c^(9/2)*sqrt(a))-1/12*d*(23*b*c-35*a*d)*sqrt(a+b*x)/_
+     (c^3*(c+d*x)^(3/2))-1/4*(3*b*c-7*a*d)*sqrt(a+b*x)/(c^2*x*(c+d*x)^(3/2))-_
+     5/12*d*(11*b*c-21*a*d)*sqrt(a+b*x)/(c^4*sqrt(c+d*x))
+--R 
+--R
+--R   (2)
+--R                  2 3            2     2 2   3
+--R           (- 105a d  + 90a b c d  - 9b c d)x
+--R         + 
+--R                  2   2          2      2 3  2
+--R           (- 105a c d  + 90a b c d - 9b c )x
+--R      *
+--R                          +-+ +-------+
+--R          +-------+      \|c \|b x + a
+--R         \|d x + c atanh(--------------)
+--R                          +-+ +-------+
+--R                         \|a \|d x + c
+--R     + 
+--R                  3          2  3            2        2   2
+--R           (105a d  - 55b c d )x  + (140a c d  - 78b c d)x
+--R         + 
+--R                 2         3         3
+--R           (21a c d - 15b c )x - 6a c
+--R      *
+--R          +-+ +-+ +-------+
+--R         \|a \|c \|b x + a
+--R  /
+--R         4   3      5 2  +-+ +-+ +-------+
+--R     (12c d x  + 12c x )\|a \|c \|d x + c
+--R                                                    Type: Expression(Integer)
+--E  372
+
+--S 373 of 1000
+--a0:=integrate(t0,x)
+--E  373
+
+--S 374 of 1000
+--m0:=a0-r0
+--E  374
+
+--S 375 of 1000
+--d0:=D(m0,x)
+--E  375
+
+)clear all
+
+--S 376 of 1000
+t0:=x^2*(a+b*x)^(5/2)*sqrt(c+d*x)
+--R 
+--R
+--R          2 4         3    2 2  +-------+ +-------+
+--R   (1)  (b x  + 2a b x  + a x )\|b x + a \|d x + c
+--R                                                    Type: Expression(Integer)
+--E  376
+
+--S 377 of 1000
+r0:=-1/60*(9*b*c+5*a*d)*(a+b*x)^(7/2)*(c+d*x)^(3/2)/(b^2*d^2)+_
+     1/6*x*(a+b*x)^(7/2)*(c+d*x)^(3/2)/(b*d)-1/512*(b*c-a*d)^4*_
+     (21*b^2*c^2+14*a*b*c*d+5*a^2*d^2)*atanh(sqrt(d)*sqrt(a+b*x)/_
+     (sqrt(b)*sqrt(c+d*x)))/(b^(7/2)*d^(11/2))-1/768*(b*c-a*d)^2*_
+     (21*b^2*c^2+14*a*b*c*d+5*a^2*d^2)*(a+b*x)^(3/2)*sqrt(c+d*x)/_
+     (b^3*d^4)+1/960*(b*c-a*d)*(21*b^2*c^2+14*a*b*c*d+5*a^2*d^2)*_
+     (a+b*x)^(5/2)*sqrt(c+d*x)/(b^3*d^3)+1/160*(21*b^2*c^2+_
+     14*a*b*c*d+5*a^2*d^2)*(a+b*x)^(7/2)*sqrt(c+d*x)/(b^3*d^2)+_
+     1/512*(b*c-a*d)^3*(21*b^2*c^2+14*a*b*c*d+5*a^2*d^2)*_
+     sqrt(a+b*x)*sqrt(c+d*x)/(b^3*d^5)
+--R 
+--R
+--R   (2)
+--R                6 6      5     5      4 2 2 4       3 3 3 3        2 4 4 2
+--R           - 75a d  + 90a b c d  + 75a b c d  + 300a b c d  - 1125a b c d
+--R         + 
+--R                  5 5        6 6
+--R           1050a b c d - 315b c
+--R      *
+--R                +-+ +-------+
+--R               \|d \|b x + a
+--R         atanh(--------------)
+--R                +-+ +-------+
+--R               \|b \|d x + c
+--R     + 
+--R                5 5 5           4 5       5   4  4
+--R           1280b d x  + (3200a b d  + 128b c d )x
+--R         + 
+--R                 2 3 5         4   4       5 2 3  3
+--R           (2160a b d  + 416a b c d  - 144b c d )x
+--R         + 
+--R               3 2 5       2 3   4         4 2 3       5 3 2  2
+--R           (40a b d  + 408a b c d  - 488a b c d  + 168b c d )x
+--R         + 
+--R                 4   5      3 2   4       2 3 2 3         4 3 2       5 4
+--R           (- 50a b d  + 40a b c d  - 524a b c d  + 616a b c d  - 210b c d)x
+--R         + 
+--R            5 5      4     4      3 2 2 3       2 3 3 2         4 4        5 5
+--R         75a d  - 65a b c d  - 90a b c d  + 838a b c d  - 945a b c d + 315b c
+--R      *
+--R          +-+ +-+ +-------+ +-------+
+--R         \|b \|d \|b x + a \|d x + c
+--R  /
+--R          3 5 +-+ +-+
+--R     7680b d \|b \|d
+--R                                                    Type: Expression(Integer)
+--E  377
+
+--S 378 of 1000
+--a0:=integrate(t0,x)
+--E  378
+
+--S 379 of 1000
+--m0:=a0-r0
+--E  379
+
+--S 380 of 1000
+--d0:=D(m0,x)
+--E  380
+
+)clear all
+
+--S 381 of 1000
+t0:=x*(a+b*x)^(5/2)*sqrt(c+d*x)
+--R 
+--R
+--R          2 3         2    2   +-------+ +-------+
+--R   (1)  (b x  + 2a b x  + a x)\|b x + a \|d x + c
+--R                                                    Type: Expression(Integer)
+--E  381
+
+--S 382 of 1000
+r0:=1/5*(a+b*x)^(7/2)*(c+d*x)^(3/2)/(b*d)+1/128*(b*c-a*d)^4*(7*b*c+3*a*d)*_
+     atanh(sqrt(d)*sqrt(a+b*x)/(sqrt(b)*sqrt(c+d*x)))/(b^(5/2)*d^(9/2))+_
+     1/192*(b*c-a*d)^2*(7*b*c+3*a*d)*(a+b*x)^(3/2)*sqrt(c+d*x)/(b^2*d^3)-_
+     1/240*(b*c-a*d)*(7*b*c+3*a*d)*(a+b*x)^(5/2)*sqrt(c+d*x)/(b^2*d^2)-_
+     1/40*(7*b*c+3*a*d)*(a+b*x)^(7/2)*sqrt(c+d*x)/(b^2*d)-_
+     1/128*(b*c-a*d)^3*(7*b*c+3*a*d)*sqrt(a+b*x)*sqrt(c+d*x)/(b^2*d^4)
+--R 
+--R
+--R   (2)
+--R                5 5      4     4       3 2 2 3       2 3 3 2         4 4
+--R             45a d  - 75a b c d  - 150a b c d  + 450a b c d  - 375a b c d
+--R           + 
+--R                 5 5
+--R             105b c
+--R      *
+--R                +-+ +-------+
+--R               \|d \|b x + a
+--R         atanh(--------------)
+--R                +-+ +-------+
+--R               \|b \|d x + c
+--R     + 
+--R               4 4 4           3 4      4   3  3
+--R           384b d x  + (1008a b d  + 48b c d )x
+--R         + 
+--R                2 2 4         3   3      4 2 2  2
+--R           (744a b d  + 176a b c d  - 56b c d )x
+--R         + 
+--R               3   4       2 2   3         3 2 2      4 3         4 4
+--R           (30a b d  + 218a b c d  - 222a b c d  + 70b c d)x - 45a d
+--R         + 
+--R              3     3       2 2 2 2         3 3        4 4
+--R           60a b c d  - 346a b c d  + 340a b c d - 105b c
+--R      *
+--R          +-+ +-+ +-------+ +-------+
+--R         \|b \|d \|b x + a \|d x + c
+--R  /
+--R          2 4 +-+ +-+
+--R     1920b d \|b \|d
+--R                                                    Type: Expression(Integer)
+--E  382
+
+--S 383 of 1000
+--a0:=integrate(t0,x)
+--E  383
+
+--S 384 of 1000
+--m0:=a0-r0
+--E  384
+
+--S 385 of 1000
+--d0:=D(m0,x)
+--E  385
+
+)clear all
+
+--S 386 of 1000
+t0:=(a+b*x)^(5/2)*sqrt(c+d*x)
+--R 
+--R
+--R          2 2             2  +-------+ +-------+
+--R   (1)  (b x  + 2a b x + a )\|b x + a \|d x + c
+--R                                                    Type: Expression(Integer)
+--E  386
+
+--S 387 of 1000
+r0:=-5/64*(b*c-a*d)^4*atanh(sqrt(d)*sqrt(a+b*x)/(sqrt(b)*sqrt(c+d*x)))/_
+     (b^(3/2)*d^(7/2))-5/96*(b*c-a*d)^2*(a+b*x)^(3/2)*sqrt(c+d*x)/_
+     (b*d^2)+1/24*(b*c-a*d)*(a+b*x)^(5/2)*sqrt(c+d*x)/(b*d)+_
+     1/4*(a+b*x)^(7/2)*sqrt(c+d*x)/b+5/64*(b*c-a*d)^3*sqrt(a+b*x)*_
+     sqrt(c+d*x)/(b*d^3)
+--R 
+--R
+--R   (2)
+--R               4 4      3     3      2 2 2 2        3 3       4 4
+--R         (- 15a d  + 60a b c d  - 90a b c d  + 60a b c d - 15b c )
+--R      *
+--R                +-+ +-------+
+--R               \|d \|b x + a
+--R         atanh(--------------)
+--R                +-+ +-------+
+--R               \|b \|d x + c
+--R     + 
+--R              3 3 3          2 3     3   2  2
+--R           48b d x  + (136a b d  + 8b c d )x
+--R         + 
+--R                2   3        2   2      3 2         3 3      2     2        2 2
+--R           (118a b d  + 36a b c d  - 10b c d)x + 15a d  + 73a b c d  - 55a b c d
+--R         + 
+--R              3 3
+--R           15b c
+--R      *
+--R          +-+ +-+ +-------+ +-------+
+--R         \|b \|d \|b x + a \|d x + c
+--R  /
+--R           3 +-+ +-+
+--R     192b d \|b \|d
+--R                                                    Type: Expression(Integer)
+--E  387
+
+--S 388 of 1000
+--a0:=integrate(t0,x)
+--E  388
+
+--S 389 of 1000
+--m0:=a0-r0
+--E  389
+
+--S 390 of 1000
+--d0:=D(m0,x)
+--E  390
+
+)clear all
+
+--S 391 of 1000
+t0:=(a+b*x)^(5/2)*sqrt(c+d*x)/x
+--R 
+--R
+--R          2 2             2  +-------+ +-------+
+--R        (b x  + 2a b x + a )\|b x + a \|d x + c
+--R   (1)  ----------------------------------------
+--R                            x
+--R                                                    Type: Expression(Integer)
+--E  391
+
+--S 392 of 1000
+r0:=1/8*(b^3*c^3-5*a*b^2*c^2*d+15*a^2*b*c*d^2+5*a^3*d^3)*atanh(sqrt(d)*_
+     sqrt(a+b*x)/(sqrt(b)*sqrt(c+d*x)))/(d^(5/2)*sqrt(b))-_
+     2*a^(5/2)*atanh(sqrt(c)*sqrt(a+b*x)/(sqrt(a)*sqrt(c+d*x)))*_
+     sqrt(c)+1/12*(b*c+5*a*d)*(a+b*x)^(3/2)*sqrt(c+d*x)/d+_
+     1/3*(a+b*x)^(5/2)*sqrt(c+d*x)-1/8*(b*c-5*a*d)*(b*c+a*d)*_
+     sqrt(a+b*x)*sqrt(c+d*x)/d^2
+--R 
+--R
+--R   (2)
+--R                                                       +-+ +-------+
+--R           3 3      2     2        2 2      3 3       \|d \|b x + a
+--R       (15a d  + 45a b c d  - 15a b c d + 3b c )atanh(--------------)
+--R                                                       +-+ +-------+
+--R                                                      \|b \|d x + c
+--R     + 
+--R                                      +-+ +-------+
+--R            2 2 +-+ +-+ +-+ +-+      \|c \|b x + a
+--R       - 48a d \|a \|b \|c \|d atanh(--------------)
+--R                                      +-+ +-------+
+--R                                     \|a \|d x + c
+--R     + 
+--R            2 2 2           2     2           2 2                 2 2  +-+ +-+
+--R         (8b d x  + (26a b d  + 2b c d)x + 33a d  + 14a b c d - 3b c )\|b \|d
+--R      *
+--R          +-------+ +-------+
+--R         \|b x + a \|d x + c
+--R  /
+--R        2 +-+ +-+
+--R     24d \|b \|d
+--R                                                    Type: Expression(Integer)
+--E  392
+
+--S 393 of 1000
+--a0:=integrate(t0,x)
+--E  393
+
+--S 394 of 1000
+--m0:=a0-r0
+--E  394
+
+--S 395 of 1000
+--d0:=D(m0,x)
+--E  395
+
+)clear all
+
+--S 396 of 1000
+t0:=(a+b*x)^(5/2)*sqrt(c+d*x)/x^2
+--R 
+--R
+--R          2 2             2  +-------+ +-------+
+--R        (b x  + 2a b x + a )\|b x + a \|d x + c
+--R   (1)  ----------------------------------------
+--R                            2
+--R                           x
+--R                                                    Type: Expression(Integer)
+--E  396
+
+--S 397 of 1000
+r0:=-1/4*(b^2*c^2-10*a*b*c*d-15*a^2*d^2)*atanh(sqrt(d)*sqrt(a+b*x)/_
+     (sqrt(b)*sqrt(c+d*x)))*sqrt(b)/d^(3/2)-a^(3/2)*(5*b*c+a*d)*_
+     atanh(sqrt(c)*sqrt(a+b*x)/(sqrt(a)*sqrt(c+d*x)))/sqrt(c)+3/2*b*_
+     (a+b*x)^(3/2)*sqrt(c+d*x)-(a+b*x)^(5/2)*sqrt(c+d*x)/x+_
+     1/4*b*(b*c+11*a*d)*sqrt(a+b*x)*sqrt(c+d*x)/d
+--R 
+--R
+--R   (2)
+--R                                                  +-+ +-------+
+--R           2 2                2 2   +-+ +-+      \|d \|b x + a
+--R       (15a d  + 10a b c d - b c )x\|b \|c atanh(--------------)
+--R                                                  +-+ +-------+
+--R                                                 \|b \|d x + c
+--R     + 
+--R                                            +-+ +-------+
+--R            2 2               +-+ +-+      \|c \|b x + a
+--R       (- 4a d  - 20a b c d)x\|a \|d atanh(--------------)
+--R                                            +-+ +-------+
+--R                                           \|a \|d x + c
+--R     + 
+--R          2   2              2        2   +-+ +-+ +-------+ +-------+
+--R       (2b d x  + (9a b d + b c)x - 4a d)\|c \|d \|b x + a \|d x + c
+--R  /
+--R          +-+ +-+
+--R     4d x\|c \|d
+--R                                                    Type: Expression(Integer)
+--E  397
+
+--S 398 of 1000
+--a0:=integrate(t0,x)
+--E  398
+
+--S 399 of 1000
+--m0:=a0-r0
+--E  399
+
+--S 400 of 1000
+--d0:=D(m0,x)
+--E  400
+
+)clear all
+
+--S 401 of 1000
+t0:=(a+b*x)^(5/2)*sqrt(c+d*x)/x^3
+--R 
+--R
+--R          2 2             2  +-------+ +-------+
+--R        (b x  + 2a b x + a )\|b x + a \|d x + c
+--R   (1)  ----------------------------------------
+--R                            3
+--R                           x
+--R                                                    Type: Expression(Integer)
+--E  401
+
+--S 402 of 1000
+r0:=-1/4*(15*b^2*c^2+10*a*b*c*d-a^2*d^2)*atanh(sqrt(c)*sqrt(a+b*x)/_
+     (sqrt(a)*sqrt(c+d*x)))*sqrt(a)/c^(3/2)+b^(3/2)*(b*c+5*a*d)*_
+     atanh(sqrt(d)*sqrt(a+b*x)/(sqrt(b)*sqrt(c+d*x)))/sqrt(d)-_
+     1/4*(5*b*c+a*d)*(a+b*x)^(3/2)*sqrt(c+d*x)/(c*x)-1/2*(a+b*x)^(5/2)*_
+     sqrt(c+d*x)/x^2+1/4*b*(11*b*c+a*d)*sqrt(a+b*x)*sqrt(c+d*x)/c
+--R 
+--R
+--R   (2)
+--R                                           +-+ +-------+
+--R                      2 2  2 +-+ +-+      \|d \|b x + a
+--R       (20a b c d + 4b c )x \|b \|c atanh(--------------)
+--R                                           +-+ +-------+
+--R                                          \|b \|d x + c
+--R     + 
+--R                                                   +-+ +-------+
+--R         2 2                  2 2  2 +-+ +-+      \|c \|b x + a
+--R       (a d  - 10a b c d - 15b c )x \|a \|d atanh(--------------)
+--R                                                   +-+ +-------+
+--R                                                  \|a \|d x + c
+--R     + 
+--R          2   2       2                 2   +-+ +-+ +-------+ +-------+
+--R       (4b c x  + (- a d - 9a b c)x - 2a c)\|c \|d \|b x + a \|d x + c
+--R  /
+--R         2 +-+ +-+
+--R     4c x \|c \|d
+--R                                                    Type: Expression(Integer)
+--E  402
+
+--S 403 of 1000
+--a0:=integrate(t0,x)
+--E  403
+
+--S 404 of 1000
+--m0:=a0-r0
+--E  404
+
+--S 405 of 1000
+--d0:=D(m0,x)
+--E  405
+
+)clear all
+
+--S 406 of 1000
+t0:=(a+b*x)^(5/2)*sqrt(c+d*x)/x^4
+--R 
+--R
+--R          2 2             2  +-------+ +-------+
+--R        (b x  + 2a b x + a )\|b x + a \|d x + c
+--R   (1)  ----------------------------------------
+--R                            4
+--R                           x
+--R                                                    Type: Expression(Integer)
+--E  406
+
+--S 407 of 1000
+r0:=-1/8*(5*b^3*c^3+15*a*b^2*c^2*d-5*a^2*b*c*d^2+a^3*d^3)*atanh(sqrt(c)*_
+     sqrt(a+b*x)/(sqrt(a)*sqrt(c+d*x)))/(c^(5/2)*sqrt(a))+_
+     2*b^(5/2)*atanh(sqrt(d)*sqrt(a+b*x)/(sqrt(b)*sqrt(c+d*x)))*_
+     sqrt(d)-1/12*(5*b*c+a*d)*(a+b*x)^(3/2)*sqrt(c+d*x)/(c*x^2)-_
+     1/3*(a+b*x)^(5/2)*sqrt(c+d*x)/x^3-1/8*(5*b*c-a*d)*(b*c+a*d)*_
+     sqrt(a+b*x)*sqrt(c+d*x)/(c^2*x)
+--R 
+--R
+--R   (2)
+--R                                      +-+ +-------+
+--R          2 2 3 +-+ +-+ +-+ +-+      \|d \|b x + a
+--R       48b c x \|a \|b \|c \|d atanh(--------------)
+--R                                      +-+ +-------+
+--R                                     \|b \|d x + c
+--R     + 
+--R                                                           +-+ +-------+
+--R            3 3      2     2        2 2       3 3  3      \|c \|b x + a
+--R       (- 3a d  + 15a b c d  - 45a b c d - 15b c )x atanh(--------------)
+--R                                                           +-+ +-------+
+--R                                                          \|a \|d x + c
+--R     + 
+--R             2 2                  2 2  2        2             2       2 2  +-+
+--R         ((3a d  - 14a b c d - 33b c )x  + (- 2a c d - 26a b c )x - 8a c )\|a
+--R      *
+--R          +-+ +-------+ +-------+
+--R         \|c \|b x + a \|d x + c
+--R  /
+--R        2 3 +-+ +-+
+--R     24c x \|a \|c
+--R                                                    Type: Expression(Integer)
+--E  407
+
+--S 408 of 1000
+--a0:=integrate(t0,x)
+--E  408
+
+--S 409 of 1000
+--m0:=a0-r0
+--E  409
+
+--S 410 of 1000
+--d0:=D(m0,x)
+--E  410
+
+)clear all
+
+--S 411 of 1000
+t0:=(a+b*x)^(5/2)*sqrt(c+d*x)/x^5
+--R 
+--R
+--R          2 2             2  +-------+ +-------+
+--R        (b x  + 2a b x + a )\|b x + a \|d x + c
+--R   (1)  ----------------------------------------
+--R                            5
+--R                           x
+--R                                                    Type: Expression(Integer)
+--E  411
+
+--S 412 of 1000
+r0:=-5/24*(b*c-a*d)*(a+b*x)^(3/2)*(c+d*x)^(3/2)/(c^2*x^3)-1/4*(a+b*x)^(5/2)*_
+     (c+d*x)^(3/2)/(c*x^4)+5/64*(b*c-a*d)^4*atanh(sqrt(c)*sqrt(a+b*x)/_
+     (sqrt(a)*sqrt(c+d*x)))/(a^(3/2)*c^(7/2))-5/32*(b*c-a*d)^2*_
+     (c+d*x)^(3/2)*sqrt(a+b*x)/(c^3*x^2)-5/64*(b*c-a*d)^3*sqrt(a+b*x)*_
+     sqrt(c+d*x)/(a*c^3*x)
+--R 
+--R
+--R   (2)
+--R             4 4      3     3      2 2 2 2        3 3       4 4  4
+--R         (15a d  - 60a b c d  + 90a b c d  - 60a b c d + 15b c )x
+--R      *
+--R                +-+ +-------+
+--R               \|c \|b x + a
+--R         atanh(--------------)
+--R                +-+ +-------+
+--R               \|a \|d x + c
+--R     + 
+--R                 3 3      2     2        2 2       3 3  3
+--R           (- 15a d  + 55a b c d  - 73a b c d - 15b c )x
+--R         + 
+--R             3   2      2   2          2 3  2        3 2        2   3        3 3
+--R         (10a c d  - 36a b c d - 118a b c )x  + (- 8a c d - 136a b c )x - 48a c
+--R      *
+--R          +-+ +-+ +-------+ +-------+
+--R         \|a \|c \|b x + a \|d x + c
+--R  /
+--R           3 4 +-+ +-+
+--R     192a c x \|a \|c
+--R                                                    Type: Expression(Integer)
+--E  412
+
+--S 413 of 1000
+--a0:=integrate(t0,x)
+--E  413
+
+--S 414 of 1000
+--m0:=a0-r0
+--E  414
+
+--S 415 of 1000
+--d0:=D(m0,x)
+--E  415
+
+)clear all
+
+--S 416 of 1000
+t0:=(a+b*x)^(5/2)*sqrt(c+d*x)/x^6
+--R 
+--R
+--R          2 2             2  +-------+ +-------+
+--R        (b x  + 2a b x + a )\|b x + a \|d x + c
+--R   (1)  ----------------------------------------
+--R                            6
+--R                           x
+--R                                                    Type: Expression(Integer)
+--E  416
+
+--S 417 of 1000
+r0:=-1/128*(b*c-a*d)^4*(3*b*c+7*a*d)*atanh(sqrt(c)*sqrt(a+b*x)/_
+     (sqrt(a)*sqrt(c+d*x)))/(a^(5/2)*c^(9/2))-1/40*(5*b*c+a*d)*_
+     (a+b*x)^(3/2)*sqrt(c+d*x)/(c*x^4)-1/5*(a+b*x)^(5/2)*sqrt(c+d*x)/x^5-_
+     1/240*(3*b*c-a*d)*(5*b*c+7*a*d)*sqrt(a+b*x)*sqrt(c+d*x)/(c^2*x^3)-_
+     1/960*(15*b^3*c^3+109*a*b^2*c^2*d-111*a^2*b*c*d^2+35*a^3*d^3)*_
+     sqrt(a+b*x)*sqrt(c+d*x)/(a*c^3*x^2)+1/1920*(45*b^4*c^4-_
+     60*a*b^3*c^3*d+346*a^2*b^2*c^2*d^2-340*a^3*b*c*d^3+105*a^4*d^4)*_
+     sqrt(a+b*x)*sqrt(c+d*x)/(a^2*c^4*x)
+--R 
+--R
+--R   (2)
+--R                 5 5       4     4       3 2 2 3       2 3 3 2        4 4
+--R           - 105a d  + 375a b c d  - 450a b c d  + 150a b c d  + 75a b c d
+--R         + 
+--R                5 5
+--R           - 45b c
+--R      *
+--R                  +-+ +-------+
+--R          5      \|c \|b x + a
+--R         x atanh(--------------)
+--R                  +-+ +-------+
+--R                 \|a \|d x + c
+--R     + 
+--R                4 4       3     3       2 2 2 2        3 3       4 4  4
+--R           (105a d  - 340a b c d  + 346a b c d  - 60a b c d + 45b c )x
+--R         + 
+--R                 4   3       3   2 2       2 2 3         3 4  3
+--R           (- 70a c d  + 222a b c d  - 218a b c d - 30a b c )x
+--R         + 
+--R               4 2 2       3   3        2 2 4  2         4 3         3   4
+--R           (56a c d  - 176a b c d - 744a b c )x  + (- 48a c d - 1008a b c )x
+--R         + 
+--R                 4 4
+--R           - 384a c
+--R      *
+--R          +-+ +-+ +-------+ +-------+
+--R         \|a \|c \|b x + a \|d x + c
+--R  /
+--R          2 4 5 +-+ +-+
+--R     1920a c x \|a \|c
+--R                                                    Type: Expression(Integer)
+--E  417
+
+--S 418 of 1000
+--a0:=integrate(t0,x)
+--E  418
+
+--S 419 of 1000
+--m0:=a0-r0
+--E  419
+
+--S 420 of 1000
+--d0:=D(m0,x)
+--E  420
+
+)clear all
+
+--S 421 of 1000
+t0:=x^2*(a+b*x)^(5/2)*(c+d*x)^(3/2)
+--R 
+--R
+--R   (1)
+--R     2   5              2   4     2            3    2   2  +-------+ +-------+
+--R   (b d x  + (2a b d + b c)x  + (a d + 2a b c)x  + a c x )\|b x + a \|d x + c
+--R                                                    Type: Expression(Integer)
+--E  421
+
+--S 422 of 1000
+r0:=1/120*(9*b^2*c^2+10*a*b*c*d+5*a^2*d^2)*(a+b*x)^(7/2)*(c+d*x)^(3/2)/_
+     (b^3*d^2)-1/84*(9*b*c+7*a*d)*(a+b*x)^(7/2)*(c+d*x)^(5/2)/(b^2*d^2)+_
+     1/7*x*(a+b*x)^(7/2)*(c+d*x)^(5/2)/(b*d)-1/1024*(b*c-a*d)^5*_
+     (9*b^2*c^2+10*a*b*c*d+5*a^2*d^2)*atanh(sqrt(d)*sqrt(a+b*x)/_
+     (sqrt(b)*sqrt(c+d*x)))/(b^(9/2)*d^(11/2))-1/1536*(b*c-a*d)^3*_
+     (9*b^2*c^2+10*a*b*c*d+5*a^2*d^2)*(a+b*x)^(3/2)*sqrt(c+d*x)/_
+     (b^4*d^4)+1/1920*(b*c-a*d)^2*(9*b^2*c^2+10*a*b*c*d+5*a^2*d^2)*_
+     (a+b*x)^(5/2)*sqrt(c+d*x)/(b^4*d^3)+1/320*(b*c-a*d)*(9*b^2*c^2+_
+     10*a*b*c*d+5*a^2*d^2)*(a+b*x)^(7/2)*sqrt(c+d*x)/(b^4*d^2)+_
+     1/1024*(b*c-a*d)^4*(9*b^2*c^2+10*a*b*c*d+5*a^2*d^2)*sqrt(a+b*x)*_
+     sqrt(c+d*x)/(b^4*d^5)
+--R 
+--R
+--R   (2)
+--R               7 7        6     6       5 2 2 5       4 3 3 4        3 4 4 3
+--R           525a d  - 1575a b c d  + 945a b c d  + 525a b c d  + 1575a b c d
+--R         + 
+--R                  2 5 5 2          6 6        7 7
+--R           - 4725a b c d  + 3675a b c d - 945b c
+--R      *
+--R                +-+ +-------+
+--R               \|d \|b x + a
+--R         atanh(--------------)
+--R                +-+ +-------+
+--R               \|b \|d x + c
+--R     + 
+--R                 6 6 6            5 6         6   5  5
+--R           15360b d x  + (37120a b d  + 19200b c d )x
+--R         + 
+--R                  2 4 6           5   5       6 2 4  4
+--R           (23680a b d  + 48640a b c d  + 384b c d )x
+--R         + 
+--R                3 3 6         2 4   5          5 2 4       6 3 3  3
+--R           (240a b d  + 33520a b c d  + 1488a b c d  - 432b c d )x
+--R         + 
+--R                       4 2 6       3 3   5        2 4 2 4          5 3 3
+--R                 - 280a b d  + 720a b c d  + 1824a b c d  - 1744a b c d
+--R               + 
+--R                     6 4 2
+--R                 504b c d
+--R          *
+--R              2
+--R             x
+--R         + 
+--R                   5   6       4 2   5       3 3 2 4        2 4 3 3
+--R               350a b d  - 910a b c d  + 300a b c d  - 2332a b c d
+--R             + 
+--R                      5 4 2       6 5
+--R               2198a b c d  - 630b c d
+--R          *
+--R             x
+--R         + 
+--R                 6 6        5     5       4 2 2 4       3 3 3 3        2 4 4 2
+--R           - 525a d  + 1400a b c d  - 525a b c d  - 600a b c d  + 3689a b c d
+--R         + 
+--R                    5 5        6 6
+--R           - 3360a b c d + 945b c
+--R      *
+--R          +-+ +-+ +-------+ +-------+
+--R         \|b \|d \|b x + a \|d x + c
+--R  /
+--R            4 5 +-+ +-+
+--R     107520b d \|b \|d
+--R                                                    Type: Expression(Integer)
+--E  422
+
+--S 423 of 1000
+--a0:=integrate(t0,x)
+--E  423
+
+--S 424 of 1000
+--m0:=a0-r0
+--E  424
+
+--S 425 of 1000
+--d0:=D(m0,x)
+--E  425
+
+)clear all
+
+--S 426 of 1000
+t0:=x*(a+b*x)^(5/2)*(c+d*x)^(3/2)
+--R 
+--R
+--R   (1)
+--R     2   4              2   3     2            2    2     +-------+ +-------+
+--R   (b d x  + (2a b d + b c)x  + (a d + 2a b c)x  + a c x)\|b x + a \|d x + c
+--R                                                    Type: Expression(Integer)
+--E  426
+
+--S 427 of 1000
+r0:=-1/60*(7*b*c+5*a*d)*(a+b*x)^(7/2)*(c+d*x)^(3/2)/(b^2*d)+1/6*_
+     (a+b*x)^(7/2)*(c+d*x)^(5/2)/(b*d)+1/512*(b*c-a*d)^5*(7*b*c+5*a*d)*_
+     atanh(sqrt(d)*sqrt(a+b*x)/(sqrt(b)*sqrt(c+d*x)))/(b^(7/2)*d^(9/2))+_
+     1/768*(b*c-a*d)^3*(7*b*c+5*a*d)*(a+b*x)^(3/2)*sqrt(c+d*x)/(b^3*d^3)-_
+     1/960*(b*c-a*d)^2*(7*b*c+5*a*d)*(a+b*x)^(5/2)*sqrt(c+d*x)/(b^3*d^2)-_
+     1/160*(b*c-a*d)*(7*b*c+5*a*d)*(a+b*x)^(7/2)*sqrt(c+d*x)/(b^3*d)-_
+     1/512*(b*c-a*d)^4*(7*b*c+5*a*d)*sqrt(a+b*x)*sqrt(c+d*x)/(b^3*d^4)
+--R 
+--R
+--R   (2)
+--R                6 6       5     5       4 2 2 4       3 3 3 3       2 4 4 2
+--R           - 75a d  + 270a b c d  - 225a b c d  - 300a b c d  + 675a b c d
+--R         + 
+--R                   5 5        6 6
+--R           - 450a b c d + 105b c
+--R      *
+--R                +-+ +-------+
+--R               \|d \|b x + a
+--R         atanh(--------------)
+--R                +-+ +-------+
+--R               \|b \|d x + c
+--R     + 
+--R                5 5 5           4 5        5   4  4
+--R           1280b d x  + (3200a b d  + 1664b c d )x
+--R         + 
+--R                 2 3 5          4   4      5 2 3  3
+--R           (2160a b d  + 4448a b c d  + 48b c d )x
+--R         + 
+--R               3 2 5        2 3   4         4 2 3      5 3 2  2
+--R           (40a b d  + 3384a b c d  + 216a b c d  - 56b c d )x
+--R         + 
+--R                 4   5       3 2   4       2 3 2 3         4 3 2      5 4
+--R           (- 50a b d  + 160a b c d  + 348a b c d  - 272a b c d  + 70b c d)x
+--R         + 
+--R            5 5       4     4       3 2 2 3       2 3 3 2         4 4        5 5
+--R         75a d  - 245a b c d  + 150a b c d  - 546a b c d  + 415a b c d - 105b c
+--R      *
+--R          +-+ +-+ +-------+ +-------+
+--R         \|b \|d \|b x + a \|d x + c
+--R  /
+--R          3 4 +-+ +-+
+--R     7680b d \|b \|d
+--R                                                    Type: Expression(Integer)
+--E  427
+
+--S 428 of 1000
+--a0:=integrate(t0,x)
+--E  428
+
+--S 429 of 1000
+--m0:=a0-r0
+--E  429
+
+--S 430 of 1000
+--d0:=D(m0,x)
+--E  430
+
+)clear all
+
+--S 431 of 1000
+t0:=(a+b*x)^(5/2)*(c+d*x)^(3/2)
+--R 
+--R
+--R   (1)
+--R     2   3              2   2     2                2   +-------+ +-------+
+--R   (b d x  + (2a b d + b c)x  + (a d + 2a b c)x + a c)\|b x + a \|d x + c
+--R                                                    Type: Expression(Integer)
+--E  431
+
+--S 432 of 1000
+r0:=1/5*(a+b*x)^(7/2)*(c+d*x)^(3/2)/b-3/128*(b*c-a*d)^5*atanh(sqrt(d)*_
+     sqrt(a+b*x)/(sqrt(b)*sqrt(c+d*x)))/(b^(5/2)*d^(7/2))-1/64*(b*c-a*d)^3*_
+     (a+b*x)^(3/2)*sqrt(c+d*x)/(b^2*d^2)+1/80*(b*c-a*d)^2*(a+b*x)^(5/2)*_
+     sqrt(c+d*x)/(b^2*d)+3/40*(b*c-a*d)*(a+b*x)^(7/2)*sqrt(c+d*x)/b^2+_
+     3/128*(b*c-a*d)^4*sqrt(a+b*x)*sqrt(c+d*x)/(b^2*d^3)
+--R 
+--R
+--R   (2)
+--R             5 5      4     4       3 2 2 3       2 3 3 2        4 4       5 5
+--R         (15a d  - 75a b c d  + 150a b c d  - 150a b c d  + 75a b c d - 15b c )
+--R      *
+--R                +-+ +-------+
+--R               \|d \|b x + a
+--R         atanh(--------------)
+--R                +-+ +-------+
+--R               \|b \|d x + c
+--R     + 
+--R               4 4 4          3 4       4   3  3
+--R           128b d x  + (336a b d  + 176b c d )x
+--R         + 
+--R                2 2 4         3   3     4 2 2  2
+--R           (248a b d  + 512a b c d  + 8b c d )x
+--R         + 
+--R               3   4       2 2   3        3 2 2      4 3         4 4
+--R           (10a b d  + 466a b c d  + 46a b c d  - 10b c d)x - 15a d
+--R         + 
+--R              3     3       2 2 2 2        3 3       4 4
+--R           70a b c d  + 128a b c d  - 70a b c d + 15b c
+--R      *
+--R          +-+ +-+ +-------+ +-------+
+--R         \|b \|d \|b x + a \|d x + c
+--R  /
+--R         2 3 +-+ +-+
+--R     640b d \|b \|d
+--R                                                    Type: Expression(Integer)
+--E  432
+
+--S 433 of 1000
+--a0:=integrate(t0,x)
+--E  433
+
+--S 434 of 1000
+--m0:=a0-r0
+--E  434
+
+--S 435 of 1000
+--d0:=D(m0,x)
+--E  435
+
+)clear all
+
+--S 436 of 1000
+t0:=(a+b*x)^(5/2)*(c+d*x)^(3/2)/x
+--R 
+--R
+--R   (1)
+--R     2   3              2   2     2                2   +-------+ +-------+
+--R   (b d x  + (2a b d + b c)x  + (a d + 2a b c)x + a c)\|b x + a \|d x + c
+--R   -----------------------------------------------------------------------
+--R                                      x
+--R                                                    Type: Expression(Integer)
+--E  436
+
+--S 437 of 1000
+r0:=1/24*(3*b*c+5*a*d)*(a+b*x)^(3/2)*(c+d*x)^(3/2)/d+1/4*(a+b*x)^(5/2)*_
+     (c+d*x)^(3/2)-2*a^(5/2)*c^(3/2)*atanh(sqrt(c)*sqrt(a+b*x)/_
+     (sqrt(a)*sqrt(c+d*x)))+1/64*(3*b^4*c^4-20*a*b^3*c^3*d+90*a^2*b^2*_
+     c^2*d^2+60*a^3*b*c*d^3-5*a^4*d^4)*atanh(sqrt(d)*sqrt(a+b*x)/_
+     (sqrt(b)*sqrt(c+d*x)))/(b^(3/2)*d^(5/2))-1/32*(b*c-5*a*d)*_
+     (3*b*c+a*d)*(c+d*x)^(3/2)*sqrt(a+b*x)/d^2+1/64*(3*b^3*c^3-_
+     17*a*b^2*c^2*d+73*a^2*b*c*d^2+5*a^3*d^3)*sqrt(a+b*x)*sqrt(c+d*x)/(b*d^2)
+--R 
+--R
+--R   (2)
+--R               4 4       3     3       2 2 2 2        3 3      4 4
+--R         (- 15a d  + 180a b c d  + 270a b c d  - 60a b c d + 9b c )
+--R      *
+--R                +-+ +-------+
+--R               \|d \|b x + a
+--R         atanh(--------------)
+--R                +-+ +-------+
+--R               \|b \|d x + c
+--R     + 
+--R                                           +-+ +-------+
+--R             2     2 +-+ +-+ +-+ +-+      \|c \|b x + a
+--R       - 384a b c d \|a \|b \|c \|d atanh(--------------)
+--R                                           +-+ +-------+
+--R                                          \|a \|d x + c
+--R     + 
+--R              3 3 3          2 3      3   2  2
+--R           48b d x  + (136a b d  + 72b c d )x
+--R         + 
+--R                2   3         2   2     3 2         3 3       2     2
+--R           (118a b d  + 244a b c d  + 6b c d)x + 15a d  + 337a b c d
+--R         + 
+--R                2 2      3 3
+--R           57a b c d - 9b c
+--R      *
+--R          +-+ +-+ +-------+ +-------+
+--R         \|b \|d \|b x + a \|d x + c
+--R  /
+--R           2 +-+ +-+
+--R     192b d \|b \|d
+--R                                                    Type: Expression(Integer)
+--E  437
+
+--S 438 of 1000 (non-algebraic residues)
+--a0:=integrate(t0,x) 
+--E  438
+
+--S 439 of 1000
+--m0:=a0-r0
+--E  439
+
+--S 440 of 1000
+--d0:=D(m0,x)
+--E  440
+
+)clear all
+
+--S 441 of 1000
+t0:=(a+b*x)^(5/2)*(c+d*x)^(3/2)/x^2
+--R 
+--R
+--R   (1)
+--R     2   3              2   2     2                2   +-------+ +-------+
+--R   (b d x  + (2a b d + b c)x  + (a d + 2a b c)x + a c)\|b x + a \|d x + c
+--R   -----------------------------------------------------------------------
+--R                                       2
+--R                                      x
+--R                                                    Type: Expression(Integer)
+--E  441
+
+--S 442 of 1000
+r0:=4/3*b*(a+b*x)^(3/2)*(c+d*x)^(3/2)-(a+b*x)^(5/2)*(c+d*x)^(3/2)/x-_
+     1/8*(b^3*c^3-15*a*b^2*c^2*d-45*a^2*b*c*d^2-5*a^3*d^3)*_
+     atanh(sqrt(d)*sqrt(a+b*x)/(sqrt(b)*sqrt(c+d*x)))/(d^(3/2)*_
+     sqrt(b))-a^(3/2)*(5*b*c+3*a*d)*atanh(sqrt(c)*sqrt(a+b*x)/_
+     (sqrt(a)*sqrt(c+d*x)))*sqrt(c)+1/4*b*(b*c+7*a*d)*(c+d*x)^(3/2)*_
+     sqrt(a+b*x)/d-1/8*(b^2*c^2-14*a*b*c*d-19*a^2*d^2)*sqrt(a+b*x)*_
+     sqrt(c+d*x)/d
+--R 
+--R
+--R   (2)
+--R                                                          +-+ +-------+
+--R           3 3       2     2        2 2      3 3         \|d \|b x + a
+--R       (15a d  + 135a b c d  + 45a b c d - 3b c )x atanh(--------------)
+--R                                                          +-+ +-------+
+--R                                                         \|b \|d x + c
+--R     + 
+--R                                                      +-+ +-------+
+--R             2 2                +-+ +-+ +-+ +-+      \|c \|b x + a
+--R       (- 72a d  - 120a b c d)x\|a \|b \|c \|d atanh(--------------)
+--R                                                      +-+ +-------+
+--R                                                     \|a \|d x + c
+--R     + 
+--R             2 2 3           2      2     2       2 2                 2 2
+--R           8b d x  + (26a b d  + 14b c d)x  + (33a d  + 68a b c d + 3b c )x
+--R         + 
+--R                2
+--R           - 24a c d
+--R      *
+--R          +-+ +-+ +-------+ +-------+
+--R         \|b \|d \|b x + a \|d x + c
+--R  /
+--R           +-+ +-+
+--R     24d x\|b \|d
+--R                                                    Type: Expression(Integer)
+--E  442
+
+--S 443 of 1000 (non-algebraic residues)
+--a0:=integrate(t0,x)
+--E  443
+
+--S 444 of 1000
+--m0:=a0-r0
+--E  444
+
+--S 445 of 1000
+--d0:=D(m0,x)
+--E  445
+
+)clear all
+
+--S 446 of 1000
+t0:=(a+b*x)^(5/2)*(c+d*x)^(3/2)/x^3
+--R 
+--R
+--R   (1)
+--R     2   3              2   2     2                2   +-------+ +-------+
+--R   (b d x  + (2a b d + b c)x  + (a d + 2a b c)x + a c)\|b x + a \|d x + c
+--R   -----------------------------------------------------------------------
+--R                                       3
+--R                                      x
+--R                                                    Type: Expression(Integer)
+--E  446
+
+--S 447 of 1000
+r0:=-1/4*(5*b*c+3*a*d)*(a+b*x)^(3/2)*(c+d*x)^(3/2)/(c*x)-1/2*(a+b*x)^(5/2)*_
+     (c+d*x)^(3/2)/x^2-3/4*(5*b^2*c^2+10*a*b*c*d+a^2*d^2)*_
+     atanh(sqrt(c)*sqrt(a+b*x)/(sqrt(a)*sqrt(c+d*x)))*sqrt(a)/sqrt(c)+_
+     3/4*(b^2*c^2+10*a*b*c*d+5*a^2*d^2)*atanh(sqrt(d)*sqrt(a+b*x)/_
+     (sqrt(b)*sqrt(c+d*x)))*sqrt(b)/sqrt(d)+3/4*b*(3*b*c+a*d)*_
+     (c+d*x)^(3/2)*sqrt(a+b*x)/c+3/4*(b^2*c^2+6*a*b*c*d+a^2*d^2)*_
+     sqrt(a+b*x)*sqrt(c+d*x)/c
+--R 
+--R
+--R   (2)
+--R                                                    +-+ +-------+
+--R           2 2                 2 2  2 +-+ +-+      \|d \|b x + a
+--R       (15a d  + 30a b c d + 3b c )x \|b \|c atanh(--------------)
+--R                                                    +-+ +-------+
+--R                                                   \|b \|d x + c
+--R     + 
+--R                                                      +-+ +-------+
+--R            2 2                  2 2  2 +-+ +-+      \|c \|b x + a
+--R       (- 3a d  - 30a b c d - 15b c )x \|a \|d atanh(--------------)
+--R                                                      +-+ +-------+
+--R                                                     \|a \|d x + c
+--R     + 
+--R            2   3               2   2        2                 2   +-+ +-+
+--R         (2b d x  + (9a b d + 5b c)x  + (- 5a d - 9a b c)x - 2a c)\|c \|d
+--R      *
+--R          +-------+ +-------+
+--R         \|b x + a \|d x + c
+--R  /
+--R       2 +-+ +-+
+--R     4x \|c \|d
+--R                                                    Type: Expression(Integer)
+--E  447
+
+--S 448 of 1000 (non-algebraic residues)
+--a0:=integrate(t0,x)
+--E  448
+
+--S 449 of 1000
+--m0:=a0-r0
+--E  449
+
+--S 450 of 1000
+--d0:=D(m0,x)
+--E  450
+
+)clear all
+
+--S 451 of 1000
+t0:=(a+b*x)^(5/2)*(c+d*x)^(3/2)/x^4
+--R 
+--R
+--R   (1)
+--R     2   3              2   2     2                2   +-------+ +-------+
+--R   (b d x  + (2a b d + b c)x  + (a d + 2a b c)x + a c)\|b x + a \|d x + c
+--R   -----------------------------------------------------------------------
+--R                                       4
+--R                                      x
+--R                                                    Type: Expression(Integer)
+--E  451
+
+--S 452 of 1000
+r0:=-1/12*(5*b*c+3*a*d)*(a+b*x)^(3/2)*(c+d*x)^(3/2)/(c*x^2)-_
+     1/3*(a+b*x)^(5/2)*(c+d*x)^(3/2)/x^3-1/8*(5*b^3*c^3+45*a*b^2*c^2*d+_
+     15*a^2*b*c*d^2-a^3*d^3)*atanh(sqrt(c)*sqrt(a+b*x)/(sqrt(a)*_
+     sqrt(c+d*x)))/(c^(3/2)*sqrt(a))+b^(3/2)*(3*b*c+5*a*d)*_
+     atanh(sqrt(d)*sqrt(a+b*x)/(sqrt(b)*sqrt(c+d*x)))*sqrt(d)-_
+     1/8*(5*b^2*c^2+12*a*b*c*d-a^2*d^2)*(c+d*x)^(3/2)*sqrt(a+b*x)/_
+     (c^2*x)+1/8*d*(19*b^2*c^2+14*a*b*c*d-a^2*d^2)*sqrt(a+b*x)*sqrt(c+d*x)/c^2
+--R 
+--R
+--R   (2)
+--R                                                     +-+ +-------+
+--R                        2 2  3 +-+ +-+ +-+ +-+      \|d \|b x + a
+--R       (120a b c d + 72b c )x \|a \|b \|c \|d atanh(--------------)
+--R                                                     +-+ +-------+
+--R                                                    \|b \|d x + c
+--R     + 
+--R                                                          +-+ +-------+
+--R          3 3      2     2         2 2       3 3  3      \|c \|b x + a
+--R       (3a d  - 45a b c d  - 135a b c d - 15b c )x atanh(--------------)
+--R                                                          +-+ +-------+
+--R                                                         \|a \|d x + c
+--R     + 
+--R              2     3        2 2                  2 2  2
+--R           24b c d x  + (- 3a d  - 68a b c d - 33b c )x
+--R         + 
+--R                 2             2       2 2
+--R           (- 14a c d - 26a b c )x - 8a c
+--R      *
+--R          +-+ +-+ +-------+ +-------+
+--R         \|a \|c \|b x + a \|d x + c
+--R  /
+--R          3 +-+ +-+
+--R     24c x \|a \|c
+--R                                                    Type: Expression(Integer)
+--E  452
+
+--S 453 of 1000 (non-algebraic residues)
+--a0:=integrate(t0,x)
+--E  453
+
+--S 454 of 1000
+--m0:=a0-r0
+--E  454
+
+--S 455 of 1000
+--d0:=D(m0,x)
+--E  455
+
+)clear all
+
+--S 456 of 1000
+t0:=(a+b*x)^(5/2)*(c+d*x)^(3/2)/x^5
+--R 
+--R
+--R   (1)
+--R     2   3              2   2     2                2   +-------+ +-------+
+--R   (b d x  + (2a b d + b c)x  + (a d + 2a b c)x + a c)\|b x + a \|d x + c
+--R   -----------------------------------------------------------------------
+--R                                       5
+--R                                      x
+--R                                                    Type: Expression(Integer)
+--E  456
+
+--S 457 of 1000
+r0:=-1/24*(5*b*c+3*a*d)*(a+b*x)^(3/2)*(c+d*x)^(3/2)/(c*x^3)-_
+     1/4*(a+b*x)^(5/2)*(c+d*x)^(3/2)/x^4+1/64*(5*b^4*c^4-60*a*b^3*c^3*d-_
+     90*a^2*b^2*c^2*d^2+20*a^3*b*c*d^3-3*a^4*d^4)*atanh(sqrt(c)*_
+     sqrt(a+b*x)/(sqrt(a)*sqrt(c+d*x)))/(a^(3/2)*c^(5/2))+2*b^(5/2)*_
+     d^(3/2)*atanh(sqrt(d)*sqrt(a+b*x)/(sqrt(b)*sqrt(c+d*x)))-_
+     1/32*(5*b*c-a*d)*(b*c+3*a*d)*(c+d*x)^(3/2)*sqrt(a+b*x)/(c^2*x^2)-_
+     1/64*(5*b^3*c^3+73*a*b^2*c^2*d-17*a^2*b*c*d^2+3*a^3*d^3)*_
+     sqrt(a+b*x)*sqrt(c+d*x)/(a*c^2*x)
+--R 
+--R
+--R   (2)
+--R                                           +-+ +-------+
+--R             2 2   4 +-+ +-+ +-+ +-+      \|d \|b x + a
+--R       384a b c d x \|a \|b \|c \|d atanh(--------------)
+--R                                           +-+ +-------+
+--R                                          \|b \|d x + c
+--R     + 
+--R              4 4      3     3       2 2 2 2         3 3       4 4  4
+--R         (- 9a d  + 60a b c d  - 270a b c d  - 180a b c d + 15b c )x
+--R      *
+--R                +-+ +-------+
+--R               \|c \|b x + a
+--R         atanh(--------------)
+--R                +-+ +-------+
+--R               \|a \|d x + c
+--R     + 
+--R              3 3      2     2         2 2       3 3  3
+--R           (9a d  - 57a b c d  - 337a b c d - 15b c )x
+--R         + 
+--R                3   2       2   2          2 3  2         3 2        2   3
+--R           (- 6a c d  - 244a b c d - 118a b c )x  + (- 72a c d - 136a b c )x
+--R         + 
+--R                3 3
+--R           - 48a c
+--R      *
+--R          +-+ +-+ +-------+ +-------+
+--R         \|a \|c \|b x + a \|d x + c
+--R  /
+--R           2 4 +-+ +-+
+--R     192a c x \|a \|c
+--R                                                    Type: Expression(Integer)
+--E  457
+
+--S 458 of 1000 (non-algebraic residues)
+--a0:=integrate(t0,x)
+--E  458
+
+--S 459 of 1000
+--m0:=a0-r0
+--E  459
+
+--S 460 of 1000
+--d0:=D(m0,x)
+--E  460
+
+)clear all
+
+--S 461 of 1000
+t0:=(a+b*x)^(5/2)*(c+d*x)^(3/2)/x^6
+--R 
+--R
+--R   (1)
+--R     2   3              2   2     2                2   +-------+ +-------+
+--R   (b d x  + (2a b d + b c)x  + (a d + 2a b c)x + a c)\|b x + a \|d x + c
+--R   -----------------------------------------------------------------------
+--R                                       6
+--R                                      x
+--R                                                    Type: Expression(Integer)
+--E  461
+
+--S 462 of 1000
+r0:=-1/8*(b*c-a*d)*(a+b*x)^(3/2)*(c+d*x)^(5/2)/(c^2*x^4)-_
+     1/5*(a+b*x)^(5/2)*(c+d*x)^(5/2)/(c*x^5)-3/128*(b*c-a*d)^5*_
+     atanh(sqrt(c)*sqrt(a+b*x)/(sqrt(a)*sqrt(c+d*x)))/(a^(5/2)*c^(7/2))-_
+     1/64*(b*c-a*d)^3*(c+d*x)^(3/2)*sqrt(a+b*x)/(a*c^3*x^2)-_
+     1/16*(b*c-a*d)^2*(c+d*x)^(5/2)*sqrt(a+b*x)/(c^3*x^3)+_
+     3/128*(b*c-a*d)^4*sqrt(a+b*x)*sqrt(c+d*x)/(a^2*c^3*x)
+--R 
+--R
+--R   (2)
+--R             5 5      4     4       3 2 2 3       2 3 3 2        4 4       5 5
+--R         (15a d  - 75a b c d  + 150a b c d  - 150a b c d  + 75a b c d - 15b c )
+--R      *
+--R                  +-+ +-------+
+--R          5      \|c \|b x + a
+--R         x atanh(--------------)
+--R                  +-+ +-------+
+--R                 \|a \|d x + c
+--R     + 
+--R                 4 4      3     3       2 2 2 2        3 3       4 4  4
+--R           (- 15a d  + 70a b c d  - 128a b c d  - 70a b c d + 15b c )x
+--R         + 
+--R               4   3      3   2 2       2 2 3         3 4  3
+--R           (10a c d  - 46a b c d  - 466a b c d - 10a b c )x
+--R         + 
+--R                4 2 2       3   3        2 2 4  2          4 3        3   4
+--R           (- 8a c d  - 512a b c d - 248a b c )x  + (- 176a c d - 336a b c )x
+--R         + 
+--R                 4 4
+--R           - 128a c
+--R      *
+--R          +-+ +-+ +-------+ +-------+
+--R         \|a \|c \|b x + a \|d x + c
+--R  /
+--R         2 3 5 +-+ +-+
+--R     640a c x \|a \|c
+--R                                                    Type: Expression(Integer)
+--E  462
+
+--S 463 of 1000
+--a0:=integrate(t0,x)
+--E  463
+
+--S 464 of 1000
+--m0:=a0-r0
+--E  464
+
+--S 465 of 1000
+--d0:=D(m0,x)
+--E  465
+
+)clear all
+
+--S 466 of 1000
+t0:=x*(a+b*x)^(5/2)*(c+d*x)^(5/2)
+--R 
+--R
+--R   (1)
+--R        2 2 5          2     2     4     2 2               2 2  3
+--R       b d x  + (2a b d  + 2b c d)x  + (a d  + 4a b c d + b c )x
+--R     + 
+--R          2            2  2    2 2
+--R       (2a c d + 2a b c )x  + a c x
+--R  *
+--R      +-------+ +-------+
+--R     \|b x + a \|d x + c
+--R                                                    Type: Expression(Integer)
+--E  466
+
+--S 467 of 1000
+r0:=-1/24*(b*c-a*d)*(b*c+a*d)*(a+b*x)^(7/2)*(c+d*x)^(3/2)/(b^3*d)-_
+     1/12*(b*c+a*d)*(a+b*x)^(7/2)*(c+d*x)^(5/2)/(b^2*d)+_
+     1/7*(a+b*x)^(7/2)*(c+d*x)^(7/2)/(b*d)+5/1024*(b*c-a*d)^6*_
+     (b*c+a*d)*atanh(sqrt(d)*sqrt(a+b*x)/(sqrt(b)*sqrt(c+d*x)))/_
+     (b^(9/2)*d^(9/2))+5/1536*(b*c-a*d)^4*(b*c+a*d)*(a+b*x)^(3/2)*_
+     sqrt(c+d*x)/(b^4*d^3)-1/384*(b*c-a*d)^3*(b*c+a*d)*(a+b*x)^(5/2)*_
+     sqrt(c+d*x)/(b^4*d^2)-1/64*(b*c-a*d)^2*(b*c+a*d)*(a+b*x)^(7/2)*_
+     sqrt(c+d*x)/(b^4*d)-5/1024*(b*c-a*d)^5*(b*c+a*d)*sqrt(a+b*x)*_
+     sqrt(c+d*x)/(b^4*d^4)
+--R 
+--R
+--R   (2)
+--R               7 7       6     6       5 2 2 5       4 3 3 4       3 4 4 3
+--R           105a d  - 525a b c d  + 945a b c d  - 525a b c d  - 525a b c d
+--R         + 
+--R               2 5 5 2         6 6        7 7
+--R           945a b c d  - 525a b c d + 105b c
+--R      *
+--R                +-+ +-------+
+--R               \|d \|b x + a
+--R         atanh(--------------)
+--R                +-+ +-------+
+--R               \|b \|d x + c
+--R     + 
+--R                6 6 6           5 6        6   5  5
+--R           3072b d x  + (7424a b d  + 7424b c d )x
+--R         + 
+--R                 2 4 6           5   5        6 2 4  4
+--R           (4736a b d  + 18688a b c d  + 4736b c d )x
+--R         + 
+--R               3 3 6         2 4   5           5 2 4      6 3 3  3
+--R           (48a b d  + 12752a b c d  + 12752a b c d  + 48b c d )x
+--R         + 
+--R                 4 2 6       3 3   5        2 4 2 4         5 3 3      6 4 2  2
+--R           (- 56a b d  + 256a b c d  + 9840a b c d  + 256a b c d  - 56b c d )x
+--R         + 
+--R                  5   6       4 2   5       3 3 2 4       2 4 3 3         5 4 2
+--R               70a b d  - 322a b c d  + 508a b c d  + 508a b c d  - 322a b c d
+--R             + 
+--R                  6 5
+--R               70b c d
+--R          *
+--R             x
+--R         + 
+--R                 6 6       5     5       4 2 2 4       3 3 3 3       2 4 4 2
+--R           - 105a d  + 490a b c d  - 791a b c d  + 300a b c d  - 791a b c d
+--R         + 
+--R                 5 5        6 6
+--R           490a b c d - 105b c
+--R      *
+--R          +-+ +-+ +-------+ +-------+
+--R         \|b \|d \|b x + a \|d x + c
+--R  /
+--R           4 4 +-+ +-+
+--R     21504b d \|b \|d
+--R                                                    Type: Expression(Integer)
+--E  467
+
+--S 468 of 1000
+--a0:=integrate(t0,x)
+--E  468
+
+--S 469 of 1000
+--m0:=a0-r0
+--E  469
+
+--S 470 of 1000
+--d0:=D(m0,x)
+--E  470
+
+)clear all
+
+--S 471 of 1000
+t0:=(a+b*x)^(5/2)*(c+d*x)^(5/2)
+--R 
+--R
+--R   (1)
+--R        2 2 4          2     2     3     2 2               2 2  2
+--R       b d x  + (2a b d  + 2b c d)x  + (a d  + 4a b c d + b c )x
+--R     + 
+--R          2            2      2 2
+--R       (2a c d + 2a b c )x + a c
+--R  *
+--R      +-------+ +-------+
+--R     \|b x + a \|d x + c
+--R                                                    Type: Expression(Integer)
+--E  471
+
+--S 472 of 1000
+r0:=1/12*(b*c-a*d)*(a+b*x)^(7/2)*(c+d*x)^(3/2)/b^2+1/6*(a+b*x)^(7/2)*_
+     (c+d*x)^(5/2)/b-5/512*(b*c-a*d)^6*atanh(sqrt(d)*sqrt(a+b*x)/_
+     (sqrt(b)*sqrt(c+d*x)))/(b^(7/2)*d^(7/2))-5/768*(b*c-a*d)^4*_
+     (a+b*x)^(3/2)*sqrt(c+d*x)/(b^3*d^2)+1/192*(b*c-a*d)^3*(a+b*x)^(5/2)*_
+     sqrt(c+d*x)/(b^3*d)+1/32*(b*c-a*d)^2*(a+b*x)^(7/2)*sqrt(c+d*x)/b^3+_
+     5/512*(b*c-a*d)^5*sqrt(a+b*x)*sqrt(c+d*x)/(b^3*d^3)
+--R 
+--R
+--R   (2)
+--R                6 6      5     5       4 2 2 4       3 3 3 3       2 4 4 2
+--R           - 15a d  + 90a b c d  - 225a b c d  + 300a b c d  - 225a b c d
+--R         + 
+--R                5 5       6 6
+--R           90a b c d - 15b c
+--R      *
+--R                +-+ +-------+
+--R               \|d \|b x + a
+--R         atanh(--------------)
+--R                +-+ +-------+
+--R               \|b \|d x + c
+--R     + 
+--R               5 5 5          4 5       5   4  4
+--R           256b d x  + (640a b d  + 640b c d )x
+--R         + 
+--R                2 3 5          4   4       5 2 3  3
+--R           (432a b d  + 1696a b c d  + 432b c d )x
+--R         + 
+--R              3 2 5        2 3   4          4 2 3     5 3 2  2
+--R           (8a b d  + 1272a b c d  + 1272a b c d  + 8b c d )x
+--R         + 
+--R                 4   5      3 2   4        2 3 2 3        4 3 2      5 4
+--R           (- 10a b d  + 56a b c d  + 1188a b c d  + 56a b c d  - 10b c d)x
+--R         + 
+--R              5 5      4     4       3 2 2 3       2 3 3 2        4 4       5 5
+--R           15a d  - 85a b c d  + 198a b c d  + 198a b c d  - 85a b c d + 15b c
+--R      *
+--R          +-+ +-+ +-------+ +-------+
+--R         \|b \|d \|b x + a \|d x + c
+--R  /
+--R          3 3 +-+ +-+
+--R     1536b d \|b \|d
+--R                                                    Type: Expression(Integer)
+--E  472
+
+--S 473 of 1000
+--a0:=integrate(t0,x)
+--E  473
+
+--S 474 of 1000
+--m0:=a0-r0
+--E  474
+
+--S 475 of 1000
+--d0:=D(m0,x)
+--E  475
+
+)clear all
+
+--S 476 of 1000
+t0:=(a+b*x)^(5/2)*(c+d*x)^(5/2)/x
+--R 
+--R
+--R   (1)
+--R          2 2 4          2     2     3     2 2               2 2  2
+--R         b d x  + (2a b d  + 2b c d)x  + (a d  + 4a b c d + b c )x
+--R       + 
+--R            2            2      2 2
+--R         (2a c d + 2a b c )x + a c
+--R    *
+--R        +-------+ +-------+
+--R       \|b x + a \|d x + c
+--R  /
+--R     x
+--R                                                    Type: Expression(Integer)
+--E  476
+
+--S 477 of 1000
+r0:=1/8*(b*c+a*d)*(a+b*x)^(3/2)*(c+d*x)^(5/2)/d+1/5*(a+b*x)^(5/2)*_
+     (c+d*x)^(5/2)-2*a^(5/2)*c^(5/2)*atanh(sqrt(c)*sqrt(a+b*x)/_
+     (sqrt(a)*sqrt(c+d*x)))+1/128*(b*c+a*d)*(3*b^4*c^4-28*a*b^3*c^3*d+_
+     178*a^2*b^2*c^2*d^2-28*a^3*b*c*d^3+3*a^4*d^4)*atanh(sqrt(d)*_
+     sqrt(a+b*x)/(sqrt(b)*sqrt(c+d*x)))/(b^(5/2)*d^(5/2))+_
+     1/192*(3*b^3*c^3-19*a*b^2*c^2*d+109*a^2*b*c*d^2+3*a^3*d^3)*_
+     (c+d*x)^(3/2)*sqrt(a+b*x)/(b*d^2)-1/48*(3*b^2*c^2-16*a*b*c*d-_
+     3*a^2*d^2)*(c+d*x)^(5/2)*sqrt(a+b*x)/d^2+1/128*(3*b^4*c^4-_
+     22*a*b^3*c^3*d+128*a^2*b^2*c^2*d^2+22*a^3*b*c*d^3-3*a^4*d^4)*_
+     sqrt(a+b*x)*sqrt(c+d*x)/(b^2*d^2)
+--R 
+--R
+--R   (2)
+--R              5 5       4     4        3 2 2 3        2 3 3 2         4 4
+--R           45a d  - 375a b c d  + 2250a b c d  + 2250a b c d  - 375a b c d
+--R         + 
+--R              5 5
+--R           45b c
+--R      *
+--R                +-+ +-------+
+--R               \|d \|b x + a
+--R         atanh(--------------)
+--R                +-+ +-------+
+--R               \|b \|d x + c
+--R     + 
+--R                                            +-+ +-------+
+--R              2 2 2 2 +-+ +-+ +-+ +-+      \|c \|b x + a
+--R       - 3840a b c d \|a \|b \|c \|d atanh(--------------)
+--R                                            +-+ +-------+
+--R                                           \|a \|d x + c
+--R     + 
+--R               4 4 4           3 4        4   3  3
+--R           384b d x  + (1008a b d  + 1008b c d )x
+--R         + 
+--R                2 2 4          3   3       4 2 2  2
+--R           (744a b d  + 2896a b c d  + 744b c d )x
+--R         + 
+--R               3   4        2 2   3          3 2 2      4 3         4 4
+--R           (30a b d  + 2578a b c d  + 2578a b c d  + 30b c d)x - 45a d
+--R         + 
+--R               3     3        2 2 2 2         3 3       4 4
+--R           360a b c d  + 3754a b c d  + 360a b c d - 45b c
+--R      *
+--R          +-+ +-+ +-------+ +-------+
+--R         \|b \|d \|b x + a \|d x + c
+--R  /
+--R          2 2 +-+ +-+
+--R     1920b d \|b \|d
+--R                                                    Type: Expression(Integer)
+--E  477
+
+--S 478 of 1000 (non-algebraic residues)
+--a0:=integrate(t0,x)
+--E  478
+
+--S 479 of 1000
+--m0:=a0-r0
+--E  479
+
+--S 480 of 1000
+--d0:=D(m0,x)
+--E  480
+
+)clear all
+
+--S 481 of 1000
+t0:=(a+b*x)^(5/2)*(c+d*x)^(5/2)/x^2
+--R 
+--R
+--R   (1)
+--R          2 2 4          2     2     3     2 2               2 2  2
+--R         b d x  + (2a b d  + 2b c d)x  + (a d  + 4a b c d + b c )x
+--R       + 
+--R            2            2      2 2
+--R         (2a c d + 2a b c )x + a c
+--R    *
+--R        +-------+ +-------+
+--R       \|b x + a \|d x + c
+--R  /
+--R      2
+--R     x
+--R                                                    Type: Expression(Integer)
+--E  481
+
+--S 482 of 1000
+r0:=5/4*b*(a+b*x)^(3/2)*(c+d*x)^(5/2)-(a+b*x)^(5/2)*(c+d*x)^(5/2)/x-_
+     5*a^(3/2)*c^(3/2)*(b*c+a*d)*atanh(sqrt(c)*sqrt(a+b*x)/_
+     (sqrt(a)*sqrt(c+d*x)))-5/64*(b^4*c^4-20*a*b^3*c^3*d-_
+     90*a^2*b^2*c^2*d^2-20*a^3*b*c*d^3+a^4*d^4)*atanh(sqrt(d)*_
+     sqrt(a+b*x)/(sqrt(b)*sqrt(c+d*x)))/(b^(3/2)*d^(3/2))-5/96*_
+     (b^2*c^2-18*a*b*c*d-31*a^2*d^2)*(c+d*x)^(3/2)*sqrt(a+b*x)/d+_
+     5/24*b*(b*c+7*a*d)*(c+d*x)^(5/2)*sqrt(a+b*x)/d-5/64*(b^3*c^3-_
+     19*a*b^2*c^2*d-45*a^2*b*c*d^2-a^3*d^3)*sqrt(a+b*x)*sqrt(c+d*x)/(b*d)
+--R 
+--R
+--R   (2)
+--R               4 4       3     3        2 2 2 2         3 3       4 4
+--R         (- 15a d  + 300a b c d  + 1350a b c d  + 300a b c d - 15b c )x
+--R      *
+--R                +-+ +-------+
+--R               \|d \|b x + a
+--R         atanh(--------------)
+--R                +-+ +-------+
+--R               \|b \|d x + c
+--R     + 
+--R                                                           +-+ +-------+
+--R              2     2         2 2    +-+ +-+ +-+ +-+      \|c \|b x + a
+--R       (- 960a b c d  - 960a b c d)x\|a \|b \|c \|d atanh(--------------)
+--R                                                           +-+ +-------+
+--R                                                          \|a \|d x + c
+--R     + 
+--R              3 3 4          2 3       3   2  3
+--R           48b d x  + (136a b d  + 136b c d )x
+--R         + 
+--R                2   3         2   2       3 2   2
+--R           (118a b d  + 452a b c d  + 118b c d)x
+--R         + 
+--R               3 3       2     2         2 2       3 3         2   2
+--R           (15a d  + 601a b c d  + 601a b c d + 15b c )x - 192a b c d
+--R      *
+--R          +-+ +-+ +-------+ +-------+
+--R         \|b \|d \|b x + a \|d x + c
+--R  /
+--R              +-+ +-+
+--R     192b d x\|b \|d
+--R                                                    Type: Expression(Integer)
+--E  482
+
+--S 483 of 1000 (non-algebraic residues)
+--a0:=integrate(t0,x)
+--E  483
+
+--S 484 of 1000
+--m0:=a0-r0
+--E  484
+
+--S 485 of 1000
+--d0:=D(m0,x)
+--E  485
+
+)clear all
+
+--S 486 of 1000
+t0:=(a+b*x)^(5/2)*(c+d*x)^(5/2)/x^3
+--R 
+--R
+--R   (1)
+--R          2 2 4          2     2     3     2 2               2 2  2
+--R         b d x  + (2a b d  + 2b c d)x  + (a d  + 4a b c d + b c )x
+--R       + 
+--R            2            2      2 2
+--R         (2a c d + 2a b c )x + a c
+--R    *
+--R        +-------+ +-------+
+--R       \|b x + a \|d x + c
+--R  /
+--R      3
+--R     x
+--R                                                    Type: Expression(Integer)
+--E  486
+
+--S 487 of 1000
+r0:=-5/4*(b*c+a*d)*(a+b*x)^(3/2)*(c+d*x)^(5/2)/(c*x)-1/2*(a+b*x)^(5/2)*_
+     (c+d*x)^(5/2)/x^2-5/4*(3*b*c+a*d)*(b*c+3*a*d)*atanh(sqrt(c)*_
+     sqrt(a+b*x)/(sqrt(a)*sqrt(c+d*x)))*sqrt(a)*sqrt(c)+5/8*(b*c+a*d)*_
+     (b^2*c^2+14*a*b*c*d+a^2*d^2)*atanh(sqrt(d)*sqrt(a+b*x)/(sqrt(b)*_
+     sqrt(c+d*x)))/(sqrt(b)*sqrt(d))+5/12*(b^2*c^2+8*a*b*c*d+3*a^2*d^2)*_
+     (c+d*x)^(3/2)*sqrt(a+b*x)/c+5/12*b*(5*b*c+3*a*d)*(c+d*x)^(5/2)*_
+     sqrt(a+b*x)/c+5/8*(b^2*c^2+10*a*b*c*d+5*a^2*d^2)*sqrt(a+b*x)*sqrt(c+d*x)
+--R 
+--R
+--R   (2)
+--R                                                            +-+ +-------+
+--R           3 3       2     2         2 2       3 3  2      \|d \|b x + a
+--R       (15a d  + 225a b c d  + 225a b c d + 15b c )x atanh(--------------)
+--R                                                            +-+ +-------+
+--R                                                           \|b \|d x + c
+--R     + 
+--R                                                                +-+ +-------+
+--R             2 2                   2 2  2 +-+ +-+ +-+ +-+      \|c \|b x + a
+--R       (- 90a d  - 300a b c d - 90b c )x \|a \|b \|c \|d atanh(--------------)
+--R                                                                +-+ +-------+
+--R                                                               \|a \|d x + c
+--R     + 
+--R             2 2 4           2      2     3       2 2                   2 2  2
+--R           8b d x  + (26a b d  + 26b c d)x  + (33a d  + 122a b c d + 33b c )x
+--R         + 
+--R                 2             2        2 2
+--R           (- 54a c d - 54a b c )x - 12a c
+--R      *
+--R          +-+ +-+ +-------+ +-------+
+--R         \|b \|d \|b x + a \|d x + c
+--R  /
+--R        2 +-+ +-+
+--R     24x \|b \|d
+--R                                                    Type: Expression(Integer)
+--E  487
+
+--S 488 of 1000 (non-algebraic residues)
+--a0:=integrate(t0,x)
+--E  488
+
+--S 489 of 1000
+--m0:=a0-r0
+--E  489
+
+--S 490 of 1000
+--d0:=D(m0,x)
+--E  490
+
+)clear all
+
+--S 491 of 1000
+t0:=(a+b*x)^(5/2)*(c+d*x)^(5/2)/x^4
+--R 
+--R
+--R   (1)
+--R          2 2 4          2     2     3     2 2               2 2  2
+--R         b d x  + (2a b d  + 2b c d)x  + (a d  + 4a b c d + b c )x
+--R       + 
+--R            2            2      2 2
+--R         (2a c d + 2a b c )x + a c
+--R    *
+--R        +-------+ +-------+
+--R       \|b x + a \|d x + c
+--R  /
+--R      4
+--R     x
+--R                                                    Type: Expression(Integer)
+--E  491
+
+--S 492 of 1000
+r0:=-5/12*(b*c+a*d)*(a+b*x)^(3/2)*(c+d*x)^(5/2)/(c*x^2)-1/3*(a+b*x)^(5/2)*_
+     (c+d*x)^(5/2)/x^3-5/8*(b*c+a*d)*(b^2*c^2+14*a*b*c*d+a^2*d^2)*_
+     atanh(sqrt(c)*sqrt(a+b*x)/(sqrt(a)*sqrt(c+d*x)))/(sqrt(a)*sqrt(c))+_
+     5/4*(3*b*c+a*d)*(b*c+3*a*d)*atanh(sqrt(d)*sqrt(a+b*x)/(sqrt(b)*_
+     sqrt(c+d*x)))*sqrt(b)*sqrt(d)+5/24*d*(9*b^2*c^2+14*a*b*c*d+a^2*d^2)*_
+     (c+d*x)^(3/2)*sqrt(a+b*x)/c^2-5/24*(3*b^2*c^2+12*a*b*c*d+a^2*d^2)*_
+     (c+d*x)^(5/2)*sqrt(a+b*x)/(c^2*x)+5/8*d*(5*b^2*c^2+10*a*b*c*d+_
+     a^2*d^2)*sqrt(a+b*x)*sqrt(c+d*x)/c
+--R 
+--R
+--R   (2)
+--R                                                              +-+ +-------+
+--R           2 2                   2 2  3 +-+ +-+ +-+ +-+      \|d \|b x + a
+--R       (90a d  + 300a b c d + 90b c )x \|a \|b \|c \|d atanh(--------------)
+--R                                                              +-+ +-------+
+--R                                                             \|b \|d x + c
+--R     + 
+--R                                                              +-+ +-------+
+--R             3 3       2     2         2 2       3 3  3      \|c \|b x + a
+--R       (- 15a d  - 225a b c d  - 225a b c d - 15b c )x atanh(--------------)
+--R                                                              +-+ +-------+
+--R                                                             \|a \|d x + c
+--R     + 
+--R              2 2 4           2      2     3
+--R           12b d x  + (54a b d  + 54b c d)x
+--R         + 
+--R                 2 2                   2 2  2         2             2       2 2
+--R           (- 33a d  - 122a b c d - 33b c )x  + (- 26a c d - 26a b c )x - 8a c
+--R      *
+--R          +-+ +-+ +-------+ +-------+
+--R         \|a \|c \|b x + a \|d x + c
+--R  /
+--R        3 +-+ +-+
+--R     24x \|a \|c
+--R                                                    Type: Expression(Integer)
+--E  492
+
+--S 493 of 1000 (non-algebraic residues)
+--a0:=integrate(t0,x)
+--E  493
+
+--S 494 of 1000
+--m0:=a0-r0
+--E  494
+
+--S 495 of 1000
+--d0:=D(m0,x)
+--E  495
+
+)clear all
+
+--S 496 of 1000
+t0:=(a+b*x)^(5/2)*(c+d*x)^(5/2)/x^5
+--R 
+--R
+--R   (1)
+--R          2 2 4          2     2     3     2 2               2 2  2
+--R         b d x  + (2a b d  + 2b c d)x  + (a d  + 4a b c d + b c )x
+--R       + 
+--R            2            2      2 2
+--R         (2a c d + 2a b c )x + a c
+--R    *
+--R        +-------+ +-------+
+--R       \|b x + a \|d x + c
+--R  /
+--R      5
+--R     x
+--R                                                    Type: Expression(Integer)
+--E  496
+
+--S 497 of 1000
+r0:=-5/24*(b*c+a*d)*(a+b*x)^(3/2)*(c+d*x)^(5/2)/(c*x^3)-1/4*(a+b*x)^(5/2)*_
+     (c+d*x)^(5/2)/x^4+5/64*(b^4*c^4-20*a*b^3*c^3*d-90*a^2*b^2*c^2*d^2-_
+     20*a^3*b*c*d^3+a^4*d^4)*atanh(sqrt(c)*sqrt(a+b*x)/(sqrt(a)*_
+     sqrt(c+d*x)))/(a^(3/2)*c^(3/2))+5*b^(3/2)*d^(3/2)*(b*c+a*d)*_
+     atanh(sqrt(d)*sqrt(a+b*x)/(sqrt(b)*sqrt(c+d*x)))-5/192*(3*b*c+a*d)*_
+     (b^2*c^2+24*a*b*c*d-a^2*d^2)*(c+d*x)^(3/2)*sqrt(a+b*x)/(a*c^2*x)-_
+     5/96*(3*b^2*c^2+14*a*b*c*d-a^2*d^2)*(c+d*x)^(5/2)*sqrt(a+b*x)/_
+     (c^2*x^2)+5/64*d*(b^3*c^3+45*a*b^2*c^2*d+19*a^2*b*c*d^2-a^3*d^3)*_
+     sqrt(a+b*x)*sqrt(c+d*x)/(a*c^2)
+--R 
+--R
+--R   (2)
+--R                                                          +-+ +-------+
+--R            2     2         2 2   4 +-+ +-+ +-+ +-+      \|d \|b x + a
+--R       (960a b c d  + 960a b c d)x \|a \|b \|c \|d atanh(--------------)
+--R                                                          +-+ +-------+
+--R                                                         \|b \|d x + c
+--R     + 
+--R             4 4       3     3        2 2 2 2         3 3       4 4  4
+--R         (15a d  - 300a b c d  - 1350a b c d  - 300a b c d + 15b c )x
+--R      *
+--R                +-+ +-------+
+--R               \|c \|b x + a
+--R         atanh(--------------)
+--R                +-+ +-------+
+--R               \|a \|d x + c
+--R     + 
+--R                 2   2 4         3 3       2     2         2 2       3 3  3
+--R           192a b c d x  + (- 15a d  - 601a b c d  - 601a b c d - 15b c )x
+--R         + 
+--R                  3   2       2   2          2 3  2          3 2        2   3
+--R           (- 118a c d  - 452a b c d - 118a b c )x  + (- 136a c d - 136a b c )x
+--R         + 
+--R                3 3
+--R           - 48a c
+--R      *
+--R          +-+ +-+ +-------+ +-------+
+--R         \|a \|c \|b x + a \|d x + c
+--R  /
+--R             4 +-+ +-+
+--R     192a c x \|a \|c
+--R                                                    Type: Expression(Integer)
+--E  497
+
+--S 498 of 1000 (non-algebraic residues)
+--a0:=integrate(t0,x)
+--E  498
+
+--S 499 of 1000
+--m0:=a0-r0
+--E  499
+
+--S 500 of 1000
+--d0:=D(m0,x)
+--E  500
+
+)clear all
+
+--S 501 of 1000
+t0:=(a+b*x)^(5/2)*(c+d*x)^(5/2)/x^6
+--R 
+--R
+--R   (1)
+--R          2 2 4          2     2     3     2 2               2 2  2
+--R         b d x  + (2a b d  + 2b c d)x  + (a d  + 4a b c d + b c )x
+--R       + 
+--R            2            2      2 2
+--R         (2a c d + 2a b c )x + a c
+--R    *
+--R        +-------+ +-------+
+--R       \|b x + a \|d x + c
+--R  /
+--R      6
+--R     x
+--R                                                    Type: Expression(Integer)
+--E  501
+
+--S 502 of 1000
+r0:=-1/8*(b*c+a*d)*(a+b*x)^(3/2)*(c+d*x)^(5/2)/(c*x^4)-1/5*(a+b*x)^(5/2)*_
+     (c+d*x)^(5/2)/x^5-1/128*(b*c+a*d)*(3*b^4*c^4-28*a*b^3*c^3*d+_
+     178*a^2*b^2*c^2*d^2-28*a^3*b*c*d^3+3*a^4*d^4)*atanh(sqrt(c)*_
+     sqrt(a+b*x)/(sqrt(a)*sqrt(c+d*x)))/(a^(5/2)*c^(5/2))+2*b^(5/2)*_
+     d^(5/2)*atanh(sqrt(d)*sqrt(a+b*x)/(sqrt(b)*sqrt(c+d*x)))-_
+     1/192*(3*b^3*c^3+109*a*b^2*c^2*d-19*a^2*b*c*d^2+3*a^3*d^3)*_
+     (c+d*x)^(3/2)*sqrt(a+b*x)/(a*c^2*x^2)-1/48*(3*b^2*c^2+16*a*b*c*d-_
+     3*a^2*d^2)*(c+d*x)^(5/2)*sqrt(a+b*x)/(c^2*x^3)+1/128*(3*b^4*c^4-_
+     22*a*b^3*c^3*d-128*a^2*b^2*c^2*d^2+22*a^3*b*c*d^3-3*a^4*d^4)*_
+     sqrt(a+b*x)*sqrt(c+d*x)/(a^2*c^2*x)
+--R 
+--R
+--R   (2)
+--R                                            +-+ +-------+
+--R            2 2 2 2 5 +-+ +-+ +-+ +-+      \|d \|b x + a
+--R       3840a b c d x \|a \|b \|c \|d atanh(--------------)
+--R                                            +-+ +-------+
+--R                                           \|b \|d x + c
+--R     + 
+--R                5 5       4     4        3 2 2 3        2 3 3 2         4 4
+--R           - 45a d  + 375a b c d  - 2250a b c d  - 2250a b c d  + 375a b c d
+--R         + 
+--R                5 5
+--R           - 45b c
+--R      *
+--R                  +-+ +-------+
+--R          5      \|c \|b x + a
+--R         x atanh(--------------)
+--R                  +-+ +-------+
+--R                 \|a \|d x + c
+--R     + 
+--R               4 4       3     3        2 2 2 2         3 3       4 4  4
+--R           (45a d  - 360a b c d  - 3754a b c d  - 360a b c d + 45b c )x
+--R         + 
+--R                 4   3        3   2 2        2 2 3         3 4  3
+--R           (- 30a c d  - 2578a b c d  - 2578a b c d - 30a b c )x
+--R         + 
+--R                  4 2 2        3   3        2 2 4  2
+--R           (- 744a c d  - 2896a b c d - 744a b c )x
+--R         + 
+--R                   4 3         3   4         4 4
+--R           (- 1008a c d - 1008a b c )x - 384a c
+--R      *
+--R          +-+ +-+ +-------+ +-------+
+--R         \|a \|c \|b x + a \|d x + c
+--R  /
+--R          2 2 5 +-+ +-+
+--R     1920a c x \|a \|c
+--R                                                    Type: Expression(Integer)
+--E  502
+
+--S 503 of 1000 (non-algebraic residues)
+--a0:=integrate(t0,x)
+--E  503
+
+--S 504 of 1000
+--m0:=a0-r0
+--E  504
+
+--S 505 of 1000
+--d0:=D(m0,x)
+--E  505
+
+)clear all
+
+--S 506 of 1000
+t0:=(a+b*x)^(5/2)*(c+d*x)^(5/2)/x^7
+--R 
+--R
+--R   (1)
+--R          2 2 4          2     2     3     2 2               2 2  2
+--R         b d x  + (2a b d  + 2b c d)x  + (a d  + 4a b c d + b c )x
+--R       + 
+--R            2            2      2 2
+--R         (2a c d + 2a b c )x + a c
+--R    *
+--R        +-------+ +-------+
+--R       \|b x + a \|d x + c
+--R  /
+--R      7
+--R     x
+--R                                                    Type: Expression(Integer)
+--E  506
+
+--S 507 of 1000
+r0:=-1/12*(b*c-a*d)*(a+b*x)^(3/2)*(c+d*x)^(7/2)/(c^2*x^5)-_
+     1/6*(a+b*x)^(5/2)*(c+d*x)^(7/2)/(c*x^6)+5/512*(b*c-a*d)^6*_
+     atanh(sqrt(c)*sqrt(a+b*x)/(sqrt(a)*sqrt(c+d*x)))/(a^(7/2)*c^(7/2))+_
+     5/768*(b*c-a*d)^4*(c+d*x)^(3/2)*sqrt(a+b*x)/(a^2*c^3*x^2)-_
+     1/192*(b*c-a*d)^3*(c+d*x)^(5/2)*sqrt(a+b*x)/(a*c^3*x^3)-_
+     1/32*(b*c-a*d)^2*(c+d*x)^(7/2)*sqrt(a+b*x)/(c^3*x^4)-_
+     5/512*(b*c-a*d)^5*sqrt(a+b*x)*sqrt(c+d*x)/(a^3*c^3*x)
+--R 
+--R
+--R   (2)
+--R              6 6      5     5       4 2 2 4       3 3 3 3       2 4 4 2
+--R           15a d  - 90a b c d  + 225a b c d  - 300a b c d  + 225a b c d
+--R         + 
+--R                  5 5       6 6
+--R           - 90a b c d + 15b c
+--R      *
+--R                  +-+ +-------+
+--R          6      \|c \|b x + a
+--R         x atanh(--------------)
+--R                  +-+ +-------+
+--R                 \|a \|d x + c
+--R     + 
+--R                    5 5      4     4       3 2 2 3       2 3 3 2        4 4
+--R               - 15a d  + 85a b c d  - 198a b c d  - 198a b c d  + 85a b c d
+--R             + 
+--R                    5 5
+--R               - 15b c
+--R          *
+--R              5
+--R             x
+--R         + 
+--R               5   4      4   2 3        3 2 3 2      2 3 4         4 5  4
+--R           (10a c d  - 56a b c d  - 1188a b c d  - 56a b c d + 10a b c )x
+--R         + 
+--R                5 2 3        4   3 2        3 2 4      2 3 5  3
+--R           (- 8a c d  - 1272a b c d  - 1272a b c d - 8a b c )x
+--R         + 
+--R                  5 3 2        4   4        3 2 5  2          5 4        4   5
+--R           (- 432a c d  - 1696a b c d - 432a b c )x  + (- 640a c d - 640a b c )x
+--R         + 
+--R                 5 5
+--R           - 256a c
+--R      *
+--R          +-+ +-+ +-------+ +-------+
+--R         \|a \|c \|b x + a \|d x + c
+--R  /
+--R          3 3 6 +-+ +-+
+--R     1536a c x \|a \|c
+--R                                                    Type: Expression(Integer)
+--E  507
+
+--S 508 of 1000
+--a0:=integrate(t0,x)
+--E  508
+
+--S 509 of 1000
+--m0:=a0-r0
+--E  509
+
+--S 510 of 1000
+--d0:=D(m0,x)
+--E  510
+
+)clear all
+
+--S 511 of 1000
+t0:=x^2*(a+b*x)^(5/2)/sqrt(c+d*x)
+--R 
+--R
+--R          2 4         3    2 2  +-------+
+--R        (b x  + 2a b x  + a x )\|b x + a
+--R   (1)  ---------------------------------
+--R                     +-------+
+--R                    \|d x + c
+--R                                                    Type: Expression(Integer)
+--E  511
+
+--S 512 of 1000
+r0:=-1/128*(b*c-a*d)^3*(63*b^2*c^2+14*a*b*c*d+3*a^2*d^2)*atanh(sqrt(d)*_
+     sqrt(a+b*x)/(sqrt(b)*sqrt(c+d*x)))/(b^(5/2)*d^(11/2))-_
+     1/192*(b*c-a*d)*(63*b^2*c^2+14*a*b*c*d+3*a^2*d^2)*(a+b*x)^(3/2)*_
+     sqrt(c+d*x)/(b^2*d^4)+1/240*(63*b^2*c^2+14*a*b*c*d+3*a^2*d^2)*_
+     (a+b*x)^(5/2)*sqrt(c+d*x)/(b^2*d^3)-3/40*(3*b*c+a*d)*(a+b*x)^(7/2)*_
+     sqrt(c+d*x)/(b^2*d^2)+1/5*x*(a+b*x)^(7/2)*sqrt(c+d*x)/(b*d)+_
+     1/128*(b*c-a*d)^2*(63*b^2*c^2+14*a*b*c*d+3*a^2*d^2)*sqrt(a+b*x)*_
+     sqrt(c+d*x)/(b^2*d^5)
+--R 
+--R
+--R   (2)
+--R              5 5      4     4       3 2 2 3        2 3 3 2          4 4
+--R           45a d  + 75a b c d  + 450a b c d  - 2250a b c d  + 2625a b c d
+--R         + 
+--R                 5 5
+--R           - 945b c
+--R      *
+--R                +-+ +-------+
+--R               \|d \|b x + a
+--R         atanh(--------------)
+--R                +-+ +-------+
+--R               \|b \|d x + c
+--R     + 
+--R               4 4 4           3 4       4   3  3
+--R           384b d x  + (1008a b d  - 432b c d )x
+--R         + 
+--R                2 2 4          3   3       4 2 2  2
+--R           (744a b d  - 1184a b c d  + 504b c d )x
+--R         + 
+--R               3   4       2 2   3          3 2 2       4 3         4 4
+--R           (30a b d  - 962a b c d  + 1498a b c d  - 630b c d)x - 45a d
+--R         + 
+--R                3     3        2 2 2 2          3 3        4 4
+--R           - 90a b c d  + 1564a b c d  - 2310a b c d + 945b c
+--R      *
+--R          +-+ +-+ +-------+ +-------+
+--R         \|b \|d \|b x + a \|d x + c
+--R  /
+--R          2 5 +-+ +-+
+--R     1920b d \|b \|d
+--R                                                    Type: Expression(Integer)
+--E  512
+
+--S 513 of 1000
+--a0:=integrate(t0,x)
+--E  513
+
+--S 514 of 1000
+--m0:=a0-r0
+--E  514
+
+--S 515 of 1000
+--d0:=D(m0,x)
+--E  515
+
+)clear all
+
+--S 516 of 1000
+t0:=x*(a+b*x)^(5/2)/sqrt(c+d*x)
+--R 
+--R
+--R          2 3         2    2   +-------+
+--R        (b x  + 2a b x  + a x)\|b x + a
+--R   (1)  --------------------------------
+--R                    +-------+
+--R                   \|d x + c
+--R                                                    Type: Expression(Integer)
+--E  516
+
+--S 517 of 1000
+r0:=5/64*(b*c-a*d)^3*(7*b*c+a*d)*atanh(sqrt(d)*sqrt(a+b*x)/(sqrt(b)*_
+     sqrt(c+d*x)))/(b^(3/2)*d^(9/2))+5/96*(b*c-a*d)*(7*b*c+a*d)*_
+     (a+b*x)^(3/2)*sqrt(c+d*x)/(b*d^3)-1/24*(7*b*c+a*d)*(a+b*x)^(5/2)*_
+     sqrt(c+d*x)/(b*d^2)+1/4*(a+b*x)^(7/2)*sqrt(c+d*x)/(b*d)-_
+     5/64*(b*c-a*d)^2*(7*b*c+a*d)*sqrt(a+b*x)*sqrt(c+d*x)/(b*d^4)
+--R 
+--R
+--R   (2)
+--R               4 4      3     3       2 2 2 2         3 3        4 4
+--R         (- 15a d  - 60a b c d  + 270a b c d  - 300a b c d + 105b c )
+--R      *
+--R                +-+ +-------+
+--R               \|d \|b x + a
+--R         atanh(--------------)
+--R                +-+ +-------+
+--R               \|b \|d x + c
+--R     + 
+--R              3 3 3          2 3      3   2  2
+--R           48b d x  + (136a b d  - 56b c d )x
+--R         + 
+--R                2   3         2   2      3 2         3 3       2     2
+--R           (118a b d  - 172a b c d  + 70b c d)x + 15a d  - 191a b c d
+--R         + 
+--R                 2 2        3 3
+--R           265a b c d - 105b c
+--R      *
+--R          +-+ +-+ +-------+ +-------+
+--R         \|b \|d \|b x + a \|d x + c
+--R  /
+--R           4 +-+ +-+
+--R     192b d \|b \|d
+--R                                                    Type: Expression(Integer)
+--E  517
+
+--S 518 of 1000
+--a0:=integrate(t0,x)
+--E  518
+
+--S 519 of 1000
+--m0:=a0-r0
+--E  519
+
+--S 520 of 1000
+--d0:=D(m0,x)
+--E  520
+
+)clear all
+
+--S 521 of 1000
+t0:=(a+b*x)^(5/2)/sqrt(c+d*x)
+--R 
+--R
+--R          2 2             2  +-------+
+--R        (b x  + 2a b x + a )\|b x + a
+--R   (1)  ------------------------------
+--R                   +-------+
+--R                  \|d x + c
+--R                                                    Type: Expression(Integer)
+--E  521
+
+--S 522 of 1000
+r0:=-5/8*(b*c-a*d)^3*atanh(sqrt(d)*sqrt(a+b*x)/(sqrt(b)*sqrt(c+d*x)))/_
+     (d^(7/2)*sqrt(b))-5/12*(b*c-a*d)*(a+b*x)^(3/2)*sqrt(c+d*x)/d^2+_
+     1/3*(a+b*x)^(5/2)*sqrt(c+d*x)/d+5/8*(b*c-a*d)^2*sqrt(a+b*x)*_
+     sqrt(c+d*x)/d^3
+--R 
+--R
+--R   (2)
+--R                                                        +-+ +-------+
+--R           3 3      2     2        2 2       3 3       \|d \|b x + a
+--R       (15a d  - 45a b c d  + 45a b c d - 15b c )atanh(--------------)
+--R                                                        +-+ +-------+
+--R                                                       \|b \|d x + c
+--R     + 
+--R            2 2 2           2      2           2 2                  2 2  +-+ +-+
+--R         (8b d x  + (26a b d  - 10b c d)x + 33a d  - 40a b c d + 15b c )\|b \|d
+--R      *
+--R          +-------+ +-------+
+--R         \|b x + a \|d x + c
+--R  /
+--R        3 +-+ +-+
+--R     24d \|b \|d
+--R                                                    Type: Expression(Integer)
+--E  522
+
+--S 523 of 1000
+--a0:=integrate(t0,x)
+--E  523
+
+--S 524 of 1000
+--m0:=a0-r0
+--E  524
+
+--S 525 of 1000
+--d0:=D(m0,x)
+--E  525
+
+)clear all
+
+--S 526 of 1000
+t0:=(a+b*x)^(5/2)/(x*sqrt(c+d*x))
+--R 
+--R
+--R          2 2             2  +-------+
+--R        (b x  + 2a b x + a )\|b x + a
+--R   (1)  ------------------------------
+--R                    +-------+
+--R                  x\|d x + c
+--R                                                    Type: Expression(Integer)
+--E  526
+
+--S 527 of 1000
+r0:=1/4*(3*b^2*c^2-10*a*b*c*d+15*a^2*d^2)*atanh(sqrt(d)*sqrt(a+b*x)/_
+     (sqrt(b)*sqrt(c+d*x)))*sqrt(b)/d^(5/2)-2*a^(5/2)*atanh(sqrt(c)*_
+     sqrt(a+b*x)/(sqrt(a)*sqrt(c+d*x)))/sqrt(c)+1/2*b*(a+b*x)^(3/2)*_
+     sqrt(c+d*x)/d-1/4*b*(3*b*c-7*a*d)*sqrt(a+b*x)*sqrt(c+d*x)/d^2
+--R 
+--R
+--R   (2)
+--R                                                  +-+ +-------+
+--R           2 2                 2 2  +-+ +-+      \|d \|b x + a
+--R       (15a d  - 10a b c d + 3b c )\|b \|c atanh(--------------)
+--R                                                  +-+ +-------+
+--R                                                 \|b \|d x + c
+--R     + 
+--R                             +-+ +-------+
+--R           2 2 +-+ +-+      \|c \|b x + a
+--R       - 8a d \|a \|d atanh(--------------)
+--R                             +-+ +-------+
+--R                            \|a \|d x + c
+--R     + 
+--R          2                 2   +-+ +-+ +-------+ +-------+
+--R       (2b d x + 9a b d - 3b c)\|c \|d \|b x + a \|d x + c
+--R  /
+--R       2 +-+ +-+
+--R     4d \|c \|d
+--R                                                    Type: Expression(Integer)
+--E  527
+
+--S 528 of 1000 (non-algebraic residues)
+--a0:=integrate(t0,x)
+--E  528
+
+--S 529 of 1000
+--m0:=a0-r0
+--E  529
+
+--S 530 of 1000
+--d0:=D(m0,x)
+--E  530
+
+)clear all
+
+--S 531 of 1000
+t0:=(a+b*x)^(5/2)/(x^2*sqrt(c+d*x))
+--R 
+--R
+--R          2 2             2  +-------+
+--R        (b x  + 2a b x + a )\|b x + a
+--R   (1)  ------------------------------
+--R                  2 +-------+
+--R                 x \|d x + c
+--R                                                    Type: Expression(Integer)
+--E  531
+
+--S 532 of 1000
+r0:=-a^(3/2)*(5*b*c-a*d)*atanh(sqrt(c)*sqrt(a+b*x)/(sqrt(a)*_
+     sqrt(c+d*x)))/c^(3/2)-b^(3/2)*(b*c-5*a*d)*atanh(sqrt(d)*_
+     sqrt(a+b*x)/(sqrt(b)*sqrt(c+d*x)))/d^(3/2)+b*(a+b*x)^(3/2)*_
+     sqrt(c+d*x)/c-(a+b*x)^(5/2)*sqrt(c+d*x)/(c*x)+b*(b*c+a*d)*_
+     sqrt(a+b*x)*sqrt(c+d*x)/(c*d)
+--R 
+--R
+--R   (2)
+--R                                        +-+ +-------+
+--R                    2 2   +-+ +-+      \|d \|b x + a
+--R       (5a b c d - b c )x\|b \|c atanh(--------------)
+--R                                        +-+ +-------+
+--R                                       \|b \|d x + c
+--R     + 
+--R                                        +-+ +-------+
+--R         2 2              +-+ +-+      \|c \|b x + a
+--R       (a d  - 5a b c d)x\|a \|d atanh(--------------)
+--R                                        +-+ +-------+
+--R                                       \|a \|d x + c
+--R     + 
+--R         2       2   +-+ +-+ +-------+ +-------+
+--R       (b c x - a d)\|c \|d \|b x + a \|d x + c
+--R  /
+--R           +-+ +-+
+--R     c d x\|c \|d
+--R                                                    Type: Expression(Integer)
+--E  532
+
+--S 533 of 1000 (non-algebraic residues)
+--a0:=integrate(t0,x)
+--E  533
+
+--S 534 of 1000
+--m0:=a0-r0
+--E  534
+
+--S 535 of 1000
+--d0:=D(m0,x)
+--E  535
+
+)clear all
+
+--S 536 of 1000
+t0:=(a+b*x)^(5/2)/(x^3*sqrt(c+d*x))
+--R 
+--R
+--R          2 2             2  +-------+
+--R        (b x  + 2a b x + a )\|b x + a
+--R   (1)  ------------------------------
+--R                  3 +-------+
+--R                 x \|d x + c
+--R                                                    Type: Expression(Integer)
+--E  536
+
+--S 537 of 1000
+r0:=-1/4*(15*b^2*c^2-10*a*b*c*d+3*a^2*d^2)*atanh(sqrt(c)*sqrt(a+b*x)/_
+     (sqrt(a)*sqrt(c+d*x)))*sqrt(a)/c^(5/2)+2*b^(5/2)*atanh(sqrt(d)*_
+     sqrt(a+b*x)/(sqrt(b)*sqrt(c+d*x)))/sqrt(d)-1/4*(5*b*c-3*a*d)*_
+     (a+b*x)^(3/2)*sqrt(c+d*x)/(c^2*x)-1/2*(a+b*x)^(5/2)*sqrt(c+d*x)/_
+     (c*x^2)+1/4*b*(7*b*c-3*a*d)*sqrt(a+b*x)*sqrt(c+d*x)/c^2
+--R 
+--R
+--R   (2)
+--R                             +-+ +-------+
+--R         2 2 2 +-+ +-+      \|d \|b x + a
+--R       8b c x \|b \|c atanh(--------------)
+--R                             +-+ +-------+
+--R                            \|b \|d x + c
+--R     + 
+--R                                                      +-+ +-------+
+--R            2 2                  2 2  2 +-+ +-+      \|c \|b x + a
+--R       (- 3a d  + 10a b c d - 15b c )x \|a \|d atanh(--------------)
+--R                                                      +-+ +-------+
+--R                                                     \|a \|d x + c
+--R     + 
+--R           2                 2   +-+ +-+ +-------+ +-------+
+--R       ((3a d - 9a b c)x - 2a c)\|c \|d \|b x + a \|d x + c
+--R  /
+--R       2 2 +-+ +-+
+--R     4c x \|c \|d
+--R                                                    Type: Expression(Integer)
+--E  537
+
+--S 538 of 1000 (non-algebraic residues)
+--a0:=integrate(t0,x)
+--E  538
+
+--S 539 of 1000
+--m0:=a0-r0
+--E  539
+
+--S 540 of 1000
+--d0:=D(m0,x)
+--E  540
+
+)clear all
+
+--S 541 of 1000
+t0:=(a+b*x)^(5/2)/(x^4*sqrt(c+d*x))
+--R 
+--R
+--R          2 2             2  +-------+
+--R        (b x  + 2a b x + a )\|b x + a
+--R   (1)  ------------------------------
+--R                  4 +-------+
+--R                 x \|d x + c
+--R                                                    Type: Expression(Integer)
+--E  541
+
+--S 542 of 1000
+r0:=-5/8*(b*c-a*d)^3*atanh(sqrt(c)*sqrt(a+b*x)/(sqrt(a)*sqrt(c+d*x)))/_
+     (c^(7/2)*sqrt(a))-5/12*(b*c-a*d)*(a+b*x)^(3/2)*sqrt(c+d*x)/(c^2*x^2)-_
+     1/3*(a+b*x)^(5/2)*sqrt(c+d*x)/(c*x^3)-5/8*(b*c-a*d)^2*sqrt(a+b*x)*_
+     sqrt(c+d*x)/(c^3*x)
+--R 
+--R
+--R   (2)
+--R                                                          +-+ +-------+
+--R           3 3      2     2        2 2       3 3  3      \|c \|b x + a
+--R       (15a d  - 45a b c d  + 45a b c d - 15b c )x atanh(--------------)
+--R                                                          +-+ +-------+
+--R                                                         \|a \|d x + c
+--R     + 
+--R                2 2                  2 2  2       2             2       2 2  +-+
+--R         ((- 15a d  + 40a b c d - 33b c )x  + (10a c d - 26a b c )x - 8a c )\|a
+--R      *
+--R          +-+ +-------+ +-------+
+--R         \|c \|b x + a \|d x + c
+--R  /
+--R        3 3 +-+ +-+
+--R     24c x \|a \|c
+--R                                                    Type: Expression(Integer)
+--E  542
+
+--S 543 of 1000
+--a0:=integrate(t0,x)
+--E  543
+
+--S 544 of 1000
+--m0:=a0-r0
+--E  544
+
+--S 545 of 1000
+--d0:=D(m0,x)
+--E  545
+
+)clear all
+
+--S 546 of 1000
+t0:=(a+b*x)^(5/2)/(x^5*sqrt(c+d*x))
+--R 
+--R
+--R          2 2             2  +-------+
+--R        (b x  + 2a b x + a )\|b x + a
+--R   (1)  ------------------------------
+--R                  5 +-------+
+--R                 x \|d x + c
+--R                                                    Type: Expression(Integer)
+--E  546
+
+--S 547 of 1000
+r0:=5/64*(b*c-a*d)^3*(b*c+7*a*d)*atanh(sqrt(c)*sqrt(a+b*x)/(sqrt(a)*_
+     sqrt(c+d*x)))/(a^(3/2)*c^(9/2))-1/24*(5*b*c-7*a*d)*(a+b*x)^(3/2)*_
+     sqrt(c+d*x)/(c^2*x^3)-1/4*(a+b*x)^(5/2)*sqrt(c+d*x)/(c*x^4)-_
+     1/96*(15*b^2*c^2-58*a*b*c*d+35*a^2*d^2)*sqrt(a+b*x)*sqrt(c+d*x)/_
+     (c^3*x^2)-1/192*(15*b^3*c^3-191*a*b^2*c^2*d+265*a^2*b*c*d^2-_
+     105*a^3*d^3)*sqrt(a+b*x)*sqrt(c+d*x)/(a*c^4*x)
+--R 
+--R
+--R   (2)
+--R                4 4       3     3       2 2 2 2        3 3       4 4  4
+--R         (- 105a d  + 300a b c d  - 270a b c d  + 60a b c d + 15b c )x
+--R      *
+--R                +-+ +-------+
+--R               \|c \|b x + a
+--R         atanh(--------------)
+--R                +-+ +-------+
+--R               \|a \|d x + c
+--R     + 
+--R                3 3       2     2         2 2       3 3  3
+--R           (105a d  - 265a b c d  + 191a b c d - 15b c )x
+--R         + 
+--R                 3   2       2   2          2 3  2       3 2        2   3
+--R           (- 70a c d  + 172a b c d - 118a b c )x  + (56a c d - 136a b c )x
+--R         + 
+--R                3 3
+--R           - 48a c
+--R      *
+--R          +-+ +-+ +-------+ +-------+
+--R         \|a \|c \|b x + a \|d x + c
+--R  /
+--R           4 4 +-+ +-+
+--R     192a c x \|a \|c
+--R                                                    Type: Expression(Integer)
+--E  547
+
+--S 548 of 1000
+--a0:=integrate(t0,x)
+--E  548
+
+--S 549 of 1000
+--m0:=a0-r0
+--E  549
+
+--S 550 of 1000
+--d0:=D(m0,x)
+--E  550
+
+)clear all
+
+--S 551 of 1000
+t0:=x^2*(a+b*x)^(5/2)/(c+d*x)^(3/2)
+--R 
+--R
+--R          2 4         3    2 2  +-------+
+--R        (b x  + 2a b x  + a x )\|b x + a
+--R   (1)  ---------------------------------
+--R                         +-------+
+--R               (d x + c)\|d x + c
+--R                                                    Type: Expression(Integer)
+--E  551
+
+--S 552 of 1000
+r0:=5/64*(b*c-a*d)^2*(63*b^2*c^2-14*a*b*c*d-a^2*d^2)*atanh(sqrt(d)*_
+     sqrt(a+b*x)/(sqrt(b)*sqrt(c+d*x)))/(b^(3/2)*d^(11/2))+2*c^2*_
+     (a+b*x)^(7/2)/(d^2*(b*c-a*d)*sqrt(c+d*x))+5/96*(63*b^2*c^2-_
+     14*a*b*c*d-a^2*d^2)*(a+b*x)^(3/2)*sqrt(c+d*x)/(b*d^4)+_
+     1/24*(14*a*c-63*b*c^2/d+a^2*d/b)*(a+b*x)^(5/2)*sqrt(c+d*x)/_
+     (d^2*(b*c-a*d))+1/4*(a+b*x)^(7/2)*sqrt(c+d*x)/(b*d^2)-_
+     5/64*(b*c-a*d)*(63*b^2*c^2-14*a*b*c*d-a^2*d^2)*sqrt(a+b*x)*_
+     sqrt(c+d*x)/(b*d^5)
+--R 
+--R
+--R   (2)
+--R               4 4       3     3        2 2 2 2          3 3        4 4
+--R         (- 15a d  - 180a b c d  + 1350a b c d  - 2100a b c d + 945b c )
+--R      *
+--R                          +-+ +-------+
+--R          +-------+      \|d \|b x + a
+--R         \|d x + c atanh(--------------)
+--R                          +-+ +-------+
+--R                         \|b \|d x + c
+--R     + 
+--R              3 4 4          2 4      3   3  3
+--R           48b d x  + (136a b d  - 72b c d )x
+--R         + 
+--R                2   4         2   3       3 2 2  2
+--R           (118a b d  - 244a b c d  + 126b c d )x
+--R         + 
+--R               3 4       2     3         2 2 2       3 3         3   3
+--R           (15a d  - 337a b c d  + 637a b c d  - 315b c d)x + 15a c d
+--R         + 
+--R                 2   2 2          2 3        3 4
+--R           - 839a b c d  + 1785a b c d - 945b c
+--R      *
+--R          +-+ +-+ +-------+
+--R         \|b \|d \|b x + a
+--R  /
+--R           5 +-+ +-+ +-------+
+--R     192b d \|b \|d \|d x + c
+--R                                                    Type: Expression(Integer)
+--E  552
+
+--S 553 of 1000
+--a0:=integrate(t0,x)
+--E  553
+
+--S 554 of 1000
+--m0:=a0-r0
+--E  554
+
+--S 555 of 1000
+--d0:=D(m0,x)
+--E  555
+
+)clear all
+
+--S 556 of 1000
+t0:=x*(a+b*x)^(5/2)/(c+d*x)^(3/2)
+--R 
+--R
+--R          2 3         2    2   +-------+
+--R        (b x  + 2a b x  + a x)\|b x + a
+--R   (1)  --------------------------------
+--R                         +-------+
+--R               (d x + c)\|d x + c
+--R                                                    Type: Expression(Integer)
+--E  556
+
+--S 557 of 1000
+r0:=-5/8*(b*c-a*d)^2*(7*b*c-a*d)*atanh(sqrt(d)*sqrt(a+b*x)/(sqrt(b)*_
+     sqrt(c+d*x)))/(d^(9/2)*sqrt(b))-2*c*(a+b*x)^(7/2)/(d*(b*c-a*d)*_
+     sqrt(c+d*x))-5/12*(7*b*c-a*d)*(a+b*x)^(3/2)*sqrt(c+d*x)/d^3+_
+     1/3*(7*b*c-a*d)*(a+b*x)^(5/2)*sqrt(c+d*x)/(d^2*(b*c-a*d))+_
+     5/8*(b*c-a*d)*(7*b*c-a*d)*sqrt(a+b*x)*sqrt(c+d*x)/d^4
+--R 
+--R
+--R   (2)
+--R             3 3       2     2         2 2        3 3  +-------+
+--R         (15a d  - 135a b c d  + 225a b c d - 105b c )\|d x + c
+--R      *
+--R                +-+ +-------+
+--R               \|d \|b x + a
+--R         atanh(--------------)
+--R                +-+ +-------+
+--R               \|b \|d x + c
+--R     + 
+--R             2 3 3           3      2   2  2       2 3            2      2 2
+--R           8b d x  + (26a b d  - 14b c d )x  + (33a d  - 68a b c d  + 35b c d)x
+--R         + 
+--R              2   2           2        2 3
+--R           81a c d  - 190a b c d + 105b c
+--R      *
+--R          +-+ +-+ +-------+
+--R         \|b \|d \|b x + a
+--R  /
+--R        4 +-+ +-+ +-------+
+--R     24d \|b \|d \|d x + c
+--R                                                    Type: Expression(Integer)
+--E  557
+
+--S 558 of 1000
+--a0:=integrate(t0,x)
+--E  558
+
+--S 559 of 1000
+--m0:=a0-r0
+--E  559
+
+--S 560 of 1000
+--d0:=D(m0,x)
+--E  560
+
+)clear all
+
+--S 561 of 1000
+t0:=(a+b*x)^(5/2)/(c+d*x)^(3/2)
+--R 
+--R
+--R          2 2             2  +-------+
+--R        (b x  + 2a b x + a )\|b x + a
+--R   (1)  ------------------------------
+--R                        +-------+
+--R              (d x + c)\|d x + c
+--R                                                    Type: Expression(Integer)
+--E  561
+
+--S 562 of 1000
+r0:=15/4*(b*c-a*d)^2*atanh(sqrt(d)*sqrt(a+b*x)/(sqrt(b)*sqrt(c+d*x)))*_
+     sqrt(b)/d^(7/2)-2*(a+b*x)^(5/2)/(d*sqrt(c+d*x))+5/2*b*(a+b*x)^(3/2)*_
+     sqrt(c+d*x)/d^2-15/4*b*(b*c-a*d)*sqrt(a+b*x)*sqrt(c+d*x)/d^3
+--R 
+--R
+--R   (2)
+--R                                                         +-+ +-------+
+--R           2 2                  2 2  +-+ +-------+      \|d \|b x + a
+--R       (15a d  - 30a b c d + 15b c )\|b \|d x + c atanh(--------------)
+--R                                                         +-+ +-------+
+--R                                                        \|b \|d x + c
+--R     + 
+--R        2 2 2          2     2          2 2                  2 2  +-+ +-------+
+--R     (2b d x  + (9a b d  - 5b c d)x - 8a d  + 25a b c d - 15b c )\|d \|b x + a
+--R  /
+--R       3 +-+ +-------+
+--R     4d \|d \|d x + c
+--R                                                    Type: Expression(Integer)
+--E  562
+
+--S 563 of 1000
+--a0:=integrate(t0,x)
+--E  563
+
+--S 564 of 1000
+--m0:=a0-r0
+--E  564
+
+--S 565 of 1000
+--d0:=D(m0,x)
+--E  565
+
+)clear all
+
+--S 566 of 1000
+t0:=(a+b*x)^(5/2)/(x*(c+d*x)^(3/2))
+--R 
+--R
+--R          2 2             2  +-------+
+--R        (b x  + 2a b x + a )\|b x + a
+--R   (1)  ------------------------------
+--R                2        +-------+
+--R            (d x  + c x)\|d x + c
+--R                                                    Type: Expression(Integer)
+--E  566
+
+--S 567 of 1000
+r0:=-2*a^(5/2)*atanh(sqrt(c)*sqrt(a+b*x)/(sqrt(a)*sqrt(c+d*x)))/c^(3/2)-_
+     b^(3/2)*(3*b*c-5*a*d)*atanh(sqrt(d)*sqrt(a+b*x)/(sqrt(b)*sqrt(c+d*x)))/_
+     d^(5/2)+2*(a+b*x)^(5/2)/(c*sqrt(c+d*x))-2*b*(a+b*x)^(3/2)*_
+     sqrt(c+d*x)/(c*d)+b*(3*b*c-2*a*d)*sqrt(a+b*x)*sqrt(c+d*x)/(c*d^2)
+--R 
+--R
+--R   (2)
+--R                                                  +-+ +-------+
+--R                     2 2  +-+ +-+ +-------+      \|d \|b x + a
+--R       (5a b c d - 3b c )\|b \|c \|d x + c atanh(--------------)
+--R                                                  +-+ +-------+
+--R                                                 \|b \|d x + c
+--R     + 
+--R                                       +-+ +-------+
+--R           2 2 +-+ +-+ +-------+      \|c \|b x + a
+--R       - 2a d \|a \|d \|d x + c atanh(--------------)
+--R                                       +-+ +-------+
+--R                                      \|a \|d x + c
+--R     + 
+--R         2          2 2                2 2  +-+ +-+ +-------+
+--R       (b c d x + 2a d  - 4a b c d + 3b c )\|c \|d \|b x + a
+--R  /
+--R        2 +-+ +-+ +-------+
+--R     c d \|c \|d \|d x + c
+--R                                                    Type: Expression(Integer)
+--E  567
+
+--S 568 of 1000 (non-algebraic residues)
+--a0:=integrate(t0,x)
+--E  568
+
+--S 569 of 1000
+--m0:=a0-r0
+--E  569
+
+--S 570 of 1000
+--d0:=D(m0,x)
+--E  570
+
+)clear all
+
+--S 571 of 1000
+t0:=(a+b*x)^(5/2)/(x^2*(c+d*x)^(3/2))
+--R 
+--R
+--R          2 2             2  +-------+
+--R        (b x  + 2a b x + a )\|b x + a
+--R   (1)  ------------------------------
+--R                3      2  +-------+
+--R            (d x  + c x )\|d x + c
+--R                                                    Type: Expression(Integer)
+--E  571
+
+--S 572 of 1000
+r0:=-a^(3/2)*(5*b*c-3*a*d)*atanh(sqrt(c)*sqrt(a+b*x)/(sqrt(a)*sqrt(c+d*x)))/_
+     c^(5/2)+2*b^(5/2)*atanh(sqrt(d)*sqrt(a+b*x)/(sqrt(b)*sqrt(c+d*x)))/_
+     d^(3/2)+3*(b*c-a*d)*(a+b*x)^(3/2)/(c^2*sqrt(c+d*x))-(a+b*x)^(5/2)/_
+     (c*x*sqrt(c+d*x))-b*(2*b*c-3*a*d)*sqrt(a+b*x)*sqrt(c+d*x)/(c^2*d)
+--R 
+--R
+--R   (2)
+--R                                      +-+ +-------+
+--R         2 2  +-+ +-+ +-------+      \|d \|b x + a
+--R       2b c x\|b \|c \|d x + c atanh(--------------)
+--R                                      +-+ +-------+
+--R                                     \|b \|d x + c
+--R     + 
+--R                                                   +-+ +-------+
+--R          2 2              +-+ +-+ +-------+      \|c \|b x + a
+--R       (3a d  - 5a b c d)x\|a \|d \|d x + c atanh(--------------)
+--R                                                   +-+ +-------+
+--R                                                  \|a \|d x + c
+--R     + 
+--R             2 2                2 2      2     +-+ +-+ +-------+
+--R       ((- 3a d  + 4a b c d - 2b c )x - a c d)\|c \|d \|b x + a
+--R  /
+--R      2    +-+ +-+ +-------+
+--R     c d x\|c \|d \|d x + c
+--R                                                    Type: Expression(Integer)
+--E  572
+
+--S 573 of 1000 (non-algebraic residues)
+--a0:=integrate(t0,x)
+--E  573
+
+--S 574 of 1000
+--m0:=a0-r0
+--E  574
+
+--S 575 of 1000
+--d0:=D(m0,x)
+--E  575
+
+)clear all
+
+--S 576 of 1000
+t0:=(a+b*x)^(5/2)/(x^3*(c+d*x)^(3/2))
+--R 
+--R
+--R          2 2             2  +-------+
+--R        (b x  + 2a b x + a )\|b x + a
+--R   (1)  ------------------------------
+--R                4      3  +-------+
+--R            (d x  + c x )\|d x + c
+--R                                                    Type: Expression(Integer)
+--E  576
+
+--S 577 of 1000
+r0:=-15/4*(b*c-a*d)^2*atanh(sqrt(c)*sqrt(a+b*x)/(sqrt(a)*sqrt(c+d*x)))*_
+     sqrt(a)/c^(7/2)-5/4*(b*c-a*d)*(a+b*x)^(3/2)/(c^2*x*sqrt(c+d*x))-_
+     1/2*(a+b*x)^(5/2)/(c*x^2*sqrt(c+d*x))+15/4*(b*c-a*d)^2*_
+     sqrt(a+b*x)/(c^3*sqrt(c+d*x))
+--R 
+--R
+--R   (2)
+--R                                                             +-+ +-------+
+--R             2 2                  2 2  2 +-+ +-------+      \|c \|b x + a
+--R       (- 15a d  + 30a b c d - 15b c )x \|a \|d x + c atanh(--------------)
+--R                                                             +-+ +-------+
+--R                                                            \|a \|d x + c
+--R     + 
+--R              2 2                 2 2  2      2            2       2 2  +-+
+--R         ((15a d  - 25a b c d + 8b c )x  + (5a c d - 9a b c )x - 2a c )\|c
+--R      *
+--R          +-------+
+--R         \|b x + a
+--R  /
+--R       3 2 +-+ +-------+
+--R     4c x \|c \|d x + c
+--R                                                    Type: Expression(Integer)
+--E  577
+
+--S 578 of 1000
+--a0:=integrate(t0,x)
+--E  578
+
+--S 579 of 1000
+--m0:=a0-r0
+--E  579
+
+--S 580 of 1000
+--d0:=D(m0,x)
+--E  580
+
+)clear all
+
+--S 581 of 1000
+t0:=(a+b*x)^(5/2)/(x^4*(c+d*x)^(3/2))
+--R 
+--R
+--R          2 2             2  +-------+
+--R        (b x  + 2a b x + a )\|b x + a
+--R   (1)  ------------------------------
+--R                5      4  +-------+
+--R            (d x  + c x )\|d x + c
+--R                                                    Type: Expression(Integer)
+--E  581
+
+--S 582 of 1000
+r0:=-5/8*(b*c-7*a*d)*(b*c-a*d)^2*atanh(sqrt(c)*sqrt(a+b*x)/(sqrt(a)*_
+     sqrt(c+d*x)))/(c^(9/2)*sqrt(a))-1/12*(5*b*c-7*a*d)*(a+b*x)^(3/2)/_
+     (c^2*x^2*sqrt(c+d*x))-1/3*(a+b*x)^(5/2)/(c*x^3*sqrt(c+d*x))-_
+     1/24*d*(81*b^2*c^2-190*a*b*c*d+105*a^2*d^2)*sqrt(a+b*x)/_
+     (c^4*sqrt(c+d*x))-1/24*(15*b^2*c^2-54*a*b*c*d+35*a^2*d^2)*_
+     sqrt(a+b*x)/(c^3*x*sqrt(c+d*x))
+--R 
+--R
+--R   (2)
+--R              3 3       2     2         2 2       3 3  3 +-------+
+--R         (105a d  - 225a b c d  + 135a b c d - 15b c )x \|d x + c
+--R      *
+--R                +-+ +-------+
+--R               \|c \|b x + a
+--R         atanh(--------------)
+--R                +-+ +-------+
+--R               \|a \|d x + c
+--R     + 
+--R                  2 3             2      2 2   3
+--R           (- 105a d  + 190a b c d  - 81b c d)x
+--R         + 
+--R                 2   2          2       2 3  2       2 2           3       2 3
+--R           (- 35a c d  + 68a b c d - 33b c )x  + (14a c d - 26a b c )x - 8a c
+--R      *
+--R          +-+ +-+ +-------+
+--R         \|a \|c \|b x + a
+--R  /
+--R        4 3 +-+ +-+ +-------+
+--R     24c x \|a \|c \|d x + c
+--R                                                    Type: Expression(Integer)
+--E  582
+
+--S 583 of 1000
+--a0:=integrate(t0,x)
+--E  583
+
+--S 584 of 1000
+--m0:=a0-r0
+--E  584
+
+--S 585 of 1000
+--d0:=D(m0,x)
+--E  585
+
+)clear all
+
+--S 586 of 1000
+t0:=(a+b*x)^(5/2)/(x^5*(c+d*x)^(3/2))
+--R 
+--R
+--R          2 2             2  +-------+
+--R        (b x  + 2a b x + a )\|b x + a
+--R   (1)  ------------------------------
+--R                6      5  +-------+
+--R            (d x  + c x )\|d x + c
+--R                                                    Type: Expression(Integer)
+--E  586
+
+--S 587 of 1000
+r0:=5/64*(b*c-a*d)^2*(b^2*c^2+14*a*b*c*d-63*a^2*d^2)*atanh(sqrt(c)*_
+     sqrt(a+b*x)/(sqrt(a)*sqrt(c+d*x)))/(a^(3/2)*c^(11/2))-_
+     1/24*(5*b*c-9*a*d)*(a+b*x)^(3/2)/(c^2*x^3*sqrt(c+d*x))-_
+     1/4*(a+b*x)^(5/2)/(c*x^4*sqrt(c+d*x))-1/192*d*(15*b^3*c^3-_
+     839*a*b^2*c^2*d+1785*a^2*b*c*d^2-945*a^3*d^3)*sqrt(a+b*x)/_
+     (a*c^5*sqrt(c+d*x))-1/96*(15*b^2*c^2-86*a*b*c*d+63*a^2*d^2)*_
+     sqrt(a+b*x)/(c^3*x^2*sqrt(c+d*x))-1/192*(b*c-a*d)*(15*b^2*c^2-_
+     322*a*b*c*d+315*a^2*d^2)*sqrt(a+b*x)/(a*c^4*x*sqrt(c+d*x))
+--R 
+--R
+--R   (2)
+--R                4 4        3     3        2 2 2 2         3 3       4 4  4
+--R         (- 945a d  + 2100a b c d  - 1350a b c d  + 180a b c d + 15b c )x
+--R      *
+--R                          +-+ +-------+
+--R          +-------+      \|c \|b x + a
+--R         \|d x + c atanh(--------------)
+--R                          +-+ +-------+
+--R                         \|a \|d x + c
+--R     + 
+--R                3 4        2     3         2 2 2      3 3   4
+--R           (945a d  - 1785a b c d  + 839a b c d  - 15b c d)x
+--R         + 
+--R                3   3       2   2 2         2 3       3 4  3
+--R           (315a c d  - 637a b c d  + 337a b c d - 15b c )x
+--R         + 
+--R                  3 2 2       2   3          2 4  2       3 3        2   4
+--R           (- 126a c d  + 244a b c d - 118a b c )x  + (72a c d - 136a b c )x
+--R         + 
+--R                3 4
+--R           - 48a c
+--R      *
+--R          +-+ +-+ +-------+
+--R         \|a \|c \|b x + a
+--R  /
+--R           5 4 +-+ +-+ +-------+
+--R     192a c x \|a \|c \|d x + c
+--R                                                    Type: Expression(Integer)
+--E  587
+
+--S 588 of 1000
+--a0:=integrate(t0,x)
+--E  588
+
+--S 589 of 1000
+--m0:=a0-r0
+--E  589
+
+--S 590 of 1000
+--d0:=D(m0,x)
+--E  590
+
+)clear all
+ 
+--S 591 of 1000
+t0:=x^3*(a+b*x)^(5/2)/(c+d*x)^(5/2)
+--R 
+--R
+--R          2 5         4    2 3  +-------+
+--R        (b x  + 2a b x  + a x )\|b x + a
+--R   (1)  ---------------------------------
+--R            2 2             2  +-------+
+--R          (d x  + 2c d x + c )\|d x + c
+--R                                                    Type: Expression(Integer)
+--E  591
+
+--S 592 of 1000
+r0:=-2/3*x^3*(a+b*x)^(5/2)/(d*(c+d*x)^(3/2))+5/64*(b*c-a*d)*(231*b^3*c^3-_
+     189*a*b^2*c^2*d+21*a^2*b*c*d^2+a^3*d^3)*atanh(sqrt(d)*sqrt(a+b*x)/_
+     (sqrt(b)*sqrt(c+d*x)))/(b^(3/2)*d^(13/2))-2/3*(11*b*c-6*a*d)*_
+     x^2*(a+b*x)^(5/2)/(d^2*(b*c-a*d)*sqrt(c+d*x))+5/96*(231*b^3*c^3-_
+     189*a*b^2*c^2*d+21*a^2*b*c*d^2+a^3*d^3)*(a+b*x)^(3/2)*sqrt(c+d*x)/_
+     (b*d^5*(b*c-a*d))-1/24*(231*b^2*c^2-156*a*b*c*d+5*a^2*d^2)*_
+     (a+b*x)^(5/2)*sqrt(c+d*x)/(b*d^4*(b*c-a*d))+1/12*(99*b*c-59*a*d)*_
+     x*(a+b*x)^(5/2)*sqrt(c+d*x)/(d^3*(b*c-a*d))-5/64*(231*b^3*c^3-_
+     189*a*b^2*c^2*d+21*a^2*b*c*d^2+a^3*d^3)*sqrt(a+b*x)*sqrt(c+d*x)/(b*d^6)
+--R 
+--R
+--R   (2)
+--R                 4 5       3     4        2 2 2 3          3 3 2        4 4
+--R           (- 15a d  - 300a b c d  + 3150a b c d  - 6300a b c d  + 3465b c d)x
+--R         + 
+--R                4   4       3   2 3        2 2 3 2          3 4         4 5
+--R           - 15a c d  - 300a b c d  + 3150a b c d  - 6300a b c d + 3465b c
+--R      *
+--R                          +-+ +-------+
+--R          +-------+      \|d \|b x + a
+--R         \|d x + c atanh(--------------)
+--R                          +-+ +-------+
+--R                         \|b \|d x + c
+--R     + 
+--R              3 5 5          2 5      3   4  4
+--R           48b d x  + (136a b d  - 88b c d )x
+--R         + 
+--R                2   5         2   4       3 2 3  3
+--R           (118a b d  - 316a b c d  + 198b c d )x
+--R         + 
+--R               3 5       2     4          2 2 3       3 3 2  2
+--R           (15a d  - 483a b c d  + 1161a b c d  - 693b c d )x
+--R         + 
+--R               3   4        2   2 3          2 3 2        3 4         3 2 3
+--R           (30a c d  - 2472a b c d  + 7014a b c d  - 4620b c d)x + 15a c d
+--R         + 
+--R                  2   3 2          2 4         3 5
+--R           - 1743a b c d  + 5145a b c d - 3465b c
+--R      *
+--R          +-+ +-+ +-------+
+--R         \|b \|d \|b x + a
+--R  /
+--R            7            6  +-+ +-+ +-------+
+--R     (192b d x + 192b c d )\|b \|d \|d x + c
+--R                                                    Type: Expression(Integer)
+--E  592
+
+--S 593 of 1000
+--a0:=integrate(t0,x)
+--E  593
+
+--S 594 of 1000
+--m0:=a0-r0
+--E  594
+
+--S 595 of 1000
+--d0:=D(m0,x)
+--E  595
+
+)clear all
+
+--S 596 of 1000
+t0:=x^2*(a+b*x)^(5/2)/(c+d*x)^(5/2)
+--R 
+--R
+--R          2 4         3    2 2  +-------+
+--R        (b x  + 2a b x  + a x )\|b x + a
+--R   (1)  ---------------------------------
+--R            2 2             2  +-------+
+--R          (d x  + 2c d x + c )\|d x + c
+--R                                                    Type: Expression(Integer)
+--E  596
+
+--S 597 of 1000
+r0:=2/3*c^2*(a+b*x)^(7/2)/(d^2*(b*c-a*d)*(c+d*x)^(3/2))-5/8*(b*c-a*d)*_
+     (21*b^2*c^2-14*a*b*c*d+a^2*d^2)*atanh(sqrt(d)*sqrt(a+b*x)/_
+     (sqrt(b)*sqrt(c+d*x)))/(d^(11/2)*sqrt(b))-4/3*c*(5*b*c-3*a*d)*_
+     (a+b*x)^(7/2)/(d^2*(b*c-a*d)^2*sqrt(c+d*x))-5/12*(21*b^2*c^2-_
+     14*a*b*c*d+a^2*d^2)*(a+b*x)^(3/2)*sqrt(c+d*x)/(d^4*(b*c-a*d))+_
+     1/3*(21*b^2*c^2-14*a*b*c*d+a^2*d^2)*(a+b*x)^(5/2)*sqrt(c+d*x)/_
+     (d^3*(b*c-a*d)^2)+5/8*(21*b^2*c^2-14*a*b*c*d+a^2*d^2)*_
+     sqrt(a+b*x)*sqrt(c+d*x)/d^5
+--R 
+--R
+--R   (2)
+--R               3 4       2     3         2 2 2       3 3         3   3
+--R           (15a d  - 225a b c d  + 525a b c d  - 315b c d)x + 15a c d
+--R         + 
+--R                 2   2 2         2 3        3 4
+--R           - 225a b c d  + 525a b c d - 315b c
+--R      *
+--R                          +-+ +-------+
+--R          +-------+      \|d \|b x + a
+--R         \|d x + c atanh(--------------)
+--R                          +-+ +-------+
+--R                         \|b \|d x + c
+--R     + 
+--R             2 4 4           4      2   3  3
+--R           8b d x  + (26a b d  - 18b c d )x
+--R         + 
+--R               2 4            3      2 2 2  2
+--R           (33a d  - 96a b c d  + 63b c d )x
+--R         + 
+--R                2   3           2 2       2 3          2 2 2           3
+--R           (162a c d  - 574a b c d  + 420b c d)x + 113a c d  - 420a b c d
+--R         + 
+--R               2 4
+--R           315b c
+--R      *
+--R          +-+ +-+ +-------+
+--R         \|b \|d \|b x + a
+--R  /
+--R         6         5  +-+ +-+ +-------+
+--R     (24d x + 24c d )\|b \|d \|d x + c
+--R                                                    Type: Expression(Integer)
+--E  597
+
+--S 598 of 1000
+--a0:=integrate(t0,x)
+--E  598
+
+--S 599 of 1000
+--m0:=a0-r0
+--E  599
+
+--S 600 of 1000
+--d0:=D(m0,x)
+--E  600
+
+)clear all
+
+--S 601 of 1000
+t0:=x*(a+b*x)^(5/2)/(c+d*x)^(5/2)
+--R 
+--R
+--R          2 3         2    2   +-------+
+--R        (b x  + 2a b x  + a x)\|b x + a
+--R   (1)  --------------------------------
+--R           2 2             2  +-------+
+--R         (d x  + 2c d x + c )\|d x + c
+--R                                                    Type: Expression(Integer)
+--E  601
+
+--S 602 of 1000
+r0:=-2/3*c*(a+b*x)^(7/2)/(d*(b*c-a*d)*(c+d*x)^(3/2))+5/4*(7*b*c-3*a*d)*_
+     (b*c-a*d)*atanh(sqrt(d)*sqrt(a+b*x)/(sqrt(b)*sqrt(c+d*x)))*_
+     sqrt(b)/d^(9/2)-2/3*(7*b*c-3*a*d)*(a+b*x)^(5/2)/(d^2*(b*c-a*d)*_
+     sqrt(c+d*x))+5/6*b*(7*b*c-3*a*d)*(a+b*x)^(3/2)*sqrt(c+d*x)/_
+     (d^3*(b*c-a*d))-5/4*b*(7*b*c-3*a*d)*sqrt(a+b*x)*sqrt(c+d*x)/d^4
+--R 
+--R
+--R   (2)
+--R              2 3             2       2 2         2   2           2        2 3
+--R         ((45a d  - 150a b c d  + 105b c d)x + 45a c d  - 150a b c d + 105b c )
+--R      *
+--R                              +-+ +-------+
+--R          +-+ +-------+      \|d \|b x + a
+--R         \|b \|d x + c atanh(--------------)
+--R                              +-+ +-------+
+--R                             \|b \|d x + c
+--R     + 
+--R             2 3 3           3      2   2  2
+--R           6b d x  + (27a b d  - 21b c d )x
+--R         + 
+--R               2 3             2       2 2         2   2           2        2 3
+--R         (- 24a d  + 158a b c d  - 140b c d)x - 16a c d  + 115a b c d - 105b c
+--R      *
+--R          +-+ +-------+
+--R         \|d \|b x + a
+--R  /
+--R         5         4  +-+ +-------+
+--R     (12d x + 12c d )\|d \|d x + c
+--R                                                    Type: Expression(Integer)
+--E  602
+
+--S 603 of 1000
+--a0:=integrate(t0,x)
+--E  603
+
+--S 604 of 1000
+--m0:=a0-r0
+--E  604
+
+--S 605 of 1000
+--d0:=D(m0,x)
+--E  605
+
+)clear all
+
+--S 606 of 1000
+t0:=(a+b*x)^(5/2)/(c+d*x)^(5/2)
+--R 
+--R
+--R          2 2             2  +-------+
+--R        (b x  + 2a b x + a )\|b x + a
+--R   (1)  ------------------------------
+--R          2 2             2  +-------+
+--R        (d x  + 2c d x + c )\|d x + c
+--R                                                    Type: Expression(Integer)
+--E  606
+
+--S 607 of 1000
+r0:=-2/3*(a+b*x)^(5/2)/(d*(c+d*x)^(3/2))-5*b^(3/2)*(b*c-a*d)*atanh(sqrt(d)*_
+     sqrt(a+b*x)/(sqrt(b)*sqrt(c+d*x)))/d^(7/2)-10/3*b*(a+b*x)^(3/2)/_
+     (d^2*sqrt(c+d*x))+5*b^2*sqrt(a+b*x)*sqrt(c+d*x)/d^3
+--R 
+--R
+--R   (2)
+--R                  2      2                       2 2  +-+ +-------+
+--R         ((15a b d  - 15b c d)x + 15a b c d - 15b c )\|b \|d x + c
+--R      *
+--R                +-+ +-------+
+--R               \|d \|b x + a
+--R         atanh(--------------)
+--R                +-+ +-------+
+--R               \|b \|d x + c
+--R     + 
+--R            2 2 2             2      2          2 2                  2 2  +-+
+--R         (3b d x  + (- 14a b d  + 20b c d)x - 2a d  - 10a b c d + 15b c )\|d
+--R      *
+--R          +-------+
+--R         \|b x + a
+--R  /
+--R        4        3  +-+ +-------+
+--R     (3d x + 3c d )\|d \|d x + c
+--R                                                    Type: Expression(Integer)
+--E  607
+
+--S 608 of 1000
+--a0:=integrate(t0,x)
+--E  608
+
+--S 609 of 1000
+--m0:=a0-r0
+--E  609
+
+--S 610 of 1000
+--d0:=D(m0,x)
+--E  610
+
+)clear all
+
+--S 611 of 1000
+t0:=(a+b*x)^(5/2)/(x*(c+d*x)^(5/2))
+--R 
+--R
+--R           2 2             2  +-------+
+--R         (b x  + 2a b x + a )\|b x + a
+--R   (1)  --------------------------------
+--R          2 3         2    2   +-------+
+--R        (d x  + 2c d x  + c x)\|d x + c
+--R                                                    Type: Expression(Integer)
+--E  611
+
+--S 612 of 1000
+r0:=2/3*(a+b*x)^(5/2)/(c*(c+d*x)^(3/2))-2*a^(5/2)*atanh(sqrt(c)*sqrt(a+b*x)/_
+     (sqrt(a)*sqrt(c+d*x)))/c^(5/2)+2*b^(5/2)*atanh(sqrt(d)*sqrt(a+b*x)/_
+     (sqrt(b)*sqrt(c+d*x)))/d^(5/2)+2/3*(2*b*c+3*a*d)*(a+b*x)^(3/2)/_
+     (c^2*d*sqrt(c+d*x))-2*b*(b*c+a*d)*sqrt(a+b*x)*sqrt(c+d*x)/(c^2*d^2)
+--R 
+--R
+--R   (2)
+--R                                                  +-+ +-------+
+--R          2 2        2 3  +-+ +-+ +-------+      \|d \|b x + a
+--R       (6b c d x + 6b c )\|b \|c \|d x + c atanh(--------------)
+--R                                                  +-+ +-------+
+--R                                                 \|b \|d x + c
+--R     + 
+--R                                                    +-+ +-------+
+--R            2 3      2   2  +-+ +-+ +-------+      \|c \|b x + a
+--R       (- 6a d x - 6a c d )\|a \|d \|d x + c atanh(--------------)
+--R                                                    +-+ +-------+
+--R                                                   \|a \|d x + c
+--R     + 
+--R             2 3           2     2 2        2   2         2      2 3  +-+ +-+
+--R         ((6a d  + 2a b c d  - 8b c d)x + 8a c d  - 2a b c d - 6b c )\|c \|d
+--R      *
+--R          +-------+
+--R         \|b x + a
+--R  /
+--R        2 3      3 2  +-+ +-+ +-------+
+--R     (3c d x + 3c d )\|c \|d \|d x + c
+--R                                                    Type: Expression(Integer)
+--E  612
+
+--S 613 of 1000
+--a0:=integrate(t0,x)
+--E  613
+
+--S 614 of 1000
+--m0:=a0-r0
+--E  614
+
+--S 615 of 1000
+--d0:=D(m0,x)
+--E  615
+
+)clear all
+
+--S 616 of 1000
+t0:=(a+b*x)^(5/2)/(x^2*(c+d*x)^(5/2))
+--R 
+--R
+--R            2 2             2  +-------+
+--R          (b x  + 2a b x + a )\|b x + a
+--R   (1)  ---------------------------------
+--R          2 4         3    2 2  +-------+
+--R        (d x  + 2c d x  + c x )\|d x + c
+--R                                                    Type: Expression(Integer)
+--E  616
+
+--S 617 of 1000
+r0:=5/3*(b*c-a*d)*(a+b*x)^(3/2)/(c^2*(c+d*x)^(3/2))-(a+b*x)^(5/2)/_
+     (c*x*(c+d*x)^(3/2))-5*a^(3/2)*(b*c-a*d)*atanh(sqrt(c)*sqrt(a+b*x)/_
+     (sqrt(a)*sqrt(c+d*x)))/c^(7/2)+5*a*(b*c-a*d)*sqrt(a+b*x)/(c^3*sqrt(c+d*x))
+--R 
+--R
+--R   (2)
+--R              2 2              2       2             2    +-+ +-------+
+--R         ((15a d  - 15a b c d)x  + (15a c d - 15a b c )x)\|a \|d x + c
+--R      *
+--R                +-+ +-------+
+--R               \|c \|b x + a
+--R         atanh(--------------)
+--R                +-+ +-------+
+--R               \|a \|d x + c
+--R     + 
+--R                2 2                 2 2  2         2             2       2 2
+--R         ((- 15a d  + 10a b c d + 2b c )x  + (- 20a c d + 14a b c )x - 3a c )
+--R      *
+--R          +-+ +-------+
+--R         \|c \|b x + a
+--R  /
+--R        3   2     4   +-+ +-------+
+--R     (3c d x  + 3c x)\|c \|d x + c
+--R                                                    Type: Expression(Integer)
+--E  617
+
+--S 618 of 1000
+--a0:=integrate(t0,x)
+--E  618
+
+--S 619 of 1000
+--m0:=a0-r0
+--E  619
+
+--S 620 of 1000
+--d0:=D(m0,x)
+--E  620
+
+)clear all
+
+--S 621 of 1000
+t0:=(a+b*x)^(5/2)/(x^3*(c+d*x)^(5/2))
+--R 
+--R
+--R            2 2             2  +-------+
+--R          (b x  + 2a b x + a )\|b x + a
+--R   (1)  ---------------------------------
+--R          2 5         4    2 3  +-------+
+--R        (d x  + 2c d x  + c x )\|d x + c
+--R                                                    Type: Expression(Integer)
+--E  621
+
+--S 622 of 1000
+r0:=-1/4*(5*b*c-7*a*d)*(a+b*x)^(3/2)/(c^2*x*(c+d*x)^(3/2))-1/2*(a+b*x)^(5/2)/_
+     (c*x^2*(c+d*x)^(3/2))-5/4*(3*b*c-7*a*d)*(b*c-a*d)*atanh(sqrt(c)*_
+     sqrt(a+b*x)/(sqrt(a)*sqrt(c+d*x)))*sqrt(a)/c^(9/2)+1/12*(29*b*c-_
+     35*a*d)*(b*c-a*d)*sqrt(a+b*x)/(c^3*(c+d*x)^(3/2))+1/12*(16*b^2*c^2-_
+     115*a*b*c*d+105*a^2*d^2)*sqrt(a+b*x)/(c^4*sqrt(c+d*x))
+--R 
+--R
+--R   (2)
+--R                  2 3             2      2 2   3
+--R           (- 105a d  + 150a b c d  - 45b c d)x
+--R         + 
+--R                  2   2           2       2 3  2
+--R           (- 105a c d  + 150a b c d - 45b c )x
+--R      *
+--R                              +-+ +-------+
+--R          +-+ +-------+      \|c \|b x + a
+--R         \|a \|d x + c atanh(--------------)
+--R                              +-+ +-------+
+--R                             \|a \|d x + c
+--R     + 
+--R                2 3             2      2 2   3
+--R           (105a d  - 115a b c d  + 16b c d)x
+--R         + 
+--R                2   2           2       2 3  2       2 2           3       2 3
+--R           (140a c d  - 158a b c d + 24b c )x  + (21a c d - 27a b c )x - 6a c
+--R      *
+--R          +-+ +-------+
+--R         \|c \|b x + a
+--R  /
+--R         4   3      5 2  +-+ +-------+
+--R     (12c d x  + 12c x )\|c \|d x + c
+--R                                                    Type: Expression(Integer)
+--E  622
+
+--S 623 of 1000
+--a0:=integrate(t0,x)
+--E  623
+
+--S 624 of 1000
+--m0:=a0-r0
+--E  624
+
+--S 625 of 1000
+--d0:=D(m0,x)
+--E  625
+
+)clear all
+
+--S 626 of 1000
+t0:=(a+b*x)^(5/2)/(x^4*(c+d*x)^(5/2))
+--R 
+--R
+--R            2 2             2  +-------+
+--R          (b x  + 2a b x + a )\|b x + a
+--R   (1)  ---------------------------------
+--R          2 6         5    2 4  +-------+
+--R        (d x  + 2c d x  + c x )\|d x + c
+--R                                                    Type: Expression(Integer)
+--E  626
+
+--S 627 of 1000
+r0:=-1/12*(5*b*c-9*a*d)*(a+b*x)^(3/2)/(c^2*x^2*(c+d*x)^(3/2))-_
+     1/3*(a+b*x)^(5/2)/(c*x^3*(c+d*x)^(3/2))-5/8*(b*c-a*d)*(b^2*c^2-_
+     14*a*b*c*d+21*a^2*d^2)*atanh(sqrt(c)*sqrt(a+b*x)/(sqrt(a)*_
+     sqrt(c+d*x)))/(c^(11/2)*sqrt(a))-7/24*d*(7*b*c-15*a*d)*(b*c-a*d)*_
+     sqrt(a+b*x)/(c^4*(c+d*x)^(3/2))-1/8*(5*b*c-21*a*d)*(b*c-a*d)*_
+     sqrt(a+b*x)/(c^3*x*(c+d*x)^(3/2))-1/24*d*(113*b^2*c^2-_
+     420*a*b*c*d+315*a^2*d^2)*sqrt(a+b*x)/(c^5*sqrt(c+d*x))
+--R 
+--R
+--R   (2)
+--R                3 4       2     3         2 2 2      3 3   4
+--R           (315a d  - 525a b c d  + 225a b c d  - 15b c d)x
+--R         + 
+--R                3   3       2   2 2         2 3       3 4  3
+--R           (315a c d  - 525a b c d  + 225a b c d - 15b c )x
+--R      *
+--R                          +-+ +-------+
+--R          +-------+      \|c \|b x + a
+--R         \|d x + c atanh(--------------)
+--R                          +-+ +-------+
+--R                         \|a \|d x + c
+--R     + 
+--R                  2 4             3       2 2 2  4
+--R           (- 315a d  + 420a b c d  - 113b c d )x
+--R         + 
+--R                  2   3           2 2       2 3   3
+--R           (- 420a c d  + 574a b c d  - 162b c d)x
+--R         + 
+--R                 2 2 2          3       2 4  2       2 3           4       2 4
+--R           (- 63a c d  + 96a b c d - 33b c )x  + (18a c d - 26a b c )x - 8a c
+--R      *
+--R          +-+ +-+ +-------+
+--R         \|a \|c \|b x + a
+--R  /
+--R         5   4      6 3  +-+ +-+ +-------+
+--R     (24c d x  + 24c x )\|a \|c \|d x + c
+--R                                                    Type: Expression(Integer)
+--E  627
+
+--S 628 of 1000
+--a0:=integrate(t0,x)
+--E  628
+
+--S 629 of 1000
+--m0:=a0-r0
+--E  629
+
+--S 630 of 1000
+--d0:=D(m0,x)
+--E  630
+
+)clear all
+
+--S 631 of 1000
+t0:=(a+b*x)^(5/2)/(x^5*(c+d*x)^(5/2))
+--R 
+--R
+--R            2 2             2  +-------+
+--R          (b x  + 2a b x + a )\|b x + a
+--R   (1)  ---------------------------------
+--R          2 7         6    2 5  +-------+
+--R        (d x  + 2c d x  + c x )\|d x + c
+--R                                                    Type: Expression(Integer)
+--E  631
+
+--S 632 of 1000
+r0:=-1/24*(5*b*c-11*a*d)*(a+b*x)^(3/2)/(c^2*x^3*(c+d*x)^(3/2))-_
+     1/4*(a+b*x)^(5/2)/(c*x^4*(c+d*x)^(3/2))+5/64*(b*c-a*d)*(b^3*c^3+_
+     21*a*b^2*c^2*d-189*a^2*b*c*d^2+231*a^3*d^3)*atanh(sqrt(c)*_
+     sqrt(a+b*x)/(sqrt(a)*sqrt(c+d*x)))/(a^(3/2)*c^(13/2))-1/64*_
+     d*(b*c-a*d)*(5*b^2*c^2-238*a*b*c*d+385*a^2*d^2)*sqrt(a+b*x)/_
+     (a*c^5*(c+d*x)^(3/2))-1/32*(5*b*c-33*a*d)*(b*c-a*d)*sqrt(a+b*x)/_
+     (c^3*x^2*(c+d*x)^(3/2))-1/64*(b*c-a*d)*(5*b^2*c^2-156*a*b*c*d+_
+     231*a^2*d^2)*sqrt(a+b*x)/(a*c^4*x*(c+d*x)^(3/2))-1/64*d*(5*b^3*c^3-_
+     581*a*b^2*c^2*d+1715*a^2*b*c*d^2-1155*a^3*d^3)*sqrt(a+b*x)/_
+     (a*c^6*sqrt(c+d*x))
+--R 
+--R
+--R   (2)
+--R                   4 5        3     4        2 2 2 3         3 3 2      4 4   5
+--R           (- 3465a d  + 6300a b c d  - 3150a b c d  + 300a b c d  + 15b c d)x
+--R         + 
+--R                   4   4        3   2 3        2 2 3 2         3 4       4 5  4
+--R           (- 3465a c d  + 6300a b c d  - 3150a b c d  + 300a b c d + 15b c )x
+--R      *
+--R                          +-+ +-------+
+--R          +-------+      \|c \|b x + a
+--R         \|d x + c atanh(--------------)
+--R                          +-+ +-------+
+--R                         \|a \|d x + c
+--R     + 
+--R                 3 5        2     4          2 2 3      3 3 2  5
+--R           (3465a d  - 5145a b c d  + 1743a b c d  - 15b c d )x
+--R         + 
+--R                 3   4        2   2 3          2 3 2      3 4   4
+--R           (4620a c d  - 7014a b c d  + 2472a b c d  - 30b c d)x
+--R         + 
+--R                3 2 3        2   3 2         2 4       3 5  3
+--R           (693a c d  - 1161a b c d  + 483a b c d - 15b c )x
+--R         + 
+--R                  3 3 2       2   4          2 5  2       3 4        2   5
+--R           (- 198a c d  + 316a b c d - 118a b c )x  + (88a c d - 136a b c )x
+--R         + 
+--R                3 5
+--R           - 48a c
+--R      *
+--R          +-+ +-+ +-------+
+--R         \|a \|c \|b x + a
+--R  /
+--R            6   5         7 4  +-+ +-+ +-------+
+--R     (192a c d x  + 192a c x )\|a \|c \|d x + c
+--R                                                    Type: Expression(Integer)
+--E  632
+
+--S 633 of 1000
+--a0:=integrate(t0,x)
+--E  633
+
+--S 634 of 1000
+--m0:=a0-r0
+--E  634
+
+--S 635 of 1000
+--d0:=D(m0,x)
+--E  635
+
+)clear all
+
+--S 636 of 1000
+t0:=x^2*sqrt(c+d*x)/sqrt(a+b*x)
+--R 
+--R
+--R         2 +-------+
+--R        x \|d x + c
+--R   (1)  ------------
+--R          +-------+
+--R         \|b x + a
+--R                                                    Type: Expression(Integer)
+--E  636
+
+--S 637 of 1000
+r0:=1/8*(b*c-a*d)*(b^2*c^2+2*a*b*c*d+5*a^2*d^2)*atanh(sqrt(d)*sqrt(a+b*x)/_
+     (sqrt(b)*sqrt(c+d*x)))/(b^(7/2)*d^(5/2))-1/12*(3*b*c+5*a*d)*_
+     (c+d*x)^(3/2)*sqrt(a+b*x)/(b^2*d^2)+1/3*x*(c+d*x)^(3/2)*_
+     sqrt(a+b*x)/(b*d)+1/8*(b^2*c^2+2*a*b*c*d+5*a^2*d^2)*sqrt(a+b*x)*_
+     sqrt(c+d*x)/(b^3*d^2)
+--R 
+--R
+--R   (2)
+--R                                                       +-+ +-------+
+--R             3 3     2     2       2 2      3 3       \|d \|b x + a
+--R       (- 15a d  + 9a b c d  + 3a b c d + 3b c )atanh(--------------)
+--R                                                       +-+ +-------+
+--R                                                      \|b \|d x + c
+--R     + 
+--R            2 2 2             2     2           2 2                2 2  +-+ +-+
+--R         (8b d x  + (- 10a b d  + 2b c d)x + 15a d  - 4a b c d - 3b c )\|b \|d
+--R      *
+--R          +-------+ +-------+
+--R         \|b x + a \|d x + c
+--R  /
+--R        3 2 +-+ +-+
+--R     24b d \|b \|d
+--R                                                    Type: Expression(Integer)
+--E  637
+
+--S 638 of 1000
+--a0:=integrate(t0,x)
+--E  638
+
+--S 639 of 1000
+--m0:=a0-r0
+--E  639
+
+--S 640 of 1000
+--d0:=D(m0,x)
+--E  640
+
+)clear all
+
+--S 641 of 1000
+t0:=x*sqrt(c+d*x)/sqrt(a+b*x)
+--R 
+--R
+--R          +-------+
+--R        x\|d x + c
+--R   (1)  -----------
+--R          +-------+
+--R         \|b x + a
+--R                                                    Type: Expression(Integer)
+--E  641
+
+--S 642 of 1000
+r0:=-1/4*(b*c-a*d)*(b*c+3*a*d)*atanh(sqrt(d)*sqrt(a+b*x)/(sqrt(b)*_
+     sqrt(c+d*x)))/(b^(5/2)*d^(3/2))+1/2*(c+d*x)^(3/2)*sqrt(a+b*x)/(b*d)-_
+     1/4*(b*c+3*a*d)*sqrt(a+b*x)*sqrt(c+d*x)/(b^2*d)
+--R 
+--R
+--R   (2)
+--R                                       +-+ +-------+
+--R          2 2               2 2       \|d \|b x + a
+--R       (3a d  - 2a b c d - b c )atanh(--------------)
+--R                                       +-+ +-------+
+--R                                      \|b \|d x + c
+--R     + 
+--R                             +-+ +-+ +-------+ +-------+
+--R       (2b d x - 3a d + b c)\|b \|d \|b x + a \|d x + c
+--R  /
+--R       2  +-+ +-+
+--R     4b d\|b \|d
+--R                                                    Type: Expression(Integer)
+--E  642
+
+--S 643 of 1000
+--a0:=integrate(t0,x)
+--E  643
+
+--S 644 of 1000
+--m0:=a0-r0
+--E  644
+
+--S 645 of 1000
+--d0:=D(m0,x)
+--E  645
+
+)clear all
+
+--S 646 of 1000
+t0:=sqrt(c+d*x)/sqrt(a+b*x)
+--R 
+--R
+--R         +-------+
+--R        \|d x + c
+--R   (1)  ----------
+--R         +-------+
+--R        \|b x + a
+--R                                                    Type: Expression(Integer)
+--E  646
+
+--S 647 of 1000
+r0:=(b*c-a*d)*atanh(sqrt(d)*sqrt(a+b*x)/(sqrt(b)*sqrt(c+d*x)))/_
+     (b^(3/2)*sqrt(d))+sqrt(a+b*x)*sqrt(c+d*x)/b
+--R 
+--R
+--R                            +-+ +-------+
+--R                           \|d \|b x + a      +-+ +-+ +-------+ +-------+
+--R        (- a d + b c)atanh(--------------) + \|b \|d \|b x + a \|d x + c
+--R                            +-+ +-------+
+--R                           \|b \|d x + c
+--R   (2)  -----------------------------------------------------------------
+--R                                      +-+ +-+
+--R                                    b\|b \|d
+--R                                                    Type: Expression(Integer)
+--E  647
+
+--S 648 of 1000
+--a0:=integrate(t0,x)
+--E  648
+
+--S 649 of 1000
+--m0:=a0-r0
+--E  649
+
+--S 650 of 1000
+--d0:=D(m0,x)
+--E  650
+
+)clear all
+
+--S 651 of 1000
+t0:=sqrt(c+d*x)/(x*sqrt(a+b*x))
+--R 
+--R
+--R          +-------+
+--R         \|d x + c
+--R   (1)  -----------
+--R          +-------+
+--R        x\|b x + a
+--R                                                    Type: Expression(Integer)
+--E  651
+
+--S 652 of 1000
+r0:=-2*atanh(sqrt(c)*sqrt(a+b*x)/(sqrt(a)*sqrt(c+d*x)))*sqrt(c)/sqrt(a)+_
+     2*atanh(sqrt(d)*sqrt(a+b*x)/(sqrt(b)*sqrt(c+d*x)))*sqrt(d)/sqrt(b)
+--R 
+--R
+--R                        +-+ +-------+                    +-+ +-------+
+--R          +-+ +-+      \|d \|b x + a       +-+ +-+      \|c \|b x + a
+--R        2\|a \|d atanh(--------------) - 2\|b \|c atanh(--------------)
+--R                        +-+ +-------+                    +-+ +-------+
+--R                       \|b \|d x + c                    \|a \|d x + c
+--R   (2)  ---------------------------------------------------------------
+--R                                     +-+ +-+
+--R                                    \|a \|b
+--R                                                    Type: Expression(Integer)
+--E  652
+
+--S 653 of 1000 (non-algebraic residues)
+--a0:=integrate(t0,x)
+--E  653
+
+--S 654 of 1000
+--m0:=a0-r0
+--E  654
+
+--S 655 of 1000
+--d0:=D(m0,x)
+--E  655
+
+)clear all
+
+--S 656 of 1000
+t0:=sqrt(c+d*x)/(x^2*sqrt(a+b*x))
+--R 
+--R
+--R          +-------+
+--R         \|d x + c
+--R   (1)  ------------
+--R         2 +-------+
+--R        x \|b x + a
+--R                                                    Type: Expression(Integer)
+--E  656
+
+--S 657 of 1000
+r0:=(b*c-a*d)*atanh(sqrt(c)*sqrt(a+b*x)/(sqrt(a)*sqrt(c+d*x)))/_
+     (a^(3/2)*sqrt(c))-sqrt(a+b*x)*sqrt(c+d*x)/(a*x)
+--R 
+--R
+--R                              +-+ +-------+
+--R                             \|c \|b x + a      +-+ +-+ +-------+ +-------+
+--R        (- a d + b c)x atanh(--------------) - \|a \|c \|b x + a \|d x + c
+--R                              +-+ +-------+
+--R                             \|a \|d x + c
+--R   (2)  -------------------------------------------------------------------
+--R                                        +-+ +-+
+--R                                    a x\|a \|c
+--R                                                    Type: Expression(Integer)
+--E  657
+
+--S 658 of 1000
+--a0:=integrate(t0,x)
+--E  658
+
+--S 659 of 1000
+--m0:=a0-r0
+--E  659
+
+--S 660 of 1000
+--d0:=D(m0,x)
+--E  660
+
+)clear all
+
+--S 661 of 1000
+t0:=sqrt(c+d*x)/(x^3*sqrt(a+b*x))
+--R 
+--R
+--R          +-------+
+--R         \|d x + c
+--R   (1)  ------------
+--R         3 +-------+
+--R        x \|b x + a
+--R                                                    Type: Expression(Integer)
+--E  661
+
+--S 662 of 1000
+r0:=-1/4*(b*c-a*d)*(3*b*c+a*d)*atanh(sqrt(c)*sqrt(a+b*x)/_
+     (sqrt(a)*sqrt(c+d*x)))/(a^(5/2)*c^(3/2))-1/2*sqrt(a+b*x)*_
+     sqrt(c+d*x)/(a*x^2)+1/4*(3*b*c-a*d)*sqrt(a+b*x)*sqrt(c+d*x)/(a^2*c*x)
+--R 
+--R
+--R   (2)
+--R                                         +-+ +-------+
+--R         2 2                2 2  2      \|c \|b x + a
+--R       (a d  + 2a b c d - 3b c )x atanh(--------------)
+--R                                         +-+ +-------+
+--R                                        \|a \|d x + c
+--R     + 
+--R                                +-+ +-+ +-------+ +-------+
+--R       ((- a d + 3b c)x - 2a c)\|a \|c \|b x + a \|d x + c
+--R  /
+--R       2   2 +-+ +-+
+--R     4a c x \|a \|c
+--R                                                    Type: Expression(Integer)
+--E  662
+
+--S 663 of 1000
+--a0:=integrate(t0,x)
+--E  663
+
+--S 664 of 1000
+--m0:=a0-r0
+--E  664
+
+--S 665 of 1000
+--d0:=D(m0,x)
+--E  665
+
+)clear all
+
+--S 666 of 1000
+t0:=sqrt(c+d*x)/(x^4*sqrt(a+b*x))
+--R 
+--R
+--R          +-------+
+--R         \|d x + c
+--R   (1)  ------------
+--R         4 +-------+
+--R        x \|b x + a
+--R                                                    Type: Expression(Integer)
+--E  666
+
+--S 667 of 1000
+r0:=1/8*(b*c-a*d)*(5*b^2*c^2+2*a*b*c*d+a^2*d^2)*atanh(sqrt(c)*sqrt(a+b*x)/_
+     (sqrt(a)*sqrt(c+d*x)))/(a^(7/2)*c^(5/2))-1/3*sqrt(a+b*x)*_
+     sqrt(c+d*x)/(a*x^3)+1/12*(5*b*c-a*d)*sqrt(a+b*x)*sqrt(c+d*x)/_
+     (a^2*c*x^2)-1/24*(5*b*c-3*a*d)*(3*b*c+a*d)*sqrt(a+b*x)*_
+     sqrt(c+d*x)/(a^3*c^2*x)
+--R 
+--R
+--R   (2)
+--R                                                         +-+ +-------+
+--R            3 3     2     2       2 2       3 3  3      \|c \|b x + a
+--R       (- 3a d  - 3a b c d  - 9a b c d + 15b c )x atanh(--------------)
+--R                                                         +-+ +-------+
+--R                                                        \|a \|d x + c
+--R     + 
+--R             2 2                 2 2  2        2             2       2 2  +-+
+--R         ((3a d  + 4a b c d - 15b c )x  + (- 2a c d + 10a b c )x - 8a c )\|a
+--R      *
+--R          +-+ +-------+ +-------+
+--R         \|c \|b x + a \|d x + c
+--R  /
+--R        3 2 3 +-+ +-+
+--R     24a c x \|a \|c
+--R                                                    Type: Expression(Integer)
+--E  667
+
+--S 668 of 1000
+--a0:=integrate(t0,x)
+--E  668
+
+--S 669 of 1000
+--m0:=a0-r0
+--E  669
+
+--S 670 of 1000
+--d0:=D(m0,x)
+--E  670
+
+)clear all
+
+--S 671 of 1000
+t0:=x^2*(c+d*x)^(3/2)/sqrt(a+b*x)
+--R 
+--R
+--R            3      2  +-------+
+--R        (d x  + c x )\|d x + c
+--R   (1)  -----------------------
+--R                +-------+
+--R               \|b x + a
+--R                                                    Type: Expression(Integer)
+--E  671
+
+--S 672 of 1000
+r0:=1/64*(b*c-a*d)^2*(3*b^2*c^2+10*a*b*c*d+35*a^2*d^2)*atanh(sqrt(d)*_
+     sqrt(a+b*x)/(sqrt(b)*sqrt(c+d*x)))/(b^(9/2)*d^(5/2))+_
+     1/96*(3*b^2*c^2+10*a*b*c*d+35*a^2*d^2)*(c+d*x)^(3/2)*_
+     sqrt(a+b*x)/(b^3*d^2)-1/24*(3*b*c+7*a*d)*(c+d*x)^(5/2)*_
+     sqrt(a+b*x)/(b^2*d^2)+1/4*x*(c+d*x)^(5/2)*sqrt(a+b*x)/(b*d)+_
+     1/64*(b*c-a*d)*(3*b^2*c^2+10*a*b*c*d+35*a^2*d^2)*sqrt(a+b*x)*_
+     sqrt(c+d*x)/(b^4*d^2)
+--R 
+--R
+--R   (2)
+--R              4 4       3     3      2 2 2 2        3 3      4 4
+--R         (105a d  - 180a b c d  + 54a b c d  + 12a b c d + 9b c )
+--R      *
+--R                +-+ +-------+
+--R               \|d \|b x + a
+--R         atanh(--------------)
+--R                +-+ +-------+
+--R               \|b \|d x + c
+--R     + 
+--R              3 3 3           2 3      3   2  2
+--R           48b d x  + (- 56a b d  + 72b c d )x
+--R         + 
+--R               2   3        2   2     3 2          3 3       2     2        2 2
+--R           (70a b d  - 92a b c d  + 6b c d)x - 105a d  + 145a b c d  - 15a b c d
+--R         + 
+--R               3 3
+--R           - 9b c
+--R      *
+--R          +-+ +-+ +-------+ +-------+
+--R         \|b \|d \|b x + a \|d x + c
+--R  /
+--R         4 2 +-+ +-+
+--R     192b d \|b \|d
+--R                                                    Type: Expression(Integer)
+--E  672
+
+--S 673 of 1000
+--a0:=integrate(t0,x)
+--E  673
+
+--S 674 of 1000
+--m0:=a0-r0
+--E  674
+
+--S 675 of 1000
+--d0:=D(m0,x)
+--E  675
+
+)clear all
+
+--S 676 of 1000
+t0:=x*(c+d*x)^(3/2)/sqrt(a+b*x)
+--R 
+--R
+--R            2        +-------+
+--R        (d x  + c x)\|d x + c
+--R   (1)  ----------------------
+--R               +-------+
+--R              \|b x + a
+--R                                                    Type: Expression(Integer)
+--E  676
+
+--S 677 of 1000
+r0:=-1/8*(b*c-a*d)^2*(b*c+5*a*d)*atanh(sqrt(d)*sqrt(a+b*x)/(sqrt(b)*_
+     sqrt(c+d*x)))/(b^(7/2)*d^(3/2))-1/12*(b*c+5*a*d)*(c+d*x)^(3/2)*_
+     sqrt(a+b*x)/(b^2*d)+1/3*(c+d*x)^(5/2)*sqrt(a+b*x)/(b*d)-_
+     1/8*(b*c-a*d)*(b*c+5*a*d)*sqrt(a+b*x)*sqrt(c+d*x)/(b^3*d)
+--R 
+--R
+--R   (2)
+--R                                                        +-+ +-------+
+--R             3 3      2     2       2 2      3 3       \|d \|b x + a
+--R       (- 15a d  + 27a b c d  - 9a b c d - 3b c )atanh(--------------)
+--R                                                        +-+ +-------+
+--R                                                       \|b \|d x + c
+--R     + 
+--R            2 2 2             2      2           2 2                 2 2  +-+
+--R         (8b d x  + (- 10a b d  + 14b c d)x + 15a d  - 22a b c d + 3b c )\|b
+--R      *
+--R          +-+ +-------+ +-------+
+--R         \|d \|b x + a \|d x + c
+--R  /
+--R        3  +-+ +-+
+--R     24b d\|b \|d
+--R                                                    Type: Expression(Integer)
+--E  677
+
+--S 678 of 1000
+--a0:=integrate(t0,x)
+--E  678
+
+--S 679 of 1000
+--m0:=a0-r0
+--E  679
+
+--S 680 of 1000
+--d0:=D(m0,x)
+--E  680
+
+)clear all
+
+--S 681 of 1000
+t0:=(c+d*x)^(3/2)/sqrt(a+b*x)
+--R 
+--R
+--R                  +-------+
+--R        (d x + c)\|d x + c
+--R   (1)  -------------------
+--R              +-------+
+--R             \|b x + a
+--R                                                    Type: Expression(Integer)
+--E  681
+
+--S 682 of 1000
+r0:=3/4*(b*c-a*d)^2*atanh(sqrt(d)*sqrt(a+b*x)/(sqrt(b)*sqrt(c+d*x)))/_
+     (b^(5/2)*sqrt(d))+1/2*(c+d*x)^(3/2)*sqrt(a+b*x)/b+3/4*(b*c-a*d)*_
+     sqrt(a+b*x)*sqrt(c+d*x)/b^2
+--R 
+--R
+--R   (2)
+--R                                        +-+ +-------+
+--R          2 2                2 2       \|d \|b x + a
+--R       (3a d  - 6a b c d + 3b c )atanh(--------------)
+--R                                        +-+ +-------+
+--R                                       \|b \|d x + c
+--R     + 
+--R                              +-+ +-+ +-------+ +-------+
+--R       (2b d x - 3a d + 5b c)\|b \|d \|b x + a \|d x + c
+--R  /
+--R       2 +-+ +-+
+--R     4b \|b \|d
+--R                                                    Type: Expression(Integer)
+--E  682
+
+--S 683 of 1000
+--a0:=integrate(t0,x)
+--E  683
+
+--S 684 of 1000
+--m0:=a0-r0
+--E  684
+
+--S 685 of 1000
+--d0:=D(m0,x)
+--E  685
+
+)clear all
+
+--S 686 of 1000
+t0:=(c+d*x)^(3/2)/(x*sqrt(a+b*x))
+--R 
+--R
+--R                  +-------+
+--R        (d x + c)\|d x + c
+--R   (1)  -------------------
+--R              +-------+
+--R            x\|b x + a
+--R                                                    Type: Expression(Integer)
+--E  686
+
+--S 687 of 1000
+r0:=-2*c^(3/2)*atanh(sqrt(c)*sqrt(a+b*x)/(sqrt(a)*sqrt(c+d*x)))/sqrt(a)+_
+     (3*b*c-a*d)*atanh(sqrt(d)*sqrt(a+b*x)/(sqrt(b)*sqrt(c+d*x)))*_
+     sqrt(d)/b^(3/2)+d*sqrt(a+b*x)*sqrt(c+d*x)/b
+--R 
+--R
+--R   (2)
+--R                                    +-+ +-------+
+--R                      +-+ +-+      \|d \|b x + a
+--R       (- a d + 3b c)\|a \|d atanh(--------------)
+--R                                    +-+ +-------+
+--R                                   \|b \|d x + c
+--R     + 
+--R                            +-+ +-------+
+--R              +-+ +-+      \|c \|b x + a       +-+ +-+ +-------+ +-------+
+--R       - 2b c\|b \|c atanh(--------------) + d\|a \|b \|b x + a \|d x + c
+--R                            +-+ +-------+
+--R                           \|a \|d x + c
+--R  /
+--R       +-+ +-+
+--R     b\|a \|b
+--R                                                    Type: Expression(Integer)
+--E  687
+
+--S 688 of 1000 (non-algebraic residues)
+--a0:=integrate(t0,x)
+--E  688
+
+--S 689 of 1000
+--m0:=a0-r0
+--E  689
+
+--S 690 of 1000
+--d0:=D(m0,x)
+--E  690
+
+)clear all
+
+--S 691 of 1000
+t0:=(c+d*x)^(3/2)/(x^2*sqrt(a+b*x))
+--R 
+--R
+--R                  +-------+
+--R        (d x + c)\|d x + c
+--R   (1)  -------------------
+--R             2 +-------+
+--R            x \|b x + a
+--R                                                    Type: Expression(Integer)
+--E  691
+
+--S 692 of 1000
+r0:=2*d^(3/2)*atanh(sqrt(d)*sqrt(a+b*x)/(sqrt(b)*sqrt(c+d*x)))/sqrt(b)+_
+     (b*c-3*a*d)*atanh(sqrt(c)*sqrt(a+b*x)/(sqrt(a)*sqrt(c+d*x)))*_
+     sqrt(c)/a^(3/2)-(c+d*x)^(3/2)*sqrt(a+b*x)/(a*x)+d*sqrt(a+b*x)*_
+     sqrt(c+d*x)/a
+--R 
+--R
+--R   (2)
+--R                            +-+ +-------+
+--R              +-+ +-+      \|d \|b x + a
+--R       2a d x\|a \|d atanh(--------------)
+--R                            +-+ +-------+
+--R                           \|b \|d x + c
+--R     + 
+--R                                     +-+ +-------+
+--R                       +-+ +-+      \|c \|b x + a
+--R       (- 3a d + b c)x\|b \|c atanh(--------------)
+--R                                     +-+ +-------+
+--R                                    \|a \|d x + c
+--R     + 
+--R           +-+ +-+ +-------+ +-------+
+--R       - c\|a \|b \|b x + a \|d x + c
+--R  /
+--R         +-+ +-+
+--R     a x\|a \|b
+--R                                                    Type: Expression(Integer)
+--E  692
+
+--S 693 of 1000 (non-algebraic residues)
+--a0:=integrate(t0,x)
+--E  693
+
+--S 694 of 1000
+--m0:=a0-r0
+--E  694
+
+--S 695 of 1000
+--d0:=D(m0,x)
+--E  695
+
+)clear all
+
+--S 696 of 1000
+t0:=(c+d*x)^(3/2)/(x^3*sqrt(a+b*x))
+--R 
+--R
+--R                  +-------+
+--R        (d x + c)\|d x + c
+--R   (1)  -------------------
+--R             3 +-------+
+--R            x \|b x + a
+--R                                                    Type: Expression(Integer)
+--E  696
+
+--S 697 of 1000
+r0:=-3/4*(b*c-a*d)^2*atanh(sqrt(c)*sqrt(a+b*x)/(sqrt(a)*sqrt(c+d*x)))/_
+     (a^(5/2)*sqrt(c))-1/2*(c+d*x)^(3/2)*sqrt(a+b*x)/(a*x^2)+_
+     3/4*(b*c-a*d)*sqrt(a+b*x)*sqrt(c+d*x)/(a^2*x)
+--R 
+--R
+--R   (2)
+--R                                            +-+ +-------+
+--R            2 2                2 2  2      \|c \|b x + a
+--R       (- 3a d  + 6a b c d - 3b c )x atanh(--------------)
+--R                                            +-+ +-------+
+--R                                           \|a \|d x + c
+--R     + 
+--R                                 +-+ +-+ +-------+ +-------+
+--R       ((- 5a d + 3b c)x - 2a c)\|a \|c \|b x + a \|d x + c
+--R  /
+--R       2 2 +-+ +-+
+--R     4a x \|a \|c
+--R                                                    Type: Expression(Integer)
+--E  697
+
+--S 698 of 1000
+--a0:=integrate(t0,x)
+--E  698
+
+--S 699 of 1000
+--m0:=a0-r0
+--E  699
+
+--S 700 of 1000
+--d0:=D(m0,x)
+--E  700
+
+)clear all
+
+--S 701 of 1000
+t0:=(c+d*x)^(3/2)/(x^4*sqrt(a+b*x))
+--R 
+--R
+--R                  +-------+
+--R        (d x + c)\|d x + c
+--R   (1)  -------------------
+--R             4 +-------+
+--R            x \|b x + a
+--R                                                    Type: Expression(Integer)
+--E  701
+
+--S 702 of 1000
+r0:=1/8*(b*c-a*d)^2*(5*b*c+a*d)*atanh(sqrt(c)*sqrt(a+b*x)/(sqrt(a)*_
+     sqrt(c+d*x)))/(a^(7/2)*c^(3/2))-1/3*(c+d*x)^(3/2)*sqrt(a+b*x)/_
+     (a*x^3)+1/12*(5*b*c-3*a*d)*sqrt(a+b*x)*sqrt(c+d*x)/(a^2*x^2)-_
+     1/24*(15*b^2*c/a-22*b*d+3*a*d^2/c)*sqrt(a+b*x)*sqrt(c+d*x)/(a^2*x)
+--R 
+--R
+--R   (2)
+--R                                                        +-+ +-------+
+--R          3 3     2     2        2 2       3 3  3      \|c \|b x + a
+--R       (3a d  + 9a b c d  - 27a b c d + 15b c )x atanh(--------------)
+--R                                                        +-+ +-------+
+--R                                                       \|a \|d x + c
+--R     + 
+--R               2 2                  2 2  2         2             2       2 2
+--R         ((- 3a d  + 22a b c d - 15b c )x  + (- 14a c d + 10a b c )x - 8a c )
+--R      *
+--R          +-+ +-+ +-------+ +-------+
+--R         \|a \|c \|b x + a \|d x + c
+--R  /
+--R        3   3 +-+ +-+
+--R     24a c x \|a \|c
+--R                                                    Type: Expression(Integer)
+--E  702
+
+--S 703 of 1000
+--a0:=integrate(t0,x)
+--E  703
+
+--S 704 of 1000
+--m0:=a0-r0
+--E  704
+
+--S 705 of 1000
+--d0:=D(m0,x)
+--E  705
+
+)clear all
+
+--S 706 of 1000
+t0:=(c+d*x)^(3/2)/(x^5*sqrt(a+b*x))
+--R 
+--R
+--R                  +-------+
+--R        (d x + c)\|d x + c
+--R   (1)  -------------------
+--R             5 +-------+
+--R            x \|b x + a
+--R                                                    Type: Expression(Integer)
+--E  706
+
+--S 707 of 1000
+r0:=-1/64*(b*c-a*d)^2*(35*b^2*c^2+10*a*b*c*d+3*a^2*d^2)*atanh(sqrt(c)*_
+     sqrt(a+b*x)/(sqrt(a)*sqrt(c+d*x)))/(a^(9/2)*c^(5/2))-_
+     1/4*(c+d*x)^(3/2)*sqrt(a+b*x)/(a*x^4)+1/24*(7*b*c-3*a*d)*_
+     sqrt(a+b*x)*sqrt(c+d*x)/(a^2*x^3)-1/96*(35*b^2*c/a-46*b*d+_
+     3*a*d^2/c)*sqrt(a+b*x)*sqrt(c+d*x)/(a^2*x^2)+1/192*(105*b^3*c^3-_
+     145*a*b^2*c^2*d+15*a^2*b*c*d^2+9*a^3*d^3)*sqrt(a+b*x)*_
+     sqrt(c+d*x)/(a^4*c^2*x)
+--R 
+--R
+--R   (2)
+--R              4 4      3     3      2 2 2 2         3 3        4 4  4
+--R         (- 9a d  - 12a b c d  - 54a b c d  + 180a b c d - 105b c )x
+--R      *
+--R                +-+ +-------+
+--R               \|c \|b x + a
+--R         atanh(--------------)
+--R                +-+ +-------+
+--R               \|a \|d x + c
+--R     + 
+--R              3 3      2     2         2 2        3 3  3
+--R           (9a d  + 15a b c d  - 145a b c d + 105b c )x
+--R         + 
+--R              3   2      2   2         2 3  2         3 2       2   3        3 3
+--R         (- 6a c d  + 92a b c d - 70a b c )x  + (- 72a c d + 56a b c )x - 48a c
+--R      *
+--R          +-+ +-+ +-------+ +-------+
+--R         \|a \|c \|b x + a \|d x + c
+--R  /
+--R         4 2 4 +-+ +-+
+--R     192a c x \|a \|c
+--R                                                    Type: Expression(Integer)
+--E  707
+
+--S 708 of 1000
+--a0:=integrate(t0,x)
+--E  708
+
+--S 709 of 1000
+--m0:=a0-r0
+--E  709
+
+--S 710 of 1000
+--d0:=D(m0,x)
+--E  710
+
+)clear all
+
+--S 711 of 1000
+t0:=x^2*(c+d*x)^(5/2)/sqrt(a+b*x)
+--R 
+--R
+--R          2 4         3    2 2  +-------+
+--R        (d x  + 2c d x  + c x )\|d x + c
+--R   (1)  ---------------------------------
+--R                     +-------+
+--R                    \|b x + a
+--R                                                    Type: Expression(Integer)
+--E  711
+
+--S 712 of 1000
+r0:=1/128*(b*c-a*d)^3*(3*b^2*c^2+14*a*b*c*d+63*a^2*d^2)*atanh(sqrt(d)*_
+     sqrt(a+b*x)/(sqrt(b)*sqrt(c+d*x)))/(b^(11/2)*d^(5/2))+_
+     1/192*(b*c-a*d)*(3*b^2*c^2+14*a*b*c*d+63*a^2*d^2)*(c+d*x)^(3/2)*_
+     sqrt(a+b*x)/(b^4*d^2)+1/240*(3*b^2*c^2+14*a*b*c*d+63*a^2*d^2)*_
+     (c+d*x)^(5/2)*sqrt(a+b*x)/(b^3*d^2)-3/40*(b*c+3*a*d)*_
+     (c+d*x)^(7/2)*sqrt(a+b*x)/(b^2*d^2)+1/5*x*(c+d*x)^(7/2)*_
+     sqrt(a+b*x)/(b*d)+1/128*(b*c-a*d)^2*(3*b^2*c^2+14*a*b*c*d+_
+     63*a^2*d^2)*sqrt(a+b*x)*sqrt(c+d*x)/(b^5*d^2)
+--R 
+--R
+--R   (2)
+--R                 5 5        4     4        3 2 2 3       2 3 3 2        4 4
+--R           - 945a d  + 2625a b c d  - 2250a b c d  + 450a b c d  + 75a b c d
+--R         + 
+--R              5 5
+--R           45b c
+--R      *
+--R                +-+ +-------+
+--R               \|d \|b x + a
+--R         atanh(--------------)
+--R                +-+ +-------+
+--R               \|b \|d x + c
+--R     + 
+--R               4 4 4            3 4        4   3  3
+--R           384b d x  + (- 432a b d  + 1008b c d )x
+--R         + 
+--R                2 2 4          3   3       4 2 2  2
+--R           (504a b d  - 1184a b c d  + 744b c d )x
+--R         + 
+--R                  3   4        2 2   3         3 2 2      4 3          4 4
+--R           (- 630a b d  + 1498a b c d  - 962a b c d  + 30b c d)x + 945a d
+--R         + 
+--R                  3     3        2 2 2 2        3 3       4 4
+--R           - 2310a b c d  + 1564a b c d  - 90a b c d - 45b c
+--R      *
+--R          +-+ +-+ +-------+ +-------+
+--R         \|b \|d \|b x + a \|d x + c
+--R  /
+--R          5 2 +-+ +-+
+--R     1920b d \|b \|d
+--R                                                    Type: Expression(Integer)
+--E  712
+
+--S 713 of 1000
+--a0:=integrate(t0,x)
+--E  713
+
+--S 714 of 1000
+--m0:=a0-r0
+--E  714
+
+--S 715 of 1000
+--d0:=D(m0,x)
+--E  715
+
+)clear all
+
+--S 716 of 1000
+t0:=x*(c+d*x)^(5/2)/sqrt(a+b*x)
+--R 
+--R
+--R          2 3         2    2   +-------+
+--R        (d x  + 2c d x  + c x)\|d x + c
+--R   (1)  --------------------------------
+--R                    +-------+
+--R                   \|b x + a
+--R                                                    Type: Expression(Integer)
+--E  716
+
+--S 717 of 1000
+r0:=-5/64*(b*c-a*d)^3*(b*c+7*a*d)*atanh(sqrt(d)*sqrt(a+b*x)/(sqrt(b)*_
+     sqrt(c+d*x)))/(b^(9/2)*d^(3/2))-5/96*(b*c-a*d)*(b*c+7*a*d)*_
+     (c+d*x)^(3/2)*sqrt(a+b*x)/(b^3*d)-1/24*(b*c+7*a*d)*(c+d*x)^(5/2)*_
+     sqrt(a+b*x)/(b^2*d)+1/4*(c+d*x)^(7/2)*sqrt(a+b*x)/(b*d)-_
+     5/64*(b*c-a*d)^2*(b*c+7*a*d)*sqrt(a+b*x)*sqrt(c+d*x)/(b^4*d)
+--R 
+--R
+--R   (2)
+--R              4 4       3     3       2 2 2 2        3 3       4 4
+--R         (105a d  - 300a b c d  + 270a b c d  - 60a b c d - 15b c )
+--R      *
+--R                +-+ +-------+
+--R               \|d \|b x + a
+--R         atanh(--------------)
+--R                +-+ +-------+
+--R               \|b \|d x + c
+--R     + 
+--R              3 3 3           2 3       3   2  2
+--R           48b d x  + (- 56a b d  + 136b c d )x
+--R         + 
+--R               2   3         2   2       3 2          3 3       2     2
+--R           (70a b d  - 172a b c d  + 118b c d)x - 105a d  + 265a b c d
+--R         + 
+--R                   2 2       3 3
+--R           - 191a b c d + 15b c
+--R      *
+--R          +-+ +-+ +-------+ +-------+
+--R         \|b \|d \|b x + a \|d x + c
+--R  /
+--R         4  +-+ +-+
+--R     192b d\|b \|d
+--R                                                    Type: Expression(Integer)
+--E  717
+
+--S 718 of 1000
+--a0:=integrate(t0,x)
+--E  718
+
+--S 719 of 1000
+--m0:=a0-r0
+--E  719
+
+--S 720 of 1000
+--d0:=D(m0,x)
+--E  720
+
+)clear all
+
+--S 721 of 1000
+t0:=(c+d*x)^(5/2)/sqrt(a+b*x)
+--R 
+--R
+--R          2 2             2  +-------+
+--R        (d x  + 2c d x + c )\|d x + c
+--R   (1)  ------------------------------
+--R                   +-------+
+--R                  \|b x + a
+--R                                                    Type: Expression(Integer)
+--E  721
+
+--S 722 of 1000
+r0:=5/8*(b*c-a*d)^3*atanh(sqrt(d)*sqrt(a+b*x)/(sqrt(b)*sqrt(c+d*x)))/_
+     (b^(7/2)*sqrt(d))+5/12*(b*c-a*d)*(c+d*x)^(3/2)*sqrt(a+b*x)/b^2+_
+     1/3*(c+d*x)^(5/2)*sqrt(a+b*x)/b+5/8*(b*c-a*d)^2*sqrt(a+b*x)*_
+     sqrt(c+d*x)/b^3
+--R 
+--R
+--R   (2)
+--R                                                          +-+ +-------+
+--R             3 3      2     2        2 2       3 3       \|d \|b x + a
+--R       (- 15a d  + 45a b c d  - 45a b c d + 15b c )atanh(--------------)
+--R                                                          +-+ +-------+
+--R                                                         \|b \|d x + c
+--R     + 
+--R            2 2 2             2      2           2 2                  2 2  +-+
+--R         (8b d x  + (- 10a b d  + 26b c d)x + 15a d  - 40a b c d + 33b c )\|b
+--R      *
+--R          +-+ +-------+ +-------+
+--R         \|d \|b x + a \|d x + c
+--R  /
+--R        3 +-+ +-+
+--R     24b \|b \|d
+--R                                                    Type: Expression(Integer)
+--E  722
+
+-- (1 . failed) cannot be coerced to mode (SparseUnivariatePolynomial (Integer))
+--S 723 of 1000
+--a0:=integrate(t0,x)
+--E  723
+
+--S 724 of 1000
+--m0:=a0-r0
+--E  724
+
+--S 725 of 1000
+--d0:=D(m0,x)
+--E  725
+
+)clear all
+
+--S 726 of 1000
+t0:=(c+d*x)^(5/2)/(x*sqrt(a+b*x))
+--R 
+--R
+--R          2 2             2  +-------+
+--R        (d x  + 2c d x + c )\|d x + c
+--R   (1)  ------------------------------
+--R                    +-------+
+--R                  x\|b x + a
+--R                                                    Type: Expression(Integer)
+--E  726
+
+--S 727 of 1000
+r0:=-2*c^(5/2)*atanh(sqrt(c)*sqrt(a+b*x)/(sqrt(a)*sqrt(c+d*x)))/sqrt(a)+_
+     1/4*(15*b^2*c^2-10*a*b*c*d+3*a^2*d^2)*atanh(sqrt(d)*_
+     sqrt(a+b*x)/(sqrt(b)*sqrt(c+d*x)))*sqrt(d)/b^(5/2)+_
+     1/2*d*(c+d*x)^(3/2)*sqrt(a+b*x)/b+1/4*d*(7*b*c-3*a*d)*_
+     sqrt(a+b*x)*sqrt(c+d*x)/b^2
+--R 
+--R
+--R   (2)
+--R                                                  +-+ +-------+
+--R          2 2                  2 2  +-+ +-+      \|d \|b x + a
+--R       (3a d  - 10a b c d + 15b c )\|a \|d atanh(--------------)
+--R                                                  +-+ +-------+
+--R                                                 \|b \|d x + c
+--R     + 
+--R                             +-+ +-------+
+--R           2 2 +-+ +-+      \|c \|b x + a
+--R       - 8b c \|b \|c atanh(--------------)
+--R                             +-+ +-------+
+--R                            \|a \|d x + c
+--R     + 
+--R            2        2           +-+ +-+ +-------+ +-------+
+--R       (2b d x - 3a d  + 9b c d)\|a \|b \|b x + a \|d x + c
+--R  /
+--R       2 +-+ +-+
+--R     4b \|a \|b
+--R                                                    Type: Expression(Integer)
+--E  727
+
+--S 728 of 1000 (non-algebraic residues)
+-- a0:=integrate(t0,x)
+--E  728
+
+--S 729 of 1000
+--m0:=a0-r0
+--E  729
+
+--S 730 of 1000
+--d0:=D(m0,x)
+--E  730
+
+)clear all
+
+--S 731 of 1000
+t0:=(c+d*x)^(5/2)/(x^2*sqrt(a+b*x))
+--R 
+--R
+--R          2 2             2  +-------+
+--R        (d x  + 2c d x + c )\|d x + c
+--R   (1)  ------------------------------
+--R                  2 +-------+
+--R                 x \|b x + a
+--R                                                    Type: Expression(Integer)
+--E  731
+
+--S 732 of 1000
+r0:=c^(3/2)*(b*c-5*a*d)*atanh(sqrt(c)*sqrt(a+b*x)/(sqrt(a)*sqrt(c+d*x)))/_
+     a^(3/2)+d^(3/2)*(5*b*c-a*d)*atanh(sqrt(d)*sqrt(a+b*x)/_
+     (sqrt(b)*sqrt(c+d*x)))/b^(3/2)+d*(c+d*x)^(3/2)*sqrt(a+b*x)/_
+     a-(c+d*x)^(5/2)*sqrt(a+b*x)/(a*x)+d*(b*c+a*d)*sqrt(a+b*x)*_
+     sqrt(c+d*x)/(a*b)
+--R 
+--R
+--R   (2)
+--R                                          +-+ +-------+
+--R           2 2              +-+ +-+      \|d \|b x + a
+--R       (- a d  + 5a b c d)x\|a \|d atanh(--------------)
+--R                                          +-+ +-------+
+--R                                         \|b \|d x + c
+--R     + 
+--R                                          +-+ +-------+
+--R                      2 2   +-+ +-+      \|c \|b x + a
+--R       (- 5a b c d + b c )x\|b \|c atanh(--------------)
+--R                                          +-+ +-------+
+--R                                         \|a \|d x + c
+--R     + 
+--R           2       2  +-+ +-+ +-------+ +-------+
+--R       (a d x - b c )\|a \|b \|b x + a \|d x + c
+--R  /
+--R           +-+ +-+
+--R     a b x\|a \|b
+--R                                                    Type: Expression(Integer)
+--E  732
+
+--S 733 of 1000 (non-algebraic residues)
+--a0:=integrate(t0,x)
+--E  733
+
+--S 734 of 1000
+--m0:=a0-r0
+--E  734
+
+--S 735 of 1000
+--d0:=D(m0,x)
+--E  735
+
+)clear all
+
+--S 736 of 1000
+t0:=(c+d*x)^(5/2)/(x^3*sqrt(a+b*x))
+--R 
+--R
+--R          2 2             2  +-------+
+--R        (d x  + 2c d x + c )\|d x + c
+--R   (1)  ------------------------------
+--R                  3 +-------+
+--R                 x \|b x + a
+--R                                                    Type: Expression(Integer)
+--E  736
+
+--S 737 of 1000
+r0:=2*d^(5/2)*atanh(sqrt(d)*sqrt(a+b*x)/(sqrt(b)*sqrt(c+d*x)))/sqrt(b)-_
+     1/4*(3*b^2*c^2-10*a*b*c*d+15*a^2*d^2)*atanh(sqrt(c)*_
+     sqrt(a+b*x)/(sqrt(a)*sqrt(c+d*x)))*sqrt(c)/a^(5/2)+1/4*_
+     (3*b*c-5*a*d)*(c+d*x)^(3/2)*sqrt(a+b*x)/(a^2*x)-1/2*(c+d*x)^(5/2)*_
+     sqrt(a+b*x)/(a*x^2)-1/4*d*(3*b*c-7*a*d)*sqrt(a+b*x)*sqrt(c+d*x)/a^2
+--R 
+--R
+--R   (2)
+--R                             +-+ +-------+
+--R         2 2 2 +-+ +-+      \|d \|b x + a
+--R       8a d x \|a \|d atanh(--------------)
+--R                             +-+ +-------+
+--R                            \|b \|d x + c
+--R     + 
+--R                                                      +-+ +-------+
+--R             2 2                 2 2  2 +-+ +-+      \|c \|b x + a
+--R       (- 15a d  + 10a b c d - 3b c )x \|b \|c atanh(--------------)
+--R                                                      +-+ +-------+
+--R                                                     \|a \|d x + c
+--R     + 
+--R                        2         2  +-+ +-+ +-------+ +-------+
+--R       ((- 9a c d + 3b c )x - 2a c )\|a \|b \|b x + a \|d x + c
+--R  /
+--R       2 2 +-+ +-+
+--R     4a x \|a \|b
+--R                                                    Type: Expression(Integer)
+--E  737
+
+--S 738 of 1000 (non-algebraic residues)
+--a0:=integrate(t0,x)
+--E  738
+
+--S 739 of 1000
+--m0:=a0-r0
+--E  739
+
+--S 740 of 1000
+--d0:=D(m0,x)
+--E  740
+
+)clear all
+
+--S 741 of 1000
+t0:=(c+d*x)^(5/2)/(x^4*sqrt(a+b*x))
+--R 
+--R
+--R          2 2             2  +-------+
+--R        (d x  + 2c d x + c )\|d x + c
+--R   (1)  ------------------------------
+--R                  4 +-------+
+--R                 x \|b x + a
+--R                                                    Type: Expression(Integer)
+--E  741
+
+--S 742 of 1000
+r0:=5/8*(b*c-a*d)^3*atanh(sqrt(c)*sqrt(a+b*x)/(sqrt(a)*sqrt(c+d*x)))/_
+     (a^(7/2)*sqrt(c))+5/12*(b*c-a*d)*(c+d*x)^(3/2)*sqrt(a+b*x)/_
+     (a^2*x^2)-1/3*(c+d*x)^(5/2)*sqrt(a+b*x)/(a*x^3)-5/8*(b*c-a*d)^2*_
+     sqrt(a+b*x)*sqrt(c+d*x)/(a^3*x)
+--R 
+--R
+--R   (2)
+--R                                                            +-+ +-------+
+--R             3 3      2     2        2 2       3 3  3      \|c \|b x + a
+--R       (- 15a d  + 45a b c d  - 45a b c d + 15b c )x atanh(--------------)
+--R                                                            +-+ +-------+
+--R                                                           \|a \|d x + c
+--R     + 
+--R                2 2                  2 2  2         2             2       2 2
+--R         ((- 33a d  + 40a b c d - 15b c )x  + (- 26a c d + 10a b c )x - 8a c )
+--R      *
+--R          +-+ +-+ +-------+ +-------+
+--R         \|a \|c \|b x + a \|d x + c
+--R  /
+--R        3 3 +-+ +-+
+--R     24a x \|a \|c
+--R                                                    Type: Expression(Integer)
+--E  742
+
+--S 743 of 1000
+--a0:=integrate(t0,x)
+--E  743
+
+--S 744 of 1000
+--m0:=a0-r0
+--E  744
+
+--S 745 of 1000
+--d0:=D(m0,x)
+--E  745
+
+)clear all
+
+--S 746 of 1000
+t0:=(c+d*x)^(5/2)/(x^5*sqrt(a+b*x))
+--R 
+--R
+--R          2 2             2  +-------+
+--R        (d x  + 2c d x + c )\|d x + c
+--R   (1)  ------------------------------
+--R                  5 +-------+
+--R                 x \|b x + a
+--R                                                    Type: Expression(Integer)
+--E  746
+
+--S 747 of 1000
+r0:=-5/64*(b*c-a*d)^3*(7*b*c+a*d)*atanh(sqrt(c)*sqrt(a+b*x)/(sqrt(a)*_
+     sqrt(c+d*x)))/(a^(9/2)*c^(3/2))+1/24*(7*b*c-5*a*d)*(c+d*x)^(3/2)*_
+     sqrt(a+b*x)/(a^2*x^3)-1/4*(c+d*x)^(5/2)*sqrt(a+b*x)/(a*x^4)-_
+     1/96*(35*b^2*c^2-58*a*b*c*d+15*a^2*d^2)*sqrt(a+b*x)*sqrt(c+d*x)/_
+     (a^3*x^2)+1/192*(105*b^3*c^3-265*a*b^2*c^2*d+191*a^2*b*c*d^2-_
+     15*a^3*d^3)*sqrt(a+b*x)*sqrt(c+d*x)/(a^4*c*x)
+--R 
+--R
+--R   (2)
+--R             4 4      3     3       2 2 2 2         3 3        4 4  4
+--R         (15a d  + 60a b c d  - 270a b c d  + 300a b c d - 105b c )x
+--R      *
+--R                +-+ +-------+
+--R               \|c \|b x + a
+--R         atanh(--------------)
+--R                +-+ +-------+
+--R               \|a \|d x + c
+--R     + 
+--R                 3 3       2     2         2 2        3 3  3
+--R           (- 15a d  + 191a b c d  - 265a b c d + 105b c )x
+--R         + 
+--R                  3   2       2   2         2 3  2          3 2       2   3
+--R           (- 118a c d  + 172a b c d - 70a b c )x  + (- 136a c d + 56a b c )x
+--R         + 
+--R                3 3
+--R           - 48a c
+--R      *
+--R          +-+ +-+ +-------+ +-------+
+--R         \|a \|c \|b x + a \|d x + c
+--R  /
+--R         4   4 +-+ +-+
+--R     192a c x \|a \|c
+--R                                                    Type: Expression(Integer)
+--E  747
+
+--S 748 of 1000
+--a0:=integrate(t0,x)
+--E  748
+
+--S 749 of 1000
+--m0:=a0-r0
+--E  749
+
+--S 750 of 1000
+--d0:=D(m0,x)
+--E  750
+
+)clear all
+
+--S 751 of 1000
+t0:=(c+d*x)^(5/2)/(x^6*sqrt(a+b*x))
+--R 
+--R
+--R          2 2             2  +-------+
+--R        (d x  + 2c d x + c )\|d x + c
+--R   (1)  ------------------------------
+--R                  6 +-------+
+--R                 x \|b x + a
+--R                                                    Type: Expression(Integer)
+--E  751
+
+--S 752 of 1000
+r0:=1/128*(b*c-a*d)^3*(63*b^2*c^2+14*a*b*c*d+3*a^2*d^2)*atanh(sqrt(c)*_
+     sqrt(a+b*x)/(sqrt(a)*sqrt(c+d*x)))/(a^(11/2)*c^(5/2))+_
+     1/40*(9*b*c-5*a*d)*(c+d*x)^(3/2)*sqrt(a+b*x)/(a^2*x^4)-_
+     1/5*(c+d*x)^(5/2)*sqrt(a+b*x)/(a*x^5)-1/240*(63*b^2*c^2-_
+     94*a*b*c*d+15*a^2*d^2)*sqrt(a+b*x)*sqrt(c+d*x)/(a^3*x^3)+_
+     1/960*(315*b^3*c^3-749*a*b^2*c^2*d+481*a^2*b*c*d^2-_
+     15*a^3*d^3)*sqrt(a+b*x)*sqrt(c+d*x)/(a^4*c*x^2)-_
+     1/1920*(945*b^4*c^4-2310*a*b^3*c^3*d+1564*a^2*b^2*c^2*d^2-_
+     90*a^3*b*c*d^3-45*a^4*d^4)*sqrt(a+b*x)*sqrt(c+d*x)/(a^5*c^2*x)
+--R 
+--R
+--R   (2)
+--R                5 5      4     4       3 2 2 3        2 3 3 2          4 4
+--R           - 45a d  - 75a b c d  - 450a b c d  + 2250a b c d  - 2625a b c d
+--R         + 
+--R               5 5
+--R           945b c
+--R      *
+--R                  +-+ +-------+
+--R          5      \|c \|b x + a
+--R         x atanh(--------------)
+--R                  +-+ +-------+
+--R                 \|a \|d x + c
+--R     + 
+--R               4 4      3     3        2 2 2 2          3 3        4 4  4
+--R           (45a d  + 90a b c d  - 1564a b c d  + 2310a b c d - 945b c )x
+--R         + 
+--R                 4   3       3   2 2        2 2 3          3 4  3
+--R           (- 30a c d  + 962a b c d  - 1498a b c d + 630a b c )x
+--R         + 
+--R                  4 2 2        3   3        2 2 4  2
+--R           (- 744a c d  + 1184a b c d - 504a b c )x
+--R         + 
+--R                   4 3        3   4         4 4
+--R           (- 1008a c d + 432a b c )x - 384a c
+--R      *
+--R          +-+ +-+ +-------+ +-------+
+--R         \|a \|c \|b x + a \|d x + c
+--R  /
+--R          5 2 5 +-+ +-+
+--R     1920a c x \|a \|c
+--R                                                    Type: Expression(Integer)
+--E  752
+
+--S 753 of 1000
+--a0:=integrate(t0,x)
+--E  753
+
+--S 754 of 1000
+--m0:=a0-r0
+--E  754
+
+--S 755 of 1000
+--d0:=D(m0,x)
+--E  755
+
+)clear all
+
+--S 756 of 1000
+t0:=x^3/(sqrt(a+b*x)*sqrt(c+d*x))
+--R 
+--R
+--R                  3
+--R                 x
+--R   (1)  --------------------
+--R         +-------+ +-------+
+--R        \|b x + a \|d x + c
+--R                                                    Type: Expression(Integer)
+--E  756
+
+--S 757 of 1000
+r0:=1/8*(b*c+a*d)*(12*a*b*c*d-5*(b*c+a*d)^2)*atanh(sqrt(d)*sqrt(a+b*x)/_
+     (sqrt(b)*sqrt(c+d*x)))/(b^(7/2)*d^(7/2))-1/24*(16*a*b*c*d-_
+     15*(b*c+a*d)^2)*sqrt(a+b*x)*sqrt(c+d*x)/(b^3*d^3)-5/12*(b*c+a*d)*_
+     x*sqrt(a+b*x)*sqrt(c+d*x)/(b^2*d^2)+1/3*x^2*sqrt(a+b*x)*sqrt(c+d*x)/(b*d)
+--R 
+--R
+--R   (2)
+--R                                                        +-+ +-------+
+--R             3 3     2     2       2 2       3 3       \|d \|b x + a
+--R       (- 15a d  - 9a b c d  - 9a b c d - 15b c )atanh(--------------)
+--R                                                        +-+ +-------+
+--R                                                       \|b \|d x + c
+--R     + 
+--R            2 2 2             2      2           2 2                  2 2  +-+
+--R         (8b d x  + (- 10a b d  - 10b c d)x + 15a d  + 14a b c d + 15b c )\|b
+--R      *
+--R          +-+ +-------+ +-------+
+--R         \|d \|b x + a \|d x + c
+--R  /
+--R        3 3 +-+ +-+
+--R     24b d \|b \|d
+--R                                                    Type: Expression(Integer)
+--E  757
+
+--S 758 of 1000
+--a0:=integrate(t0,x)
+--E  758
+
+--S 759 of 1000
+--m0:=a0-r0
+--E  759
+
+--S 760 of 1000
+--d0:=D(m0,x)
+--E  760
+
+)clear all
+
+--S 761 of 1000
+t0:=x^2/(sqrt(a+b*x)*sqrt(c+d*x))
+--R 
+--R
+--R                  2
+--R                 x
+--R   (1)  --------------------
+--R         +-------+ +-------+
+--R        \|b x + a \|d x + c
+--R                                                    Type: Expression(Integer)
+--E  761
+
+--S 762 of 1000
+r0:=-1/4*(4*a*b*c*d-3*(b*c+a*d)^2)*atanh(sqrt(d)*sqrt(a+b*x)/_
+     (sqrt(b)*sqrt(c+d*x)))/(b^(5/2)*d^(5/2))-3/4*(b*c+a*d)*_
+     sqrt(a+b*x)*sqrt(c+d*x)/(b^2*d^2)+1/2*x*sqrt(a+b*x)*_
+     sqrt(c+d*x)/(b*d)
+--R 
+--R
+--R   (2)
+--R                                        +-+ +-------+
+--R          2 2                2 2       \|d \|b x + a
+--R       (3a d  + 2a b c d + 3b c )atanh(--------------)
+--R                                        +-+ +-------+
+--R                                       \|b \|d x + c
+--R     + 
+--R                              +-+ +-+ +-------+ +-------+
+--R       (2b d x - 3a d - 3b c)\|b \|d \|b x + a \|d x + c
+--R  /
+--R       2 2 +-+ +-+
+--R     4b d \|b \|d
+--R                                                    Type: Expression(Integer)
+--E  762
+
+--S 763 of 1000
+--a0:=integrate(t0,x)
+--E  763
+
+--S 764 of 1000
+--m0:=a0-r0
+--E  764
+
+--S 765 of 1000
+--d0:=D(m0,x)
+--E  765
+
+)clear all
+
+--S 766 of 1000
+t0:=x/(sqrt(a+b*x)*sqrt(c+d*x))
+--R 
+--R
+--R                  x
+--R   (1)  --------------------
+--R         +-------+ +-------+
+--R        \|b x + a \|d x + c
+--R                                                    Type: Expression(Integer)
+--E  766
+
+--S 767 of 1000
+r0:=-(b*c+a*d)*atanh(sqrt(d)*sqrt(a+b*x)/(sqrt(b)*sqrt(c+d*x)))/(b^(3/2)*_
+     d^(3/2))+sqrt(a+b*x)*sqrt(c+d*x)/(b*d)
+--R 
+--R
+--R                            +-+ +-------+
+--R                           \|d \|b x + a      +-+ +-+ +-------+ +-------+
+--R        (- a d - b c)atanh(--------------) + \|b \|d \|b x + a \|d x + c
+--R                            +-+ +-------+
+--R                           \|b \|d x + c
+--R   (2)  -----------------------------------------------------------------
+--R                                       +-+ +-+
+--R                                   b d\|b \|d
+--R                                                    Type: Expression(Integer)
+--E  767
+
+--S 768 of 1000
+--a0:=integrate(t0,x)
+--E  768
+
+--S 769 of 1000
+--m0:=a0-r0
+--E  769
+
+--S 770 of 1000
+--d0:=D(m0,x)
+--E  770
+
+)clear all
+
+--S 771 of 1000
+t0:=1/(sqrt(a+b*x)*sqrt(c+d*x))
+--R 
+--R
+--R                  1
+--R   (1)  --------------------
+--R         +-------+ +-------+
+--R        \|b x + a \|d x + c
+--R                                                    Type: Expression(Integer)
+--E  771
+
+--S 772 of 1000
+r0:=2*atanh(sqrt(d)*sqrt(a+b*x)/(sqrt(b)*sqrt(c+d*x)))/(sqrt(b)*sqrt(d))
+--R 
+--R
+--R                +-+ +-------+
+--R               \|d \|b x + a
+--R        2atanh(--------------)
+--R                +-+ +-------+
+--R               \|b \|d x + c
+--R   (2)  ----------------------
+--R                +-+ +-+
+--R               \|b \|d
+--R                                                    Type: Expression(Integer)
+--E  772
+
+--S 773 of 1000
+--a0:=integrate(t0,x)
+--E  773
+
+--S 774 of 1000
+--m0:=a0-r0
+--E  774
+
+--S 775 of 1000
+--d0:=D(m0,x)
+--E  775
+
+)clear all
+
+--S 776 of 1000
+t0:=1/(x*sqrt(a+b*x)*sqrt(c+d*x))
+--R 
+--R
+--R                  1
+--R   (1)  ---------------------
+--R          +-------+ +-------+
+--R        x\|b x + a \|d x + c
+--R                                                    Type: Expression(Integer)
+--E  776
+
+--S 777 of 1000
+r0:=-2*atanh(sqrt(c)*sqrt(a+b*x)/(sqrt(a)*sqrt(c+d*x)))/(sqrt(a)*sqrt(c))
+--R 
+--R
+--R                  +-+ +-------+
+--R                 \|c \|b x + a
+--R          2atanh(--------------)
+--R                  +-+ +-------+
+--R                 \|a \|d x + c
+--R   (2)  - ----------------------
+--R                  +-+ +-+
+--R                 \|a \|c
+--R                                                    Type: Expression(Integer)
+--E  777
+
+--S 778 of 1000
+--a0:=integrate(t0,x)
+--E  778
+
+--S 779 of 1000
+--m0:=a0-r0
+--E  779
+
+--S 780 of 1000
+--d0:=D(m0,x)
+--E  780
+
+)clear all
+
+--S 781 of 1000
+t0:=1/(x^2*sqrt(a+b*x)*sqrt(c+d*x))
+--R 
+--R
+--R                   1
+--R   (1)  ----------------------
+--R         2 +-------+ +-------+
+--R        x \|b x + a \|d x + c
+--R                                                    Type: Expression(Integer)
+--E  781
+
+--S 782 of 1000
+r0:=(b*c+a*d)*atanh(sqrt(c)*sqrt(a+b*x)/(sqrt(a)*sqrt(c+d*x)))/_
+     (a^(3/2)*c^(3/2))-sqrt(a+b*x)*sqrt(c+d*x)/(a*c*x)
+--R 
+--R
+--R                            +-+ +-------+
+--R                           \|c \|b x + a      +-+ +-+ +-------+ +-------+
+--R        (a d + b c)x atanh(--------------) - \|a \|c \|b x + a \|d x + c
+--R                            +-+ +-------+
+--R                           \|a \|d x + c
+--R   (2)  -----------------------------------------------------------------
+--R                                        +-+ +-+
+--R                                  a c x\|a \|c
+--R                                                    Type: Expression(Integer)
+--E  782
+
+--S 783 of 1000
+--a0:=integrate(t0,x)
+--E  783
+
+--S 784 of 1000
+--m0:=a0-r0
+--E  784
+
+--S 785 of 1000
+--d0:=D(m0,x)
+--E  785
+
+)clear all
+
+--S 786 of 1000
+t0:=1/(x^3*sqrt(a+b*x)*sqrt(c+d*x))
+--R 
+--R
+--R                   1
+--R   (1)  ----------------------
+--R         3 +-------+ +-------+
+--R        x \|b x + a \|d x + c
+--R                                                    Type: Expression(Integer)
+--E  786
+
+--S 787 of 1000
+r0:=-1/4*(3*b^2*c^2+2*a*b*c*d+3*a^2*d^2)*atanh(sqrt(c)*sqrt(a+b*x)/_
+     (sqrt(a)*sqrt(c+d*x)))/(a^(5/2)*c^(5/2))-1/2*sqrt(a+b*x)*_
+     sqrt(c+d*x)/(a*c*x^2)+3/4*(b*c+a*d)*sqrt(a+b*x)*sqrt(c+d*x)/(a^2*c^2*x)
+--R 
+--R
+--R   (2)
+--R                                            +-+ +-------+
+--R            2 2                2 2  2      \|c \|b x + a
+--R       (- 3a d  - 2a b c d - 3b c )x atanh(--------------)
+--R                                            +-+ +-------+
+--R                                           \|a \|d x + c
+--R     + 
+--R                               +-+ +-+ +-------+ +-------+
+--R       ((3a d + 3b c)x - 2a c)\|a \|c \|b x + a \|d x + c
+--R  /
+--R       2 2 2 +-+ +-+
+--R     4a c x \|a \|c
+--R                                                    Type: Expression(Integer)
+--E  787
+
+--S 788 of 1000
+--a0:=integrate(t0,x)
+--E  788
+
+--S 789 of 1000
+--m0:=a0-r0
+--E  789
+
+--S 790 of 1000
+--d0:=D(m0,x)
+--E  790
+
+)clear all
+
+--S 791 of 1000
+t0:=1/(x^4*sqrt(a+b*x)*sqrt(c+d*x))
+--R 
+--R
+--R                   1
+--R   (1)  ----------------------
+--R         4 +-------+ +-------+
+--R        x \|b x + a \|d x + c
+--R                                                    Type: Expression(Integer)
+--E  791
+
+--S 792 of 1000
+r0:=1/8*(b*c+a*d)*(5*b^2*c^2-2*a*b*c*d+5*a^2*d^2)*atanh(sqrt(c)*_
+     sqrt(a+b*x)/(sqrt(a)*sqrt(c+d*x)))/(a^(7/2)*c^(7/2))-_
+     1/3*sqrt(a+b*x)*sqrt(c+d*x)/(a*c*x^3)+5/12*(b*c+a*d)*sqrt(a+b*x)*_
+     sqrt(c+d*x)/(a^2*c^2*x^2)-1/24*(15*b^2*c^2+14*a*b*c*d+15*a^2*d^2)*_
+     sqrt(a+b*x)*sqrt(c+d*x)/(a^3*c^3*x)
+--R 
+--R
+--R   (2)
+--R                                                        +-+ +-------+
+--R           3 3     2     2       2 2       3 3  3      \|c \|b x + a
+--R       (15a d  + 9a b c d  + 9a b c d + 15b c )x atanh(--------------)
+--R                                                        +-+ +-------+
+--R                                                       \|a \|d x + c
+--R     + 
+--R                2 2                  2 2  2       2             2       2 2  +-+
+--R         ((- 15a d  - 14a b c d - 15b c )x  + (10a c d + 10a b c )x - 8a c )\|a
+--R      *
+--R          +-+ +-------+ +-------+
+--R         \|c \|b x + a \|d x + c
+--R  /
+--R        3 3 3 +-+ +-+
+--R     24a c x \|a \|c
+--R                                                    Type: Expression(Integer)
+--E  792
+
+--S 793 of 1000
+--a0:=integrate(t0,x)
+--E  793
+
+--S 794 of 1000
+--m0:=a0-r0
+--E  794
+
+--S 795 of 1000
+--d0:=D(m0,x)
+--E  795
+
+)clear all
+
+--S 796 of 1000
+t0:=x^3/((c+d*x)^(3/2)*sqrt(a+b*x))
+--R 
+--R
+--R                       3
+--R                      x
+--R   (1)  -----------------------------
+--R                  +-------+ +-------+
+--R        (d x + c)\|b x + a \|d x + c
+--R                                                    Type: Expression(Integer)
+--E  796
+
+--S 797 of 1000
+r0:=3/4*(5*b^2*c^2+2*a*b*c*d+a^2*d^2)*atanh(sqrt(d)*sqrt(a+b*x)/_
+     (sqrt(b)*sqrt(c+d*x)))/(b^(5/2)*d^(7/2))+1/2*x^2*sqrt(a+b*x)/_
+     (b*d*sqrt(c+d*x))+1/2*c*(4*a*c+(5*b*c+3*a*d)*x)*sqrt(a+b*x)/_
+     (b*d^2*(b*c-a*d)*sqrt(c+d*x))-1/4*(3*b*c-a*d)*(5*b*c+3*a*d)*_
+     sqrt(a+b*x)*sqrt(c+d*x)/(b^2*d^3*(b*c-a*d))
+--R 
+--R
+--R   (2)
+--R                                                               +-+ +-------+
+--R          3 3     2     2       2 2       3 3  +-------+      \|d \|b x + a
+--R       (3a d  + 3a b c d  + 9a b c d - 15b c )\|d x + c atanh(--------------)
+--R                                                               +-+ +-------+
+--R                                                              \|b \|d x + c
+--R     + 
+--R                  3     2   2  2        2 3           2     2 2        2   2
+--R           (2a b d  - 2b c d )x  + (- 3a d  - 2a b c d  + 5b c d)x - 3a c d
+--R         + 
+--R                   2       2 3
+--R           - 4a b c d + 15b c
+--R      *
+--R          +-+ +-+ +-------+
+--R         \|b \|d \|b x + a
+--R  /
+--R          2 4     3   3  +-+ +-+ +-------+
+--R     (4a b d  - 4b c d )\|b \|d \|d x + c
+--R                                                    Type: Expression(Integer)
+--E  797
+
+--S 798 of 1000
+--a0:=integrate(t0,x)
+--E  798
+
+--S 799 of 1000
+--m0:=a0-r0
+--E  799
+
+--S 800 of 1000
+--d0:=D(m0,x)
+--E  800
+
+)clear all
+
+--S 801 of 1000
+t0:=x^2/((c+d*x)^(3/2)*sqrt(a+b*x))
+--R 
+--R
+--R                       2
+--R                      x
+--R   (1)  -----------------------------
+--R                  +-------+ +-------+
+--R        (d x + c)\|b x + a \|d x + c
+--R                                                    Type: Expression(Integer)
+--E  801
+
+--S 802 of 1000
+r0:=-(3*b*c+a*d)*atanh(sqrt(d)*sqrt(a+b*x)/(sqrt(b)*sqrt(c+d*x)))/_
+     (b^(3/2)*d^(5/2))+2*c^2*sqrt(a+b*x)/(d^2*(b*c-a*d)*sqrt(c+d*x))+_
+     sqrt(a+b*x)*sqrt(c+d*x)/(b*d^2)
+--R 
+--R
+--R   (2)
+--R                                                   +-+ +-------+
+--R           2 2                2 2  +-------+      \|d \|b x + a
+--R       (- a d  - 2a b c d + 3b c )\|d x + c atanh(--------------)
+--R                                                   +-+ +-------+
+--R                                                  \|b \|d x + c
+--R     + 
+--R            2                         2  +-+ +-+ +-------+
+--R       ((a d  - b c d)x + a c d - 3b c )\|b \|d \|b x + a
+--R  /
+--R           3    2   2  +-+ +-+ +-------+
+--R     (a b d  - b c d )\|b \|d \|d x + c
+--R                                                    Type: Expression(Integer)
+--E  802
+
+--S 803 of 1000
+--a0:=integrate(t0,x)
+--E  803
+
+--S 804 of 1000
+--m0:=a0-r0
+--E  804
+
+--S 805 of 1000
+--d0:=D(m0,x)
+--E  805
+
+)clear all
+
+--S 806 of 1000
+t0:=x/((c+d*x)^(3/2)*sqrt(a+b*x))
+--R 
+--R
+--R                      x
+--R   (1)  -----------------------------
+--R                  +-------+ +-------+
+--R        (d x + c)\|b x + a \|d x + c
+--R                                                    Type: Expression(Integer)
+--E  806
+
+--S 807 of 1000
+r0:=2*atanh(sqrt(d)*sqrt(a+b*x)/(sqrt(b)*sqrt(c+d*x)))/(d^(3/2)*sqrt(b))-_
+     2*c*sqrt(a+b*x)/(d*(b*c-a*d)*sqrt(c+d*x))
+--R 
+--R
+--R                                      +-+ +-------+
+--R                      +-------+      \|d \|b x + a        +-+ +-+ +-------+
+--R        (2a d - 2b c)\|d x + c atanh(--------------) + 2c\|b \|d \|b x + a
+--R                                      +-+ +-------+
+--R                                     \|b \|d x + c
+--R   (2)  -------------------------------------------------------------------
+--R                              2          +-+ +-+ +-------+
+--R                          (a d  - b c d)\|b \|d \|d x + c
+--R                                                    Type: Expression(Integer)
+--E  807
+
+--S 808 of 1000
+--a0:=integrate(t0,x)
+--E  808
+
+--S 809 of 1000
+--m0:=a0-r0
+--E  809
+
+--S 810 of 1000
+--d0:=D(m0,x)
+--E  810
+
+)clear all
+
+--S 811 of 1000
+t0:=1/((c+d*x)^(3/2)*sqrt(a+b*x))
+--R 
+--R
+--R                      1
+--R   (1)  -----------------------------
+--R                  +-------+ +-------+
+--R        (d x + c)\|b x + a \|d x + c
+--R                                                    Type: Expression(Integer)
+--E  811
+
+--S 812 of 1000
+r0:=2*sqrt(a+b*x)/((b*c-a*d)*sqrt(c+d*x))
+--R 
+--R
+--R                 +-------+
+--R               2\|b x + a
+--R   (2)  - ---------------------
+--R                      +-------+
+--R          (a d - b c)\|d x + c
+--R                                                    Type: Expression(Integer)
+--E  812
+
+--S 813 of 1000 ok to fail, differs by a constant
+a0:=integrate(t0,x)
+--R 
+--R
+--R             +-------+ +-------+                    2
+--R        - 4c\|b x + a \|d x + c  + (- c - 4a)d x - c  - 4a c
+--R   (3)  ----------------------------------------------------
+--R                       2       2          2        3
+--R                (2a c d  - 2b c d)x + 2a c d - 2b c
+--R                                         Type: Union(Expression(Integer),...)
+--E  813
+
+--S 814 of 1000 ok to fail, differs by a constant
+m0:=a0-r0
+--R 
+--R
+--R           - c - 4a
+--R   (4)  --------------
+--R                     2
+--R        2a c d - 2b c
+--R                                                    Type: Expression(Integer)
+--E  814
+
+--S 815 of 1000
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E  815
+
+)clear all
+
+--S 816 of 1000
+t0:=1/(x*(c+d*x)^(3/2)*sqrt(a+b*x))
+--R 
+--R
+--R                        1
+--R   (1)  --------------------------------
+--R            2        +-------+ +-------+
+--R        (d x  + c x)\|b x + a \|d x + c
+--R                                                    Type: Expression(Integer)
+--E  816
+
+--S 817 of 1000
+r0:=-2*atanh(sqrt(c)*sqrt(a+b*x)/(sqrt(a)*sqrt(c+d*x)))/(c^(3/2)*sqrt(a))-_
+     2*d*sqrt(a+b*x)/(c*(b*c-a*d)*sqrt(c+d*x))
+--R 
+--R
+--R                                        +-+ +-------+
+--R                        +-------+      \|c \|b x + a        +-+ +-+ +-------+
+--R        (- 2a d + 2b c)\|d x + c atanh(--------------) + 2d\|a \|c \|b x + a
+--R                                        +-+ +-------+
+--R                                       \|a \|d x + c
+--R   (2)  ---------------------------------------------------------------------
+--R                                       2  +-+ +-+ +-------+
+--R                           (a c d - b c )\|a \|c \|d x + c
+--R                                                    Type: Expression(Integer)
+--E  817
+
+--S 818 of 1000
+--a0:=integrate(t0,x)
+--E  818
+
+--S 819 of 1000
+--m0:=a0-r0
+--E  819
+
+--S 820 of 1000
+--d0:=D(m0,x)
+--E  820
+
+)clear all
+
+--S 821 of 1000
+t0:=1/(x^2*(c+d*x)^(3/2)*sqrt(a+b*x))
+--R 
+--R
+--R                        1
+--R   (1)  ---------------------------------
+--R            3      2  +-------+ +-------+
+--R        (d x  + c x )\|b x + a \|d x + c
+--R                                                    Type: Expression(Integer)
+--E  821
+
+--S 822 of 1000
+r0:=(b*c+3*a*d)*atanh(sqrt(c)*sqrt(a+b*x)/(sqrt(a)*sqrt(c+d*x)))/_
+     (a^(3/2)*c^(5/2))-d*(b*c-3*a*d)*sqrt(a+b*x)/(a*c^2*(b*c-a*d)*_
+     sqrt(c+d*x))-sqrt(a+b*x)/(a*c*x*sqrt(c+d*x))
+--R 
+--R
+--R   (2)
+--R                                                  +-+ +-------+
+--R          2 2               2 2   +-------+      \|c \|b x + a
+--R       (3a d  - 2a b c d - b c )x\|d x + c atanh(--------------)
+--R                                                  +-+ +-------+
+--R                                                 \|a \|d x + c
+--R     + 
+--R               2                        2  +-+ +-+ +-------+
+--R       ((- 3a d  + b c d)x - a c d + b c )\|a \|c \|b x + a
+--R  /
+--R       2 2         3   +-+ +-+ +-------+
+--R     (a c d - a b c )x\|a \|c \|d x + c
+--R                                                    Type: Expression(Integer)
+--E  822
+
+--S 823 of 1000
+--a0:=integrate(t0,x)
+--E  823
+
+--S 824 of 1000
+--m0:=a0-r0
+--E  824
+
+--S 825 of 1000
+--d0:=D(m0,x)
+--E  825
+
+)clear all
+
+--S 826 of 1000
+t0:=1/(x^3*(c+d*x)^(3/2)*sqrt(a+b*x))
+--R 
+--R
+--R                        1
+--R   (1)  ---------------------------------
+--R            4      3  +-------+ +-------+
+--R        (d x  + c x )\|b x + a \|d x + c
+--R                                                    Type: Expression(Integer)
+--E  826
+
+--S 827 of 1000
+r0:=-3/4*(b^2*c^2+2*a*b*c*d+5*a^2*d^2)*atanh(sqrt(c)*sqrt(a+b*x)/_
+     (sqrt(a)*sqrt(c+d*x)))/(a^(5/2)*c^(7/2))+1/4*d*(3*b*c-5*a*d)*_
+     (b*c+3*a*d)*sqrt(a+b*x)/(a^2*c^3*(b*c-a*d)*sqrt(c+d*x))-_
+     1/2*sqrt(a+b*x)/(a*c*x^2*sqrt(c+d*x))+1/4*(3*b*c+5*a*d)*_
+     sqrt(a+b*x)/(a^2*c^2*x*sqrt(c+d*x))
+--R 
+--R
+--R   (2)
+--R               3 3     2     2       2 2      3 3  2 +-------+
+--R         (- 15a d  + 9a b c d  + 3a b c d + 3b c )x \|d x + c
+--R      *
+--R                +-+ +-------+
+--R               \|c \|b x + a
+--R         atanh(--------------)
+--R                +-+ +-------+
+--R               \|a \|d x + c
+--R     + 
+--R               2 3           2     2 2   2      2   2         2      2 3
+--R           (15a d  - 4a b c d  - 3b c d)x  + (5a c d  - 2a b c d - 3b c )x
+--R         + 
+--R               2 2          3
+--R           - 2a c d + 2a b c
+--R      *
+--R          +-+ +-+ +-------+
+--R         \|a \|c \|b x + a
+--R  /
+--R        3 3      2   4  2 +-+ +-+ +-------+
+--R     (4a c d - 4a b c )x \|a \|c \|d x + c
+--R                                                    Type: Expression(Integer)
+--E  827
+
+--S 828 of 1000
+--a0:=integrate(t0,x)
+--E  828
+
+--S 829 of 1000
+--m0:=a0-r0
+--E  829
+
+--S 830 of 1000
+--d0:=D(m0,x)
+--E  830
+
+)clear all
+
+--S 831 of 1000
+t0:=x^4/((c+d*x)^(5/2)*sqrt(a+b*x))
+--R 
+--R
+--R                            4
+--R                           x
+--R   (1)  ----------------------------------------
+--R          2 2             2  +-------+ +-------+
+--R        (d x  + 2c d x + c )\|b x + a \|d x + c
+--R                                                    Type: Expression(Integer)
+--E  831
+
+--S 832 of 1000
+r0:=1/4*(35*b^2*c^2+10*a*b*c*d+3*a^2*d^2)*atanh(sqrt(d)*sqrt(a+b*x)/_
+     (sqrt(b)*sqrt(c+d*x)))/(b^(5/2)*d^(9/2))+1/6*c*(7*b*c-3*a*d)*x^2*_
+     sqrt(a+b*x)/(b*d^2*(b*c-a*d)*(c+d*x)^(3/2))+1/2*x^3*sqrt(a+b*x)/_
+     (b*d*(c+d*x)^(3/2))+1/6*c*(4*a*c*(7*b*c-3*a*d)+(35*b^2*c^2-_
+     18*a*b*c*d-9*a^2*d^2)*x)*sqrt(a+b*x)/(b*d^3*(b*c-a*d)^2*sqrt(c+d*x))-_
+     1/12*(3*b*c-a*d)*(35*b^2*c^2-18*a*b*c*d-9*a^2*d^2)*sqrt(a+b*x)*_
+     sqrt(c+d*x)/(b^2*d^4*(b*c-a*d)^2)
+--R 
+--R
+--R   (2)
+--R              4 5      3     4      2 2 2 3         3 3 2       4 4        4   4
+--R           (9a d  + 12a b c d  + 54a b c d  - 180a b c d  + 105b c d)x + 9a c d
+--R         + 
+--R              3   2 3      2 2 3 2         3 4        4 5
+--R           12a b c d  + 54a b c d  - 180a b c d + 105b c
+--R      *
+--R                          +-+ +-------+
+--R          +-------+      \|d \|b x + a
+--R         \|d x + c atanh(--------------)
+--R                          +-+ +-------+
+--R                         \|b \|d x + c
+--R     + 
+--R              2   5        2   4     3 2 3  3
+--R           (6a b d  - 12a b c d  + 6b c d )x
+--R         + 
+--R                3 5     2     4        2 2 3      3 3 2  2
+--R           (- 9a d  - 3a b c d  + 33a b c d  - 21b c d )x
+--R         + 
+--R                 3   4      2   2 3         2 3 2       3 4        3 2 3
+--R           (- 18a c d  - 24a b c d  + 198a b c d  - 140b c d)x - 9a c d
+--R         + 
+--R                2   3 2         2 4        3 5
+--R           - 15a b c d  + 145a b c d - 105b c
+--R      *
+--R          +-+ +-+ +-------+
+--R         \|b \|d \|b x + a
+--R  /
+--R               2 2 7        3   6      4 2 5        2 2   6        3 2 5
+--R           (12a b d  - 24a b c d  + 12b c d )x + 12a b c d  - 24a b c d
+--R         + 
+--R              4 3 4
+--R           12b c d
+--R    *
+--R        +-+ +-+ +-------+
+--R       \|b \|d \|d x + c
+--R                                                    Type: Expression(Integer)
+--E  832
+
+--S 833 of 1000
+--a0:=integrate(t0,x)
+--E  833
+
+--S 834 of 1000
+--m0:=a0-r0
+--E  834
+
+--S 835 of 1000
+--d0:=D(m0,x)
+--E  835
+
+)clear all
+
+--S 836 of 1000
+t0:=x^3/((c+d*x)^(5/2)*sqrt(a+b*x))
+--R 
+--R
+--R                            3
+--R                           x
+--R   (1)  ----------------------------------------
+--R          2 2             2  +-------+ +-------+
+--R        (d x  + 2c d x + c )\|b x + a \|d x + c
+--R                                                    Type: Expression(Integer)
+--E  836
+
+--S 837 of 1000
+r0:=-(5*b*c+a*d)*atanh(sqrt(d)*sqrt(a+b*x)/(sqrt(b)*sqrt(c+d*x)))/_
+     (b^(3/2)*d^(7/2))+x^2*sqrt(a+b*x)/(b*d*(c+d*x)^(3/2))+_
+     1/3*c*(4*a*c+(5*b*c+a*d)*x)*sqrt(a+b*x)/(b*d^2*(b*c-a*d)*_
+     (c+d*x)^(3/2))+1/3*c*(5*b*c-7*a*d)*(3*b*c-a*d)*sqrt(a+b*x)/_
+     (b*d^3*(b*c-a*d)^2*sqrt(c+d*x))
+--R 
+--R
+--R   (2)
+--R                3 4     2     3        2 2 2      3 3        3   3     2   2 2
+--R           (- 3a d  - 9a b c d  + 27a b c d  - 15b c d)x - 3a c d  - 9a b c d
+--R         + 
+--R                2 3       3 4
+--R           27a b c d - 15b c
+--R      *
+--R                          +-+ +-------+
+--R          +-------+      \|d \|b x + a
+--R         \|d x + c atanh(--------------)
+--R                          +-+ +-------+
+--R                         \|b \|d x + c
+--R     + 
+--R              2 4           3     2 2 2  2      2   3          2 2      2 3
+--R           (3a d  - 6a b c d  + 3b c d )x  + (6a c d  - 30a b c d  + 20b c d)x
+--R         + 
+--R             2 2 2          3       2 4
+--R           3a c d  - 22a b c d + 15b c
+--R      *
+--R          +-+ +-+ +-------+
+--R         \|b \|d \|b x + a
+--R  /
+--R           2   6       2   5     3 2 4       2     5       2 2 4     3 3 3  +-+
+--R       ((3a b d  - 6a b c d  + 3b c d )x + 3a b c d  - 6a b c d  + 3b c d )\|b
+--R    *
+--R        +-+ +-------+
+--R       \|d \|d x + c
+--R                                                    Type: Expression(Integer)
+--E  837
+
+--S 838 of 1000
+--a0:=integrate(t0,x)
+--E  838
+
+--S 839 of 1000
+--m0:=a0-r0
+--E  839
+
+--S 840 of 1000
+--d0:=D(m0,x)
+--E  840
+
+)clear all
+
+--S 841 of 1000
+t0:=x^2/((c+d*x)^(5/2)*sqrt(a+b*x))
+--R 
+--R
+--R                            2
+--R                           x
+--R   (1)  ----------------------------------------
+--R          2 2             2  +-------+ +-------+
+--R        (d x  + 2c d x + c )\|b x + a \|d x + c
+--R                                                    Type: Expression(Integer)
+--E  841
+
+--S 842 of 1000
+r0:=2*atanh(sqrt(d)*sqrt(a+b*x)/(sqrt(b)*sqrt(c+d*x)))/(d^(5/2)*sqrt(b))+_
+     2/3*c^2*sqrt(a+b*x)/(d^2*(b*c-a*d)*(c+d*x)^(3/2))-_
+     4/3*c*(2*b*c-3*a*d)*sqrt(a+b*x)/(d^2*(b*c-a*d)^2*sqrt(c+d*x))
+--R 
+--R
+--R   (2)
+--R             2 3            2     2 2        2   2          2      2 3
+--R         ((6a d  - 12a b c d  + 6b c d)x + 6a c d  - 12a b c d + 6b c )
+--R      *
+--R                          +-+ +-------+
+--R          +-------+      \|d \|b x + a
+--R         \|d x + c atanh(--------------)
+--R                          +-+ +-------+
+--R                         \|b \|d x + c
+--R     + 
+--R                2       2           2        3  +-+ +-+ +-------+
+--R       ((12a c d  - 8b c d)x + 10a c d - 6b c )\|b \|d \|b x + a
+--R  /
+--R           2 5           4     2 2 3       2   4         2 3     2 3 2  +-+ +-+
+--R       ((3a d  - 6a b c d  + 3b c d )x + 3a c d  - 6a b c d  + 3b c d )\|b \|d
+--R    *
+--R        +-------+
+--R       \|d x + c
+--R                                                    Type: Expression(Integer)
+--E  842
+
+--S 843 of 1000
+--a0:=integrate(t0,x)
+--E  843
+
+--S 844 of 1000
+--m0:=a0-r0
+--E  844
+
+--S 845 of 1000
+--d0:=D(m0,x)
+--E  845
+
+)clear all
+
+--S 846 of 1000
+t0:=x/((c+d*x)^(5/2)*sqrt(a+b*x))
+--R 
+--R
+--R                            x
+--R   (1)  ----------------------------------------
+--R          2 2             2  +-------+ +-------+
+--R        (d x  + 2c d x + c )\|b x + a \|d x + c
+--R                                                    Type: Expression(Integer)
+--E  846
+
+--S 847 of 1000
+r0:=-2/3*c*sqrt(a+b*x)/(d*(b*c-a*d)*(c+d*x)^(3/2))+2/3*(b*c-3*a*d)*_
+     sqrt(a+b*x)/(d*(b*c-a*d)^2*sqrt(c+d*x))
+--R 
+--R
+--R                                                    +-------+
+--R                          ((- 6a d + 2b c)x - 4a c)\|b x + a
+--R   (2)  ----------------------------------------------------------------------
+--R            2 3           2     2 2        2   2         2      2 3  +-------+
+--R        ((3a d  - 6a b c d  + 3b c d)x + 3a c d  - 6a b c d + 3b c )\|d x + c
+--R                                                    Type: Expression(Integer)
+--E  847
+
+--S 848 of 1000 ok to fail, differs by a constant
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R                        2         2  +-------+ +-------+              2  2 2
+--R       ((- 6a c d + 2b c )x - 4a c )\|b x + a \|d x + c  + (- a c - 4a )d x
+--R     + 
+--R              2     2           3     2 2
+--R       (- 2a c  - 8a c)d x - a c  - 4a c
+--R  /
+--R          2   4         2 3     2 3 2  2      2 2 3          3 2     2 4
+--R       (3a c d  - 6a b c d  + 3b c d )x  + (6a c d  - 12a b c d  + 6b c d)x
+--R     + 
+--R         2 3 2         4      2 5
+--R       3a c d  - 6a b c d + 3b c
+--R                                         Type: Union(Expression(Integer),...)
+--E  848
+
+--S 849 of 1000 ok to fail, differs by a constant
+m0:=a0-r0
+--R 
+--R
+--R                          2
+--R                - a c - 4a
+--R   (4)  --------------------------
+--R          2   2         2      2 3
+--R        3a c d  - 6a b c d + 3b c
+--R                                                    Type: Expression(Integer)
+--E  849
+
+--S 850 of 1000
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E  850
+
+)clear all
+
+--S 851 of 1000
+t0:=1/((c+d*x)^(5/2)*sqrt(a+b*x))
+--R 
+--R
+--R                            1
+--R   (1)  ----------------------------------------
+--R          2 2             2  +-------+ +-------+
+--R        (d x  + 2c d x + c )\|b x + a \|d x + c
+--R                                                    Type: Expression(Integer)
+--E  851
+
+--S 852 of 1000
+r0:=2/3*sqrt(a+b*x)/((b*c-a*d)*(c+d*x)^(3/2))+4/3*b*sqrt(a+b*x)/_
+     ((b*c-a*d)^2*sqrt(c+d*x))
+--R 
+--R
+--R                                                  +-------+
+--R                           (4b d x - 2a d + 6b c)\|b x + a
+--R   (2)  ----------------------------------------------------------------------
+--R            2 3           2     2 2        2   2         2      2 3  +-------+
+--R        ((3a d  - 6a b c d  + 3b c d)x + 3a c d  - 6a b c d + 3b c )\|d x + c
+--R                                                    Type: Expression(Integer)
+--E  852
+
+--S 853 of 1000 ok to fail, differs by a constant
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R             2           2         3  +-------+ +-------+
+--R       (20b c d x - 10a c d + 30b c )\|b x + a \|d x + c
+--R     + 
+--R                    2  3        2            2  2
+--R       ((- a c - 25a )d  + (3b c  + 75a b c)d )x
+--R     + 
+--R               2      2   2        3           2             3      2 2
+--R       ((- 2a c  - 50a c)d  + (6b c  + 150a b c )d)x + (- a c  - 25a c )d
+--R     + 
+--R           4          3
+--R       3b c  + 75a b c
+--R  /
+--R           2 2 4          3 3      2 4 2  2       2 3 3          4 2      2 5
+--R       (15a c d  - 30a b c d  + 15b c d )x  + (30a c d  - 60a b c d  + 30b c d)x
+--R     + 
+--R          2 4 2          5       2 6
+--R       15a c d  - 30a b c d + 15b c
+--R                                         Type: Union(Expression(Integer),...)
+--E  853
+
+--S 854 of 1000 ok to fail, differs by a constant
+m0:=a0-r0
+--R 
+--R
+--R                    2         2
+--R        (- a c - 25a )d + 3b c  + 75a b c
+--R   (4)  ---------------------------------
+--R             2 2 2          3       2 4
+--R          15a c d  - 30a b c d + 15b c
+--R                                                    Type: Expression(Integer)
+--E  854
+
+--S 855 of 1000
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E  855
+
+)clear all
+
+--S 856 of 1000
+t0:=1/(x*(c+d*x)^(5/2)*sqrt(a+b*x))
+--R 
+--R
+--R                             1
+--R   (1)  ------------------------------------------
+--R          2 3         2    2   +-------+ +-------+
+--R        (d x  + 2c d x  + c x)\|b x + a \|d x + c
+--R                                                    Type: Expression(Integer)
+--E  856
+
+--S 857 of 1000
+r0:=-2*atanh(sqrt(c)*sqrt(a+b*x)/(sqrt(a)*sqrt(c+d*x)))/(c^(5/2)*sqrt(a))-_
+     2/3*d*sqrt(a+b*x)/(c*(b*c-a*d)*(c+d*x)^(3/2))-_
+     2/3*d*(5*b*c-3*a*d)*sqrt(a+b*x)/(c^2*(b*c-a*d)^2*sqrt(c+d*x))
+--R 
+--R
+--R   (2)
+--R               2 3            2     2 2        2   2          2      2 3
+--R         ((- 6a d  + 12a b c d  - 6b c d)x - 6a c d  + 12a b c d - 6b c )
+--R      *
+--R                          +-+ +-------+
+--R          +-------+      \|c \|b x + a
+--R         \|d x + c atanh(--------------)
+--R                          +-+ +-------+
+--R                         \|a \|d x + c
+--R     + 
+--R             3          2           2        2   +-+ +-+ +-------+
+--R       ((6a d  - 10b c d )x + 8a c d  - 12b c d)\|a \|c \|b x + a
+--R  /
+--R           2 2 3         3 2     2 4        2 3 2         4      2 5  +-+ +-+
+--R       ((3a c d  - 6a b c d  + 3b c d)x + 3a c d  - 6a b c d + 3b c )\|a \|c
+--R    *
+--R        +-------+
+--R       \|d x + c
+--R                                                    Type: Expression(Integer)
+--E  857
+
+--S 858 of 1000
+--a0:=integrate(t0,x)
+--E  858
+
+--S 859 of 1000
+--m0:=a0-r0
+--E  859
+
+--S 860 of 1000
+--d0:=D(m0,x)
+--E  860
+
+)clear all
+
+--S 861 of 1000
+t0:=1/(x^2*(c+d*x)^(5/2)*sqrt(a+b*x))
+--R 
+--R
+--R                             1
+--R   (1)  -------------------------------------------
+--R          2 4         3    2 2  +-------+ +-------+
+--R        (d x  + 2c d x  + c x )\|b x + a \|d x + c
+--R                                                    Type: Expression(Integer)
+--E  861
+
+--S 862 of 1000
+r0:=(b*c+5*a*d)*atanh(sqrt(c)*sqrt(a+b*x)/(sqrt(a)*sqrt(c+d*x)))/_
+     (a^(3/2)*c^(7/2))-1/3*d*(3*b*c-5*a*d)*sqrt(a+b*x)/_
+     (a*c^2*(b*c-a*d)*(c+d*x)^(3/2))-sqrt(a+b*x)/(a*c*x*(c+d*x)^(3/2))-_
+     1/3*d*(3*b^2*c^2-22*a*b*c*d+15*a^2*d^2)*sqrt(a+b*x)/_
+     (a*c^3*(b*c-a*d)^2*sqrt(c+d*x))
+--R 
+--R
+--R   (2)
+--R               3 4      2     3       2 2 2     3 3   2
+--R           (15a d  - 27a b c d  + 9a b c d  + 3b c d)x
+--R         + 
+--R               3   3      2   2 2       2 3      3 4
+--R           (15a c d  - 27a b c d  + 9a b c d + 3b c )x
+--R      *
+--R                          +-+ +-------+
+--R          +-------+      \|c \|b x + a
+--R         \|d x + c atanh(--------------)
+--R                          +-+ +-------+
+--R                         \|a \|d x + c
+--R     + 
+--R                 2 4            3     2 2 2  2
+--R           (- 15a d  + 22a b c d  - 3b c d )x
+--R         + 
+--R                 2   3          2 2     2 3        2 2 2         3      2 4
+--R           (- 20a c d  + 30a b c d  - 6b c d)x - 3a c d  + 6a b c d - 3b c
+--R      *
+--R          +-+ +-+ +-------+
+--R         \|a \|c \|b x + a
+--R  /
+--R           3 3 3     2   4 2       2 5   2      3 4 2     2   5        2 6
+--R       ((3a c d  - 6a b c d  + 3a b c d)x  + (3a c d  - 6a b c d + 3a b c )x)
+--R    *
+--R        +-+ +-+ +-------+
+--R       \|a \|c \|d x + c
+--R                                                    Type: Expression(Integer)
+--E  862
+
+--S 863 of 1000
+--a0:=integrate(t0,x)
+--E  863
+
+--S 864 of 1000
+--m0:=a0-r0
+--E  864
+
+--S 865 of 1000
+--d0:=D(m0,x)
+--E  865
+
+)clear all
+
+--S 866 of 1000
+t0:=1/(x^3*(c+d*x)^(5/2)*sqrt(a+b*x))
+--R 
+--R
+--R                             1
+--R   (1)  -------------------------------------------
+--R          2 5         4    2 3  +-------+ +-------+
+--R        (d x  + 2c d x  + c x )\|b x + a \|d x + c
+--R                                                    Type: Expression(Integer)
+--E  866
+
+--S 867 of 1000
+r0:=-1/4*(3*b^2*c^2+10*a*b*c*d+35*a^2*d^2)*atanh(sqrt(c)*sqrt(a+b*x)/_
+     (sqrt(a)*sqrt(c+d*x)))/(a^(5/2)*c^(9/2))+1/12*d*(9*b^2*c^2+_
+     18*a*b*c*d-35*a^2*d^2)*sqrt(a+b*x)/(a^2*c^3*(b*c-a*d)*(c+d*x)^(3/2))-_
+     1/2*sqrt(a+b*x)/(a*c*x^2*(c+d*x)^(3/2))+1/4*(3*b*c+7*a*d)*_
+     sqrt(a+b*x)/(a^2*c^2*x*(c+d*x)^(3/2))+1/12*d*(9*b^3*c^3+_
+     15*a*b^2*c^2*d-145*a^2*b*c*d^2+105*a^3*d^3)*sqrt(a+b*x)/_
+     (a^2*c^4*(b*c-a*d)^2*sqrt(c+d*x))
+--R 
+--R
+--R   (2)
+--R                  4 5       3     4      2 2 2 3        3 3 2     4 4   3
+--R           (- 105a d  + 180a b c d  - 54a b c d  - 12a b c d  - 9b c d)x
+--R         + 
+--R                  4   4       3   2 3      2 2 3 2        3 4      4 5  2
+--R           (- 105a c d  + 180a b c d  - 54a b c d  - 12a b c d - 9b c )x
+--R      *
+--R                          +-+ +-------+
+--R          +-------+      \|c \|b x + a
+--R         \|d x + c atanh(--------------)
+--R                          +-+ +-------+
+--R                         \|a \|d x + c
+--R     + 
+--R                3 5       2     4        2 2 3     3 3 2  3
+--R           (105a d  - 145a b c d  + 15a b c d  + 9b c d )x
+--R         + 
+--R                3   4       2   2 3        2 3 2      3 4   2
+--R           (140a c d  - 198a b c d  + 24a b c d  + 18b c d)x
+--R         + 
+--R               3 2 3      2   3 2       2 4      3 5       3 3 2      2   4
+--R           (21a c d  - 33a b c d  + 3a b c d + 9b c )x - 6a c d  + 12a b c d
+--R         + 
+--R                 2 5
+--R           - 6a b c
+--R      *
+--R          +-+ +-+ +-------+
+--R         \|a \|c \|b x + a
+--R  /
+--R             4 4 3      3   5 2      2 2 6   3
+--R         (12a c d  - 24a b c d  + 12a b c d)x
+--R       + 
+--R             4 5 2      3   6       2 2 7  2
+--R         (12a c d  - 24a b c d + 12a b c )x
+--R    *
+--R        +-+ +-+ +-------+
+--R       \|a \|c \|d x + c
+--R                                                    Type: Expression(Integer)
+--E  867
+
+--S 868 of 1000
+--a0:=integrate(t0,x)
+--E  868
+
+--S 869 of 1000
+--m0:=a0-r0
+--E  869
+
+--S 870 of 1000
+--d0:=D(m0,x)
+--E  870
+
+)clear all
+
+--S 871 of 1000
+t0:=1/(x*sqrt(1-a-b*x)*sqrt(1+a+b*x))
+--R 
+--R
+--R                       1
+--R   (1)  -------------------------------
+--R          +-------------+ +-----------+
+--R        x\|- b x - a + 1 \|b x + a + 1
+--R                                                    Type: Expression(Integer)
+--E  871
+
+--S 872 of 1000
+r0:=-2*atanh(sqrt(1-a)*sqrt(1+a+b*x)/(sqrt(1+a)*sqrt(1-a-b*x)))/sqrt(1-a^2)
+--R 
+--R
+--R                  +-------+ +-----------+
+--R                 \|- a + 1 \|b x + a + 1
+--R          2atanh(------------------------)
+--R                  +-------------+ +-----+
+--R                 \|- b x - a + 1 \|a + 1
+--R   (2)  - --------------------------------
+--R                      +--------+
+--R                      |   2
+--R                     \|- a  + 1
+--R                                                    Type: Expression(Integer)
+--E  872
+
+--S 873 of 1000
+--a0:=integrate(t0,x)
+--E  873
+
+--S 874 of 1000
+--m0:=a0-r0
+--E  874
+
+--S 875 of 1000
+--d0:=D(m0,x)
+--E  875
+
+)clear all
+
+--S 876 of 1000
+t0:=x^3*(c+d*x)^(3/2)/(a+b*x)^(3/2)
+--R 
+--R
+--R            4      3  +-------+
+--R        (d x  + c x )\|d x + c
+--R   (1)  -----------------------
+--R                    +-------+
+--R          (b x + a)\|b x + a
+--R                                                    Type: Expression(Integer)
+--E  876
+
+--S 877 of 1000
+r0:=3/64*(b*c-a*d)*(b^3*c^3+5*a*b^2*c^2*d+35*a^2*b*c*d^2-105*a^3*d^3)*_
+     atanh(sqrt(d)*sqrt(a+b*x)/(sqrt(b)*sqrt(c+d*x)))/(b^(11/2)*d^(5/2))-_
+     2*x^3*(c+d*x)^(3/2)/(b*sqrt(a+b*x))-1/32*(3*b^2*c^2+14*a*b*c*d-_
+     105*a^2*d^2)*(c+d*x)^(3/2)*sqrt(a+b*x)/(b^4*d^2)+1/8*(b*c-21*a*d)*_
+     x*(c+d*x)^(3/2)*sqrt(a+b*x)/(b^3*d)+9/4*x^2*(c+d*x)^(3/2)*_
+     sqrt(a+b*x)/b^2+3/64*(b^3*c^3+5*a*b^2*c^2*d+35*a^2*b*c*d^2-_
+     105*a^3*d^3)*sqrt(a+b*x)*sqrt(c+d*x)/(b^5*d^2)
+--R 
+--R
+--R   (2)
+--R              4 4       3     3      2 2 2 2        3 3      4 4  +-------+
+--R         (315a d  - 420a b c d  + 90a b c d  + 12a b c d + 3b c )\|b x + a
+--R      *
+--R                +-+ +-------+
+--R               \|d \|b x + a
+--R         atanh(--------------)
+--R                +-+ +-------+
+--R               \|b \|d x + c
+--R     + 
+--R              4 3 4           3 3      4   2  3
+--R           16b d x  + (- 24a b d  + 24b c d )x
+--R         + 
+--R               2 2 3        3   2     4 2   2
+--R           (42a b d  - 44a b c d  + 2b c d)x
+--R         + 
+--R                  3   3       2 2   2        3 2      4 3         4 3
+--R           (- 105a b d  + 119a b c d  - 11a b c d - 3b c )x - 315a d
+--R         + 
+--R               3     2      2 2 2        3 3
+--R           315a b c d  - 13a b c d - 3a b c
+--R      *
+--R          +-+ +-+ +-------+
+--R         \|b \|d \|d x + c
+--R  /
+--R        5 2 +-+ +-+ +-------+
+--R     64b d \|b \|d \|b x + a
+--R                                                    Type: Expression(Integer)
+--E  877
+
+--S 878 of 1000
+--a0:=integrate(t0,x)
+--E  878
+
+--S 879 of 1000
+--m0:=a0-r0
+--E  879
+
+--S 880 of 1000
+--d0:=D(m0,x)
+--E  880
+
+)clear all
+
+--S 881 of 1000
+t0:=x^2*(c+d*x)^(3/2)/(a+b*x)^(3/2)
+--R 
+--R
+--R            3      2  +-------+
+--R        (d x  + c x )\|d x + c
+--R   (1)  -----------------------
+--R                    +-------+
+--R          (b x + a)\|b x + a
+--R                                                    Type: Expression(Integer)
+--E  881
+
+--S 882 of 1000
+r0:=-1/8*(b*c-a*d)*(b^2*c^2+10*a*b*c*d-35*a^2*d^2)*atanh(sqrt(d)*_
+     sqrt(a+b*x)/(sqrt(b)*sqrt(c+d*x)))/(b^(9/2)*d^(3/2))-_
+     2*a^2*(c+d*x)^(5/2)/(b^2*(b*c-a*d)*sqrt(a+b*x))-_
+     1/12*(10*a*c+b*c^2/d-35*a^2*d/b)*(c+d*x)^(3/2)*sqrt(a+b*x)/_
+     (b^2*(b*c-a*d))+1/3*(c+d*x)^(5/2)*sqrt(a+b*x)/(b^2*d)-_
+     1/8*(b^2*c^2+10*a*b*c*d-35*a^2*d^2)*sqrt(a+b*x)*sqrt(c+d*x)/(b^4*d)
+--R 
+--R
+--R   (2)
+--R                3 3       2     2        2 2      3 3  +-------+
+--R         (- 105a d  + 135a b c d  - 27a b c d - 3b c )\|b x + a
+--R      *
+--R                +-+ +-------+
+--R               \|d \|b x + a
+--R         atanh(--------------)
+--R                +-+ +-------+
+--R               \|b \|d x + c
+--R     + 
+--R             3 2 3           2 2      3     2       2   2        2        3 2
+--R           8b d x  + (- 14a b d  + 14b c d)x  + (35a b d  - 38a b c d + 3b c )x
+--R         + 
+--R               3 2       2            2 2
+--R           105a d  - 100a b c d + 3a b c
+--R      *
+--R          +-+ +-+ +-------+
+--R         \|b \|d \|d x + c
+--R  /
+--R        4  +-+ +-+ +-------+
+--R     24b d\|b \|d \|b x + a
+--R                                                    Type: Expression(Integer)
+--E  882
+
+--S 883 of 1000
+--a0:=integrate(t0,x)
+--E  883
+
+--S 884 of 1000
+--m0:=a0-r0
+--E  884
+
+--S 885 of 1000
+--d0:=D(m0,x)
+--E  885
+
+)clear all
+
+--S 886 of 1000
+t0:=x*(c+d*x)^(3/2)/(a+b*x)^(3/2)
+--R 
+--R
+--R            2        +-------+
+--R        (d x  + c x)\|d x + c
+--R   (1)  ----------------------
+--R                    +-------+
+--R          (b x + a)\|b x + a
+--R                                                    Type: Expression(Integer)
+--E  886
+
+--S 887 of 1000
+r0:=3/4*(b*c-5*a*d)*(b*c-a*d)*atanh(sqrt(d)*sqrt(a+b*x)/(sqrt(b)*_
+     sqrt(c+d*x)))/(b^(7/2)*sqrt(d))+2*a*(c+d*x)^(5/2)/(b*(b*c-a*d)*_
+     sqrt(a+b*x))+1/2*(b*c-5*a*d)*(c+d*x)^(3/2)*sqrt(a+b*x)/_
+     (b^2*(b*c-a*d))+3/4*(b*c-5*a*d)*sqrt(a+b*x)*sqrt(c+d*x)/b^3
+--R 
+--R
+--R   (2)
+--R                                                    +-+ +-------+
+--R           2 2                 2 2  +-------+      \|d \|b x + a
+--R       (15a d  - 18a b c d + 3b c )\|b x + a atanh(--------------)
+--R                                                    +-+ +-------+
+--R                                                   \|b \|d x + c
+--R     + 
+--R          2   2                 2         2             +-+ +-+ +-------+
+--R       (2b d x  + (- 5a b d + 5b c)x - 15a d + 13a b c)\|b \|d \|d x + c
+--R  /
+--R       3 +-+ +-+ +-------+
+--R     4b \|b \|d \|b x + a
+--R                                                    Type: Expression(Integer)
+--E  887
+
+--S 888 of 1000
+--a0:=integrate(t0,x)
+--E  888
+
+--S 889 of 1000
+--m0:=a0-r0
+--E  889
+
+--S 890 of 1000
+--d0:=D(m0,x)
+--E  890
+
+)clear all
+
+--S 891 of 1000
+t0:=(c+d*x)^(3/2)/(a+b*x)^(3/2)
+--R 
+--R
+--R                  +-------+
+--R        (d x + c)\|d x + c
+--R   (1)  -------------------
+--R                  +-------+
+--R        (b x + a)\|b x + a
+--R                                                    Type: Expression(Integer)
+--E  891
+
+--S 892 of 1000
+r0:=3*(b*c-a*d)*atanh(sqrt(d)*sqrt(a+b*x)/(sqrt(b)*sqrt(c+d*x)))*_
+     sqrt(d)/b^(5/2)-2*(c+d*x)^(3/2)/(b*sqrt(a+b*x))+3*d*_
+     sqrt(a+b*x)*sqrt(c+d*x)/b^2
+--R 
+--R
+--R   (2)
+--R                                           +-+ +-------+
+--R                       +-+ +-------+      \|d \|b x + a
+--R       (- 3a d + 3b c)\|d \|b x + a atanh(--------------)
+--R                                           +-+ +-------+
+--R                                          \|b \|d x + c
+--R     + 
+--R                             +-+ +-------+
+--R       (b d x + 3a d - 2b c)\|b \|d x + c
+--R  /
+--R      2 +-+ +-------+
+--R     b \|b \|b x + a
+--R                                                    Type: Expression(Integer)
+--E  892
+
+--S 893 of 1000
+--a0:=integrate(t0,x)
+--E  893
+
+--S 894 of 1000
+--m0:=a0-r0
+--E  894
+
+--S 895 of 1000
+--d0:=D(m0,x)
+--E  895
+
+)clear all
+
+--S 896 of 1000
+t0:=(c+d*x)^(3/2)/(x*(a+b*x)^(3/2))
+--R 
+--R
+--R                    +-------+
+--R          (d x + c)\|d x + c
+--R   (1)  ----------------------
+--R            2        +-------+
+--R        (b x  + a x)\|b x + a
+--R                                                    Type: Expression(Integer)
+--E  896
+
+--S 897 of 1000
+r0:=-2*c^(3/2)*atanh(sqrt(c)*sqrt(a+b*x)/(sqrt(a)*sqrt(c+d*x)))/a^(3/2)+_
+     2*d^(3/2)*atanh(sqrt(d)*sqrt(a+b*x)/(sqrt(b)*sqrt(c+d*x)))/b^(3/2)+_
+     2*(c+d*x)^(3/2)/(a*sqrt(a+b*x))-2*d*sqrt(a+b*x)*sqrt(c+d*x)/(a*b)
+--R 
+--R
+--R   (2)
+--R                                    +-+ +-------+
+--R            +-+ +-+ +-------+      \|d \|b x + a
+--R       2a d\|a \|d \|b x + a atanh(--------------)
+--R                                    +-+ +-------+
+--R                                   \|b \|d x + c
+--R     + 
+--R                                      +-+ +-------+
+--R              +-+ +-+ +-------+      \|c \|b x + a
+--R       - 2b c\|b \|c \|b x + a atanh(--------------)
+--R                                      +-+ +-------+
+--R                                     \|a \|d x + c
+--R     + 
+--R                       +-+ +-+ +-------+
+--R       (- 2a d + 2b c)\|a \|b \|d x + c
+--R  /
+--R         +-+ +-+ +-------+
+--R     a b\|a \|b \|b x + a
+--R                                                    Type: Expression(Integer)
+--E  897
+
+--S 898 of 1000 (non-algebraic residues)
+--a0:=integrate(t0,x)
+--E  898
+
+--S 899 of 1000
+--m0:=a0-r0
+--E  899
+
+--S 900 of 1000
+--d0:=D(m0,x)
+--E  900
+
+)clear all
+
+--S 901 of 1000
+t0:=(c+d*x)^(3/2)/(x^2*(a+b*x)^(3/2))
+--R 
+--R
+--R                    +-------+
+--R          (d x + c)\|d x + c
+--R   (1)  -----------------------
+--R            3      2  +-------+
+--R        (b x  + a x )\|b x + a
+--R                                                    Type: Expression(Integer)
+--E  901
+
+--S 902 of 1000
+r0:=3*(b*c-a*d)*atanh(sqrt(c)*sqrt(a+b*x)/(sqrt(a)*sqrt(c+d*x)))*_
+     sqrt(c)/a^(5/2)-(c+d*x)^(3/2)/(a*x*sqrt(a+b*x))-3*(b*c-a*d)*_
+     sqrt(c+d*x)/(a^2*sqrt(a+b*x))
+--R 
+--R
+--R   (2)
+--R                                            +-+ +-------+
+--R                        +-+ +-------+      \|c \|b x + a
+--R       (- 3a d + 3b c)x\|c \|b x + a atanh(--------------)
+--R                                            +-+ +-------+
+--R                                           \|a \|d x + c
+--R     + 
+--R                              +-+ +-------+
+--R       ((2a d - 3b c)x - a c)\|a \|d x + c
+--R  /
+--R      2  +-+ +-------+
+--R     a x\|a \|b x + a
+--R                                                    Type: Expression(Integer)
+--E  902
+
+--S 903 of 1000
+--a0:=integrate(t0,x)
+--E  903
+
+--S 904 of 1000
+--m0:=a0-r0
+--E  904
+
+--S 905 of 1000
+--d0:=D(m0,x)
+--E  905
+
+)clear all
+
+--S 906 of 1000
+t0:=(c+d*x)^(3/2)/(x^3*(a+b*x)^(3/2))
+--R 
+--R
+--R                    +-------+
+--R          (d x + c)\|d x + c
+--R   (1)  -----------------------
+--R            4      3  +-------+
+--R        (b x  + a x )\|b x + a
+--R                                                    Type: Expression(Integer)
+--E  906
+
+--S 907 of 1000
+r0:=-3/4*(b*c-a*d)*(5*b*c-a*d)*atanh(sqrt(c)*sqrt(a+b*x)/_
+     (sqrt(a)*sqrt(c+d*x)))/(a^(7/2)*sqrt(c))-1/2*(c+d*x)^(3/2)/_
+     (a*x^2*sqrt(a+b*x))+1/4*b*(15*b*c-13*a*d)*sqrt(c+d*x)/_
+     (a^3*sqrt(a+b*x))+1/4*(5*b*c-3*a*d)*sqrt(c+d*x)/(a^2*x*sqrt(a+b*x))
+--R 
+--R
+--R   (2)
+--R                                                        +-+ +-------+
+--R            2 2                  2 2  2 +-------+      \|c \|b x + a
+--R       (- 3a d  + 18a b c d - 15b c )x \|b x + a atanh(--------------)
+--R                                                        +-+ +-------+
+--R                                                       \|a \|d x + c
+--R     + 
+--R                        2   2        2                 2   +-+ +-+ +-------+
+--R       ((- 13a b d + 15b c)x  + (- 5a d + 5a b c)x - 2a c)\|a \|c \|d x + c
+--R  /
+--R       3 2 +-+ +-+ +-------+
+--R     4a x \|a \|c \|b x + a
+--R                                                    Type: Expression(Integer)
+--E  907
+
+--S 908 of 1000
+--a0:=integrate(t0,x)
+--E  908
+
+--S 909 of 1000
+--m0:=a0-r0
+--E  909
+
+--S 910 of 1000
+--d0:=D(m0,x)
+--E  910
+
+)clear all
+
+--S 911 of 1000
+t0:=(c+d*x)^(3/2)/(x^4*(a+b*x)^(3/2))
+--R 
+--R
+--R                    +-------+
+--R          (d x + c)\|d x + c
+--R   (1)  -----------------------
+--R            5      4  +-------+
+--R        (b x  + a x )\|b x + a
+--R                                                    Type: Expression(Integer)
+--E  911
+
+--S 912 of 1000
+r0:=1/8*(b*c-a*d)*(35*b^2*c^2-10*a*b*c*d-a^2*d^2)*atanh(sqrt(c)*sqrt(a+b*x)/_
+     (sqrt(a)*sqrt(c+d*x)))/(a^(9/2)*c^(3/2))-1/3*(c+d*x)^(3/2)/_
+     (a*x^3*sqrt(a+b*x))-1/24*b*(105*b^2*c^2-100*a*b*c*d+3*a^2*d^2)*_
+     sqrt(c+d*x)/(a^4*c*sqrt(a+b*x))+1/12*(7*b*c-3*a*d)*sqrt(c+d*x)/_
+     (a^2*x^2*sqrt(a+b*x))-1/24*(35*b*c-3*a*d)*(b*c-a*d)*_
+     sqrt(c+d*x)/(a^3*c*x*sqrt(a+b*x))
+--R 
+--R
+--R   (2)
+--R            3 3      2     2         2 2        3 3  3 +-------+
+--R         (3a d  + 27a b c d  - 135a b c d + 105b c )x \|b x + a
+--R      *
+--R                +-+ +-------+
+--R               \|c \|b x + a
+--R         atanh(--------------)
+--R                +-+ +-------+
+--R               \|a \|d x + c
+--R     + 
+--R                2   2         2          3 2  3
+--R           (- 3a b d  + 100a b c d - 105b c )x
+--R         + 
+--R                3 2      2             2 2  2         3         2   2       3 2
+--R           (- 3a d  + 38a b c d - 35a b c )x  + (- 14a c d + 14a b c )x - 8a c
+--R      *
+--R          +-+ +-+ +-------+
+--R         \|a \|c \|d x + c
+--R  /
+--R        4   3 +-+ +-+ +-------+
+--R     24a c x \|a \|c \|b x + a
+--R                                                    Type: Expression(Integer)
+--E  912
+
+--S 913 of 1000
+--a0:=integrate(t0,x)
+--E  913
+
+--S 914 of 1000
+--m0:=a0-r0
+--E  914
+
+--S 915 of 1000
+--d0:=D(m0,x)
+--E  915
+
+)clear all
+
+--S 916 of 1000
+t0:=x^3*(c+d*x)^(5/2)/(a+b*x)^(3/2)
+--R 
+--R
+--R          2 5         4    2 3  +-------+
+--R        (d x  + 2c d x  + c x )\|d x + c
+--R   (1)  ---------------------------------
+--R                         +-------+
+--R               (b x + a)\|b x + a
+--R                                                    Type: Expression(Integer)
+--E  916
+
+--S 917 of 1000
+r0:=3/128*(b*c-a*d)^2*(b^3*c^3+7*a*b^2*c^2*d+63*a^2*b*c*d^2-231*a^3*d^3)*_
+     atanh(sqrt(d)*sqrt(a+b*x)/(sqrt(b)*sqrt(c+d*x)))/(b^(13/2)*d^(5/2))-_
+     2*x^3*(c+d*x)^(5/2)/(b*sqrt(a+b*x))+1/64*(b^3*c^3+7*a*b^2*c^2*d+_
+     63*a^2*b*c*d^2-231*a^3*d^3)*(c+d*x)^(3/2)*sqrt(a+b*x)/(b^5*d^2)-_
+     1/80*(5*b^2*c^2+30*a*b*c*d-231*a^2*d^2)*(c+d*x)^(5/2)*_
+     sqrt(a+b*x)/(b^4*d^2)+1/40*(5*b*c-99*a*d)*x*(c+d*x)^(5/2)*_
+     sqrt(a+b*x)/(b^3*d)+11/5*x^2*(c+d*x)^(5/2)*sqrt(a+b*x)/b^2+_
+     3/128*(b*c-a*d)*(b^3*c^3+7*a*b^2*c^2*d+63*a^2*b*c*d^2-231*_
+     a^3*d^3)*sqrt(a+b*x)*sqrt(c+d*x)/(b^6*d^2)
+--R 
+--R
+--R   (2)
+--R                  5 5        4     4        3 2 2 3       2 3 3 2        4 4
+--R           - 3465a d  + 7875a b c d  - 5250a b c d  + 750a b c d  + 75a b c d
+--R         + 
+--R              5 5
+--R           15b c
+--R      *
+--R                          +-+ +-------+
+--R          +-------+      \|d \|b x + a
+--R         \|b x + a atanh(--------------)
+--R                          +-+ +-------+
+--R                         \|b \|d x + c
+--R     + 
+--R               5 4 5            4 4       5   3  4
+--R           128b d x  + (- 176a b d  + 336b c d )x
+--R         + 
+--R                2 3 4         4   3       5 2 2  3
+--R           (264a b d  - 512a b c d  + 248b c d )x
+--R         + 
+--R                  3 2 4       2 3   3         4 2 2      5 3   2
+--R           (- 462a b d  + 918a b c d  - 466a b c d  + 10b c d)x
+--R         + 
+--R                 4   4        3 2   3        2 3 2 2        4 3       5 4
+--R           (1155a b d  - 2394a b c d  + 1324a b c d  - 70a b c d - 15b c )x
+--R         + 
+--R                5 4        4     3        3 2 2 2      2 3 3         4 4
+--R           3465a d  - 6720a b c d  + 3318a b c d  - 80a b c d - 15a b c
+--R      *
+--R          +-+ +-+ +-------+
+--R         \|b \|d \|d x + c
+--R  /
+--R         6 2 +-+ +-+ +-------+
+--R     640b d \|b \|d \|b x + a
+--R                                                    Type: Expression(Integer)
+--E  917
+
+--S 918 of 1000
+--a0:=integrate(t0,x)
+--E  918
+
+--S 919 of 1000
+--m0:=a0-r0
+--E  919
+
+--S 920 of 1000
+--d0:=D(m0,x)
+--E  920
+
+)clear all
+
+--S 921 of 1000
+t0:=x^2*(c+d*x)^(5/2)/(a+b*x)^(3/2)
+--R 
+--R
+--R          2 4         3    2 2  +-------+
+--R        (d x  + 2c d x  + c x )\|d x + c
+--R   (1)  ---------------------------------
+--R                         +-------+
+--R               (b x + a)\|b x + a
+--R                                                    Type: Expression(Integer)
+--E  921
+
+--S 922 of 1000
+r0:=-5/64*(b*c-a*d)^2*(b^2*c^2+14*a*b*c*d-63*a^2*d^2)*atanh(sqrt(d)*_
+     sqrt(a+b*x)/(sqrt(b)*sqrt(c+d*x)))/(b^(11/2)*d^(3/2))-_
+     2*a^2*(c+d*x)^(7/2)/(b^2*(b*c-a*d)*sqrt(a+b*x))-_
+     5/96*(b^2*c^2+14*a*b*c*d-63*a^2*d^2)*(c+d*x)^(3/2)*sqrt(a+b*x)/_
+     (b^4*d)-1/24*(14*a*c+b*c^2/d-63*a^2*d/b)*(c+d*x)^(5/2)*_
+     sqrt(a+b*x)/(b^2*(b*c-a*d))+1/4*(c+d*x)^(7/2)*sqrt(a+b*x)/_
+     (b^2*d)-5/64*(b*c-a*d)*(b^2*c^2+14*a*b*c*d-63*a^2*d^2)*_
+     sqrt(a+b*x)*sqrt(c+d*x)/(b^5*d)
+--R 
+--R
+--R   (2)
+--R              4 4        3     3        2 2 2 2         3 3       4 4  +-------+
+--R         (945a d  - 2100a b c d  + 1350a b c d  - 180a b c d - 15b c )\|b x + a
+--R      *
+--R                +-+ +-------+
+--R               \|d \|b x + a
+--R         atanh(--------------)
+--R                +-+ +-------+
+--R               \|b \|d x + c
+--R     + 
+--R              4 3 4           3 3       4   2  3
+--R           48b d x  + (- 72a b d  + 136b c d )x
+--R         + 
+--R                2 2 3         3   2       4 2   2
+--R           (126a b d  - 244a b c d  + 118b c d)x
+--R         + 
+--R                  3   3       2 2   2         3 2       4 3         4 3
+--R           (- 315a b d  + 637a b c d  - 337a b c d + 15b c )x - 945a d
+--R         + 
+--R                3     2       2 2 2         3 3
+--R           1785a b c d  - 839a b c d + 15a b c
+--R      *
+--R          +-+ +-+ +-------+
+--R         \|b \|d \|d x + c
+--R  /
+--R         5  +-+ +-+ +-------+
+--R     192b d\|b \|d \|b x + a
+--R                                                    Type: Expression(Integer)
+--E  922
+
+--S 923 of 1000
+--a0:=integrate(t0,x)
+--E  923
+
+--S 924 of 1000
+--m0:=a0-r0
+--E  924
+
+--S 925 of 1000
+--d0:=D(m0,x)
+--E  925
+
+)clear all
+
+--S 926 of 1000
+t0:=x*(c+d*x)^(5/2)/(a+b*x)^(3/2)
+--R 
+--R
+--R          2 3         2    2   +-------+
+--R        (d x  + 2c d x  + c x)\|d x + c
+--R   (1)  --------------------------------
+--R                         +-------+
+--R               (b x + a)\|b x + a
+--R                                                    Type: Expression(Integer)
+--E  926
+
+--S 927 of 1000
+r0:=5/8*(b*c-7*a*d)*(b*c-a*d)^2*atanh(sqrt(d)*sqrt(a+b*x)/(sqrt(b)*_
+     sqrt(c+d*x)))/(b^(9/2)*sqrt(d))+2*a*(c+d*x)^(7/2)/(b*(b*c-a*d)*_
+     sqrt(a+b*x))+5/12*(b*c-7*a*d)*(c+d*x)^(3/2)*sqrt(a+b*x)/b^3+_
+     1/3*(b*c-7*a*d)*(c+d*x)^(5/2)*sqrt(a+b*x)/(b^2*(b*c-a*d))+_
+     5/8*(b*c-7*a*d)*(b*c-a*d)*sqrt(a+b*x)*sqrt(c+d*x)/b^4
+--R 
+--R
+--R   (2)
+--R                3 3       2     2         2 2       3 3  +-------+
+--R         (- 105a d  + 225a b c d  - 135a b c d + 15b c )\|b x + a
+--R      *
+--R                +-+ +-------+
+--R               \|d \|b x + a
+--R         atanh(--------------)
+--R                +-+ +-------+
+--R               \|b \|d x + c
+--R     + 
+--R             3 2 3           2 2      3     2       2   2        2         3 2
+--R           8b d x  + (- 14a b d  + 26b c d)x  + (35a b d  - 68a b c d + 33b c )x
+--R         + 
+--R               3 2       2             2 2
+--R           105a d  - 190a b c d + 81a b c
+--R      *
+--R          +-+ +-+ +-------+
+--R         \|b \|d \|d x + c
+--R  /
+--R        4 +-+ +-+ +-------+
+--R     24b \|b \|d \|b x + a
+--R                                                    Type: Expression(Integer)
+--E  927
+
+--S 928 of 1000
+--a0:=integrate(t0,x)
+--E  928
+
+--S 929 of 1000
+--m0:=a0-r0
+--E  929
+
+--S 930 of 1000
+--d0:=D(m0,x)
+--E  930
+
+)clear all
+
+--S 931 of 1000
+t0:=(c+d*x)^(5/2)/(a+b*x)^(3/2)
+--R 
+--R
+--R          2 2             2  +-------+
+--R        (d x  + 2c d x + c )\|d x + c
+--R   (1)  ------------------------------
+--R                        +-------+
+--R              (b x + a)\|b x + a
+--R                                                    Type: Expression(Integer)
+--E  931
+
+--S 932 of 1000
+r0:=15/4*(b*c-a*d)^2*atanh(sqrt(d)*sqrt(a+b*x)/(sqrt(b)*sqrt(c+d*x)))*_
+     sqrt(d)/b^(7/2)-2*(c+d*x)^(5/2)/(b*sqrt(a+b*x))+5/2*d*(c+d*x)^(3/2)*_
+     sqrt(a+b*x)/b^2+15/4*d*(b*c-a*d)*sqrt(a+b*x)*sqrt(c+d*x)/b^3
+--R 
+--R
+--R   (2)
+--R                                                         +-+ +-------+
+--R           2 2                  2 2  +-+ +-------+      \|d \|b x + a
+--R       (15a d  - 30a b c d + 15b c )\|d \|b x + a atanh(--------------)
+--R                                                         +-+ +-------+
+--R                                                        \|b \|d x + c
+--R     + 
+--R            2 2 2            2     2           2 2                 2 2  +-+
+--R         (2b d x  + (- 5a b d  + 9b c d)x - 15a d  + 25a b c d - 8b c )\|b
+--R      *
+--R          +-------+
+--R         \|d x + c
+--R  /
+--R       3 +-+ +-------+
+--R     4b \|b \|b x + a
+--R                                                    Type: Expression(Integer)
+--E  932
+
+--S 933 of 1000
+--a0:=integrate(t0,x)
+--E  933
+
+--S 934 of 1000
+--m0:=a0-r0
+--E  934
+
+--S 935 of 1000
+--d0:=D(m0,x)
+--E  935
+
+)clear all
+
+--S 936 of 1000
+t0:=(c+d*x)^(5/2)/(x*(a+b*x)^(3/2))
+--R 
+--R
+--R          2 2             2  +-------+
+--R        (d x  + 2c d x + c )\|d x + c
+--R   (1)  ------------------------------
+--R                2        +-------+
+--R            (b x  + a x)\|b x + a
+--R                                                    Type: Expression(Integer)
+--E  936
+
+--S 937 of 1000
+r0:=-2*c^(5/2)*atanh(sqrt(c)*sqrt(a+b*x)/(sqrt(a)*sqrt(c+d*x)))/a^(3/2)+_
+     d^(3/2)*(5*b*c-3*a*d)*atanh(sqrt(d)*sqrt(a+b*x)/(sqrt(b)*_
+     sqrt(c+d*x)))/b^(5/2)+2*(c+d*x)^(5/2)/(a*sqrt(a+b*x))-_
+     2*d*(c+d*x)^(3/2)*sqrt(a+b*x)/(a*b)-d*(2*b*c-3*a*d)*_
+     sqrt(a+b*x)*sqrt(c+d*x)/(a*b^2)
+--R 
+--R
+--R   (2)
+--R                                                    +-+ +-------+
+--R            2 2             +-+ +-+ +-------+      \|d \|b x + a
+--R       (- 3a d  + 5a b c d)\|a \|d \|b x + a atanh(--------------)
+--R                                                    +-+ +-------+
+--R                                                   \|b \|d x + c
+--R     + 
+--R                                       +-+ +-------+
+--R           2 2 +-+ +-+ +-------+      \|c \|b x + a
+--R       - 2b c \|b \|c \|b x + a atanh(--------------)
+--R                                       +-+ +-------+
+--R                                      \|a \|d x + c
+--R     + 
+--R             2      2 2                2 2  +-+ +-+ +-------+
+--R       (a b d x + 3a d  - 4a b c d + 2b c )\|a \|b \|d x + c
+--R  /
+--R        2 +-+ +-+ +-------+
+--R     a b \|a \|b \|b x + a
+--R                                                    Type: Expression(Integer)
+--E  937
+
+--S 938 of 1000 (non-algebraic residues)
+--a0:=integrate(t0,x)
+--E  938
+
+--S 939 of 1000
+--m0:=a0-r0
+--E  939
+
+--S 940 of 1000
+--d0:=D(m0,x)
+--E  940
+
+)clear all
+
+--S 941 of 1000
+t0:=(c+d*x)^(5/2)/(x^2*(a+b*x)^(3/2))
+--R 
+--R
+--R          2 2             2  +-------+
+--R        (d x  + 2c d x + c )\|d x + c
+--R   (1)  ------------------------------
+--R                3      2  +-------+
+--R            (b x  + a x )\|b x + a
+--R                                                    Type: Expression(Integer)
+--E  941
+
+--S 942 of 1000
+r0:=c^(3/2)*(3*b*c-5*a*d)*atanh(sqrt(c)*sqrt(a+b*x)/(sqrt(a)*sqrt(c+d*x)))/_
+     a^(5/2)+2*d^(5/2)*atanh(sqrt(d)*sqrt(a+b*x)/(sqrt(b)*_
+     sqrt(c+d*x)))/b^(3/2)-3*(b*c-a*d)*(c+d*x)^(3/2)/(a^2*_
+     sqrt(a+b*x))-(c+d*x)^(5/2)/(a*x*sqrt(a+b*x))+d*(3*b*c-2*a*d)*_
+     sqrt(a+b*x)*sqrt(c+d*x)/(a^2*b)
+--R 
+--R
+--R   (2)
+--R                                      +-+ +-------+
+--R         2 2  +-+ +-+ +-------+      \|d \|b x + a
+--R       2a d x\|a \|d \|b x + a atanh(--------------)
+--R                                      +-+ +-------+
+--R                                     \|b \|d x + c
+--R     + 
+--R                                                     +-+ +-------+
+--R                       2 2   +-+ +-+ +-------+      \|c \|b x + a
+--R       (- 5a b c d + 3b c )x\|b \|c \|b x + a atanh(--------------)
+--R                                                     +-+ +-------+
+--R                                                    \|a \|d x + c
+--R     + 
+--R             2 2                2 2          2  +-+ +-+ +-------+
+--R       ((- 2a d  + 4a b c d - 3b c )x - a b c )\|a \|b \|d x + c
+--R  /
+--R      2    +-+ +-+ +-------+
+--R     a b x\|a \|b \|b x + a
+--R                                                    Type: Expression(Integer)
+--E  942
+
+--S 943 of 1000 (non-algebraic residues)
+--a0:=integrate(t0,x)
+--E  943
+
+--S 944 of 1000
+--m0:=a0-r0
+--E  944
+
+--S 945 of 1000
+--d0:=D(m0,x)
+--E  945
+
+)clear all
+
+--S 946 of 1000
+t0:=(c+d*x)^(5/2)/(x^3*(a+b*x)^(3/2))
+--R 
+--R
+--R          2 2             2  +-------+
+--R        (d x  + 2c d x + c )\|d x + c
+--R   (1)  ------------------------------
+--R                4      3  +-------+
+--R            (b x  + a x )\|b x + a
+--R                                                    Type: Expression(Integer)
+--E  946
+
+--S 947 of 1000
+r0:=-15/4*(b*c-a*d)^2*atanh(sqrt(c)*sqrt(a+b*x)/(sqrt(a)*sqrt(c+d*x)))*_
+     sqrt(c)/a^(7/2)+5/4*(b*c-a*d)*(c+d*x)^(3/2)/(a^2*x*_
+     sqrt(a+b*x))-1/2*(c+d*x)^(5/2)/(a*x^2*sqrt(a+b*x))+_
+     15/4*(b*c-a*d)^2*sqrt(c+d*x)/(a^3*sqrt(a+b*x))
+--R 
+--R
+--R   (2)
+--R                                                             +-+ +-------+
+--R             2 2                  2 2  2 +-+ +-------+      \|c \|b x + a
+--R       (- 15a d  + 30a b c d - 15b c )x \|c \|b x + a atanh(--------------)
+--R                                                             +-+ +-------+
+--R                                                            \|a \|d x + c
+--R     + 
+--R             2 2                  2 2  2        2            2       2 2  +-+
+--R         ((8a d  - 25a b c d + 15b c )x  + (- 9a c d + 5a b c )x - 2a c )\|a
+--R      *
+--R          +-------+
+--R         \|d x + c
+--R  /
+--R       3 2 +-+ +-------+
+--R     4a x \|a \|b x + a
+--R                                                    Type: Expression(Integer)
+--E  947
+
+--S 948 of 1000
+--a0:=integrate(t0,x)
+--E  948
+
+--S 949 of 1000
+--m0:=a0-r0
+--E  949
+
+--S 950 of 1000
+--d0:=D(m0,x)
+--E  950
+
+)clear all
+
+--S 951 of 1000
+t0:=(c+d*x)^(5/2)/(x^4*(a+b*x)^(3/2))
+--R 
+--R
+--R          2 2             2  +-------+
+--R        (d x  + 2c d x + c )\|d x + c
+--R   (1)  ------------------------------
+--R                5      4  +-------+
+--R            (b x  + a x )\|b x + a
+--R                                                    Type: Expression(Integer)
+--E  951
+
+--S 952 of 1000
+r0:=5/8*(b*c-a*d)^2*(7*b*c-a*d)*atanh(sqrt(c)*sqrt(a+b*x)/(sqrt(a)*_
+     sqrt(c+d*x)))/(a^(9/2)*sqrt(c))+1/12*(7*b*c-5*a*d)*_
+     (c+d*x)^(3/2)/(a^2*x^2*sqrt(a+b*x))-1/3*(c+d*x)^(5/2)/_
+     (a*x^3*sqrt(a+b*x))-1/24*b*(105*b^2*c^2-190*a*b*c*d+81*a^2*d^2)*_
+     sqrt(c+d*x)/(a^4*sqrt(a+b*x))-1/24*(35*b^2*c^2-54*a*b*c*d+_
+     15*a^2*d^2)*sqrt(c+d*x)/(a^3*x*sqrt(a+b*x))
+--R 
+--R
+--R   (2)
+--R               3 3       2     2         2 2        3 3  3 +-------+
+--R         (- 15a d  + 135a b c d  - 225a b c d + 105b c )x \|b x + a
+--R      *
+--R                +-+ +-------+
+--R               \|c \|b x + a
+--R         atanh(--------------)
+--R                +-+ +-------+
+--R               \|a \|d x + c
+--R     + 
+--R                 2   2         2          3 2  3
+--R           (- 81a b d  + 190a b c d - 105b c )x
+--R         + 
+--R               3 2      2             2 2  2         3         2   2       3 2
+--R         (- 33a d  + 68a b c d - 35a b c )x  + (- 26a c d + 14a b c )x - 8a c
+--R      *
+--R          +-+ +-+ +-------+
+--R         \|a \|c \|d x + c
+--R  /
+--R        4 3 +-+ +-+ +-------+
+--R     24a x \|a \|c \|b x + a
+--R                                                    Type: Expression(Integer)
+--E  952
+
+--S 953 of 1000
+--a0:=integrate(t0,x)
+--E  953
+
+--S 954 of 1000
+--m0:=a0-r0
+--E  954
+
+--S 955 of 1000
+--d0:=D(m0,x)
+--E  955
+
+)clear all
+
+--S 956 of 1000
+t0:=(c+d*x)^(5/2)/(x^5*(a+b*x)^(3/2))
+--R 
+--R
+--R          2 2             2  +-------+
+--R        (d x  + 2c d x + c )\|d x + c
+--R   (1)  ------------------------------
+--R                6      5  +-------+
+--R            (b x  + a x )\|b x + a
+--R                                                    Type: Expression(Integer)
+--E  956
+
+--S 957 of 1000
+r0:=-5/64*(b*c-a*d)^2*(63*b^2*c^2-14*a*b*c*d-a^2*d^2)*atanh(sqrt(c)*_
+     sqrt(a+b*x)/(sqrt(a)*sqrt(c+d*x)))/(a^(11/2)*c^(3/2))+_
+     1/24*(9*b*c-5*a*d)*(c+d*x)^(3/2)/(a^2*x^3*sqrt(a+b*x))-_
+     1/4*(c+d*x)^(5/2)/(a*x^4*sqrt(a+b*x))+1/192*b*(945*b^3*c^3-_
+     1785*a*b^2*c^2*d+839*a^2*b*c*d^2-15*a^3*d^3)*sqrt(c+d*x)/_
+     (a^5*c*sqrt(a+b*x))-1/96*(63*b^2*c^2-86*a*b*c*d+15*a^2*d^2)*_
+     sqrt(c+d*x)/(a^3*x^2*sqrt(a+b*x))+1/192*(b*c-a*d)*_
+     (315*b^2*c^2-322*a*b*c*d+15*a^2*d^2)*sqrt(c+d*x)/(a^4*c*x*sqrt(a+b*x))
+--R 
+--R
+--R   (2)
+--R             4 4       3     3        2 2 2 2          3 3        4 4  4
+--R         (15a d  + 180a b c d  - 1350a b c d  + 2100a b c d - 945b c )x
+--R      *
+--R                          +-+ +-------+
+--R          +-------+      \|c \|b x + a
+--R         \|b x + a atanh(--------------)
+--R                          +-+ +-------+
+--R                         \|a \|d x + c
+--R     + 
+--R                 3   3       2 2   2          3 2        4 3  4
+--R           (- 15a b d  + 839a b c d  - 1785a b c d + 945b c )x
+--R         + 
+--R                 4 3       3     2       2 2 2          3 3  3
+--R           (- 15a d  + 337a b c d  - 637a b c d + 315a b c )x
+--R         + 
+--R                  4   2       3   2        2 2 3  2          4 2       3   3
+--R           (- 118a c d  + 244a b c d - 126a b c )x  + (- 136a c d + 72a b c )x
+--R         + 
+--R                4 3
+--R           - 48a c
+--R      *
+--R          +-+ +-+ +-------+
+--R         \|a \|c \|d x + c
+--R  /
+--R         5   4 +-+ +-+ +-------+
+--R     192a c x \|a \|c \|b x + a
+--R                                                    Type: Expression(Integer)
+--E  957
+
+--S 958 of 1000
+--a0:=integrate(t0,x)
+--E  958
+
+--S 959 of 1000
+--m0:=a0-r0
+--E  959
+
+--S 960 of 1000
+--d0:=D(m0,x)
+--E  960
+
+)clear all
+
+--S 961 of 1000
+t0:=x^4/((a+b*x)^(3/2)*(c+d*x)^(3/2))
+--R 
+--R
+--R                                 4
+--R                                x
+--R   (1)  -------------------------------------------------
+--R              2                       +-------+ +-------+
+--R        (b d x  + (a d + b c)x + a c)\|b x + a \|d x + c
+--R                                                    Type: Expression(Integer)
+--E  961
+
+--S 962 of 1000
+r0:=3/4*(5*b^2*c^2+6*a*b*c*d+5*a^2*d^2)*atanh(sqrt(d)*sqrt(a+b*x)/_
+     (sqrt(b)*sqrt(c+d*x)))/(b^(7/2)*d^(7/2))+1/2*a*(b*c-5*a*d)*x^2/_
+     (b^2*d*(b*c-a*d)*sqrt(a+b*x)*sqrt(c+d*x))+1/2*x^3/(b*d*sqrt(a+b*x)*_
+     sqrt(c+d*x))+1/2*c*(4*a*c*(b*c-5*a*d)+(5*b^2*c^2+2*a*b*c*d-_
+     15*a^2*d^2)*x)*sqrt(a+b*x)/(b^2*d^2*(b*c-a*d)^2*sqrt(c+d*x))-_
+     1/4*(3*b*c-a*d)*(5*b^2*c^2+2*a*b*c*d-15*a^2*d^2)*sqrt(a+b*x)*_
+     sqrt(c+d*x)/(b^3*d^3*(b*c-a*d)^2)
+--R 
+--R
+--R   (2)
+--R             4 4      3     3     2 2 2 2        3 3       4 4  +-------+
+--R         (15a d  - 12a b c d  - 6a b c d  - 12a b c d + 15b c )\|b x + a
+--R      *
+--R                          +-+ +-------+
+--R          +-------+      \|d \|b x + a
+--R         \|d x + c atanh(--------------)
+--R                          +-+ +-------+
+--R                         \|b \|d x + c
+--R     + 
+--R              2 2 4       3   3     4 2 2  3
+--R           (2a b d  - 4a b c d  + 2b c d )x
+--R         + 
+--R                3   4     2 2   3       3 2 2     4 3   2
+--R           (- 5a b d  + 5a b c d  + 5a b c d  - 5b c d)x
+--R         + 
+--R                 4 4     3     3      2 2 2 2       3 3       4 4        4   3
+--R           (- 15a d  + 2a b c d  + 10a b c d  + 2a b c d - 15b c )x - 15a c d
+--R         + 
+--R             3   2 2     2 2 3         3 4
+--R           7a b c d  + 7a b c d - 15a b c
+--R      *
+--R          +-+ +-+
+--R         \|b \|d
+--R  /
+--R        2 3 5       4   4     5 2 3  +-+ +-+ +-------+ +-------+
+--R     (4a b d  - 8a b c d  + 4b c d )\|b \|d \|b x + a \|d x + c
+--R                                                    Type: Expression(Integer)
+--E  962
+
+--S 963 of 1000
+--a0:=integrate(t0,x)
+--E  963
+
+--S 964 of 1000
+--m0:=a0-r0
+--E  964
+
+--S 965 of 1000
+--d0:=D(m0,x)
+--E  965
+
+)clear all
+
+--S 966 of 1000
+t0:=x^3/((a+b*x)^(3/2)*(c+d*x)^(3/2))
+--R 
+--R
+--R                                 3
+--R                                x
+--R   (1)  -------------------------------------------------
+--R              2                       +-------+ +-------+
+--R        (b d x  + (a d + b c)x + a c)\|b x + a \|d x + c
+--R                                                    Type: Expression(Integer)
+--E  966
+
+--S 967 of 1000
+r0:=-3*(b*c+a*d)*atanh(sqrt(d)*sqrt(a+b*x)/(sqrt(b)*sqrt(c+d*x)))/_
+     (b^(5/2)*d^(5/2))+x^2/(b*d*sqrt(a+b*x)*sqrt(c+d*x))-_
+     a*(4*a*c+3*(b*c+a*d)*x)/(b^2*d*(b*c-a*d)*sqrt(a+b*x)*_
+     sqrt(c+d*x))+c*(3*b*c-a*d)*(b*c+a*d)*sqrt(a+b*x)/(b^2*d^2*_
+     (b*c-a*d)^2*sqrt(c+d*x))
+--R 
+--R
+--R   (2)
+--R              3 3     2     2       2 2      3 3  +-------+ +-------+
+--R         (- 3a d  + 3a b c d  + 3a b c d - 3b c )\|b x + a \|d x + c
+--R      *
+--R                +-+ +-------+
+--R               \|d \|b x + a
+--R         atanh(--------------)
+--R                +-+ +-------+
+--R               \|b \|d x + c
+--R     + 
+--R             2   3       2   2    3 2   2
+--R           (a b d  - 2a b c d  + b c d)x
+--R         + 
+--R              3 3    2     2      2 2      3 3       3   2     2   2        2 3
+--R           (3a d  - a b c d  - a b c d + 3b c )x + 3a c d  - 2a b c d + 3a b c
+--R      *
+--R          +-+ +-+
+--R         \|b \|d
+--R  /
+--R       2 2 4       3   3    4 2 2  +-+ +-+ +-------+ +-------+
+--R     (a b d  - 2a b c d  + b c d )\|b \|d \|b x + a \|d x + c
+--R                                                    Type: Expression(Integer)
+--E  967
+
+--S 968 of 1000
+--a0:=integrate(t0,x)
+--E  968
+
+--S 969 of 1000
+--m0:=a0-r0
+--E  969
+
+--S 970 of 1000
+--d0:=D(m0,x)
+--E  970
+
+)clear all
+
+--S 971 of 1000
+t0:=x^2/((a+b*x)^(3/2)*(c+d*x)^(3/2))
+--R 
+--R
+--R                                 2
+--R                                x
+--R   (1)  -------------------------------------------------
+--R              2                       +-------+ +-------+
+--R        (b d x  + (a d + b c)x + a c)\|b x + a \|d x + c
+--R                                                    Type: Expression(Integer)
+--E  971
+
+--S 972 of 1000
+r0:=2*atanh(sqrt(d)*sqrt(a+b*x)/(sqrt(b)*sqrt(c+d*x)))/(b^(3/2)*d^(3/2))-_
+     2*a^2/(b^2*(b*c-a*d)*sqrt(a+b*x)*sqrt(c+d*x))-2*(b^2*c^2+a^2*d^2)*_
+     sqrt(a+b*x)/(b^2*d*(b*c-a*d)^2*sqrt(c+d*x))
+--R 
+--R
+--R   (2)
+--R                                                            +-+ +-------+
+--R          2 2                2 2  +-------+ +-------+      \|d \|b x + a
+--R       (2a d  - 4a b c d + 2b c )\|b x + a \|d x + c atanh(--------------)
+--R                                                            +-+ +-------+
+--R                                                           \|b \|d x + c
+--R     + 
+--R             2 2     2 2       2            2  +-+ +-+
+--R       ((- 2a d  - 2b c )x - 2a c d - 2a b c )\|b \|d
+--R  /
+--R       2   3       2   2    3 2   +-+ +-+ +-------+ +-------+
+--R     (a b d  - 2a b c d  + b c d)\|b \|d \|b x + a \|d x + c
+--R                                                    Type: Expression(Integer)
+--E  972
+
+--S 973 of 1000
+--a0:=integrate(t0,x)
+--E  973
+
+--S 974 of 1000
+--m0:=a0-r0
+--E  974
+
+--S 975 of 1000
+--d0:=D(m0,x)
+--E  975
+
+)clear all
+
+--S 976 of 1000
+t0:=x/((a+b*x)^(3/2)*(c+d*x)^(3/2))
+--R 
+--R
+--R                                x
+--R   (1)  -------------------------------------------------
+--R              2                       +-------+ +-------+
+--R        (b d x  + (a d + b c)x + a c)\|b x + a \|d x + c
+--R                                                    Type: Expression(Integer)
+--E  976
+
+--S 977 of 1000
+r0:=-2*c/(d*(b*c-a*d)*sqrt(a+b*x)*sqrt(c+d*x))+2*(b*c+a*d)*sqrt(c+d*x)/_
+     (d*(b*c-a*d)^2*sqrt(a+b*x))
+--R 
+--R
+--R                    (2a d + 2b c)x + 4a c
+--R   (2)  --------------------------------------------
+--R          2 2               2 2  +-------+ +-------+
+--R        (a d  - 2a b c d + b c )\|b x + a \|d x + c
+--R                                                    Type: Expression(Integer)
+--E  977
+
+--S 978 of 1000
+--a0:=integrate(t0,x)
+--E  978
+
+--S 979 of 1000
+--m0:=a0-r0
+--E  979
+
+--S 980 of 1000
+--d0:=D(m0,x)
+--E  980
+
+)clear all
+
+--S 981 of 1000
+t0:=1/((a+b*x)^(3/2)*(c+d*x)^(3/2))
+--R 
+--R
+--R                                1
+--R   (1)  -------------------------------------------------
+--R              2                       +-------+ +-------+
+--R        (b d x  + (a d + b c)x + a c)\|b x + a \|d x + c
+--R                                                    Type: Expression(Integer)
+--E  981
+
+--S 982 of 1000
+r0:=(-2)/((b*c-a*d)*sqrt(a+b*x)*sqrt(c+d*x))-4*d*sqrt(a+b*x)/_
+     ((b*c-a*d)^2*sqrt(c+d*x))
+--R 
+--R
+--R                   - 4b d x - 2a d - 2b c
+--R   (2)  --------------------------------------------
+--R          2 2               2 2  +-------+ +-------+
+--R        (a d  - 2a b c d + b c )\|b x + a \|d x + c
+--R                                                    Type: Expression(Integer)
+--E  982
+
+--S 983 of 1000 ok to fail, differs by a constant
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R                          2            2  +-------+ +-------+
+--R       (- 16a b c d x - 8a c d - 8a b c )\|b x + a \|d x + c
+--R     + 
+--R                    2   2     2 2        2     2
+--R       ((a b c + 16a b)d  + (b c  + 16a b c)d)x
+--R     + 
+--R          2       3  2          2      2         2 3        2 2
+--R       ((a c + 16a )d  + (2a b c  + 32a b c)d + b c  + 16a b c )x
+--R     + 
+--R         2 2      3           3      2   2
+--R       (a c  + 16a c)d + a b c  + 16a b c
+--R  /
+--R          3     3     2 2 2 2       3 3   2
+--R       (4a b c d  - 8a b c d  + 4a b c d)x
+--R     + 
+--R        4   3     3   2 2     2 2 3        3 4       4 2 2     3   3      2 2 4
+--R     (4a c d  - 4a b c d  - 4a b c d + 4a b c )x + 4a c d  - 8a b c d + 4a b c
+--R                                         Type: Union(Expression(Integer),...)
+--E  983
+
+--S 984 of 1000 ok to fail, differs by a constant
+m0:=a0-r0
+--R 
+--R
+--R                  2        2
+--R        (a c + 16a )d + b c  + 16a b c
+--R   (4)  ------------------------------
+--R           3   2     2   2        2 3
+--R         4a c d  - 8a b c d + 4a b c
+--R                                                    Type: Expression(Integer)
+--E  984
+
+--S 985 of 1000
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E  985
+
+)clear all
+
+--S 986 of 1000
+t0:=1/(x*(a+b*x)^(3/2)*(c+d*x)^(3/2))
+--R 
+--R
+--R                                  1
+--R   (1)  ----------------------------------------------------
+--R              3               2          +-------+ +-------+
+--R        (b d x  + (a d + b c)x  + a c x)\|b x + a \|d x + c
+--R                                                    Type: Expression(Integer)
+--E  986
+
+--S 987 of 1000
+r0:=-2*atanh(sqrt(c)*sqrt(a+b*x)/(sqrt(a)*sqrt(c+d*x)))/(a^(3/2)*c^(3/2))+_
+     2*b/(a*(b*c-a*d)*sqrt(a+b*x)*sqrt(c+d*x))+2*d*(b*c+a*d)*sqrt(a+b*x)/_
+     (a*c*(b*c-a*d)^2*sqrt(c+d*x))
+--R 
+--R
+--R   (2)
+--R                                                              +-+ +-------+
+--R            2 2                2 2  +-------+ +-------+      \|c \|b x + a
+--R       (- 2a d  + 4a b c d - 2b c )\|b x + a \|d x + c atanh(--------------)
+--R                                                              +-+ +-------+
+--R                                                             \|a \|d x + c
+--R     + 
+--R               2     2          2 2     2 2  +-+ +-+
+--R       ((2a b d  + 2b c d)x + 2a d  + 2b c )\|a \|c
+--R  /
+--R       3   2     2   2       2 3  +-+ +-+ +-------+ +-------+
+--R     (a c d  - 2a b c d + a b c )\|a \|c \|b x + a \|d x + c
+--R                                                    Type: Expression(Integer)
+--E  987
+
+--S 988 of 1000
+--a0:=integrate(t0,x)
+--E  988
+
+--S 989 of 1000
+--m0:=a0-r0
+--E  989
+
+--S 990 of 1000
+--d0:=D(m0,x)
+--E  990
+
+)clear all
+
+--S 991 of 1000
+t0:=1/(x^2*(a+b*x)^(3/2)*(c+d*x)^(3/2))
+--R 
+--R
+--R                                  1
+--R   (1)  -----------------------------------------------------
+--R              4               3        2  +-------+ +-------+
+--R        (b d x  + (a d + b c)x  + a c x )\|b x + a \|d x + c
+--R                                                    Type: Expression(Integer)
+--E  991
+
+--S 992 of 1000
+r0:=3*(b*c+a*d)*atanh(sqrt(c)*sqrt(a+b*x)/(sqrt(a)*sqrt(c+d*x)))/_
+     (a^(5/2)*c^(5/2))-b*(3*b*c-a*d)/(a^2*c*(b*c-a*d)*sqrt(a+b*x)*_
+     sqrt(c+d*x))+(-1)/(a*c*x*sqrt(a+b*x)*sqrt(c+d*x))-_
+     d*(3*b^2*c^2-2*a*b*c*d+3*a^2*d^2)*sqrt(a+b*x)/(a^2*c^2*(b*c-a*d)^2*_
+     sqrt(c+d*x))
+--R 
+--R
+--R   (2)
+--R            3 3     2     2       2 2      3 3   +-------+ +-------+
+--R         (3a d  - 3a b c d  - 3a b c d + 3b c )x\|b x + a \|d x + c
+--R      *
+--R                +-+ +-------+
+--R               \|c \|b x + a
+--R         atanh(--------------)
+--R                +-+ +-------+
+--R               \|a \|d x + c
+--R     + 
+--R                2   3       2   2     3 2   2
+--R           (- 3a b d  + 2a b c d  - 3b c d)x
+--R         + 
+--R                3 3    2     2      2 2      3 3      3   2     2   2       2 3
+--R           (- 3a d  + a b c d  + a b c d - 3b c )x - a c d  + 2a b c d - a b c
+--R      *
+--R          +-+ +-+
+--R         \|a \|c
+--R  /
+--R       4 2 2     3   3     2 2 4   +-+ +-+ +-------+ +-------+
+--R     (a c d  - 2a b c d + a b c )x\|a \|c \|b x + a \|d x + c
+--R                                                    Type: Expression(Integer)
+--E  992
+
+--S 993 of 1000
+--a0:=integrate(t0,x)
+--E  993
+
+--S 994 of 1000
+--m0:=a0-r0
+--E  994
+
+--S 995 of 1000
+--d0:=D(m0,x)
+--E  995
+
+)clear all
+
+--S 996 of 1000
+t0:=1/(x^3*(a+b*x)^(3/2)*(c+d*x)^(3/2))
+--R 
+--R
+--R                                  1
+--R   (1)  -----------------------------------------------------
+--R              5               4        3  +-------+ +-------+
+--R        (b d x  + (a d + b c)x  + a c x )\|b x + a \|d x + c
+--R                                                    Type: Expression(Integer)
+--E  996
+
+--S 997 of 1000
+r0:=-3/4*(5*b^2*c^2+6*a*b*c*d+5*a^2*d^2)*atanh(sqrt(c)*sqrt(a+b*x)/_
+     (sqrt(a)*sqrt(c+d*x)))/(a^(7/2)*c^(7/2))+1/4*b*(15*b^2*c^2-_
+     2*a*b*c*d-5*a^2*d^2)/(a^3*c^2*(b*c-a*d)*sqrt(a+b*x)*sqrt(c+d*x))+_
+     (-1/2)/(a*c*x^2*sqrt(a+b*x)*sqrt(c+d*x))+5/4*(b*c+a*d)/_
+     (a^2*c^2*x*sqrt(a+b*x)*sqrt(c+d*x))+1/4*d*(b*c+a*d)*_
+     (15*b^2*c^2-22*a*b*c*d+15*a^2*d^2)*sqrt(a+b*x)/(a^3*c^3*(b*c-a*d)^2*_
+     sqrt(c+d*x))
+--R 
+--R
+--R   (2)
+--R               4 4      3     3     2 2 2 2        3 3       4 4  2 +-------+
+--R         (- 15a d  + 12a b c d  + 6a b c d  + 12a b c d - 15b c )x \|b x + a
+--R      *
+--R                          +-+ +-------+
+--R          +-------+      \|c \|b x + a
+--R         \|d x + c atanh(--------------)
+--R                          +-+ +-------+
+--R                         \|a \|d x + c
+--R     + 
+--R               3   4     2 2   3       3 2 2      4 3   3
+--R           (15a b d  - 7a b c d  - 7a b c d  + 15b c d)x
+--R         + 
+--R               4 4     3     3      2 2 2 2       3 3       4 4  2
+--R           (15a d  - 2a b c d  - 10a b c d  - 2a b c d + 15b c )x
+--R         + 
+--R              4   3     3   2 2     2 2 3        3 4       4 2 2     3   3
+--R           (5a c d  - 5a b c d  - 5a b c d + 5a b c )x - 2a c d  + 4a b c d
+--R         + 
+--R               2 2 4
+--R           - 2a b c
+--R      *
+--R          +-+ +-+
+--R         \|a \|c
+--R  /
+--R        5 3 2     4   4      3 2 5  2 +-+ +-+ +-------+ +-------+
+--R     (4a c d  - 8a b c d + 4a b c )x \|a \|c \|b x + a \|d x + c
+--R                                                    Type: Expression(Integer)
+--E  997
+
+--S 998 of 1000
+--a0:=integrate(t0,x)
+--E  998
+
+--S 999 of 1000
+--m0:=a0-r0
+--E  999
+
+--S 1000 of 1000
+--d0:=D(m0,x)
+--E  1000
+
+)spool
+)lisp (bye)
+
+\end{chunk}
+\eject
+\begin{thebibliography}{99}
+\bibitem{1} nothing
+\end{thebibliography}
+\end{document}
